/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-03-22 19:21:33 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=256 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("1", "1", "A WordPress Commenter", "wapuu@wordpress.example", "https://wordpress.org/", "", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "Hi, this is a comment.\nTo get started with moderating, editing, and deleting comments, please visit the Comments screen in the dashboard.\nCommenter avatars come from <a href=\"https://en.gravatar.com/\">Gravatar</a>.", "0", "post-trashed", "", "comment", "0", "0");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20230322_themejsoneditingexercise", "e76501d47b14f1bb1696_20230322192126", "22", "2023-03-22 19:21:33", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-22 19:21:26\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:6:\"7.4.21\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:1;s:4:\"Name\";s:33:\"20230322_themejsoneditingexercise\";s:4:\"Hash\";s:35:\"e76501d47b14f1bb1696_20230322192126\";s:8:\"NameHash\";s:69:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:79:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:81:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:745;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4832;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-22 19:21:26\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:6:\"7.4.21\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:33:\"20230322_themejsoneditingexercise\";s:4:\"Hash\";s:35:\"e76501d47b14f1bb1696_20230322192126\";s:8:\"NameHash\";s:69:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:87:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:87:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:82:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:188:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/backups-dup-lite/tmp/20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:82:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-admin\";i:1;s:85:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-includes\";i:2;s:94:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";i:1;s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";i:2;s:84:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content\";i:3;s:92:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads\";i:4;s:92:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/plugins\";i:5;s:95:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/mu-plugins\";i:6;s:91:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:105:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Theme.JSON Editing Exercise", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "3", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:79:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:4:{i:0;s:41:\"create-block-theme/create-block-theme.php\";i:1;s:33:\"duplicate-post/duplicate-post.php\";i:2;s:25:\"duplicator/duplicator.php\";i:3;s:23:\"gutenberg/gutenberg.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1695062219", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("103", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "sidebars_widgets", "a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("105", "cron", "a:7:{i:1679513819;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1679553419;a:4:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1679553434;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1679596619;a:2:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1679596634;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1679596635;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("121", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("122", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("123", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.1.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.1.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.1.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.1.1-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.1.1\";s:7:\"version\";s:5:\"6.1.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1679512750;s:15:\"version_checked\";s:5:\"6.1.1\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("128", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1679512751;s:7:\"checked\";a:3:{s:15:\"twentytwentyone\";s:3:\"1.7\";s:17:\"twentytwentythree\";s:3:\"1.0\";s:15:\"twentytwentytwo\";s:3:\"1.3\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:3:{s:15:\"twentytwentyone\";a:6:{s:5:\"theme\";s:15:\"twentytwentyone\";s:11:\"new_version\";s:3:\"1.7\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentyone/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentyone.1.7.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.0\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.0.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.3\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.3.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("131", "theme_mods_twentytwentythree", "a:1:{s:18:\"custom_css_post_id\";i:-1;}", "yes");
INSERT INTO `wp_options` VALUES("135", "_site_transient_timeout_browser_08c86af9d1e51eabde3ca20c5e293308", "1680115035", "no");
INSERT INTO `wp_options` VALUES("136", "_site_transient_browser_08c86af9d1e51eabde3ca20c5e293308", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"110.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("137", "_site_transient_timeout_php_check_20f4df878f211a5689e76acb3f9067a8", "1680115035", "no");
INSERT INTO `wp_options` VALUES("138", "_site_transient_php_check_20f4df878f211a5689e76acb3f9067a8", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("140", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1679554664", "no");
INSERT INTO `wp_options` VALUES("141", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("142", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1679553437", "no");
INSERT INTO `wp_options` VALUES("143", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 12:25:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.3-alpha-55582\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Introducing the WordPress Developer Blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14649\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:369:\"With much activity happening in the WordPress development space every day, keeping up-to-date with the latest updates can be challenging. The new WordPress Developer Blog is a developer-focused resource to help you stay on top of the latest software features, tutorials, and learning materials relevant to the open source project. This blog is the culmination [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4661:\"\n<p>With much activity happening in the WordPress development space every day, keeping up-to-date with the latest updates can be challenging. The new <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a> is a developer-focused resource to help you stay on top of the latest software features, tutorials, and learning materials relevant to the open source project.</p>\n\n\n\n<p>This blog is the culmination of a community effort that began last year. Formed by experienced WordPress community members and developers, the <a href=\"https://developer.wordpress.org/news/about/\">editorial group</a> has since worked on a wide range of content already available—from theme and block development tutorials to tips and tricks for leveraging WordPress in the site editing era.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A new home for developers</h2>\n\n\n\n<p>As a complementary resource to the WordPress documentation, the Developer Blog aims to provide a shared space to stay informed of development-related updates, keep up with ongoing discussions and ideas, and explore cutting-edge use cases.</p>\n\n\n\n<p>In other words, <strong>consider it as a central hub for developers and </strong><a href=\"https://make.wordpress.org/updates/2020/05/01/care-and-influence-a-theory-about-the-wordpress-community/\"><strong>extenders</strong></a> of different backgrounds and skill levels to learn with quality content from reliable sources, share knowledge, and drive WordPress development forward.</p>\n\n\n\n<p>True to the open source way, the blog will likely evolve. As its editors and readers learn and create more content, it will adapt in response to the needs of community members like you.</p>\n\n\n\n<p>Everyone is welcome to chime in on-topic discussions, share ideas or contribute. <a href=\"https://developer.wordpress.org/news/how-to-contribute/\">Learn more about how to get involved</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What about the content?</h2>\n\n\n\n<p>Content on the WordPress Developer Blog covers many topics, including tutorials on <a href=\"https://developer.wordpress.org/news/category/themes/\">theme development</a>, <a href=\"https://developer.wordpress.org/news/category/plugins/\">plugins</a>, and <a href=\"https://developer.wordpress.org/news/category/block-development/\">block development</a>. You can also expect posts on WordPress APIs, best practices for working with WordPress, updates on upcoming releases, and <a href=\"https://developer.wordpress.org/news/category/learning/\">learning resources</a> for beginners and seasoned developers.</p>\n\n\n\n<p>These articles offer a good hint at what&#8217;s already in store for you:</p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2022/11/17/demystifying-home-and-posts-templates-in-wordpress-theme-development/\">Demystifying home and posts templates in WordPress theme development</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\">Creating themes from a pattern-first mindset</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/creating-custom-block-styles-in-wordpress-themes/\">Creating custom block styles in WordPress themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Sounds interesting? </h2>\n\n\n\n<p><a href=\"https://developer.wordpress.org/news/#subscribe\">Subscribe to the Developer Blog</a> to keep up with the latest content in the WordPress development space.</p>\n\n\n\n<p><em>Props for content and peer review <a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a> <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a> <a href=\'https://profiles.wordpress.org/mburridge/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mburridge</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/bph/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bph</a>&nbsp;<a href=\'https://profiles.wordpress.org/greenshady/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>greenshady</a> <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14649\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 17:43:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14685\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:315:\"WordPress 6.2 Release Candidate 3 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4918:\"\n<p>It’s the final countdown: the third (and last) scheduled <a href=\"https://make.wordpress.org/core/handbook/glossary/#release-candidate\">release candidate</a> (RC3) for WordPress 6.2 is ready! </p>\n\n\n\n<p>The WordPress 6.2 release is scheduled for March 28, 2023—just one week away! Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>Just tuning in now? Catch up on the featured highlights, and dig into more 6.2 details in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<p>Thanks to all the Beta and RC testers who have assisted in this release. Since <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">RC2</a> was released on March 14, there have been about 21 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=03%2F15%2F2023..03%2F21%2F2023&amp;milestone=6.2&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.</p>\n\n\n\n<p>Your feedback and help in filing bug reports keep the WordPress experience stable, smooth, and delightful. It’s critical work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC3 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC3 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC3.zip\">RC3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC3</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shout out to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many things for more people across the world. As you test your latest versions against RC3, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Wow, we’re oh so close<br>Test, test. Get it out the door.<br>Please no RC 4.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Thank you to the following contributors for collaborating on this post: <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a> <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a> <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14685\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 17:59:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14640\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:315:\"WordPress 6.2 Release Candidate 2 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4681:\"\n<p>Here it is: the second release candidate (RC2) for WordPress 6.2 is ready! </p>\n\n\n\n<p>WordPress 6.2 is scheduled for release on March 28, 2023—which is only two weeks away. Now is your perfect opportunity if you haven’t tried it out yet. Your feedback and help filing bug reports are what keep the WordPress experience stable, smooth, and delightful. It’s important work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<p>Thanks to everyone who tested the Beta and RC releases so far. Since RC1 was released on March 9, there have been about 36 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=03%2F07%2F2023..03%2F13%2F2023&amp;milestone=6.2&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.&nbsp;</p>\n\n\n\n<p>Catch up on the featured highlights, and dig into more 6.2 details, in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC2 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC2 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC2.zip\">RC2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC2</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shoutout to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many more things for more people across the world. As you test your latest versions against RC2, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Join the bug hunt—test, test, test</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Listen, we are close<br>One step to final RC<br>Breathe, and keep going</p>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a> <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a></em></p>\n\n\n\n<p><em>Haiku by <a href=\'https://profiles.wordpress.org/sereedmedia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sereedmedia</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14640\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WP Briefing: Episode 51: Is Routine a Rut?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14621\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"Join Josepha as she discussed the benefits of routine and what role it plays in the WordPress project. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/03/WP-Briefing-051.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9299:\"\n<p>On Episode fifty-one of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she makes a case for why routine is a good thing&#8211; in life and in the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">Beta 5, Additional Beta Released</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2, Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wp20-celebrations/\" data-type=\"URL\" data-id=\"https://wp20.wordpress.net/wp20-celebrations/\">Join WordPress 20th Anniversary Celebrations</a></li>\n\n\n\n<li><a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\" data-type=\"URL\" data-id=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">Organizing Diverse and Inclusive WordPress Events</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Events News Widget Modification Proposal</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14621\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:29]</p>\n\n\n\n<p>All right, my WordPress wonders; it&#8217;s time to join me for one of my gentle rants on basic leadership principles. Today we&#8217;re talking about the importance of routine and predictability in everyday life. But don&#8217;t worry, I&#8217;m gonna tie it all together with WordPress, too. So by now you&#8217;re probably aware that I don&#8217;t really consider myself one of those “born leaders.”&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:00]&nbsp;</p>\n\n\n\n<p>Over the years, I&#8217;ve put a lot of effort into researching characteristics of good leaders and general leadership methods overall. But one of the things I encountered early on in my leadership learning journey was the concept of routine.</p>\n\n\n\n<p>As with most leadership practices I hold, routine has more than one purpose. From a very pragmatic standpoint, routines provide predictability and the more predictable something is, the lower the cognitive load becomes, which in turn lets you use your thinking power for something better. For instance, if you know that in every check-in with your team lead, she&#8217;s gonna ask you what you were proud to have shipped last week, what you want to ship next week, and what things stand in the way of your plans, then you know that that is what you have to prepare for.&nbsp;</p>\n\n\n\n<p>The knowledge work, the thinking part. The thinking part stops being, what is my team lead going to ask me and starts being what is the problem that she can help me solve?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:00]&nbsp;</p>\n\n\n\n<p>But from a more human standpoint, that kind of predictability helps us to understand when something that happened is out of the ordinary. Whether it&#8217;s a notification of a comment left on your blog or syntactical highlighting that lets you know that you&#8217;ve written something that&#8217;s out of voice or against grammar standards, it just lets you know that something is unusual there and deserves your attention.&nbsp;</p>\n\n\n\n<p>Now for me, this has a lot of applications across the WordPress project. There are the obvious things like the cadence of our major release cycles or our notification system, which honestly could use a bit of TLC, a little bit of elbow grease.</p>\n\n\n\n<p>But there are also less obvious things that this idea still applies to simply because of the way our brains work, the information architecture on our sites, for instance. It should make sense visually and semantically because that makes it easy for us to skim and predict where the highest value content is for us. Or the user interface across the back end of our software.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:00]&nbsp;</p>\n\n\n\n<p>Having familiar tasks or actions across any type of content or area of content makes it easier for a site maintainer to flow from one area of a site to the next, fixing things as they find them without necessarily having to stop and put down their hammer and pick up a screwdriver or whatever metaphor works for you. Or if you&#8217;re doing more nuanced work, like put down your timpani mallets and pick up your xylophone mallets.&nbsp;</p>\n\n\n\n<p>So, yeah, consistency. Consistency is the topic of today&#8217;s gentle rant. I get really worked up about it because I feel like consistency ends up being this euphemism for being boring. But I honestly believe that it&#8217;s the consistency and the dependability that make it clear what is supposed to be exciting, the things that are different enough that they merit our attention.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:38]&nbsp;</p>\n\n\n\n<p>Which, fortunately, now brings us to our small list of big things. It&#8217;s actually a pretty big list today and also a bunch of pretty big things. So first thing to know, there was an additional beta added to this release cycle.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:00]&nbsp;</p>\n\n\n\n<p>It was beta five; it came out last week, I think. There was a bit of a regression that we worked our way through. And so RC1, release candidate one, is going to be postponed a little bit because of that. But don&#8217;t wait until RC to start testing, obviously RC is tomorrow, so that means you get to test, like, today!</p>\n\n\n\n<p>The second thing on our small list of big things is that we have the WordPress 20th anniversary coming up. That&#8217;s May 27th. And you can join in the celebrations. So at WordPress&#8217;s 10th anniversary and 15th anniversary, we had like a big, ongoing global set of parties, like Meetup events got together and made cakes, or did a concert, or did a hackathon for various reasons.</p>\n\n\n\n<p>Like they all got together on May 27th or thereabouts and did some really fun, like celebration of how far WordPress has gotten them and how far they hope to be able to go with WordPress.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:00]&nbsp;</p>\n\n\n\n<p>So if you are from the before times WordCamp kind of organizing timeframe, you know that we always consider WordCamps to be like an annual celebration of the excellence of your community and how much you all come together and how different you are as part of this overall big WordPress-y thingy.&nbsp;</p>\n\n\n\n<p>All right. Third item that we have is that, I know that I mentioned this in the last WP Briefing as well, but we have another session of the diverse and inclusive WordPress events coming up that&#8217;s happening on March 16th. So coming up really fast, we&#8217;ll put a link to that in the show notes as well.</p>\n\n\n\n<p>And the final thing, I don&#8217;t remember what list number we&#8217;re at, but the final thing is that there is a proposal out there right now to modify the events and news widget that we use inside the WordPress dashboard. If you&#8217;re not familiar with it, it is a place where all of the local-to-you Meetup events get listed.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:00]&nbsp;</p>\n\n\n\n<p>It&#8217;s where all of the news items from various WordPress media outlets get published. We just have a link to it there. And so, we would like to make some changes to that so that we&#8217;re able to include not only specific location types of events but also events that are location agnostic because they&#8217;re online but might have a specific, identifying niche that you particularly find interesting.</p>\n\n\n\n<p>So it might be for Spanish speakers or for women in particular, or whatever it might be. There&#8217;s a proposal out for that. We&#8217;ll put a link to that in the show notes as well.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14621\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.2 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 17:39:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14619\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:316:\"WordPress 6.2 Release Candidate 1 is now available for download and testing.\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC 1 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10157:\"\n<p>WordPress 6.2’s first release candidate (RC1) is here and ready for testing.</p>\n\n\n\n<p>Reaching this part of the release cycle is a key milestone. While we consider release candidates ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>The official release of 6.2 is just three short weeks away on March 28. In open source, we say with <a href=\"https://en.wiktionary.org/wiki/given_enough_eyeballs,_all_bugs_are_shallow\">many eyes, all bugs are shallow</a>, so we ask everyone across the WordPress ecosystem—theme and plugin developers, educators, agencies, and creators—<a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">to jump in and help test</a>.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC1 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC1.zip\">RC1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<pre class=\"wp-block-code\"><code class=\"\">wp core update --version=6.2-RC1</code></pre>\n\n\n\n<p><em>First-time tester? <a href=\"https://make.wordpress.org/test/handbook/get-setup-for-testing/\">Here&#8217;s a guide to getting started</a>.</em> </p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s in WordPress 6.2 RC1</h2>\n\n\n\n<p>This release includes over 900 enhancements and fixes and is the first major release of 2023.&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">Gutenberg commits on GitHub</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=2023-02-21..2023-03-01&amp;milestone=6.2&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Core Trac Tickets</a></li>\n</ul>\n\n\n\n<p>WordPress 6.2 comes packed with enhancements to make everything you do smoother, faster and a little more inspired:</p>\n\n\n\n<ul>\n<li>A refreshed Site Editor for easier template browsing</li>\n\n\n\n<li>A new sidebar experience in the Navigation block for simpler menu management</li>\n\n\n\n<li>Reorganized block settings with separate tabs for Settings and Styles</li>\n\n\n\n<li>New inserter design that lets you add Media—including Openverse and its more than 600-million-item catalog, plus your entire Media Library—and better categories</li>\n\n\n\n<li>More header and footer patterns for block themes</li>\n\n\n\n<li>A new Style Book that shows your entire site’s look and feel all in one place</li>\n\n\n\n<li>New controls to let you copy and paste block styles for faster, simpler design across your whole site</li>\n\n\n\n<li>Custom CSS you can add for those finishing touches, per block and globally</li>\n\n\n\n<li>Sticky positioning to keep important blocks fixed when scrolling</li>\n\n\n\n<li>Distraction Free mode for moments you want to focus on writing</li>\n\n\n\n<li>New options that let you import certain widgets from classic to block themes</li>\n\n\n\n<li>The removal of the Site Editor’s beta label—welcome to the next generation of WordPress</li>\n</ul>\n\n\n\n<p><em>Want to see some of these featured highlights in action? Check out the <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">WordPress 6.2 Demo</a> recorded March 2, 2023.</em></p>\n\n\n\n<p>Do you crave a deep dive into tech specs? These recent posts cover a few of the latest technical updates. This is not an exhaustive list, but it should get you started:&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNP\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qR8\">Shadows in Global Styles</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qME\">Introducing the HTML API</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qM4\">Miscellaneous Editor Changes</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNm\">Custom CSS for global styles and per block</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qLf\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qPp\">Enhanced accessibility</a></li>\n\n\n\n<li>And much, much more</li>\n</ul>\n\n\n\n<p>These are also compiled into a <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">comprehensive WordPress 6.2 Field Guide</a>.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Let&#8217;s go on a bug hunt!</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If it’s your first time, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> is a great resource to lean on.&nbsp;</p>\n\n\n\n<p>From a global perspective, every time you test a pre-release version, you help secure the future of WordPress. How? By helping the community prove the software is stable, easy to use, and as bug-free as possible.&nbsp;</p>\n\n\n\n<p>Want to know more about testing releases in general? You can follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Interested in the details on the latest Gutenberg features? Find out what’s been included since WordPress 6.1 (the last major release of WordPress). You will find more details in these <em>What’s new in Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-0-18-january-2/\">15.1</a>, <a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\">15.0</a>, <a href=\"https://make.wordpress.org/core/2023/01/04/whats-new-in-gutenberg-14-9-4-january/\">14.9</a>, <a href=\"https://make.wordpress.org/core/2022/12/22/whats-new-in-gutenberg-14-8-21-december/\">14.8</a>, <a href=\"https://make.wordpress.org/core/2022/12/09/whats-new-in-gutenberg-14-7-7-december/\">14.7</a>, <a href=\"https://make.wordpress.org/core/2022/11/23/whats-new-in-gutenberg-14-6-23-november/\">14.6</a>, <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">14.5</a>, <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">14.4</a>, <a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\">14.3</a>, and <a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\">14.2</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A special thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes?&nbsp;Your products play a special role in helping WordPress do more things for more people across the world. In turn, more people in the WordPress Community mean a bigger, more robust open web.</p>\n\n\n\n<p>Chances are, you have already been testing your latest versions against the WordPress 6.2 betas. With RC1, you will want to finalize your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.2 release cycle.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Hungry for even more?</h2>\n\n\n\n<p>Want to know more about what went into the making of WordPress 6.2? Please check out the <a href=\"https://make.wordpress.org/core/6-2/\">6.2 release cycle</a>, the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>, or search for <a href=\"https://make.wordpress.org/core/tag/6-2/\">all things 6.2 related</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Another haiku for 6.2—it’s tradition!&nbsp;</h2>\n\n\n\n<pre class=\"wp-block-verse\">Beta has left us<br>The code sings such happy songs<br>Six point two RC</pre>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: </em><a href=\"https://profiles.wordpress.org/laurlittle/\"><em>@laurlittle</em></a><em> </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>@cbringmann</em></a><em>, <a href=\"https://profiles.wordpress.org/audrasjb/\">@audrasjb</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a>. Haiku by @<a href=\"https://github.com/nomad-skateboarding-dev\">nomad-skateboarding-dev</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14619\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Your WordPress 6.2 Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14573\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"Watch this ‘live product demo’ recording with release squad members Anne McCarthy and Rich Tabor as they share exciting enhancements anticipated for the WordPress 6.2 release.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:67367:\"\n<p>On March 2, release squad members <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> presented a live product demo of all the delights coming in WordPress 6.2, set to release on March 28, 2023.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-videopress wp-block-embed-videopress\"><div class=\"wp-block-embed__wrapper\">\n<iframe title=\"VideoPress Video Player\" aria-label=\'VideoPress Video Player\' width=\'500\' height=\'315\' src=\'https://video.wordpress.com/embed/5nQlEknZ?at=31&amp;hd=1&amp;cover=1\' frameborder=\'0\' allowfullscreen allow=\'clipboard-write\'></iframe><script src=\'https://v0.wordpress.com/js/next/videopress-iframe.js?m=1674852142\'></script>\n</div></figure>\n\n\n\n<p>A first-of-its-kind event in the world of WordPress releases, the showcase was moderated by fellow community member <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a> and joined by nearly 90 participants.&nbsp;</p>\n\n\n\n<p>During the demo, Anne and Rich highlighted some of the new features and enhancements that will continue to revolutionize the way you interact with WordPress. They gave a quick tour of the Site Editor’s refreshed interface, which lets you browse and preview templates before editing. They also covered all the new and highly anticipated ways to manage styles, as well as improvements to the Navigation block, new collections of header and footer patterns, the new distraction-free mode for focusing on writing, and plenty more.&nbsp;</p>\n\n\n\n<p>It was a jam-packed hour that sparked plenty of excitement—and a lively question and answer session that wrapped up the event on a high note. The presenters weren&#8217;t able to answer all the questions that were posed so they were <a href=\"https://a8c.slack.com/archives/C04S7RYK0F3/p1678330454722129?thread_ts=1678330090.320659&amp;cid=C04S7RYK0F3\">collected and answered in a follow-up post</a> on <a href=\"https://make.wordpress.org/core/\">Make.Wordpress.org/Core</a>.</p>\n\n\n\n<p>Watch the recording of the live demo in case you missed it, or want to relive the moment (and the funky fresh demo site designed by Rich). You can find a full transcript of the live demo below.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Referenced Resources</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/2https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/%201/6-2-live-product-demo/\">Live demo announcement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">6.2 release roadmap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Wrapping Phase 2 of the Gutenberg project</a><strong>&nbsp;</strong></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\">6.2 release enters Beta 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">Beta 4 and the latest call for testing</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/47043\">Fixed/sticky positioning GitHub issue</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">Learn WordPress</a></li>\n\n\n\n<li>FSE theme developers on Twitch: <a href=\"https://www.twitch.tv/daisyonwp\">daisyonwp</a> and <a href=\"https://www.twitch.tv/ryanwelchercodes\">ryanwelchercodes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://github.com/annezazu\">Anne McCarthy on GitHub</a></li>\n\n\n\n<li>Learn WP workshop: <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291813021/?isFirstPublish=true\">How to create a website on mobile</a></li>\n</ul>\n\n\n\n<p><em>Props to <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a> and <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> for co-authoring and editing this post, <a href=\'https://profiles.wordpress.org/evarlese/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>evarlese</a>, <a href=\'https://profiles.wordpress.org/courtneypk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>courtneypk</a>, and <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a> for captioning, and <a href=\'https://profiles.wordpress.org/robinwpdeveloper/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>robinwpdeveloper</a> for uploading the recording files to wordpress.tv.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14573\"></span>\n\n\n\n<pre class=\"wp-block-preformatted\"><strong>Nathan Wrigley </strong>0:22  <strong>\n</strong>How are we doing? Should we go for it?\n\n<strong>Anne McCarthy  </strong>0:24  <strong>\n</strong>I think we can start.\n\n<strong>Nathan Wrigley </strong> 0:26<strong> \n</strong>Why not? The recording has started. So let\'s get, let\'s get cracking.\n\nHello, welcome everybody to the WP 6.2 Live Demo outline. I\'m Nathan Wrigley. I do a few things around the WordPress community, mainly to do with video and podcasting and things like that. But it\'s not about me.\n\nToday, we\'ve got two fabulous guests. We\'ve got Anne McCarthy and Rich Tabor, and they\'re going to do a full on Product Demo. It\'s a little bit unlike things that you may have seen, because in the more recent past, lots of new features have been added. And so Rich, and Anne are going to spend the time on the screen in a moment, and they\'re going to show you all of the bits and pieces that you may find dropping into a WordPress install near you. Let\'s hope. There\'s been a lot that\'s been happening, so there really will be probably 20 or 30 minutes of live demos, so look forward to that. I\'ve got to get them to introduce themselves in a couple of moments.\n\nJust before that, though, a little bit of housekeeping. This is going to be recorded, so if you have to drop out halfway through and go elsewhere, completely fine. It\'s going to be posted at the Make/Core website, but it will also come fully complete with a transcript as well. So, if that\'s something that you\'re looking for, that will all be there. Also to say that if you want to post any questions, we\'d love that. In fact, there\'s a whole portion at the end when Rich and Anne have finished speaking, where we\'re going to field questions toward them. Now there\'s really two places to do that. If you\'re live with us on Zoom, then if you hit the Q&amp;A button at the bottom of the screen and post your questions in there, I guess specifity... specific... Whatever that word is, be specific. Help us out. Tell us exactly what you want to know and we\'ll get the questions to them. The other way to do that is to go into Slack. And there is a channel in there, #walkthrough. And if you want to post any questions in there as well, that would be great. So yeah, just to recap, Q&amp;A button if you\'re in Zoom, and use the Slack #walkthrough channel, if you are in the Making WordPress Slack. Okay, right. I think we\'ll take you guys one at a time if that\'s alright. First off a little bit of an introduction from both of you. Let\'s begin with with Anne McCarthy, shall we? Hello, Anne!\n\n<strong>Anne McCarthy  </strong>2:42<strong>\n</strong>Hello, hello. It\'s so good to be back on literally any sort of live stream with you.\n\nI appreciate that you\'re a part of this\n\n<strong>Nathan Wrigley </strong> 2:48<strong> \n</strong>Yeah, that\'s really nice.\n\n<strong>Anne McCarthy  </strong>2:49<strong>\n</strong>Well, I\'m Anne McCarthy. I\'m a product wrangler at Automattic. I live in Seattle. I also run the FSE Outreach Program, which is basically dedicated to testing all the latest and greatest of WordPress, which is part of why I\'m so excited to be part of this demo, is because so much neat stuff has come through this that I\'ve had the privilege of going through a little bit early on with the ever growing calls for testing. So that\'s a little bit about me, I\'ll pop it over to Rich.\n\n<strong>Nathan Wrigley  </strong>3:17<strong>\n</strong>Yeah. So Rich, if you want to take the baton there.\n\n<strong>Rich Tabor  </strong>3:21<strong>\n</strong>Yeah. Hey, everyone. I\'m Rich Tabor. I\'m a product manager at Automattic. And I work on WordPress and Gutenberg, in particular. From a little bit south of Atlanta, Georgia, in the US, and been building and tinkering with WordPress for I think, close to 11 years now. So it\'s, it\'s been a good run, and I\'m super stoked about where things are heading.\n\n<strong>Nathan Wrigley  </strong>3:43<strong>\n</strong>Yeah, and things definitely have been moving in a very much a forward direction, WordPress, 6.1. And WordPress 6.2. There\'s so much clear blue sky between the two of them. I think probably the best thing at this point is if we can have it, I don\'t know what whose screen is coming on. I think it might be Rich\'s, or maybe it\'s Anne\'s, I don\'t know.\n\n<strong>Rich Tabor  </strong>4:00<strong>\n</strong>Yeah.\n\n<strong>Nathan Wrigley  </strong>4:01<strong>\n</strong>If we can get that screen shared, then I will slide my way out of this call and say, Rich and Anne, it\'s... it\'s over to you. I\'ll be back soon as you\'re finished for any Q&amp;As.\n\n<strong>Anne McCarthy  </strong>4:14<strong>\n</strong>Awesome. Thank you.\n\n<strong>Rich Tabor  </strong>4:17<strong>\n</strong>Alright, everybody can see my screen right now?\n\n<strong>Anne McCarthy  </strong>4:19 <strong>\n</strong>Yes. Rich did an excellent job designing this. I do want to call this out that I love, absolutely love this.\n\n<strong>Rich Tabor  </strong>4:26<strong>\n</strong>Thanks, Anne. Yeah, this is actually running Twenty Twenty-Three. So it\'s kind of showcasing some of the things you can do just with the core theme. And some of the design tooling that we are, that has been built into 6.2. So this view here is the site editor. So I\'m going to orient you here. There\'s one big change here in particular, I want to call out visually, is this idea of the frame here on the right, and this will pull up the local template. So I\'m looking at my homepage of the site right now. If I navigate into other templates, I can pull those up here on the right as well. And then you can also navigate template parts. So this part\'s not very new to 6.2. But the idea of zooming in on different template parts and templates and having them appear here in the frame is. And that\'s important because of this concept of browse mode. And this is where you could dive into an actual page from the site editor. So here, I just pulled up the about page of the site, and I can click into it and actually start making changes. Now, the changes here within the post content block are going to be relative to this about page. But I can also modify the template which then changes the about, or changes the page on any instance of this particular template. So it\'s a new concept and how we can browse the site. But it\'s a very powerful, and really the first iteration of that way of managing a site.\n\n<strong>Anne McCarthy  </strong>5:50<strong>\n</strong>And also lightly introduced content editing in the site editor, as you mentioned. So it\'s a kind of a neat merging of the two worlds, which I know folks have long been wanting to see that unified. And same with the frame, it kind of adds a nice layer where instead of just being dropped in, like before, you kind of are given a more zoomed out view, which I think helps address a lot of the feedback that we saw around the orientation when you\'re entering the site editor.\n\n<strong>Rich Tabor  </strong>6:12 <strong>\n</strong>Yeah, exactly. And really, if we think a little bit further out than 6.2, this could also house setting to use. So we do have, you know, one view here that that is relative to 6.1, where you can see all of your different templates. But imagine if we had any other different types of settings and controls and different pages loaded within here, doesn\'t have to be just the front end templates and renders of your site.\n\nAlright, so we\'re gonna dive into this here. So you can go into it just by clicking on the frame. I\'ll do that one more time just to show, you just click on it. And now you entered right into it. You can edit it right off, so we can make changes, just as if we zoomed into it in the other way in 6.1. And then we have a bunch of styling tools that have been added to 6.2, so I want to kind of hone in on these. Like, this panel itself is not new. We have style variations, you can zoom in here, we\'ve got this new zoomed out view, where you can apply different ones at a time. And then we also have this icon here, which triggers the style book. Now the style book is a very interesting tool here that really lets you customize the theme\'s style guide, essentially. So I can go through each of these tabs, which are relative to the block categories, and see all of the blocks loaded on this particular site. So right here, I\'ve got like Button blocks and Columns block and whatnot. So if I click on one of these, it\'ll pull up the Style panel of that particular block. And then when I make changes over here, these are applied globally throughout my entire site. So if I want to change the way this button looks, let\'s say we do some smaller tags, maybe we\'ll add a little bit of letter spacing, and maybe make it capitalized. See, it\'s getting applied everywhere that the button is used. Also do some changes here to padding, perhaps. We\'ll do something custom here. I think that looks nice. And now...\n\n<strong>Anne McCarthy </strong> 8:13\nReal quick while you\'re doing this, I wanted to note that like this is something that folks have really struggled with previously with the site editor, where if you\'re editing a block that isn\'t in the template already, you\'re not able to see this. So as Rich is showing, you can actually look at any block that\'s being used in your theme and see how the change that you\'re making in styles will impact that. Where before, if the block wasn\'t present in that template that you were editing, it was hard to know exactly what was happening. And so now you have both the style book and this inline preview that you see in the Style section to rely upon, which is pretty neat.\n\n<strong>Rich Tabor</strong>  8:43\nYeah, exactly. And really, you could theoretically go in and design your entire theme with the style book. Now, I know there\'s some advantage to design in context of pages and whatnot. And I\'ll go into that in a bit. But the idea is that you really can quickly browse through all of the different blocks and tighten up what you want to within these controls. And it\'s not limited to the standard variation as well. There\'s also these style variations of each block that you can now manipulate as well. So we\'re gonna go in, say, we\'ll change the radius of this one. So we want it to be sharp like our other button. But we have these new controls. Like, this is a shadow control we\'ve added in 6.2, where you can apply, say, like this shadow here might be nice. This one here, and so some fallback shadows, within core that a theme can provide as well, its own values. But this now will apply for every single variation of the outline on my site here.\n\n<strong>Anne McCarthy  </strong>9:39 \nAnd you\'ll notice that it\'s not in the style book right now. And that\'s just part of the future feature development is showing the variations of blocks as well.\n\n<strong>Rich Tabor </strong> 9:47\nExactly, yes, I would imagine that this would this would show up the variations of the button block, yeah. Which is a nice way to really customize these, like it used to be only CSS would be used to manipulate these variations here. And now it kind of abstracts that away and you can do it within the editing experience. That\'s really nice. It really is. There\'s also this idea of block CSS, so you can add custom CSS that is scoped to a particular block. So if I add CSS here, it\'ll be applied for the button block wherever it\'s used. Now, I wouldn\'t recommend using additional CSS in most cases. I would, I would suggest using all the different controls that we\'ve built, that are built into 6.2. But the idea of using CSS to add a little pizzazz to this particular button block is fine. But just with that caveat that you wouldn\'t want to use it exclusively. Like I wouldn\'t apply a background color via CSS, I would rather use the background elements color here. There\'s also additional CSS, which emulates what was previously in the customizer. So we do have site wide CSS that can be applied within the site editor and also on the front end of your site. Again, I wouldn\'t emphasize using this exclusively, as there are a lot of new design tools that I would explore first, from the top level styles here where you can apply colors to the background, text and buttons. But if there was anything extra you wanted to add, you could do so within the stylesheet here.\n\n<strong>Anne McCarthy </strong> 11:21\nAnd I\'ll note we\'d love to hear feedback if there are certain things that you\'re repeatedly adding custom CSS for. So either commenting on a currently open issue, or if you don\'t find one, opening an issue would be super helpful, because it\'s neat to see what folks are using for CSS so we can fill those gaps.\n\n<strong>Rich Tabor </strong> 11:36\nYeah, exactly. So that\'s the global Style panel here. But there are some quite a few other improvements along with styling. So the first is the idea of pushing styles globally. So if I\'m in here, and I\'m designing, let\'s say I want to add a radius, I want to do some different typography as to appearance like this, like bold, italic look. And then we\'ll also...\n\n<strong>Anne McCarthy  </strong>12:07\nThat\'s cool.\n\n<strong>Rich Tabor  </strong>12:07\nThanks. Also, let me make the letter spacing, maybe we\'ll make it a little bit bigger, actually, and then, I think that\'ll work. Do these changes here and see I\'ve just styled this one particular block this button up here. And this button down here is still using the global styles that we designed earlier. But now I can go through my settings panel here and hit Apply globally. And I\'m going to here so we can see that happen. The styles are now pushed globally to all the other blocks. So this is really helpful for when you\'re designing in flow. And you don\'t necessarily want to abstract out into the style book and you want to push your changes that you just did here, because you like the way the button looks and want those applied everywhere, all at once. I think this is really powerful way to to quickly design within the editor. Another tool that is quite useful, I\'m going to take this heading here and manipulate this. It\'s the idea of copying and pasting styling. So we\'re going to use that same bold italic look, maybe we\'ll make that a little smaller, we can even manipulate this size to be a little bigger. Now we go here to copy styles. And then I can come all the way down here to this other heading that\'s very similar, and paste it in. And there we have that style applied just to these two headers. And you would do this when you don\'t necessarily want every single heading to have this effect. But perhaps there are like elements on this page that you want to push those changes to, specifically. So copying and pasting allows you to be very granular, whereas applying styling globally, lets you be more of a holistic design experience for pushing styles. Another neat...\n\n<strong>Anne McCarthy  </strong>13:57 \nOh, real quick, I just wanted to know like I think one of the things that\'s interesting is, as we\'ve added more design options to blocks like this is part of the experience of scaling things and making it easier to use. So when we think about like intuitive and delightful. Some of these tools coming into 6.2 really take you know, the tons of design tools that we\'ve added over the last couple releases and makes it easy so you can actually tweak things and then reuse. So I think that\'s one of the things I want to call out is it\'s kind of this crescendo. Where now the tools that are coming to 6.2 to really ease the experience and allow you to do a lot of neat stuff where rather than having to re-tweak everything through every single heading block. A lot of stuff is used. So...\n\n<strong>Rich Tabor  </strong>14:34\nYeah, exactly. WordPress is moving towards a design tool and less of like, what you see is what you can only have. It\'s more of an expression of creativity and it really does open up the doors for for designing beautiful pages on the web. I think it\'s really powerful.\n\nAnother cool bit that we\'ve added is the idea of sticky positioning. So headers would be nice sometimes if they stick to the top, so for top level group blocks, this is a group block here, there\'s this new position attribute where you can assign it to sticky. And as you can see, right in the editor, it\'s already showing me that this is sticky on the front end. And also here as well. It\'s only available for top level blocks for now, there\'s still some some odd stuff to figure out on how we communicate when something is not going to stick due to the the parent height of the elements around it. But for top level, it\'s still fine. So we have it here. But there are some iterations that are already happening for the next release that will kind of bring this into more, bring some more capabilities to this particular feature.\n\n<strong>Anne McCarthy  </strong>15:44 \nYeah, and I\'m very excited because one of the things I wanted to briefly call out was the how the header, the template part has that purple. So another neat thing coming to this release, that was a big part of feedback for the outreach program was having to look parts and reusable blocks having a different coloring, because there are different kinds of blocks are synced across the site, when you make little changes and impacts everything everywhere. So that\'s another neat thing that\'s coming with this release, is that you can kind of see those a bit differently in the List view as well as when you\'re in the editor. I see Nathan has his hand raised. Is that intentional? Oh, it\'s removed. Okay.\n\n<strong>Nathan Wrigley </strong> 16:23 \nIt was not intentional. That\'s my mistake. I\'m sorry.\n\n<strong>Rich Tabor </strong> 16:28 \nYeah, it helps you see quickly too like, what is the template part, particularly for headers and footers, it makes it easier to browse quickly.\n\nSo speaking of template parts, and patterns in particular, so headers and footers, are new patterns added within WordPress 6.2. And now that they\'re loaded, actually from the pattern directory, which is kind of neat. And I\'m going to show you how to replace a footer with one of those other patterns. So if you have your footer template parts selected, you can go to replace footer. Now this flow is not new to 6.2, but it\'s going to call out these other improvements. And then you just click one there, and you have it loaded here, that\'s the site logo that I\'m using up here as well. And you can modify this text without having to do any any funky PHP filters or moving actual templates. And if you want to change it again, you go back to replace say, let\'s pick this other one, let\'s try this one. It\'s kind of nice. And there\'s this focus view, or you can zoom in to just the footer itself. You can even check the responsiveness of it and see how it, how it reacts on mobile, and make any of your changes here and have those persist over to the actual template whenever you close it out. It\'s a nice way to really kind of clean up the editing experience. So you\'re not seeing this entire group of groups and instead kind of focusing on what you\'re actually wanting to complete. You can do the same for the header as well.\n\n<strong>Anne McCarthy  </strong>18:01\nYeah, and as Rich mentioned, there are some new patterns that are being bundled from the directory, which I think are really extensive. Regardless of what theme you\'re using, there\'s going to be some pattern for group patterns that help democratize design where you can use them in anything.\n\n<strong>Rich Tabor  </strong>18:15\nYes, that\'s right. All right. So navigation. Navigation has gone under a... quite a bit of work in the last a couple of months. And really, this is all about trying to make it easier to manage your site\'s navigation and also add pages and links and then even styling. So there\'s this new dedicated list view for the navigation block. So it\'s essentially emulating a little bit of what\'s available over here except for you had to kind of get down to it. Now it brings it top of mine and the surface area here. You can drag them around, move them up and down, even add submenu links and remove them as well. And then you can style it like normal. And now apply different styles via the styles tab to the block itself, or even individual page links and whatnot, you can dive into them and manage them all from here, instead of having to only manage them from up here. This really kind of abstracts the complexity from from this particular canvas interface into a more familiar interface here on the sidebar. It\'s really a great effort. And it\'s it\'s taken some time to refine but it\'s getting there and it\'s feels a lot nicer.\n\n<strong>Anne McCarthy  </strong>19:30 \nYeah, there\'s been a lot of good feedback about this as well just because it kind of is meant to marry the classic experience with bringing blocks into it. So it is in addition to being edit, editing on canvas, so if you really want to continue to edit as a block you still, you can continue to do that. But it does add a nice interface and the block settings where you\'re able to do it. And I\'ll briefly call out here the split settings, which we\'ll probably talk about later. But you\'ll see here for more complex blocks, there\'s some nice split settings making it a little bit easier, more intuitive to go through.\n\n<strong>Rich Tabor </strong> 20:02\nYeah, that\'s right. And if you take a look at navigation here, this is very similar to this component added here. And, and that\'s, that\'s purposeful, we want it to look and feel familiar. Either way you\'re managing navigation. So you can also add some menu items here, remove them and drag them around and reset them here, as well as browse into the individual pages. So that\'s what I have for the site editor portion of the demo. And did you have anything else you wanted to add to this, Anne?\n\n<strong>Anne McCarthy  </strong>20:37\nOh, could you resize the Browse mode for me? I just love the resizing. I think it\'s kind of cool. This is just like a fun, you know, thing to call out. But maybe you won\'t noticem but you can resize it. So as you\'re quickly going through your site, if you want to see how it looks in different ways, you can also do that. So that\'s the final thing I\'ll shout out.\n\n<strong>Rich Tabor  </strong>20:56\nYeah. So then, yeah, exactly. It\'s... there\'s a lot of fine, fine touches like that. Well, we can\'t obviously can\'t call them all out today. But it is really getting tightened up overall as an admin experience for the site.\n\n<strong>Anne McCarthy  </strong>21:12\nIt\'s such a great foundation in the future, for sure.\n\n<strong>Rich Tabor </strong> 21:15\nExactly, exactly. Alright, so if we press this back button here, it goes right back to the dashboard, I\'m gonna go and leave...\n\n<strong>Anne McCarthy </strong> 21:25\nThat back button was a big piece of feedback people had they would get into the site or not know how to get back out. So I appreciate you calling that out.\n\n<strong>Rich Tabor  </strong>21:32\nYeah, exactly. It\'s been through a number of iterations. And I think we\'ve settled on something that feels feels nice; it does feel nice.\n\n<strong>Anne McCarthy  </strong>21:41\nI agree.\n\n<strong>Rich Tabor  </strong>21:43\nSo...\n\n<strong>Anne McCarthy  </strong>21:44\nAh yes, the removal of the beta label.\n\n<strong>Rich Tabor  </strong>21:46\nYou want to talk to this, Anne?\n\n<strong>Anne McCarthy  </strong>21:48\nYeah, I would love to jump in on this actually. So you\'ll notice that the beta label is removed for this release. And part of why we wanted to show it now is to see how all the features, how the experience has changed, how much more you can do. And all of that has led to the removal of the beta label. And that doesn\'t mean that feature development is done that it\'s like, you know, gonna stay this way forever, it just means it\'s in a place where we invite you all to try to the site editor, it is out of beta. And a lot of development work has gone into testing this. So we\'ve had almost, I think, 20 calls for testing with the outreach program. It\'s been through multiple major WordPress release cycles, there is still more work to be done. But I\'m very excited to see the beta label removed, I think the features that are coming to 6.2. And the foundation that is set with 6.2 really marks a level of maturity. That is pretty exciting. So consider this an invitation to try out modern WordPress, and to check it out.\n\n<strong>Rich Tabor</strong>  22:43\nA hundred percent, I couldn\'t have said it better.\n\nAlright, so another neat part that\'s added recently for 6.2 is this idea of distraction free mode. So it\'s not turned on by default, but I have it on so we can see the results here. So you can go in and type right here. And then actually, I\'m gonna throw in some Lorem here. So you can see it in action. So this feels more like a text editor and less like a Block Editor. Whenever distraction free mode is on even the the multi block selection, it feels really nice. It doesn\'t there\'s not this idea of blocks, even it\'s kind of abstracted from here, there\'s less noise, there\'s less distraction. And just think that the idea is that it\'s just you and your words, it\'s just writing and publishing. And if you want to publish, you can hover over here, you\'ll see the toolbar come down, you can hit Publish or draft. And then this is how you would turn it off and back on here. And then you still have control of all the existing tool. And it\'s just a much simpler, streamlined interface. And you do have access to blocks, you can still add them if you\'d like to, but the idea is just being able to write without the distractions is really powerful. And a really nice publishing experience overall.\n\n<strong>Anne McCarthy  </strong>24:08 \nAnd this is for everyone. So this is like a lot of stuff we\'re coming to say it or using a block theme. This is available for anyone who\'s using the Block Editor. And to be honest, I use this for basically all my writing now. Especially for any post or page, I typically will go into this mode. So I\'m very excited about this. And I hope folks feel the same way.\n\n<strong>Rich Tabor  </strong>24:28\nYeah, exactly. I\'ve been using that too for quite a bit. But the thing is, is also not only for post editing, so I have a page here that I\'ve created. And I have distraction free mode turned on, which kind of removes all the extraneous tooling and it really lets me focus in on the actual blocks here so I can manipulate them to an extent. I can even drop in different imagery for these images here and modify the buttons and whatnot and even add more blocks but the idea is it\'s almost like a simplified editing experience for pages as well, not only for posts. And here, I\'ll come up here and turn off distraction free mode to see it all in real time.\n\n<strong>Anne McCarthy  </strong>25:13  \nAnd this isn\'t yet available for the site editor, but I have a feeling a number of folks are going to be keen to see that put in there as well.\n\n<strong>Rich Tabor </strong> 25:20  \nExactly, yeah, I don\'t see why it wouldn\'t work in the site editor as well. I think it\'d be very nice. Yeah. So we have some other improvements here that are fun. So this inserter here has gotten a couple of changes here. So blocks looks familiar, it\'s still the same, but patterns is where we started seeing some changes. Instead of having some featured patterns loaded in a block category selector, we\'ve split them out individually as their categories here, you\'re gonna load up some of the different header patterns that are loaded in WordPress 6.2. So you can load them here and see them in this tray, and then click to add them to your site. Which is really nice, it\'s a nice way to kind of go through them quickly and see a bunch of different ones. We also have the media tab up here, which is new, which splits out the images from your Media Library, videos, and audio as well, including the Openverse library. So this is a catalogue of, I believe, over 600 million free, openly licensed stock imagery. And you could search from right here in the inserter. So let\'s type in birds. And click on one, and it will add an image block with the image already added to it, we have got the caption down here. If you don\'t want the caption, you just turn it off right here, this little control that was added. And now you can manipulate it right off. So let\'s say this, drop it into here. Maybe we\'ll make these about the same size and move it over to something interesting.\n\n<strong>Anne McCarthy  </strong>26:53\nAnd I\'ll note that there was a GDPR concern around the images being properly uploaded rather than hotlinked. And I wanted to just note that that\'s been addressed. So the images are uploaded to your Media Library. That\'s why. So in case anyone has that question. Sorry, continue.\n\n<strong>Rich Tabor  </strong>27:08\nYeah, no, that\'s a good point. It\'s very important. A key benefit to have this flow here is that instead of instead of having to add an image block, and then open your Media Library, and then pick an image, and then you have it here, it\'s really this one flow of searching visually, and searching here, as well. And then having it added as an image block already. So it kind of skipping all the extra steps that you always have to do anyhow, it\'s really nice. And we have a couple of interface changes. So there\'s the settings icon up here that used to be a cog, and now it represents the sidebar itself. So when you open it, the sidebar is triggered, if that\'s closed. And that\'s changed for a couple of reasons. But one of the bigger reasons is, as I mentioned earlier, this idea of split tabs, so we have the cog for settings. And that\'s when a block has additional settings that are not per the norm of the styles that are available within WordPress, then you\'ll have a new settings tab pulled out here. And that\'s to keep the density nice whenever you\'re editing and it feels good instead of having everything kind of in your face all at once. Now for other blocks, like the paragraph block, there\'s not additional settings, so automatically not included. The tabs up top and just be everything top level. But  when a third party plugin adds like a different settings panel, or even if you extend one of these core blocks that does not have one, and a detects one should be auto added as well. So it\'s kind of just like a nice, fluid way to continue improving the experience of editing within WordPress.\n\n<strong>Anne McCarthy </strong> 28:49\nYeah, so plugin authors can also kind of make sure where they want settings and styles to show that it shows up correctly. And there\'s a dev note about that as well.\n\n<strong>Rich Tabor  </strong>28:58\nYes, that\'s right, you can you can decide as when you\'re extending or adding your own inspector controls. That\'s what these are called here, whether or not they\'re included within styles or settings as well. Yeah.\n\nThen another smaller change that\'s kind of nice is this idea of pulling the outline from its own toolbar item up here into the list view. It\'s because they\'re very relative, you know, a list of all the blocks on your page, also an outline of what\'s going on. So they\'re combined now into this one view. We also have time to read word count and character count here, which is nice. And then this is a little guide here that just helps you understand the structure of the importance of the structure of the document and making sure that it is properly structured. All right, was there anything else that we wanted to add you think, Anne?\n\n<strong>Anne McCarthy  </strong>29:51\nI\'ll add one last call out just because I\'m trying to think about like little dev tidbits if you want to disable it prefers there is a way to disable Openverse as well I know that\'s always a concern. We add something it\'s like, okay, how do we get rid of because I don\'t want a client getting into it, there is a way to disable that is documented as well. The other thing is the pattern. So there\'s new categories, the patterns. And so query is now posts, a couple of things were merged, there\'s no call to action. And there\'s also some lovely, which I\'m gonna brag on Rich, again, some new text based, query patterns. We have a lot of visual patterns for the query loop, and now there\'s wonderful, more text focused ones, which I think is really exciting. And just another great way where patterns have evolved and patterns is obviously a huge part of the future building with WordPress. So I\'m very excited about those and keen to see just more variation with query loop, I think it\'s really powerful block to make easier to use. So I\'m excited to see it. Otherwise, I think that\'s, I think that covers a lot of what we were trying to go through.\n\n<strong>Rich Tabor </strong> 30:57\nYeah, and there\'s certainly more. There\'s a lot of interesting, minute details that are, you know, quality of life improvements around editing and designing. And we can\'t cover them all today. But it\'s just, there\'s a lot of exploratory ideas and cool, interesting pieces that have been the result of lots of feedback and lots of testing, like I mentioned earlier. And, you know, it\'s really a testament to open source and contributing and really working together as a team to make this thing we call WordPress ours and making it a brilliant publishing experience. So just thank you to everyone who\'s put in time ideas, effort, code, design, marketing, copy, all of that, and more to making this what it is. It wouldn\'t be possible without you.\n\n<strong>Anne McCarthy  </strong>31:46\nTotally agree. And thank you, Rich, for doing such an excellent job building this site and demoing all this.\n\n<strong>Nathan Wrigley  </strong>31:51  \nYeah, indeed. Thank you, Rich. Thank you, Anne. Just to let you know that, in theory, there\'s possibly up to about 25 minutes left. If anybody wishes to pose a question, we\'re going to do our best to get the answer directly from Rich and Anne. Whether that means putting the screen back on, I don\'t really know. But we\'ve got a few that have come in. The place to put those, it would appear that some people have figured out how to do that in Zoom. But if you go to the walkthrough channel, in the making WordPress Slack, you can post some questions in there and all things being equal, we\'ll get them raised as quickly as we can. So we\'ve got a few. In all honesty, because they\'ve been copied and pasted from various different places, I can\'t necessarily say who the name of the person is that sent them. But first question I\'ve got over here for either of you. It says when you save globally, under the Advanced tab, does this change the stylesheet? Interesting.\n\n<strong>Rich Tabor  </strong>32:54 \nSo this will change the attributes of the blocks. So if I throw in that example, there, I pushed the attributes of that one block globally. So they\'re applied to every block. So it does affect some styles, but not writing any style sheet or writing to the core style sheets.\n\n<strong>Nathan Wrigley  </strong>33:11\nCan I ask the question? It\'s not something that\'s been submitted by anybody else, but it just occurred to me that as you were clicking the global button, I just wondered if there was a \"get out\" from there. In other words, if you inadvertently click the global button, is there an undo option in there? In other words, can you back away from all of the buttons suddenly changing or all of the H1s? \n\n<strong>Anne McCarthy  </strong>33:32 \nYou do have to hit save after. You can\'t just hit Apply globally. You have to hit save, and that\'s where the multi-entity saving pops up. The multi-entity saving is kind of strange in that it\'s not good at discarding changes. So you basically would just have to like leave. Like it would be like, Whoops, I hit that. You probably also have to hit the undo. Like there\'s - those are the two kind of options. So, yeah.\n\n<strong>Rich Tabor </strong> 33:54 \nYeah. The undo is like a global thing. It works there as well. Yes.\n\n<strong>Anne McCarthy</strong>  33:58 \nAnd there\'s a reason that feature is hidden, like under Advanced and collapsed. That\'s not necessarily for everyone. But for folks who do like to tinker, it is available.\n\n<strong>Rich Tabor  </strong>34:08  \nRight. And it\'s also only available in the site editor as well. So it\'s the more the global view of editing your site is where you can access that. \n\n<strong>Nathan Wrigley  </strong>34:17  \nPerfect.\n\nOkay, so I have a question from Zoom. Is copying and pasting styles as demonstrated just for core blocks? They go on to say more, which I\'ll read out. Some blocks collect, some block collections have their own C&amp;P, and I\'m curious what might carry over, if anything? And then there\'s a follow up. Also, if CSS classes are assigned to a block, will applying global styles to a block be to all of the same block, i.e. H2? Or, hopefully, will a custom class allow for a more granular global CSS? There\'s a lot in that question, but if we start with the: is copying and pasting styles demonstrated just for core blocks?\n\n<strong>Rich Tabor  </strong>34:56  \nSo it works for blocks that have leveraged the block support system within core. So if you have opted your block into using background color, and text color, link color, any of the layout settings, anything that was in the styles tab, then all of those would get pushed to or get copied or pasted or even pushed to the global application of styles as well. Now, if there\'s, if a block has done its own sort of background color attributes, I don\'t know that those would persist as well. But if you use what\'s available in core, it\'s really one or two lines of JSON will get you the background color support that you need. \n\n<strong>Nathan Wrigley</strong>  35:35\nAnything to add to that, Anne?\n\n<strong>Anne McCarthy  </strong>35:37  \nNo, just another reason to rely on what core is building. So it\'s a another great example of how these features will work together and how adoption helps whenever these new things come out.\n\n<strong>Nathan Wrigley  </strong>35:49  \nOkay, so we\'ll go on to the next question then. So this is from Zoom, and apologies, I don\'t know your name. Can we have this as a feature request? Can we have sticky sidebar block for some groups next release, please? \n\n<strong>Anne McCarthy </strong> 36:05 \nProbably would do a separate block, I\'m guessing. Yeah, do you have anything to add to that?\n\n<strong>Rich Tabor</strong>  36:11\nYeah, I would say we wouldn\'t need a sticky sidebar block. Right now that group lock in top level-only does support position sticky. And the only reason it was turned off like we did have it on for one of the Gutenberg releases for everything - for every group block - but it was turned off just because there was too much confusion around if you had a sticky element that wasn\'t didn\'t have enough space to stick for and enough height to stick. So it wouldn\'t actually be sticking. You wouldn\'t see a result of you applying a sticky position to it. So I think we can figure that out with some some UX to really clean that experience up so that you do expect and understand what\'s going on. When you apply that to a block. That\'s not the root level of the document. So it\'ll be there. It just takes a little bit more iteration.\n\n<strong>Nathan Wrigley</strong>  37:00\nOkay, another question. This time from Slack. When there are changes made in the site editor, are the templates still marked with the blue dots to indicate that the changes are in the database?\n\n<strong>Rich Tabor  </strong>37:14\nYes, from that Manage Templates view that I shared in the canvas, it will show up just like it did previously, when there are changes to one of the templates provided by the theme.\n\n<strong>Anne McCarthy </strong> 37:25\nYou can revert the changes, as well, as you\'re used to doing.\n\n<strong>Nathan Wrigley </strong> 37:30\nOkay, thank you. Anne\'s shared a link related to the question that we just posted. I don\'t know how Zoom works well enough to whether or not we can share the screen. \n\n<strong>Anne McCarthy  </strong>37:40\nI can briefly share my screen. \n\n<strong>Nathan Wrigley  </strong>37:42\nYeah, that\'d be great. Show us the GitHub.\n\n<strong>Anne McCarthy </strong> 37:43\nLet me try that. I just wanted to mention this in case people want to follow along in the follow up tasks related to this. I love to look at links. I\'m a nerd like that. So in case anyone else is, this is a lot of the follow up tasks and a great issue to chime in on or just follow if you\'re interested in this because there are some improvements to be made. But this is a neat report for now. So it\'s - oh, I just copied and pasted. So it\'s issue number 47043 in the GitHub repo.\n\n<strong>Nathan Wrigley </strong> 38:11\nSo 47043 related to the question that we just had. Okay, so another one from Zoom. This is Robin, who asked the question, can you show? It\'s just moved on my screen. There we go. Can you show us how to trigger the focus mode to view, say, for example, the footer on its own? So I guess we\'re back on the screen again.\n\n<strong>Rich Tabor  </strong>38:34\nSure. Everyone can see? Yep. So when you have a template part selected, you just hit the Edit button here and then it\'s focused into that as well. And then you have, again, the responsive controls here. All the existing controls, it\'s just localized to this template part.\n\n<strong>Nathan Wrigley  </strong>38:54\nHopefully that answers your question. Thank you, Robin. Just for anybody who\'s kind of lurking who has a question but hasn\'t yet posted it, please do. What are the chances that you\'re going to get Rich and Anne on the on the phone in the next few weeks? Pretty minimal, I\'d say, so make use of them while they\'re here. Ellen has done just that. She\'s in Slack. Ellen says, is there a plan to allow no title templates in the block editor as they are still included even in header and footer-only templates?\n\n<strong>Rich Tabor</strong>  39:28\nNo title templates. Like templates without a title? I\'m not quite.\n\n<strong>Anne McCarthy </strong> 39:35\nYou can just remove that block. \n\n<strong>Rich Tabor  </strong>39:36\nYeah, you can you can remove the post title block from a template. I\'m not quite sure if that\'s if that\'s what the question is asking.\n\n<strong>Nathan Wrigley  </strong>39:46\nEllen, if you\'re still in Slack and watching this, if you heard Rich and Anne queerying that, then if you can give some more clarity, we\'ll endeavor to get that answered.\n\n<strong>Anne McCarthy</strong>  39:57\nKnowing Ellen she knows exactly how to remove things. So I\'m like, I\'m curious. I\'m definitely - we\'re misinterpreting something because she\'s very - Not showing the title in the editor...?\n\n<strong>Nathan Wrigley  </strong>40:07\nYeah. Not showing the title in the editor. She says she\'s here. \n\n<strong>Anne McCarthy  </strong>40:12  \nI\'m like, \"Say more.\" \n\n<strong>Nathan Wrigley </strong> 40:14 \nYeah. Give us more. Give us more Ellen, and we\'ll get right back to you.\n\n<strong>Anne McCarthy  </strong>40:17\nLet\'s follow back up on that, because Ellen always has some good questions and good feedback.\n\n<strong>Nathan Wrigley</strong>  40:21\nAll right. We\'ll do just that. Again, another question from Zoom. This is posed by some anonymous person. Will the list views icon get the same treatment as settings?\n\n<strong>Rich Tabor  </strong>40:33\nI don\'t think it\'s in the plans. I don\'t think there are plans to change that. But list view icon, it\'s always the list view. So when you toggle it on and off, it\'s relative to what it is. Whereas on the other side, the settings can be block settings, page settings, template settings. Global styles is in that same area. So it\'s a little bit more context for the list view to stay a list view item.\n\n<strong>Anne McCarthy  </strong>40:58\nAnd I know that the question came up because the settings icon looks like there\'s that sidebar. And so there are who people have been asking like, will the same thing happened over here? Just for context. That was part of a discussion in a different GitHub issue.\n\n<strong>Nathan Wrigley </strong> 41:12\nOkay, thank you very much. I appreciate very much those people who are posing questions. That\'s really great. Again, just to prod you once more, feel free to add your own questions in no matter how big or small they are. We\'re here to help. So now we have a question on Zoom from Abdullah. And he coincides beautifully with a question I\'ve written down. Any good resources to learn FSE theme-based development? Can either of you point to a particularly good resource that you know of?\n\n<strong>Anne McCarthy  </strong>41:41\nYeah, Learn WordPress. There\'s tons of stuff on Learn WordPress that I would recommend. I also, Daisy Olson, who\'s Developer Relations at Automattic, has a Twitch stream going and some YouTube videos around block theme development. But I would recommend going to Learn WordPress. There\'s also some contributor-led initiatives. Carolina, who\'s one of the theme folks has, I think, it\'s fullsiteediting.com. And that was kind of like the original, go-to resource. And she\'s done an incredible job working on that and keeping it up to date. So yeah, there\'s tons of tons of resources. I will spare you from from sharing more, I don\'t know, Rich, you have more hands-on experience there. What\'s the most helpful for you?\n\n<strong>Rich Tabor</strong>  42:22\nYeah, there\'s some really great tutorials and guides on Learn that are relatively new, that are really helpful. And I see that the team there has been really cranking it out on the last year or two, like really putting a lot of effort into this. So I would, I would start there.\n\n<strong>Nathan Wrigley  </strong>42:38\nSo if you\'re not familiar with that, I guess it would be apropos to say go to your browser of choice and type in learn.wordpress.org and go and explore. Basically, there\'s a ton of materials that are getting updated on what feels like a daily basis at the moment. So, once more, learn.wordpress.org. Go and check that out. But also, Anne in the chat that we\'ve got going on here has linked to Daisy Olsen\'s Twitch channel, which - I\'m just going to read it out but hopefully I\'ll make it into the transcript. twitch.tv/DaisyonWP. And it\'s all one word. D-A-I-S-Y-O-N-W-P. Daisy on WP. So there\'s two great places to go. But the learn.wordpress.org is perfect.\n\n<strong>Anne McCarthy </strong> 43:24  \nI have to add one more thing, which is if you\'re not fully ready for block themes, one of the big things that I feel like needs to be emphasized more is you can gradually adopt. So all these features are being done. But maybe you want to only give access to a client to edit the header. You can do that. Maybe you want to leverage theme.json in your classic theme, you can do that. If you want to expose the template editor.\n\nBut use the rest of your themes across them, you can do that. So I want to also encourage folks to look into resources around gradual adoption, because it makes sense that this stuff isn\'t - From day one, there has been a focus on that. Adopt what you what you want, when you want and it\'s going to make sense to different people at different times. Matías once said that to me, and I think it rings really true. And so now that we\'re at this level of maturity, I think we\'re looking again and revisiting again, like okay, what can I use? What do I want to use? I think it\'s really important to mention. So if you\'re not ready to go all in, I encourage you not to just wipe it all away, but to think about how you can gradually adopt and also what would help you gradually adopt. So there is actually a label on GitHub started a couple months ago around - It\'s called blocks adoption. So if there\'s something that you see that you\'re trying to adopt the site editor, and it\'s preventing you from doing so, like we want to know about that. And you\'re welcome - I\'m going to just put this out here - @annezazu is my GitHub username, feel free to just like @ annezazu, \". This is blocking me from using the site editor.\" We want to know these things. Open issues. Please share, because that is also part of the phase of this work is making sure people can adopt as they can and that the tools are robust. There\'s a ton of resources as well. There\'s a page in the Theme Handbook around gradually adopting to block themes. So I just wanted to call that out.\n\n<strong>Nathan Wrigley </strong> 45:06 \nAnd just one more time, what was that? Give us, the give us the username.\n\n<strong>Anne McCarthy  </strong>45:11<strong>\n</strong>A-N-N-E-Z-A-Z-U. So like Zazu from The Lion King. It\'s an inside joke from middle school.\n\n<strong>Nathan Wrigley </strong> 45:19\nOkay, possibly the shortest question. This is from Sandy, I should say, Can Lotties be added to 6.2?\n\n<strong>Rich Tabor</strong>  45:28\nI would say that I did a quick search a few minutes ago and there are various blocks built by the community, which do allow you to add or embed LottieFiles to your site. I haven\'t tested any myself but feel free to dig into those. And if they\'re open source, they can contribute ideas or feedback on on those GitHub repos.\n\n<strong>Nathan Wrigley </strong> 45:49\nThank you very much. And Eagle has posted a question. When there are changes made in the site editor, are the templates still marked up - Did we have that one? We have, right? We\'ve done that. \n\n<strong>Anne McCarthy </strong> 46:01\nWe answered that one. Yeah.\n\n<strong>Nathan Wrigley</strong>  46:02\nI think we did. Okay, moving on directly then to Ian, what is - oh! Okay, what is the philosophy for mobile in the editor? Are there any plans to have a mobile view?\n\n<strong>Anne McCarthy </strong> 46:16\nThat\'s part of the dragging and resizing. And there\'s a lot of work being done around intrinsic design. And you can see on the developer.wordpress.org? What is the blog? I think it\'s /news. Do you hear audio?\n\n<strong>Nathan Wrigley  </strong>46:35\nI hear only your audio. I don\'t hear anything I don\'t wish.\n\n<strong>Anne McCarthy</strong>  46:36\nOkay, sorry. Something just started playing in the background out of nowhere and that just scared me. It\'s like all of a sudden, I was like, woah! Where was I?\n\n<strong>Nathan Wrigley </strong> 46:50\nSo we were talking about mobile views?\n\n<strong>Anne McCarthy </strong> 46:53\nYes, intrinsic design. There is a developer blog that if you\'re not following that, you definitely should, that addresses this around, basically showing that the mobile view points have exploded over time. It\'s now really not sustainable to try and have CSS and all this sort of stuff, mobile queries allowing for each view. So instead, how can we think about intrinsic design? And so that\'s like the best answer I can give. And for now, there is this nice resizing that you can do to kind of see how things scale. 6.1 introduced fluid typography, which was really exciting and part of this larger, intrinsic design set up. And I think we\'ll expect to see more of that over time. Sorry, for the brief mental break.\n\n<strong>Nathan Wrigley  </strong>47:36\nJust a quick reminder, we probably got 5, 6, 7 minutes or something like that before we start to wrap things up. So if you\'ve got any questions, please, please do post them in here. We have one from Paul who asks, is there any more work planned for pattern management in the future? And then WP Engine has released a plugin allowing easier management of patterns recently, I believe that was yesterday, it would be good to know if we should wait for core or assume that nothing else is coming soon.\n\n<strong>Rich Tabor  </strong>48:07\nYeah, I would say that pattern management is an important part of this new WordPress experience and having a way to create and manage local patterns, but also maybe push them to the pattern directory. And then on top of that, having a functionality built in where - it\'s kind of like a component based system where you have patterns where the design is the same across patterns, but content can change. All of that kind of falls into the same category of work. And that is something I believe WordPress will eventually do as well.\n\n<strong>Nathan Wrigley</strong>  48:41\nOkay, we\'ve got no more questions on the screen. So I\'m going to ask a question, if that\'s all right. You were demonstrating the distraction-free mode there where you could move things up, move things down, and resize pictures and images and so on. I was just wondering what the constraints on that are. So in the case of images, I could see that you could resize things. And with the text, I could see that you could, you know, highlight things and start typing wherever you wish. But I just wondered how the decisions had been made to set those parameters and those only. So yeah, around that, what\'s available in distraction-free mode? What limitations are there?\n\n<strong>Rich Tabor  </strong>49:17<strong>\n</strong>I would say, generally, it\'s what\'s available is what happens when you click on a block. The tooling is there available on the canvas before so resizing was available on the image but not the toolbar. So the resizing is still available when you\'re in distraction-free, but maybe not adding the caption piece or you know, those other toolings. It\'s almost like the content locking or content only locking API. It\'s very similar to that in a sense, but a little bit more tightened up.  Where just text and dropping in images - you can\'t necessarily open the Media Library from there unless you dive out of it. But you can drop another image onto that existing image to replace it. Some things like that.\n\n<strong>Nathan Wrigley  </strong>49:59<strong>\n</strong>It looks like a really excellent interface for people who just, well, want to concentrate on their writing. It sounds like Anne\'s all in on it.\n\n<strong>Anne McCarthy</strong>  50:05\nI use it every single day. It\'s amazing.\n\n<strong>Nathan Wrigley </strong> 50:09  \nIt almost felt like a Google doc minus all the bits and pieces at the top. Yeah, really, really nice. Okay, so we have some more questions. Weston is asking, what about optimizing the experience of editing using a mobile device on the web? So I guess that\'s a little bit maybe the question that we had earlier. How can... we how can we do things on a actual mobile device? \n\n<strong>Anne McCarthy </strong> 50:30\nThat\'s a great question. There are mobile apps. So there is the mobile team and using the mobile apps. I personally don\'t use mobile apps and sometimes will edit things from Safari on my iPhone SE 2.\n\nI actually was talking to someone - their username is Nomad Skateboarding. And from what I understand, he only builds client sites from his phone. And so one of the things I said to him, I was like, \"Give us your feedback. That\'s really cool. It\'s really unique. That\'s fantastic. Like, what pain points you\'re running into, what can we improve?\" Because there is obviously like, we are in a mobile first world. My phone is sitting right next to me. I would love to hear particular pain points folks have when trying to edit in that way. You can obviously use the apps. There are some quirks with the site editor, and that I know is partially being looked into and resolved. But yeah, I think there are probably - what we\'re building now should always translate back and there are teams trying to sync back and forth. And there was a recent post from the mobile team talking about what\'s the future of mobile editing. And so I would recommend - it\'s somewhere on Make/Core. I recommend digging that up and getting involved and honestly sharing your feedback. Because I don\'t think that is an experience that we talked about enough personally.\n\nIt\'s a great question. \n\n<strong>Nathan Wrigley  </strong>51:40\nRich, anything or should we move on?\n\n<strong>Rich Tabor  </strong>51:42 \nI think that was great.\n\n<strong>Nathan Wrigley </strong> 51:44 \nOkay, perfect. Um, um, um. Okay, we have an anonymous question. It says as page speed is a big challenge, how are we optimizing the blocks for better LCP score?\n\n<strong>Anne McCarthy</strong>  52:00 \nThere are, some interesting - sorry, Rich, I don\'t know if you wanted to jump in. I was going to start link dropping. \n\n<strong>Rich Tabor  </strong>52:05 \nYeah, you go ahead. Yeah. \n\n<strong>Anne McCarthy  </strong>52:07  \nYeah, there\'s some interesting work from André. Part of it involves actually adding tracking and making sure there\'s really good front end metrics. So there\'s kind of a twofer going on. In one fell swoop, we\'re focusing on better tracking and improving the tracking that we have for performance, particularly the front end. And then at the same time, also work is being done to optimize like style sheets. There\'s been some really neat stuff in previous releases that I bet I can pull up if you\'ll give me one moment.\n\n<strong>Nathan Wrigley  </strong>52:36\nYeah, whilst you try to find that, Anne, I think it\'s probably important to say that, if there are any questions which you wish to have answered which don\'t somehow get answered in the next few moments, then there will be posts created around this piece. So anything that goes missing, any question that is unanswered, there will be endeavours to get them answered. Right? Okay, show us what you got, Anne.\n\n<strong>Anne McCarthy  </strong>53:00  \nYeah. So this was a post I did for 5.9, in conjunction with a whole ton of folks who contributed and actually did this work, I just was kind of gathering it up. But you\'ll see sections here around block style sheets and CSS loading. And honestly, a lot of the work with the styles engine, which is part of the global styles project, can help give a lot of opportunity to actually improve this, I recommend checking out this post to see some of what\'s already been done. And then in the future, one of the discussions that we had recently with some folks across the community from Google, from Automattic, 10up, all over the place, including our lovely performance lead, Felix. We talked about some of this stuff and about how to talk about particularly themes and also just blocks in general. And thinking about some performance improvements and developer education and automated testing and all sorts of stuff. So I won\'t go too far into this. But I think a lot of work can be done. And some of it is being done around measuring more front end metrics and very recently, LCP was added and started to be tracked here, which I think is pretty exciting. \n\n<strong>Nathan Wrigley  </strong>54:05 \nI think following the performance team and Felix Arntz, in particular, would possibly get you quite a long way towards your answers there. Okay, a couple more. Firstly, there\'s a few people helping out in the Slack channel. So, appreciate that. We\'ve got Matías answering questions, and so on. So that\'s really amazing. Thank you. Another anonymous question, any plans to support CSS Grid?\n\n<strong>Rich Tabor  </strong>54:33 \nI think it\'s something worth exploring. Probably not the major priority coming up. But definitely some interesting aspects that we\'ve seen other... other building applications do that we can learn from for sure.\n\n<strong>Nathan Wrigley  </strong>54:47  \nOkay, we\'re very short on time now. I think we\'ve got to round it off at the top of the hour. So we\'ve got about four minutes left. I\'ve got to wrap it up a little bit. So try to get these last two done if we can. This is from Mary. What are the typography options as of 6.2? we have Google fonts and self-hosted. Any plans for solutions like Adobe Type and Monotype?\n\n<strong>Anne McCarthy  </strong>55:11 <strong>\n</strong>There\'s a Fonts API that got booted from 6.2 and is hopefully planned for 6.3. So I would just follow that effort. So right now, 6.2 is not introducing anything new or different there. Things are as they were. There\'s a private API that folks can can use with anything JSON. That\'s as concise as I can be.\n\n<strong>Nathan Wrigley </strong> 55:31\nNo, that\'s perfect. I think we\'re three minutes to go. That\'s probably the best time to wrap up the Q&amp;A. Apologies if you had a question and it didn\'t get answered. As I said, there will be a whole load of things created off the back of this. We will make sure that there\'s a transcript available and - just read something in the comment. Hopefully, any questions that have been asked but unanswered will be answered approaching that. Just very, very quickly, I have to say thank you to Anne and Rich in particular, for taking the time out of their busy schedules and demoing what 6.2 can do. It really looks like a transformational release. But also, thanks to Chloé and Jonathan and Lauren and Mary who are on the call, but, you know, you haven\'t necessarily seen them right now. So, appreciate them. That\'s really great. Following up off this, I\'ve got three points to mention. Following the 6.2 release on Make/Core for development updates and calls, there\'s going to be a post. It\'s make.wordpress.org/core/6-2. Also, if you\'ve been keeping a close eye on the Beta releases - I say beta, I know it\'s hysterical. The beta releases, we\'ve got version beta four has just been released. And anybody who wants to test that out would be most welcome. The URL for that is far too long for me to say out loud, but you can Google it, I\'m sure, and find out how to test for that. And also, if you are keen to follow WordPress, it\'s all over the social networks. And you can follow - basically, if you try to just follow @WordPress, then you\'ll get somewhere. So for example, on Twitter, it\'s WordPress - @WordPress. On LinkedIn, it\'s /company/WordPress. Instagram is @WordPress. And guess what? On Facebook, it\'s - what do you think it would be? It\'s @WordPress. So it\'s available all over there. And I think that\'s it. I think that\'s everything that we\'ve got to say. We\'re about one minute away from closing. So particular thanks to Rich and Anne, but thanks to everybody in the background making all of this happen. Thanks for showing up. If people don\'t show up, the work never gets done and the project never moves forward. So fully appreciate anybody who\'s given up their time to ask questions today and watch this presentation.\n\n<strong>Anne McCarthy </strong> 57:51 \nAnd thank you, Nathan. I want to call you out as being an excellent moderator and creating a safe space for us.\n\n<strong>Nathan Wrigley </strong> 57:57  \nVery, very welcome. I enjoyed doing it. I would gladly do it again. All right. I don\'t know how to end this call. So I\'m just gonna wave. Bye, everyone.\n</pre>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"The Month in WordPress – February 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14550\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:236:\"February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that\'s not all; read on for the latest project updates.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13671:\"\n<p>February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that&#8217;s not all; read on for the latest project updates.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for WordPress 6.2</h2>\n\n\n\n<p><strong>WordPress 6.2 Beta 4</strong> arrived earlier this week and is <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">ready for download and testing</a>. Work continues on track, with the first release candidate (RC1) due next week and the target for the final release on <strong>March 28, 2023</strong>—less than four weeks away!</p>\n\n\n\n<p>WordPress 6.2 is one of the last major releases planned for Phase 2 of Gutenberg, taking the Site Editor out of beta with a more polished user experience and refreshed interface.</p>\n\n\n\n<p>On March 2, members of the release squad hosted the <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 live product demo</a>. The recording and transcript will be available soon. In the meantime, these resources will give you a taste of what&#8217;s to come:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help test WordPress 6.2</a>. Your feedback is key to ensuring everything in this release is the best it can be.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Join WordPress&#8217; 20th anniversary celebrations</h2>\n\n\n\n<p>WordPress is turning 20, and the community is getting ready to celebrate!</p>\n\n\n\n<p>As part of the festivities, the project has released a <a href=\"https://wp20.wordpress.net/wordpresss-wapuu-joins-the-wp20-celebration/\">20th anniversary Wapuu</a>, a <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">set of commemorative logos</a>, and a <a href=\"https://wp20.wordpress.net/20-years-of-wordpress-jazz/\">special playlist with 46 tracks</a> from the jazz artists selected to represent WordPress releases. Official WP20 swag will also be available soon.</p>\n\n\n\n<p>In addition, the Museum of Block Art (MOBA) is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling all artists</a> to submit block art themed on “20 years of WordPress.”</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Find out how to organize and participate in the WP20 celebrations</a>.</p>\n\n\n\n<p></p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p>Two new versions of Gutenberg have shipped in the last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\"><strong>Gutenberg 15.1</strong></a> was released on February 8, 2023, with access to the Openverse library of openly-licensed media from the Editor. Other highlights include the ability to add custom CSS on a per-block basis and support for shadow presets in Global Styles. This is the last version of Gutenberg that will be <a href=\"https://developer.wordpress.org/block-editor/contributors/versions-in-wordpress/\">included in WordPress 6.2</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\"><strong>Gutenberg 15.2</strong></a><strong> </strong>is available for download as of February 22, 2023. Besides continued accessibility improvements, this release adds support for revisions when editing templates and template parts, and refines the navigation experience in the Site Editor.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Global community sponsors for 2023, contributor mentorship program, and more</h2>\n\n\n\n<ul>\n<li>The Community Team announced the <a href=\"https://make.wordpress.org/community/2023/02/08/2023-global-sponsors-announcement/\">global sponsors</a> that will support the WordPress community programs in 2023.</li>\n\n\n\n<li>A few months ago, Meetup.com removed an accessibility overlay in response to <a href=\"https://make.wordpress.org/community/2022/11/23/meetup-com-accessibility-overlay-update/\">some concerns</a> from the WordPress community. <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">A recent update</a> reports that the company has conducted an assessment and plans to address the issues identified.</li>\n\n\n\n<li>The Training Team launched a <a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">new onboarding program</a> for contributors. In addition, they worked on numerous lesson plans, online workshops, and tutorials last month. <a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">Check out what&#8217;s new on Learn WordPress</a>.</li>\n\n\n\n<li>The Documentation Team shared <a href=\"https://make.wordpress.org/docs/2023/02/07/future-plans-for-helphub/\">future plans for HelpHub</a>.</li>\n\n\n\n<li>Openverse moved to a standalone domain, <a href=\"https://openverse.org/\">openverse.org</a>, with improvements to the site’s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team posted a notice to inform about <a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">the latest Twitter API changes</a> and the types of plugins that might be affected.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/polyglots/2023/02/16/polyglots-monthly-newsletter-february-2023/\">February edition of the Polyglots monthly newsletter</a> highlights some recent enhancements to GlotPress’ functionality and the <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> platform.</li>\n\n\n\n<li>The latest <a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer newsletter</a> shares tips on how to help your meetup group stay connected and engaged between events.</li>\n\n\n\n<li>Check out <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\">What’s new for developers? (February 2023)</a>, the first edition of a new monthly series with features and resources developers should know about.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">Hauwa Abashiya</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Following discussions on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, a new <a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">WordPress contributor mentorship program</a> has been proposed to roll out this year.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>A new proposal from the Community Team seeks to <a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">modify the Events and News dashboard widget</a> to show topic-based meetups worldwide.</li>\n\n\n\n<li>Members of the Core Team suggested some <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">updates to the WordPress release cycle</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/03/mobile-team-update-march-2nd/\">Version 21.8</a> of the WordPress mobile app for iOS and Android is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Redesign work is <a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">well underway</a> on the WordPress Theme Directory. Contributors can follow along on <a href=\"https://github.com/WordPress/wporg-theme-directory/\">the GitHub repository</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Bangkok, Thailand, hosted a successful inaugural <a href=\"https://asia.wordcamp.org/2023/we-did-it/\">WordCamp Asia</a> on February 17-19. The event welcomed 1,299 attendees, and more than 600 participants joined the Contributor Day. At the event&#8217;s closure, organizers announced that <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia 2024</a> will take place in Taipei, Taiwan!</li>\n\n\n\n<li>The application to <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">attend the 2023 Community Summit</a> is now open to WordPress contributors. Learn more about the ins and outs of this working event in <a href=\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\">Episode 49 of WP Briefing</a>.</li>\n\n\n\n<li>WordCamp Europe 2023 is looking for <a href=\"https://europe.wordcamp.org/2023/call-for-media-partners-and-supporters/\">media partners and supporters</a>.</li>\n\n\n\n<li>Want to create diverse and inclusive WordPress events? Don’t miss <a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">this free #WPDiversity workshop</a> happening March 16, 2023.</li>\n\n\n\n<li>Many WordCamps are coming up in the next weeks:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, Uganda, on March 10-11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://torrelodones.wordcamp.org/2023/\">WordCamp Torrelodones</a>, Madrid, Spain, on March 11-12, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a>, Arizona, USA, on March 24-25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala</a>, India, on March 25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1f4.png\" alt=\"🇨🇴\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://bogota.wordcamp.org/2023/\">WordCamp Bogotá</a>, Colombia, on March 31-April 1, 2023 (Online)</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ed.png\" alt=\"🇨🇭\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><a href=\"https://switzerland.wordcamp.org/2023/\">WordCamp Switzerland</a> on April 1, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join WordPress Executive Director Josepha Haden Chomphosy as she explores <a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">three interesting trends from WordCamp Asia</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this Month in WordPress: <a href=\'https://profiles.wordpress.org/ninianepress/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ninianepress</a>, <a href=\'https://profiles.wordpress.org/jpantani/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jpantani</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Let’s Party: Organize your WP20 Celebration!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 20:21:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"WP20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14546\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:367:\"Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!\n\nRegardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Cate DeRosia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2720:\"\n<p>Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!</p>\n\n\n\n<p>Regardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.</p>\n\n\n\n<p>Whatever your style, celebrate in your time zone, your way. WordPress has some resources to help you party.</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/\">Meetup Organizer handbook</a> has a section dedicated to helping you plan your meetup’s <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/\">anniversary celebration</a>. You’ll find email and Meetup.com templates that make sending your announcements and creating your events simple, as well as tips for planning a fun, safe, and inclusive event, in-person or online.&nbsp;</p>\n\n\n\n<p>The <a href=\"https://wp20.wordpress.net/\">20th anniversary website</a> will list events as they are announced and scheduled by organizers, so check back regularly to see if there’s one in your area you’d like to join or help organize.</p>\n\n\n\n<p>Meetup organizers, once your meetup’s WP20 Celebration is scheduled, email <a href=\"mailto:support@wordcamp.org\">support@wordcamp.org</a> using the subject <strong>WP20 Celebration</strong> and include a link to your meetup event. Events will be reviewed to ensure they have all the necessary details before inclusion on wp20.wordpress.net.&nbsp;</p>\n\n\n\n<p>And don’t forget the new swag!</p>\n\n\n\n<p>Starting in April, meetup organizers can <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/request-swag-for-in-person-anniversary-celebrations/\">order complimentary kits of official anniversary swag</a>, including limited-edition stickers, buttons, and pencils that can be shipped to your meetup at no cost to you. Additional items, such as pennants, shirts, hoodies, keychains, and more, are also available for purchase at the <a href=\"https://mercantile.wordpress.org/\">official WordPress store</a> while supplies last, beginning in early March.&nbsp;</p>\n\n\n\n<p>So, whether you’re sporting new anniversary swag or your old favorites from your closet, join WordPress enthusiasts on Saturday, May 27, for a globe-spanning WordPress celebration. Use hashtag #WP20 to share your passion for WordPress.</p>\n\n\n\n<p>Don’t have an active meetup in your area? It’s not too late to <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/getting-started/interest-form/\">start one</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14546\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"People of WordPress: Hauwa Abashiya\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 21:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14450\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"People of WordPress feature on Hauwa Abashiya, a project manager in UK and Nigeria, and her enthusiasm for open source. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:20165:\"\n<p><strong>This month we feature Hauwa Abashiya, a project manager in Nigeria and the UK, whose passion for community support led her to an adventure in open source.</strong></p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series features inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=1014%2C627&#038;ssl=1\" alt=\"Hauwa portrait picture \" class=\"wp-image-14437\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>As we travel through life, sometimes we are drawn to a particular cause, one to which we can get behind and join in. This cause, in whatever field it may be, can help lift us beyond our everyday lives and can help us take stock. This is the journey that depicts Hauwa’s finding a global sense of place and a way to re-look at her life and plans.&nbsp;</p>\n\n\n\n<p>That change agent was discovering and becoming part of open source through WordPress.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Learning development and WordPress</h2>\n\n\n\n<p>In 2017, Hauwa was working full time as an experienced and successful project manager, but was becoming increasingly aware that she did not feel the same excitement for projects as she once had. She was starting to feel bored. “I knew I still loved working with and in project management, but I needed to do something different.” she said.</p>\n\n\n\n<p>Hauwa enrolled in a web development course and studied HTML, CSS and some JavaScript. One of the course options was WordPress, which she elected to take. It was then that a course tutor encouraged her to attend a WordCamp, an event focused on the open source software and its global community.</p>\n\n\n\n<p>She felt that she needed to have a basic knowledge of the software before she arrived at the event, so started to learn WordPress. The first WordCamp she attended was in the seaside town of Brighton on the south coast of England. There she met people who would be friends and mentors for years to come. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;I was inspired by meeting people in the WordPress community.&#8221;</p>\n<cite>Hauwa Abashiya</cite></blockquote>\n\n\n\n<p>She said: “I was inspired by meeting people in the WordPress community. My life and my wish to support communities have been shaped for the better by some of the people I met, and I continue to be grateful for knowing them.”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Global WordPress community: from Germany to Nigeria</h2>\n\n\n\n<p>After discovering a WordPress community in the UK, Hauwa wanted to see first hand just what a global connection it had. She had heard that WordCamp Europe was a flagship event and brought thousands from across the world together. She wanted to be part of this, and its organization appealed to her project management training. She applied to be a volunteer at the three day conference, which in 2019 was held in Berlin, Germany. At this event, Hauwa discovered both a global movement and an active local WordPress community in her home country of Nigeria. She was able to connect with all the different parts of this vast community from wherever she was working through an instant messaging tool.&nbsp;</p>\n\n\n\n<p>Inspired by people she met who were using WordPress to help improve people’s lives in Nigeria and other parts of Africa, Hauwa started to delve further into how this open source software and its global community could provide opportunities and improve understanding across cultures and continents.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"700\" height=\"937\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?resize=700%2C937&#038;ssl=1\" alt=\"Hauwa and her mother\" class=\"wp-image-14438\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?w=700&amp;ssl=1 700w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?resize=224%2C300&amp;ssl=1 224w\" sizes=\"(max-width: 700px) 100vw, 700px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Rosalind and Hauwa</em> <em>at an event in Nigeria.</em></figcaption></figure>\n\n\n\n<p>Hauwa’s father, Dr Audu Kwasau Abashiya and her mother Rosalind Zulai Abashiya, were both well known for their philanthropy, especially in giving practical support to people in Kaduna, in the north of Nigeria and Abuja in the center of the country. Hauwa explained: “My mum comes from a family who give and share their skills to give practical help. From friends I had got to know in WordPress, I saw that there were parts of the community that had this same ethos. This could be something I could be part of, and also take back to Nigeria in the future.”</p>\n\n\n\n<p>Her parents had established a charitable foundation focused on helping widows, orphans and children get access to education skills, from finance to music. It connects those who need help and those who can give support. </p>\n\n\n\n<p>Hauwa said: “Teaching people practical skills which can be used to raise an income or be re-shared with family and others in their local area is so important. Projects like this can help grow a community and keep it strong. Skills such as sewing and cookery are not just ones that can put clothing and food on the table, but also are about gaining independence and pride. They are examples of how micro-economies can grow and inspire others to have dreams that they can see becoming real. <br><br>&#8220;I had seen through my work and studies that technology used with care and an understanding of different needs can make a difference in local communities too. Projects like WordPress can be part of this empowerment through localized translations and software which can give a way to share ideas.”</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?resize=675%2C900&#038;ssl=1\" alt=\"Hauwa in Nigeria\" class=\"wp-image-14442\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?w=675&amp;ssl=1 675w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 675px) 100vw, 675px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>With her project management and IT background, Hauwa is getting more involved with how IT skills can be used for not just instilling a sense of community belonging, but also the practical longer term input into the local infrastructure and introduction of fast changing technology.</p>\n\n\n\n<p>She said: “I would love to see many of the people who have been helped by the foundation my parents started be able to share their ideas and their achievements to encourage others. One of the routes could be through open source software that is free to access and can work on mobile phones.  </p>\n\n\n\n<p>&#8220;As a previous volunteer team rep in the WordPress Training Team, I saw first-hand just how important it is for a non-technical end user to be able to use software to share their ideas, without having to become a developer. We can all help give people a voice, and if we are working in technology, we have a role to play in creating and pushing for genuine access of tools.”</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;If we are working in technology, we have a role to play in creating access to tools.&#8221;</p>\n</blockquote>\n\n\n\n<p>On Hauwa’s future wish list is to help African countries access software and technology in their local languages. She said: “This is part of identity, and respecting and valuing different cultures, and not expecting everything to be translated from the English as it is read. It makes it possible for older people to use the software or read content that&#8217;s published.”</p>\n\n\n\n<p>Hauwa learned Hausa (a language spoken across several African countries) and English at the same time as she grew up in Nigeria. She had a multi-location education, like her parents, studying and going on to work in different countries. At 16, she first studied computer science on what she describes as a ‘whim,’ not knowing it would be a significant part of her working life in the future.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"700\" height=\"974\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?resize=700%2C974&#038;ssl=1\" alt=\"Hauwa in a cafe in 2015\" class=\"wp-image-14441\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?w=700&amp;ssl=1 700w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?resize=216%2C300&amp;ssl=1 216w\" sizes=\"(max-width: 700px) 100vw, 700px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>She intended to go to university to study finance and sociology. When she went to say goodbye to her computer studies class, the teacher asked what she was going to study. On hearing it was finance and sociology, the teacher said: “You don’t want to be doing that, you want to be doing something in computing.” This conversation proved to be a turning point for Hauwa. She went on to study Computing and Information Systems and Object Oriented Information Systems for her Master’s degree in the UK.</p>\n\n\n\n<p>During her second year of university, she also worked with data entry and related areas as she was determined to learn as much as she could about the moving parts of a project. After she completed her master’s, she chose jobs that enabled her to work on systems, out of hours support, project management, supply chain, and procurement. She is an advocate for learning as many aspects of your subject as you can to give you as many tools to really understand what both clients need and how to help them reach workable and timely solutions. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;By contributing to community projects you can share your skills and keep them fresh.&#8221;</p>\n</blockquote>\n\n\n\n<p>These skills proved to be transferable in later years to give her time to support WordCamps, meetups, and the Training Team. She said: “Contributors to open source come from so many different professional and cultural backgrounds. Contributing is a great way to share your skills and keep them fresh and open to new learning opportunities.”</p>\n\n\n\n<p>Hauwa fascination for project management and learning continued, and she gained qualifications in the field, including Prince 2 and PMP. She continues her commitment to ongoing learning in her work today with Agile and other methodologies and draws parallels with this and her interest in community learning. </p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"724\" height=\"399\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?resize=724%2C399&#038;ssl=1\" alt=\"Hauwa at the reception desk at WordCamp London 2019\" class=\"wp-image-14440\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?w=724&amp;ssl=1 724w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?resize=300%2C165&amp;ssl=1 300w\" sizes=\"(max-width: 724px) 100vw, 724px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Hauwa welcomes attendees at WordCamp London in 2019</em></figcaption></figure>\n\n\n\n<p>Committed to supporting her local community in the UK too, Hauwa joined the London WordPress Meetup and in 2019 became an organizer for <a href=\"https://london.wordcamp.org/2019/\">WordCamp London</a> where she was able to use some of her project management expertise. During these events, she had many conversations to encourage others to develop their IT skills and share her own experiences.</p>\n\n\n\n<p>This interest in driving up the skills levels of others naturally led her to become further involved in the Contributor Teams. Inspired to share her skills by another contributor to the project, she joined the <a href=\"https://make.wordpress.org/training/\">Training Team</a> at a WordCamp Contributor Day. In this team, Hauwa found in it a group collaborating on easier online ways for people to keep up with the software, its features, and how they could grow the community in their own local area. </p>\n\n\n\n<p>At the heart of this, Hauwa felt accessibility should be key, and she gave time to better understand documentation. She felt this was essential to give people genuine access and identify where more work was needed. Her belief in this grew when she joined the WordPress <a href=\"https://wordpress.org/about/accessibility/\">Accessibility Team</a> for release 5.6, and she continued to contribute to the team in the area of documentation and training.</p>\n\n\n\n<p>Hauwa devoted many hours to supporting the <a href=\"https://make.wordpress.org/training/\">Training Team</a> for a number of years as part of her conviction that the right resources can really help communities globally use open source software. She also stressed the importance of materials being user-friendly and easy to translate as WordPress has such a large international usage.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Volunteering in open source can re-energize you </h2>\n\n\n\n<p>Through the combination of volunteering efforts in UK and Nigeria, and supporting contributors globally, Hauwa began to re-find her love for helping people with their planning and to achieve their goals. She was able to share her 15 years of project management experience in her volunteering role and encouraged others to consider it as a career.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"500\" height=\"500\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=500%2C500&#038;ssl=1\" alt=\"Hauwa at WordCamp Europe 2019\" class=\"wp-image-14443\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?w=500&amp;ssl=1 500w, https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>She said: “Through volunteering you work alongside people. Project management is about people. It is about helping people achieve. This can be the same through volunteering, and you can learn much through meeting people from different places.&nbsp;</p>\n\n\n\n<p>“One of my drivers is using technology to solve problems. As a project manager, it is a privilege to help guide people and organizations to identify and reach goals. It is helping them gain that value. This is one of the reasons I was drawn to finding out tech communities and contributing to them. If this is something that drives people reading about my experience, there are vast opportunities to to share your skills. Find something that fits you for where you are now.”&nbsp;</p>\n\n\n\n<p>Hauwa encourages anyone working in technology to further their understanding of managing projects and working with different teams. “Project management skills are so important in whatever kind of project you are in. With long working hours over many years, I felt I had lost the connection with the people element. I was stuck in what seemed to be a repeat cycle. With the people I met in the WordPress community and my professional skills being used, I was reminded of my own values and how as a project manager I can support help others reach new heights or make something of value and quality that others can benefit from and use.”&nbsp;&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;Find an area that fits you and where you can make a difference.&#8221;</p>\n</blockquote>\n\n\n\n<p>In 2022, Hauwa returned to working full time for both national and international, medium and&nbsp; large scale projects. Though her volunteering time to global community building initiatives has reduced accordingly, she focuses on encouraging skills learning and on the community cultural side.</p>\n\n\n\n<p>“I will keep my interest in how open source like WordPress, working alongside other solutions, can help not-for-profit ground level and community building. For me, if there are technology-based solutions out there, we can all play some part in helping them grow and making a difference,&#8221; she said. </p>\n\n\n\n<p>&#8220;How we give to wider communities does not have to be the same throughout time. It is important to keep relooking at what is needed and the difference it can make.&#8221;<br><br>She added: &#8220;Find your central wish for the communities you are connected with, and there may be technologies that can support them. I am glad I started my journey.&#8221;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Hauwa Abashiya (<a href=\'https://profiles.wordpress.org/azhiyadev/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>azhiyadev</a>)&nbsp;for sharing her adventures in open source.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>) for interviews and writing the feature, and to Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), Mary Baum (<a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a>), Nalini Thakor (<a href=\'https://profiles.wordpress.org/nalininonstopnewsuk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nalininonstopnewsuk</a>) and Maja Loncar (<a href=\'https://profiles.wordpress.org/majaloncar/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>majaloncar</a>) for work on photographs and review.</p>\n\n\n\n<p>The&nbsp;<em>People of WordPress</em>&nbsp;series thanks Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14450\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WP Briefing: Episode 50: 3 Interesting Trends from WordCamp Asia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 14:58:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14434\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"Join Josepha as she discusses her top 3 takeaways from the first-ever WordCamp Asia in Bangkok! \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/02/WP-Briefing-050.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:14353:\"\n<p>On Episode fifty of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she explores the three big trends from the inaugural WordCamp Asia. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/create-block-theme/\" data-type=\"URL\" data-id=\"https://wordpress.org/plugins/create-block-theme/\">Create Block Theme Plugin</a><br><a href=\"https://wordpress.org/news/2021/10/episode-17-wordpressing-your-way-to-digital-literacy/\" data-type=\"URL\" data-id=\"https://wordpress.org/news/2021/10/episode-17-wordpressing-your-way-to-digital-literacy/\">WordPressing Your Way to Digital Literacy</a><br><a href=\"https://twitter.com/corymiller303/status/1628422554972028933\" data-type=\"URL\" data-id=\"https://twitter.com/corymiller303/status/1628422554972028933\">PostStatus Networking Opportunities</a><br><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">WordPress 6.2 Live Demo will be held 2 March, 2023 at 17:00h UTC</a><br><a href=\"https://make.wordpress.org/docs/?p=23742\" data-type=\"URL\" data-id=\"https://make.wordpress.org/docs/?p=23742\">Future Plans for the HelpHub </a><br><a href=\"https://www.eventbrite.com/e/how-to-own-your-expertise-start-speaking-at-wordpress-events-ameremea-tickets-549285827697\" data-type=\"URL\" data-id=\"https://www.eventbrite.com/e/how-to-own-your-expertise-start-speaking-at-wordpress-events-ameremea-tickets-549285827697\">How to Own Your Expertise &amp; Start Speaking at WordPress Events WP Diversity Training 1 March 2023</a><br></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14434\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;</strong></p>\n\n\n\n<p>The inaugural WordCamp Asia happened a couple of weeks ago in Bangkok. There were almost 1300 people in attendance, and I was lucky to be able to talk with a lot of them about their thoughts around the WordPress project and community. So today, let&#8217;s talk about three of the most interesting trends that I heard from people: the future of themes, the future of work, and the future of contributions.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:00]&nbsp;</strong></p>\n\n\n\n<p>So first up, the future of themes. This one was not a surprise to me. Not only has it been on my mind lately, but every WordCamp I&#8217;ve ever attended in Asia or Australia has had themes as a central element. There are a lot of theme creators making a living in WordPress in this part of the world. So it&#8217;s natural that they want to know what to prepare for.</p>\n\n\n\n<p>Now, it&#8217;s hard to predict the future, but there are a couple of things you can do to kind of get a leg up on it. Firstly, the theme review team, if you know how to make block themes but are still struggling to understand what might make them high value to your users, donating a little bit of time to review them can help.</p>\n\n\n\n<p>While I was at the contributor day, the team rep who happened to also be there to represent the table told me that reviewing block themes is way faster than reviewing classic themes. So if it&#8217;s been a bit since you stopped by, I would encourage you to give it a shot. It&#8217;s a lot easier than it used to be for a lot of reasons, and they can always use a little bit of help.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:00]&nbsp;</strong></p>\n\n\n\n<p>The second thing is this plugin called the Create Block Theme plugin. If you don&#8217;t know how to make block themes, you know how to make classic themes. You don&#8217;t know how to make block themes. This is a wordpress.org maintained plugin that will make theme creation simpler. It&#8217;s a relatively new plugin, though, so if you&#8217;re the type of contributor who likes to create good tools for good people, you can also feel free to grab a ticket or two from their repo and help get that moving.</p>\n\n\n\n<p>The second thing that came up was the future of work. This was also not a surprise to me. There have been a lot of reports of layoffs in the tech industry and worries about the possibility of a recession.&nbsp;</p>\n\n\n\n<p>Since WordPress is not only a tool that folks use in their jobs but also a tool that empowers people to create jobs for themselves, it&#8217;s entirely expected for questions about career prospects to come up during a WordCamp. Here are a couple of thoughts on that. So I mentioned this briefly during the Q&amp;A session on that Sunday, but I&#8217;m gonna repeat it here because I believe it with every fiber of my being.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:06]&nbsp;</strong></p>\n\n\n\n<p>You can learn every 21st century skill that you need while contributing to an open source project.</p>\n\n\n\n<p>I talked about it in episode 17 of this podcast. I&#8217;ve talked about it at WordCamps and major event series outside of WordPress for years. Like I really, really believe this, and it&#8217;s not just like a WordPress only thing. Although obviously, that is my primary perspective, that&#8217;s true for contributing to almost any open source project.</p>\n\n\n\n<p>On top of that, if you are contributing to WordPress and you&#8217;re doing that in the way that we encourage folks to do, you&#8217;ve got public examples of proactive, asynchronous collaboration across cultures and time zones. And I don&#8217;t know about y&#8217;all, but sometimes it&#8217;s hard to explain what my job is. And so having examples of how the whatever it is that you were doing, however, you were collaborating or contributing or working on a project together, having concrete examples to be able to share with someone can never hurt.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:04]&nbsp;</strong></p>\n\n\n\n<p>I&#8217;m gonna give us a necessary side note here. I know that volunteering time is a privilege, and if you find yourself between jobs, the last thing you want to do is give up any more of your time for no money.</p>\n\n\n\n<p>But if you have contributed to any team in the past, that benefit still exists for you. Your contributions are not taken away just because you&#8217;re no longer with your employer.</p>\n\n\n\n<p>The second thought on that is actually one that Matt mentioned during the Q&amp;A on Sunday. He said in his experience that open source shines in recessionary times.</p>\n\n\n\n<p>I&#8217;ll have to take his word for that one since I discovered WordPress in 2009 or so and so after the last recession that I would have experienced in the US. However, I have heard from a lot of people in the WordPress ecosystem and in tech in general who have shared their stories from the last time that we all experienced a recession.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:00]&nbsp;</strong></p>\n\n\n\n<p>And certainly, when they suddenly found that they did not have a company to call the place that they were working, a company that they were working for, they were able to, at the very least, freelance until they found the next thing.&nbsp;</p>\n\n\n\n<p>I know that that&#8217;s cold comfort if you&#8217;re in the middle of things right now, but it certainly is something that people always have looked back to as like one of those turning points for them in the 2007-2008 era here in the US.</p>\n\n\n\n<p>Now I know that is sometimes not what anybody wants to hear. And also like, who am I to be speaking about observed experiences from other people? I did want to let you know that the folks over at PostStatus have opened up some networking opportunities for anyone that&#8217;s been caught up in the current downsizing around the ecosystem.</p>\n\n\n\n<p>I&#8217;ll link to that in the show notes here on wordpress.org/news, but also, if you&#8217;re a part of the PostStatus network, they&#8217;ve got it posted over there on their sites and things as well. So easy to find and definitely worthwhile if that&#8217;s a situation that you find yourself in right now.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:02]&nbsp;</strong></p>\n\n\n\n<p>And the third thing that I heard from a lot of folks about is the future of contributions. So 635 people attended the contributor day that happened ahead of WordCamp Asia, And at WordCamp Europe in Porto last June, it was 800 people or something, which was the biggest one on record. And so this is really close to that.</p>\n\n\n\n<p>There&#8217;s a lot of people. And a lot of them were attending for the first time. Over the course of the day, I checked in with quite a few of the table leads and heard some pretty consistent feedback, both about what we&#8217;re doing to help onboard contributors now but also about how we can help to onboard contributors in the future.</p>\n\n\n\n<p>Firstly, we all generally agree that documentation, which is our current problem to solve toward easier contributor onboarding, we all generally agree that that&#8217;s going pretty well. We now have a ton of our preferences and processes documented in various team handbooks, but with a ton of documentation comes the potential for overwhelm.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:00]&nbsp;</strong></p>\n\n\n\n<p>So across the board table leads shared the need for sort of a quick start guide for each of their teams. Secondly, we also generally seem to agree that mentorship plays a big role in the success of many long-term contributors. I&#8217;ve talked about it before. I had some mentors as I was getting started, and I would never have made it past organizing meetup events if it hadn&#8217;t been for their help.</p>\n\n\n\n<p>And so a bonus item I heard about is actually Meetup events. Meetup groups are one of our most resilient ways to contribute to WordPress, and they also happen to be one of the hardest working. If you&#8217;ve never been to one of these events, you may not know that you can learn a skill that&#8217;s new to you or teach a skill that you&#8217;ve had for a long time.</p>\n\n\n\n<p>You can also network to find the jobs that you want or network to hire the people you need. It&#8217;s where people learn how to use the CMS or learn how to become an entrepreneur.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:00]&nbsp;</strong></p>\n\n\n\n<p>But it&#8217;s also where they discover our community and eventually learn why we think that open source is an idea that will change our generation.</p>\n\n\n\n<p>So if you took nothing else away from this, I guess the takeaway is that you too can organize a Meetup event that will strengthen your local community and the world!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:27]&nbsp;</strong></p>\n\n\n\n<p>Which brings us now to our small list of big things. So first up, we have a live product demo for WordPress 6.2 on March 2nd, that&#8217;s going to be at 17:00 UTC.</p>\n\n\n\n<p>There is a post that has gone up about it, which I&#8217;ll include in the show notes. This is an opportunity for folks to watch a live walkthrough of the current release with a collection of people from the release squad as well as avid contributors and testers. It&#8217;ll give you an idea of upcoming changes, but also we&#8217;ll probably expose a bug or two along the way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:00]&nbsp;</strong></p>\n\n\n\n<p>Come with your questions, and we will see you there.&nbsp;</p>\n\n\n\n<p>Item number two is documentation. So apparently, that&#8217;s just half of what I wanna talk about today. Documentation, so wordpress.org, has docs that are specifically written for users and pulls in not only the documentation that we have but also information from the codex, the documentation space of yesteryear.</p>\n\n\n\n<p>There&#8217;s a bit more to do here, and I realize this project has been going on since 2015. It&#8217;s because there&#8217;s a lot of stuff we have to do. There&#8217;s a lot of documentation, and we have to kind of get it in order. But that is the area that we&#8217;re in now. We have launched the new documentation page, the new look and feel is out there.</p>\n\n\n\n<p>And so the next question is making sure that we have it organized in a way that&#8217;s easy to find and easy to learn from as you go. There is a whole working group that meets about it, and I will share a link to that in case you find that to be of interest to you as well.&nbsp;</p>\n\n\n\n<p>And last but not least, there is another speaker workshop coming up on March 1st.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:00]&nbsp;</strong></p>\n\n\n\n<p>If you have not heard of these yet, it&#8217;s a workshop that helps speakers learn the process of presentation brainstorming and creation. It is a great workshop. It was created over the course of many years within the WordPress project by Jill Binder and crew. It is a wonderful opportunity.&nbsp;</p>\n\n\n\n<p>It&#8217;s not a WordPress link that we&#8217;re on, but there is an event link that I will make sure that we all have access to here, in case that is something that you have always wanted to try, learning how to speak at WordPress events.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14434\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Wed, 22 Mar 2023 18:37:16 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Wed, 22 Mar 2023 13:00:00 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20211220193300\";}", "no");
INSERT INTO `wp_options` VALUES("144", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1679553437", "no");
INSERT INTO `wp_options` VALUES("145", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1679510237", "no");
INSERT INTO `wp_options` VALUES("146", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("147", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1679553437", "no");
INSERT INTO `wp_options` VALUES("148", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: #68 – Chris Reynolds on Why To Use Composer With WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142848\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wptavern.com/podcast/68-chris-reynolds-on-why-to-use-composer-with-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:52027:\"Transcript<div>\n<p>​[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress, the people, the events, the plugins, the blocks, the themes, and in this case, why you might like to add Composer into your WordPress website workflow.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today we have Chris Reynolds. Chris has been working with WordPress for over 15 years. He&#8217;s freelanced, worked with Event Espresso, WebDevStudios, Human Made, and is now at Pantheon as a CMS ecosystem engineer and WordPress technical lead.</p>\n\n\n\n<p>He&#8217;s spoken at WordCamps and at OpenWest about all aspects of WordPress.</p>\n\n\n\n<p>I suspect that many of the people listening to this podcast are not using Composer in their WordPress workflow, and to Chris this is something that you should think about implementing, and he&#8217;s here to explain why.</p>\n\n\n\n<p>Chris starts off by talking about the kinds of projects that he&#8217;s worked on, and how we found WordPress.</p>\n\n\n\n<p>We then get into the weeds of what Composer is and the benefits that it brings. It&#8217;s essentially a package management system, and makes it easy to set dependencies for your project and manage them within Composer.</p>\n\n\n\n<p>Why would you want to do that though? If you&#8217;re just building brochure websites, then perhaps you&#8217;ve don&#8217;t. But if your project is more complex then this might save you a lot of time.</p>\n\n\n\n<p>Chris describes scenarios in which she thinks Composer is a good fit; if you want to add in specific packages and how those packages are managed and updated.</p>\n\n\n\n<p>He explains how you can install composer depending on the OS that you&#8217;re working with, and how it structures the files and directories that are created.</p>\n\n\n\n<p>Towards the end of the podcast, we talk about how composer can be useful for teams, and Chris&#8217;s use of Composer to keep everyone clear on how the project is structured.</p>\n\n\n\n<p>If you&#8217;ve thought about using a package management system, such as composer, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Chris Reynolds.</p>\n\n\n\n<p>I am joined on the podcast today by Chris Reynolds. Hello, Chris.</p>\n\n\n\n<p>[00:03:40] Chris Reynolds: Hi. How&#8217;s it going?</p>\n\n\n\n<p>[00:03:41] Nathan Wrigley: Very well, thank you. Chris is on the podcast today to talk to us about something that I confess I know very little about. I&#8217;m going to guess that if you&#8217;re a typical WordPress user, you too may be learning a few new things today. It&#8217;s all going to be about Composer. Before we get into Composer, what it is, how it works, and all of that, wouldn&#8217;t mind Chris if you just orientate our listeners. Give us a little bit of insight into you and your WordPress journey. The companies that you&#8217;ve worked at. The things that you&#8217;ve been involved in and so on. So over to you, Chris, give us your intro.</p>\n\n\n\n<p>[00:04:14] Chris Reynolds: Sure. I came across WordPress right around the time that my son was born, which was 2005. The internet was a very different place back then, wasn&#8217;t it? At the time I was looking for something to like share pictures with family and stuff, make a website.</p>\n\n\n\n<p>Back then I had what was then referred to as a weblog. It was before that was shortened to blogs, and it was literally a log of things that I did on my website, update changes. And that was all hard coded html. So when I was trying to think of something to share pictures, didn&#8217;t want to do it hard coded. I did do that for a little while and then I decided this was not the thing I wanted to be doing.</p>\n\n\n\n<p>So there used to be a website called Hot Scripts. There I found a blogging platform called S Blog, and I was using that for a really long time. But as happens in open source, and actually honestly, as part of what happened in the WordPress history, the original maintainer and author disappeared for a little bit, and it wasn&#8217;t getting updates and I think there were some security things at some point. And I started looking for something else. Had some friends that were talking about WordPress, so I was like, I&#8217;ll try this thing out, and basically haven&#8217;t looked back.</p>\n\n\n\n<p>At a certain point after my son was born, I decided that I wanted to quit my regular job, which at the time was doing tech support for grocery stores, and become a freelance web designer. And I did that for a few years. Was familiar with all of those Elance and I don&#8217;t even remember all, like freelancer.net or something. Like all those really old sites to get freelance work. And I worked for a time for a company that&#8217;s actually local, as an outsource, freelance web designer.</p>\n\n\n\n<p>There, I believe owner, ran off with all their money or something, and the company closed down. That was a fun story. And then I met the folks from Event Espresso, which is a event management plugin. I met them at WordCamp Salt Lake City because they&#8217;re local, and Salt Lake City is where I live.</p>\n\n\n\n<p>And I started working with them initially just doing tech support for them, and then I got into a little bit of development and then I got into a little bit of project management and development. And then I was at a WordCamp, I was speaking. And Pluralsight, which is an online training platform saw me speak and asked me if I wanted to do that sort of thing for them as a, as an author of WordPress related training courses.</p>\n\n\n\n<p>So I started doing that while I was working at Event Espresso, and then eventually I quit to focus on that. And did that for about a year or so. And then, I started getting into agency world. So I worked at WebDevStudios for a couple years. And then I went to Human Made. I was there for almost five years. And now I&#8217;m working at Pantheon as a software engineer focusing on WordPress ecosystem things.</p>\n\n\n\n<p>So I&#8217;ve been involved in very small projects. I&#8217;ve been involved in very large projects. I&#8217;ve been involved in training. For a while I did some work with the docs team for WordPress documentation. I went to the community summit in San Francisco way back in the day. I&#8217;ve spoken at lots of local WordCamps and OpenWest which is also held locally. And yeah, I&#8217;ve been around for a little while.</p>\n\n\n\n<p>[00:07:12] Nathan Wrigley: Yeah, you really have. That&#8217;s an amazingly long history, and going back with WordPress to 2005, you really were right at the forefront. It was just the very beginnings at that point.</p>\n\n\n\n<p>[00:07:22] Chris Reynolds: It had been around for a while. If you look at the screenshots of the admin, I wasn&#8217;t the very first iteration, but I think I was maybe the second iteration.</p>\n\n\n\n<p>[00:07:31] Nathan Wrigley: Who knew back in 2005 that it would become such an important part of the ecosystem of the web in general. We&#8217;re at the point now where 40 plus percent, I still never quite know what that number means, but it&#8217;s a big number and WordPress is an important part of it.</p>\n\n\n\n<p>You say that you&#8217;re a Pantheon at the moment. Just give us a little bit of insight into Pantheon because I confess, I don&#8217;t know a great deal about it. But in my mind I&#8217;m thinking managed WordPress hosting and also managed CMS hosting possibly some other variants as well. Just tell us a little bit about what Pantheons skin in the game is with WordPress.</p>\n\n\n\n<p>[00:08:09] Chris Reynolds: You&#8217;re not wrong. We like to call ourselves a web ops platform and we also have kind of coined that web ops phrase, which means that outside of, speaking about Pantheon, it almost doesn&#8217;t exist. What web ops is, it&#8217;s website operations, right? It&#8217;s the things that make your website go.</p>\n\n\n\n<p>And what that means practically is that the way that the platform has been built is from the ground up to make sure that teams are able to develop on their websites in a way that is easy to deploy, that is safe, and that is secure. And there&#8217;s all sorts of platform centric things that are part of the workflow.</p>\n\n\n\n<p>Pantheon was one of the first, when I was working at WebDev, was the first exposure that I really had to Pantheon. And it was the first platform that I had used that had integrated Git. So you didn&#8217;t have to like, put your stuff on GitHub and then figure out a way to point that deploys to a server somewhere.</p>\n\n\n\n<p>It was already built in. And they had been doing that from the very beginning. It also had as part of that there is a dev test live workflow where there&#8217;s separate environments. And this isn&#8217;t uncommon today, but it was one of the first places where you could do that and had it built in.</p>\n\n\n\n<p>And then the real sort key feature that I enjoyed as a developer and still enjoy as an employee honestly is the concept of multi devs. Where if you have a branch that you are doing work on and you want to see what that branch would look like. Typically in my agency days, the way that you would handle this is by merging that into dev, and dev becomes really messy, dirty because it&#8217;s got lots of basically untested code, or code that was maybe tested and then rolled back or whatever.</p>\n\n\n\n<p>Dev is always nasty, a nasty place to be, and you never deploy from dev. That was always the rule when I was working in agency stuff. Multi devs solve that problem by spinning up an entirely new environment for a branch. So you can create a multi dev off of whatever branch, and then you can test it there, and then you can merge that into dev or whatever.</p>\n\n\n\n<p>Your dev branch is clean because it&#8217;s not, you&#8217;re not getting all this test code, experimental code that&#8217;s getting merged in, and then maybe you&#8217;re making some changes or maybe you&#8217;re fixing some stuff, undo some stuff that was from an old merge.</p>\n\n\n\n<p>That way you can keep your branches clean. And that&#8217;s a really cool thing that Pantheon does that I&#8217;ve often have wished for when I was working elsewhere, or working on sites that were not hosted on Pantheon. So that&#8217;s one of the things that Pantheon does.</p>\n\n\n\n<p>We were talking before we started recording that Pantheon was built by four or five Drupal dudes. So it&#8217;s been a Drupal shop for a very long time. And then maybe about 10 or so years ago, when I became aware of them they started doing WordPress sites. Still built on the same infrastructure that they had built with all the same live workflows, multi dev, all that sort of stuff.</p>\n\n\n\n<p>And now we&#8217;re getting into a point where we&#8217;re really trying to build out and optimize for WordPress and find where our gaps are in terms of how the platform has been built and what WordPress specifically needs. And that&#8217;s essentially what my team is involved in.</p>\n\n\n\n<p>[00:11:10] Nathan Wrigley: Nice. Yeah, that&#8217;s a real interesting set of things that you talk about there. I didn&#8217;t actually know prior to our conversation we had before we hit record, I didn&#8217;t know that it had all begun on the Drupal side of things, but obviously as WordPress has been in the ascendancy for the last 10 years, it does feel like an important pivot for any company really to make, is to give an experience to WordPress users which is optimized for them.</p>\n\n\n\n<p>So, yeah, I&#8217;ll make sure to link in the show notes to anything that we talk about. So if you&#8217;re listening to this, don&#8217;t worry too much, you can go to the WP Tavern website and search for this episode and find all the links there.</p>\n\n\n\n<p>Now I&#8217;m going to include quite a few links to what we&#8217;re about to talk about. This is the main thrust of the podcast. It&#8217;s something called Composer. Now, when Chris reached out to me, he mentioned that he wanted to talk about Composer, and I&#8217;ll be really honest, it&#8217;s not something that I&#8217;m familiar with. Chris was very kind to gather a bunch of links, which I&#8217;ve now read, and I&#8217;ve tried to understand.</p>\n\n\n\n<p>But I feel that Chris, you are going to school me today, so we&#8217;ll go right back to the basics. The first thing I think to mention is that I don&#8217;t think I know anybody else in the WordPress community who is using Composer with the sort of urgency that you feel it should be being adopted. Most of the people that I know are freelancers, possibly working in an agency and the typical workflow is, you know, if you&#8217;re working with a team, you&#8217;ve got a method of doing that.</p>\n\n\n\n<p>But you may well be working on your own website. You may be working for client websites, and you&#8217;re just installing WordPress and a bunch of plugins and themes and so on and so forth. But you&#8217;ve got this bee in your bonnet about Composer and the virtues of it. So let&#8217;s go right back to the beginning. You&#8217;ve probably heard the word Composer before if you&#8217;re listening to this podcast, I imagine. But you may not know what it is. So let&#8217;s go there. What is Composer and why is it in any way important?</p>\n\n\n\n<p>[00:12:59] Chris Reynolds: At its base Composer is a package management system. So if you&#8217;re at all familiar with npm which is primarily for JavaScript packages, maybe you&#8217;ve used that for Gutenberg stuff. Maybe you&#8217;ve used that for other JavaScript things. Composer is that thing for PHP packages.</p>\n\n\n\n<p>In the past there were things like Pear and PECL, P E C L which did the same sort of thing. Composer does those same-ish things, but better. So at its core, it&#8217;s a package management system, which means it&#8217;s able to do like dependency management. And what that means is, if I have a package, and I have a certain version of a package.</p>\n\n\n\n<p>Say I want php code sniffing, I can require that package with Composer. I can make sure that package is up to date. But I can also be specific about the versions of that package that I want to keep. Maybe I want to be on PHP code sniffing version eight or eight dot whatever, but I don&#8217;t want to upgrade to nine yet, or something like that.</p>\n\n\n\n<p>I can be specific about my version dependencies, the versioning system that I&#8217;m choosing and be really, either really explicit. I can pin it to a specific release. I could do, I only want the security or patch releases. Or I could be really vague and say, just give me the latest version of whatever.</p>\n\n\n\n<p>And Composer has, it&#8217;s based on the idea of semantic versioning. So as long as your packages and WordPress itself doesn&#8217;t use semantic versioning notably, and neither to do a couple other things like Yoast doesn&#8217;t do it, because they&#8217;re using sort of the version numbers don&#8217;t matter school of thought, which kind of breaks the whole thing a little bit.</p>\n\n\n\n<p>But if you&#8217;re doing that sort of semantic versioning, which is common throughout just open source software in general, of major dot minor dot patch fr security then you can be really, you can update your things and feel fairly confident that an update is not going to break your thing, break your site. This is perhaps not a myth now as things in WordPress have improved. But the analogy that I like to think of and the reason why feel like Composer is, really important in a WordPress environment is the, I&#8217;ve got a million plugins, maybe not a million, maybe 20.</p>\n\n\n\n<p>And I&#8217;ve got a couple themes and I go to my WordPress updates page, or maybe it&#8217;s got auto updates, right? And something happens and an update happens, and I wasn&#8217;t there. Either I bulk updated all of them or it happened in the background. Either way, I&#8217;m not looking at each individual update that I&#8217;m doing, and something breaks. My website white screens, and I have no idea what caused that problem.</p>\n\n\n\n<p>I have to go back, I have to undo everything. I have to like, rename my plug-ins folder. I&#8217;m now in panic mode because my production site is white screening. It&#8217;s because of an update. It&#8217;s because something went through that I was either not paying enough attention to, or that happened automatically in the background that broke my site.</p>\n\n\n\n<p>Composer, and the way that WordPress is built with allowing, essentially anybody who has access to the plugins page or the updates page to run those updates means that you&#8217;re putting the power and the control over administrating code that is deployed to your site, to whoever has access to those screens, right?</p>\n\n\n\n<p>And Composer almost flips that and says, no, we&#8217;re going to give this power to people who actually touched the code. Who maybe are more aware of dependencies and change logs and what an update might mean to a site. And that&#8217;s, sort of where I, see the value of Composer just broadly.</p>\n\n\n\n<p>[00:16:21] Nathan Wrigley: Okay. That was, yeah, a really interesting description of how it works. Could you give us the nuts and the bolts of that? In other words, could you unpack what&#8217;s going on? In other words, how is it, how is it installed? How do you get it to bind to the different variations? You mentioned, that you may want it to update to a certain version of such a thing. How do you actually do all of that?</p>\n\n\n\n<p>[00:16:44] Chris Reynolds: Composer is software that runs on your computer. You can install basically anywhere. So if you&#8217;re on a Mac, you might use Homebrew to install it. You can run it on a Windows machine, it&#8217;s just a binary. You can run it on a Linux machine, there are packages for it. It&#8217;s essentially cross platforms, so you can use it or you can run it anywhere. Once you have it on your operating system. . Then, we&#8217;ll just use a WordPress, vanilla WordPress site, as an example, if I had a WordPress site maybe I do wget or download the zip file of WordPress and I unzip the package. Okay, that&#8217;s great.</p>\n\n\n\n<p>And then I have Composer on my, on my, system so I can run at the command line Composer in it. And that&#8217;s going to start the process of building a Composer dot json file. And then once I have that Composer dot json file, I can start pulling in dependencies. I can say Composer require this thing, this package by this vendor.</p>\n\n\n\n<p>And that&#8217;s going to, by default, install my dependencies into a vendor folder. Composer also has a built-in auto loading system. Which means that then in my project, if it&#8217;s a WordPress project, I can have a file. I could throw it into wp-content or a rather wp-config, or I can throw it into a mu plugin that loads the Composer auto loader file so that any packages that are being pulled in through Composer or libraries or whatever, are automatically pulled in because Composers does that, just does it for me.</p>\n\n\n\n<p>If I&#8217;m doing WordPress specific things, what I would also need to put in my Composer file is a additional repository for W Packagist. So out of the box, Composer works with a platform, a website, a repository called Packagist, and that&#8217;s where all of the packages live.</p>\n\n\n\n<p>If you go to packagist.org today, you can do a search and you can find all sorts of stuff. What you won&#8217;t find is a ton of WordPress related stuff. You&#8217;ll find some. There&#8217;s Human Made has a ton of stuff up there, which I know because I worked there. And I&#8217;ve put a bunch of Pantheon things up there.</p>\n\n\n\n<p>There&#8217;s some other people who have been putting stuff on Packagist, just core like, Yoast notably has stuff up there. But it&#8217;s not a WordPress place, it&#8217;s just a general open source place, just like npm again. W Packagist is a bridge between the wordpress.org repository and Composer.</p>\n\n\n\n<p>And it is just a mirror of the WordPress plugins and theme repositories for Composer based WordPress projects. So if you add W Packagist as a repository in your Composer json, now I can do Composer require and I can say W Packagist plugin slash WordPress SEO. And that&#8217;ll pull in the latest version of Yoast SEO into my Composer file.</p>\n\n\n\n<p>Or I can say Composer require P Packagist theme 2010, and it&#8217;s going to pull in the 2010 theme, of most recent version. That&#8217;s sort of a little bit of the nuts and bolts. That&#8217;s how the Ccomposer json is built. You can also obviously edit this file manually. And then if you want to get into versioning, when you pull that stuff in, it&#8217;s going to give you a sort of its default. Which is typically the major dot minor with a little caret before it, which means that it&#8217;ll accept all minor versions, but it will pause if the version number, the latest version number changes for the major version, right?</p>\n\n\n\n<p>if it was like 1.5, 1.6, 1.7, 1.7.2, .3, .5 point whatever, all of those things would get pulled in. But as soon as that 1.7 turns to 2.0, because maybe they made a major release, it&#8217;s not going to get 2.0. It&#8217;s only going to be one point, whatever. Until I change that in my Composer file.</p>\n\n\n\n<p>That&#8217;s sort of the default setting. You can be more specific. You can go all the way out to the minor point release and just say, the only updates I ever want to get are these minor or patch releases. To make sure I&#8217;m getting all the security updates or whatever. And not getting minor version updates because maybe I&#8217;m afraid that one of those minor updates might do something bad, or I&#8217;m not, prepared for it yet. Or you can be very vague, and say, just star and give me everything. Or you could say just one, no points, just caret 10 or something. That means that anything above version 10 you&#8217;ll get, doesn&#8217;t matter what the point release is.</p>\n\n\n\n<p>And that&#8217;s a way that you can solve for that white screen of death scenario that I talked about earlier. Because if I&#8217;m being specific and explicit about what versions I&#8217;m allowing in my updates then I&#8217;m not going to, I shouldn&#8217;t get to a point where something unexpected happens because of an update that happened that ran on my system.</p>\n\n\n\n<p>And in addition to that the way that those updates happen at all is by me or an automation system running a Composer update command. And that&#8217;s the thing that says, go look for things that have changed and pull in any differences based on my defined versioning scheme.</p>\n\n\n\n<p>[00:21:21] Nathan Wrigley: So you can get really granular with it. You can instruct it to do whatever you choose to do. I like the example there of pausing at the point release. So instead of going from 1.9 to two automatically it just pauses because it&#8217;s two. But 1.8 to 1.9 was okay to do. Yeah, it&#8217;s really interesting, you can get really granular. And then you run the command to run all of the updates and off it goes.</p>\n\n\n\n<p>It sounds like, I could be wrong about this. It sounds like you could broadly break down your description for why to use Composer into three things. I&#8217;m thinking, first of all, security. It sounds like it provides, it&#8217;s not really providing security, but it&#8217;s providing security in the sense that it&#8217;s going to update plugins and themes and whatever else you may have coded yourself. It&#8217;s going to do that without your intervention. It&#8217;s going to run on a schedule and it&#8217;ll just get those things updated for you.</p>\n\n\n\n<p>Which as we know in a lot of cases, a lot of WordPress websites, I don&#8217;t think the updates are happening for weeks, possibly months, who knows, maybe even years. So all of that gets taken care of. It also sounds like there&#8217;s a big time save here. If you can get this into your workflow, then you can step away from the dull task of updating things. This will just happen on the fly. You could have a setup in Composer that you reuse over and over again on a sort of typical website that you might set up.</p>\n\n\n\n<p>And thereby you can just drag in all of the packages on day one of the project. And within moments you&#8217;re up and running with a typical install that you mentioned. Suck in a particular theme or suck in a particular SEO plugin or what have you. You just run the Composer and all of that is just dragged in and you&#8217;re off to the races. It&#8217;s a quick way to get started.</p>\n\n\n\n<p>But also, you didn&#8217;t mention this, but it feels like this is a real win for teams. It feels like a team using this workflow, there may be benefits there. So broadly speaking, I&#8217;m talking about teams, times and security. Is there anything in that? Have I sort of got that about right?</p>\n\n\n\n<p>[00:23:16] Chris Reynolds: Yeah, I think so. Obviously there needs to be an automated step somewhere in the process of actually running the Composer update. But beyond that, yes, absolutely. And interestingly one of the things that you touched on maybe accidentally even, the idea of sucking in all of these different packages. When I was at Human Made, I worked on Altis, and Altus is their digital experience platform.</p>\n\n\n\n<p>And Altis is built almost entirely on Composer, and lots of cool Composer things happening. Altis itself is what&#8217;s known as a meta package. When you install Altis, the initial Composer file is just linking out to a whole bunch of other projects or packages that it brings in. And those themselves have their dependencies. So each, each of the modules, like the security module or the core module or whatever, each of those has its own set of dependencies that it pulls in. So it, really does just sort of like package a whole bunch of stuff that you get just for free when you initially set up a new site using that.</p>\n\n\n\n<p>And that was one of the things that going from the idea of, oh, I&#8217;m just going to throw this Composer file in my WordPress site and call that good. That&#8217;s one of the things that really made me think, oh, actually there&#8217;s, there&#8217;s a lot more to it here. And one of the things that I first was exposed to when I was working at Human Made, and that I&#8217;m actively doing now with what I&#8217;m working on a Pantheon, is the concept of WordPress itself being just a dependency of your project.</p>\n\n\n\n<p>And so like with the initial example, I&#8217;ve got a WordPress site. I unzip it. I throw my Composer, json in the root folder. That means that I&#8217;m using Composer probably to manage my plugins and themes, any other packages I might have. But I&#8217;m still using WordPress itself to update itself. Because WordPress is still part of that root directory, and it&#8217;s not part of the Composer structure.</p>\n\n\n\n<p>There are projects, there&#8217;s a couple things out there in the world that&#8217;s already, that have been existed, but one, a big thing that&#8217;s been part of the WordPress ecosystem for a while is by the Roots team called Bedrock. And that&#8217;s what we use at Pantheon. And that, among other things, what Bedrock does is it pulls WordPress in so that it can be a dependency. So that can be just another thing in your Composer file that is being versioned.</p>\n\n\n\n<p>So again, same rules apply, right? You can say I want everything past six. You can say I want 6.1 dot anything beyond that. Or you can say, I only want 6.1.1, and when the next version comes out, I&#8217;m going to manually make that change so that I can be explicit about my testing process to make sure that I&#8217;m not going to ship broken code.</p>\n\n\n\n<p>[00:25:42] Nathan Wrigley: Yeah, that&#8217;s really interesting. The idea that WordPress itself is a package. Okay. I can imagine, given the audience of this podcast, it really does span the whole community, you know. There&#8217;s people in every part of the WordPress ecosystem listening to this. And I can imagine there&#8217;ll be a certain proportion of them who as soon as you start to say things like npm and packages and all of this, and you mentioned, you know, things to do in the command line and da, da, da.</p>\n\n\n\n<p>They&#8217;re scratching their heads thinking I don&#8217;t know if this is for me. This all sounds a little bit complicated. So just address that. There&#8217;s a certain level of tech geeky here, I would imagine, But, is it difficult? Is the payback for a, let&#8217;s say a user who is just playing with five or six sites, they&#8217;ve got a few client sites and they can well manage to go in and update the plugins and the themes and all of the bits and pieces that they got set up.</p>\n\n\n\n<p>Is there a use case here where, okay, if you&#8217;re sitting on that side of the fence, don&#8217;t even bother? This is probably not needed. Whereas if you&#8217;re on this side and you know you&#8217;ve got more sites than a certain number where it&#8217;s going to be of more use.</p>\n\n\n\n<p>[00:26:47] Chris Reynolds: I mean, I definitely think that a lot of the freelancers that I know when I talk to are of the mind that, it&#8217;s just one more thing I need to worry about. And certainly if you are not going to on behalf of your clients go in and make updates, and you&#8217;re handing, once you&#8217;re done at your site, you&#8217;re handing that responsibility off to them.</p>\n\n\n\n<p>It&#8217;s going to be too much work for your clients probably. I&#8217;m thinking like small business. I&#8217;m thinking like mom and pop shop. That sort of thing where it&#8217;s really just a user, one person or two people that are running the site. They&#8217;re probably not going to want to do stuff on the command line and you&#8217;re not going to want to train them and that&#8217;s fine.</p>\n\n\n\n<p>But I think about when I was at WebDev and we were doing maintenance contracts with clients, and WordPress updates came around and we had basically a person dedicated to reading all of the change logs of every plugin on every site before making any updates. Just to make sure that nothing was going to happen that could potentially break.</p>\n\n\n\n<p>And then if there was something that was maybe potentially breaking, they would have to like manually test that themselves on a dev environment, or a local environment or whatever. Just to make sure we&#8217;re not going to run an update and it&#8217;s going to break something. And I think that that process is very tedious and time consuming.</p>\n\n\n\n<p>And that process is the process that you&#8217;re saving by using something where you can be more explicit like Composer. And you know that your updates are not going to break anything because the way that you&#8217;ve set up your versioning is the thing that you want it to be, and you feel confident about that structure so that when there are updates, you can go in and yeah, you still need to do testing, you still need to evaluate those things, but you know that you&#8217;re not going to accidentally push something out.</p>\n\n\n\n<p>Or you can be at least fairly confident that you&#8217;re not going to accidentally push something out that&#8217;s going to break something. Because breaking things is not a good thing. It&#8217;s not a good feeling to have shipped something when you&#8217;re just doing a maintenance WordPress update release and your client is calling an hour later saying, why is my website white?</p>\n\n\n\n<p>[00:28:42] Nathan Wrigley: Yeah, I guess in the case of some of the agencies where you&#8217;ve worked, so Human Made WebDevStudios and so on, it really is enterprise level stuff, and there is no scope for bringing a site down because of a careless update. So the notion that most WordPress users would go in and read the change log before clicking update.</p>\n\n\n\n<p>I think that&#8217;s probably not the case. I would imagine most people are fairly cavalier because it&#8217;s their own site, or it&#8217;s a client site that they&#8217;ve got a backup of, and there&#8217;s some mitigation that they&#8217;re, doing all of that. But in the case that you&#8217;ve just outlined where, I don&#8217;t know, maybe these are international brands that we&#8217;ve heard of where the press damage alone in having a website go down for 50 minutes is just unconscionable. You&#8217;ve got to do the background research, and so having these systems in place is truly important.</p>\n\n\n\n<p>[00:29:36] Chris Reynolds: Yeah, for sure.</p>\n\n\n\n<p>[00:29:36] Nathan Wrigley: In terms of, we&#8217;ve been talking quite a lot about updates. I just wonder what your thoughts are on the, I mean, it&#8217;s not that recent, it&#8217;s several years ago now. The idea that in WordPress you can click a link in the, let&#8217;s say the plugin page. And you can say just go on, update. Whenever something new rolls out, just get on with it and update it. So you can, if you like, trust it. What are your thoughts on that?</p>\n\n\n\n<p>[00:29:58] Chris Reynolds: I think it&#8217;s nice for the people that it&#8217;s good for. And I think it&#8217;s definitely helped with WordPress adoption. Because if all I was doing, if I wasn&#8217;t a WordPress developer and all I was doing was being a podcaster and I had a website that was just about my podcast. I&#8217;m not going to care about code. I&#8217;m never going to want to touch the code. I&#8217;m going to want to install WordPress and never look at FTP, or know my server configuration, or care about my database.</p>\n\n\n\n<p>None of that. None of that is interesting to me. What I want is I want to plug it in, turn it on, and let it run. And be fairly confident that it is going to continue to run when I have my eyes closed and I&#8217;m not looking at it. So I think that it&#8217;s nice in the sense of creating an ecosystem in which things that you do in WordPress are relatively easy. And the counterpoint to that, I work at Pantheon. Pantheon&#8217;s been involved in the Drupal committee for a very long time.</p>\n\n\n\n<p>Talking earlier too about how Drupal has, I think since version eight, integrated Composer into the core of how Drupal works. So sort of the antithesis of this idea of, I&#8217;m going to turn it on and set auto update and then walk away, is the idea of Composerizing everything. So that every change is a code level change.</p>\n\n\n\n<p>And what I&#8217;ve found interesting, that I&#8217;ve learned over the last year of being at Pantheon in a difference between the sort of like Drupal ecosystem and WordPress ecosystem, is in WordPress, yeah, there are some people who make it their job to kind of do just general site administration for people.</p>\n\n\n\n<p>But it&#8217;s not a huge thing. It&#8217;s like there&#8217;s a couple people that do that sort of thing or they don&#8217;t actually touch the code, but they will do your WordPress updates and that sort of thing for you. In Drupal, there&#8217;s entire agencies where all of what they&#8217;re doing is essentially that, just the maintenance stuff of having a website.</p>\n\n\n\n<p>And part of that is because the Drupal admin is a lot more complicated to use, to create sites and pages and views and all sorts of things. It&#8217;s a lot more complicated than the WordPress admin, which I credit to how WordPress is built personally. But the other part of it is the understanding of like, when it&#8217;s okay to update this Drupal module to the next version or that sort of thing. To be aware of what&#8217;s happening on their other sites. And then what combinations work together and that sort of thing.</p>\n\n\n\n<p>There&#8217;s a whole ecosystem that it&#8217;s really just essentially website management, which doesn&#8217;t exist in the same way in WordPress. And so that&#8217;s sort of what we&#8217;re talking about. The difference between having really hands-on updates. Making sure that things are safe to do. Or making it so that the people who actually do the content editing or other administration on the site, they don&#8217;t have to worry about the stuff that&#8217;s happening in the background because they know somebody&#8217;s taking care of it, versus having just the software take care of that for itself.</p>\n\n\n\n<p>And so I think there&#8217;s a place for it. And I think that the reason why WordPress has grown so much over the last many years is because it&#8217;s embraced this, well, we&#8217;re going to just auto update things and not have people stress over that stuff. But, also like the reason why there&#8217;s so many people that are holding onto Drupal is because they want to make sure, they want to ensure that their site is stable and secure and all of those things. And that those things matter for really big companies. It is that divide, right of more casual users versus the enterprise level stuff.</p>\n\n\n\n<p>[00:33:09] Nathan Wrigley: I guess because Composer is essentially nothing to do with WordPress. I mean, you know, you&#8217;ve described a scenario in which WordPress can combine with it, which is very helpful. Updating plugins, themes and so on and so forth. I guess this can reach beyond WordPress. So if you&#8217;ve got something bespoke, unique, you&#8217;ve got a package, which is nothing to do with WordPress. Composer can take care of that as well.</p>\n\n\n\n<p>[00:33:34] Chris Reynolds: Yeah, and it&#8217;s really useful when you, so in both npm and Composer, there&#8217;s the concept of dev dependencies. And these are dependencies that will install when you do like a Composer install. But you can also say, you can omit the developer dependencies on your production installs, right?</p>\n\n\n\n<p>And that means that you can run things like linting and unit testing and all that sort of stuff, which doesn&#8217;t matter if it&#8217;s on the prod site. But maybe if you&#8217;re going to push it to your dev site or you&#8217;re going to keep it on your local machine. And you can manage all those things really easily with Composer.</p>\n\n\n\n<p>There&#8217;s definitely WordPress coding standards and there&#8217;s WordPress suites for unit testing. Those things all exist and you can manage those in WordPress. But essentially, like the core thing, like PHP Code Sniffer is not a WordPress thing. It&#8217;s just a, it&#8217;s just a package that exists in the world. And same thing as PHP unit. It&#8217;s just a thing that exists in the world that we have adopted and embraced and brought it into our ecosystem. So for sure, yeah, there&#8217;s definitely value of using Composer to manage sort of like external things.</p>\n\n\n\n<p>[00:34:29] Nathan Wrigley: Okay, given that if you went down this route and you made Composer an integral part of your process. You then to some extent become dependent upon the functioning of Composer for your whole process to work. And so that brings me to the Composer ecosystem.</p>\n\n\n\n<p>So we&#8217;re all always talking about how great the WordPress ecosystem is. There&#8217;s a forum for this. There&#8217;s a Slack channel for that. If you want to find something out there&#8217;s ways of learning. Is the same true of Composer? It&#8217;s an open source project. Does it have a thriving community? Does it receive the updates that one would hope? Does it progress in the same way that we hope WordPress does? Does it have that same feel? Are there resources for learning and so on?</p>\n\n\n\n<p>[00:35:07] Chris Reynolds: Well, I will say that the website for Composer getcomposer.org, I believe, is really, the documentation&#8217;s really good. At its core, it&#8217;s a pretty simple idea. The documentation&#8217;s pretty self-explanatory. Where it gets hairy is the distinction between a caret versus a squiggly line, in terms of how you&#8217;re going to do your versioning stuff.</p>\n\n\n\n<p>Because there&#8217;s a very subtle but specific difference there. And how to pull in different repositories or how to do more complex things. It gets a little bit hairy. But again, the documentation is all there and it&#8217;s all really good and I found it very useful.</p>\n\n\n\n<p>And there&#8217;s enough people in the open source ecosystem generally that are using Composer, that it&#8217;s not terribly difficult to find answers to any questions about Composer. Most things you would encounter have probably been done by someone, and there&#8217;s probably some prior art that you can use to base it on.</p>\n\n\n\n<p>So I think that it&#8217;s generally pretty good. And packagist is a great place to find stuff. What I will do when I&#8217;m looking for stuff is I&#8217;ll look on packages, even if I&#8217;m looking for a WordPress thing, just to see if, if that developer has pushed their thing to packages before even looking at wordpress.org, or pulling it in from the W Packagist mirror.</p>\n\n\n\n<p>That means it&#8217;s getting a little bit, it&#8217;s like one step closer to the source, right? Because all Packagist does really, to submit a package on Packagist, here&#8217;s your pro tip. You have an account obviously, and then you just say, submit a package and you give it a GitHub repository url, and then it just looks at GitHub. And as long as the GitHub project uses releases, even if it doesn&#8217;t really need to, it just looks at the branches. But if it has releases, then you will have those versions. And if it doesn&#8217;t have releases you can still pull that stuff in using a dev prefix or whatever.</p>\n\n\n\n<p>That stuff is all self-contained. It all exists. It&#8217;s all well-maintained, all that sort of stuff. That&#8217;s all good. Composer itself does occasionally get updates. The last big thing was sort of a transition from Composer one to Composer two. And that was a little bit of a, there&#8217;s definitely some growing pains in the transition process of going from one version to the next.</p>\n\n\n\n<p>And then they threw a wrench recently, not super recently. But they threw a wrench into things a little bit where there is a new thing that goes into your Composer file called allowed plugins. So if it, if it&#8217;s a dependency is calling something else or whatever. You have basically have to give permission to other vendors to, install things on your behalf. So as long as you, if they&#8217;re in the allowed plugins list then those things will get updated, and if they&#8217;re not in the allowed plugins list, then it&#8217;s not going to update those things. And I believe that was for like, security type things.</p>\n\n\n\n<p>That did cause a problem with you know, at Pantheon we have a lot of stuff that&#8217;s based on Composer and we don&#8217;t want to introduce merge conflicts. So if we have a Composer file, that is basically the thing that is used to build sites. And then suddenly that Composer file needs to have a new part of the Composer file, and we push that change. It&#8217;s going to cause a merge conflict with everybody&#8217;s repository that didn&#8217;t already have that.</p>\n\n\n\n<p>So it&#8217;s a little bit of a headache for us, but for the user it&#8217;s obviously a net win. Those sorts of things give me pause a little bit, as somebody who is now at least partially responsible for, thousands of people running sites that use Composer. But in terms of like individual users and stuff, I think that Composer has a really good thing going and has a good ecosystem around it.</p>\n\n\n\n<p>[00:38:16] Nathan Wrigley: Just to give us some insight into how you are using it. Your work at Pantheon and all the other companies that you&#8217;ve mentioned that you&#8217;ve worked at. Is this something that is just typical? This is just part of the process. Everything is built with Composer bolted in. Or is this something that you cherry pick? Okay, this one needs it, this one doesn&#8217;t. Is it basically everywhere, all the time?</p>\n\n\n\n<p>[00:38:38] Chris Reynolds: When I was at WebDev, which admittedly is many years ago now, we didn&#8217;t use Composer. We could have benefited from using Composer. And I think they&#8217;re probably using Composer now. I don&#8217;t know that for sure, but based on the types of projects that they&#8217;re doing, and types of things that I see them working on, I think that&#8217;re probably doing it now.</p>\n\n\n\n<p>When I was at Human Made, it was just there. Everything that we did had Composer as part of it. And it was a sort of a fundamental part of how projects were built. And obviously like Altis is Composer. It&#8217;s a Composer built thing. It&#8217;s entirely built on top of Composer. One of the things that gives it its stability, but also if you look at the documentation for Altis or things, it&#8217;s always lagging, and is always going to be lagging a little bit behind the latest WordPress release.</p>\n\n\n\n<p>And for enterprise, that&#8217;s fine. Because they&#8217;re not concerned about the major or minor point releases. They&#8217;re concerned that their site is secure and it&#8217;s updated and it&#8217;s getting those patch releases. So with each new Altis version that typically aligns with a new WordPress version it sort of, when I was there anyway, the release cycle for Altis followed by a month or so, offset from the last WordPress release, so that they could make sure that the next WordPress version was part of the next Altis version.</p>\n\n\n\n<p>[00:39:48] Nathan Wrigley: Okay, so should somebody have been interested in this, you know, their interest has been peaked by everything that you&#8217;ve been saying. Where&#8217;s some good resources? I&#8217;m looking at getcomposer.org and there&#8217;s a get started link right at the top. That seems like it might be a decent place to start. But maybe there&#8217;s more, how to describe it? Maybe there&#8217;s some things which would help a WordPresser as well.</p>\n\n\n\n<p>[00:40:13] Chris Reynolds: I definitely would point towards the Roots Bedrock Project as being a really good place if you&#8217;re looking at wanting to have WordPress as built as dependency, I think they&#8217;ve got a really good framework. And at Human Made, we were doing that thing, but we weren&#8217;t using Bedrock. So it would be a little bit more difficult to come up with those ideas and that system and that framework independently. And that&#8217;s one of the things I think that you would get from the Roots ecosystem. So definitely yeah the, just the get Composer to learn about it and to look at the documentation, to dig into it.</p>\n\n\n\n<p>And then from a WordPress standpoint specifically, I would definitely look into Bedrock to understand like how that works. And they&#8217;ve got a thriving community as well around that. And, a whole Patreon thing and Discord channel and whatnot, so that you can actually talk to human beings and get some amount of support.</p>\n\n\n\n<p>[00:41:02] Nathan Wrigley: Yeah I&#8217;ll make sure to link to everything that you sent in my direction into the show notes. But, if anybody wants to check those out, you can see them on the WP Tavern website. Search for this episode, and you&#8217;ll be able to see all of those links there. If anybody wants to link to you Chris, if anybody&#8217;s been interested in, just think they&#8217;d like bit of a helping hand. They&#8217;d like to understand this a little bit more from, from the horse&#8217;s mouth if you like. Where do we find you?</p>\n\n\n\n<p>[00:41:27] Chris Reynolds: Online I&#8217;m jazz sequence most places. Frequently jazz sequence with a three. So j a z z s 3 q u e n c e. That&#8217;s my Twitter handle and Instagram, various other things. I am at @jazzsequence@mstdn.social on Mastodon. And, my website is jazzsequence.com without the three, cause I like to, be confusing. And LinkedIn and places like that. But the Twitters and lately Mastodon, and those sorts of social places where you&#8217;ll probably get my attention.</p>\n\n\n\n<p>I&#8217;m also, you know, on the WordPress Core Slack and like I said I live in Salt Lake City so, we haven&#8217;t had very many WordCamps in the last couple years. There&#8217;s some weird pandemic thing happening, but when those things do happen I often will try to visit the things that are, within driving range. I&#8217;m hoping to be at at US in National Harbor this year. So, maybe I&#8217;ll see folks there.</p>\n\n\n\n<p>[00:42:16] Nathan Wrigley: Nice. Chris Reynolds, thank you for joining us on the podcast today. I appreciate it.</p>\n\n\n\n<p>[00:42:20] Chris Reynolds: Yeah, no worries.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://twitter.com/jazzs3quence\">Chris Reynolds</a>.</p>\n\n\n\n<p>Chris has been working with WordPress for over 15 years. He’s freelanced, worked with Event Espresso, WebDevStudios, Human Made and is now at Pantheon as a CMS Ecosystem engineer, and WordPress technical lead. He’s spoken at WordCamps and at OpenWest about all aspects of WordPress.</p>\n\n\n\n<p>I suspect that many of the people listening to this podcast are not using Composer in their WordPress workflow, and to Chris, this is something that you should think about implementing, and he’s here to explain why.</p>\n\n\n\n<p>Chris starts off by talking about the kind of projects that he’s worked on, and how he found WordPress.</p>\n\n\n\n<p>We then get into the weeds of what Composer is, and the benefits that it brings. It’s essentially a package management system and makes it easy to set dependencies for your project and manage them within Composer.</p>\n\n\n\n<p>Why would you want to do that though? If you’re just building brochure websites, then perhaps you don’t, but if your project is more complex, then this might save you a lot of time.</p>\n\n\n\n<p>Chris describes scenarios in which he thinks Composer is a good fit; if you want to add in specific packages, and how those packages are managed and updated.</p>\n\n\n\n<p>He explains how you can install Composer depending on the OS that you’re working with, and how it structures the files and directories that are created.</p>\n\n\n\n<p>Towards the end of the podcast, we talk about how Composer can be useful for teams, and Chris’ use of Composer to keep everyone clear on how the project is structured.</p>\n\n\n\n<p>If you’ve thought about using a package management system such as Composer, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://www.hotscripts.com/\">Hot Scripts</a></p>\n\n\n\n<p><a href=\"https://eventespresso.com/\">Event Espresso</a></p>\n\n\n\n<p><a href=\"https://www.pluralsight.com/\">Pluralsight</a></p>\n\n\n\n<p><a href=\"https://webdevstudios.com/\">WebDevStudios</a></p>\n\n\n\n<p><a href=\"https://humanmade.com/\">Human Made</a></p>\n\n\n\n<p><a href=\"https://pantheon.io/\">Pantheon</a></p>\n\n\n\n<p><a href=\"https://www.npmjs.com/\">npm</a></p>\n\n\n\n<p><a href=\"https://brew.sh/\">Homebrew</a></p>\n\n\n\n<p><a href=\"https://wpackagist.org/\">WordPress Packagist</a></p>\n\n\n\n<p><a href=\"https://packagist.org/\">Packagist</a></p>\n\n\n\n<p><a href=\"https://roots.io/bedrock/\">Bedrock by the Roots Team</a></p>\n\n\n\n<p><a href=\"https://getcomposer.org/\">Composer</a></p>\n\n\n\n<p><a href=\"https://twitter.com/jazzs3quence\">Chris&#8217; Twitter account</a></p>\n\n\n\n<p><a href=\"https://mstdn.social/@jazzsequence\">Chris&#8217; Mastodon account</a></p>\n\n\n\n<p><a href=\"https://jazzsequence.com/\">Chris&#8217; website</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WordPress.org blog: Introducing the WordPress Developer Blog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14649\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4659:\"<p>With much activity happening in the WordPress development space every day, keeping up-to-date with the latest updates can be challenging. The new <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a> is a developer-focused resource to help you stay on top of the latest software features, tutorials, and learning materials relevant to the open source project.</p>\n\n\n\n<p>This blog is the culmination of a community effort that began last year. Formed by experienced WordPress community members and developers, the <a href=\"https://developer.wordpress.org/news/about/\">editorial group</a> has since worked on a wide range of content already available—from theme and block development tutorials to tips and tricks for leveraging WordPress in the site editing era.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A new home for developers</h2>\n\n\n\n<p>As a complementary resource to the WordPress documentation, the Developer Blog aims to provide a shared space to stay informed of development-related updates, keep up with ongoing discussions and ideas, and explore cutting-edge use cases.</p>\n\n\n\n<p>In other words, <strong>consider it as a central hub for developers and </strong><a href=\"https://make.wordpress.org/updates/2020/05/01/care-and-influence-a-theory-about-the-wordpress-community/\"><strong>extenders</strong></a> of different backgrounds and skill levels to learn with quality content from reliable sources, share knowledge, and drive WordPress development forward.</p>\n\n\n\n<p>True to the open source way, the blog will likely evolve. As its editors and readers learn and create more content, it will adapt in response to the needs of community members like you.</p>\n\n\n\n<p>Everyone is welcome to chime in on-topic discussions, share ideas or contribute. <a href=\"https://developer.wordpress.org/news/how-to-contribute/\">Learn more about how to get involved</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What about the content?</h2>\n\n\n\n<p>Content on the WordPress Developer Blog covers many topics, including tutorials on <a href=\"https://developer.wordpress.org/news/category/themes/\">theme development</a>, <a href=\"https://developer.wordpress.org/news/category/plugins/\">plugins</a>, and <a href=\"https://developer.wordpress.org/news/category/block-development/\">block development</a>. You can also expect posts on WordPress APIs, best practices for working with WordPress, updates on upcoming releases, and <a href=\"https://developer.wordpress.org/news/category/learning/\">learning resources</a> for beginners and seasoned developers.</p>\n\n\n\n<p>These articles offer a good hint at what&#8217;s already in store for you:</p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2022/11/17/demystifying-home-and-posts-templates-in-wordpress-theme-development/\">Demystifying home and posts templates in WordPress theme development</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\">Creating themes from a pattern-first mindset</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/creating-custom-block-styles-in-wordpress-themes/\">Creating custom block styles in WordPress themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Sounds interesting? </h2>\n\n\n\n<p><a href=\"https://developer.wordpress.org/news/#subscribe\">Subscribe to the Developer Blog</a> to keep up with the latest content in the WordPress development space.</p>\n\n\n\n<p><em>Props for content and peer review <a href=\"https://profiles.wordpress.org/chanthaboune/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chanthaboune</a> <a href=\"https://profiles.wordpress.org/rmartinezduque/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rmartinezduque</a> <a href=\"https://profiles.wordpress.org/mburridge/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mburridge</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/bph/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bph</a>&nbsp;<a href=\"https://profiles.wordpress.org/greenshady/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>greenshady</a> <a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: The Mercantile Reopens with Limited Edition 20th Anniversary WordPress Swag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142884\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/the-mercantile-reopens-with-limited-edition-20th-anniversary-wordpress-swag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1527:\"<img />\n\n\n\n<p><a href=\"https://mercantile.wordpress.org/\">The Mercantile</a>, WordPress&#8217; official swag store, was closed for updates but has relaunched with the highly anticipated limited edition <a href=\"https://mercantile.wordpress.org/product-category/wp20/\">20th anniversary swag</a>. </p>\n\n\n\n<p>In celebration of the milestone, the store has added an array of keepsakes, including sweatshirts, pennants, a &#8220;Code is Poetry&#8221; t-shirt, stainless steel tumbler, pet bandana, commemorative sticker sheets, and more. What WordPress swag collector can pass up the WP20 Wapuu keychain?</p>\n\n\n\n<p>Unlike years past, where the swag store seemed like its own separate site, this relaunch makes the store a  more natural part of the WordPress project&#8217;s website. It runs on WooCommerce and shares the same <a href=\"https://wptavern.com/wordpress-news-gets-a-new-design\">updated design</a> as the rest of WordPress.org with the vibrant blue that has made its way into the 20th anniversary logos. </p>\n\n\n\n<p>The limited edition swag is available while supplies last. Unfortunately, international shipping rates are hefty, a complaint the store has received for years. It makes it cost-prohibitive to order a single t-shirt or sweatshirt outside the U.S. when the shipping costs twice as much or more than the product. Hopefully, this year&#8217;s docket of WordCamp events will provide other avenues for distributing 20th anniversary swag to WordPress&#8217; global community through well-stocked pop-up shops.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Mar 2023 03:21:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: Admin Menu Tree Page View 2.8 Now Supports All Public Post Types \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142881\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/admin-menu-tree-page-view-2-8-now-supports-all-public-post-types\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2211:\"<p>The <a href=\"https://wordpress.org/plugins/admin-menu-tree-page-view/\">Admin Menu Tree Page View plugin</a>, which adds a tree-view layout of content in the WordPress admin, has been refactored to support more content types. The plugin is an admin utility similar to <a href=\"https://wordpress.org/plugins/hierarchy/\">Hierarchy</a> or the commercial <a href=\"https://organizewp.com/\">OrganizeWP</a> plugin that reworks the CMS to show content in one place, but it offers a simpler set of features for free with no ads or upsells.  These types of plugins are valuable tools on larger, CMS-heavy WordPress sites.</p>\n\n\n\n<p>Previously, the Admin Menu Tree Page View plugin focused on pages, allowing users to better visualize the page hierarchy/tree structure, add pages directly after or inside another post, and easily reorder pages via drag and drop.</p>\n\n\n\n<p><a href=\"https://getbutterfly.com/admin-menu-tree-page-view-2-8-refactoring-update/\">Version 2.8</a> adds support for all public post types &#8211; posts, pages, and custom post types, which was a long requested feature. The plugin&#8217;s author, WordPress developer Ciprian Popescu, said adding more post types made the dashboard menu unmanageable and the backend slow, requiring him to update the plugin to us a top-level menu page.</p>\n\n\n\n<p>&#8220;The solution here was to move the pages to a top level menu page,&#8221; Popescu said. &#8220;This increased the &#8216;one click away&#8217; feature to &#8216;two clicks away,&#8217; which is not a bad trade-off in my opinion, especially when all public post types are now available in a hierarchical tree layout. Having a separate page now removed the need for collapsing the child <code>&lt;ul></code> elements, as the purpose of this plugin is to quickly see all your pages in a bird’s eye view manner.&#8221;</p>\n\n\n\n<img />\n\n\n\n<p>Version 2.8 also removes some redundant features, cookies, and JavaScript resources, as the expand/collapse functionality is no longer necessary. Next on the roadmap for future releases Popescu is working on adding caching for post types, removing the jQuery and jQueryUI dependency, and improving dragging and dropping to work inside child elements. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 23:10:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.2 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14685\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4880:\"<p>It’s the final countdown: the third (and last) scheduled <a href=\"https://make.wordpress.org/core/handbook/glossary/#release-candidate\">release candidate</a> (RC3) for WordPress 6.2 is ready! </p>\n\n\n\n<p>The WordPress 6.2 release is scheduled for March 28, 2023—just one week away! Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>Just tuning in now? Catch up on the featured highlights, and dig into more 6.2 details in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<p>Thanks to all the Beta and RC testers who have assisted in this release. Since <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">RC2</a> was released on March 14, there have been about 21 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=03%2F15%2F2023..03%2F21%2F2023&milestone=6.2&col=id&col=summary&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.</p>\n\n\n\n<p>Your feedback and help in filing bug reports keep the WordPress experience stable, smooth, and delightful. It’s critical work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC3 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC3 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC3.zip\">RC3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC3</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shout out to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many things for more people across the world. As you test your latest versions against RC3, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Wow, we’re oh so close<br />Test, test. Get it out the door.<br />Please no RC 4.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/audrasjb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>audrasjb</a> <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a> <a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 17:43:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"Do The Woo Community: Building Community and Employee Engagement with James Giroux\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74641\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/building-community-and-employee-engagement/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"<p>James Giroux from TeamWP joins us to talk about life as a community manager and building employee engagement with TeamWP.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/building-community-and-employee-engagement/\">Building Community and Employee Engagement with James Giroux</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Mar 2023 10:21:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"Akismet: Version 5.1 of the Akismet WordPress Plugin is Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.akismet.com/?p=2453\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://blog.akismet.com/2023/03/20/version-5-1-of-the-akismet-wordpress-plugin-is-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:724:\"<p>Version 5.1 of <a href=\"http://wordpress.org/plugins/akismet/\">the Akismet plugin for WordPress</a> is now available. This update contains the following improvements:</p>\n\n\n\n<ul>\n<li>We removed some unnecessary limit notices from /wp-admin/ pages.</li>\n\n\n\n<li>We&#8217;re now using post taxonomies to improve spam detection.</li>\n\n\n\n<li>In order to avoid inadvertent exposure, API keys are no longer used in the stats iframe URLs.</li>\n</ul>\n\n\n\n<p>To upgrade, visit the Updates page of your WordPress dashboard and follow the instructions. If you need to download the plugin zip file directly, links to all versions are available in <a href=\"http://wordpress.org/plugins/akismet/\">the WordPress plugins directory</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Mar 2023 19:37:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Christopher Finke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"WPTavern: CloudFest Hackathon 2023 Kickstarts Innovative WordPress Projects: VS Code Extension for In-Browser Development, WapuuGotchi Gamification Plugin, and More\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142851\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:172:\"https://wptavern.com/cloudfest-hackathon-2023-kickstarts-innovative-wordpress-projects-vs-code-extension-for-in-browser-development-wapuugotchi-gamification-plugin-and-more\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9378:\"<p>More than 6,000 people are attending <a href=\"https://www.cloudfest.com/\">CloudFest</a> in Europa-Park, Germany, this week. A strong contingent of WordPress developers and contributors are among them. During the <a href=\"https://www.cloudfest.com/hackathon\">Hackathon</a> portion of the event, web professionals gather for a friendly competition, tackling problems for existing not-for-profit, OSS projects, creating solutions with a concentrated effort at a quicker pace than remote collaboration usually allows.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">WordPress running in VS Code!!! <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> <a href=\"https://t.co/qKQeQBZClW\">pic.twitter.com/qKQeQBZClW</a></p>&mdash; daniel (@dbchhbr) <a href=\"https://twitter.com/dbchhbr/status/1637491441453735937?ref_src=twsrc%5Etfw\">March 19, 2023</a></blockquote>\n</div>\n\n\n\n<p>Several WordPress-related projects have been put into action at the Hackathon, including the following: </p>\n\n\n\n<ul>\n<li><a href=\"https://www.cloudfest.com/mariadb-health-checks-in-wordpress\">MariaDB Health Checks in WordPress</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/privacy-focused-web-analytics-plugin\">Statify: Privacy-Focused Web Analytics Plugin</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/a-search-engine-for-wordpress-developers\">docs_dangit: A search engine for WordPress developers</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wapuugotchi\">Wapuugotchi</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wappspector-cli-utility-to-scan-a-hosting-server-to-identify-used-cms-ecommerce-top-frameworks-used-in-the-websites\">Wappspector</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/eco-mode-reduce-outgoing-network-traffic-of-your-wordpress-server\">Eco-mode – reduce outgoing network traffic of your WordPress server</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/wordpress-runtime-vulnerability-analysis\">WordPress Runtime Vulnerability Analysis</a></li>\n\n\n\n<li><a href=\"https://www.cloudfest.com/in-browser-wordpress-development-environment\">In-browser WordPress development environment</a></li>\n</ul>\n\n\n\n<p>Automattic engineer Daniel Bachhuber <a href=\"https://developer.wordpress.com/2023/03/20/cfhack2023-wordpress-in-vs-code/\">published</a> a preview of the in-browser WordPress development environment enabled by an experimental VS Code extension that uses <a href=\"https://webassembly.org/\">WebAssembly</a> to run WordPress entirely in the browser.</p>\n\n\n\n<p>&#8220;Forget spending hours setting up a local development environment at your next Contributor Day,&#8221; Bachhuber said. &#8220;Simply install the <a href=\"https://marketplace.visualstudio.com/items?itemName=WordPressPlayground.wordpress-playground\">WordPress Playground VS Code extension</a>, run &#8216;Launch WordPress Playground&#8217; from the command launcher, and you’ll have a <s>fully</s> mostly functional WordPress installation right inside your editor.&#8221;</p>\n\n\n\n<p>Bachhuber emphasized that the extension was built for demonstration purposes but is <a href=\"https://github.com/danielbachhuber/wordpress-playground-vscode\">available on GitHub</a> for anyone who wants to contribute or report bugs. A more in-depth tour of the extension is available on <a href=\"https://developer.wordpress.com/2023/03/20/cfhack2023-wordpress-in-vs-code/\">Automattic&#8217;s developer blog</a>.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>In addition to the VS code previewer for WordPress plugins, the Hackathon team working with WordPress Playground is also <a href=\"https://twitter.com/adamzielin/status/1637457845141512194\">experimenting</a> with using the block editor in the browser and working with the Terminal and PHP, wp-cli, and PHPUnit &#8211; all in the browser. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Our <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> Project 1: WordPress code editor, cli, and preview in the browser — with offline mode! <a href=\"https://twitter.com/hashtag/CFHack?src=hash&ref_src=twsrc%5Etfw\">#CFHack</a> <a href=\"https://t.co/KdFzwq9IaJ\">https://t.co/KdFzwq9IaJ</a></p>&mdash; Adam Zieliński (@adamzielin) <a href=\"https://twitter.com/adamzielin/status/1637769196128858114?ref_src=twsrc%5Etfw\">March 20, 2023</a></blockquote>\n</div>\n\n\n\n<p>The WapuuGotchi project, which aims to gamify WordPress with a customizable Wapuu, notifications, and rewards, has its own <a href=\"https://twitter.com/wapuugotchi\">Twitter account</a> and <a href=\"https://wapuugotchi.com/\">website</a> where those interested can follow along with their progress.</p>\n\n\n\n<img />image credit: <a href=\"https://wapuugotchi.com/hackathon-wrap-up-unveiling-the-future-of-wordpress\">WapuuGotchi Hackathon Wrap-Up</a>\n\n\n\n<p>&#8220;The audience was captivated as we demonstrated the customizable Wapuu assistant, which can be tailored to suit individual preferences by selecting unique outfits and accessories,&#8221; WapuuGotchi design contributor Dennis Hipp said.</p>\n\n\n\n<p>&#8220;We also highlighted WapuuGotchi’s backend interaction capabilities, showing how it can guide users through updates, provide helpful tips, and offer reminders for important tasks. The presentation concluded with an invitation for Plugin authors to collaborate with us and integrate their Plugins into the WapuuGotchi ecosystem.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f469-1f3fb-200d-1f4bb.png\" alt=\"👩🏻‍💻\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /> Day 3, the last day and the final sprint! Everyone in the <a href=\"https://twitter.com/hashtag/WapuuGotchi?src=hash&ref_src=twsrc%5Etfw\">#WapuuGotchi</a> team is working hand in hand to complete the final steps before the presentation.  We are looking forward to sharing our results with you! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f468-1f3fc-200d-1f4bb.png\" alt=\"👨🏼‍💻\" class=\"wp-smiley\" /> <a href=\"https://twitter.com/hashtag/CFHack2023?src=hash&ref_src=twsrc%5Etfw\">#CFHack2023</a> <a href=\"https://twitter.com/aprox7?ref_src=twsrc%5Etfw\">@aprox7</a> <a href=\"https://twitter.com/joomla?ref_src=twsrc%5Etfw\">@Joomla</a> <a href=\"https://twitter.com/TinaTO?ref_src=twsrc%5Etfw\">@TinaTO</a> <a href=\"https://twitter.com/mpmike?ref_src=twsrc%5Etfw\">@mpmike</a> <a href=\"https://twitter.com/cloudfest?ref_src=twsrc%5Etfw\">@cloudfest</a> <a href=\"https://t.co/9VZy1KSAKg\">pic.twitter.com/9VZy1KSAKg</a></p>&mdash; WapuuGotchi (@wapuugotchi) <a href=\"https://twitter.com/wapuugotchi/status/1637748796938506240?ref_src=twsrc%5Etfw\">March 20, 2023</a></blockquote>\n</div>\n\n\n\n<p>The Wappspector project, which aims to create a CLI utility to analyze the file structure of a web hosting server and identify the frameworks and CMS used in the websites hosted on it, made significant progress during the Hackathon. The app added seven more CMS identifiers and will soon be ready for testing on control panels. The app focuses on CMS and e-commerce applications but will also have an extendable mechanism allowing hosting providers to customize it to suit their needs.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Seven more CMS identifiers added to <a href=\"https://twitter.com/hashtag/WappSpector?src=hash&ref_src=twsrc%5Etfw\">#WappSpector</a> <a href=\"https://twitter.com/cloudfest?ref_src=twsrc%5Etfw\">@Cloudfest</a> <a href=\"https://twitter.com/hashtag/CFHACK?src=hash&ref_src=twsrc%5Etfw\">#CFHACK</a> <a href=\"https://twitter.com/hashtag/CFHACK2023?src=hash&ref_src=twsrc%5Etfw\">#CFHACK2023</a> &#8211; in addition to <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a>, <a href=\"https://twitter.com/hashtag/Joomla?src=hash&ref_src=twsrc%5Etfw\">#Joomla</a>, <a href=\"https://twitter.com/hashtag/Drupal?src=hash&ref_src=twsrc%5Etfw\">#Drupal</a>, <a href=\"https://twitter.com/hashtag/Prestashop?src=hash&ref_src=twsrc%5Etfw\">#Prestashop</a> &amp; <a href=\"https://twitter.com/hashtag/TYPO3?src=hash&ref_src=twsrc%5Etfw\">#TYPO3</a>, <a href=\"https://twitter.com/hashtag/Composer?src=hash&ref_src=twsrc%5Etfw\">#Composer</a> and <a href=\"https://twitter.com/hashtag/Laravel?src=hash&ref_src=twsrc%5Etfw\">#Laravel</a> are now identifiable. Our app will soon be ready for testing on control panels. <a href=\"https://t.co/f26qLFiEqV\">pic.twitter.com/f26qLFiEqV</a></p>&mdash; cPanel (@cPanel) <a href=\"https://twitter.com/cPanel/status/1637399014873202688?ref_src=twsrc%5Etfw\">March 19, 2023</a></blockquote>\n</div>\n\n\n\n<p>CloudFest 2023 added a new <a href=\"https://www.cloudfest.com/wordpress-day\">WordPress Day</a>, dedicated to helping internet infrastructure professionals learn more about WordPress&#8217;s footprint and ecosystem, and hear from some of the top WordPress plugin developers and security experts. The event was held earlier today on March 20, and featured 12 sessions on WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Mar 2023 18:59:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"Gutenberg Times: OpenAI Block, WooCommerce 7.5, Patterns and Flexible Table Block —Weekend Edition #247\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23605\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"https://gutenbergtimes.com/openai-block-woocommerce-7-5-patterns-and-flexible-table-block-weekend-edition-247/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17406:\"<p>Howdy, </p>\n\n\n\n<p>Containers are on my mind. In one of those, our household will be shipped next week. 🚚 We will be AirBnB-ing for a few weeks. Exciting times. </p>\n\n\n\n<p>I need to sort through some paperwork and create the inventory for the insurance. Sorry for the short intro, today. </p>\n\n\n\n<p>Wish me luck! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<p><strong>Josepha Haden Chomphosy</strong> joined <strong>DocPop</strong> on the <em>Torque Social Hour</em>. They discussed WordPress 20-year Anniversary celebration, WordPress 6.2 &#8211; Phase 2 to Phase 3. <a href=\"https://www.youtube.com/watch?v=9T0LgQP7M4A\"><strong>Torque Social Hour: Preparing for WP20 Celebrations</strong></a>. In this episode, Haden Chomphosy  told us about the upcoming plans for WordPress’s 20th Anniversary. They also talked about WP version 6.2, the recent acquisition of the ActivityPub plugin for WordPress, and Plugin Madness 2023.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p>It&#8217;s release candidate week in WordPress land: <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\"><strong>WordPress 6.2 RC 2</strong></a> was released on March 14, 2023, and <a href=\"https://github.com/WordPress/gutenberg/releases/tag/v15.4.0-rc.1\"><strong>Gutenberg 15.4 RC 1</strong></a> is also available for testing. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>WordPress 6.2 comes with a browse mode of the Site Editor. This includes a black left menu bar that blends in and out depending on if you are editing a template or browsing the menu. Until RC 2, &#8220;Navigation&#8221; was one of the menu items on the left admin menu, it was, however, pulled before this week&#8217;s RC 2. <strong>Anne McCarthy</strong> summarized the discussion around this issue in their post: <a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\"><strong>FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</strong></a> and shared also the list of issues this feature has. Each one a minor item in the sum it wasn&#8217;t up to the quality contributors aimed for. </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p>WPEngine&#8217;s one-day virtual developer conference DE{CODE} will take place next week <strong>March 21 through 23rd, 2023. DE{CODE} </strong>will be broadcast in three global time zones and anticipates over 5,000 attendees in its fourth year, launching in 2020. <strong>Matt Mullenweg</strong> and <strong>Matias Ventura</strong> will discuss the future of WordPress and the rapid innovations in the block editor relied upon by millions of WordPress developers worldwide. It&#8217;s also part of the 20-year anniversary celebration of WordPress . Have a look at the <a href=\"https://events.wpengine.com/event/b1c1e30f-2c73-4abb-a609-52afaed68717/websitePage:289e81f7-3e30-49de-9510-696ad303d192\"><strong>schedule of all the great sessions at DE{CODE} 2023</strong></a></p>\n\n\n\n<img />\n\n\n\n<p><strong>Anne McCarthy</strong> was a guest of <strong>Rob Cairns</strong> for the latest episode. They talk All about 6.2 on <a href=\"https://stunningdigitalmarketing.com/episode-307-wordpress-6-2-with-anne-mccarthy/\">Stunning Digital Marketing</a> podcast. Highlights of the show: </p>\n\n\n\n<ul>\n<li>What is coming in WordPress 6.2 .</li>\n\n\n\n<li>&nbsp;The coolest features in WordPress 6.2</li>\n\n\n\n<li>&nbsp;When are we going to update the WordPress Admin Dashboard?</li>\n\n\n\n<li>&nbsp;When are we going to fix the Media Library?</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Jamie Marsland</strong>, shows off the <a href=\"https://www.youtube.com/watch?v=ERIz3diT9Sk\"><strong>Side Editor and Block Themes</strong></a> again via YouTube. He uses both to rebuild Austin Kleon&#8217;s website, using the newest WordPress version.  <br /><em>Austin Kleon is the New York Times bestselling author of a trilogy of illustrated books about creativity in the digital age: Steal Like An Artist, Show Your Work!, and Keep Going.</em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5</a></strong> has been released, and the post highlights that Woo Blocks are ready for the new feature of the StyleBook coming in WordPress 6.2, Blocks have been rewritten, so users can use the core design tools for changing the look and feel, the block can be easier styled by block themes, and new blocks to manage the store can now be found in the inserter of the block editor. </p>\n\n\n\n<p><strong>Sarah Gooding</strong> of WPTavern has more details: <a href=\"https://wptavern.com/woocommerce-7-5-0-introduces-3-new-blocks-expands-support-for-global-styles\"><strong>WooCommerce 7.5.0 Introduces 3 New Blocks, Expands Support for Global Styles</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Learn.WordPress Tutorial: <a href=\"https://learn.wordpress.org/tutorial/displaying-testimonials-on-your-website/\"><strong>Displaying testimonials on your website</strong></a> with<strong> Wes Theron</strong>. This tutorial will look at adding a testimonial pattern and installing a new block from the Block Directory to your site.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/tetsuaki_hamano\">Aki Hamano</a></strong>, a Gutenberg contributor from Japan, released a new version of his <a href=\"https://wordpress.org/plugins/flexible-table-block/\"><strong>Flexible Table Block plugin</strong></a>, with the main changes </p>\n\n\n\n<ul>\n<li>Tested on WordPress6.2</li>\n\n\n\n<li>Redesigned global settings modal </li>\n\n\n\n<li>apply stripe color to tbody only </li>\n\n\n\n<li>Preserve rowspan/colspan when converting to/from core table blocks </li>\n</ul>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><strong>Mike McAliste</strong>r acclaims: <a href=\"https://olliewp.com/patterns-are-gonna-be-a-game-changer-for-wordpress/\"><strong>Patterns are gonna be a game changer for WordPress</strong></a>, and he tells you why, after a recap of the genesis of Block Patterns:  &#8221;&nbsp;instead of designing a page from scratch, WordPress creators can now lean on patterns to quickly prototype or design their full website in the new WordPress Site Editor with little or no code involved.&#8221; McAlister also has concrete vision on how patterns could be a bit more intelligent: </p>\n\n\n\n<ul>\n<li>Go global: change once, update to all places where patterns were added.</li>\n\n\n\n<li>Pattern locking features</li>\n\n\n\n<li>Light/dark version of the same pattern.</li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>If that topic interests you more, <strong>Justin Tadlock</strong> wrote a post on the Developer Blog, introducing <a href=\"https://developer.wordpress.org/news/2022/11/creating-themes-from-a-pattern-first-mindset/\"><strong>Creating Themes from a Pattern-first mindset</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ganesh Dahal</strong>&nbsp;wrote on CSS Tricks on <a href=\"https://css-tricks.com/managing-fonts-in-wordpress-block-themes/\"><strong>Managing Fonts in WordPress Block Themes</strong></a>. &#8220;Block themes can indeed use Google Fonts, but the process for registering them is way different from what you might have done before in classic themes.&#8221; he explained. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p>On the WordPress Developer Blog, <strong>Daisy Olse</strong>n takes you along when she shows you  <a href=\"https://developer.wordpress.org/news/2023/03/block-theme-templates-the-easy-way-to-build-an-elegant-grid-of-posts/\"><strong>Block theme templates: the easy way to build an elegant grid of posts</strong></a>. <em>&#8220;WordPress block themes let you lay out your home page in countless ways, with endless flexibility. To get you started and show you just a few of the possibilities, this tutorial will help you build a magazine-style home page that shows several recent posts and then a traditional post list for inner pages.</em>&#8220;Olsen summarized. Olsen also live-streams regularly <a href=\"httpa://twitch.com/daisyonwp\">on Twitch</a>: Next event: Friday, March 31, 2023 7:30 AM to 9:00 AM Topic: <a href=\"http://clicks.meetup.com/ls/click?upn=XbaZ37larFA-2FuV5MohrYpdrra25MtI4CzodbRR1Rd1lcKVfFkaiAkMoxUvY-2FRvTYasrl05OpUEx72RVyvunbnfpl8aYBoogyprZFTIpUpo22NL-2FoQHUOrtYIfxI6PjJVQFCmp-2B2S-2Fq4FTLYKBM-2BmtFcLYWugMTX9zP0bhY6zZ3DLzmpF0KtJjZgT2sqIJWMLmpmnqQgZd0lq2xEArTmYCpw3GjujFvusA8j5HeNyemAoWMY12BDWC9aKbhEdL43wbmWxsdhlCn-2BVgCcoZjW3jRMKI9i3RSODpkr-2BEywOkyA-3DTYl__J40Cm482JAfcu64pauD5epBU-2Bh0Rd-2FPWHzdxWXz1rewkAa1qNT6zJlNeHNYZFAj0LnD-2Bb1AhQQSz4XVimu5ikL4v4OY5PmVLKfMIPDvE6BMosM9bkdqfAXKOIvxARLwcEaswvLfrjbcOYXZ6C3kRPGZOIfCYy917Fg5QeBskFMUyf3q4tnOMOPPjOqOaBMCUzD1FgXVOIMNE3e3r-2BhQukqfMyS-2FyScFE4d0bJew1heuXhcM4totKIVcUclpyh59sJALeLnEd7rm1-2Fqjh48JlQHN5Mu3Av-2FsH9ygknQvsc5x0A0KIrnZTxG3h2GrtpO7CVUdQl4Bc6wM2zHjt9-2B787S0FNwx7tr-2BI0gnbVhh3msWhB3gwO8L9YvSr-2BK297Bd2xRLzyP5phQS6MLNc8DjP1QvXnZNFPgnkJBi01ij4rj1YPcsSY-2Fo0gaDXyr-2FQVIUGP-2FQRg-2BDysOhbjHIF9IWpTizgKY1H8lY112ok0qu4wmRXXbjeFAqRqDstHdKbn1To22RrqAWiHnuz8gFPcdlUc2AGP-2BiO7jlJY-2BMMFkuaCYYcqV97OLC4u05JDD2KYzbB3loEraPvrnPo83nKJ4w-2B4GQleteGxeO-2BNZkBi5jVzF93Gz-2FQ41-2FqSCjNgHh46QPbQonA1BfYS3KYXiaPoCQTtqTjxDRRvuZOgrx6MeiNm0WMa-2BvS3qV0FFYDI54etDZF01xqafJyfVV0kXDBt7dNp0zsnZNMsTYIVXwErz8HEozy6mQquv99qo2jE-2FsMC7WE\" target=\"_blank\" rel=\"noreferrer noopener\">Block Themes and WordPress: Exploring WordPress 6.2</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>In his latest recording, <strong>Ryan Welcher</strong> wrapped up <a href=\"https://www.youtube.com/watch?v=88c6z1XEvG0\"><strong>building an OpenAI block for WordPress</strong></a>. In a previous edition, Welcher built an OpenAI integrated block that can generate images for use in our content. In this show, he turned it into a plugin that is part of the editor interface and inserted image blocks automatically after uploading the selected image. </p>\n\n\n\n<p>If you missed the earlier parts of this series, they are also available on YouTube</p>\n\n\n\n<ul>\n<li><a href=\"https://www.youtube.com/watch?v=bQS69SglWOg\">Integrating OpenAI with a custom block. Part One</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/watch?v=gIJwXEXt7xE\">Integrating OpenAI with a custom block. Part Two</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Using the WordPress REST API is how block editor development interacts with data. <strong>Jonathan Bossenger</strong> created a series of Workshops on how to use the API.</p>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/2023/01/13/lets-code-using-the-wordpress-rest-api/\"><strong>Using the WP REST API</strong></a>: Learn how to use the WP REST API to interact with existing WordPress data.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/01/20/lets-code-interacting-with-the-wp-rest-api/\"><strong>Interacting with the WP REST API</strong></a>: Learn how to interact add and delete data. The tutorial also looks at a useful developer tool for testing endpoints.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/01/27/lets-code-wp-rest-api-updates-custom-fields-and-authentication/\"><strong>WP REST API updates, custom fields, and authentication</strong></a>: Learn how to use the REST API and Backbone.js to make update requests, add/update custom fields, and authenticate requests when logged out.&nbsp;</li>\n\n\n\n<li><strong><a href=\"https://wordpress.tv/2023/02/03/lets-code-wp-rest-api-modifying-responses/\">WP REST API – modifying responses</a>:</strong> Learn one of the ways to extend the REST API by modifying responses.</li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/02/10/lets-code-wp-rest-api-custom-routes-and-endpoints/\">WP REST API – custom routes and endpoints</a>: Learn how to create custom routes and endpoints and test them with Postman.</li>\n</ul>\n\n\n\n<p>I also highly recommend watching <strong>K. Adam White</strong>&#8216;s talk at WordCamp Asia on&nbsp;<a href=\"https://asia.wordcamp.org/2023/session/getting-the-most-out-of-the-rest-api/\"><strong>Getting the most out of the REST API</strong></a>. During the talk, White renamed it to&nbsp;<em>“Getting the most out of WordPress when you’re writing Block Editor code”.</em> (<a href=\"https://www.youtube.com/live/vrDwB7iuHL8?t=2299\">Recording</a>)&nbsp;(<a href=\"https://docs.google.com/presentation/d/1PQVcTzcUP2xRbwjEjqo8VENxU7fiDBtz8U7R4cA0-IE/edit#slide=id.g1f27001dabd_0_8\"><strong>Slidedeck</strong></a>)</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;Container&#8221; by Izabela Reimers is licensed under CC BY-NC-SA 2.0.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 18 Mar 2023 05:33:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"WPTavern: WordPress Launches Wapuu Coloring Giveaway to Celebrate Upcoming 20th Anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142834\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://wptavern.com/wordpress-launches-wapuu-coloring-giveaway-to-celebrate-upcoming-20th-anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2364:\"<p>Wapuu lovers who are looking for a relaxing weekend activity will want to check out WordPress&#8217; recently launched <a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">Wapuu Coloring Giveaway</a>. The challenge is to style your own 20th anniversary party Wapuu using crayons, markers, colored pencils, pastels, or even digital drawing tools.</p>\n\n\n\n<p>Three random entries will be selected (which is why it&#8217;s called a giveaway and not a contest) to receive limited edition swag:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>You have a chance to win one of three WP20 Swag Kits, complete with a variety of unique anniversary goods. From lapel pins to stickers, and some surprise mystery items, they’ll be a memorable collection for this milestone moment in WordPress history. </p>\n</blockquote>\n\n\n\n<p>Participants will need to download the Wapuu coloring set, which comes in different file types (.pdf, .png, .svg, and .ai). Finished wapuu coloring creations can be shared on Twitter using the <a href=\"https://twitter.com/hashtag/WapuuWP20\">#WapuuWP20</a> hashtag to enter the giveaway. So far there are just a handful of party wapuus that have been submitted via Twitter, but email is another option if you want to send it privately or don&#8217;t have a Twitter account.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Long way from the Himalayan kingdom Bhutan, the land of gross national happiness with a population of 700,000 plus, would like to congratulate WordPress Communities worldwide in advance for our upcoming huge celebration on making it to the 20TH WordPress Anniversary. <a href=\"https://twitter.com/hashtag/WapuuWP20?src=hash&ref_src=twsrc%5Etfw\">#WapuuWP20</a> <a href=\"https://t.co/Ml1Wz7m8nx\">pic.twitter.com/Ml1Wz7m8nx</a></p>&mdash; Ugyen Dorji Organizing #WCAsia (@ugyendzodorji) <a href=\"https://twitter.com/ugyendzodorji/status/1636280709890576385?ref_src=twsrc%5Etfw\">March 16, 2023</a></blockquote>\n</div>\n\n\n\n<p>Entrants must be 18 years old to win, but the coloring page is fun for kids even if they won&#8217;t have the chance to win swag. WordPress will celebrate its 20th anniversary on May 27, but the deadline to submit wapuu creations is April 17, 2023, at 03:59 UTC. Winners will be contacted via Twitter or email.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 21:54:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordCamp Central: WordCamp Buffalo 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3163106\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://central.wordcamp.org/news/2023/03/wordcamp-buffalo-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1802:\"<a href=\"https://profiles.wordpress.org/empireoflight/\"><img /></a>WordCamp Buffalo 2023 logo. Design by Ben Dunkle.\n\n\n\n<p>Buffalo again will host the region’s WordCamp for bloggers and web designers and developers of all skill levels. Novices are very welcome. WordCamp Buffalo will be held Saturday, May 6, 2023.</p>\n\n\n\n<p>Registration opens at 8:00am. Sessions begin at 9 a.m. and continue through 5 p.m. This year’s WordCamp will be held at Ken-Ton Elmwood Commons, 3200 Elmwood Ave Suite 110, Kenmore, NY 14217. Tickets are required in advance.</p>\n\n\n\n<p>The $25 ticket cost covers WordCamp Buffalo swag, morning coffee, lunch, and the evenings’s after-party food. Participants are strongly encouraged to bring their laptops or tablets. Ticket purchase and program details are available at <a href=\"https://buffalo.wordcamp.org/2023\">buffalo.wordcamp.org/2023</a>. The capacity for this event is about 120 people, so getting tickets early is advised.</p>\n\n\n\n<p>WordCamps are held worldwide, locally run and purposely at a low cost for accessibility to all. WordCamp Buffalo is dedicated to WordPress, blogging and web facility. WordCamps are sponsored by WordPress, the open-source, free, not-for-profit platform for individuals, groups and businesses to build their own blogs and websites. WordPress.org began in 2003. Its administrators call it the “largest self-hosted blogging tool in the world, used on millions of sites and seen by tens of millions of people every day.”</p>\n\n\n\n<p>Similar to previous years, Buffalo’s 2023 WordCamp will divide its workshops along two tracks, with sessions for every ability and level of use.</p>\n\n\n\n<p>Speakers will include WordPress users from Buffalo, Rochester, and beyond, with experience ranging from user/blogger to advanced developer.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 14:30:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Michelle Frechette\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WordCamp Central: WordCamp Entebbe 2023: An Amazing Recap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3163170\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://central.wordcamp.org/news/2023/03/wordcamp-entebbe-2023-an-amazing-recap/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4374:\"<p>WordCamp Entebbe, a two-day event that took place on the 10th and 11th of March, 2023, was a resounding success and was attended by over 200 people. The event, which was focused on the WordPress content management system, drew attendees from across Uganda and beyond. However, what made this event stand out was its commitment to gender diversity in the tech industry.</p>\n\n\n\n<p>The organizers of WordCamp Entebbe made a concerted effort to ensure that women were well-represented at the event. The gender diversity program featured female speakers and student attendees. This program was designed to inspire more women to pursue careers in technology, and it proved to be a huge success.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image2-1024x683.jpg\" alt=\"A person stands on a stage with a microphone.\" />\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image4-1024x683.jpg\" alt=\"The group poses for a photo.\" width=\"670\" height=\"446\" />Students pose for a group photo with the lead organiser Arthur Kasirye \n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image6-1024x683.jpg\" alt=\"The group poses for a photo.\" />Students arriving at the WordCamp\n\n\n\n<p>Over the course of the two-day event, attendees had the opportunity to attend a wide range of sessions, workshops, and presentations. Many of these were led by female speakers who shared their experiences and expertise with the audience.&nbsp;</p>\n\n\n\n<p>The topics covered ranged from beginner-level introductions to WordPress to more advanced topics such as website optimization, content creation, and web security.</p>\n\n\n\n<p>One of the most inspiring sessions of the event was a panel discussion on women in tech. This session featured female leaders in the Ugandan tech industry who shared their experiences and insights with the audience. The panelists talked about the challenges they had faced as women in a male-dominated industry and offered advice on how to overcome those challenges.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image7-1024x684.jpg\" alt=\"A group is sitting in chairs.\" />Women Panel at the Wordcamp\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image5-1024x880.jpg\" alt=\"The group poses for a photo.\" />\n\n\n\n<p>Another highlight of WordCamp Entebbe was the student program. This program provided an opportunity for students to attend the event and learn more about WordPress and the tech industry in general. The students were able to attend workshops and presentations, network with professionals in the industry, and gain valuable insights into the world of tech as well as introduced to the new study curriculum of the Directorate of Industrial Training (DIT) a Ugandan quality assurance directorate offering nationally, regionally and internationally recognized quality assurance services for the Business, Technical, Vocational Education and Training (BTVET) were students can use WordPress in their final year projects and graded on a national level.</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image3-1024x683.jpg\" alt=\"A group is observing a laptop.\" />Students learning to install WordPress website\n\n\n\n<p>This year’s WordCamp was led by Kasirye Arthur the leader of the&nbsp;<a href=\"https://www.meetup.com/entebbe-wordpress-meetup/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress Community in Entebbe</a>&nbsp;who is also a community lead for&nbsp;<a href=\"https://www.meetup.com/kampala-woocommerce-meetup-group/\" target=\"_blank\" rel=\"noreferrer noopener\">Woocommerce</a>&nbsp;and&nbsp;<a href=\"https://www.meetup.com/elementor-uganda-meetup-group/\" target=\"_blank\" rel=\"noreferrer noopener\">Elementor</a></p>\n\n\n\n<p>Overall, WordCamp Entebbe was a hugely successful event that demonstrated the power of gender diversity in the tech industry.&nbsp;</p>\n\n\n\n<p>By creating a program that was focused on empowering women in Tech, the organizers of this event helped to inspire a new generation of female technologists. It is our hope that more events like WordCamp Entebbe will be organized even in schools so that we can continue to build a more diverse and inclusive tech industry.&nbsp;</p>\n\n\n\n<img src=\"https://masterwp.com/wp-content/uploads/2023/03/image8-1024x684.jpg\" alt=\"The group poses for a photo.\" width=\"670\" height=\"447\" />WordCamp Entebbe organising Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 09:30:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Kasirye Arthur\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: Equalize Digital Raises Pre-Seed Funding for Expanding Accessibility Checker Plugin Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142818\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wptavern.com/equalize-digital-raises-pre-seed-funding-for-expanding-accessibility-checker-plugin-development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3689:\"<p>Equalize Digital, a WordPress accessibility products and consulting company, has <a href=\"https://equalizedigital.com/equalize-digital-receives-investment-emilia-capital/\">received an undisclosed amount of pre-seed funding</a> from Emilia Capital, the investment company owned by Joost de Valk and Marieke van de Rakt. The investment will be used to accelerate the growth of Equalize Digital&#8217;s <a href=\"https://equalizedigital.com/accessibility-checker/\">Accessibility Checker plugin</a>, a tool for auditing websites for WCAG, ADA, and Section 508 accessibility errors.</p>\n\n\n\n<p>Emilia Capital now owns part of the company, although its owners were not given seats on the board. Equalize Digital founder and CEO Amber Hinds said they will be serving as advisors and playing a role in strategic planning, especially around marketing and plugin development.</p>\n\n\n\n<p>The Accessibility Checker plugin currently has approximately 2,000 active installs, according to <a href=\"https://wordpress.org/plugins/accessibility-checker/\">WordPress.org stats</a>, and the commercial upgrades make up a small percentage of Equalize Digital&#8217;s current revenue.</p>\n\n\n\n<p>&#8220;We built the initial MVP in 2020 with an SBA loan and since then the plugin has been bootstrapped by profits from the service side of our business,&#8221; Hinds said. &#8220;My partner Steve and I have been splitting our time between client work and working on the plugin.</p>\n\n\n\n<p>&#8220;We decided to bring on an investor because our ultimate goal is for the product to make up a significant portion of our revenue. It&#8217;s challenging to rapidly grow a product that isn&#8217;t yet self-sustaining, hence seeking investors. The funds will allow us to have full-time team members building new features, and also further invest in marketing, education, and sales than was possible while we were bootstrapping.&#8221;</p>\n\n\n\n<p>Hinds said the features her team is targeting are aimed at making the plugin a more competitive accessibility auditing tool when compared with other existing SaaS solutions. </p>\n\n\n\n<p>&#8220;Our focus right now is making our reports easier to understand by less technical users,&#8221; Hinds said. &#8220;The next major release with be a feature that allows people to click a button and highlight elements on the front end of the website, which will make it easier to find the element flagging the issue without having to interpret a code snippet.</p>\n\n\n\n<p>&#8220;Other features that we have on the road map include scanning and reporting on archive pages for posts and taxonomies, improved scanning of non-English sites, and the ability for accessibility testers to log issues found during manual accessibility audits.&#8221;</p>\n\n\n\n<p>Hinds said she was encouraged by the findings in the recent <a href=\"https://theadminbar.com/2023-survey/\">Admin Bar survey of WordPress professionals</a>, which showed that 76.9% report they are striving for best practices when it comes to website accessibility, a significant increase from the previous year. With the new investment, Equalize Digital will be able to do more marketing to increase awareness and adoption of its tools.</p>\n\n\n\n<p>&#8220;Ultimately I would like to see accessibility being considered during website builds in the same way that SEO is, and we&#8217;re hoping that our plugin will central to that,&#8221; Hinds said. &#8220;It&#8217;s why the free version of our plugin is much more full-featured than similar plugins. Other accessibility tools are prohibitively expensive for small businesses and bloggers. We&#8217;re aiming to build a tool that makes accessibility testing available to everyone.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Mar 2023 03:33:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: Local 6.7.0 Adds Long-Requested Site Grouping Feature\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/local-6-7-0-adds-long-requested-site-grouping-feature\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2533:\"<p>WP Engine&#8217;s <a href=\"https://localwp.com/\">Local</a> development app has released <a href=\"https://localwp.com/releases/6.7.0/\">version 6.7.0</a> with Site Grouping, a highly requested feature that will greatly improve users&#8217; workflows. It allows users to create custom groups in the sidebar of the Local dashboard page for better organization of their sites.</p>\n\n\n\n<p>Local users have been <a href=\"https://community.localwp.com/t/group-sites-in-folder-in-sidebar/454/25\">asking for this feature</a> since 2017, as many are managing dozens of WordPress sites. In June 2022, the Local development team began designing and then building the feature a couple months later, incorporating feedback from user interviews and usability testing.</p>\n\n\n\n<p> In the new Site Grouping feature, sites can be easily dragged between groups and groups can be reordered up or down, as illustrated in the release notes.</p>\n\n\n\n<img /><a href=\"https://localwp.com/releases/6.7.0/\">Local 6.7.0 release notes</a>\n\n\n\n<p>Another handy feature released with Site Grouping is the ability to start, stop, restart, or delete all the sites in a group from the context menu (the three dots to the right of the group name). Sites can also be sorted by how recently they were used via the clock icon at the top of the groups sidebar. </p>\n\n\n\n<p>To get users started, all their Starred sites have been placed in a new Starred group at the top of the sidebar. Full <a href=\"https://localwp.com/help-docs/local-features/site-grouping-feature/\">documentation for using the new Site Grouping feature</a> is available in Local&#8217;s help resources.</p>\n\n\n\n<p><a href=\"https://deliciousbrains.com/wp-migrate-db-pro/\">WP Migrate</a>, formerly known as WP Migrate DB and recently <a href=\"https://wptavern.com/wp-engine-acquires-5-plugins-from-delicious-brains\">acquired by WP Engine</a>, introduced <a href=\"https://wptavern.com/wp-migrate-2-6-introduces-full-site-exports-and-import-to-local\">full-site exports and imports to Local</a> in January 2023. Local version 6.7.0 improves imports from WP Migrate so that they auto-select the PHP, web server, and database version closest to the production environment if Local offers the same major/minor version.</p>\n\n\n\n<p>This release also includes several bug fixes with Local importing or pulling to an existing site, where the site&#8217;s existing settings or environment were not applied. If you experienced this bug, make sure to update to the latest 6.7.0 release before attempting more imports.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Mar 2023 17:27:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"Post Status: WordPress 6.2 RC2 • Plugin Review Team Retirement News • WP20 Giveaway\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148272\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://poststatus.com/wordpress-6-2-rc2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22039:\"<h2 id=\"h-this-week-at-wordpress-org-march-13-2023\">This Week at WordPress.org (March 13, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Discover WordPress 6.2&#8217;s new features, accessibility enhancements, and developer updates. Contribute to the community by joining the Contributor Working Group. Explore new block theme template. Engage in discussions on mentorship programs. Celebrate WP20 and participate in the Wapuu Coloring Giveaway. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_hand-holding-heart kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 RC2 • Plugin Review Team Announces Mika&#8217;s Retirement • WP20 Giveaway</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9ea.png\" alt=\"🧪\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 Release Candidate 2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4fa.png\" alt=\"📺\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5fa.png\" alt=\"🗺\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f44b-1f3fb.png\" alt=\"👋🏻\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Mika&#8217;s Plugin Review Retirement</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\">WP Briefing: Episode 51: Is Routine a Rut?</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wapuu-coloring-giveaway-style-your-own-party-wapuu/\">Wapuu Coloring Giveaway: Style Your Own Party Wapuu</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/celebrate-with-wordpress/\">WP20 Celebrations – Join in the Party – Online &amp; In-Person</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-3 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-accessibility\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/03/13/accessibility-team-meeting-agenda-march-17-2023/\">Accessibility Team Meeting Agenda: March 17, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/13/combining-roles-to-create-a-new-contributor-ladder/\">Combining Roles to Create a New Contributor Ladder</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/13/proposal-updates-to-the-mentor-program/\">Proposal: Updates to the Mentor Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/10/launching-the-contributor-working-group-call-for-volunteers/\">Launching the Contributor Working Group: Call for Volunteers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/08/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-march-8-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on March 8, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/08/announcing-new-handbook-pages-on/\">Running Funds Outside of WPCS</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/13/a-week-in-core-march-13-2023/\">A Week in Core – March 13, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">What’s new in Gutenberg 15.3? (13 March)</a> </li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">FYI: Navigation section of new Site Editor experienced removed for 6.2 RC 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/dev-chat-agenda-wednesday-march-15-2023/\">Dev Chat Agenda, Wednesday March 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/editor-chat-agenda-march-15-2023/\">Editor Chat Agenda: March 15, 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-theme-templates-the-easy-way-to-build-an-elegant-grid-of-posts/\">Block theme templates: the easy way to build an elegant grid of posts</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\">Block deprecation – a tutorial</a></li>\n</ul>\n\n\n\n<h2 id=\"h-design\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/03/13/design-share-feb-13-mar-10/\">Design Share: Feb 13–Mar 10</a></li>\n</ul>\n\n\n\n<h2 id=\"h-do-action\"><a href=\"https://doaction.org/\">do_action</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://doaction.org/event/ruralhackers/\">Rural Hackers Do_Action 2023 in Anceu Spain</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/16/agenda-for-docs-team-bi-weekly-meeting-march-21-2023/\">Agenda for Docs Team bi-weekly meeting March 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/03/16/summary-for-docs-team-meeting-march-7-2023/\">Summary for Docs Team meeting, March 7, 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/14/hosting-team-meeting-agenda-2023-03-15/\">Hosting Team meeting agenda 2023-03-15</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/14/notes-global-marketing-team-meeting-5-march-2023/\">Notes: Global Marketing Team meeting, 5 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/13/notes-global-marketing-team-meeting-28-february-2023/\">Notes: Global Marketing Team meeting, 28 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/15/community-meeting-recap-14-march-2023/\">Community Meeting Recap (14 March 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/14/last-week-openverse-2023-03-06-2023-03-13/\">A week in Openverse: 2023-03-06 – 2023-03-13</a></li>\n</ul>\n\n\n\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/14/performance-chat-summary-14-march-2023/\">Performance Chat Summary: 14 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/15/polyglots-monthly-newsletter-march-2023/\">Polyglots Monthly Newsletter: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/wordpress-6-2-translation-status-march-14-2023/\">WordPress 6.2 Translation Status (March 14, 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/14/agenda-weekly-polyglots-chat-march-15-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – March 15, 2023 (13:00 UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins-1\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/03/10/advance-notice-of-retirement/\">Advance Notice of Retirement</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-16th-support-meeting-2/\">Agenda for March 16th Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/summary-for-march-9th-support-meeting/\">Summary for March 9th Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-22th-2023-at-1600-utc/\">Support ticket triage session – March 22th 2023 at 16:00 UTC</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/hallway-hangout-lets-chat-about-all-things-layout/\">Hallway Hangout: Let’s chat about All Things Layout</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/03/14/test-chat-summary-14-march-2023/\">Test Chat Summary: 14 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/15/themes-team-meeting-notes-march-14-2023/\">Themes Team Meeting Notes –&nbsp;March 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/03/13/meeting-agenda-for-march-14-2023/\">Meeting Agenda for March 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/10/dev-squad-update-triage-sessions-planning/\">Dev-squad update: Triage sessions planning</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/10/training-team-meeting-recap-for-march-7-2023/\">Training Team Meeting Recap for March 7, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress&nbsp;Development: A proposed learning path</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-developing-user-roles-and-capabilities\">Let’s code: developing user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-developing-wordpress-user-roles-and-capabilities-2\">WP dev livestream: Developing WordPress user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=updating-a-blogs-design-informal-live-stream-part-3\">Updating a blog’s design (Informal live stream) – Part 3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%82%AF%E3%83%A9%E3%82%B7%E3%83%83%E3%82%AF%E3%82%A8%E3%83%87%E3%82%A3%E3%82%BF%E3%83%BC%E3%81%8B%E3%82%89%E3%83%96%E3%83%AD%E3%83%83%E3%82%AF%E3%82%A8%E3%83%87%E3%82%A3%E3%82%BF%E3%83%BC%E3%81%AB\">クラシックエディターからブロックエディターに移行するノウハウ</a></li>\n</ul>\n\n\n\n<h3 id=\"h-lesson-plans\">Lesson Plans</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/lesson-plan/pagine-vs-articoli/\">Pagine vs. articoli</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plan/cosa-fare-quando-non-ti-ricordi-la-password/\">Cosa fare quando non ti ricordi la password</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plan/ta-dashboard-overview/\">டாஷ்போர்டு மேலோட்டம்</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Mar 2023 17:01:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Post Status: Post Status Live – The Right Approach to WordPress Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148252\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://poststatus.com/post-status-live-the-right-approach-to-wordpress-accessibility/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105788:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">If you’re a leader, a developer, or a designer about to start a major website project, this webinar will help you navigate the important topic of accessibility. <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> is joined by the team at <a href=\"https://tri.be/\">Modern Tribe</a> &#8211; <a href=\"https://twitter.com/ChrisMKindred\">Chris Kindred</a>, Director of Backend Development, <a href=\"https://twitter.com/sarahgless\">Sarah Gless</a>, Creative Director, and <a href=\"https://twitter.com/mjklanac\">Mike Klanac</a>, Director of Business Development, to discuss why accessibility is imperative and how to integrate it into each aspect of development and implementation. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">The talented team from <a href=\"https://tri.be/\">Modern Tribe</a>  joined <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> for this critical discussion about accessibility in WordPress. They highlight accessibility as a non-negotiable aspect of web development and provide guidance for leaders, developers, and designers to ensure your websites are accessible to all people.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Why Value Accessibility? </strong>Accessibility ensures all people have access to the things we create. It can’t be an afterthought or something for the web dev team to figure out. It must drive the entire creative process and serve as an anchor to ground our teams and our work.</li>\n\n\n\n<li><strong>Requirement vs. Challenge.</strong> Most creative projects work within a set of requirements. These don’t prohibit the creative process. Instead, they challenge us to enhance the things we build and make them better than we might have without thinking through and within these constraints.</li>\n\n\n\n<li><strong>It’s All Around Us.</strong> We think of accessibility as a new idea, but in so many spaces, it’s the norm. We have curb cutouts and braille signage. We see this every day, so tech is catching up.</li>\n\n\n\n<li>Improving Usability. Developing through the lens of accessibility means delivering experiences that solve people’s problems and help them with tasks.</li>\n\n\n\n<li><strong>It Takes Tools.</strong> The creative and engineering are just rails. Utilizing tools to ensure accessibility when publishing and setting up processes and guidelines will equip you to flex as requirements change. It’s necessary for your organization to resource accessibility for it to be done effectively.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://tri.be/\">Modern Tribe</a></li>\n\n\n\n<li><a href=\"https://vimeo.com/148927676\">Eric Meyer</a></li>\n\n\n\n<li><a href=\"https://myspace.com/\">MySpace</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/brandondove\"></a><a href=\"https://twitter.com/ChrisMKindred\">Chris Kindred</a> (Director of Backend Development, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/sarahgless\">Sarah Gless</a> (Creative Director, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/mjklanac\">Mike Klanac</a> (Director of Business Development, <a href=\"https://twitter.com/pixel_jar\"></a><a href=\"https://twitter.com/ModernTribeAgcy\">Modern Tribe</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller: [00:00:00] Everybody welcome back to another Post Status Live. This is where we<br />do, uh, webinars and interviews with our awesome members at Post Status. And today we&#8217;ve<br />got a great talented team from Modern Tribe.<br />I&#8217;m gonna let them unpack a little bit more about what Modern Tribe does and what they do at<br />Modern Tribe. But today, our topic is gonna be the right approach to WordPress accessibility.<br />This kinda, this really came to the forefront for us and why I sought these experts out because<br />accessibility is a non-negotiable for the web.<br />Um, and they&#8217;re gonna talk more about their passion, their experiences, their expertise around<br />that. But I will just say this is a topic that we need to be talking about more, and we&#8217;re<br />specifically doing this webinar, and I&#8217;ve asked them to come on and share. Particular areas and<br />work inaccessibility with WordPress.<br />But if you&#8217;re a leader, you&#8217;re a developer, you&#8217;re a designer, um, starting to embark on a, on a<br />website project and want rightly so, to [00:01:00] make sure your website is accessible to all<br />people. This is, this is the extended webinar for you. We&#8217;re gonna talk, we&#8217;re gonna talk about a<br />lot. We&#8217;re gonna talk about how does a c-suite or leadership team properly resource and lead,<br />uh, in the accessibility projects for your organization, all the way down to the developers,<br />designers, the people that use the website every single day to make sure you&#8217;re doing your best<br />for those, trying to access your website.<br />So, I wanna introduce these te these, uh, this team today, but I&#8217;m gonna let you do that. So,<br />Mike, could you start us off and share, um, a little bit about what you do with, with, uh, uh, your<br />work at Modern Tribe and, uh, your interest in this whole topic of accessibility?<br />Mike Klanac: Yeah, thanks Corey. Um, my name is Mike Klan.<br />I am the Director of Business Development at Modern Tribe. Um, that&#8217;s essentially a sales role<br />here. [00:02:00] Um, and, uh, I&#8217;m really excited to talk more about accessibility. Um, I, you know,<br />to be transparent, I was actually a little nervous at first, uh, because of my role as essentially a<br />sales role. And, um, this is such an important topic and, and Corey in like preparing for this, you<br />said something that, that resonated with me, which is, , you know, if this is important, um, don&#8217;t<br />feel bad about being an advocate for it and talking about it.<br />Um, so, uh, that helped build my confidence. So I&#8217;m excited to be here to talk more especially<br />about, uh, accessibility as it relates to leadership and as it relates to a core value that stretches<br />across all components of your business. Uh, so, um, yeah, I think continue on with introductions<br />and maybe I could circle back and, and tell you a little bit more about, uh, tribe and how long<br />we&#8217;ve been around.<br />Cory Miller: Yeah. We&#8217;ll, we&#8217;ll come back to you, but I think you, you know, one compelling<br />reason you&#8217;re here too is because you do talk to people that are making decisions, [00:03:00]<br />but not necessarily always the people doing the work too. And it&#8217;s a collaborative approach. And<br />I know your heart, you&#8217;re super, super humble, but very experienced.<br />Mm-hmm. , um, professional. So I&#8217;m really glad to have you on here and you&#8217;re gonna talk first<br />as we, after we do introductions about the whole leadership angle for all of this. Um, Chris and<br />Sarah. Yeah,<br />Chris Kindred: thanks. Um, my name&#8217;s Chris Kendrick. I am, uh, director of backend, um,<br />engineering here at Modern Tribe. Um, I, accessibility&#8217;s always been a passion of mine, um, and<br />it&#8217;s been, uh, really great to come on board at somewhere like Modern Tribe, where they take<br />flexibility so seriously.<br />So, uh, that&#8217;s always been a, a great thing for, for me, um, moving forward. So,<br />yeah.<br />Sarah Gless: Hi, I&#8217;m Sarah Glass. Oh, sorry.<br />Cory Miller: Yeah, yeah. Sorry. Go ahead Sarah. Yeah, thanks Chris.<br />Sarah Gless: Yeah, thank you for having us. Um, I&#8217;m Sarah Glass. I&#8217;m the creative Director at<br />Modern [00:04:00] Tribe. Ultimately, that means I&#8217;m in service to both our clients, making sure<br />that we&#8217;re shipping incredibly beautiful and, and and engaging work, um, as well as our design</p>\n\n\n\n<p>team, ensuring that, you know, they&#8217;re fulfilled in and the work that they&#8217;re doing, and we&#8217;re<br />continuously developing and pushing the work forward.<br />Um, I&#8217;m super passionate about accessibility too. You know, I think that, as you know, coming<br />from a design background, um, ultimately I wanna communicate effectively with, with, with<br />people. And, um, if, if you cut off people in those lanes of communication, um, how good is that<br />design? So I, I truly believe that good design is accessible design.<br />Um, super excited to, to be here and, and chat more about.<br />Cory Miller: I can&#8217;t wait to dig in with all three of you because what you just said, Sarah, is good<br />access, good accessibility is good design. And I think there&#8217;s probably a lot of designers out<br />there that just kind of like, oh, okay, we can do this. So I&#8217;m looking forward to talking more about<br />that, particularly, um, I&#8217;m gonna hype &#8217;em up,<br />[00:05:00] Yeah, absolutely. This can be, you know, that&#8217;s another message in all this, this can<br />be done. There is an approach, a good approach to it, and it is possible, and I think that&#8217;s a<br />really great message. Um, so Mike, before we kind of get into the actual topics, could you tell us<br />a little bit more about Modern Tribe as an agency?<br />Mike Klanac: Sure, sure. I&#8217;ll give you the short version. So, um, Modern Tribe, we like to call<br />ourselves a full service digital design and development agency. Um, we&#8217;ve been around for<br />about 15 years now, uh, and recently joined the liquid web family of brands. Um, I think like one<br />of the way, another way we describe ourselves is we say we connect to the touchpoints of your<br />digital ecosystem.<br />Um, and when I say that, I think what&#8217;s important to note is kind of that WordPress is often. the<br />center, it&#8217;s the hub, the WordPress TMS is the hub of that ecosystem. So we lean on, on<br />WordPress heavily. [00:06:00] Um, and our, our business, I mean, it sort of breaks down into<br />four key categories. There&#8217;s strategy, there&#8217;s content, there&#8217;s design, there&#8217;s engineering, um,<br />and that&#8217;s sort of who we are.<br />Um, accessibility of the topic at hand today, uh, as you&#8217;ll see it, it sort of permeates all of those<br />areas and it&#8217;s sort of core to who we are, um, as an organization. So, um, yeah, we&#8217;re, we&#8217;re<br />press agency.<br />Cory Miller: And I know you all work with some name brand organizations. Maybe you can&#8217;t all<br />talk about it, but I&#8217;m aware enough to know that you all have worked with some of the biggest<br />brands that are household names, helping them specifically, not just with their web, but also that<br />this important part, accessibility.<br />And some of these, uh, organizations, Mike, particularly I know from talking with you all<br />background about this, is if you take federal funding in any way, particularly in the United States,<br />it, it&#8217;s not even a conversation about is it, is [00:07:00] it a thing we should do? It&#8217;s like, no, you<br />do it. And I think that amps us up even more.<br />Um, thankfully, government non-profits have led the way with accessibility, but this is something<br />we&#8217;ll talk more about. Everybody should be doing this. Um, this is this, we&#8217;re in 2023 now today.<br />And it, this is just a part and I&#8217;m, that&#8217;s why, another reason I&#8217;m glad, but you all work with these<br />organizations where you&#8217;re like, there&#8217;s a lot of scrutiny on these organizations you work with.<br />That means that that&#8217;s a good thing in a way because they have to make sure, like Sarah was<br />saying, that this website is successful for anyone that wants to, to access it. So, uh, I think that&#8217;s<br />pretty critical and also demonstrates why I asked Modern Tribe and U three to come on to talk<br />about this today.<br />So, okay, here&#8217;s the layout. We&#8217;re gonna talk about leadership. Now for those of you watching<br />and listening, um, we&#8217;re gonna each, each of the experts, I&#8217;ve asked to talk about a specific area<br />related to their expertise, but you&#8217;re gonna hear from them. I&#8217;ve told them, I said, [00:08:00] I<br />don&#8217;t want you to stay silent.<br />Mike&#8217;s part part, I want you to contribute too, because. As we&#8217;ve talked and prepared for this, it&#8217;s<br />helped me understand this is a holistic process that everybody in the organization needs to<br />embrace. And so, again, I&#8217;ll, I&#8217;ll just say to y&#8217;all, please, if Mike&#8217;s talking, share something from<br />your perspective about this, uh, please do that.<br />Cause I think this is gonna help people. Our intention here is you&#8217;re trying to do right and good<br />by this for your website project. So I want you all to like, help them really understand these are<br />the things we work with clients about. These are the problems we see, these are the challenges<br />we see and here&#8217;s our thoughts.</p>\n\n\n\n<p>Because you, you are experts in this and you see things that I think could make those trying to<br />cross this threshold, um, truly be prepared for and make really good decisions that helps<br />everybody involved, even if they don&#8217;t choose modern tribe as the agency. So again, I think<br />that&#8217;s right on important.<br />Okay, so let&#8217;s just start right here, because [00:09:00] oftentimes, as I understand this, both<br />leading my own organizations, listening to you all and other agency members that post status, I<br />go, um, this type of decision needs to start at the, you know, the top of the hierarchy here. If the<br />leaders aren&#8217;t on board or don&#8217;t fully understand it, this is gonna be a problem.<br />So, I hope those leaders listening, this is your time to take notes because Mike, I, I want you to<br />kind of, what do you think of when you&#8217;re saying, okay, I am, let&#8217;s say a c e O of an organization<br />or in the C-suite or leadership team. I need to start helping think through this, you know,<br />accessibility for what we do on the web.<br />What stands out to you when we talked about leadership and WordPress accessibility.<br />Mike Klanac: Yeah, I&#8217;m, I&#8217;m so glad we get to talk about it from this perspective, because so<br />often accessibility can get pretty dense and technical right away. Um, but in today&#8217;s modern<br />world, uh, it it&#8217;s more than that. And it&#8217;s something that permeates all aspects of your business if<br />you [00:10:00] want it to be successful.<br />And therefore, it often has to start with leadership, um, realizing why it&#8217;s, IM important. Um, it&#8217;s,<br />it&#8217;s gotta be built as a core consideration, um, to all of those various layers. Uh, and the best<br />organizations, the really effective organizations that care and are considerate of their users<br />make this a, a core value.<br />It&#8217;s, it literally becomes, um, part of the culture. Top to bottom. Um, so I think one of the ways to<br />build that understanding is to really think about like, why you&#8217;re doing this. And we hit on the<br />legal implications initially, and I think that&#8217;s where a lot of people first start thinking about this for<br />some reason.<br />But you kind of need to back up and really remember that one of the first reasons this is<br />important is, is just morally, it&#8217;s, it&#8217;s morally important. It&#8217;s a part of digital inclusivity. We are<br />creating tools that serve [00:11:00] users, that serve people, and therefore we need to care for<br />them. We need to think about how they use it.<br />And that applies to all of the users. It&#8217;s an increasingly competitive world. We don&#8217;t have the<br />luxury of, um, excluding people because it&#8217;s not convenient to, um, build tools that serve them<br />effectively. So I think like we really need to ground ourselves in the moral component of this first,<br />which is it&#8217;s the right thing to do.<br />It&#8217;s just the right thing to do, therefore needs to be a leadership initiative. It needs to be brought<br />in, carried through to all components, all layers of your business. Okay. So that&#8217;s like the first<br />thing that I would probably tell a leader in this space is that make it a part of all of your thinking.<br />Cory Miller: I mean, you know, I, we were talking about a client used to consult with before we<br />started recording and I was like, you could tell there the client one did the traditional thing, print<br />off your core values, put it on all the doors, and you&#8217;re like, cool. Yeah. But what are your real<br />core values? [00:12:00] And it seems to me, as you talk about one, there is a business reason<br />to do this, very legitimate that it&#8217;s gonna get a lot of people&#8217;s attention.<br />But I think what you were, you&#8217;re saying is like it should reflect a value that you might not have<br />on the door, but like we care. Yes, we care about the whole population and being able to get to<br />the things that we offer. And if we don&#8217;t, it it, I mean that rings really true when you say that<br />business, there&#8217;s a legitimate business reason and that should hopefully check most boxes.<br />But I think the other thing is that you should actually just care. Yeah. We&#8217;ve all probably been<br />touched in some way with someone that has, uh, uh, uh, something that doesn&#8217;t allow them to<br />see, read, hear, whatever that is, um, that we need to be thinking about that. Just because we<br />don&#8217;t have that particular issue doesn&#8217;t mean there&#8217;s a pretty significant one is a significant<br />enough to me.<br />But I mean this, we&#8217;re talking about in this accessibility [00:13:00] conversation quite a bit of the<br />population that most organizations have flatly not even thought about till today.<br />Mike Klanac: Exactly. Yeah, I think it just sends the right message. You know, when you&#8217;re the<br />type of organization that takes the time to be deliberate and considerate of all of your users,<br />there&#8217;s probably an understanding that that carries through to your product.</p>\n\n\n\n<p>If you&#8217;re selling something, um, you, your service, your, your organization as a whole. So, um,<br />it&#8217;s just the right thing to do. And I think, I think we should just start there as it&#8217;s, it&#8217;s morally right.<br />And as you hit on, um, and to segue a little bit, there are legitimate business reasons. So, um,<br />making sure that your, your site is fully accessible, has this effect of improving the quality, the<br />experience for your users.<br />And that sort of in some ways overlays these other topics that we often talk about as like key<br />performance indicators for businesses. [00:14:00] Things like search engine optimization, um,<br />core web vitals. Um, these are adjacent to each other. So it it&#8217;s about creating an experience<br />that is a user experience that&#8217;s quality for everyone, and therefore your, your business will feel<br />that it&#8217;ll have an impact.<br />Um, so not only is it the right thing to do, morally a highly accessible site that&#8217;s gonna benefit<br />your, your clicks, your conversions, and all those things that we&#8217;ve spent so much time thinking<br />about, um, and that we&#8217;re starting to, to kind of like land a couple of really important reasons. It&#8217;s<br />like, you know, it&#8217;s what&#8217;s good as a person, it&#8217;s what&#8217;s good for business.<br />Um, it th those alone are, are enough reason, right, to really think long and hard about this. Um,<br />But there&#8217;s this final one too, which is the one we kind of backed into this from, which was,<br />there&#8217;s some legal requirements here. I I, I pulled a stat, and I think everyone&#8217;s aware of this,<br />but, [00:15:00] um, 2,800 accessibility lawsuits in 2021.<br />Um, that&#8217;s, that&#8217;s like, it&#8217;s a big deal. And those lawsuits, um, are meaningful and there&#8217;s a place<br />for them. Um, but more important than the litigation itself is you just have an opportunity to get<br />ahead of this if you do things right, and that can get confusing. Um, I, sorry, you&#8217;re gonna jump<br />in. I&#8217;ll take a beat.<br />Cory Miller: Yeah, no, I, I think, um, I&#8217;m curious to hear what Chris and Sarah think too,<br />because it&#8217;s like, you know, we&#8217;ve all been to those situations, uh, where you&#8217;re like, the<br />organization talks a really good talk. Yeah. You know, and we&#8217;ve got plenty of those in our<br />society globally today. But you know, the ones that talk.<br />And you know that ones that just act on that value. And I think this shines pretty clearly whether<br />you go to a website, you see the accessibility blue circle or whatever this is. And I think<br />[00:16:00] this is an opportunity. I&#8217;m curious what Chris and Sarah think too from just an<br />organization standpoint of like when you see someone taking it to this degree, not because they<br />necessarily have to, a lot of these have to, but, and there&#8217;s a probably legitimate reason why<br />there&#8217;s regulations and laws and different things in these lawsuits is because like, okay, if you&#8217;re<br />not gonna do the right thing, the, the world society will kind of push you in that regard.<br />But I think, I&#8217;m curious what you think Chris and Sarah is like, this is a way to get out front and<br />lead act on those values. You can&#8217;t just say you care, but if you care enough to make sure your<br />website is A to B, everybody can can access that and and consume the information and<br />whatever you&#8217;re trying to offer in the world, that&#8217;s an opportunity for leadership to me.<br />So Sarah, Chris, what do you think? . I, yeah,<br />Chris Kindred: I, uh, okay. Uh, I, I think there&#8217;s a huge opportunity there. One of the things we<br />tend to hear is, well, that&#8217;s not the kind of person we&#8217;re marketing to. And [00:17:00] you know,<br />there&#8217;s, there&#8217;s so much more than that going on with accessibility. It&#8217;s, you know, you may not<br />be marketing to &#8217;em right now, but who knows what&#8217;s going to happen in the future.<br />They, they, uh, or, or, um, friends that they have that, that kind of thing, they can help, um, push<br />along whatever product you&#8217;re pushing. And in those cases, so, you know, you&#8217;ve got, um,<br />you&#8217;ve got companies that come at it from that angle and, and there&#8217;s a little bit of education that<br />we have to do to help kind of get &#8217;em over that hump of this.<br />This is, this is a moral thing as well, . It&#8217;s, it&#8217;s not who you&#8217;re marketing to. It is that you are<br />marketing to everybody. Everyone&#8217;s going to see it, and it&#8217;s important that everybody be able to<br />see it.<br />Sarah Gless: Yeah, and I think that, like, going back to Mike&#8217;s original point, like it takes the<br />organization to do that.<br />It cannot be on the shoulders of like your web team. Um, yes, they are like [00:18:00] hands-on<br />producing and shipping that thing. Um, but that thing should be symbolic of like a much larger,<br />um, um, effort around accessibility. Um, and, and your kind of example around, you know,<br />posting your, your core values as a, as a company on the wall, um, and accessibility or<br />inclusivity being on that, um, kind of made me start to think like, what&#8217;s like a real example of, of<br />this.</p>\n\n\n\n<p>Um, you know, like I, I. And transferring that responsibility, not transferring, but sharing that<br />responsibility across the organization means you have to figure out, like, how can each<br />department take part in that? Um, how can we better collaborate on that mission? Um, I think,<br />you know, I&#8217;ve spent a lot of times on and, and working with like brand and marketing teams,<br />great opportunity for, for, for people to get involved in accessibility that may not be, um, on the<br />line to like ship that, that website necessarily.<br />Um, for example, we mentioned, you know, calling out your brand [00:19:00] values. Maybe<br />you&#8217;ve got, you know, being inclusive as, as, as a brand value. Well back that up with like, you<br />know, shipping accessible designs on the marketing side. So like, if you&#8217;re working on a brand<br />book, um, A big part of that is establishing a color palette.<br />Um, and that color palette has implications across so much of your collateral across the<br />organization, including that website. Now, oftentimes what happens on like design, um, is that<br />we&#8217;re handed a brand book with colors we can&#8217;t use, and now we&#8217;re having to rework that<br />because accessibility was never consideration going into that.<br />Um, so that&#8217;s like a, a various, you know, tech like tactile example of, of how one little shift, you<br />know, like, and if your team doesn&#8217;t have the specialties to do that, that&#8217;s okay. Like lean on a<br />team of experts to help and collaborate on that. So bring in the web team into, you know, that<br />brand conversation and when you&#8217;re developing that color palette or, or whatever the thing is,<br />um, to get their [00:20:00] expertise and, and, and make sure that we&#8217;re living up to that kind of,<br />you know, core tenant of being inclusive and accessible.<br />And also, um, Beyond just being like the right thing to do. Like, you know, if you do work ahead,<br />the more you work ahead on accessibility, the more money you&#8217;ll save down the road, um,<br />because you don&#8217;t have to rework as much. So, um, definitely another, you know, kind of<br />business, um, opportunity.<br />Cory Miller: And I, I think, thanks for that.<br />Oh, Chris, go ahead.<br />Chris Kindred: Well, that, that just made me start thinking, um, one of the things is accessibility<br />doesn&#8217;t just stop with your digital things. Um, I, there&#8217;s, there&#8217;s a billboard I drive past or used to<br />drive past all the time, and I could barely read it because it was blue on blue and it just didn&#8217;t,<br />didn&#8217;t work well for, for me as I was driving a car 60 miles an hour past it.<br />I, I, if you&#8217;re going. Put that your, uh, that accessibility and, [00:21:00] and being inclusive as<br />part of your core values that trickles into your billboard, that trickles into the entryway to your<br />business, that that trickles into so many other things in order to prove it.<br />Sarah Gless: It&#8217;s a mind shift, isn&#8217;t it? Like when you, when you Yeah, when and, but it, but<br />once you start doing and getting the practice of that and resource for it, that&#8217;s a critical part of<br />this, right?<br />Um, you, it will become a habit. And, and that&#8217;s a good habit to have.<br />Cory Miller: And I keep shaping this mike in my mind as it&#8217;s a, it&#8217;s a problem, but if we can do it,<br />you just said Sarah and shift her mind, we go, this is an opportunity to show people we care. We<br />don&#8217;t have to put the word on there. If we do certain things like this, just like we&#8217;ve mentioned,<br />diversity, equity, inclusion, huge topic and rightly.<br />This is going, if we truly want to act on that, we need to think about that person who might be<br />blind and trying to ex, like you were talking about, you know, the color palettes and things. It&#8217;s to<br />that thought. [00:22:00] But Mike, it seems like too, I think Chris and Boer helped me today.<br />Like, let&#8217;s add another reason here.<br />This is a team Mork, Hey, we care. So we&#8217;re doing this accessibility project and, and other<br />initiatives in the business side of things that they can do to say, we&#8217;re not just gonna say it, we&#8217;re<br />gonna do it. I mean, this seems like when you go to your team, like Sarah was saying, and<br />you&#8217;re like, Hey, leadership has bought in on this and understands it.<br />Now we go to the team, we want, hey, we want everyone as best we can to do, to, to be able to<br />access things.<br />Mike Klanac: It&#8217;s a, it&#8217;s a foundational, um, shift in how you think about it. So a small example<br />would be we used to, um, ask, do you need your site to be accessible? And now we just<br />assume we&#8217;re gonna build accessible sites.<br />And we used to take a pass at estimating a project and then sort of like do some additional math<br />to calculate accessibility. Now we assume accessibility is a part of every estimate that [00:23:00]</p>\n\n\n\n<p>you&#8217;re doing. Every line item of the feature level estimate incorporates accessibility thinking.<br />Um, and that&#8217;s, and that&#8217;s, that changes the approach.<br />It, it&#8217;s, it starts at the beginning. It carries through all the way to the end. And I, I think I would be<br />remiss not to mention one other topic on leadership that this conversation is sort of remind me<br />of, which is that these standards we&#8217;re talking accessibility is sort of this like, like just just this<br />open-ended term, but it, it means probably slightly different things.<br />And from a leadership standpoint, I think one other thing you need to really consider is what<br />standard are you, in some cases mandated to hit? And just understanding that is part of the<br />leadership obligation because you are the person that may often understand where you&#8217;re doing<br />business, what your jurisdictions are, um, what, what laws you&#8217;re bound to.<br />And if you&#8217;re as an international organization, we, we work with groups in Europe, we work with<br />groups [00:24:00] in California. We, we work with groups that have different sets of<br />requirements and different guidelines. So I think an important note for anyone who&#8217;s, who&#8217;s<br />gonna try to build this philosophy into their organization as they should, uh, is to, to like really<br />fundamentally set some clear guidelines to your team and say that based on where we do<br />business and where we&#8217;re approaching it, the way we&#8217;re approaching it, we&#8217;re gonna try to hit,<br />you know, stay tuned to section 5 0 8.<br />Um, And, and the, the outlines set in WIC AG two one, aa. Like we, there needs to be some<br />basis for what you&#8217;re aiming towards. Uh, it doesn&#8217;t, doesn&#8217;t mean that, um, you can&#8217;t go past<br />that. Um, but uh, you probably need to have that guiding light.<br />Cory Miller: Uh, and I think there&#8217;s a relief for me talking to you all on this too, because when I<br />know for instance, this is a value, right?<br />That we want to, that I love you, you said, uh, just it&#8217;s assumed. You know, [00:25:00] we&#8217;re in<br />2023 having this conversation. It doesn&#8217;t matter what&#8217;s been in the past today, this is just an<br />assumption that mind shift shift, um, but that it occurs to me, you know, as a leader and then<br />we&#8217;ve all kind of talked this and know this, we can&#8217;t know every single thing.<br />Like you&#8217;re talking about these specific legislation, policies, regulations out there. You can&#8217;t<br />possibly. So, but I wanna say there&#8217;s hope. That&#8217;s why we&#8217;re having this conversation. That&#8217;s<br />why there&#8217;s great experts in WordPress overall. Try being one of them that, um, can help<br />navigate some of those. Like it doesn&#8217;t need to be the, the thing that you keep up with at the<br />absolute.<br />That&#8217;s why you hire people like you all to even mention some of these things. Like I&#8217;ve been in<br />tech a long time and I learned something when I&#8217;m talking about when to you all about these<br />things that I hadn&#8217;t considered. And I think that&#8217;s a maybe a sense. Is like, there&#8217;s a little bit of<br />relief you can say like you want to do the right thing.<br />That&#8217;s why you go seek out experts that do. That&#8217;s why I&#8217;ve enjoyed preparation about this. I&#8217;ve<br />learned [00:26:00] a ton that I wouldn&#8217;t even considered . Like Sarah, you were talking about the<br />brand and I go more design Chris than tech sometimes, cuz I don&#8217;t know what I&#8217;m talking about<br />with tech all the time. But I go take this thought and go to your brand values.<br />We have oranges ours, but I have no idea how that expresses itself necessarily. Right. Uh, on<br />the web for someone that&#8217;s hurt and that&#8217;s a holistic thinking. We&#8217;re thinking like we, we&#8217;ve hit<br />this do do good and it&#8217;s got a pretty dang good benefit because it&#8217;s like absolutely. You can<br />actually reflect and show what you&#8217;re doing.<br />So.<br />Sarah Gless: Absolutely. Um, yeah. And you mentioned like. Kind of like leaning on on experts.<br />And that ki kind of got me thinking, like, I think there&#8217;s this expectation. Um, I know design<br />designers put this expectation on them to, to, um, sometimes to, to be able to like have<br />expertise in this. And like we absolutely have to have, you know, baseline knowledge and, and<br />skills that apply to [00:27:00] our work to meet accessibility.<br />But, um, you know, as an organization, if you&#8217;re in a marketing team, um, for example, and<br />you&#8217;re like, do I, do I need to know everything about accessibility? No. And there&#8217;s no, I mean,<br />accessibility is a, you know, a full team of effort. Um, yeah. Um, at Modern Tribe, we&#8217;ve got a full<br />dedicated QA team that is testing rigorously everything we design and build.<br />Um, so, so no. But can you get to a place where you&#8217;ve got like a good baseline knowledge of<br />accessibility and or also like resources that you know you can turn to, whether it be, um, your<br />own team internally that&#8217;s focused on accessibility, your leadership has resource for awesome.</p>\n\n\n\n<p>Or, um, if you can work with consultants or agencies like us or, or what whoever, um, get that,<br />that resource embedded in your team so you can turn to them, um, for their expertise.<br />Because [00:28:00] accessibility is like this ever-changing thing that will continue to grow. Um,<br />and, and I just wanna, like, I think that&#8217;s something like in my own past, I put that pressure on<br />myself and, um mm-hmm. , it&#8217;s a lot of pressure and it can, can kind of, um, um, get you away<br />from other, you know, priorities within your role.<br />So acknowledge that you do not have to, um, necessarily be experts, inaccessibility, but you do<br />have like a moral and business responsibility. To care about it and get help when you need it.<br />Um, um, so yeah,<br />Cory Miller: I think, I think that&#8217;s, that, that&#8217;s a great point. Um, in, in all this. Um, and now we&#8217;re<br />gonna shift to you in just a moment to talk specifically about design, Sarah.<br />But Mike, before we do that, I just wanna make sure, I think we&#8217;ve hit really big pillars here. Um,<br />moral business requirements, , it can be, there&#8217;s an opportunity here to lead and show that you<br />truly care. Um, anything else you think about when you&#8217;re, when you&#8217;re thinking about leaders<br />[00:29:00] making these decisions, wanting to give those resources to design and team and<br />things like that, anything else that we missed that you wanna share?<br />Mike Klanac: Just to like summarize, it&#8217;s a tremendous opportunity. It went from being, uh, a<br />challenge, a problem to No, this is just an opportunity to better serve our, our audience. Um, and<br />that&#8217;s how I would be thinking about it.<br />Cory Miller: Yeah, what a great mind shift and what a great takeaway we have more. So if<br />you&#8217;re a leader in an, an organization making these decisions, stay on because there&#8217;s more,<br />because this is a, we&#8217;re we&#8217;re evolving and growing this concept, like we&#8217;ve been saying as a<br />mind shift, shift change over.<br />What a great, great way to sum up that, Mike. Thank you. Okay, so Sarah, now let&#8217;s just talk<br />creative and design, because a part of this, I&#8217;ll just say this, I was like, okay, I can get the<br />decision. Like I can really embody that and go, it&#8217;s, it&#8217;ll take time, it will take effort, it will take<br />money. But as we&#8217;re talking, I go, [00:30:00] gosh, I&#8217;ve been in the seat too, where you&#8217;re a<br />marketing person or you&#8217;re trying to ship the work into, through the website and there&#8217;s<br />decisions and things that you need to be thinking about that.<br />So as we talk about in this role, creative and design, what, what things stick out to you as we<br />approach the accessibility topic?<br />Sarah Gless: Yeah, absolutely. Well, um, I think just acknowledging that it is a requirement. Um,<br />I think that there&#8217;s this kind of stigma that accessible design, um, pro, you know, prohibits<br />creativity, um, in a way that, you know, accessibly designed websites.<br />Are ugly , for lack of a better term. Um, and I think that that stems from, you know, a history of,<br />of hearing about lawsuits and, and, and building requirements around certain sectors. Um,<br />particularly like the government. Um, and websites for governments or government, um,<br />institutions are, are, are typically not known for, [00:31:00] um, their design.<br />There are a few, of course . Um, so it&#8217;s, it, you know, accessibility, I think in the design world has<br />a, a, a reputation that it&#8217;s gonna restrict me. Um, and I don&#8217;t like to think about that like that. I, I, I<br />want, you know, our design team, we, we sh we, we have a mindset that it&#8217;s just an a<br />requirement and any creative brief you get, um, I&#8217;m sorry, but it&#8217;s gonna have requirements on it.<br />Um, and so if you think about that and shift your mind into thinking that way, it truly does<br />become a creative opportunity, um, and a creative challenge. And, um, I think designers and<br />creatives. Tend to work very well if you give them some structure, but then opportunities to<br />innovate and there&#8217;s tons of opportunities to do that with accessibility.<br />Um, I think of like a past project we worked on for, um, oh, very well known, uh, Ivy League, uh,<br />school, um, that, you know, we designed a, a navigation, it was very robust, it [00:32:00] was<br />very, um, uh, boundary pushing, I&#8217;ll say on the design side. And at first blush, it did not look like<br />it was going to meet accessibility.<br />Um, we worked and collaborated with our QA team, our engineering team, um, and within those<br />boundaries of accessibility and or those requirements, um, and looking at this thing that we<br />really wanted to like put live into the world, we figured it out. Um, and we shipped a very<br />accessible, um, site and navigation that ended up winning a design award like.<br />You can do it. It&#8217;s totally possible. Does it take more resources and time? Yes, but it&#8217;s like po you<br />know? Yes. Um, there&#8217;s, there&#8217;s no way around that, but yes. Um, but you, it, it&#8217;s, it, it truly can</p>\n\n\n\n<p>actually lead to like innovative ideas because, um, even within those requirements, there&#8217;s,<br />there&#8217;s bars to push and like, uh, [00:33:00] uh, figure out how to, to, um, uh, make this work.<br />Cory Miller: So, yeah, I think what you&#8217;re saying, so I fancy myself sometimes justified or not as<br />a creative, and what I hear when you say that is, I know there&#8217;s a bunch of people, when you<br />said the first part feels like it could prohibit, they&#8217;re probably like, yeah, it feels that way. But then<br />you spun it around and you said, this is an opportunity here.<br />I I, when I fancy myself as a creative, I go, constraints are actually really good in a lot of cases.<br />And so if, if it&#8217;s a challenge, Hey, you&#8217;ve give, you&#8217;re given these tools. Take it and be creative.<br />Like that&#8217;s what I got from that example you just gave is like, we looked at it potentially as an<br />obstacle, but we turned it into an opportunity to be really creative and make it work.<br />And I think that&#8217;s part of like, I&#8217;ll get a little fur here and say artistic, like when you say you&#8217;re<br />creative, it means like, don&#8217;t look at these as problems. [00:34:00] Look at &#8217;em as opportunities.<br />You know, that&#8217;s the thing we got with leadership. It seems like. That&#8217;s what I just, I wrote it<br />down. I was like, we&#8217;re talking about how this challenge can be viewed as an opportunity and for<br />creatives, having worked with some creatives, I&#8217;m like, Hey, see what you can do.<br />Yeah. The best things. See what you, yeah.<br />See what you can get away with. , ,<br />Sarah Gless: no, little rebellious ,<br />Mike Klanac: as a definite not creative. I, I really think this is an interesting part of the<br />conversation and somewhere out there, well, this is the part that I can add, I can add that there&#8217;s<br />an article about like Jack White and the White Stripes.<br />There&#8217;s this like idea of threes where they stay within three colors, three instruments, and that<br />that parameter within that, they try to push innovation as much as possible, and clearly they&#8217;ve<br />been successful with it, so.<br />Sarah Gless: Absolutely. That&#8217;s awesome. I, and you know, like, oh, go ahead Chris.<br />Chris Kindred: I, I feel like there&#8217;s another aspect specifically to the, the, um, menu that you&#8217;re,<br />that you&#8217;re talking about there [00:35:00] as a technical team.<br />When we look at a menu that came in like that, we&#8217;re, we&#8217;re looking at it going, now there&#8217;s the,<br />this is gonna be difficult, .<br />And the, the amazing part is though, . It just takes some communication. It takes the team<br />working together to figure out, okay, here&#8217;s where we can push a boundary. We, we, great point.<br />We know how to handle this piece. And we get that developed. We, we work with, you know,<br />our, our, our front end team does an amazing job at staying up to date with things like WIC ag<br />and, and we can really lean on them in, in some of these cases to say, okay, here&#8217;s how you can<br />accomplish this in an accessible way.<br />And then with com, with good communication between design and, and our, our engineering<br />team, we can, we can keep pushing those boundaries. Uh, you, you mentioned that it costs<br />more, it does cost more to be innovative [00:36:00] like that. That&#8217;s just part of being on the front<br />end of the curve. Right? If, if you are trying to push boundaries, it&#8217;s going to cost more.<br />but accessibility doesn&#8217;t have to cost more either. The innovation piece of it is what&#8217;s costing<br />more. Mm-hmm. . So, you know, if, if you&#8217;re, if you&#8217;re wanting to, to do a big award-winning nav,<br />heck yeah, let&#8217;s do it. Let&#8217;s jump in, let&#8217;s, let&#8217;s do it together. Uh, but it doesn&#8217;t have to be that<br />way to be accessible either, right?<br />Mm-hmm. . So, yeah.<br />Sarah Gless: Yeah. That multidisciplinary kind of approach is so critical. Um, I think it requires<br />both specialization and, uh, willingness, like multidisciplinary collaboration across teams to, to<br />do it. Right.<br />Cory Miller: Well, and we talked a lot about boundaries, pushing boundaries, and it seems to<br />me too, it&#8217;s like there&#8217;s probably some mental boundaries we put ourselves in if we think about it<br />as just, oh, this is a [00:37:00] problem and I don&#8217;t want to do it.<br />But I think what I hear from you too, Sarah, is like, Well, this, the, the regulations, the policies,<br />the things that govern this have actually created your canvas. You know, if we look at it like that<br />and we go Exactly. And then I love the challenge actually, like Chris going like, well, what can<br />cools, like even cross teams, we got a challenge, but let&#8217;s look at it as this opportunity to do<br />something really cool.</p>\n\n\n\n<p>Like when you said the awards and stuff, like love that you&#8217;re like, do such a good job with this<br />challenge. They, you could actually win hearts and awards, you know? Exactly. And I think that&#8217;s<br />for creative people, I think that&#8217;s gotta be a stoking fire of like motivation. Oh, absolutely. An<br />inspiration.<br />Sarah Gless: Yeah.<br />So that, like, nav wins an award ranks high on accessible websites in higher ed. Like what? I<br />mean, that&#8217;s just a perfect pair<br />Cory Miller: and that person out there trying to look, trying to do see here whatever to that<br />[00:38:00] information. They&#8217;ve, they&#8217;ve had these experts. Giving their creative talent to do it.<br />So there&#8217;s that other part of like, somebody got to make sure they didn&#8217;t miss that part of the<br />website or whatever was happening in the project.<br />So exactly like, how many wins do we need? People, , , you know, like, and Chris, you&#8217;re gonna<br />get your chance to talk tech too. Um, but I really, I really love this, like the words I hear from you,<br />Sarah, particularly as designer, you know, artistic and creative. You go, you said, doesn&#8217;t have<br />to restrict, doesn&#8217;t have to pro prohibit anything, can actually blossom and grow your creativity.<br />If you, if you look again, we&#8217;re talking about mind shifts and we say, Hey, this is just the canvas I<br />get to create on. I love that. So what else comes to your mind when we talk, when you&#8217;re talking<br />to creative teams and people really trying to make sure the experience is great? What are the<br />things that pop up to you as you&#8217;ve worked with clients and, and the teams?<br />Sarah Gless: Yeah. Yeah. I, I think, uh, I mentioned this a little bit earlier, [00:39:00] but just.<br />Taking the, knowing that you don&#8217;t have to be an expert at this thing. Like, and really, again, I<br />can&#8217;t hit home enough, like collaborating and, and building kind of an extension of your team to<br />support accessibility is so critical. Um, and putting resources towards that.<br />Um, whether that&#8217;s in-house or, or with an agency. Um, you know, I look at our own design team<br />as a great example. Like we, we definitely stay up on knowledge as it affects, you know, the, the<br />work that we&#8217;re working on. Um, but even our team who is talking about accessibility all the<br />time, We still ha have experts specifically dedicated to accessibility within our organization, our<br />QA team, who we can collaborate and lean on to ensure that the work that we are designing<br />and putting out into the world is tru truly accessible.<br />And so I, I just wanna really hit home like if you, if [00:40:00] you, um, are feeling maybe a little<br />overwhelmed, like, how do, how do I do this? Lean on people who know how to do it. Um, and<br />um, yeah,<br />Cory Miller: I think you all have modeled that for me in our discussions leading up to this. You<br />really have modeled it. We, I won&#8217;t get into the exact details, but when I was saying, Hey, we&#8217;re<br />gonna, okay, we got our date and all that, you all started asking these questions.<br />I didn&#8217;t think about that. And they were accessibility questions like naturally. But what I really,<br />really appreciated about you three, why we&#8217;re like working with really super talented people that<br />are also humble is you all team approached that I think Sarah, you&#8217;re like, okay, I think, I think<br />it&#8217;s this, but let me, I&#8217;m gonna go, I&#8217;m gonna go chase that with a team.<br />Chris, same way. And you guys were collaborating and I think what you all have modeled, what<br />you&#8217;re talking about the client should do is really look at this like it&#8217;s not on one particular person.<br />Yeah. Embrace the team concept. [00:41:00] We, we care. And that&#8217;s why as a team, we&#8217;re<br />gonna figure this out together.<br />Mike Klanac: Yeah. Yeah. It&#8217;s a, a perpetually changing topic. It&#8217;s guidelines are evolving,<br />browsers are evolving. The tools that people use are always changing. So if you&#8217;re an expert<br />one day, by the next day, you have more learning to do. And the way that we get around that is<br />by leaning on each other as a team, uh, and thinking about it as sort of a topic that we all need<br />to stay fresh on, um,<br />Cory Miller: and just care about.<br />I mean, this whole conversation evolved because you and I were talking to Mike, you know, and<br />I&#8217;m aware of the work you all do, and. You know, through us talking, you go, gotta have Chris,<br />gotta have Sarah on this call. That&#8217;s my, that&#8217;s You have a bigger team. Absolutely. You all have<br />a bigger team of course.<br />But you&#8217;re like, that&#8217;s a great model. So like we had you start with leadership in making those<br />decisions and then we&#8217;re gonna talk about creativity and then we&#8217;re gonna talk about tech. And<br />then you all have even lighten. Say there&#8217;s somebody else that [00:42:00] might not be in that<br />spec, but they&#8217;re the ones publishing the post or whatever it is to the site.</p>\n\n\n\n<p>Exactly. Yeah. I think we&#8217;ve modeled this like cross-disciplinary, I think you said that too, Sarah<br />is like, okay, we, when we&#8217;re having these conversations, we do need leadership, do need tech,<br />we do need design. And probably the people actually doing this, the work, like into the world,<br />probably all need to be somehow represented in that conversation.<br />So I think I&#8217;m, I&#8217;m digressing from your subject, Sarah, but I just go, I think that just, again,<br />models, it&#8217;s a holistic whole team approach. We&#8217;re, we&#8217;re not gonna get it perfect, but we&#8217;re<br />gonna figure it out together. Absolutely. So I I love that too. I think you&#8217;ve given permission to<br />take some burden off Sarah, as like, yes.<br />You don&#8217;t have to be aid<br />Sarah Gless: as long as you lean on, on, on your, your internal teams or consultants in that, in<br />that area<br />Cory Miller: Care. Lean on your team. Yes. Try to make the best decisions, get the best<br />[00:43:00] experience. You may not win the award every single time, but hey, allowing someone<br />to do that, which probably has a fr I can&#8217;t imagine the frustration someone might feel trying to<br />get actually this cool tool called the internet, but Oh, tripped up like one of the best<br />communication tools ever invented in human history, yet there&#8217;s significant part of our population<br />that can&#8217;t get to it.<br />Sarah Gless: Yeah. It&#8217;s like in the states, one in four, um, have a disability and I think globally<br />it&#8217;s one in six. Like think about those numbers. It&#8217;s like 25% in the us.<br />Cory Miller: That can&#8217;t,<br />Sarah Gless: that you may not be communicating with today on your website.<br />Cory Miller: I, uh, see again, you just go like, so let&#8217;s, let&#8217;s make this for a second, Mike.<br />I&#8217;m curious about this, but you two chime in. You go. If we were gonna say like, just make it a<br />business decision. If I went to any corporate leader, business leader in America and said, what if<br />you could get [00:44:00] 20% more than your gi, like, what if you could tap this market, Mike,<br />like from a market size, what if just from a business, okay, let&#8217;s take, take the pure human<br />element and you go, everybody, every business is looking for new markets to build and expand<br />on.<br />And you go the stat that&#8217;s you just shared, Sarah goes 20% of the popul. That, that, that if we<br />just embrace this right thing to do thing, you can get access to that. And imagine just from a<br />pure business standpoint, that market that&#8217;s served better than any they get anywhere else.<br />They&#8217;re gonna talk, they&#8217;re gonna share, do business here, do work here, because they&#8217;re<br />gonna be your most vocal evangelists.<br />So Mike, like from a pure business standpoint, and I go, let&#8217;s add it to the thing cuz this STA is<br />like we all think about the new markets that we could try to break into, you know, or grow our<br />existing thing. And you all just said, by the way, everybody ha you know, has a hard time with<br />this subject, but we&#8217;re giving you a [00:45:00] huge part of the population.<br />You could serve extremely well.<br />Mike Klanac: Again, yes. Massive opportunity. And, you know, we have so many conversations<br />where, where we will, um, sit and deliberate over customer journeys or you know, how to adjust<br />content in a way to gain just that slight advantage, that percentage change, that 1%, 2% change<br />in conversion or experience improvement.<br />And here&#8217;s an opportunity if you really think about it, to cater to a, you know, one in four people<br />in the United States. That&#8217;s a dramatic improvement. And, and that alone justifies, you know,<br />thinking about this start to finish. It&#8217;s just an incredible opportunity. Again, uh, it&#8217;s a no-brainer.<br />Cory Miller: I&#8217;ve told you all, I want Modern Tribe to do some stickers around these things that<br />I&#8217;ve heard as like core values should be accessibility.<br />Yeah. But it&#8217;s also like, Hey, uh, I got a secret. Do you wanna grow your business? Do the right<br />thing? Like, [00:46:00] just service me on the shirt. . Yeah. Get it on the shirt. Cause I need a<br />shirt for that. You know, I&#8217;m a, I&#8217;m a swag geek Mike. But anyway, I digress. . No, we&#8217;re too, it&#8217;s<br />all good. . No, and I, I think that&#8217;s another thing I&#8217;ve learned from y&#8217;all too, is like, hey, we can be,<br />this can be a subject that we get kinda tense about because we don&#8217;t know all the answers.<br />What I got from you, Sarah, was uh, you took, I think you took a big, big load of perfectionism,<br />expectation, worry, fear of people and release them to say, care about it. Get your team. Yes.<br />Like that&#8217;s the two I got when you&#8217;re looking at design. And that doesn&#8217;t mean just the design<br />team. That means the people who are out there publishing content on the website too.</p>\n\n\n\n<p>Absolutely. You know, lean on your team and don&#8217;t exclude anybody. Include everybody in this<br />conversation and it matters. Anything else, Sarah, on design and creativity you wanted to<br />share? .<br />Sarah Gless: Yeah, I mean, I, I&#8217;ll echo I think a lot of what we&#8217;ve already talked about, but if you<br />could just, [00:47:00] at the end of the day, it&#8217;s, it&#8217;s about putting yourself in those folks&#8217; shoes.<br />And if, I think a great place to do that is by talking to those people, testing those people. Um, I, I<br />think that&#8217;s something that we, we don&#8217;t, you know, as a, um, a, a world , uh, probably do<br />enough of, um, and so empathy, empathy, empathy, just, you know, do the right thing, um, and,<br />and make it a value that you actually follow through with.<br />Cory Miller: Um, yep. Okay. I know you&#8217;re gonna have more to this chair. Thank you for sharing<br />the creativity. I think those are powerful messages that can release and really free people up to<br />use that creativity, use that, those innovative skills in such a really cool way. Yeah. Okay. So we<br />talked about leadership, talked about creativity and design.<br />Now let&#8217;s talk about the nuts and bolts, how this stuff works. Like [00:48:00] Chris. Uh, so you&#8217;re<br />back in, I know you work a lot with your team, uh, Sarah&#8217;s team, Mike&#8217;s team, um, in delivering<br />to the client. Um, when we talk about development, and you, you&#8217;ve, you&#8217;ve surprised me a<br />couple times on this Bec and, but it&#8217;s, it&#8217;s something that we just see.<br />It&#8217;s cuz you care about the subject, you know, you care about this work, but you&#8217;ve been able to<br />give some really good perspective too. But when we kind of venture into this third phase for<br />subject about accessibility, it&#8217;s the technical side. What sticks out to you? Uh, I always start with<br />you.<br />Chris Kindred: You&#8217;ve gotta make it part of your culture.<br />And in order to do that, that means that when you are hiring, you&#8217;ve gotta actually be looking to<br />make sure that you&#8217;re hiring people that believe the same. And, uh, it&#8217;s very difficult to always<br />create great accessible things if the, the people you&#8217;re looking at to bring on board don&#8217;t believe<br />the same thing.<br />[00:49:00] So it starts kind of there. It starts with making sure you get the right people in the right<br />seats and, and that, uh, piece of it. Um, after that there&#8217;s a little bit of understanding why, why<br />we&#8217;re doing this. And, um, one of the things that I like to kind of explain is that accessibility over<br />time has become the norm for, for so many places.<br />Um, think about it as, uh, curb cutouts right at crosswalks. Um, it&#8217;s so that it&#8217;s easier for<br />wheelchairs to get up onto the sidewalk. And, and it&#8217;s such a normal thing to see now. Um,<br />when you&#8217;re getting ready to cross the street and you hit the, the walk button, when it changes,<br />it makes a noise. Well, it&#8217;s because people found out, hey, we need to make this more<br />accessible for other people.<br />And, and they need to be able to get from one side of the street to the other. [00:50:00] And it, it,<br />it just, it, it becomes part of your everyday interaction and it becomes so normal that it, it, it just<br />becomes part of what you do. The same applies building a website. The same applies for the<br />technical side of these things.<br />When you&#8217;re building a form, you just, it, it, it is, it, it has to be ingrained in your culture that<br />that&#8217;s the normal way of doing that. You build it as an accessible form and you don&#8217;t cut corners.<br />Where, um, Somebody that&#8217;s not building it accessible or maybe somebody that doesn&#8217;t know or<br />is ignorant of how to build it accessible.<br />Um, would, would be doing that. You know, um, braille is another great example of having like a<br />braille inside a building trying to find where a, um, a, a hotel room is or an office is, that kind of<br />thing. You, it becomes normal and therefore you start [00:51:00] implementing it. You come to<br />expect it. And that&#8217;s, that&#8217;s a big<br />piece.<br />Mike Klanac: I, I just wanna jump in there, Chris, cause I think. The part that ties this all<br />together is the fact that those items you mentioned, which were initially built for accessible<br />purposes, how, how many other benefits have they shown to perhaps people with different<br />forms of acce, uh, disability or just really anyone like a curb cutout has, su has become a<br />convenience.<br />Um, the noise. I often just can hear that and it becomes a benefit to my experience not being a<br />disabled person. Um, and, and so those, those changes have, have become innovations for all<br />of us.</p>\n\n\n\n<p>Chris Kindred: You, you mentioned a really good point there. Um, there&#8217;s different levels of, uh,<br />disability, let&#8217;s say. Yes. Um, you, you&#8217;ve got permanent disabilities, which are, are people that,<br />that aren&#8217;t going to get over whatever disability they have.<br />Mm-hmm. . And, and you also have, [00:52:00] uh, you know, that&#8217;s, uh, Loss of limb kind of<br />thing. Maybe not being able to type, not being able to hear, not being able to see those kinds of<br />things. Uh, you also have a concept of a temporary disability.<br />Uh, we, we&#8217;ve<br />all experience things like getting your eyes dilated and not being able to look at a website, uh,<br />that, that can really mess with your mind a little bit.<br />If, if a website has all the text way too close together, say you need to call your, uh, eye doctor<br />right after you left and you pull up their website on your phone and you can&#8217;t find the phone<br />number because you, your eyes are dilated. Um, yeah. Now, and there there&#8217;s also this concept<br />of situational disability.<br />Um, very similar. But, uh, say you&#8217;re sitting next to your four-year-old and on the couch and<br />you&#8217;re flipping through videos on your phone and you have the volume off cuz you don&#8217;t know<br />what somebody&#8217;s gonna say and you don&#8217;t want your four year old to hear it. Um, You know that<br />that&#8217;s another [00:53:00] case of an opportunity, that if they have transcripts on that video, all of<br />a sudden, you know what they&#8217;re talking about without having to maybe have your four year old<br />say a word they shouldn&#8217;t.<br />Um, you know, it, the, there&#8217;s, there&#8217;s this other concept a, around situational disabilities, um,<br />that I, it kind of hits home with me in particular because, um, there&#8217;s this level of like your<br />emotional state when you&#8217;re looking at a website, um, maybe your, your ability to actually have<br />like all the right, be in the right state of mind when you&#8217;re going to a, a website.<br />And it, uh, it, my, my daughter was born with a congenital heart defect. She was life flighted from<br />the hospital three days after she was born to a hospital five hours away.<br />Um,<br />My wife went with [00:54:00] her on, on the life flight, and we were extremely thankful she was<br />able to, but uh, here we are. I&#8217;m, I&#8217;m five hours away.<br />I&#8217;m getting ready to get in the car. There was a blizzard that night. There, there was just all kinds<br />of things going on, and I&#8217;ve gotta try to figure out how to get to this hospital and how to, um, find<br />my family, my newborn baby, all of this stuff. Uh, yeah. Eric Meyer does a very good talk on this.<br />Um, I, I think it was a, a list of part talk some, something like that.<br />Um, but it, it is a, a, a, it, it specifically talks about, uh, I think designing in a crisis or designing<br />for crisis. And, you know, if, if your mind&#8217;s not where it needs to be to read the information on a<br />website and you&#8217;re looking for how to get to an emergency room from the airport, And [00:55:00]<br />you are scrolling through a website.<br />I, I know websites pretty well. I&#8217;ve been reading websites my whole life, and I know that normally<br />there&#8217;s an address in the bottom left or right side of most websites. But if you&#8217;re trying to do that<br />looking through tiers, it&#8217;s much more difficult. And so there&#8217;s this level of, um, just because the,<br />there&#8217;s this level of morality that we talked about before, it&#8217;s the right thing to do.<br />But also it, it&#8217;s, it, it doesn&#8217;t, it, it can apply to anybody at any point in time. And you want to<br />make sure you&#8217;re being inclusive of all of those potential situations, especially when it&#8217;s, um, you<br />know, good or, or bad or, you know, education has alerts and all kinds of, there&#8217;s just, it, it<br />permeates through the entire industry.<br />Cory Miller: So before I come back to, to you, Chris, because I want you to put, uh, what the<br />question I&#8217;ll ask when I digress for a second with Sarah [00:56:00] is, uh, think about the<br />technical person on the other side in that seat and the challenges they have. But, you know,<br />Sarah, you, you do design. You know, you think about from the purpose of a website.<br />If I&#8217;m an er, I mean, Chris, you just said a hundred percent of people on that website, what do<br />they want to know? I wanna get to that building as fast as humanly possible. So Sarah, from a<br />pure design ux ui, that&#8217;s the purpose of a website. Is it not? Like, give people to the thing you<br />and your situational, uh, uh, experience.<br />Chris made me think. That&#8217;s, let&#8217;s, let&#8217;s take aside for a second. Accessibility. That&#8217;s just what<br />you wanna do with the website. Like absolutely. How do I, they are hunting, how do I put it right<br />in front of them? You know what I&#8217;m saying? Like from the design side .<br />Sarah Gless: Yes. Like know your audiences, [00:57:00] all of them prioritize, you know, and,<br />and ensure that you&#8217;re talking to them, you&#8217;re listening to them, you&#8217;re testing that work, and you</p>\n\n\n\n<p>know that it&#8217;s going to be there in, in a variety of situations.<br />It&#8217;s not just about slapping your brand on a website. It&#8217;s about ensuring that that experience is<br />meeting users where they&#8217;re at and serving their needs and, and, um, understanding the tests<br />they need to complete and, and designing to that. Um,<br />Cory Miller: like I go back to what you said, and this is reverberating now, and how deep, well,<br />what you said earlier is good accessibility is good design, and you go.<br />I mean, we can take it aside, all of this and just go, that&#8217;s the purpose. You wanna get people to<br />the thing they need to do. You want to empathize, use the word you used earlier, Sarah too, is<br />like, empathize. What are they trying to get done? Okay. I&#8217;m a, whatever the organization, Chris,<br />you just laid it out.<br />It&#8217;s blindingly obvious, the location. Think about that for restaurants. [00:58:00] Think about that<br />for any, any business, any organization, nonprofits, like, they come to you by the way, and<br />they&#8217;re looking for something and as fast and efficiently as you can get that to &#8217;em. So I go back<br />to your comment now, it&#8217;s even more deeper.<br />It&#8217;s like good accessibility is a good design because it&#8217;s about the action you&#8217;re trying to help that<br />person get to, right?<br />Sarah Gless: Absolutely. Yeah.</p>\n\n\n\n<p>Chris Kindred: I, I would even take it a step further and say, good acceptability is usability. Mm-<br />hmm. Uh, it,</p>\n\n\n\n<p>it&#8217;s, it&#8217;s not just the design, but. It, it&#8217;s, it&#8217;s the total package of it.<br />It&#8217;s, it&#8217;s making sure that that button, when it&#8217;s clicked, you know, it was clicked and that it&#8217;s not<br />going to do something unexpected. You know, taking, taking it back to a technical point of view,<br />you know, making sure to know how to make sure a screen reader is announcing that button<br />that it was clicked um, making sure that, uh, the, the person knew what that button button<br />[00:59:00] was going to do and not just say, click here. You know, that making it clear<br />that<br />that&#8217;s what was going to happen when that button was clicked is a key aspect to it.<br />Cory Miller: So, Mike, I just go back down. Sorry. Go ahead, Sarah.<br />Sarah Gless: Yeah, I was just gonna go back to like what Mike said earlier about like, there&#8217;s<br />also like kind of these like side effects that are good side effects when you, when you design,<br />um, um, whatever the experience is, whether it&#8217;s a curb or a website, um, to be accessible, you<br />have all these.<br />Additional benefits for folks that may not have disabilities. So like in the case of the, um, the,<br />you know, the button to call the ER is not visible. Well, what if you designed it to be, well, I bet<br />you&#8217;re gonna pick up not just ensuring that like it&#8217;s accessible, but also a lot of users who may<br />not have disabilities, um, still struggle to find things on websites.<br />So like, you know, they&#8217;ll be able to get their tasks done. Um, professor too, I know it&#8217;s a very<br />hyper [01:00:00] specific example, but, but it does help provide like context, this bigger idea,<br />right?<br />Cory Miller: Hey Sarah, I think no, it&#8217;s a like proving you all&#8217;s point is the it. Let&#8217;s add another<br />one, Mike, to the first part you said, let&#8217;s add another one if, if you only use accessibility as to<br />make your site the best converting, most efficient tool for communicating to your customers.<br />We just like backed into, uh, because you, we&#8217;ve all gone back to these, like the usability thing.<br />If you&#8217;re forced to look at like, okay, let&#8217;s pull up JAWS or whatever tools you all use and<br />recommend for your clients, and let&#8217;s, let&#8217;s go at it from that perspective. You&#8217;ve empathized with<br />the customer and you think if we just put it under marketing or sales, I go, this is the exercise<br />most organizations should be doing.<br />Because you&#8217;re gonna go to the level and you&#8217;re gonna have to think about, I&#8217;m just talking the<br />business case. Okay? Every website [01:01:00] needs to spur an action, like we&#8217;re trying to lead<br />them to something. It could be a sale, it could be the address of the emergency room, it could<br />be whatever it is. I just go from the business case, Mike, like, this is an exercise that all of us<br />should be doing.<br />Because if you&#8217;re in Chris&#8217;s situation, you&#8217;re like, isn&#8217;t it clear? Everybody, everybody in the room<br />know what the key thing here is we&#8217;re trying to get people to the emergency room physically.<br />That informs design, it informs technical, but. Here&#8217;s another business case we should add.<br />Mike Klanac: Absolutely. Yeah, and it&#8217;s really inspiring to like see the conversation.</p>\n\n\n\n<p>I think. As an entire, in the, across the world, evolve from being one where like the, the, the talk<br />that, that Chris just provided it, it probably used to have just been about like how to use like alt<br />tags. Like 10 years ago it would&#8217;ve been like, how do we tag content? And now it&#8217;s, it&#8217;s crossed<br />into like more of a phil philosophical understanding that, hey, this is, this is, um, this is [01:02:00]<br />good business.<br />This is a usability opportunity, this is a chance to empathize with our users. This is a chance to,<br />um, improve customer and user journeys and, and, uh, make it easier for you to check out or to<br />get the information that you need. Um, so it&#8217;s, I just am it, it, I, I&#8217;m, I like that the dots are starting<br />to be connected and that this conversation has changed from just like a very sort of niche<br />technical, how do I.<br />Do these things that I have to do, because otherwise I&#8217;m gonna get in trouble to look at all of this<br />opportunity that we have to incorporate this thinking to better serve our audience that affects,<br />that, improves our business and makes everybody happier. I mean, uh, it connects a lot of dots.<br />Cory Miller: It&#8217;s cool. I, I&#8217;m not exaggerating, but maybe we should rename this panel to how to<br />build a successful website.<br />Yeah. , I mean, I know I&#8217;m exaggerating a little bit, but I go, like, when you were talking through<br />that, Sarah, I thought [01:03:00] that is a focusing feature. It makes us ask the question, what&#8217;s<br />this all about? What are we trying to do? Well, if we can hit it in all these scenarios, we&#8217;ve<br />crystal, we&#8217;ve used it as an exercise honestly, to crystallize what we&#8217;re trying to get from it and<br />pave the way, like that&#8217;s the purpose of website, right?<br />Mm-hmm. , so Absolutely. Okay. I&#8217;m preaching the choir, but I&#8217;m just hearing what you&#8217;re saying<br />and going, yeah. We should. Totally. I think the other title is it&#8217;s not a problem, it&#8217;s an opportunity,<br />you know? Yeah. Okay. Chris, I have veered all the way, but I think it&#8217;s been good. We need this<br />out in the world. We need people to hear these things and appreciate you all sharing so<br />authentically with this.<br />So, back to the question, Chris, I&#8217;m gonna get back to you. So from a technical standpoint,<br />there&#8217;s, on your clients, you&#8217;ve, you&#8217;ve talked to a number, I mean number of teams in the<br />technical side. And you know, part of my question here is trying to help the leaders listening to<br />other people, the other parts of this team understand [01:04:00] there are issues like Sarah did<br />for design that designers have, there&#8217;s somewhere technical.<br />What are the things that stick out to you, you know, those challenges people the technical side<br />has when they&#8217;re working on this particular subject of accessibility?<br />Chris Kindred: Uh, I, I would say it&#8217;s, it&#8217;s keeping up with the changes as they come. Um,<br />that&#8217;s, that&#8217;s one of the big ones. Uh, you know, there, there are different requirements.<br />Uh, those, there&#8217;s more stringent requirements when it comes to WIC ag, which is if, if you&#8217;re a<br />front-end developer and, and backend developers to, uh, knowing what the requirements are to<br />hit certain levels, depending on kind of going back into the legal side of it, you&#8217;re, you&#8217;re certain<br />you&#8217;re gonna be required to hit a certain level of accessibility.<br />And knowing what those are and how they change over time is a big piece of it. And, uh,<br />[01:05:00] at, at Modern Tribe, we really lean a lot on our front end developers for keeping up<br />with that. But also we communicate as a whole and, and we make sure that everybody&#8217;s, you<br />know, doing code reviews for each other and, and that kind of thing to make sure that, uh, if, if<br />there is an accessibility, um, Item that we address it before it goes out, uh, and that, uh, those<br />kinds of things.<br />So it, it, I would say the, the biggest issue is trying to just stay relevant with those, um,<br />accessibility changes. Every time a browser comes out with something new, you&#8217;ve gotta kind of<br />go back and look at it and see if it changed the way you need to implement something based<br />upon those accessibility requirements.<br />So, yeah.<br />Cory Miller: So from, so from the technical side, there&#8217;s how, how any general guidance you&#8217;d<br />give for how to kind of stay touched. It seemed to [01:06:00] me, you know, from a team<br />standpoint is we just regularly have the discuss. Like the topic comes up regularly enough,<br />however that is, but those developers that want to contribute, technical people that want to<br />contribute to it.<br />Any, any thoughts there about how they could try to keep up and places to go?</p>\n\n\n\n<p>Chris Kindred: Yeah, yeah, yeah, yeah. Uh, so there&#8217;s, we, we use a lot of different tools and,<br />and that kind of thing, but you can always go to the WAC website and, and that&#8217;s going to tell<br />you exactly what you need to hit and, and how to perform certain actions in an accessible way.<br />Uh, but, but there&#8217;s also some other things out there. Um, uh, I A A P certifications, uh, the, this<br />is a, um, it, it&#8217;s a, uh, they offer a web accessibility certification that you can get and, uh, it, it<br />teaches you a, about web accessibility, and you [01:07:00] can go through the whole, whole<br />process there and, uh, you know, There&#8217;s no better way to prove that accessibility&#8217;s serious to<br />you than getting some kind of certification For sure.<br />Um, it&#8217;s, it&#8217;s not, uh, an easy thing to do. There. There are other certifications out there too. Um,<br />that&#8217;s just the first one that came to my mind. But, uh, th those types of certifications are, are<br />nice to be able to go out and do and, and learn. Um, and if you&#8217;re making it part of your culture,<br />then you&#8217;re always talking about it.<br />It&#8217;s, it&#8217;s like, like I said, it&#8217;s part of those code reviews. Um, if, if, if I&#8217;m reviewing somebody&#8217;s<br />code and I&#8217;m, I&#8217;m seeing it, I&#8217;m learning too. If they implemented something that I may not have<br />been aware of yet, uh, that, that&#8217;s a big piece as well. So mm-hmm. that, that being able to<br />communicate back and forth about &#8217;em, uh, is, is also super beneficial.<br />Cory Miller: Mike, did you have something to add? probably jumped the gun<br />Mike Klanac: a little bit. I, I [01:08:00] think I was going to start to mention tooling a little and its<br />role in this and, and Chris hit it a, a touch there. But, um, yeah, I mean this is a, this is a, a open<br />conversation. So, you know, it&#8217;s, it&#8217;s something that it, you have to kind of revisit periodically.<br />And the, the tooling, one of the things that it does besides kind of educate you and their, their<br />job is to stay current on creating a system of scans that, um, enforces certain standards. Um, it,<br />it, it allows you to kind of revisit it on a regular basis, uh, and that there is some. There&#8217;s a huge<br />role for that, right?<br />Like it no, no human can actually stay on top of all of the changes at all times. The, that<br />provides some nice rails. And yeah, as we get into this, perhaps this last section in a moment<br />where we talk about the, the, the content publishing or the sort of the, the end user role in<br />[01:09:00] accessibility, um, I think that tooling is a, a key<br />Cory Miller: part of that as well.<br />Okay. So I want to ask Chris one more thing. So this whole banner is accessibility for sure, but<br />WordPress accessibility, I think that&#8217;s the two parts of this why I asked you all to do this<br />particular topic because, you know, accessibility, but you also know the nuances with<br />WordPress like you&#8217;re experts.<br />Travis has been around for a very long time doing some really cool stuff with WordPress forever.<br />So, uh, Chris, my question is now accessibility with WordPress. Things that come out, stand out<br />with you with this amazing open source software that we love that&#8217;s used around the globe and<br />it&#8217;s great solutions for clients.<br />Um, what things stick out there with WordPress accessibility particularly?<br />Chris Kindred: Uh, well, well first open source software. It, it is always, um, it, people are<br />always talking about accessibility. If you go into the, the WordPress Slack, you can see people<br />trying [01:10:00] to focus on accessibility and try to get accessibility into, uh, everything.<br />Uh, you know, I guess it was two or three years, Gutenberg did a big accessibility audit on all<br />the blocks, and that was really important for WordPress to be doing to help move the editor itself<br />forward and make it more accessible for content editors. Um, but as Gutenberg&#8217;s matured and,<br />and become the block editor, it&#8217;s, it&#8217;s become everybody&#8217;s focus.<br />There&#8217;s this new opportunity and, and I think that, uh, As we continue to implement these<br />accessible designs that our, our amazing designers have put together and, and our developers<br />have gone in and, and put a lot of work behind the templates and building out the header and<br />the footer and, and everything, there&#8217;s this, uh, there&#8217;s this content piece that is going to have to<br />be implemented and most of the time that&#8217;s by the client.<br />And [01:11:00] the, the best way to help them would be by creating plugins that test the<br />accessibility before it&#8217;s ever even published. And being able to interface with a service that<br />allows you to check that and give feedback in a meaningful way to a publisher and being able to<br />tell them, this is inaccessible and here is why.<br />Because that&#8217;s a key point too, making sure they know why, so they don&#8217;t always have to fix it<br />every time they do it. Um, and, and being able to flag that the way that editor works now</p>\n\n\n\n<p>compared to way it worked with the classic editor. It, it gives you so many more opportunities for<br />that kind of, um, benefit.<br />So, so creating a, a plugin, you know, it, it&#8217;s something that I, I know a few places have tried to<br />create these, and, and there&#8217;s, there&#8217;s an opportunity to be able to, to do that. And I, I really, I&#8217;m<br />looking forward to, [01:12:00] uh, potentially participating and creating a plugin that can handle<br />that kind of thing. Um, you know, flagging it, uh, checking it from the front, inside, all of those<br />kinds of things for a user, um, that, that would be a, a huge benefit to the community as a whole<br />and, and to content creators.<br />Cory Miller: I, I think you pointed at something that I often don&#8217;t, I, I kind of gloss over, but the<br />fact that there&#8217;s so many people, the power of WordPress is so many people collaborating and<br />caring about this. Yes. This isn&#8217;t a new thing to WordPress. It&#8217;s what I. It&#8217;s, we&#8217;re, we&#8217;re<br />imperfect, but as a community. And the core software has a very passion for diversity, equity,<br />inclusion in that conversation has been championed by people like you and others in the<br />community to make sure WordPress is always accessible.<br />But having said that, there&#8217;s still things, there&#8217;s still things that we need to account for. And you<br />brought those up as like, well, we did in the discussions. It&#8217;s like you can do all the [01:13:00]<br />front end work and then you&#8217;re down to the person that just hasn&#8217;t had the opportunity to be<br />trained a little bit.<br />And the block editor, there are things that need, that are being discussed actively and worked<br />on in the community to need to be done to ensure the other part of this. We got the great first<br />site, but now, okay, we&#8217;re turning over and I, I think it was, Sarah mentioned one of the previous<br />conversations is one, you know, a blog post.<br />Could break the accessibility. You know, one thing that would just because you have so much<br />power, I mean, it&#8217;s the beauty of Good Berg and the block editor, you have so much opportunity<br />there, . You also have an opportunity to kind of go into and break your, all your good work<br />you&#8217;ve done to try to be accessible.<br />Okay. Anything else on technical? And then I wanna divide, dive in with the remain time and<br />thank you all for your time and sharing your expertise so openly. Um, the next section, just about<br />that side of this whole thing is like the other part of the team that might not be in some of the<br />core conversations but are executing, doing the work.<br />[01:14:00] Anything else? Chris, though, before we shift gears into that?<br />Chris Kindred: Uh, technical is such a code dependent thing that it could get. I, I could drown<br />you in what Aria labels mean and why and why not. But you know, the fact is if you&#8217;ve put a<br />culture in place around accessibility, then. It&#8217;s, it&#8217;s something that your devs are going to be able<br />to help you with.<br />And, uh, it, it&#8217;s, it&#8217;s just part of, part of the process.<br />Cory Miller: I&#8217;ve heard. I&#8217;ve, I think another theme in all this is like, if you&#8217;re a designer,<br />developer on the team in some way, uh, this is your webinar to go back if you need help in<br />reinforcements, saying, Hey, we need to embrace this. Um, because I know so many talented<br />designer developers, good hearts, wanna do the right thing, need the resources, you know?<br />Yeah. Need that collaboration.<br />Sarah Gless: Be champions of, yeah. [01:15:00] Making sure this, this is a conversation. Um,<br />and, and feel empowered to like, Take that upwards towards, towards leadership.<br />Cory Miller: Yeah. And share this link afterwards so they Yeah. Can come in here us talk about<br />the amazing opportunity they have here. Yeah. Okay.<br />Thanks Chris. All right. So final section is just this part. You&#8217;ve done all the fronting work, you do<br />care, you&#8217;re doing all the efforts, but then there&#8217;s this situation you already mentioned that they<br />could break it on that particular page because of the power of some of the word and and the<br />lack of the resources and training and guidance.<br />So when we get to this side, the client publishing of all this, who wants to share, what do you got<br />locked and loaded? I wanna just kind of put it here. Cause I think this is another team<br />collaboration of like probably people that are oftentimes overlooked, blamed sometimes, and<br />just don&#8217;t have this side of it that we need to be thinking about from leadership all the way down<br />through the organiz.<br />Mike Klanac: [01:16:00] Yeah, this is a, a really important part of it that oftentimes gets<br />overlooked. Um, and that is just to be really clear, it&#8217;s that after these tools have been created, a</p>\n\n\n\n<p>lot of accessibility thinking has gone into them, and then they are delivered to, um, you know, a,<br />a content publisher to, to maintain and to use for, for possibly up to five years.<br />Um, you&#8217;re at this key point where as a, maybe an agency partner supporting someone, like<br />you&#8217;re putting a lot of that power into their hands now to pick up that, that, that torch and<br />continue to run with it. Um, and there&#8217;s a really unfortunate metaphor here, which is, you know,<br />MySpace, you know, we can all recall MySpace.<br />It was really great. No longer exists today. They were very well intended. And at some point it<br />went from being this nice. Tidy page with a profile to music blaring and the thousands of like<br />scrolling pages and things [01:17:00] jumping out all over. And that&#8217;s because there was not<br />enough rails put into place for content publishers to be success successful for the long haul<br />there.<br />So we&#8217;ve, we&#8217;ve sort of come to the realization, and this is kind of part of like ergonomic thinking<br />and you know, you have to set these content publishers up for success. And the way that you<br />do that is not only in how you&#8217;re architecting the system, the publishing environment, um, to give<br />instruction, to make it just like intuitive and easy to use and sort of like heuristic and you can<br />kind of just, you can figure it out.<br />It&#8217;s simple. Um, but like training them on the idea of publishing accessible content because we,<br />no matter how many guardrails we put into place, if you&#8217;re not thinking about it, you will<br />eventually break the system by putting in. You know, content that is not accessible. Uh, so we<br />try to incorporate that into our training [01:18:00] process.<br />Um, and, and let, let be pretty candid upfront to say, you&#8217;ve got a, a wonderfully accessible site<br />right now. It won&#8217;t be this way if you put in concerning content with, you know, strange things<br />that, that perhaps like in the moment feel really exciting, but you know, they&#8217;re, they&#8217;re not<br />gonna, they&#8217;re not gonna work from an accessibility standpoint.<br />It&#8217;s something you need to continue to think about. Um,<br />Cory Miller: I mean, this goes back, that&#8217;s first part of it. Yeah. This goes back to your, your part<br />and two is the leader and the people making the decisions need to think about all of this that,<br />okay. Part one is just getting the infrastructure, the, the base. Part two is people have to operate<br />within that base and we need to be considerate and give ample resource.<br />To to hear because all of our good intentions could go away. . Yeah. When, when inadvertently<br />someone who does care, [01:19:00] makes a, makes a decision that affects it. So putting that<br />into the process is, is huge. And I think I&#8217;ve heard variously E three talk about the training and<br />the ongoing maintenance and upkeep of your knowledge about how these things operate, um,<br />isn&#8217;t a very important part of all of this.<br />Um, yes sir. Chris, you mentioned tooling or I think Mike got into tooling too earlier. So that<br />seems to be one part, as I&#8217;ve talked to you all, part of this is like just proper tooling to do some<br />as much as we can, as this continues to evolve and change with browsers and different<br />technology and stuff.<br />But, so can you talk to me a little bit about the tooling side?<br />Chris Kindred: Yeah. Uh, so. Tools we use, um, we use Site Improve Dubbo. Um, some of<br />those that what they&#8217;ll do is they&#8217;ll actually go out and put your, put the URL in there and it will<br />scrape your site and tell you what kind of, um, accessibility issues come up.[01:20:00]<br />Uh, they&#8217;re, they&#8217;re great tools that, that kind of thing helps a lot. And, and you can automate<br />that process to run weekly, daily, monthly, however often you want it to. Uh, and, and that&#8217;s a<br />really great check, but I, I really feel like you should be doing something before that. And, and<br />the easiest way to do that is by installing a browser extension on, you know, if you&#8217;re using<br />Chrome, Chrome has ax and you can install AX on your, on your browser, and then you can go<br />pull up your page and it&#8217;s gonna tell you the same stuff, but you&#8217;re just gonna catch it before<br />somebody else did.<br />You know, make it part of your publishing process that you publish a page. Go pull up X on, on<br />the front end and make sure that there&#8217;s not a glaring problem. Um, when you&#8217;re dealing with<br />Go ahead.<br />Sarah Gless: Go ahead. I was just gonna say even, even before that, um, too, it&#8217;s, it&#8217;s the<br />training aspect that, that we mentioned earlier.<br />Um, you know, from [01:21:00] a kind of content side of things, established guidelines and, and<br />make sure that they&#8217;re accessible by everyone on your team that&#8217;s creating content and that</p>\n\n\n\n<p>they&#8217;re updated regularly, um, as things change and evolve with, uh, within the accessibility<br />world. Um, so people are, are making good content from the start.<br />So we, we looked at it a little bit backwards, but I I, I like that because it, yeah, it kinda leads<br />back to that, that person,<br />Cory Miller: the two sides are seems like tools and training the two sides of the airplane, you<br />know? Um, so the,<br />Chris Kindred: there&#8217;s, there&#8217;s one more piece that I wanna mention is that you can always fix<br />what&#8217;s in the editor.<br />It&#8217;s not, you didn&#8217;t just destroy your site forever because you posted one piece of content that<br />was, uh, that had an accessibility problem, evaluate it, go back in and fix it. It&#8217;s not the, the<br />whole point is being aware. Yeah. It&#8217;s when you didn&#8217;t go back and fix it. It&#8217;s [01:22:00] knowing<br />it was there and ignoring it.<br />Those kinds of things that will really get you going along a<br />bad path,<br />Mike Klanac: right. I mean, people are gonna make mistakes. In fact, I&#8217;m assuming at some<br />point someone will look back at this webinar and think they said something incorrect. Um, the<br />point is that we care and we&#8217;re we&#8217;re trying to do the right thing.<br />Um, and, and so I think you&#8217;re right, Chris, like going back, if someone identifies an issue, you<br />can fix it. I mean, that&#8217;s the best thing about this is nothing set in stone here forever.<br />Cory Miller: That is the beauty of the web. I used to be in new newspapers, and when you<br />printed a mistake, it went out . I can&#8217;t imagine we had this opportunity to make it, to fix it.<br />Go back and fix it. Um, well, I, I like that. Any other thoughts on the training and tooling side?<br />Um, making sure, you know, I, I assume all this when you&#8217;re, we&#8217;re talking about like checklists<br />and workflows, like making [01:23:00] sure this is things you do with clients. Like, Hey, there&#8217;s<br />somebody in, not in this meeting and hasn&#8217;t been privy to all this<br />Here you go. Here&#8217;s some basic stuff to look at. I don&#8217;t know if that&#8217;s style sheets. I don&#8217;t know if<br />that&#8217;s like, earlier you talk, you know, Sarah, about like the colors of your logo and then how<br />does that transit translate accessibly And, uh, Chris again, any, anything like that you think as<br />you&#8217;re, you&#8217;ve been working with clients for a long time with this particular thing.<br />What you do that kind of makes the difference for someone you know, is, are there style guides?<br />Are there. Typical things they do. How do you approach this from alus perspective on that<br />training? Like, do you build in like, you know, um, training with a team or I, you know, anything<br />on that regard?<br />Mike Klanac: I, I could probably add one more thing, which is that we, you know, there&#8217;s a lot of<br />intention in the, in the design and the construction of content, so I, if you do that right, [01:24:00]<br />the, the publishers experie.<br />Is pretty like straightforward. It&#8217;s about the quality of the content and the messaging and less the<br />construction of it, and therefore like there&#8217;s less opportunity to get creative at that point. You&#8217;re,<br />you&#8217;re sort of like focused on like what the message, the content&#8217;s trying to convey is, and not<br />so much how the looks and where it positions or if you do have some editorial power at that<br />point.<br />It&#8217;s from a predetermined set of, of configuration. So you&#8217;re like putting the content in and<br />flipping levers and hitting buttons from pre-approved standards that everyone was agreed, uh, in<br />agreement on and happened to be accessible. Um, so if that, that work upfront has been done<br />well, those are some of those guardrails and I, I think that that can, that can help continue<br />success into the future.<br />Chris Kindred: That&#8217;s where Gutenberg has made things so much easier [01:25:00] for, for us.<br />We can go in and create patterns and build out those patterns to be accessible and, and meet a<br />certain, um, layout that sales teams provided the front end to, to be able to do. And, and so<br />we&#8217;ve, we&#8217;ve said, okay, here&#8217;s, here&#8217;s a pattern you can use that we&#8217;ve already vetted as an<br />accessible pattern, and, and you don&#8217;t have to worry about it.<br />If you use this pattern, you&#8217;re good. And then you can use the next pattern. You&#8217;re good, and,<br />and you can kinda work your way down the page that way. And it, it makes things better for the<br />end user. And, you know, that&#8217;s, that&#8217;s everybody&#8217;s goal here. How can we do what&#8217;s best for the<br />end user using WordPress to publish and then in turn their users<br />coming to the website.<br />Cory Miller: All right. Anything else on that? And before we do some takeaways,</p>\n\n\n\n<p>Mike Klanac: I think that pretty much covers it.<br />Cory Miller: This has been like, I think it&#8217;s [01:26:00] beyond primer. What this is is helping one,<br />somebody that does want to care, that cares, takes some meaningful steps about holistically<br />embracing this. Um, and with really solid business and human reasons attached. And I think<br />part of this that I was surprised a little bit is just the thinking when we got into accessibility.<br />It&#8217;s like actually you can, you can make money doing the good thing, doing the right thing. Um,<br />Maybe more money because we&#8217;ve talked about the one in 6, 1, 1 in four in America in<br />particular. But, and, and then the situational that you did, Chris, permanent, situational,<br />temporary Mike, really sharing, um, the, that, that whole case to help us think about that.<br />Um, so I, I love it. And I think the big headline is don&#8217;t look at this as a problem. Look at this as<br />an opportunity. And I think you all have masterfully shared some really compelling, [01:27:00]<br />you can&#8217;t look away from reasons why this should be like the center of, not just the project, not<br />just the website Pro, but culturally as a, as an organization, how we&#8217;re gonna be in the world.<br />And I think it&#8217;s pretty, pretty awesome. Anything we missed? Anything you wanna share? Um,<br />that we didn&#8217;t touch?<br />Mike Klanac: I&#8217;ll just like, my final thought on this was, first of all, again, thank you Corey, for, for<br />recording this. I, I like the opportunity to sometimes approach these topics from a new angle<br />and, and specifically as it relates to accessibility.<br />There&#8217;s been a lot of talks and accessibility and a lot of times they do get pretty in the weeds.<br />Um, because that&#8217;s an important part of this is understanding the weeds and the, the specifics.<br />Um, but what I was, what really drew me to this conversation was the ability to take a step back<br />and, and think about, uh, this topic more holistically as it relates across all the layers of culture<br />and business.<br />Um, both like at a, working with an agency partner, but in your own organization and how doing<br />that, [01:28:00] um, can ultimately bring you a lot of success. So I appreciated the new angle on<br />it.<br />Cory Miller: Sarah, Chris, any any save takeaways or thought.<br />Sarah Gless: Yeah, I think like my, my biggest kind of takeaways are how critical it is for, um,<br />you know, organizations to truly like, resource for this.<br />Don&#8217;t, you know, it&#8217;s, it&#8217;s kind of that idea of like, show don&#8217;t tell, like make it part of your values.<br />Sure. But then show it, right? And, and, and put resources towards it. I think that, um, is a<br />critical step in making sure this is truly valued, um, at your organization and that you&#8217;re<br />connecting with your, your audiences.<br />Chris Kindred: Uh, I, I really agree. Uh, I, I agree with everything that&#8217;s been said, but you<br />know, I, I think Mike talking along the points of, there&#8217;s a bunch of talks out there about<br />accessibility from a technical point of view, [01:29:00] from, uh, how to implement and, and<br />those kinds of things. But I, I think one of the places that struggles the most is, um,<br />Organizations understanding that it costs a lot of money to do that, and it, it costs a lot of money<br />because they&#8217;ve been going at it the wrong way, and they&#8217;ve been coming at it from kind of an<br />inside out, not an outside in, and not making it like sarason not making it part of your culture.<br />And if you can make it part of every piece, it&#8217;s not, it&#8217;s not going to be as expensive as it is if you</p>\n\n\n\n<p>have to remediate something once it&#8217;s all done. Uh, so it, it&#8217;s, um, this has been very eye-<br />opening to me to, I don&#8217;t think many people are looking at it from this direction. And I, I, uh, am</p>\n\n\n\n<p>am excited to be a part of that.<br />Cory Miller: Well, thank you three for sharing. Uh, so openly, uh, your expertise and experience<br />about [01:30:00] this pretty vital, you know, topic that if we&#8217;re working on the web, it&#8217;s just, In<br />fact, it&#8217;s, we&#8217;ve illustrated some good points, but appreciate you all for being and sharing so<br />openly and taking your time. I know it&#8217;s, it&#8217;s a Friday now as we&#8217;re recording, but, um, you have,<br />you have those clients waiting on you.<br />Mike, would you share a little bit how can someone heard what you all have shared and talk,<br />start the conversation with Modern Tribe.<br />Mike Klanac: Yeah, for sure. If anybody has a, a follow on question or wants to talk to Modern<br />Tribe about the work that we do, um, our website is, uh, t r i.be. Um, so you can Google Search<br />Modern Tribe, we pop up around there, uh, the first couple responses.<br />Um, you can also reach me@helloattri.be and um, You know, our goal is to be helpful. So I I<br />really, we do this quite often. If you just have a question, we&#8217;re happy to, to just just talk about</p>\n\n\n\n<p>stuff. So it doesn&#8217;t always [01:31:00] have to be reaching out if you have a, a new project<br />opportunity. This is important to us.<br />We like to hear from people and, uh, yeah, build relationships with everyone in the space. So<br />that&#8217;s how you can reach us. And, and thanks again. And Corey, and then, and the work that<br />post status is doing, carrying these topics through, uh, to the audience. It, it&#8217;s really, really<br />important.<br />Cory Miller: Yeah. I, I think we&#8217;ve got a couple more to topics to pull back because I&#8217;ve, I&#8217;ve<br />already identified some ones that I want to go.<br />I go, I think there&#8217;s more here that I kind of hear, heard that like it may be more, more a specific<br />treatment. So, but Sarah, Chris, Mike, thank you for today. Appreciate your time, what you do<br />and WordPress and the larger world, uh, out there. So have a great, uh, rest of your day. Thank<br />you for being here.<br />Cheers.<br />Mike Klanac: Good talk.<br />Cory Miller: Bye.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 22:35:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148247\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39110:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/coreymaass\">Corey Maass</a>, a freelance web developer, joins <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> to discuss the continuation of the development of their WordPress plugin, <a href=\"https://crop.express/#welcome\">Crop.Express</a>, and the value of their partnership. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>Learn from <a href=\"https://twitter.com/coreymaass\">Corey Maass</a>, a master of WordPress plugins and apps, and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a>, a marketing, business, and WordPress experience guru. The two discuss the intimacies of partnering on a product and how solopreneurs can benefit from support.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>The Value of Partnerships.</strong> Starting a business can be a lonely experience. Having someone to bounce ideas off, talk through tough subjects with, and celebrate successes with makes a significant difference. Having that collaborative support system can make managing a business more enjoyable and streamlined, which is a huge benefit, especially for startups and small businesses.&nbsp;</li>\n\n\n\n<li><strong>Discussion vs. Decision. </strong>It’s important to be intentional with communication considering the stage you are in when you are improving a product or creating something brand new. Being vocal about whether you are still discussing or whether you are ready to make decisive moves is critical to keep the process moving forward without missteps.&nbsp;</li>\n\n\n\n<li><strong>The Art of Failing.</strong> Understanding that taking risks and being willing to fail in order to ultimately achieve success is key for solopreneurs and partnerships. Quantifying your success rate on projects isn’t the ultimate indicator of how successful you truly are. Stumbling through a myriad of shortcomings while still pursuing success is powerful.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://elementor.com/\">Elementor</a></li>\n\n\n\n<li><a href=\"https://www.wpbeaverbuilder.com/?mm_campaign=brand&gclid=Cj0KCQjwtsCgBhDEARIsAE7RYh23X1L149jQi21SES3Z61y0aaY770GDRGkCSimg-hDgjtWb6JfA0xEaAqzDEALw_wcB\">Beaver Builder</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 5 Corey &amp; Cory Launch a WordPress Product Live</h2>\n\n\n\n<p>Cory Miller: [00:00:00] Ooh, cheers are good. . You talented, man.<br />Corey Maass: So yeah, session six. Okay. Impromptu time change, but life happens. And that&#8217;s part of the<br />journey of being a founder. Exactly.<br />Cory Miller: Let me push it to Twitter.<br />Corey Maass: Are we founders? Yeah.<br />Entrepreneurs, founders Starters,<br />for once. I&#8217;m not a solopreneur,<br />Cory Miller: you know, I talked to a lot of people over the years and, um, Like solopreneurs. And the one thing I<br />hear from a lot of &#8217;em, cause I had, I had partners from the beginning, they weren&#8217;t active. But is that, you know,<br />business as lonely as it is and um, [00:01:00] having somebody else to kind of walk with I think is pretty dang<br />awesome.<br />Yeah,<br />Corey Maass: I, I did it best when I worked in a co-working space with, Four other guys that I was friends with and<br />we had formed a little cohort and so regularly, you know, get out of, get out of the house, get to a, a focused place<br />of work. And then have people who you were on a journey with and knew their journey.<br />And so you could grab somebody and say, Hey, can we talk this through for a minute? And that went in all<br />directions. Like it just makes such a difference. Yeah,<br />Cory Miller: it, it really does. Um, I had Matt Daner and I themes, um, On the team. And of course my Lindsay<br />was, um, in and around the team in different ways. Um, and it was just then I have my business group, which I told<br />you I&#8217;m meeting with this afternoon, [00:02:00] I&#8217;ve walked with for 11 years, and I tell you, wow, it&#8217;s such a tough<br />job.<br />You know, where you&#8217;re trying to, like we&#8217;re doing here. Where if it wasn&#8217;t with you, I&#8217;d be sitting here going, okay,<br />what segments are we gonna try to hit? You know, and. And the highs and lows. You know, there&#8217;s things that you<br />celebrate as an entrepreneur that you not, maybe not necessarily celebrate with your team.<br />And just having another group, or a sidekick or a partner or whatever that is, I think is pretty dang healthy for me<br />Corey Maass: at least. Yeah. And yeah, it&#8217;s, it&#8217;s a step better than rubber ducking it also, I find, Because it&#8217;s like,<br />you know, I don&#8217;t, I don&#8217;t always immediately respond to you, and you don&#8217;t always immediately respond to me.<br />But I have a, a real human being to say things at, even if it&#8217;s not to talk about it with, and, you know, when you see<br />the message in the afternoon and, and [00:03:00] celebrate it with me, that I fixed a bug or whatever it is like that.<br />Makes a difference and you ping me out of, you know, whenever you kind of, whenever you need to.<br />Like, that&#8217;s such a difference cuz like, who did I, oh, for a different product. I was having issues with, not issues at<br />all with, um, EDD I was trying to hack the hell out of EDD , let&#8217;s be honest. Um, to make it do things that it has no<br />right doing. Because it&#8217;s the better product. I&#8217;d rather use the core and slap my janky ass code on top of it.<br />Anyway, there&#8217;s my little EDDendorsement. Um, but I know one of the head programmers over there and was like,<br />I would love to have him look at this. And he and I were in a. Co-working group years ago. And so I have a little bit<br />of connection with him, you know, but haven&#8217;t talked to him in a year or two.<br />And so I had to hesitate and I hemmed and hod and was like, let me, let me refactor this five [00:04:00] times<br />before I send it over to him because I don&#8217;t wanna waste his time. I&#8217;m using up a favor. I guess that&#8217;s my long way<br />of saying that I&#8217;m using up a favor. And uh, and if you have somebody. You&#8217;ve lost count of favors or you have a<br />partner, then you don&#8217;t have to hesitate.<br />And honestly, that, that lack of hesitation is huge. I hadn&#8217;t really thought about it like that, but it&#8217;s just that what a<br />waste of time. I mean, it was great that it made me refactor my code because, you know, that&#8217;s never a bad thing.<br />But, uh, have to think that hard about just asking a question rather than just asking a question.<br />Maybe that&#8217;s why we all like chat, GPT or something.<br />Cory Miller: Yeah. You&#8217;re not alone, . No, I, I think that&#8217;s, uh, when I left eye themes, I wanted to do coaching and<br />had some clients my first year before I started with post status and, um, I said, you know, the hardest for me was<br />when I was [00:05:00] in trying to make these big decisions and, and even the little ones, and just having<br />someone.<br />I could bounce things off of. So that, that&#8217;s one of the reasons I did coaching. One of the reasons I talked about my<br />group as much like I left, came back, they were gracious enough to, to let me come back. And, um, these were the<br />several of the guys that were in Phoenix with me and, um, In fact, that&#8217;s who&#8217;s funeral, uh, dad&#8217;s funeral.<br />One of the guys that went with us is where I&#8217;m going today. Mm. Uh, while we couldn&#8217;t meet at a normal time, but,<br />you know, just kind of doing life together, but then having someone just to bounce stuff off of, like, I feel like you&#8217;re<br />very open and we&#8217;re having this conversation where it&#8217;s, it feels like, you know, the whole improv plus one, it&#8217;s like<br />we&#8217;re keeping, we&#8217;re, I think we&#8217;re trying to keep each other kind of.<br />on the trail here, but you know, you&#8217;d let me veer off and like discuss it. Let&#8217;s take a sidebar side trail. Yeah.<br />[00:06:00] And come back, . And that&#8217;s part of my process though, and I really deeply respect that and appreciate<br />it for you. Um, but just having somebody that understands that you can bounce stuff off, it&#8217;s pretty, pretty critical.<br />Corey Maass: Yeah. Well, I, I&#8217;m a big proponent of, uh, discussion, not decision, which I. Once I learned that I, I&#8217;m<br />a, I&#8217;m a big rule person, so like I applied that rule to most conversations and try to make sure that it&#8217;s clear to<br />everybody else. Um, but also I think more often it&#8217;s the. Being vocal about when you&#8217;re switching to decision.<br />So it&#8217;s like, okay, you know, we are still discussing, we are still discussing. Now we are deciding because as you&#8217;ve<br />seen, I&#8217;m prone to go, oh, that sounded cool, and then I just go off and, and do it rather than, you know, is that the<br />best use of my time, is at the highest priority, all [00:07:00] those kinds of things.</p>\n\n\n\n<p>So try to impose that upon myself a lot of the time too of like, is. You know, because I&#8217;m also, I&#8217;m the type of<br />extrovert who needs to talk out loud. And so there tends to be a lot of discussion. Um, you know, oh, hold on, I got<br />a barking dog. Come on.<br />Cory Miller: I think that&#8217;s good, especially in the beginning, in the start, you know, um, is making, you know, the<br />whole woodworking thing is measured twice, cut once kind of thing. Not to say to get into overthinking or<br />overanalyzing, but we&#8217;re, we&#8217;re figuring it out, you know? Right. Uh, together. And I think that&#8217;s been pretty critical<br />and really, like last week was huge breakthrough for me.<br />It&#8217;s. Seeing, okay, here&#8217;s v1, or here&#8217;s the free version, I should say, what we&#8217;re gonna do there, and then there&#8217;s<br />all this, we can kind of chase and see what&#8217;s there for [00:08:00] the pro side.<br />Corey Maass: Yep. Yep. One more, one more comment on partnerships too is I think I&#8217;ve talked about like I&#8217;ve,<br />I&#8217;ve looked for people to work with for years and one of those.<br />one of the outstanding questions is always that I&#8217;ve, that I&#8217;ve heard from other people that I&#8217;ve worried about too, is<br />the, like, how do you, how do you quantify compatibility? Right? And it&#8217;s like, I couldn&#8217;t, I think I&#8217;m, I&#8217;m bringing this<br />up rhetorically, like, it&#8217;s not a question necessarily unless you have something, unless you have an answer.<br />But it&#8217;s like, You, you and I sort of talked about it a little bit and then said, okay, let&#8217;s work on this together, and I<br />didn&#8217;t hesitate and, and of course then I&#8217;m like, you know, then we have amazing con like we&#8217;ve had amazing<br />conversations. . And I think that it helps that we both have [00:09:00] been aware of each other for a while and so<br />have some sense of how we operate.<br />And I think I&#8217;ve also, I&#8217;ve heard you speak in public, you&#8217;ve heard me speak in public, so I, I had a sense of you,<br />and I&#8217;m being presumptuous, but I imagine you had some sense of me. Um, but it&#8217;s, it&#8217;s definitely one of those,<br />What does this look like in a year? And if we end up with, you know, an I themes or a, you know, something,<br />something, Of of decent size.<br />You know how, how do you know that that person that you casually said, oh yeah, we should work on this little<br />plugin together with ends up being the person that you partner with. And that&#8217;s, it&#8217;s crazy cuz there&#8217;s so much<br />around pairing people and, you know, meeting co-founders and stuff like that, and, Yeah, I don&#8217;t know.<br />It&#8217;s ju it&#8217;s like I say, I think I&#8217;m bringing it up rhetorically from my perspective. It&#8217;s just, it&#8217;s a crapshoot. You just kind<br />of go with your gut .<br />Cory Miller: [00:10:00] Yeah, I, I totally agree. Um, you know, I, I&#8217;m trying to think how many times I&#8217;ve partnered<br />and it&#8217;s been quite a few, you know, uh, Brian, initially with post status, I had two partners.<br />They weren&#8217;t, weren&#8217;t active in the business. Um, at Ithe, I&#8217;ve had several. Um, partnerships last four years. Um,<br />and, uh, I, I almost think it&#8217;s like this product stuff, partner, partnerships and products are very similar in my<br />experience for me is that . I told Lindsay, I said, you know, when we started Ithe, it&#8217;s like people bought it and they<br />kept buying it and it was pretty, pretty simple, like a good looking theme.<br />You know, and this is 2008, and I did these things and put &#8217;em out there and things that I kind of wanted for myself,<br />but I didn&#8217;t think, like, I didn&#8217;t have a big inner monologue of like, should I do dropdown menu? Should I not?<br />Should I do? [00:11:00] I was just doing things I wanted to do, which spoke to like, I was obviously embedded in<br />our user group that were customers that eventually bought to us.<br />And I think that was first. But like I say, I compare it to baseball, like products and maybe even partnership and<br />people, it&#8217;s like, you know, classic growing up was Tony Gwen, San Diego Padres. He got on base all the time. If<br />you hit 300 in the majors, you&#8217;re, you&#8217;re in the Hall of Fame. If you have a career consistently with 300 in, you&#8217;re,<br />you&#8217;re in the Hall of Fame, even close to it, you&#8217;re probably in the Hall of Fame.<br />And, uh, when I left Ithe and tried to start some new projects, products, and businesses and partnerships, I was<br />like, oh yeah, I just know, I know how to do this, I can do this. And I was like, oh, you know, that means Tony struck<br />out three out of 10 means Tony struck out or got out seven times out of 10, but he&#8217;s in the Hall of Fame.<br />And I&#8217;m like, wow. That&#8217;s kind of like [00:12:00] entrepreneurship and products. And, and I&#8217;m gonna go even<br />further, uh, uh, partnerships, you know, like it&#8217;s, it&#8217;s not a high percentage of wins in my personal experience. , um,<br />from products like, I don&#8217;t know if you, if I told you this, we had 200 s skews that I think were not left 200 plus.<br />How many of those actually made money? Right? Like maybe it&#8217;s, that&#8217;s a little bit low, but like, you know, and uh,<br />then I&#8217;ve gotten crushed cuz things just don&#8217;t go as fast or as easy as I always want them to. And you&#8217;ve done a<br />number of products and I don&#8217;t know where you&#8217;re, you staying with partnerships, but, Just a lot of failure, a lot of<br />learn learning lessons.<br />Corey Maass: I, I learned, I was in New York, uh, I had just moved to New York after college and there was one<br />couple, so I was pursuing mo a music career, mostly, um, DJing, producing dance music, electronic music. And<br />there was one [00:13:00] married couple who threw a party and had started a label and. They were, uh, they were<br />bananas.<br />They were all over the place. They were, they&#8217;re still very eccentric people. I, I love them to death, but they are, uh,<br />sometimes out there. But I would follow them anywhere. And I, and I finally quantified it and I was like, because<br />they. 7% of what they say they&#8217;re gonna do. Everybody in New York City talks a great game.<br />Every bartender is a comedian. You know, every person you meet, working any kind of job is actually writing a<br />script or is in a band or whatever, which is awesome. But most people talk a really good game and don&#8217;t actually<br />do. What they say they&#8217;re gonna do. And so I think that for me, a lot of it is, is exactly what you talked about.<br />Like people don&#8217;t have to have success. Like I didn&#8217;t wanna work with you be necessarily because you had<br />success, [00:14:00] but because you&#8217;ve put yourself out there, you&#8217;ve clearly done a lot, you&#8217;ve tried a lot, and you<br />keep trying. And I think that that, like for me, that&#8217;s the gold standard. Like I try to live by that.<br />Like I put, I put a lot of products out there. Same thing have, how many of my products have actually like done<br />anything made little blips, you know? But you&#8217;ve gotta keep getting up to bat. I think this is the first baseball</p>\n\n\n\n<p>analogy I&#8217;ve ever made in my life. But you&#8217;ve gotta keep getting up to bat and eventually you&#8217;re gonna hit<br />something, presumably, you know, big or small.<br />And then you want to keep, you know, practice makes perfect kind.<br />Cory Miller: I tell you, the part of like, keep going on is the one I&#8217;ve really struggled with the last four years. Hmm.<br />Just keep going on. Um, and then last year with the burnout, um, and all that kind of stuff is just like, it&#8217;s, it&#8217;s tough<br />because, uh, it&#8217;s, it&#8217;s one thing if like this, nothing huge, significant, but not like life shattering.<br />Is dependent on [00:15:00] this. Um, but you know, when I left Ithe, I didn&#8217;t really have another business to just<br />kind of walk onto. Now Posttest came next, you know, the next year, and it wa and it was like really good timing for<br />me. Um, but now it&#8217;s, you know, it&#8217;s still a part-time gig for me. So like, It, it&#8217;s been tough cuz you just kind of have<br />these ideas to put &#8217;em out there.<br />And the theme I told people for how I&#8217;ve done business, at least my ithe chapter, is stumbling successfully. Like ,<br />keeping going, tripping but not falling flat on your face. You know, like, just kind of keep a low profile to the ground.<br />Cause you&#8217;re gonna keep stumbling. And, and you know, a lot of the products, for instance, were stumbled like,<br />and I&#8217;m not, I&#8217;m not saying it&#8217;s pure.<br />However, there was healthy blend of right time or a place, um, hard work, right. To get more luck. And then once<br />the first one was rolling, it was easier to add [00:16:00] new, you know, when you get that first hit, it&#8217;s easier to hit<br />to do others. But I still didn&#8217;t have even a like 50% success rate , you know?<br />Corey Maass: Yep. Well look at Google.<br />How many products have they shut down, you know? Yeah. So anyway, sorry. I wanna respect your time. So<br />we&#8217;ve got 10 minutes. I&#8217;ve, I&#8217;ve dragged this out much longer than I needed to. I did too. Um, um, so product, we<br />have version 0 0 2 is in the repo. Uh, the has come a long way. Uh, we have added, uh, a few bells and whistles.<br />I&#8217;ve cleaned up the UI a bit, and then a duplicate. Cropper is now in the media library. So if you go to media library,<br />there&#8217;s now an extra button that says Upload and Crop. Next to add new. I felt a little bad totally ripping out the<br />ADD new button, but we can decide to do that because there is now a [00:17:00] bypass.<br />So you, even if you open the cropper, And select an image. There&#8217;s a button that says, crop it. There&#8217;s a button<br />that says Just upload it so you can bypass the crop. Um, and then the other sort of sneaky thing that I, I added last<br />minute yesterday is if you go to media, add new, it technically opens the media library with the cropper open.<br />So we are totally hijacking media a new, so I mean, all these. Discussions, not decisions, but at this point we&#8217;ve<br />still got fewer than 10 users. And you and I are, are kind of, you know, we are a kitten with a ball. We&#8217;re bating it<br />around just kind of deciding, you know, where we wanna land with it.<br />Cory Miller: Um, it&#8217;s great. The new stuff that you pushed out, I think that&#8217;s awesome. Iterating on some things<br />that you feel like, hey, I, this is a small little check I can do that I think is so good for progress on the product.<br />[00:18:00] So I was looking at it on my personal site and then my test site and um, I&#8217;ll give you, I&#8217;ll give you notes,<br />uh, in chat too.<br />But when I tried to upload from the media library and I just installed the new plugin on my personal, lemme do this<br />real quick. It&#8217;s not showing the preview. Sorry. I should just be showing you.<br />It&#8217;s not showing that preview. And maybe I&#8217;ve got the wrong image or something like that, but, oh, huh. So we got<br />uploading crop<br />so it&#8217;s not preview in here, and then I just click square crop. Huh. So I don&#8217;t, I I, I&#8217;ve done it at least on two sites<br />and it&#8217;s done this, so I wanted to mention it. Ooh. But lemme just say, Thank you for that button iterating on those<br />buttons, these two, because I was testing your previous version [00:19:00] and with my, with images from my<br />phone, and one was like sideways and I was like, Hey, so oh yeah, you got that in like, I don&#8217;t<br />know, an hour after we test.<br />Corey Maass: Well, I, yeah, the, I mean this is, we are still riding the, the happiness that is the library we&#8217;re using.<br />Um, so there&#8217;s, there&#8217;s, they. Rotate. They also have, um, you can actually flip it horizontally and vertically, which is<br />an option, but I don&#8217;t think we need it. Um, I don&#8217;t, I don&#8217;t yet see the use case. Um, but rotate, I was like, I will add<br />it.<br />He must be onto something. And the fact that you pulled it from your phone and we&#8217;re like, oh, instead of rotating it<br />on my phone and then uploading it again, make creative tasks simpler, easier, fun. There you go. Like, you<br />shouldn&#8217;t have to think like, oh, I have to rotate it in one place before I upload it to another.<br />Um, but I will go fix that bug. So, um, the, to me, the outstanding [00:20:00] question is, um, we, I think we did<br />come to the conclusion last week that we want a settings page, which let. The creator of the site or the whoever is<br />controlling the site, which might be the same person who&#8217;s creating content, but to go into a settings page and say,<br />four featured images, we want 16, nine, and we want them to be 1600 pixels wide every single time.<br />Set it once, forget it, and then they go set their featured image right. When we are including that. Originally we&#8217;d<br />said that that was be, that would be a paid thing, but I. I kind of feel like the free version&#8217;s useless without it.<br />Cory Miller: Yeah, I do too. And I think we&#8217;re gonna get more momentum, um, with this, with that thing cuz we, like<br />we talked last week, really becomes a cool utility tool for a, a problem.<br />And so<br />Corey Maass: and, and is and is feature complete? Is product complete? [00:21:00] Yep.<br />Cory Miller: Yeah. So the savings page with the custom. Dimensions. That&#8217;s really our biggest thing left, is that<br />right?<br />Corey Maass: Uh, and, and we want to, there&#8217;s all the other holes, all the other places where you upload an<br />image. So to me, um, after media library, I think block is the next big one.<br />So I think we, I think we need, cuz I, I use the classic editor and I&#8217;m gonna look at. Adding our cropper to featured<br />image. You know, and, and classic editor plugin has, you know, millions of installs. So I, it&#8217;s, it there. I don&#8217;t think<br />there&#8217;s, to me, there&#8217;s not a clear majority one way or the other. Gutenberg block editor over classic editor.</p>\n\n\n\n<p>We need, we need the cropper in both. Um, but since we have [00:22:00] the beginning of the block, I think that<br />that&#8217;s, um, the way to go. And I, I, at some point I will look. Also applying it to the classic editor. Okay. But it&#8217;s, it&#8217;s<br />finding all of those primary places and there&#8217;s a lo as we&#8217;ve talked about, there&#8217;s a long, long tail.<br />Like eventually we will build a module for Elementor and, and Beaver Builder. Um, but we need to work, work for<br />vanilla WordPress first. Yeah.<br />Cory Miller: So that leaves me at really, and I&#8217;m with this with process too, is like, we need a lot, it seems like we<br />need a lot of users. Mm-hmm. to start getting more users in there, giving feedback, requesting features.<br />And this next one with the, uh, well the blocks will be big, but that&#8217;s another conversation. But like, I think the<br />custom dimensions, then we&#8217;re getting [00:23:00] something. I ped and ccd you in those. As you know, Robbie<br />from Beaver Builder, Kathy San from Cadence. Um, I need to look at generate press. Um, but then we bumped up<br />against like everybody be gone, being gone for Asia or Camp Asia.<br />Um, but yeah, are you going to any word camps? I&#8217;ll have it down for like a placeholder for Europe and then US is<br />standard for me for sure. You are gonna go, yeah, I was supposed to go to Phoenix, but yeah. What, what about<br />you? Do you have any plans.<br />Corey Maass: I was, uh, thinking about US . So if you&#8217;re gonna be there, then yeah, we need to meet up.<br />That&#8217;s in August, so. Okay. It gives us, um, let&#8217;s do plenty of time to, I think that&#8217;d be a blast. Yeah. We could do<br />this live. That&#8217;d be fun. Do it live.<br />Cory Miller: Let&#8217;s, uh, let&#8217;s plan. Yeah, let&#8217;s plan on that. I&#8217;d be, that&#8217;d be great if another opportunity comes up in<br />between. Um, I know work camps are getting started and [00:24:00] stuff, or, um, we&#8217;ve loosely been throwing<br />around some in-person stuff with.<br />Post, but I&#8217;ll let you know, uh, before we even announce that and see if you&#8217;re able to, to get to it too. Um, nothing,<br />sorry.<br />Corey Maass: Yeah. Um, I derailed us. So you were talking about getting users. Um, do we, to me, I&#8217;m starting<br />more and more, I&#8217;m getting anxious that we don&#8217;t have a website. Okay. Which, I mean, we.<br />crop.express the website that is currently just the cropper, um, but to, with no mention of the plugin. And so I&#8217;d love<br />for you to start thinking about what that looks like,<br />even if it&#8217;s a little banner that then links to a landing. You know, we could have crop.express/wordpress plugin and<br />have a landing page temporarily, but [00:25:00] just cuz it&#8217;s even like I&#8217;m now. I&#8217;m linking people to the plugin in the<br />repo, but I feel like we wanna start expanding the use case, expanding what we&#8217;re talking about, you know, to a<br />website.<br />Cory Miller: Um, yes, absolutely. I think we&#8217;re there<br />Corey Maass: in the coming weeks. It doesn&#8217;t need to be tomorrow. Yeah,<br />Cory Miller: I was thinking about. Um, from the brand we talked about last week too. Mm-hmm. , it&#8217;s like, do we<br />just go ahead and make the keep, keep crop.express like it is? Hmm. Probably link to it, but then at some point<br />we&#8217;ll probably want to change an update plugin to go what our new brand is.<br />And that made me think about, my mind went to. Some discussion that could be recorded like this for users, not<br />about our product [00:26:00] necessarily, or this detailed stuff, but you know, hey, here&#8217;s some sources we can,<br />where you can go find all, you know, all these images. Um, some of those mar more messaging, marketing<br />content, thoughts we had last week.<br />I was like, you know, that might be, um, pretty good. It&#8217;s like having that site. Maybe scheduling, you know, some,<br />like, we outline it loosely and just talk through and then we can take that, you know, put it on our YouTube channel,<br />all that kinda stuff. And then, um, maybe see if we turn that into like our lead magnet or something like that to start<br />building emails.<br />That&#8217;s where my head goes initially, but I&#8217;ve. We&#8217;ve got two things on my list, outreach and website. Um, right now,<br />at least until you tell me otherwise. Um,<br />Corey Maass: well, and, and the other thing that Kathy brought up that I thought was valuable was to aid in your<br />discussions. [00:27:00] She&#8217;s like, oh, what does it do? And we&#8217;re, and you were like, here&#8217;s the plugin.<br />And she&#8217;s like, Oh, thanks. Now I have to go find a WordPress install, install it on this WordPress install. And then<br />because it&#8217;s essentially a a beta, we have no guidance. We have no user docs, we have no anything. And so she&#8217;s<br />like s Now if she even gets that far, she&#8217;s like splashing around trying to figure out what the hell it does and how<br />so?<br />Um, I kind of feel like we are getting close to, like, I could do a. QuickTime, screen capture of here&#8217;s how you re<br />crop your featured image. 1, 2, 3. Mm-hmm. , here&#8217;s how you crop an image going into media library, you know,<br />and put them on YouTube or you know, even just to have them in our back pocket. One for any potential users, we<br />can link to those.<br />If they&#8217;re on YouTube, we can put those in our readme, which goes on the, you know, So it&#8217;s Crop Express in 30<br />seconds, a video in [00:28:00] that, in the Read Me Doc in the, in the repo. Um, and it gives you something to link<br />to when you&#8217;re having dis discussions because rather than you having to do a demo or people trying to figure it<br />out, you know, here&#8217;s, here&#8217;s a quick 32nd video, then let&#8217;s have a conversation.<br />Yeah. So it seems like if you agree that I feel like that should go on my list. Oh,<br />Cory Miller: if you&#8217;re good to put on your list, absolutely. Yeah, I<br />Corey Maass: can bang through those pretty<br />Cory Miller: quick. And that lends back to website is like having something where people can see it. Mm-hmm. .<br />Um, yeah, I&#8217;ll, okay, I&#8217;ll do some thinking on that.<br />Corey Maass: Yeah. Again, I feel like we&#8217;re, right now these are discussions, not decisions, but good ideas, so,<br />Yeah. Uh, ruminate on them a little bit today, and then, you know, this week or next, let&#8217;s make some decisions.</p>\n\n\n\n<p>Okay? [00:29:00] All right. And I&#8217;ll continue. No matter what, there&#8217;s this. You know, as a developer, you&#8217;re like<br />building product and it&#8217;s, and it&#8217;s a straight line.<br />It&#8217;s a rocket ship going up, but it&#8217;s inevitable to do everything else. There&#8217;s, there&#8217;s the, the triangle. So as the<br />triangle goes up, it gets wider and wider. and wider. I&#8217;m just seeing it. It&#8217;s like I can just keep adding features. I can<br />just keep making the product better, but nobody&#8217;s gonna know about it.<br />Nobody gives a shit. There&#8217;s no, you know, but it&#8217;s like, Ever so slightly the more features then it&#8217;s like the more<br />you want a website, the more you want docs, the more you want, uh, feedback. The more you want assets, the<br />more you want swag, the more you want, you know, and it just keeps getting broader as, as much as it gets taller.<br />It feels like that<br />Cory Miller: It does, it def definitely blends over time. Um, okay, so I&#8217;ve got outreach and website to continue the<br />outreach outreach. Um, [00:30:00] I think Kathy, I think Robbie, when he&#8217;s back, um, I need to reach out to the<br />Elementor team.<br />Corey Maass: Do you have, um, like the starting in the conversation seemed good. Do you have a plan for<br />specific questions that we&#8217;re trying to get answered?<br />Um, or do you wanna leave it broad?<br />Cory Miller: What I intend to get to them with that is like getting to the heart of what are the things that annoyed<br />the team, building the themes. Mm-hmm. , what are they hearing from customers? Um, and, or even, even seeing<br />like they see sight and like the images just blown out and stuff.<br />And I, I want to keep those conversations open enough where they can tell us something I might surprise us that<br />goes in a particular direction.<br />So, and I think Rob Robbie&#8217;s very open to that. He just is out this week. So yeah, [00:31:00] sure. I&#8217;m really eager<br />to hear what he says. And that&#8217;ll be our first integration or, you know, potential integration for us thinking through<br />that. Um, so that&#8217;s kind of my intention. And then, uh, same thing with, um, any other theme framework from<br />Element towards generate press<br />sounds. But open. Do you have any thoughts or anybody else we should talk to? But you know, and then, well, the<br />story I&#8217;ll share too is like, here&#8217;s what free is gonna be, you know, and then to start to share the story to lead to this.<br />This could be a great tool for y&#8217;all to recommend to your communities kind of thing.<br />So I&#8217;ll, once I get some of those, I&#8217;ll drill down into, okay, cadence. What are the ratios, what are the things that we<br />could build into free to be, you know, that utility tool?<br />Corey Maass: Yeah, for sure. [00:32:00] So that, that&#8217;s kind of my plan there is just kind of digging in and seeing<br />what we hear. Trying to get to that true marrow of it.<br />Like how are people using it? What are you seeing? And hopefully be surprised. Love.<br />Um, and I&#8217;ll, I&#8217;ll do some thought too on the website. I know that&#8217;s been something we&#8217;ve been talking about,<br />um, but I like what you just said, like that solves the problem. If we switch to a branded site that talks ab, that&#8217;s, or<br />a company site that lets us be open up to anything, crop Express can stay the same.<br />Start to talk about the plugin and link back to what ultimately would be the shopping cart or the mm-hmm. , you<br />know, the main marketing site around it. But let crop.express as a website, be a lead magnet, a U [00:33:00] utility<br />site that is a lead magnet for the WordPress plugin. And for anything else, we end up spitting up.<br />Mm-hmm.<br />Cory Miller: Yeah. And then you&#8217;ve got a great free tool out there, so. Right. I do think, like you said, the banner<br />to, do you want the WordPress version, you know, you want this in WordPress and link over to the thing will be<br />helpful as we kind of grow for people to Yep. See the vision. Okay. All right. Anything else you had?<br />Corey Maass: No, I, I just, we&#8217;ve been, I like, I think I talked to you before. I, I&#8217;ve been watching Silicon Valley, so<br />I&#8217;m, I&#8217;m feeling like we need to scale up. We need to get some, um, venture capital. I need at least three more<br />developers under me.<br />Cory Miller: Um, I gotta get back and<br />Corey Maass: watch that. Move all of our operations out to Silicon Valley.<br />Of course. Hey, I&#8217;m in San Francisco in three weeks I&#8217;ll do our first raise. Um, I&#8217;ll talk to some angels out<br />Cory Miller: there. There you go. . When that came out, I, [00:34:00] I actually happened to have at the time a<br />little community car. It was a Ford Escape. Yellow, just like, uh, ,<br />Corey Maass: Avi Avik,<br />Cory Miller: ak a classic.<br />Corey Maass: All right, man. Well, good luck today.<br />Okay. It&#8217;ll be a long day. Hope you&#8217;ll be all right. Yeah. And, uh, I&#8217;ll<br />Cory Miller: appreciate that.<br />Corey Maass: Um, yeah, I&#8217;ll keep you posted.<br />Cory Miller: Okay, sounds good. And I&#8217;ll get these webinars back on the, reschedule them and put &#8217;em on our<br />calendars. Okay. So, sounds<br />Corey Maass: good. All right. Thanks. Thanks, Steve.<br />Cory Miller: Bye.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 21:13:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: WooCommerce 7.5.0 Introduces 3 New Blocks, Expands Support for Global Styles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/woocommerce-7-5-0-introduces-3-new-blocks-expands-support-for-global-styles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2193:\"<p><a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5.0</a> was released this week with three new blocks for the Product Archive templates. These include a new Store Breadcrumb block, Product Results Count block, and a Catalog Sorting block, all seen in action below.</p>\n\n\n\n<img />image credit: <a href=\"https://developer.woocommerce.com/2023/03/14/woocommerce-7-5-released/\">WooCommerce 7.5.0 Release Post</a>\n\n\n\n<p>These blocks were released as part of an effort to <a href=\"https://github.com/woocommerce/woocommerce-blocks/issues/8059\">&#8220;blockify&#8221; Product Archive templates</a> so that they can more easily be customized with a block experience.</p>\n\n\n\n<p>&#8220;We also want to account for the extensibility within this project by researching the mechanism for extensions to extend the templates and implementing a compatibility layer to keep as many extensions as possible working with blockified templates while giving time for extension developers to update and blockify their extensions,&#8221; WooCommerce engineer Tung Du said.</p>\n\n\n\n<p>This project also includes support for <a href=\"https://github.com/woocommerce/woocommerce-blocks/issues/8062\">a Notices block</a> so merchants can display store notices to customers as well as determine where they appear.</p>\n\n\n\n<p>WooCommerce 7.5.0 has expanded support for Global Styles, so that the Product Button, Product Rating, and Product Price blocks can now be customized more easily in the Site Editor. The Product Rating block now supports padding controls in Global Styles so that store owners can add more spacing around the blocks.</p>\n\n\n\n<p>This release also brings in expanded support for the Style Book, which has been available since the WooCommerce Blocks 9.5.0 release. The Featured Product and Featured Category blocks can now be previewed in the Style Book and have Global Style changes applied.</p>\n\n\n\n<p>WooCommerce 7.5.0 includes two database updates, 278 commits to WooCommerce Core, and rolls in 170 commits from the WooCommerce Blocks plugin.</p>\n\n\n\n<p><a href=\"https://woocommerce.files.wordpress.com/2023/02/screenshot-2023-02-02-at-12.11.33.png\"></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 19:49:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"WPTavern: #67 – Talisha Lewallen on How CertifyWP Is Hoping To Offer WordPress Certification\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142702\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://wptavern.com/podcast/67-talisha-lewallen-on-how-certifywp-is-hoping-to-offer-wordpress-certification\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:48696:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, what a WordPress certification might look like.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast, player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you all your ideas featured on the show.</p>\n\n\n\n<p>Head to WPTavern.com forward slash contact forward slash jukebox, and you use the form there.</p>\n\n\n\n<p>So on the podcast today we have Talisha Lewallen.</p>\n\n\n\n<p>You might have found your way into WordPress intentionally, or perhaps you stumbled across it and decided to explore further. Whichever it was, you&#8217;ve learned things along the way. Some of it might have been through training, but there&#8217;s likely been some self discovery on the way as well.</p>\n\n\n\n<p>Perhaps you&#8217;re a coder, or a designer. In fact, there are dozens of different pathways in the WordPress ecosystem. Given the broad range of knowledge you might possess, how can you prove that you know what you know?</p>\n\n\n\n<p>Many industries provide training programs which, when completed successfully, allow you to assert that you were competent in a given area. You&#8217;d want your lawyer or surgeon to have passed through the appropriate programs of study, so that they&#8217;re equipped to do the work.</p>\n\n\n\n<p>With WordPress being such a dominant force in the world of websites. Would it be a good idea to have a certification for WordPress? Talisha certainly thinks so, and has founded CertifyWP to try to make that happen.</p>\n\n\n\n<p>We approach this subject through the work that she&#8217;s been doing at WPConnects, in which she&#8217;s been trying to provide training to military veterans, so that on the departure from the services they have the prospect of finding work in the WordPress space.</p>\n\n\n\n<p>We talk about whether there&#8217;s a need for certification for WordPress and how such a certification would come about. What levels of training does Talisha see as essential, and how many such layers might there be?</p>\n\n\n\n<p>We discuss whether the WordPress community is ready for a third party to be certifying people&#8217;s abilities, and whether this strays away from the approach that we&#8217;ve had so far in which routes into employment have relied on other, less formal, methods.</p>\n\n\n\n<p>Later in the podcast, we talk about the structure of CertifyWP, and who&#8217;s behind the project. You&#8217;ll hear that it&#8217;s not just Talisha. There&#8217;s quite a few members of the WordPress community who want this project to succeed.</p>\n\n\n\n<p>If you&#8217;re curious about certifications in the WordPress space, this podcast is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Talisha Lewallen.</p>\n\n\n\n<p>I am joined on the podcast today by Talisha Lewallen, Hello Talisha.</p>\n\n\n\n<p>[00:04:00] Talisha Lewallen: Hi Nathan.</p>\n\n\n\n<p>[00:04:02] Nathan Wrigley: Very nice to meet with you. You&#8217;re welcome on the podcast. Thank you for joining us. Would you mind just introducing yourself and give us some indication of what you do, perhaps who you work for, and how come you are in any way connected with WordPress?</p>\n\n\n\n<p>[00:04:18] Talisha Lewallen: Yes. I am Talisha Lewallen. And I am the owner of WPConnects, which is a company that helps US military veterans or really any veterans, but helps them receive training while they&#8217;re active duty, and then when they&#8217;re separating from the military we provide them with mentors and help them find employment within WordPress.</p>\n\n\n\n<p>And then I&#8217;ve also started this new venture with some very amazing people within the WordPress community called CertifyWP Foundation. And that is where we are creating a couple of WordPress credentials.</p>\n\n\n\n<p>[00:04:51] Nathan Wrigley: So we&#8217;re going to talk about both of those endeavors today, but I think probably the correct road into both of those subjects is if we begin with WPConnects. Now, you mentioned that this is a company that you are the founder of. It&#8217;s got a mission, it&#8217;s connected with the military, but in broad outline really, it&#8217;s a, it&#8217;s an endeavor to connect people who are looking for work and are in need of guidance. Do you just want to tell us how all this started and what really the bedrock, the core philosophy is, and who you are helping and how you are helping?</p>\n\n\n\n<p>[00:05:26] Talisha Lewallen: Yeah. So I worked at Post Status for a little while, and while we were over there, we kept hearing a lot of people state that they really needed some trained WordPress developers and employees. And so that really got us thinking, you know, it&#8217;s one of those twist of fate things, that we ran into a gentleman named Hector who has a similar company to WPConnects.</p>\n\n\n\n<p>And he&#8217;s definitely been a very big mentor to me. So when service members go in and sign up to join the military, a lot of times they&#8217;ve never had an interview, they&#8217;ve never had job experience, they&#8217;re literally just starting their career. Well, when they get out there are transferable skills, but not a lot employers are looking for, if that makes sense. So we want to provide them with, it&#8217;s called transitioning assistance. And we want to provide them with that training and so it helps them transition into the civilian sector a lot easier. There&#8217;s different skills that, you know, we do over here. And then we&#8217;re training them for WordPress front end and backend development.</p>\n\n\n\n<p>And if they wanted to do anything else in WordPress. You know, it&#8217;s really expanding past just developer careers. And so we&#8217;re just really helping them find the right connections, along with mentors who have been where they&#8217;ve been and can help them transition and really just know that experience.</p>\n\n\n\n<p>And so it really just comes from a place of, I have several members in my family that were in the military, and seeing them transition out of the military was kind of hard. I took the general route over here and I went to high school, college and then started my professional career and seeing my family members and friends join the military, and then when they get out and they had these amazing jobs in the military. They had all of this training and then they get out and they can&#8217;t even get a job.</p>\n\n\n\n<p>I heard one of my friends tell me the story of a gentleman who was a military police officer and couldn&#8217;t get a job as a police officer here in the States. And it&#8217;s because he didn&#8217;t have, in that town, you had to have an associate&#8217;s degree. So he didn&#8217;t have the training to become a police officer when that&#8217;s all he did for 10 years in the military, was be a police officer.</p>\n\n\n\n<p>And so it&#8217;s very interesting to see the skills that they have and the jobs that these men and women have had, and then transferring it into civilian life. It&#8217;s just not, or hasn&#8217;t been there. They&#8217;ve just been struggling to find these employment. And so we&#8217;re really just reaching out a hand and saying, let us help you and let us get you introduced to these amazing people inside of WordPress. WordPress has the best community that I have ever been a part of, and so it really just seems like a good fit for them.</p>\n\n\n\n<p>[00:08:04] Nathan Wrigley: Can I ask, do you give them a curriculum which they follow? In other words, have you mapped out, in the same way that a university may do, you know, you&#8217;d attend a university and you would fully expect that they would provide you with the course and they&#8217;re not just making it up on the fly? Or is it more working with them to try and figure out what they need? It might be a mixture of both. I don&#8217;t know.</p>\n\n\n\n<p>[00:08:25] Talisha Lewallen: Yeah, so how we do it, we have three pathways right now. And this is what makes WPConnects very unique, even within the military training field. So there&#8217;s a saying in the military that&#8217;s crawl, walk, run. So you&#8217;re not just going to get something and immediately start running. So our steps for crawl, walk, run are these three pathways.</p>\n\n\n\n<p>The first one is the credentialing assistance program. Active duty and reserve military personnel are able to take a credential and it is funded through the military, so it does not cost them a dime. And they&#8217;re able to take this training. So we currently have the web foundation associate credential. And this is also where CertifyWP comes in.</p>\n\n\n\n<p>So currently we&#8217;re using that WFA course. So once they complete that and they decide to transition out of the military. It could be the next month, whenever their service contract&#8217;s up. It can be two, three years later. Whenever they are transitioning out in the last 180 days of their service contract, they can join what&#8217;s called a Skill Bridge program.</p>\n\n\n\n<p>So we also have a WordPress Skill Bridge program. This program is an instructor-led 12 week course. And it&#8217;s all over the US. We do it over Zoom, and we&#8217;re looking at a few other platforms. But again, it&#8217;s that instructor is there. There is a curriculum, and they are learning how to, mostly that one is backend development, is what they&#8217;re learning currently.</p>\n\n\n\n<p>And then whenever they finish that, we just opened up an apprenticeship program in Texas. And we&#8217;re about to open one in Oklahoma. And so it&#8217;s just this three step process. The apprenticeship program, they have certain skills that they will acquire throughout the year long apprenticeship program. And then they are 100% ready to be employed and be able to do any job that they&#8217;re really wanting to do, because we will give them that individualized skill.</p>\n\n\n\n<p>And through all of that, they have a mentor that they can reach out to, and the mentors reach out to them and just help them with anything they&#8217;re struggling with or have questions about. There&#8217;s different terminology that we use in civilian life than they&#8217;ve used in the military. And so really that person&#8217;s just to be there, to just have a helping hand.</p>\n\n\n\n<p>But yeah, it&#8217;s a little bit of both. We have a pathway, we have curriculum. And we do change our curriculum. We get feedback from other people within WordPress. Nikki with Liquid Web has been the biggest help for our Skill Bridge program. She comes through and interviews and mock interviews just about every person we have in our programs and helps give us feedback so we can help them gain those interview skills. We have them write a resume and then I go through and help them work on their resume, so then they have that resume whenever they get out as well.</p>\n\n\n\n<p>[00:10:59] Nathan Wrigley: I guess if you are in a different industry, there may already have been for a great deal of time, there may have been institutions or pathways like this already set up. You mentioned the example there of the police and that pathway not really working out. But presumably there are other ways that people leaving the military can go and there&#8217;s things that are already concrete. Institutions that they can join. Companies that they can join. Programs that they can go through. But not in the WordPress space.</p>\n\n\n\n<p>And given WordPress&#8217; 43, and counting, percent share of the internet, it&#8217;s a really credible career to go in, but it&#8217;s a difficult thing to, I would imagine, to even understand. If you&#8217;ve never touched the internet before, apart from being a user and a consumer of the web, you may have no skills or whatsoever.</p>\n\n\n\n<p>So I&#8217;m guessing it&#8217;s bridging that gap. Trying to persuade people that actually there&#8217;s a job in here. It&#8217;s an in demand job. Can be well paid and a good career path, and there&#8217;s a nice community behind it all as well.</p>\n\n\n\n<p>[00:11:57] Talisha Lewallen: Right. And you know, we have some people that are literally, I&#8217;ve never touched a computer before. But we also have people that come through the program that have been a part of the satellite operations within the military, or have done tech in the military. But getting that pathway to employment is what they really need. And learning WordPress. There&#8217;s a lot that goes into WordPress that we want our individuals to learn and that will help them grow within whatever job they decide to do. But yeah, so we have two opposite ends of the spectrum usually. We have the ones that have a ton of tech experience, or the ones that have no tech experience.</p>\n\n\n\n<p>[00:12:33] Nathan Wrigley: So that was a really nice introduction into the why really, for the next bit of the podcast, which I think will consume the rest of the show. So we&#8217;re going to talk now, instead of talking about WPConnects, we&#8217;re going to talk about credentialing in the WordPress space. And maybe I&#8217;ll begin this way.</p>\n\n\n\n<p>If I were to attend a university that everybody&#8217;s heard of, let&#8217;s say I&#8217;ve been to, I don&#8217;t know, Harvard or Cambridge or somewhere like that. That credential that you hold, it&#8217;s a real passport. Everybody understands what that means, and you present it to employers and they get, okay. Right, you&#8217;ve been to a university, we know what that university is about. We understand that it&#8217;s been around for a while and, that&#8217;s a credible piece of paper that you are holding. But curiously, in the tech space, there are things like this, but specifically in the WordPress space, there&#8217;s nothing like this.</p>\n\n\n\n<p>There&#8217;s a great big hole there, isn&#8217;t there? So people who wish to be employed, going to an employer, you really are relying on testimonials, the CV, the reputation that you&#8217;ve got from your previous employer, and the letters that they may write on your behalf. But there&#8217;s no bit of paper that you can hold, going in cold, to say, I&#8217;ve done this. Look, there it is. It&#8217;s certifiable. This is what I&#8217;ve achieved.</p>\n\n\n\n<p>[00:13:51] Talisha Lewallen: Yes. And you know, that&#8217;s what we&#8217;re kind of finding out on both ways. Having a credential helps both employers and people looking for employment, especially within the WordPress space, without having that credential. There&#8217;s a lot of people that I would say could very well do certain jobs. But because there&#8217;s not that level of credentialing and there&#8217;s not that standard education.</p>\n\n\n\n<p>What does a WordPress developer mean? What can you do if you say you&#8217;re a WordPress developer? And that&#8217;s what a lot of companies are running into. So it really is almost word of mouth. Sometimes I feel like I should say that it&#8217;s almost word of mouth for you to get hired, because somebody&#8217;s worked with you and knows your level of skill. If you&#8217;re new to the WordPress space, it could possibly be harder to find a job because nobody knows who you are, your work ethic and what your skillset is.</p>\n\n\n\n<p>[00:14:39] Nathan Wrigley: Yeah. So that&#8217;s the premise behind all of this. So I guess I should ask at the beginning, what level are you going in at? Because really in the WordPress space, we could probably come up with 50 curricular that people could follow, probably more. We could have things on the hosting side, speed optimization, SEO, backend WordPress. The sky&#8217;s the limit, but I&#8217;m presuming. That in the scenario that you are dealing with, mainly it&#8217;s getting started?</p>\n\n\n\n<p>[00:15:08] Talisha Lewallen: You know, that&#8217;s the interesting thing. So we, so we have the advisory board. I should say, whenever I first decided this is something I want to do, I really want to make this credential. I reached out to several people, because I kept hearing nos and yeses, and so we put together a team of an advisory board and we had this conversation.</p>\n\n\n\n<p>Because originally I was thinking about one credential, that would have three tiers. So now we&#8217;ve decided on two. We&#8217;re going to have a front end developer credential and the backend developer credential. So each one will have three tiers. So it starts at base level of here&#8217;s how I download a WordPress. This is how I can add admins. This is how I do, you know, very, very basic.</p>\n\n\n\n<p>Then there&#8217;s the next level, and then there&#8217;s the expert level. So to obtain the credential, you must pass, it&#8217;s either one cumulative exam, or you could take it with each course. So you take that exam that has all three tiers of those, and that&#8217;s how you obtain that credential.</p>\n\n\n\n<p>And that&#8217;ll be on the backend credential too. It&#8217;ll have that three tiers again, crawl, walk, run. We&#8217;re not going to expect you to be able to do it if you&#8217;ve never been taught the why behind it. So with that being said, one conversation that I had with a gentleman was, well, you know, it almost turned into some people can take tests, but some people can&#8217;t. That doesn&#8217;t mean that they&#8217;re able to do the job. And I said exactly, and that&#8217;s where we are trying to find a way. It&#8217;s still, still alluding me a little bit, but we are trying to find a way to have a practical part to the exam, in the top two tiers.</p>\n\n\n\n<p>The first tier exam probably will just be question and answer type exam. But in that expert level, I want there to be a practical part of it. To have people show that, yes, I did learn how to master this skill. And yes, I can do this. And so I think that that&#8217;ll help. Also with the credential and why it&#8217;s, I think, beneficial to WordPress is, you know, WordPress changes sometimes.</p>\n\n\n\n<p>We have big changes, we have small changes. So there&#8217;s a certification that you can take. And that can just be a course. Anybody can come up with a course. I could just go to my back room and be like, this is what I think somebody should know for WordPress and create this certification.</p>\n\n\n\n<p>And then I never have to re-certify. I never have to go back in and show that my knowledge has not waned, or that I do still know what I&#8217;m doing, and still have that level, just standard level of education. With a credential, there is an advisory board and a board of directors and you have to re-certify every three years, to show that you are still maintaining that knowledge. So it&#8217;s not 10 years down the road, oh look, I took this and I&#8217;m still here. You&#8217;re able to show that you still maintain that level of credentialing.</p>\n\n\n\n<p>[00:17:53] Nathan Wrigley: That&#8217;s an industry practice that I&#8217;ve seen before, especially in things like networking. And I mean networking in the sense of cables and connecting routers. The organizations often behind that will require you to come back after a given period of time and re-certify yourself. Just because otherwise that credential kind of loses all meaning, because the technology itself has moved on so far in the three, four however many years. That if you claim to know from 10 years ago what&#8217;s required to be known today, there could be a complete mismatch. Okay, that&#8217;s really interesting to know.</p>\n\n\n\n<p>[00:18:25] Talisha Lewallen: There&#8217;s been a lot of thought that went into this credentialing. Along with having, you know, just what I would consider WordPress experts that are being there and really talking about what they feel somebody should know in the WordPress for each level of the credentialing.</p>\n\n\n\n<p>But, let&#8217;s see. I think JavaScript has a credential that you have to re-certify. If you&#8217;re a nurse, here in the US you have to re-certify your knowledge. Car mechanics. You know, so there&#8217;s a lot of credentialing out there in every industry that does have that continuing education piece. Just because things do change, the world changes so much, and it&#8217;s very beneficial.</p>\n\n\n\n<p>[00:18:58] Nathan Wrigley: So given that you are hoping to find people who wish to take these credentials. Is it open to anybody? We know that your background was connecting with people leaving the military. Is the intention of CertifyWP, and of course I should have mentioned the URL. The URL that you&#8217;ll go to, which of course I&#8217;ll put in the the show notes is certifywp.com, as you&#8217;d imagine, it&#8217;s all spelled in the typical way. No, no underscores or anything like that. Is the intention that these certifications will be open to everybody? Or is there a subset of people? What&#8217;s the audience for this?</p>\n\n\n\n<p>[00:19:37] Talisha Lewallen: So the audience for the credential is everybody. CertifywP is for anybody and everybody to take. Our hope would be that companies start looking at their credential and stating that, yes, I want to hire people that have this credential because we know they have this baseline education. So it is open to every single person.</p>\n\n\n\n<p>The baseline, the level one certifications I hope to get into some smaller communities. I live here in Oklahoma and so there&#8217;s a lot of Indian capital technology centers and stuff like that, that I would really like them to start taking these credentials and really trying to help the minority groups get more into WordPress as well.</p>\n\n\n\n<p>But one thing that has confused a lot of people, and I have to say that this is definitely my fault. I expect everybody to be on my brainwave sometimes. The mention of the DoD, the Department of Defense has thrown a lot of people off. And so they think that this is just a credential for the military and that is really the farthest from it.</p>\n\n\n\n<p>And I just have not fully been able to explain that to everybody. But the DoD approving the credential comes in for WPConnects, so that we can train our military. Instead of using that web foundation associate credential, we will use our WordPress credentialing to train them. So they will be trained from the bottom up in WordPress. So that&#8217;s where that has came in. But CertifyWP is open to everybody to take.</p>\n\n\n\n<p>[00:21:03] Nathan Wrigley: Okay, so just to clarify that. There was a hoop that you had to jump through in order to receive money from the government to train people from the military, but the training is ostensibly the same, but there&#8217;s that slightly strange mixed messaging there. Have I parsed that right?</p>\n\n\n\n<p>[00:21:20] Talisha Lewallen: Yes, yeah. And that&#8217;s all it is, is for our military members to be able to take the training where the government pays for it. They have educational grants and stipends in the Army and Air Force, especially here in the US that they don&#8217;t have to take those, they don&#8217;t have to pay for those credentialing. So for us, for them to be able to use those monies, our credential has to be approved through the DoD.</p>\n\n\n\n<p>[00:21:43] Nathan Wrigley: Speaking of money, that&#8217;s an interesting segue for a minute. Is the intention for this then to have a fee bound to it? In other words, if you want to take this credential and receive the training materials and the time of the tutors and all of that, that there&#8217;ll be a fee attached to it? And, if that&#8217;s the case, do you have plans to have scholarships and things like that? Is there any of that afoot even as an idea?</p>\n\n\n\n<p>[00:22:07] Talisha Lewallen: Yes. That&#8217;s, you know, partly why we actually turned CertifyWP into a nonprofit, is so that we can offer those scholarships. For the credential to be, I almost want to be, say accepted into definitely DoD standards. But if we ever get it accredited, either, there has to be certain qualifications that credentialing meets.</p>\n\n\n\n<p>So we&#8217;re trying to set up CertifyWP credentials to meet the qualifications for, one, the DoD, but also if we ever do decide to get it accredited. And one of them is that it has to meet the standard for financial costs. So, I think there&#8217;s even a PHP credential, but the other tech credentials out there, ours will have to match that price.</p>\n\n\n\n<p>But we are going to be able to scholarship people in. That is definitely our hope. Because again, we don&#8217;t want this to be a gatekeeping thing of you have to pay to play. Not everybody can do that. And so we definitely want to work with people and companies on just trying to get this credential out to the community and making it affordable for every person.</p>\n\n\n\n<p>And there are ways to do that. The board hasn&#8217;t fully decided on one and cost has not even been mentioned yet, just other than the fact that we have to have one and it has to meet an industry standard. But yes, definitely trying to find a way to cut costs down for just the regular person is something that we are looking at, because it can be, they can be quite expensive. And I know that that&#8217;s been a talk within, that I&#8217;ve seen in the Post Status Slack channels before. Whenever somebody moved CertifyWP into one of the channels, somebody was like, oh, here we go, gatekeeping. And oh, it&#8217;s going to cost so much and stuff like that.</p>\n\n\n\n<p>And it&#8217;s a very good concern and conversation to have. But our whole intention, and I don&#8217;t want to speak for everybody on the board or advisory board, but isn&#8217;t to keep it away from people. We want everybody to be able to take it. So we are finding ways to really scholarship and bring people in.</p>\n\n\n\n<p>[00:24:01] Nathan Wrigley: So we&#8217;ve talked about the audience, well, one of the audiences or one of the, one of the spokes of the wheel, if you like, for you. But of course there&#8217;s another side to this, and I&#8217;m, imagining that you really are a bridge between the people who want to be certified and the people who subsequently want to receive the wisdom that you&#8217;ve given them, the certification.</p>\n\n\n\n<p>In other words, the employers, the people who are going to be employing the people out the other end. And presumably that&#8217;s going to be a challenge that you&#8217;re going to face as well, is convincing businesses that look the certificate that we&#8217;ve given them the certification that they&#8217;ve gone through and achieved actually means something. And I&#8217;m guessing there&#8217;s going to be quite a lot of your time spent making those people aware that it really is bonafide.</p>\n\n\n\n<p>[00:24:46] Talisha Lewallen: Yes. That&#8217;s where having the DoD backing, and also possibly getting it accredited shows that this is a real credential. There are people out there that do see that this credential is a massive benefit. So with that, for us there&#8217;s different ways to get it DoD approved, I should say.</p>\n\n\n\n<p>And the easiest way is to have community buy-in. So having those companies state that yes, I do see a need for this education level and to have credentialing. So that&#8217;s where on the website we have the endorsement letters. And I know Sophia Desrosiers has been making some phone calls and we have a couple of people that have been reaching out to companies and explaining what we&#8217;re really doing.</p>\n\n\n\n<p>Because we&#8217;re trying to get those endorsement letters because that will help us get it DoD approved. It&#8217;s just showing that there is a need in the community for a credential. Not even our credential. It&#8217;s one of those fun little things, but it&#8217;s just saying that there is a need in the community.</p>\n\n\n\n<p>And I definitely think once we get our credentials up and running and people start seeing what we have in there, and the education. I really think that a lot of companies will come around to it. The ones that I&#8217;ve talked to so far, I talked to one that was a little hesitant and I love that he booked a meeting with me and talked to me about his concerns, and that I was able to, I don&#8217;t want to say that I argued my point, just was able to genuinely share what we are trying to do at CertifyWP, which is just to make a community built and maintain credential.</p>\n\n\n\n<p>And he ended up signing our endorsement letter, and I absolutely loved it. But I loved that space to be able to fully explain what we&#8217;re doing and how we&#8217;re setting up the credential to really benefit not only employers, but the job seeker.</p>\n\n\n\n<p>[00:26:29] Nathan Wrigley: It&#8217;s a virtuous cycle in a way, isn&#8217;t it? In that if you get people on board and you can take them through the whole process and then they are ultimately employed, and the employers are happy that they can hit the ground running at whatever level that may be. That has a sort of feedback loop to it, doesn&#8217;t it?</p>\n\n\n\n<p>After a period of time, the employers will broadcast that message. It will presumably encourage people who are looking for a way to be certified in tech, to hop on board and on it goes. So yeah, that&#8217;s going to quite an important part. So you are reaching out to those people and you&#8217;re hoping to get some more on board to bolster the whole enterprise.</p>\n\n\n\n<p>[00:27:07] Talisha Lewallen: Yeah, we definitely need more endorsement letters from the community. It could be individuals or companies. The companies are what really the DoD is looking for. But just showing the need in the community. And like I said, I&#8217;ve talked to quite a few either hiring managers or companies that have sat here and said, you know, I put out a job description and I need a WordPress developer. And then I pay them the salary and they come in and they can&#8217;t do what we need them to do.</p>\n\n\n\n<p>But on their resume it looked fine. And they were able to say these things, but they didn&#8217;t have the education that they needed. So then it costs the company more money to have to train this person to be able to get them up to this level, to where if we are able to train them and then you&#8217;re able to hire them, and you know they passed this, I hate to say they passed the test, but they&#8217;re able to show that their competency is there. It saves companies time and money on hiring.</p>\n\n\n\n<p>[00:28:00] Nathan Wrigley: Speaking of the test, you mentioned that in some scenarios it may be like a written paper or something like that, but presumably the higher up you go on the ladder of difficulty, the more need there will be for practical implementations. And you said that there was still room to be, you&#8217;re still trying to figure all that out, and work out what that path might be, but I guess that&#8217;d be an interesting subject to pause on for a moment.</p>\n\n\n\n<p>What are your thoughts around that? Testing in some kind of platform that allows you to do code examples on the screen, live. Those kind of things. Just essentially making sure that it&#8217;s legit, it&#8217;s bonafide, and that the people that are doing it are actually doing it. You could be bringing them into test centres. There&#8217;s all sorts of permutations here, isn&#8217;t there?</p>\n\n\n\n<p>[00:28:41] Talisha Lewallen: Exactly. And that&#8217;s where, right now, I&#8217;m looking at LMSs, Learning Management Systems to put the coursework, but also the exam on. And so I&#8217;ve been talking a lot with these companies about what this exam could look like with this practical application. And what I hear a lot, and even this has been suggested in conversations with the advisory board is almost having like a capstone, or a project that they complete after they take the written assessment. In having this practical that they turn in.</p>\n\n\n\n<p>And that is always an option, and we might have to go to that. I&#8217;m leery about that because then we will have to train and hire people to look at these capstone projects if you will. And determine if somebody has passed or failed it. And so then you run into, well maybe I got somebody that graded my capstone or my project harder than person B.</p>\n\n\n\n<p>I really shy away from that type of stuff and I&#8217;d rather have it be computer generated. It&#8217;s unbiased. There&#8217;s just so many ways you can set that up to where there&#8217;s not that fault in there. So definitely the back end and coding one, there will be sides once you get higher up for you to actually code. I&#8217;m not a coder, so I don&#8217;t want to sit here and use terminology that I don&#8217;t understand myself.</p>\n\n\n\n<p>But there is that practical part in there where you&#8217;re actually going to go in there and you&#8217;re going to do it. The front end side&#8217;s going to look, you know, a little bit differently, but still, I&#8217;m not a test taker, but I can perform the task and I can do the job generally.</p>\n\n\n\n<p>But then you have other people, and I always use the example of my sister. I love her to death. She&#8217;s very, very smart. And she could take a test like nobody&#8217;s business, but that doesn&#8217;t always mean that she can do the work that she just tested on. It just means that she can have really good memory recollection. But doing the task is not something that is there all the time.</p>\n\n\n\n<p>And so we really want to hit both sides. As well as companies having the confidence that when they hire somebody with this credential, they know that they passed the practical part and they can do it. And so it&#8217;s really just trying to find out the best, we&#8217;ll say best, most efficient, cost effective way to really have this and what is best for everybody.</p>\n\n\n\n<p>Because what I really don&#8217;t want to get into is somebody sitting there and saying, well, I didn&#8217;t pass the exam because of, you know, X, Y, Z. And it ended up, it could have been human error. Computers have errors too, and we can work with that. But I just want to take the human error side out of it.</p>\n\n\n\n<p>[00:31:07] Nathan Wrigley: I can imagine there&#8217;s going to be a subset of people listening to this podcast who will be thinking there should be no canonical certification in WordPress. We should be open to go wherever we choose. It feels like you would like this to have some sort of backing, if you like. Community backing, if nothing else. Not necessarily official backing. But you&#8217;d like this to become a baseline. Something that anybody can aspire to, and anybody can see within the community that this is something which represents a decent beginning if you like.</p>\n\n\n\n<p>Not really sure I&#8217;ve phrased that question particularly well, but what I&#8217;m trying to say is that there&#8217;s going to be some people who say, why do we need this? What&#8217;s the point when we&#8217;ve been getting along just fine for many, many years? We don&#8217;t want one player dominating the market in accreditation and certifications. So we&#8217;ll just speak to that for a minute.</p>\n\n\n\n<p>[00:32:00] Talisha Lewallen: Yeah. I&#8217;ve had this conversation, it actually might have been on Bob&#8217;s podcast. And through a conversation that I had with somebody else, it got brought up to why CertifyWP. Why should a third party be able to have this credentialing instead of either the hosting companies or Automattic themselves, whichever way you want to look at it.</p>\n\n\n\n<p>Why should this third party be able to do it? And my answer is always, why not? We are able to have this just absolutely community built and maintained. I think it gives us the freedom is what I should say. It gives us the freedom to be able to keep it unbiased as possible, to where it benefits the most people that we can.</p>\n\n\n\n<p>Not everybody&#8217;s going to be happy with it, no matter what we do, and that&#8217;s fine. We&#8217;re here to help the most people that we can. So having it community built and maintained just allows for a little bit more freedom to get the information that we see as a community that people need to learn, and have to be able to do the jobs that we are hiring them for, or that we want them to do.</p>\n\n\n\n<p>And so my example, if you go onto Fiverr, and again, I&#8217;m not dissing anybody that works on Fiverr or does websites. It is a great platform for you to be able to get contract work. But when you look on there and you look at a WordPress developer, I need a WordPress website. There are, I mean, it seems like thousands of people out there that are like, oh, I&#8217;m a WordPress expert.</p>\n\n\n\n<p>And I even saw a couple that were I&#8217;m certified in WordPress. And I&#8217;m like, no you&#8217;re not, because there&#8217;s not one. It&#8217;s one of those that people that are just an average Joe that&#8217;s trying to get their website built is not going to know about the community. That we don&#8217;t already have this certification. That we don&#8217;t already have all of this baseline knowledge. They&#8217;re not going to know.</p>\n\n\n\n<p>And so this credential allows even contractors to hire the right person and know that they have been certified, and that they know what they&#8217;re doing and they know what they&#8217;re going to get out of the product based off of that. So it really, it&#8217;s really just this, I keep going back to community built and maintained, because I want, I really want everybody to know it&#8217;s not us sitting here saying that, oh, we have the master knowledge and we, we know what everybody needs, because we don&#8217;t.</p>\n\n\n\n<p>And that&#8217;s where we are willing to hear your side and your opinion and really build the credential that the community needs and is going to use and finds the most benefit out of. We&#8217;re coming from a very big place of love and light and you know, trying just to help. And you know, that&#8217;s just really where we&#8217;re at at this point.</p>\n\n\n\n<p>[00:34:28] Nathan Wrigley: With that conversation in mind, have you had any collisions with the use of WordPress, because obviously WordPress, the word is a trademark. I noticed that you&#8217;re calling it CertifyWP, so you&#8217;ve, you&#8217;ve sidestep that one, but I wonder if there are any collisions there that need to be avoided.</p>\n\n\n\n<p>[00:34:49] Talisha Lewallen: So, so far, I&#8217;ll say now, we have been in contact with Josepha and Matt Mullenweg has been on some email chains. I have not personally got to speak to Matt about these, but Michelle Frechette, fantastic woman, and saves my life every day, I swear. Michelle, and myself had a meeting with Josepha and we sat down and we explained what we are trying to, and it really, I mean it was a very positive conversation in my opinion.</p>\n\n\n\n<p>And so it was never brought up that, I&#8217;d hate to say that, you know, we get trademark or you know, cease and desist, but it was really, they were just trying to figure out where they wanted their position to be and that they would get back to us.</p>\n\n\n\n<p>And that was around December and, you know, you got to love the holidays and everything else. But so far, no. But we are definitely wanting to also work with everybody with inside WordPress. So we would never want to do anything that Matt or Josepha would think that was not appropriate to the point of wanting us to cease and desist or whatever else.</p>\n\n\n\n<p>And I also know that there&#8217;s another company, I don&#8217;t know if it&#8217;s public knowledge, so I don&#8217;t want to just like throw it out there. But there is another company that is building or hoping to build a top tier credential. So it would be like our credentialing, and then you would be able to take theirs.</p>\n\n\n\n<p>And that would allow participants who had that credential to be hired by these absolutely massive corporations that are in WordPress. There are very large companies that use WordPress and they need a certain type of developer and security knowledge. And so that level of credentialing would take it one step above ours.</p>\n\n\n\n<p>And since that company works with those high level companies, they would be the best fit to be able to create that level of credentialing. I mean, that&#8217;s the fun thing. The credentialing is coming. It&#8217;s been talked about a lot and I&#8217;m excited for the growth. I&#8217;m excited for the next couple of years to see where these credentials really take us as a community. But yeah, no, so far the conversations we&#8217;ve had with, I&#8217;ll say the powers that be, have been very positive.</p>\n\n\n\n<p>[00:36:50] Nathan Wrigley: Okay. It&#8217;s just nice to hear that you&#8217;ve had those conversations because obviously that would be an area of, uh, of concern if you hadn&#8217;t, so at least that, that&#8217;s been put on the table, shall we say. You mentioned community a few times there, and it might be an interesting moment just to wrap this up to talk about the people that are involved and what have you.</p>\n\n\n\n<p>So, Talisha, there&#8217;s obviously you. But you&#8217;ve got a whole bunch of other people on board. Do you just want to give us a bit of a name drop on who&#8217;s involved so far. And I guess an ancillary question to that is, are you still open for other people to join and lead certain areas, and be involved? Is this still a group which is welcoming community members in to help?</p>\n\n\n\n<p>[00:37:30] Talisha Lewallen: Yes. So right now our advisory board and I always say this like, oh, sorry if I forget anybody. I always feel so bad. Because we have added people on in the last little bit. So we have Courtney Robertson, we have Gabriel Cohen of PMC. Jess Frick from Pressable. Michelle Frechette, love her. And we also have Nikki Bulmer. So they&#8217;re both from the Liquid Web brand. And then we have Robbie Adair with OS Training, and we just brought on Zach Stepek, and we brought him on because once we started talking about, okay, we needed the front end and the back end credential. All of us are talking about the front end, and I said, okay, so what do we know about backend?</p>\n\n\n\n<p>What do we know about really coding and what do we know about all of this? And we all just kind of sat there and we&#8217;re like, okay, we need to find somebody else that could be that expert in that field. So whenever we find there is a lack of our knowledge, or that we could find somebody that has a little bit more, we are definitely open to bringing them on.</p>\n\n\n\n<p>It&#8217;s not that we&#8217;re trying to keep it small, but we want to keep the team progressing. And so when you get too many people, sometimes that can be a hindrance to the progression forward, but we also need to have as many people as we need to get the best product possible as well. So we are still open to certain people. If anybody wants to be involved, definitely reach out. If we have the space and need that area of knowledge, definitely want to do that. And then we have our board of directors. And we are trying to keep the board as separate from the advisory board as possible. There are a few people that are crossing over, just because of their expertise and skills whenever we are putting the board together.</p>\n\n\n\n<p>So we have myself, Michelle, Nikki and Jess. But then we also have Rob Howard, and Hans. That is currently our board of directors. We have our first meeting today, actually. I&#8217;m very excited about that. And then we have our next advisory board meeting on Thursday, and we are hoping to get the level, so for the front end credential, the level one course and exam approved by the board and the level two course and exam as well. Very exciting stuff happening this week.</p>\n\n\n\n<p>[00:39:50] Nathan Wrigley: Yeah, it&#8217;s all moving forward, isn&#8217;t it? This is really great. We&#8217;re probably just going to have to round it up in terms of time, but before we do that, if people have been listening to this and they&#8217;d like to find out more, possibly get involved from either direction, whether that&#8217;s from the company side, looking to consume the accreditation, or if somebody would like to be involved in taking the accreditation and wants a little bit more information, where are the best places to go to contact either CertifyWP or just you?</p>\n\n\n\n<p>[00:40:18] Talisha Lewallen: Me, you could find me on Post Status Slack. Or you can always hit the contact forms on either website page. They get emailed to myself to either wpconnects.com or certifywp.com. And we are also in Twitter and we now have Tumblr. We just recently got on Tumblr as well. So any of those ways are perfect ways to get ahold of us. Or my email is always a great way, which is just talisha @ wpconnects.com</p>\n\n\n\n<p>[00:40:46] Nathan Wrigley: As always, I&#8217;ll put the links that you mentioned into the show notes, so if anybody wants to follow those up, just head over to the WP Tavern website, search for this episode and you should be able to find the links there. So it only remains for me to thank you Talisha for coming on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:41:02] Talisha Lewallen: Well, I very much appreciate you having me and WPConnects and CertifyWP all in one. I know it&#8217;s a lot of information, but I very much appreciate it.</p>\n\n\n\n<p>[00:41:11] Nathan Wrigley: Thank you very much indeed.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://www.linkedin.com/in/talisha-lewallen-57758b85/\">Talisha Lewallen</a>.</p>\n\n\n\n<p>You might have found your way into WordPress intentionally, or perhaps you stumbled across it and decided to explore further. Whichever it was, you&#8217;ve learned things along the way. Some of it might have been through training, but there’s likely been some self-discovery on the way as well. Perhaps you’re a coder, or a designer. In fact, there are dozens of different pathways in the WordPress ecosystem.</p>\n\n\n\n<p>Given the broad range of knowledge you might possess, how can you prove that you know what you know?</p>\n\n\n\n<p>Many industries provide training programs which, when completed successfully, allow you to assert that you are competent in a given area. You’d want your lawyer and surgeon to have passed through the appropriate program of study, so that they’re equipped to do that work.</p>\n\n\n\n<p>With WordPress being such a dominant force in the world of websites, would it be a good idea to have a certification for WordPress? Talisha certainly thinks so and has founded <a href=\"https://certifywp.com/\">CertifyWP</a> to try to make that happen.</p>\n\n\n\n<p>We approach this subject through the work that she’s been doing at <a href=\"https://wpconnects.com/\">WPConnects</a> in which she’s been trying to provide training to military veterans, so that on their departure from the services, they have the prospect of finding work in the WordPress space.</p>\n\n\n\n<p>We talk about whether there is a need for a certification for WordPress and how such a certification would come about. What levels of training does Talisha see as essential, and how many such layers might there be?</p>\n\n\n\n<p>We discuss whether the WordPress community is ready for a third party to be certifying people’s abilities and whether this strays away from the approach that we’ve had so far, in which routes into employment have relied upon other, less formal, methods.</p>\n\n\n\n<p>Later in the podcast we talk about the structure of CertifyWP and who is behind the project. You’ll hear that it’s not just Talisha, there are quite a few members of the community who want this project to succeed.</p>\n\n\n\n<p>If you’re curious about certifications in the WordPress space, this podcast is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://wpconnects.com/\">WPConnects website</a></p>\n\n\n\n<p><a href=\"https://certifywp.com/\">CertifyWP website</a></p>\n\n\n\n<p><a href=\"https://dothewoo.io/wordpress-certification/\">Talisha on the Do the Woo podcast</a></p>\n\n\n\n<p><a href=\"https://twitter.com/wp_connects\">WPConnects Twitter</a></p>\n\n\n\n<p><a href=\"https://www.tumblr.com/wp-connects\">WP Connects Tumblr</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"HeroPress: Everybody is a Node: Connecting and Growing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=5400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"https://heropress.com/essays/everybody-is-a-node-connecting-and-growing/#utm_source=rss&utm_medium=rss&utm_campaign=everybody-is-a-node-connecting-and-growing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21526:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/03/031423-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Everybody you encounter is an opportunity to learn and grow, and when we commit to growing together, we create ecosystems of mutual joy.\" /><h2 id=\"h-starting-with-a-definition\">Starting with a Definition</h2>\n\n\n\n<p>Google defines the term <em>node </em>as “a point at which lines or pathways intersect.”It’s a connecting point. For the use of <em>node</em> in botany, Google offers a second definition: “the part of a plant stem from which one or more leaves emerge.” It’s a point for growth. Today, I’ll provide a third definition that combines the first two. A <em>node </em>is you, me, and everybody, all on our professional and personal journeys through life.</p>\n\n\n\n<p>I currently work as an independent product designer, which perfectly combines my interests in culture, business, and the internet. One day, I hope to evolve my practice into a consulting business for Black-owned internet companies. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>My path to my current position and future goal has been shaped by points of intersection with everyone I’ve encountered along the way. </p>\n</blockquote>\n\n\n\n<p>These experiences helped me grow, helped my leaves flourish and my branches stretch further. My pathway collided with others in my field and adjacent areas, and from these interactions, I made connections with mentors, colleagues, and friends.&nbsp;</p>\n\n\n\n<p>The business term for this is <em>networking.</em> Something we’re all told to do to move forward in our careers. But making connections is more than just a box to tick on the to-do list of life — it’s the fundamental act that makes our lives worth living.&nbsp;</p>\n\n\n\n<p>For me, the journey to a fulfilling life began in an art museum.&nbsp;</p>\n\n\n\n<h2 id=\"h-finding-new-direction\">Finding New Direction</h2>\n\n\n\n<p>In college, I pursued a degree in Art History. I interned at, and was later employed by, the Philadelphia Museum of Art. I practically lived in that building during my employment, and I loved it. Art is a way to connect with people: when we interpret creative works, we interpret the human experience. Art helps us understand one another and understand ourselves. I thoroughly enjoy immersing myself in the art world consisting of brick-and-mortar museums and galleries. But as it turned out, art became a stepping stone towards my next passion &#8211; the internet.</p>\n\n\n\n<p>My brain thrives on projects. I love to create and collaborate, and I’m an idea-engine, always itching to bring my concepts to life. Throughout college, I had aspirations to start a website about art, but struggled to find the best avenue to start. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>After graduation when my schedule cleared up, a friend working in software engineering turned me toward WordPress. </p>\n</blockquote>\n\n\n\n<p>It was for non-developers like me and provided the digital access I craved for my latest project. His advice permanently shifted my trajectory. Without this interaction, I never would’ve found the pathway to realizing my passions with WordPress.&nbsp;</p>\n\n\n\n<p>Using WordPress, I developed the arts website I had dreamt of. That site, <em>In-Art</em> was a place to talk about art online &#8211; <em>include, interpret, interact</em>. At that point, WordPress still felt like a hobby — albeit, the hobby that made me feel the most human. I devoted as much time to it as I could, and began seeking out WordPress meetups.</p>\n\n\n\n<p>Little did I know at that very first WordPress Meetup, I’d meet the man who would later become my boss. Dan Olson gave a talk on “The Future of WordPress” at my first Philly WordPress meetup. In hindsight, the title feels like a pun from the universe since WordPress became <em>my </em>future. At this event, I also met Jason McClintock, my mentor and the lead designer at DigitalCube. In fact, he’s the one who suggested Dan hire me!&nbsp;</p>\n\n\n\n<h2 id=\"h-verticals\">Verticals</h2>\n\n\n\n<p>The beauty of networking is two-fold: verticals and horizontals. In the case of Dan and Jason, Jason serves as my vertical. Verticals have the same specialty, like product design, but are at different stages in their journeys, from interns to experts.&nbsp; Your verticals serve as inspirations and guides when you break into the field, since they’ve been there, done that, and lived to tell you how you can do it too.&nbsp;</p>\n\n\n\n<p>Once you’re further along in your professional journey, you take over and become the mentor for other newbies. You bestow upon them all your wisdom, like, “This is the best platform to simplify your process” and “splurge for the large coffee on big project days, your sleepy brain will thank you.”</p>\n\n\n\n<p>But your verticals are also your competition. Competition doesn’t have to be cutthroat, and should never sway you from interacting with them. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>The lessons your verticals will teach you are invaluable, and the act of teaching mentees is fulfilling and enlightening. </p>\n</blockquote>\n\n\n\n<p>However, logically, if you only interact with people who do what you do, you won’t be meeting the people who <em>need</em> what you do. Fellow UX designers don’t have a need for UX design, they have a need for UX design <em>jobs</em>. Who offers jobs like that? That’s where Horizontals come into play.&nbsp;</p>\n\n\n\n<h2 id=\"h-horizontals\">Horizontals&nbsp;</h2>\n\n\n\n<p>Horizontals are the people working side by side in the supply chain of a service. Take a website for example — designers collaborate with developers, marketing specialists, content creators, and business owners to create the strongest final product for their future customers. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Unless you’re a multi-talented wizard with no need for sleep and no limit for creativity, it takes <em>every single team member</em> working together to bring excellent large-scale projects into fruition. </p>\n</blockquote>\n\n\n\n<p>For DigitalCube, Dan was one of my horizontals. Dan’s technical expertise combined well with my passion for networking and public speaking. Together, we created a discovery process for new clients, reworked our events marketing strategy, and improved technical support service.&nbsp;</p>\n\n\n\n<p>I’m a people person, and part of what I admire so much about people is how uniquely skilled we are in different ways. Life would be incredibly dull if we all had the same goals, same passions, same drives that make life worth living. Everybody you encounter is an opportunity to learn and grow, and when we commit to growing together, we create ecosystems of mutual joy. There’s an antiquated idea that to be successful, you must work solo. You should be a lone wolf, step on whatever toes necessary to get your foot through the best doors. I wholeheartedly reject that.&nbsp;</p>\n\n\n\n<p>Everyone deserves a piece of the pie, and everyone deserves a spot at the table. The horizontals I surround myself with are believers in the power of side-by-side success, in working together to achieve excellence<em> together</em>. This commitment to communal efforts helped me take the leap to finding success and happiness.&nbsp;</p>\n\n\n\n<h2 id=\"h-how-i-leaped-where-i-landed\">How I Leaped &amp; Where I Landed&nbsp;</h2>\n\n\n\n<p>I dabbled as a digital marking assistant for a few months, but it was a UX bootcamp that really ignited my professional passions. The bootcamp built upon my foundation of WordPress. Before it was even over, I began freelancing by creating elementor websites for others. I started helping entrepreneurs put forth websites that launched their projects and captured their essences through effective, engaging design.&nbsp;</p>\n\n\n\n<p>I spend each day actively seeking new clients, growing my portfolio and my abilities with each new project. The clients I work with inspire me and align with my values, an added freedom that comes with entrepreneurship. I’m also preparing business school applications for some point in the future to learn more about finance and management, with the goals of growing a consulting service that will support Black-owned businesses on the web.&nbsp;</p>\n\n\n\n<p>Contracting is very fulfilling, and it keeps me connected to the spaces that sparked my passion in the first place. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>I continue to attend WordPress meetups and WordCamps, volunteering in any way I can, eager to support the community that motivates me. </p>\n</blockquote>\n\n\n\n<p>I relish these meetups: sources of learning and growing where I could nerd out about all the WordPress topics I love with a bunch of fellow nerds. Plus, the free swag at WordCamps<em> never </em>hurts. In 2020, I crafted my first WordPress talk, leaning on my love of public speaking. These efforts forged even more connections between myself and the WordPress community. Now, I&#8217;m happy to lead the Philly WordPress Meetup Group, recruiting interesting speakers for our events to help forge more connections for our members.&nbsp;</p>\n\n\n\n<p>Shoutouts to some WordPress <em>SUPER-</em>nodes who changed the trajectory of my journey:</p>\n\n\n\n<ul>\n<li><a href=\"https://www.linkedin.com/in/emilio-garza-13126490/\">Emilio Garza</a> for telling me to use WordPress for my first website</li>\n\n\n\n<li><a href=\"https://www.linkedin.com/in/dan-t-olson/\">Dan Olson</a>, <a href=\"https://profiles.wordpress.org/hithisisjason/\">Jason McClintock</a>, and <a href=\"https://www.linkedin.com/in/hiromichi-koga-128b2428/?originalSubdomain=jp\">Koga Hiromichi</a> for giving me my first big WordPress gig</li>\n\n\n\n<li><a href=\"https://www.linkedin.com/in/amy-letson-phl/\">Amy Letson</a> and <a href=\"https://profiles.wordpress.org/kcristiano/\">Kevin Cristiano</a> for welcoming me as an organizer for the Philadelphia WordPress Meetup group</li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/mauteri/\">Mike Auteri</a> and <a href=\"https://profiles.wordpress.org/newyorkerlaura/\">Laura Bryne</a> for welcoming into the Montclair WordPress Community</li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/isvictorious/\">Victor Ramirez</a> for co-hosting WP @ REC Philly with me</li>\n\n\n\n<li><a href=\"https://allienimmons.com/\">Allie Nimmons</a> and <a href=\"https://meetmichelle.online/\">Michelle Frechette</a> for general awesomeness&nbsp;</li>\n</ul>\n\n\n\n<h2 id=\"h-moral-of-my-story\">Moral of My Story</h2>\n\n\n\n<p>Life is a string of transitions, a catapult of change. Whether you’re a recent graduate with no clear path to finding your peace and realizing your passions, or you’re settled into your career with no clear signs of stalling, life will keep throwing new obstacles and opportunities at you. If you tackle them alone, you’ll enjoy the highs alone, with no one to celebrate your successes. You’ll endure the lows alone too, with no one to offer a helping hand and pull you from your pit of self doubt. You will miss out on critical lessons that set you back in both your professional and personal journeys.</p>\n\n\n\n<p>Each day, I immerse myself in growth-centered communities so we can learn and succeed together. I am who I am because of who I’ve met, from college friends, to coworkers, to clients. Here’s the story so far: I’ve found my place, my peace, and my passions. This is a tale I couldn’t tell without the communities, mentors, and friends I’ve encountered along the way.</p>\n\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id_2abfd1-ed alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top\">\n\n<div class=\"wp-block-kadence-column kadence-column_5bfb8b-3c\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"work-environment\" class=\"kt-adv-heading_c792ee-c4 wp-block-kadence-advancedheading\">Rachel&#8217;s Work Environment</h2>\n\n\n\n<p>We asked Rachel for a view into her development life and this is what she sent! </p>\n\n\n\n\n	#hotspot-5415 .hotspots-image-container,\n	#hotspot-5415 .leaflet-container {\n		background: #efefef	}\n\n	#hotspot-5415 .hotspots-placeholder,\n	.featherlight .featherlight-content.lightbox-5415 {\n		background: #ffffff;\n		border: 0 #ffffff solid;\n		color: #000000;\n	}\n\n	#hotspot-5415 .hotspot-title,\n	#hotspot-5415 .bc-product__title a,\n	.featherlight .featherlight-content.lightbox-5415 .hotspot-title,\n	.featherlight .featherlight-content.lightbox-5415 .bc-product__title a {\n		color: #000000;\n	}\n\n			#hotspot-5415 .hotspot-style-1 {\n			stroke-width: 1;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5415 .hotspot-style-1:hover,\n		#hotspot-5415 .hotspot-style-1:focus,\n		#hotspot-5415 .hotspot-style-1.hotspot-active {\n			fill: #ffffff;\n			fill-opacity: 0.81;\n			outline: none;\n			stroke: #ffffff;\n			stroke-opacity: 0.81;\n		}\n			#hotspot-5415 .hotspot-default {\n			stroke-width: 1;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5415 .hotspot-default:hover,\n		#hotspot-5415 .hotspot-default:focus,\n		#hotspot-5415 .hotspot-default.hotspot-active {\n			fill: #ffffff;\n			fill-opacity: 0.81;\n			outline: none;\n			stroke: #ffffff;\n			stroke-opacity: 0.81;\n		}\n		#hotspot-5415 .leaflet-tooltip,\n	#hotspot-5415 .leaflet-rrose-content-wrapper {\n		background: #ffffff;\n		border-color: #ffffff;\n		color: #000000;\n	}\n\n	#hotspot-5415 a.leaflet-rrose-close-button {\n		color: #000000;\n	}\n\n	#hotspot-5415 .leaflet-rrose-tip {\n		background: #ffffff;\n	}\n\n	#hotspot-5415 .leaflet-popup-scrolled {\n		border-bottom-color: #000000;\n		border-top-color: #000000;\n	}\n\n	#hotspot-5415 .leaflet-tooltip-top:before {\n		border-top-color: #ffffff;\n	}\n\n	#hotspot-5415 .leaflet-tooltip-bottom:before {\n		border-bottom-color: #ffffff;\n	}\n	#hotspot-5415 .leaflet-tooltip-left:before {\n		border-left-color: #ffffff;\n	}\n	#hotspot-5415 .leaflet-tooltip-right:before {\n		border-right-color: #ffffff;\n	}\n\n\n\n	<div class=\"hotspots-container  layout-lightbox event-click\" id=\"hotspot-5415\">\n		<div class=\"hotspots-interaction\">\n			<div class=\"hotspots-image-container\">\n	<img width=\"2560\" height=\"1920\" src=\"https://heropress.com/wp-content/uploads/2023/03/my-desk-scaled-scrubbed.jpg\" alt=\"Rachel Winchester\" class=\"hotspots-image skip-lazy\" usemap=\"https://heropress.com/feed/#hotspots-image-5415\" />\n</div>		</div>\n		<map name=\"hotspots-image-5415\" class=\"hotspots-map\">\n											<area shape=\"polygon\" coords=\"1171,627,2158,636,2182,654,2125,1277,2103,1294,1697,1251,1721,1271,1753,1281,1786,1292,1771,1410,1404,1360,1469,1245,1519,1249,1523,1227,1171,1199,1149,1186\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-0\" title=\"HP W2082a 20-inch LED Backlit Monitor\" alt=\"HP W2082a 20-inch LED Backlit Monitor\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"321,854,1053,829,1088,1257,1212,1477,295,1618,353,1334\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-1\" title=\"Lenovo Yoga\" alt=\"Lenovo Yoga\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"292,398,538,382,576,404,592,454,632,486,680,834,304,844,254,506,294,468\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-2\" title=\"Guitars!\" alt=\"Guitars!\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"2558,4,2380,928,2422,958,2420,984,2396,970,2355,1104,2374,1262,2554,1304\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-3\" title=\"Philadelphia!\" alt=\"Philadelphia!\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"2200,905,2249,905,2292,909,2333,921,2379,933,2401,952,2348,1108,2397,1420,2393,1444,2517,1494,2522,1506,2514,1521,2368,1629,2347,1633,2325,1633,1988,1493,1976,1480,1977,1468,2151,1377,2174,1373,2194,1380,2251,1401,2265,1373,2255,1264,2166,1239,2102,1204,2107,1190,2127,1191,2212,939,2196,923\" href=\"https://heropress.com/feed/#hotspot-hotspot-5415-4\" title=\"AboveTEK Phone Stand\" alt=\"AboveTEK Phone Stand\" target=\"\" class=\"more-info-area\" />\n					</map>\n\n		\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-0\">\n				\n				<h2 class=\"hotspot-title\">HP W2082a 20-inch LED Backlit Monitor</h2>								<div class=\"hotspot-content\">\n					<p>My monitor used as a second, rather than a mirror.  I only wish it were touchscreen also.</p>\n<p><a href=\"https://support.hp.com/us-en/product/hp-pavilion-20-inch-displays/7274714/model/7846273/manuals\">Link</a></p>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-1\">\n				\n				<h2 class=\"hotspot-title\">Lenovo Yoga</h2>								<div class=\"hotspot-content\">\n					<p><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I love my laptop because it\'s touch screen, and it can convert into a tablet. To me, Touch screen navigation is a better experience than using a mouse. But my monitor isn\'t touch screen lol.</span></p>\n<p><a href=\"https://www.lenovo.com/us/en/yoga/\">Link</a></p>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-2\">\n				\n				<h2 class=\"hotspot-title\">Guitars!</h2>								<div class=\"hotspot-content\">\n					<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\">\n<p><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I have two next to my desk. One is an Ibanez semi hollow, and the other is an ESP explorer. </span><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I just play for myself sometimes. </span></p>\n<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">The Ibanez is great for jazz rock and blues. The ESP is for metal.</span></div>\n</div>\n</div>\n</div>\n</div>\n</div>\n				</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-3\">\n				\n				<h2 class=\"hotspot-title\">Philadelphia!</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5415-4\">\n				\n				<h2 class=\"hotspot-title\">AboveTEK Phone Stand</h2>								<div class=\"hotspot-content\">\n					<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">I keep my phone in the stand most of the day so i don\'t use it too often. It becomes apart of my workspace just like the monitor.</span></div>\n</div>\n</div>\n<div dir=\"auto\"></div>\n<div dir=\"auto\">\n<div class=\"css-1dbjc4n r-1habvwh r-1wbh5a2\">\n<div class=\"css-1dbjc4n r-k200y r-gu4em3 r-6t5ypu r-1roi411 r-1fuqb1j r-deolkf r-dnmrzs r-1ny4l3l r-ymttw5 r-1f1sjgu r-o7ynqc r-6416eg\">\n<div class=\"css-901oao r-jwli3a r-37j5jr r-a023e6 r-16dba41 r-rjixqe r-bcqeeo r-1udh08x r-bnwqim r-fdjqy7 r-1rozpwm r-qvutc0\" dir=\"auto\"><span class=\"css-901oao css-16my406 r-poiln3 r-bcqeeo r-qvutc0\">If i keep it in my pocket or laying around somewhere else, I\'ll take it out too often just to check it. But when it\'s docked, I don\'t pick it up as often.</span></div>\n</div>\n<div dir=\"auto\"></div>\n<div dir=\"auto\"><a href=\"https://www.amazon.com/AboveTEK-Business-Aluminum-Professional-Showroom/dp/B07KJLBG8G/ref=sxin_16_ci_mcx_mi_sr_m_il?content-id=amzn1.sym.628beb02-7a42-4f70-8d1a-a780fab5eff1%3Aamzn1.sym.628beb02-7a42-4f70-8d1a-a780fab5eff1&crid=2RQ43EHTZGR0Y&cv_ct_cx=abovetek+phone&keywords=abovetek+phone&pd_rd_i=B07KJLBG8G&pd_rd_r=6e909905-882d-49e3-b5c7-9c753158d3ce&pd_rd_w=PF4tT&pd_rd_wg=Zi305&pf_rd_p=628beb02-7a42-4f70-8d1a-a780fab5eff1&pf_rd_r=BC482B9CJ32Q1J7VR935&qid=1678723787&s=electronics&sbo=RZvfv%2F%2FHxDF%2BO5021pAnSA%3D%3D&sprefix=abovetek+phone%2Celectronics%2C84&sr=1-3-9eb59ba4-cd99-4f87-9222-b322340b23c8\">Link</a></div>\n</div>\n</div>\n				</div>\n			</div>\n			</div>\n\n\n\n\n\n<p class=\"kt-adv-heading_b9c76c-f5 wp-block-kadence-advancedheading has-theme-palette-9-background-color has-background\">HeroPress would like to thank <a href=\"https://wpdrawattention.com/\">Draw Attention</a> for their donation of the plugin to make this interactive image!</p>\n</div></div>\n\n</div></div>\n\n\n\n\n\n\n<p class=\"has-small-font-size\">Header image <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CCO</a> licensed <a href=\"https://wordpress.org/photos/photo/61862d3612/\">photo</a> by <a href=\"https://wordpress.org/photos/author/newyorkerlaura/\">Laura Byrne</a> from the <a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/everybody-is-a-node-connecting-and-growing/\">Everybody is a Node: Connecting and Growing</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 15 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Rachel Winchester\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: Gutenberg 15.3 Adds New “Time to Read” Block \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142655\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/gutenberg-15-3-adds-new-time-to-read-block\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1721:\"<p><a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">Gutenberg 15.3</a> was released this week with a new &#8220;Time to Read&#8221; block that calculates the estimated reading time for the post or page using the same method that appears in the details panel. The block displays this information on the frontend wherever it is inserted. </p>\n\n\n\n<img />\n\n\n\n<p>This is the first iteration of the Time to Read block, so it isn&#8217;t very customizable yet. Although users can add custom CSS to the block, it only includes alignment controls right now. The block needs Typography controls and more options for customizing its appearance to be consistent with other core blocks.</p>\n\n\n\n<p>In 15.3 Duotone filters have been <a href=\"https://github.com/WordPress/gutenberg/pull/48318\">reworked</a> in several ways to make them more portable across themes. Previously, duotone settings were stored as an array of colors. This has been changed so that duotone presets are stored as slugs, making the color swatches available when a user changes themes. </p>\n\n\n\n<p>Another change for Duotone filters in this release is the ability to set them globally inside the Site Editor&#8217;s Styles panel. </p>\n\n\n\n<p>The Site Editor also received several improvements to make the design more clear and consistent, updating the designs for the edit button and the add template modal, and cleaning up the template details popover, among other small changes.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/13/whats-new-in-gutenberg-15-3-13-march/\">15.3 changelog</a> for the full rundown of all the enhancements, bug fixes, and accessibility and performance improvements.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 21:10:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordPress 6.2 RC 2 Drops Navigation Panel from Site Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142699\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wordpress-6-2-rc-2-drops-navigation-panel-from-site-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2828:\"<p><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\">WordPress 6.2 RC 2</a> was released today on schedule. The new Navigation section in the Site Editor was <a href=\"https://make.wordpress.org/core/2023/03/14/fyi-navigation-section-of-new-site-editor-experienced-removed-for-6-2-rc-2/\">dropped from the upcoming release</a> in a somewhat unusual turn of events this late in the release cycle. The feature will remain in the Gutenberg plugin and will be iterated on for a future core release. Users will still be able to manage their menus within the block settings of the Navigation block. </p>\n\n\n\n<p>The Navigation section was added in Gutenberg 15.1, the last release to be rolled into 6.2, and the one with the least amount of time to be tested.</p>\n\n\n\n<p>&#8220;After being added and as the beta cycle continued, various bugs and refinements started adding up,&#8221; Editor Triage Co-Lead Anne McCarthy said. &#8220;In particular, the top pain points revolved around which menu appears (and how to change it), needing a better description of what this newer section did, and improving the general experience of adding links from that section.&#8221;</p>\n\n\n\n<p>McCarthy published a video showing what has been removed: </p>\n\n\n\n\n\n\n\n<p>The conversation leading to this decision was spread across many PRs, issues, and Slack conversations, so it became difficult to track. McCarthy cited a dozen of the related issues and PR&#8217;s, including page links being buried in the inserter, confusion around which menu is pulled into the panel, and many other loose ends that do not provide a good experience for users.</p>\n\n\n\n<p> &#8220;Even with trying to lock the experience further down, bugs continued to pop up and the experience isn’t polished enough to move forward with,&#8221; she said. &#8220;This led to a decision amongst Core Editor Tech, Core Editor Triage, and the Design lead ahead of WordPress 6.2 RC 2 to remove that was then <a href=\"https://wordpress.slack.com/archives/C04JZ199XPG/p1678728808778249\">shared with the wider release squad</a>.&#8221;</p>\n\n\n\n<p>The <a href=\"https://github.com/WordPress/gutenberg/pull/49043\">PR to remove the feature</a> was merged 13 hours ago and now the navigation panel will only be visible if using the Gutenberg plugin. Anyone who is creating documentation or educational resources for WordPress should be aware that those related to the navigation panel may need to be udpated.</p>\n\n\n\n<p>WordPress 6.2 is now just two weeks away from being released on March 28, 2023. <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Testing</a> and <a href=\"https://translate.wordpress.org/projects/wp/dev\">translation</a> are still needed to ensure the official release will be ready for the world of WordPress users.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 18:58:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.2 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14640\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4643:\"<p>Here it is: the second release candidate (RC2) for WordPress 6.2 is ready! </p>\n\n\n\n<p>WordPress 6.2 is scheduled for release on March 28, 2023—which is only two weeks away. Now is your perfect opportunity if you haven’t tried it out yet. Your feedback and help filing bug reports are what keep the WordPress experience stable, smooth, and delightful. It’s important work and a great way to contribute to the project.&nbsp;</p>\n\n\n\n<p>Thanks to everyone who tested the Beta and RC releases so far. Since RC1 was released on March 9, there have been about 36 issues resolved in <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=03%2F07%2F2023..03%2F13%2F2023&milestone=6.2&col=id&col=summary&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub</a>.&nbsp;</p>\n\n\n\n<p>Catch up on the featured highlights, and dig into more 6.2 details, in the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC1 release announcement</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to install RC2 for testing</h2>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC2 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC2.zip\">RC2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-RC2</code></p>\n\n\n\n<h2 class=\"wp-block-heading\">A shoutout to plugin and theme developers</h2>\n\n\n\n<p>Your products are the reason WordPress does so many more things for more people across the world. As you test your latest versions against RC2, make sure you update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a> for more details about the major changes in this release.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Join the bug hunt—test, test, test</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If you’re new to testing, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> can help you get started.&nbsp;</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Listen, we are close<br />One step to final RC<br />Breathe, and keep going</p>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> <a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a> <a href=\"https://profiles.wordpress.org/audrasjb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>audrasjb</a> <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a></em></p>\n\n\n\n<p><em>Haiku by <a href=\"https://profiles.wordpress.org/sereedmedia/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sereedmedia</a></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 17:59:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Post Status: WordPress Website Cost to Develop\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://poststatus.com/?p=6897\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://poststatus.com/wordpress-website-cost/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:27121:\"<p>Every business needs a website. Not only does it tell your customers what you do, but it gives you credibility. WordPress is the best website option, but what will it set you back? The WordPress website cost to develop question isn’t so cut and dry.</p>\n\n\n\n<p>Eventually, you have to talk about cost.</p>\n\n\n\n<p>If you’re a consultant, you’ve been asked how much your services cost. And you have to make some decisions:</p>\n\n\n\n<ul>\n<li>What services am I providing?</li>\n\n\n\n<li>How many hours do I think this will take?</li>\n\n\n\n<li>How much is this worth to the client from a business perspective?</li>\n\n\n\n<li>Does the client have money? How about a business plan?</li>\n\n\n\n<li>Should I charge hourly or by the project?</li>\n\n\n\n<li>Is this a one-off thing, or is there potential for a long-term relationship?</li>\n\n\n\n<li>How busy am I? Do I need this job? Do I want it?</li>\n</ul>\n\n\n\n<p>These questions are important. The answers are critical. Gauging the client is vital. Every interaction with the client helps you learn more about them and the project and affects the cost.</p>\n\n\n\n<p>Cost often also depends on the market and location. For the purpose of this post, we’re assuming we’re talking to an American audience in U.S. dollars.&nbsp;</p>\n\n\n\n<h2 id=\"develop\">How Much Should a Custom WordPress Website Cost to Develop?</h2>\n\n\n\n<p>Brian has built websites or been part of website projects — all on WordPress — ranging in cost from less than $1,000 to more than $100,000 for complete websites.</p>\n\n\n\n<p>So, in short: It always depends.</p>\n\n\n\n<p>This differentiation is why we can’t ballpark it for you. It’s essential to build out an estimate specific to your project.</p>\n\n\n\n<h2 id=\"contents\">Table of Contents</h2>\n\n\n\n<p>WordPress Website Cost to Develop</p>\n\n\n\n<ul>\n<li><a href=\"https://poststatus.com/planet/feed/#develop\">How Much Should a Custom WordPress Website Cost to Develop?</a></li>\n\n\n\n<li>Table of Contents</li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#costs\">Types of Websites and their Costs</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#intodevelopment\">Understanding What Goes into Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#cost\">Factors Affecting Website Development Cost</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#businesses\">Considerations for Small Businesses</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#website\">Estimating the Cost to Develop a Website</a>\n<ul>\n<li><a href=\"https://poststatus.com/planet/feed/#timeline\">Estimate Cost and Timeline</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#views\">Pricing Views</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#content\">Pricing Content</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#time\">Pricing Time</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#factors\">Pricing Site Factors</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#freelancerdevelopment\">Working with a Freelancer for Website Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#agencydevelopment\">Working with an Agency for Website Development</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#rates\">Comparing Freelancer vs. Agency Rates</a></li>\n\n\n\n<li><a href=\"https://poststatus.com/planet/feed/#started\">How to Get Your Website Development Started</a></li>\n</ul>\n\n\n\n<h2 id=\"costs\">Types of Websites and their Costs</h2>\n\n\n\n<p>There are many types of websites, each with its potential costs. Brian ranks sites in complexity like this:</p>\n\n\n\n<ul>\n<li><strong>Simple Blog.</strong> Archives and single post views only. A pretty typical layout.</li>\n\n\n\n<li><strong>Complex Blog.</strong> A bunch of “out of the box” styles for various templates. It requires attention to detail on archives, single posts, and other stuff like post formats.</li>\n\n\n\n<li><strong>Brochure Site.</strong> Fairly standard but custom home page design and page layout. Stock archive/blog setup with little to no customizations.</li>\n\n\n\n<li><strong>Marketing Site</strong>. A mashup between a simple brochure and a complicated blog. It requires more designs, and the home page might be a little more advanced than the simple brochure.</li>\n\n\n\n<li><strong>E-Commerce Site.</strong> It could be a mix of any of the websites above plus all the needs in e-commerce (like cart/account/checkout views and tons of configuration considerations). This type of project is often a huge PM bump as well.</li>\n\n\n\n<li><strong>Small Business Site.</strong> Similar to a marketing site, but often includes a couple of custom content types that require design and code, like events, testimonials, services, etc.</li>\n\n\n\n<li><strong>Large Company Site.</strong> Big business websites are like regular business websites, but more. They often have many custom content types, advanced searching needs, tons of content, and some fancy user permissions needs. And, of course, potentially much more.</li>\n\n\n\n<li><strong>Non-Profit or Advocacy Site.</strong> Non-profit and advocacy sites are the holy grail of wanting everything on a budget. These are difficult to keep in scope because they often have the exact needs of big businesses without the budgets.</li>\n\n\n\n<li><strong>Large Scale Site. </strong>You can take any of these types of websites and then say you need it to handle millions of page views per month without breaking a sweat. A whole new layer of complexity comes into play.</li>\n</ul>\n\n\n\n<p>The hours it takes to build these different websites can vary tremendously. It depends on the consultant’s experience, whether they’ve done similar work before, how many “gotchas” appear in the project, how particular the client is about any given feature, and more.</p>\n\n\n\n<h2 id=\"intodevelopment\">Understanding What Goes into Development</h2>\n\n\n\n<p>Not all websites are created equal, so not all websites will take the same time and work to create. Here are some factors to consider related to the website development process.</p>\n\n\n\n<h3>Static vs. Dynamic Websites</h3>\n\n\n\n<p>Static websites are the easiest types of sites to maintain and build. They’re faster for users because they require little back-end processing, and the server only retrieves the requested files. Static sites make it challenging to execute a site-wide change because they require you to update each HTML file.&nbsp;</p>\n\n\n\n<p>Dynamic sites display different information to each visitor. The visitor’s location, time zone, personal preferences, and habits determine the content. This feature creates a more tailored and interactive experience. Instead of building one page that stays the same, web servers build these personalized pages when users request pages. Dynamic sites build these pages on server-side scripting languages like PHP, Python, or Ruby.</p>\n\n\n\n<p>Depending on which type of site you need, you may have to work with different developers. Some common types of development include:</p>\n\n\n\n<ul>\n<li><strong>Front-End Development.</strong> The practice of producing CSS, HTML, or JavaScript for a website that the user sees and interacts with directly.</li>\n\n\n\n<li><strong>Back-End Development.</strong> Working with server-side software to make sure the site is functioning correctly. Backend development focuses on databases, architecture, and servers.</li>\n\n\n\n<li><strong>Database Development.</strong> The type of development that focuses on design, programming, construction, and implementation of new databases and modifying existing databases.&nbsp;</li>\n</ul>\n\n\n\n<h2 id=\"cost\">Factors Affecting Website Development Cost</h2>\n\n\n\n<p>Each website project is unique, and the factors surrounding each project help determine the website cost to develop.&nbsp;</p>\n\n\n\n<h3>Factors that affect every project:</h3>\n\n\n\n<ul>\n<li><strong>Level of Complexity.</strong> More pages take more time and money to build. Plus, parent and child pages can complicate the process.</li>\n\n\n\n<li><strong>Design Requirements. </strong>Some websites need special features and customization. The more design requirements for a specific project, the more it will cost.</li>\n\n\n\n<li><strong>Platforms and Technologies. </strong>If the project requires the developer to integrate technologies into the website, it adds to the time and cost to build. While many technologies make integrations easy with API keys, not all companies can quickly provide that to their web designer.</li>\n\n\n\n<li><strong>Functionality. </strong>Plugins can be relatively inexpensive, but setting them and ensuring they work well together can take a lot of time.&nbsp;</li>\n\n\n\n<li><strong>Security.</strong> You can add different levels of security to websites. The costs can be a one-time fee or ongoing. For any e-commerce site, continuous security monitoring is crucial.</li>\n\n\n\n<li><strong>Maintenance and Updates.</strong> The developer will need to add new components to sites, and regular maintenance ensures everything functions probably and is consistently updated.</li>\n</ul>\n\n\n\n<h2 id=\"businesses\">Considerations for Small Businesses</h2>\n\n\n\n<p>If you’re a small business owner needing a website, there are some unique factors to consider before you approach a developer.</p>\n\n\n\n<h3>Factors that affect small business projects:</h3>\n\n\n\n<ul>\n<li><strong>Budget. </strong>Knowing the limitations of your budget is crucial. This knowledge will help you choose the best web developer for you while also giving you realistic expectations about the type of website you’ll receive.</li>\n\n\n\n<li><strong>Timeline. </strong>The more complex a website is, the longer it takes to develop. Plus, if you have a lot of old website content that needs to be accounted for, it can add development time.</li>\n\n\n\n<li><strong>Outsourcing.</strong> When you create a website in-house, you have more control of the process and final product. But when you outsource, you don’t have to worry about paying full-time salary and benefits to the developer or tying up team members with the project.</li>\n</ul>\n\n\n\n<h2 id=\"website\">Estimating the Cost to Develop a Website</h2>\n\n\n\n<p>An estimate takes time. Whether that time is in a paid discovery or a sunk cost the consultant takes on themselves is a different matter. Either way, estimates are expensive because they’re time-consuming. And if a consultant spends a week on an estimate or proposal, they’ll put that cost into the proposal somewhere.</p>\n\n\n\n<h3 id=\"timeline\">Estimate Cost and Timeline&nbsp;</h3>\n\n\n\n<p>There are some broad brush typical price ranges we can establish for you. Let’s start by segmenting based on who you’re working with. Basically, working with a freelancer will generally be cheaper than working with an agency. Agencies have more overhead, padding built in, concern about cash flow, and generally just tend to be a bit more expensive.</p>\n\n\n\n<p>If you work with an agency, the risk of them falling off the map is generally lower, but they move slower too. And you’ll often have to deal with changing contacts as the project progresses (from sales to design to development to maintenance).</p>\n\n\n\n<p>If you work with a freelancer, your risks are a bit higher that they’ll disappear someday. It means vetting them is even more important than with an agency. But they also tend to move quickly and don’t juggle as many projects simultaneously. You also benefit from working with (typically) one person who knows everything about your project, and you don’t feel like you’re constantly getting bounced around between people.</p>\n\n\n\n<p>It’s possible to have a great relationship with a freelancer or agency. Which route is better typically depends on the client’s mentality and requirements.</p>\n\n\n\n<h3 id=\"views\">Pricing Views&nbsp;</h3>\n\n\n\n<p>It’s generally good to estimate how many unique views a website has to consider how much it will cost.</p>\n\n\n\n<h4>Unique views are:</h4>\n\n\n\n<ul>\n<li>The home page</li>\n\n\n\n<li>The archive page — although it could be category, search, and more, combined in one unique view</li>\n\n\n\n<li>The blog “post” page</li>\n\n\n\n<li>The generic “page” template, though it can be mashed with the post view</li>\n\n\n\n<li>Custom page templates — like fancy about us pages or a key landing page</li>\n\n\n\n<li>Custom post types — sometimes in the traditional archive/singular sense and other times the way it sits within another view, like how an FAQ content type may fit into a regular page</li>\n\n\n\n<li>Variable sidebars within sections of the website</li>\n</ul>\n\n\n\n<p>Unique views aren’t always evident. Depending on how discovery conversations go with the client, you can figure out more necessary unique views.</p>\n\n\n\n<p>What’s essential about unique views is that they’re excellent for estimating design time, and they can help guide estimating development time.</p>\n\n\n\n<p>If a unique view requires a comp (design preview for the client), then that’s a relatively set number of required hours for design. If it doesn’t require a comp, it’s still best to build in time for the designer to do a quality check after it’s developed, so they can make sure it looks good.</p>\n\n\n\n<p>Designing a unique view from the ground up could take a designer between four and 10 hours, depending on the complexity. For certain complex or innovative views, that number could hit upward of 20 hours just for design.</p>\n\n\n\n<p>Also, design requires a base set of hours to establish the overall tone of the website and to design things rarely considered with unique views, like the header, footer, and overall style guide. The website&#8217;s base elements and style guide could easily range between 10 and 100 hours. It’s a ridiculous range, but it&#8217;s necessary.</p>\n\n\n\n<p>So, we’ve established a framework for pricing the design of unique views. Developing them is a different story.</p>\n\n\n\n<p>You must carefully consider development. Generally, every design hour should get a development hour to go with it. But development hours can easily break that rule, especially when developing something complex.&nbsp;</p>\n\n\n\n<p>Development hours can be <em>literally anything</em> for wholly custom functionality, which is entirely outside this post&#8217;s scope. Development can cost millions of dollars.</p>\n\n\n\n<h3 id=\"content\">Pricing Content&nbsp;</h3>\n\n\n\n<p>With WordPress, you can add as many posts and pages as you want. But the more posts or pages the client’s existing website has (and expects to transfer to the new site), the more complex the new project will be.</p>\n\n\n\n<h4>Some levels to consider when pricing content:</h4>\n\n\n\n<ul>\n<li><strong>Less than 10 pages </strong>&#8211;<strong> </strong>No big deal</li>\n\n\n\n<li><strong>More than 30 pages</strong> &#8211; Start thinking about structure</li>\n\n\n\n<li><strong>Hierarchical pages (lots of parent &gt; child page relationships)</strong> &#8211; Require strategic thinking time</li>\n\n\n\n<li><strong>Hundreds of pages</strong> &#8211; Either a problem or a lot of strategy and design consideration</li>\n\n\n\n<li><strong>Thousands of blog posts, taxonomies (category/tag handling), and searches</strong> &#8211; Probably cost more</li>\n\n\n\n<li><strong>A lot of content</strong> &#8211; Navigation needs to be uniquely priced&nbsp;</li>\n\n\n\n<li><strong>Multi-author blog</strong> &#8211; Needs special consideration</li>\n\n\n\n<li><strong>Pages or posts need editorial workflow (section management, change or publishing approval, etc.)</strong> &#8211; Need special consideration</li>\n\n\n\n<li><strong>Current CMS isn’t WordPress &#8211; </strong>Migration requires special language and details to make it happen</li>\n\n\n\n<li><strong>Current CMS is WordPress</strong> &#8211; Understand plugins or custom code potentially creating shortcodes or weird content handling (maybe with custom fields) or what other bad practices may be present</li>\n</ul>\n\n\n\n<h3 id=\"time\">Pricing Time</h3>\n\n\n\n<p>Time is a huge factor to consider when building a website. Developers need to charge for the time a project will take to complete.&nbsp;</p>\n\n\n\n<p>Both freelancers and agencies factor time into their pricing. So the time spent researching a project, bidding on it, and meeting with the clients is built into the pricing structure. It’s not just the cost of the time spent working on WordPress website development, though that is the bulk of the cost.&nbsp;</p>\n\n\n\n<h3 id=\"factors\">Pricing Site Factors&nbsp;</h3>\n\n\n\n<p>Every website development project is different, and the goals of each website owner vary as well. The developer must consider each specification when determining the website&#8217;s cost.</p>\n\n\n\n<p>Additionally, the client is a huge factor in price. In short, if a client is going to be difficult, it affects the client multiplier on the overall project cost.</p>\n\n\n\n<h4>Client qualities that end up costing money are when the client:</h4>\n\n\n\n<ul>\n<li>Doesn’t have a single point of contact (multiple people always have to be looped into communication)</li>\n\n\n\n<li>Has to get some form of committee approval</li>\n\n\n\n<li>Isn’t decisive or is incapable of playing the “consultant advocate” role well internally</li>\n\n\n\n<li>Has a lot of red tape for decision making</li>\n\n\n\n<li>Payment schedules are awful (payment may take months)</li>\n\n\n\n<li>Is prone to huge email threads about small issues</li>\n\n\n\n<li>Wants daily or frequent phone calls or meetings</li>\n\n\n\n<li>Doesn’t have a clear business plan and will require a lot of advising</li>\n</ul>\n\n\n\n<p>These are mostly people and organizational things. They have little to do with the actual project.</p>\n\n\n\n<p>Let’s say the work for a project will be about $20,000. Add in these client qualities that could get costly from a project management perspective and apply them to the overall cost.</p>\n\n\n\n<p>In a $20,000 project, it’s not uncommon for $5,000 of that to be project management costs. If there are enough concerns to warrant 50% higher PM costs, the project gets a $2,500, or 12.5%, increase in overall project cost.</p>\n\n\n\n<p>Looking for client qualities that trigger higher costs is vital as a consultant. For potential clients, remember that your qualities (organizational and behavioral) affect your consultant’s price.</p>\n\n\n\n<h2 id=\"freelancerdevelopment\">Working with a Freelancer for Website Development&nbsp;</h2>\n\n\n\n<p>Freelancers can be an affordable option for website development, but not everyone enjoys working with them, and they aren&#8217;t the right fit for every project.</p>\n\n\n\n<h3>Pros and Cons of Freelancers</h3>\n\n\n\n<p>Working with freelancers can be good if you have a quick turnaround time. Unlike agencies, freelancers tend to work on one project at a time, so they can focus on your website until it’s finished. You’ll also only communicate with the freelancer during the project, unlike with agencies where you may speak to different departments in various project stages.&nbsp;</p>\n\n\n\n<p>But freelancers don’t always have the same schedule availability since they’re a smaller business operation. So, if you need updates in the future, it may take a long time to get on the freelancer’s schedule.&nbsp;</p>\n\n\n\n<p>Also, many freelancers work alone, leading to a more unstructured process, which means you may not know the project&#8217;s stage. The freelancer you work with will also likely be acting as their own project manager, so you won’t necessarily get as many updates or information about the project&#8217;s status while they’re working.</p>\n\n\n\n<h3>When a Freelancer is a Good Fit&nbsp;</h3>\n\n\n\n<p>In general, freelancers are great for jobs that fit the following criteria:</p>\n\n\n\n<ul>\n<li>Are small enough for one person to handle&nbsp;</li>\n\n\n\n<li>Have a tight timeline, and you want them to start quickly</li>\n\n\n\n<li>Are fine with informal communication channels&nbsp;</li>\n\n\n\n<li>Don&#8217;t need big contractor agreements, insurance, or other common big-business requirements</li>\n</ul>\n\n\n\n<h2 id=\"agencydevelopment\">Working with an Agency for Website Development&nbsp;</h2>\n\n\n\n<p>Agencies are a more established alternative to working with freelancers. They tend to have greater resources and an established process.</p>\n\n\n\n<h3>Pros and Cons of Agencies&nbsp;</h3>\n\n\n\n<p>Working with agencies can be good for a lot of reasons. Because they specialize in what you’re paying for, you have the potential to build a long-term relationship with them and will be able to come back to them for future projects. You’ll also have a project or client manager to usher you through the process and explain what’s going on with your website. Plus, agencies have dedicated processes, so you know nothing will be left out or forgotten.</p>\n\n\n\n<p>But there are still limitations to working with agencies. They work with a large number of clients, so that means you may have a waiting period before they begin your project. It can also lead to a slower project turnaround time.&nbsp;</p>\n\n\n\n<p>As your project progresses, you’ll have different points of contact for the various stages.&nbsp;</p>\n\n\n\n<p>Working with an agency also can be expensive since they have more overhead costs.</p>\n\n\n\n<h3>When an Agency is a Good Fit&nbsp;</h3>\n\n\n\n<p>In general, agencies are better when you:</p>\n\n\n\n<ul>\n<li>Don’t want to risk your consultant disappearing</li>\n\n\n\n<li>Are comfortable with a project structure you don’t define and following their process</li>\n\n\n\n<li>Can handle a multi-month project that takes two to six months</li>\n\n\n\n<li>Don’t mind waiting 30 to 90 days to start until you can fit into their schedule&nbsp;</li>\n\n\n\n<li>Want a dedicated project manager</li>\n\n\n\n<li>Have a large-scope or fast-turnaround project that requires multiple people working full-time on it</li>\n</ul>\n\n\n\n<h2 id=\"rates\">Comparing Freelancer vs. Agency Rates</h2>\n\n\n\n<p>For most projects, the consultant has to estimate the time it will take them to build and charge <em>at least</em> that. So the consultant probably isn’t charging much more than their cost.</p>\n\n\n\n<p>Whether the consultant is an agency or a freelancer, the developer only spends about half their day on the project. Also, that number is probably higher for your average web worker in an agency. It still works as an average because managers and PMs typically won’t hit 50%, and their time may not even factor into direct costs.</p>\n\n\n\n<p>Assume the freelancer is billing an end client, not subcontracting to an agency where their costs decrease considerably due to less PM and consistent work.</p>\n\n\n\n<p>Finally, utilize these hourly rates as if it’s for billable work and known costs. So, if the rate is $100 per hour and the design will take 50 hours and the development will take 50 hours, and you build in 25 hours for project management, it would be 125 hours, and the project would cost $12,500. Profits, overhead, and everything else are built into the internal hourly rate — just like if someone were billing the client hourly for the work.</p>\n\n\n\n<h3>Understanding Special Cases&nbsp;</h3>\n\n\n\n<p>Freelancers and agencies also break their own rules all the time. A great example is when you get an inquiry from a big brand. If it’s a competitive bid, and a consultant wants that brand as a featured client, they could easily drop their rates by a third or more to get it — hoping that that brand will make other folks want to work with them down the road.&nbsp;</p>\n\n\n\n<p>Sometimes this is effective. Other times it’s a terrible idea. Referrals can come from anywhere, and generally, bending your rates for a brand name is a bad idea, even though it&#8217;s tempting.</p>\n\n\n\n<p>Other times, consultants break their own rules or don’t follow their internal rates. Consultants may charge less if it’s a client they work with repeatedly and know the true costs better. Consultants may charge less for non-profit organizations, with a retainer, if work is slow or if they get emotionally invested in the bid. The list of ways to break the guidelines goes on and on.</p>\n\n\n\n<h3>Common Freelancer Rates</h3>\n\n\n\n<p>Freelance WordPress website developers today make $30 to $175 an hour, with the average developer charging $70 an hour. Freelancers with good experience, who are more in demand, and those with reputations as specialists charge more for their services.</p>\n\n\n\n<h3>Common Agency Rates</h3>\n\n\n\n<p>WordPress website development agencies charge anywhere from $3,000 to $75,000 or more to build a website, depending on your needs, their reputation, and the size of the market they serve. The better their reputation and the bigger, more high-profile projects they’ve completed in the past, the more they can charge. They also can charge more if they have a niche expertise.</p>\n\n\n\n<p>Market size is the difference between working in big towns or small cities (small market), cities that are thriving but not huge (medium market), or the type of city that’s got pro sports teams and more than a million people (large market). The bigger the market, the more an agency can charge. Agencies in mega markets, like New York and San Francisco, can charge much more.</p>\n\n\n\n<h2 id=\"started\">How to Get Your Website Development Started</h2>\n\n\n\n<p>Before you contact a web developer to build your website, there are some things to do to prepare. This list will help you be more intentional about your web development project and ensure you get what you need.</p>\n\n\n\n<ul>\n<li><strong>Assess Any Current Site Failings.</strong> What do you wish your site could do that it doesn’t? Are there any functions you absolutely need to add?</li>\n\n\n\n<li><strong>Identify Your Goals.</strong> Know what you want from a new site. This direction will help your developer build a better site for you.</li>\n\n\n\n<li><strong>Create a Comprehensive List of Needs. </strong>This list will help your developer create a website that works best for your business and help you determine what’s most important during the web development process.</li>\n\n\n\n<li><strong>Determine Your Budget.</strong> Knowing how much money you have to work with will help you choose a developer and understand what features you can afford.</li>\n\n\n\n<li><strong>Research Freelancers or Agencies. </strong>Think about your timeline and how you’d like the project to proceed. Find a developer that will work well with you.</li>\n\n\n\n<li><strong>Track Progress and Stay Connected.</strong> Know where your website is in the development stages. This tracking will help you stay on top of the project.</li>\n</ul>\n\n\n\n<h2>Do You Want to Learn More About WordPress Development?</h2>\n\n\n\n<p>Are you a WordPress pro or someone who works with WordPress pros? If so, you’ll want to connect with a greater WordPress community to learn from and share with. Where else can you talk in-depth about how much a WordPress website costs to develop? <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> today and get access to members-only content and tons of WordPress news.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 15:30:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Do The Woo Community: Emerging Web Tech with Brad, Kathy and Dave\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74622\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/emerging-web-tech-with-brad-kathy-and-dave/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:419:\"<p>An introduction to our upcoming series with Brad Williams, Kathy Zant and Dave Lockie of new web technologies and WooCommerce/WordPress.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/emerging-web-tech-with-brad-kathy-and-dave/\">Emerging Web Tech with Brad, Kathy and Dave</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 10:38:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: Patchstack Tracks 328% More Security Bugs Reported in WordPress Plugins in 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142666\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://wptavern.com/patchstack-tracks-328-more-security-bugs-reported-in-wordpress-plugins-in-2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4618:\"<p>Patchstack, a WordPress security maintenance and management tool, has published its &#8220;<a href=\"https://patchstack.com/whitepaper/wordpress-security-stats-2022/\">State of WordPress Security</a>&#8221; whitepaper for 2022, tracking a few key metrics on publicly reported vulnerabilities. </p>\n\n\n\n<p>The findings highlight the risk of using unmaintained themes and plugins along with developers&#8217; need to keep pace with updates to libraries and dependencies included in their work. Patchstack is tracking a significant increase in vulnerabilities reported in 2022:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>In 2022 we saw&nbsp;<strong>328% more security bugs reported</strong>&nbsp;in WordPress plugins – we added&nbsp;<strong>4,528</strong>&nbsp;confirmed security bugs to our database, compared to&nbsp;<strong>1,382 in 2021</strong>.</p>\n</blockquote>\n\n\n\n<p>Similar to previous years, the majority of these security bugs were found in plugins (93%), followed by themes (6.7%), and WordPress core (0.6%).</p>\n\n\n\n<p>These numbers were sourced from public data from Patchstack and other security companies and researchers in the WordPress ecosystem. The total number of vulnerabilities comes from the three official CNAs in the WordPress space that are authorized to assign CVE IDs to new security vulnerabilities and to whom researchers report issues. These include Patchstack, Automattic (WPscan) and WordFence. Patchstack CEO Oliver Sild said some of the vulnerabilities were also independently published elsewhere or reported directly to MITRE.</p>\n\n\n\n<p>The report emphasized that the increase in the number of vulnerabilities reported means that ecosystem is becoming more secure as the result of more security issues being found and patched.</p>\n\n\n\n<p>Another small improvement over last year is the percentage of critical security bugs that never received a patch. In 2022, that number was 26% versus 29% in 2021. Critical vulnerabilities were better addressed this year but Sild said so far it&#8217;s not a significant change that they would connect with any trend yet.</p>\n\n\n\n<p>&#8220;We still think it shows a big problem, which is that some plugins are unsupported or abandoned and do not receive timely patches,&#8221; he said.</p>\n\n\n\n<p>Solving the problem of developers abandoning their work is challenging, and many users have no idea how to select plugins that are more likely to be supported. </p>\n\n\n\n<p>&#8220;I think it’s important to be transparent,&#8221; Sild said. &#8220;It is also okay that projects come to an end. I just recently told my colleague that &#8216;when someone builds a new plugin, they should keep in mind that someone might actually use it.&#8217; It kind of stuck with me, because even if the plugin developer has moved on and is not working on the project anymore, there still might be people who rely on it.&#8221;</p>\n\n\n\n<p>Sild said users often get left in the dark because WordPress core only shows if an update is available. If a plugin gets closed by WordPress.org due to an unpatched security issue, users don&#8217;t get notified.</p>\n\n\n\n<p>&#8220;It’s something we try to improve together with our partners such as other security plugins and hosting companies,&#8221; he said. &#8220;Communication is key. We recently also created a free service for plugin developers called &#8216;managed vulnerability disclosure program&#8217; shortly mVDP.  The goal is to help plugin developers adopt more mature security practices and show users that they take security seriously.&#8221;</p>\n\n\n\n<p>Other notable insights from the whitepaper include a breakdown of WordPress security bugs by severity. In 2022, the majority of vulnerabilities (84%) were classified as Medium severity, with a smaller percentage of High severity (11%) and Critical (2%).</p>\n\n\n\n<img />\n\n\n\n<p>Of the most popular plugins (over 1 million installs) that had security issues, only five contained high severity bugs. The two with the highest CVSS score vulnerabilities were Elementor and Essential Add-ons for Elementor, followed by UpdraftPlus WordPress Backup, One Click Demo Import, and MonsterInsights.</p>\n\n\n\n<p>The whitepaper highlights a few other trends, including hosting companies alerting their customers to vulnerabilities, the growth of the security research community, and increased security awareness within the WordPress ecosystem. For more details on the state of WordPress security in 2022 and predictions for this year, check out the <a href=\"https://patchstack.com/whitepaper/wordpress-security-stats-2022/\">whitepaper</a> on Patchstack&#8217;s website.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Mar 2023 01:09:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: Automattic Acquires ActivityPub Plugin for WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142658\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/automattic-acquires-activitypub-plugin-for-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4255:\"<img />\n\n\n\n<p>Automattic has acquired the <a href=\"https://wordpress.org/plugins/activitypub/\">ActivityPub plugin</a> for WordPress from German developer <a href=\"https://profiles.wordpress.org/pfefferle/\">Matthias Pfefferle</a>, who will be joining the company to continue improving support for federated platforms. Pfefferle, who is also the author of the <a href=\"https://wordpress.org/plugins/webmention/\">Webmention</a> plugin, said his new role is to see how Automattic&#8217;s products can benefit from open protocols like ActivityPub.</p>\n\n\n\n<p>In 2021, Automattic CEO Matt Mullenweg indicated that he would be interested in <a href=\"https://techcrunch.com/2022/11/21/tumblr-to-add-support-for-activitypub-the-social-protocol-powering-mastodon-and-other-apps/\">having Tumblr support the ActivityPub protocol</a> for a greater level of interoperability across networks like Mastodon and others using the same protocol. That is still in the works, but WordPress sites already have this capability through the plugin.</p>\n\n\n\n<p>&#8220;ActivityPub and a lot of other Open Web Plugins (like the Webmention plugin) were spare time projects, so I was not looking for an acquisition,&#8221; Pfefferle said.</p>\n\n\n\n<p>&#8220;When Matt announced that Tumblr wants to implement ActivityPub on Twitter, I asked why not WordPress, so I came in contact with Automattic and they offered me the opportunity to work full time on the plugin and other Open Web projects.&#8221;</p>\n\n\n\n<p>The ActivityPub plugin makes it possible for readers to follow a WordPress  site in the fediverse using the ActivityPub protocol. This includes Mastodon, one of the most popular platforms using the protocol, and other platforms like <a href=\"https://pleroma.social/\">Pleroma</a>, <a href=\"https://friendi.ca/\">Friendica</a>, <a href=\"https://hubzilla.org/\">HubZilla</a>, <a href=\"https://pixelfed.org/\">Pixelfed</a>, <a href=\"https://socialhome.network/\">SocialHome</a>, and <a href=\"https://join.misskey.page/\">Misskey</a>. For those using Mastodon, this plugin will automatically send posts to the network and replies to it will become comments on the post.</p>\n\n\n\n<p>Last March, the ActivityPub plugin had just 700 users. Today it has grown to more than 2,000 active installs. Although it is not yet widely used, it has gotten more exposure since Elon Musk bought Twitter.</p>\n\n\n\n<p>&#8220;Thanks to Elon Musk, the number of downloads from my ActivityPub (WordPress) plugin and <a href=\"https://mastodon.social/@pfefferle\">my followers on Mastodon</a> have increased at least tenfold!&#8221; Pfefferle said in a post on his blog in January 2023. &#8220;This inspired me to work more actively on the plugin again and some great changes came about.&#8221;</p>\n\n\n\n<p>Most recently, Pfefferle added a new onboarding screen with recommended plugins, added the published date to author profiles, and added outgoing mentions, among other features.</p>\n\n\n\n<img />\n\n\n\n<p>Pfefferle said he thinks the idea of the acquisition is not to have the protocol merged into core, but to &#8220;guarantee that it will stay open source and to maybe make it a canonical plugin.&#8221;</p>\n\n\n\n<p>As more social networks unite on open protocols, it won&#8217;t matter where you choose to create your home on the web. Interoperability between apps allows people to post from whatever network they enjoy, creating a richer, more diverse web. Automattic&#8217;s support of the ActivityPub plugin ensures WordPress&#8217; place in the fediverse, where blogs will not isolated islands but rather interconnected as many were in the early days of blogging. Pfefferle&#8217;s work embodies these ideals.</p>\n\n\n\n<p>&#8220;I think my drive was always to build an alternative to the big walled gardens of Facebook &amp; co,&#8221; Pfefferle said.</p>\n\n\n\n<p>&#8220;I fell in love with the idea of blogging and the spirit of the Web 2.0 movement and tried to keep the idea alive. I worked on several WordPress plugins and participated in several movements (<a href=\"https://github.com/diso/\">DiSo</a>, <a href=\"http://dataportability.org/\">DataPortability</a> and others) starting in 2007.</p>\n\n\n\n<p>&#8220;It is so exciting to finally see such a big interest in Open and Federated technologies!&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 20:24:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress.org blog: WP Briefing: Episode 51: Is Routine a Rut?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14621\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wordpress.org/news/2023/03/episode-51-is-routine-a-rut/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8911:\"<p>On Episode fifty-one of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she makes a case for why routine is a good thing&#8211; in life and in the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br />Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">Beta 5, Additional Beta Released</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2, Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://wp20.wordpress.net/wp20-celebrations/\">Join WordPress 20th Anniversary Celebrations</a></li>\n\n\n\n<li><a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">Organizing Diverse and Inclusive WordPress Events</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Events News Widget Modification Proposal</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14621\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:00]&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:29]</p>\n\n\n\n<p>All right, my WordPress wonders; it&#8217;s time to join me for one of my gentle rants on basic leadership principles. Today we&#8217;re talking about the importance of routine and predictability in everyday life. But don&#8217;t worry, I&#8217;m gonna tie it all together with WordPress, too. So by now you&#8217;re probably aware that I don&#8217;t really consider myself one of those “born leaders.”&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:00]&nbsp;</p>\n\n\n\n<p>Over the years, I&#8217;ve put a lot of effort into researching characteristics of good leaders and general leadership methods overall. But one of the things I encountered early on in my leadership learning journey was the concept of routine.</p>\n\n\n\n<p>As with most leadership practices I hold, routine has more than one purpose. From a very pragmatic standpoint, routines provide predictability and the more predictable something is, the lower the cognitive load becomes, which in turn lets you use your thinking power for something better. For instance, if you know that in every check-in with your team lead, she&#8217;s gonna ask you what you were proud to have shipped last week, what you want to ship next week, and what things stand in the way of your plans, then you know that that is what you have to prepare for.&nbsp;</p>\n\n\n\n<p>The knowledge work, the thinking part. The thinking part stops being, what is my team lead going to ask me and starts being what is the problem that she can help me solve?&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:00]&nbsp;</p>\n\n\n\n<p>But from a more human standpoint, that kind of predictability helps us to understand when something that happened is out of the ordinary. Whether it&#8217;s a notification of a comment left on your blog or syntactical highlighting that lets you know that you&#8217;ve written something that&#8217;s out of voice or against grammar standards, it just lets you know that something is unusual there and deserves your attention.&nbsp;</p>\n\n\n\n<p>Now for me, this has a lot of applications across the WordPress project. There are the obvious things like the cadence of our major release cycles or our notification system, which honestly could use a bit of TLC, a little bit of elbow grease.</p>\n\n\n\n<p>But there are also less obvious things that this idea still applies to simply because of the way our brains work, the information architecture on our sites, for instance. It should make sense visually and semantically because that makes it easy for us to skim and predict where the highest value content is for us. Or the user interface across the back end of our software.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:00]&nbsp;</p>\n\n\n\n<p>Having familiar tasks or actions across any type of content or area of content makes it easier for a site maintainer to flow from one area of a site to the next, fixing things as they find them without necessarily having to stop and put down their hammer and pick up a screwdriver or whatever metaphor works for you. Or if you&#8217;re doing more nuanced work, like put down your timpani mallets and pick up your xylophone mallets.&nbsp;</p>\n\n\n\n<p>So, yeah, consistency. Consistency is the topic of today&#8217;s gentle rant. I get really worked up about it because I feel like consistency ends up being this euphemism for being boring. But I honestly believe that it&#8217;s the consistency and the dependability that make it clear what is supposed to be exciting, the things that are different enough that they merit our attention.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:38]&nbsp;</p>\n\n\n\n<p>Which, fortunately, now brings us to our small list of big things. It&#8217;s actually a pretty big list today and also a bunch of pretty big things. So first thing to know, there was an additional beta added to this release cycle.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:00]&nbsp;</p>\n\n\n\n<p>It was beta five; it came out last week, I think. There was a bit of a regression that we worked our way through. And so RC1, release candidate one, is going to be postponed a little bit because of that. But don&#8217;t wait until RC to start testing, obviously RC is tomorrow, so that means you get to test, like, today!</p>\n\n\n\n<p>The second thing on our small list of big things is that we have the WordPress 20th anniversary coming up. That&#8217;s May 27th. And you can join in the celebrations. So at WordPress&#8217;s 10th anniversary and 15th anniversary, we had like a big, ongoing global set of parties, like Meetup events got together and made cakes, or did a concert, or did a hackathon for various reasons.</p>\n\n\n\n<p>Like they all got together on May 27th or thereabouts and did some really fun, like celebration of how far WordPress has gotten them and how far they hope to be able to go with WordPress.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:00]&nbsp;</p>\n\n\n\n<p>So if you are from the before times WordCamp kind of organizing timeframe, you know that we always consider WordCamps to be like an annual celebration of the excellence of your community and how much you all come together and how different you are as part of this overall big WordPress-y thingy.&nbsp;</p>\n\n\n\n<p>All right. Third item that we have is that, I know that I mentioned this in the last WP Briefing as well, but we have another session of the diverse and inclusive WordPress events coming up that&#8217;s happening on March 16th. So coming up really fast, we&#8217;ll put a link to that in the show notes as well.</p>\n\n\n\n<p>And the final thing, I don&#8217;t remember what list number we&#8217;re at, but the final thing is that there is a proposal out there right now to modify the events and news widget that we use inside the WordPress dashboard. If you&#8217;re not familiar with it, it is a place where all of the local-to-you Meetup events get listed.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:00]&nbsp;</p>\n\n\n\n<p>It&#8217;s where all of the news items from various WordPress media outlets get published. We just have a link to it there. And so, we would like to make some changes to that so that we&#8217;re able to include not only specific location types of events but also events that are location agnostic because they&#8217;re online but might have a specific, identifying niche that you particularly find interesting.</p>\n\n\n\n<p>So it might be for Spanish speakers or for women in particular, or whatever it might be. There&#8217;s a proposal out for that. We&#8217;ll put a link to that in the show notes as well.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Mar 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"Gutenberg Times: Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://gutenbergtimes.com/?post_type=podcast&p=23587\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59907:\"<p>Rich Tabor and Birgit Pauli-Haack chat about WordPress 6.2 Preview, Dev Notes and Fieldguide, Gutenberg 15.2 and 15.3. </p>\n\n\n\n<p><a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#shownotes\">Show Notes</a> / <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#transcript\">Transcript</a></p>\n\n\n\n<ul>\n<li>Music:&nbsp;<a href=\"https://soundcloud.com/xirclebox\">Homer Gaines</a></li>\n\n\n\n<li>Editor:&nbsp;<a href=\"https://www.linkedin.com/in/sandy-reed/\">Sandy Reed</a></li>\n\n\n\n<li>Logo:&nbsp;<a href=\"https://markuraine.com/\">Mark Uraine</a></li>\n\n\n\n<li>Production:&nbsp;<a href=\"https://icodeforapurpose.com\">Birgit Pauli-Haack</a></li>\n</ul>\n\n\n\n<p class=\"has-larger-font-size\"></p>\n\n\n\n<p><strong>WordPress Developer Blog</strong></p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/02/block-theme-resources-roundup/\">Block theme resources roundup</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/creating-a-custom-block-that-stores-post-meta/\">Creating a custom block that stores post meta</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\">Converting your shortcodes to blocks</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\">Block deprecation – a tutorial</a></li>\n</ul>\n\n\n\n<p><a href=\"https://make.wordpress.org/themes/2023/03/10/summary-community-themes-project-kickoff/\">Summary: Community Themes Project Kickoff</a></p>\n\n\n\n<p><a href=\"https://felix-arntz.me/blog/rebuilding-my-website-using-a-block-theme/\">Rebuilding my website using a block theme</a> by Felix Arntz</p>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.2</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a></li>\n\n\n\n<li><a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\">Product Demo of WordPress 6.2</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Dev Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n</ul>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">What’s new in Gutenberg 15.2? (22 February)</a></p>\n\n\n\n<p class=\"has-large-font-size\">Stay in Touch</p>\n\n\n\n<div class=\"wp-block-group is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<ul>\n<li>Did you like this episode? <a href=\"https://lovethepodcast.com/gutenbergchangelog\"><strong>Please write us a review </strong></a></li>\n\n\n\n<li>Ping us on Twitter or send DMs with questions. <a href=\"https://twitter.com/gutenbergtimes\">@gutenbergtimes </a>and <a href=\"https://twitter.com/bph\">@bph</a>.</li>\n\n\n\n<li><em>If you have questions or suggestions, or news you want us to include, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. </em></li>\n\n\n\n<li><em>Please write us a review on iTunes! <a href=\"https://gutenbergtimes.com/itunes/\">(Click here to learn how)</a></em></li>\n</ul>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\">Transcript</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Hello and welcome to our 80th episode of the Gutenberg Changelog Podcast. In today&#8217;s episode, we will talk about WordPress 6.2 Preview, Gutenberg 15.2 and 15.3. I&#8217;m your host, Birgit Pauli-Haack, curator at the Gutenberg Times and WordPress developer advocate and a full-time core contributor to the WordPress Open Source Project. I&#8217;m thrilled to have with me today Rich Tabor, product manager for the WordPress Open Source project and part of Automattic&#8217;s Five for the Future program. Hi, Rich, thank you so much for taking the time out of your very busy week to be here with us and talk to our listeners. How are you?</p>\n\n\n\n<p><em>Rich Tabor</em>: Hey, thanks, Birgit. I&#8217;m doing pretty well. I can&#8217;t complain, to be honest. Thanks for having me on this show. It&#8217;s been a long time coming here.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I think so, for two years or so.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: In and out. For many who have known you in the community, you are an early adopter of the block editor, you and Jeffrey Carandang worked on several things together in the early days, and that&#8217;s about five years ago now. Since then, you presented at WordCamps, virtual and in-person. I remember your talk at WordCamp Atlanta. No, was it Atlanta in 2019?&nbsp;</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, it was.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230; Boston &#8217;19 that I saw you, but both of them are fine. Also, your talk on WordCamp US in 2021 and last year, so there&#8217;s a lot you did in the last five years.</p>\n\n\n\n<p><em>Rich Tabor</em>: I&#8217;ve been exploring block editing since I guess before it landed in WordPress. WordCamp US in 2018, I believe, is really what kicked me into gear on designing and building block experiences for Gutenberg. Since then, I&#8217;ve been building, launching, and sharing my knowledge however I can. Code Blocks, the project I did with Jeffrey Carandang, it&#8217;s now under the GoDaddy brand, I was one of the early explorations and just a really great entry to learning the ins and outs of Gutenberg. I personally learn best by doing something real and releasing an open source block plugin for folks to actually use was certainly the catalyst to where I am today.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I used Code Blocks together with Atomic Blocks. Michael Allison was pretty much also on the forefront and it must have been before 2018, though, WordCamp US 2018, because I think wasn&#8217;t that there when you already sold Code Blocks to GoDaddy?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think it was January 2018. In 2018, it was the like, &#8220;Hey, I need to get serious,&#8221; moment. Maybe it was &#8217;17, I don&#8217;t know, but right around there, it was like the, &#8220;Hey, let&#8217;s learn this and let&#8217;s do this.&#8221;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Now, as a product builder, what do you find now fascinating about the WordPress, the block editor, the Site Editor, and this potential to empower folks?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think that potential is huge. The WordPress experience is changing and evolving, and it&#8217;s slowly becoming more intuitive and better to use on the site level, not just on the post editor level. I just think that the opportunities for empowering those creatives and publishers and just people who want to share something and have a little ownership in it on the web is paramount to the future of the web, and I&#8217;m just so thankful to be a part of this time in WordPress.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It&#8217;s been quite exciting to see what people come up in their creativity, what they do with the sites, what they do with the design tools, how they manage the space and the spacings and the dimension controls. There are quite a few additional explorations there that are totally new to WordPress, nobody really, apart from additional third-party page builder, but to have that right into the software is such an amazing product. I&#8217;m really happy about that. I&#8217;m glad we are finally here.</p>\n\n\n\n<p><em>Rich Tabor</em>: We&#8217;re getting there, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We are there. To the Site Editor, do you think it&#8217;s ready to have people use it in production and all that?</p>\n\n\n\n<p><em>Rich Tabor</em>: Oh yeah, certainly. I think that there&#8217;s always improvements to be made and there&#8217;s still a lot of lines to draw between the dots to connect a lot of these experiences, but overall, as a holistic editing experience for your site, it&#8217;s really been fine-tuned in the last couple of maybe half a year or so, since the release of 6.1, it&#8217;s really tightened up quite a bit and there&#8217;s more to do, but I&#8217;m pretty stoked at where we&#8217;re headed.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Me too, me too. We will talk about it when we go to 15.3, I had another great experience with the new tools that are in there, but first of all, we have some announcements, well, actually one announcement, but it has multiple facets there.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Announcements</strong></h3>\n\n\n\n<p>There is an official WordPress Developer Blog and in February, there were six new posts published there and one of them was a block theme resource roundup by Daisy Olsen. If you are WordPress developer, either you have already experience with block themes, you get some resources there, as well as if you just get started and want to have one page where you can have a startup page, so to speak, get started and get to the resources that are available on wordpress.org, all through learn, through the Developer Blog, through documentation, the theme handbook, it&#8217;s a great roundup of all those resources.</p>\n\n\n\n<p>The next one is a little bit is a topic that is really high on our minds and finally, we have a post up there, and you probably can talk about that, as well, it&#8217;s about the intrinsic design theming and rethinking how to do design with WordPress. Justin Tadlock wrote this post because there were a lot of questions about the responsiveness of WordPress, that&#8217;s one thing. The other one is many people that come from other page builders, they miss their viewpoints, the three viewpoints that they have been using for the last 8 or 10 years. But intrinsic design is more the fluid typography, so no matter what the screen size is, it adapts to the screen size and there&#8217;s also fluid spacing that&#8217;s now part of WordPress. Is that enough, what do you think, Rich?</p>\n\n\n\n<p><em>Rich Tabor</em>: I think you hit it on pretty good. It&#8217;s the idea that when you design something in WordPress, in this case, that it inherits the responsive nature of the viewport, instead of you having to actually declare those values, like instead of declaring that you want to font size smaller on mobile or even a column going to Stack on mobile versus on desktop, maybe it&#8217;s side-by-side. It is something that intrinsically will Stack whenever it becomes too small to render side-by-side, so trying to figure out those controls, it is tricky to be honest, but there&#8217;s been a lot of improvements in that direction and overall, it does simplify the editing experience quite a bit. That doesn&#8217;t mean that we&#8217;re there, by any means, on the controls that we need, but if we do improve some of the Row and Stack capabilities and some of this intrinsic design methodology in WordPress, I think it will move forward to the point where it&#8217;s less of a concept that you have to think about and more of just a way that you expect it to work.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I can see that those viewpoints, that&#8217;s more for designers rather than your site owners or those who just want to build a website and hope that it&#8217;s all working out of the box, and those concepts can get really confusing, but also very hard to manage. I saw a plugin that was built on the block editor, but they had six viewpoints for every design decision. I don&#8217;t think that&#8217;s where we want to go as a product, pretty much, or for the normal user or even the design user, the theme developer, that they have to be so granular. It&#8217;s not so much thinking about the first version of it, but also where did I change this? Is it in the viewpoint of this one or this one or this one?</p>\n\n\n\n<p>With the proliferation of the screen sizes, they go smaller, but they also get bigger, I think it&#8217;s going to be harder and harder to actually hit the right size for the viewpoints. I think there was a very interesting article from Justin Tadlock and there&#8217;s definitely a lot of discussion also on there, so dear listeners, you can definitely spend a half an hour or so reading that and also reading the discussions. Another article on the Developer Blog explains the difference between the static and dynamic blocks. Joni Halibi wrote this one. I know it was a topic close to her heart. She&#8217;s a developer at Georgetown University.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Thank you. I heard her talking about it, so I asked her if she wanted to write about it. It&#8217;s definitely a great rundown of the pros and cons of static and dynamic blocks. Dynamic blocks are rendered with PHP, static blocks are everything the editor, as well as frontend is coming from Post Content from the JavaScript. I think the biggest hurdle is the updating during development and after development. I&#8217;m jumping over the other lists there.</p>\n\n\n\n<p>There is just today, Michael Burridge published an article on how to deprecate static blocks and have some version, so you have a version of a block on the site and you use it multiple times and then a new update comes for the block. Sometimes when you open up the post into the editor and there was a block in there and it wasn&#8217;t deprecated right, it has this error message in there, so something happened with the block kind of thing, and some of you have already seen it, and this prevents that from happening. It&#8217;s not difficult from the mechanics, but it&#8217;s definitely something to think about when you do static block development. How did you feel about that when you came across it in your early days of block development?</p>\n\n\n\n<p><em>Rich Tabor</em>: I feel like that&#8217;s a pointed question. The idea between static and dynamic blocks is really powerful. Dynamic blocks are definitely, I would say, probably the primary use case on most of the more complex blocks that you would build, in particular in third-party situations like rebuilding a custom block for a client, because you don&#8217;t need deprecations at that point. If you need to make changes, you can, because it&#8217;s all rendered in PHP, and the tooling around dynamic blocks has improved quite a bit, as well, with the render.php file that you can load in and it makes templating a much easier process than it was originally. But deprecations are a necessary part of static blocks and they can be a little frustrating just because it sits there forever at that point, but if I&#8217;m building a custom block these days, I probably would lean more on the dynamic side, if possible.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I can see that. There are some new ideas actually happening that also will be on tap into the dynamic block development there, and we will talk about it on the Gutenberg Changelog when the time is right. Two more posts were launched just recently, one was how to create a custom block that stores Post Meta. That&#8217;s certainly a big question that a lot of people had and Ryan Welcher answers that question nicely, walk you through step-by-step, and explains very much most of the steps that are necessary to make that successful.</p>\n\n\n\n<p>And then the other post is converting your short codes to blocks, and that one is from Jonathan Bossenger and he has his use case that he&#8230; It&#8217;s not really a conversion, it&#8217;s recreating something that was a short code into a block and make it more user-friendly. Short codes had their good usage, but with newer modern interfaces, they are just too cumbersome for site users to write all those text strings and not forgetting a comma or something like that, so converting them to blocks is definitely a good way to go about them. Any thoughts about those two problems? It doesn&#8217;t have to be from the articles.</p>\n\n\n\n<p><em>Rich Tabor</em>: I would say they&#8217;re both well-written and good examples of writing tutorials and documentation together, in a sense. There&#8217;s a short code that Jonathan&#8217;s actually converting in real time, you can see and watch it, I think you might be able to listen to part of it, but the idea that you&#8217;re taking a real-world example and converting it, I think is very powerful. And then the same goes for the other one about storing Post Meta with the custom block. I think it&#8217;s very powerful and hasn&#8217;t been done very often, or at least not often enough that&#8217;s front and center, because it really is a powerful way to manipulate Post Meta, but also site options. I think it works very similar if you&#8217;re updating the site options, which is what the site title block does and the Site Logo block. But you could do other options, perhaps, like I experimented with pulling in the WooCommerce phone number into a block, but if you update it there, it also updates it in WooCommerce, again, connecting some of those dots that right now are very disconnected and this is one of those steps in that direction.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, that&#8217;s actually a good idea to look beyond the WordPress core and see where connections and integrations are made. We definitely share the links in the show notes that are coming out with this episode or you can just go to the Developer Blog and read through the latest What&#8217;s new for developers? (March 2023). That&#8217;s the second edition of a roundup post of what&#8217;s new not only in a block in the block development, but also for core and the learn places, but it&#8217;s specifically for developers, extenders, plugin developers, theme developers, or agency developers so they can get up to speed very fast.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Community Contributions</strong></h3>\n\n\n\n<p>We have, in the section of community contributions, there&#8217;s one new project, the theme team kicked off the community theme project, and I believe, Rich, you were part of it. What can you tell us about it?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, certainly. On March 7th, we had, I think, over 20 people participating in the Hallway Hangout session to discuss it. This community theme project is an interesting way to start really just encouraging experienced and new WordPress contributors to create more themes, in particular, block themes. It was a big learning curve to how block themes are created compared to existing themes, but really they&#8217;re much more of a simple system that&#8217;s design-oriented, so some of the talks were centered around a designing a theme within the editor and not necessarily with a different design tool like Figma, which is a huge challenge, but I really think it will help open up a lot more eyes to the issues that we need to continue resolving within the editor to encourage more of the explorative design work that designers can leverage to build beautiful themes.</p>\n\n\n\n<p>There&#8217;s a Slack channel within Make, it&#8217;s the Core Themes Projects channel, there&#8217;s some discussion there. There&#8217;s a repo, I think it&#8217;s WordPress/community-themes. The idea is that you can start creating themes and submit them as a pull request and collectively, we&#8217;ll all try to help get these situated in the right way, so where we&#8217;re all learning and growing from this experience of building themes together.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m really excited about this. This started with the theme team, thinking about the latest default team that was 2023, where there was a call for sending in style variations. There was a base theme that was made public very early and then there were, I think, 19 theme designers sent in about 30, almost 40, style variations, of which 10 made it into the final release. But that kind of community collaboration is always very fruitful and very creative and it helps people really learn about things, but also push the boundaries so much more than just brooding alone in your own remote home office. I think that&#8217;s a fantastic way to get the community also in producing more than one theme per year; I hope that is what will come out of it. The theme will all be published under the username of WordPress, so that&#8217;s the new part of it, I would think. Do you already have an idea for a theme that you might want to work on?</p>\n\n\n\n<p><em>Rich Tabor</em>: I&#8217;ve got the bug to redesign my blog again. I love it, but I want to remove some of the barriers to publishing. Featured image, right now, it&#8217;s almost required in my current blog design, and then I want my headings to be a certain lead flow, so I want to try to identify the things that are blocking me from publishing more and start designing in that essence, so it could be more of a thought feed instead of only technical blog posts, in a sense. That&#8217;s my personal project I&#8217;ve been exploring a little bit on.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I saw that the list of block patterns for the Query Loop actually would probably help you with that, because there are quite a few text-based lists design available now in the Block Pattern Directory, as well as I think that are now coming out, as well.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah. There&#8217;s more opinionated design elements to some of these patterns, which I think is great because at the end of the day, if you don&#8217;t want to use a pattern, you don&#8217;t have to use it, but if you do want to use one of these more interesting, opinionated designs, then it&#8217;s a great start to building out the rest of your theme. I&#8217;m really looking forward to even more of the patterns coming down from WordPress.org.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Oh, speaking about switching the site up, Felix Arntz, who is a software engineer with Google, shared his experience on doing exactly that, switching his site from a classic theme to a block theme and his post is exactly that, rebuilding my website using block theme. It&#8217;s a very long post; he recounts all the steps in detail that it took him to convert it, and it wasn&#8217;t so much&#8230; It was minimal code editing, he says, in part, but he also had to update his custom blocks, so that&#8217;s part of it. But he also, and that was very interesting for me to read, is that Felix is also a member of the WordPress Performance Team, so what he did was also measuring the performance before and after the redesign and it really piqued my interest, and you definitely should read it, dear listeners. I&#8217;m only Miss Numbers on the podcast, it&#8217;s really hard, but I just wanted to say one number.</p>\n\n\n\n<p>He did two steps. One was just recreating the same pages with the block theme, the header and content and Query Loop and that part and then measured it, and then he did additional tweaking and he actually explains very detailed how he did those. And then with the first step, just moving it over to a block theme, he had an improvement on the LCP, which is the longest content paint, one of the web vitals. He went from something a little over 1 second to 600 milliseconds, so that was an almost 38% improvement of the speed. But when he did the first performance tweaks, he went down to 452 from 1 second to 0.4 second, that&#8217;s an improvement of almost 60%. That was the first time that I actually saw this so very much spelled out and I have a trust in Felix that his numbers are actually averages from multiple tests, he explains that also in his post, but this was a very interesting post in many, many directions. Also, learning more how to do some more performance tweaks was one. I&#8217;ll leave the link in the show notes and definitely go and read it.</p>\n\n\n\n<p><em>Rich Tabor</em>: I would just like to echo what Felix writes at the very end. He says, &#8220;Block themes in full site editing, the effort for the Site Editor has evolved quite a bit since it originally launching in 5.9.&#8221; He says, &#8220;Here, I can with confidence say that it was the right decision for me to jump on that train now. If you&#8217;ve tried block themes a while ago and weren&#8217;t satisfied, maybe give it another try.&#8221; I totally agree with that sentiment. Especially if you have a personal blog, I would say just give it a shot, even 2023, put that on there and start designing it within the editor, then start running with it, you can see what happens.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: If you are not a developer and a little bit of hesitant to change something in production or on a live site, definitely be cautious. There is a new tutorial up and I just listened to it a couple days ago with Sarah Snow, she actually did the same thing. She went and replaced her old theme with a new theme and rebuilt her website, but she also walks through how she tried to avoid all the pitfalls to take her site down and all that, so that is also for non-developers, a very good tutorial to look at and to watch.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>What’s Released &#8211; WordPress 6.2</strong></h3>\n\n\n\n<p>That brings us to the section of what&#8217;s released? Of course, we start with this week, it was release week with multiple releases.</p>\n\n\n\n<p>One of them was the 6.2 Release Candidate 1 and the contributor published 12 dev notes that are related to the block editor in the Field Guide. The Release Candidate 1 is that point in the release cycle where there is hard string freeze, the Field Guide is published, and the emails go out to plugin and theme developers about what&#8217;s new, that send the Field Guide and also to test their products against the new version so they can figure out all the incompatibilities or make it compatible to the version. The final release is on March 28th, 2023, that&#8217;s, right now, 18 days from today. We are recording this on March 10th. Rich, you were part of the release squad as lead for design, what was your role there, or is your role there, you are not done yet?</p>\n\n\n\n<p><em>Rich Tabor</em>: No, not quite yet.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We are not done yet.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right. I think there&#8217;s three focuses, especially around this release. But the first, I would say it&#8217;s keeping a general pulse on what&#8217;s coming, what&#8217;s being worked on, keeping contributors focused on delivering that best, optimal WordPress experience that&#8217;s always right there on the horizon. It doesn&#8217;t mean we&#8217;re there today, like I&#8217;ve said a couple times here, but if we set our gaze in that direction, I&#8217;m sure we will continue refining and iterating towards that best experience, so that&#8217;s the first. The second would be the about page. The WordPress about page introduces you to the latest and greatest parts of WordPress that have been put into by all these contributors over the last release.</p>\n\n\n\n<p>That&#8217;s been a fun project working with designers from the design community and really putting together the images and the layout and the structure, even the copy, to make sure that it portrays 6.2 as intended. 6.2 has a lot of new stuff in it and it&#8217;s hard to distill that into one page, but it&#8217;s been a welcome challenge, for sure. And then the last bit, this release, we did a product demo of 6.2, I did it with Anne McCarthy, and that was a very nice way to really showcase what&#8217;s coming in a live action, here, this is like a real demo on a real site that I set up. I was using 2023 and I designed it a little bit differently so that it showcased some of the design tooling in the actual demo itself and it was great. We had lots of help, lots of folks really chimed in to make that what it was, and I thought it went pretty well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The site was beautiful. If you, dear listeners, haven&#8217;t seen it yet, go, and of course there will be a link in the show notes, but go to the product demo and watch that video. You will learn a lot about 6.2, but also it&#8217;s actually a joy to watch, so that&#8217;s definitely….</p>\n\n\n\n<p><em>Rich Tabor</em>: Awesome.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It shows that a designer was preparing for the product, absolutely. As mentioned, there are block editor related dev notes, so what&#8217;s coming, what should developers watch out for? We are not going through all 12 of them, but there, we have a few. First off is the introduction of the Block Inspector tabs, which is a design, an interface change, that your customers or you, if you build sites for others, will need to get used to, because now the settings are in two tabs, one is the settings tab, the other one is the appearance tab. In the developer note, we learn how a custom block can manage that for themselves, where do the settings go or the styles? I know that some custom blocks have their own color picker and if they don&#8217;t do anything, they will find it under settings and not under appearance, for instance, because settings is a default. There&#8217;s a little trick there that&#8217;s in the dev notes how to do that, there&#8217;s a new Group attribute that says either style or settings.</p>\n\n\n\n<p><em>Rich Tabor</em>: Next step, we have shadows that are added to global styles in 6.2. These are shadow presets that are provided within the core theme.json file, but themes can also provide their own shadow presets using, I think it&#8217;s settings, shadow preset. There are four or five provided by core, but they&#8217;re pretty easy to override. In the future, releases will include the shadow control elsewhere. Right now, it&#8217;s only on the button block and that&#8217;s to restart refining it and tightening up the experience first. Some other ideas that are circling are perhaps allowing multiple shadows, so how do you Stack them, perhaps? Of course, the blur, the X and the Y, trying to really hone in on the design of the shadows, as well, but right now, they&#8217;re just preset-based. I think they&#8217;re nice, but they do need a little bit more work before we move them available on more blocks.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: You said that they are now only available for the button block, they are not available in the post editor, only in the Site Editor in the style sidebar, just because of that….</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230; that you only can do global studies with that. The next one is the introduction of an HTML API, which is, it&#8217;s very developer-oriented, so it&#8217;s highly technical, but it&#8217;s a uniform way that WordPress developers now can travel through parsing a website and changing out tags. That was always prone to rejects and all the other things that was only prone to not always hit the mark and this one is now so much better. People can use it not only for the block editor, but of course, also for their PHP plugin or other apps that they add to the WordPress.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right. The next one here is the sticky position block support was added in 6.2. Right now, it&#8217;s featured on top-level Group blocks, so only the Group blocks that are within the top level of your document, so in the list view, it&#8217;s the first level. It&#8217;s this new prop that right now enables you to set it to sticky and if it&#8217;s set to sticky, even within the editor itself, the actual Group block will stick. Right now, it&#8217;s not open to other blocks because there&#8217;s still some UX considerations around sticky positioning, because it doesn&#8217;t always stick if the surrounding element isn&#8217;t tall enough to allow for sticking, so trying to figure a smart way to communicate that is a very important part of that experience, otherwise you would think it would stick, but it doesn&#8217;t. I think that that&#8217;s something significant to iron out, but that&#8217;s already in the works for, hopefully, the next release of WordPress.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: There&#8217;s a lot of trial and error to do and a lot of people have a different ideas on how is this supposed to work, but I am really looking forward to it. Well, the sticky header, we all know about, but with mobile, you also need to think about a sticky footer, because that&#8217;s where your thumb goes. When you look at a webpage, you are not going to the top, you are going to the bottom, so there are quite some new variations possible. The next one is that a lot of people waited for it and now, here it is, custom CSS in the global styles, that&#8217;s one part, but also you can have custom CSS4 on a block level, so it&#8217;s now here. It&#8217;s a little bit more hidden, so it&#8217;s also in the style sidebar, it&#8217;s not upfront in the left-side menu item like it was for the customizer, but it&#8217;s there and it works and it&#8217;s beautiful.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: A few people asked me if it would also come to the post editor so you can do it on a single instance of a block, because in the style sheet, you only do it for the block and then it propagates over the full site, but if you just want to do one section in your per&#8230; That&#8217;s not possible, unless you do an additional class name in the advanced section and then go to the standard sheet and put that class name and your styles in there. I have an answer for that person who had the question.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. And then the next big one is the minimum height dimension support, and this is a new block support feature added to 6.2 for the Group and I believe the Post Content blocks and it&#8217;s opted in by default. This makes the Group and Post Content blocks perform much like the Cover block, where you can set a minimum height that it would take over in the page. It&#8217;s useful, for example, if you had a footer and some content and you wanted the content to keep the footer down below, so you can set a minimum height of the content using a viewport unit, perhaps, and then that would apply it to where the footer would stay towards the bottom of the page and not be meshed up at the top. It&#8217;s pretty self-explanatory and we already have this in the Cover block, but it starts to extend it out into other blocks.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Wonderful. Excellent. Also, there is not a Card block per se, but there is a component there, but I think with the minimum height, you actually could use that Card block for all kinds of different content there. The Miscellaneous Editor changes in WordPress 6 is that that place where all the little things go in. There are a few little things that are not new features, but they are extending existing features. The first one is the fluid typography now also has a minimum font size in the UI that you can set, I think is it UI? Yeah, I think so. You could always do this for the theme. How you can use it, I read 13,000 words in three days or something like that, forgive me for that. That&#8217;s why in 6.1, there was a minimum, but there was a hard coded minimum and now it&#8217;s you can set this as a theme developer, as well, in the theme.json. Of course, it&#8217;s not in the UI yet, fluid topography is not that yet in the style things, I guess.</p>\n\n\n\n<p><em>Rich Tabor</em>: For another Miscellaneous improvement, we have sizing controls for flex layout children. This means that when you have Container blocks, like the Group block and Row and Stack blocks, you can set a flex-type layout which provides controls for the blocks within those. If your blocks are stacked vertically, then it would be a height control, if they&#8217;re stacked horizontally, it&#8217;s a width control, so it&#8217;s dynamic in that sense. You can set, I believe it&#8217;s fit, fill, and fixed, so that&#8217;s where it either hugs the content, fills the available space, or is a fixed value. This plays into the intrinsic design that we were talking about earlier in starting to add more controls that allow a block to either try to take up only a space as it needs, fill up all the space that is available, or stay within constrained value, so it&#8217;s one of those improvements in that direction.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The next one is there is a new CSS class attributed to every Heading block, so now you can control the Heading block more granularly for each of the levels, and you can, for instance, say a blue background for all the H1s and a pink one for all the H2s, which is now easily done through the theme.json by adding the other style for the elements. You have style elements, each one, color, background, that would be the latter, and the other one would be styles for blocks and then Heading and then the elements, then each one, and the background, so it&#8217;s quite granular in the controls, that&#8217;s pretty cool.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I agree. I believe the last one for the Miscellaneous Editor improvements is the ability to edit block style variations from theme.json. This is a new theme.json API that allows existing core block style variations to be styled directly from theme.json. For example, the Image block has a rounded variation, so you could target the rounded variation and set its border width or border radius within theme.json now, which is pretty neat.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I believe then, was it in 15.3, we also get the UI for it in the style?</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, we&#8217;ll come to that. But that is our WordPress 6.2 rundown on the developer notes. Of course, there&#8217;s more, look at the Field Guide, the links will be in the show notes, of course.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Gutenberg 15.2 and 15.3</strong></h3>\n\n\n\n<p>We&#8217;re coming to the last, to Gutenberg releases 15.2 and 15.3. Gutenberg 15.2 was released on February 23rd. Yes, it&#8217;s been that long that we heard each other, I know, and I&#8217;m really sorry about that. Daisy Olsen was release lead for that and it contained 197 PRs merged by 57 contributors, four of them were new. It was mostly fixing bug fixes, because WordPress 6.2 will contain all the features that came out in 14.2 to 15.1, that&#8217;s the whole range, 10 Gutenberg plugin releases, the features all come into core. But then after the beta release, there are a lot&nbsp; more people testing it, they find bugs, and they are still also finished the last little bit on some of the features, so many things in the Gutenberg 5.2 release or in the bug fix category. The new features probably didn&#8217;t make it into 6.2, but we can tackle each one of them and find out.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes, I&#8217;ll kick us off here. The first bit here is that there is a new nested level when selecting templates or template parts in the Site Editor, which is an enhancement that right now is a little bit it&#8217;s in a middle ground, where it&#8217;s basically a placeholder state for future contents to go. Some ideas are when you focus in on a template part, we could potentially have the different template parts that you could replace with that one, for example, or even some other different controls, like assigning it a category, having its name present, so it&#8217;s right now, a place to start thinking of what controls we can put there to control that template part.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The second part I want to point out is there&#8217;s now a modal to choose a start pattern for particular templates. The biggest problem users have is they want to start a new template, but how do they start? Now, theme developers and also plugin developers can actually add patterns to the site that now opens a modal and then can be selected. Also, the selection is a little bit better to view because you have more space to see all the patterns that are available for that. There is also an API in the works that lets you target certain templates with your patterns, but that has not been released yet, that&#8217;s still in the works.</p>\n\n\n\n<p><em>Rich Tabor</em>: This next one here is pretty interesting, it&#8217;s the UI for template revisions. Now, we have a button to open up the revisions for templates and template parts, which is quite powerful because previously, it was very difficult or nearly impossible to find those revisions for your actual template parts. Say you&#8217;re focused in on your header and you changed some of your navigation items and then you changed maybe the background color of your header and then saved it all, but wanted to go back to a different version the next day or so, say it didn&#8217;t really sit well, you can now access those revisions and make those requests to change them back to what it was previously. I think it&#8217;s pretty neat on the template level and again on the template part.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Revisions, I always need to change my mind once back and forth, this revision is really helpful, having access to it to know what my former self was thinking with that and go back to a previous one. The next one with 15.2, it came a global save button to the Site Editor, so when you make changes to multiple templates and all that, it tracks them and then you can save all at once, but it&#8217;s not anymore to the right, it&#8217;s going to be on the left. I think it makes it, actually, in 6.2, you can have that, that was….</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I believe so. We have another one here for the Post Excerpt block that allows you to control the length of the excerpt. There&#8217;s a range control now where you could slide it left or right, or I think you could also enter an integer value, as well. It would essentially truncate to the Post Excerpt within the Query Loop block, so now you can define how long you want those to be instead of falling back on the default number of characters, which was pretty large, so it&#8217;s a nice quality of life improvement for designing.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m just hesitating and I need to verify this, there is the possibility that that was actually reversed in a later version.</p>\n\n\n\n<p><em>Rich Tabor</em>: I think the change, it was affecting if a post type didn&#8217;t support Post Excerpts. I don&#8217;t know that it actually reverted the control itself, but it is still a work in progress, that&#8217;s why I don&#8217;t think it landed in 6.2.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: No, it didn&#8217;t.</p>\n\n\n\n<p><em>Rich Tabor</em>: It could be tidied up a little bit.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We definitely need to test this, as well, in a real-life situation.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Do you have a site that&#8217;s on Nightly or on trunk, where you have all the latest versions in production or so?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. I&#8217;m running it dangerously, I&#8217;m running everything. The whole eat your own dog food stuff, I just really want to see the problems before they get big.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I changed over, I don&#8217;t know, a year ago for the Gutenberg Times to run on WordPress Nightly and also on the trunk version of the Gutenberg Nightly, which is a plugin coming every day from the current version.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: On the website, on the Gutenberg Times, you can see the Nightly, if you need to live on the edge.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The next item on the list is that the Post Featured Image block now has aspect ratio controls, so you can determine that and it makes your post table, the list of posts, much nicer to control that so when you have different sizes and images, you can actually say which aspect ratio you want to have in there. That&#8217;s a long-time want of mine to get that. There are themes who manage that quite well, but now you can do this, as well, in the block editor site templates thing.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. There&#8217;s some more follow-ups on aspect ratio. I think it can be quite a powerful tool for not just a Post Featured Image block, but also just Image blocks or even Cover block maybe, I think there&#8217;s other ways to continue to push that forward, for sure.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I see from my agency days, which are not that long ago, see users adding featured images or even just images when they&#8217;re just changed the size of it and they didn&#8217;t change the aspect ratio with it, it was just very distorted. It&#8217;s very hard to teach that who is not dealing with it on a day-to-day basis and does not have an image dimension feel for it, it&#8217;s very hard to teach that, so if that works out as it should be in the editor, it makes for a much better web.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Bug Fixes</strong></h3>\n\n\n\n<p><em>Rich Tabor</em>: Yes, yes. I think that&#8217;s it for the highlights, for the enhancements. There was a whole slew of bugs that were fixed in 15.2, so I&#8217;ll call out this one here. The ToolsPanel needed a couple of tweaks, there&#8217;s a new feature in 6.2 for copy and pasting styles so you can design a heading or design a button, design anything, and copy its styling and then paste it onto another like block, so copy the heading styles to another heading or button to another button, for example. We needed a way to ensure that those values were properly propagated to these other blocks so there were some minor tweaks to fix that, but now, it&#8217;s all good and when you copy and paste those styles, you see those applied properly within the tools.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s such a phenomenal feature, that copy styles over, that you can have it. It&#8217;s in-between block-oriented or block on this post and global styles, it&#8217;s in-between, and sometimes you need that to make the same things look the same, but not the other things. It&#8217;s really good to just do copy paste on that. I think that was it for 15.2, unless I&#8217;m overlooking something. I&#8217;m scrolling, scrolling, scrolling. Scrolling, scrolling, scrolling.</p>\n\n\n\n<p><em>Rich Tabor</em>: This is a pretty big Changelog, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. I find one, though. You could use, so that&#8217;s for the build tools, the WP Scripts has now another flag that you can actually run it in development without having the watch from apply every build on your development system. I think that&#8217;s a good flag to point out for people who use those internal script for that. That&#8217;s the Gutenberg 15.2 for us. Let&#8217;s dive right in to 15.3. You&#8217;re coming right off of releasing it, Rich, so what was your first experience with&#8230; Was this your first experience releasing a Gutenberg plugin?</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Gutenberg 15.3</strong></h3>\n\n\n\n<p><em>Rich Tabor</em>: Yes, it was, but I did co-release it with Hector, so he&#8217;s a team member of mine. He helped me, he guided me quite a bit on this one, but it was pretty smooth, to be honest, especially there&#8217;s a little bit of tension around getting the immediate bug fixes in for 6.2 and backporting and keeping that in line. But generally speaking, I think it&#8217;s a well-oiled machine and moving forward.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Definitely. It&#8217;s the 153rd release, so you hope that everything is well-oiled by then.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I like when you say backport and not only to 6.2, but also there are bug fixes for the release after the Release Candidate. There is an expression that I really like that&#8217;s cherry picking, which is an interesting thing to do.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Enhancements</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: But it&#8217;s just a little joke. People talk about it with cherry emojis. The release had 161 PRs in there, so almost as big as 15.2, and also a lot of bug fixes in there, but it also had some enhancements to the Duotone, quite a few. The Duotone CSS is now not created in line, that&#8217;s the expression, right?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes. It&#8217;s not applied in line.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: In line, it&#8217;s now in the style engine, so it can also be controlled through all the different levels. There is a control for the global size control for the Duotone and CSS variables instead of slugs, which helps it to propagate it over different to use the presets, as well, so Duotone is quite interesting. There is actually a bug in the backwards compatibility, it&#8217;s already noted that when you have a Cover block with Duotone and you upgrade it to 15.3, you get the heart attack kind of thing, oh, my Duotone is missing. If you apply them again on the same Cover block, it will appear again. That&#8217;s something that we found while we were testing it, but the bug fix is in the works.</p>\n\n\n\n<p><em>Rich Tabor</em>: Nice. It also means that by using these slugs instead of hardcoded hex values for colors, that when you do switch to variations, for example, those Duotones can actually map now to the new variations. If they use the same slugs, then you&#8217;ll get the new styles instead of in previous versions, where if you applied a Duotone reset from a theme, like say it was yellow and blue and then you switched to a variation or changed your theme up to one that was green, they would still be yellow and blue, so now it can receive the new ones if there are there. I think it&#8217;s a pretty cool improvement on something that is one of those things that should have always worked this way and now that we&#8217;ve explored a little bit more, it&#8217;s like, &#8220;Let&#8217;s go ahead and knock that out,&#8221; so a lot of effort went into that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The style versions are very, very interesting in that regard, that sometimes you want the thing to come over, take over your site, but then you want certain things that stay the same. It&#8217;s very hard to read the user&#8217;s mind as a developer, as a designer.</p>\n\n\n\n<p><em>Rich Tabor</em>: The way I look at it is if you&#8217;re using a preset, then that&#8217;s game for a theme to manipulate. But if you&#8217;ve applied your own colors, I believe in these Duotone PRs, even if you applied a red and black, by picking the actual colors yourself, then those will stay hex value, so when you switch to a different theme, they&#8217;ll still remain red and black. But if it&#8217;s a preset, I would say that it&#8217;s open for interpretation by the theme designer.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I think there is a bug in there. 15.3 also brings us a new block. It&#8217;s been a while since we had new blocks, but this one is a very tiny block, but it&#8217;s very powerful. People know that in a list view, you can see the number of blocks and the number of words and the time to read and several people asked, &#8220;Can we have that also show up as a block so we can add it to our post template or for the single post?&#8221; Yes, this was now implemented. It&#8217;s a very basic block, it only shows one minute or three minutes, well, 15 minutes, that&#8217;s all it does, but I really like that, because first, it can be translated in any language, and if you use it together with a Paragraph block in a Row, then you can have any string in front of it or after it that you as a site owner want to put in there. I tested that and it worked really nice.</p>\n\n\n\n<p><em>Rich Tabor</em>: I think there&#8217;s some follow-up PRs to do on that to add some of the design tooling that exists on other blocks, but it&#8217;s a great start and just nice, another piece of meta that can help readers know what to expect, investment-wise, like how much time am I going to invest on this? I think it&#8217;s great.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That was the one point where I really needed and was so happy that they have now, the custom CSS, because on the blog where I used it, I wanted to have that line reading time, one minute or three minute, be smaller than the rest of the excerpt in the post list. I was able to, of course, use the typography controls for the paragraph part, but not for the time to read, so I created, there is an advanced section where I can add a new class. I set a T2R and then went to the custom styles and then created the custom style for the T2R and made it font size small, which is pretty much the same as the reading time. It worked out of the box and with the rows, I could align it. The row controls were really nice, I like that. Now, I see that you could do some of the other shortcuts that are out there that are actually strings that are in a paragraph can now be blocks that need some design controls, but you don&#8217;t have to use the shortcuts anymore.</p>\n\n\n\n<p><em>Rich Tabor</em>: That&#8217;s right.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m thinking a little bit more in that direction.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I know that some of the developers actually were exploring having a token system to take care of those string-related in the middle of a paragraph kind of thing. I&#8217;m not sure if that is needed or just introduces another complication or complexity to the system and it&#8217;s hard for users to use. If you have a block meta for it, it&#8217;s so much easier to get it into the system.</p>\n\n\n\n<p><em>Rich Tabor</em>: Yes, I agree. 15.3, I would say these are the big hitters on these, but there were a bunch of small improvements like making the Site Logo block placeholder just a little bit smaller so it fits better within headers, especially around the new header patterns included in 6.2. There&#8217;s been some quite a few bug fixes around template parts, resetting all for typography, making sure the Site Editor&#8217;s a little bit more tightened up, so some of the alignment parts and then the design units within the Site Editor have been tweaked and it looks and feels like it&#8217;s coming together quite well, but generally, I think those are the big hitters.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Let me go a little bit, I&#8217;m scrolling, scrolling, scrolling. Oh, what also happened, say, for some of the developers there wanted to know if there are new theme.json filters came into 6.1, but they were not yet in the documentation and they are now. There is a page in the how to guides of the Block Editor Handbook that is titled Curating the Editor Experience that has all the different ways how you can control or disable some of the features that are either in the sidebar available for your user or not or show up or are not. Now, you can also do this for the theme.json filters, they are now listed there. I believe one of the writers on the Developer Blog is actually looking at writing about them and having some good examples that are a little bit more closer to the real-life situations. I used the release candidate Changelog, but I think that was it, right, we all done?</p>\n\n\n\n<p><em>Rich Tabor</em>: Yeah, I think so.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yes. That&#8217;s all we wanted you to know about 15.3, the rest you need to discover yourself. Of course, we have the What&#8217;s New in Gutenberg 15.3 post will be in the show notes. I don&#8217;t know if you published them yet or is it still in the works?</p>\n\n\n\n<p><em>Rich Tabor</em>: It should be out soon, yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I wait for the episode to be published for that post, of course, so we can get it in there. Almost at the end of our Changelog episode, so what&#8217;s next for you in next week or next month?</p>\n\n\n\n<p><em>Rich Tabor</em>: 6.2, the idea is that it sums up the culmination of Phase 2 and the kickoff of Phase 3. It doesn&#8217;t mean that there isn&#8217;t quite a bit more customization and design tooling that we need to continue to bake in, even like I was saying with the time to read block, as well, but that means that there&#8217;s now some more thinking going into what workflow-oriented processes look like for Phase 3, what type of collaboration can we start looking at. Making those plans and start writing about them and sharing ideas with everyone and really getting folks on focus and on point with Phase 3, I think is really important, so I&#8217;m going to start digging into that a little bit more, making sure the about page assets are tightened up and looking good for 6.2, and continuing to explore around designing block themes within the editor.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Awesome. I very much looking forward to the Phase 3 collaboration because it also will catapult your WordPress a little bit ahead of all of the other content management systems, because that&#8217;s what we are actually waiting for the last 25 years, is collaborating on our websites and not using all the other tools where you have to copy paste things over once you&#8217;re done with the collaboration. Now, you can do it all on the website, so I am really excited about that. Thank you so much for being on the show and walking us through all the great design and interface changes. When people want to reach you, where can they reach out?</p>\n\n\n\n<p><em>Rich Tabor</em>: I write and share everything I know on my blog, richtabor, that&#8217;s T-A-B-O-R, .com. I am on Twitter, so Richard, R-I-C-H-A-R-D, _Tabor. I like to explore the fringes of WordPress and experience and try to push ideas around and see what resonates with folks, so feel free to chime in and ask questions or ping me anywhere.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: As always, the show notes will be published on the gutenbergtimes.com/podcast. This is the 80th episode. If you have questions, suggestions, or news you want us to talk about, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. That&#8217;s <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. Thank you all for listening and thank you again, Rich, for spending time with me on this. Goodbye, everybody.</p>\n\n\n\n<p> </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 12 Mar 2023 12:27:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"Gutenberg Times: Fieldguide for WordPress 6.2, Community theme project, Theme.json and PHP—Weekend Edition #246\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23549\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"https://gutenbergtimes.com/fieldguide-for-wordpress-6-2-community-theme-project-theme-json-and-php-weekend-edition-246/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19184:\"<p>Howdy, howdy! </p>\n\n\n\n<p>This has been a busy week! Phew. The contributors published twelve Dev Notes related to the Block Editor together with the <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">Release candidate 1 version</a> of WordPress 6.2. The <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\"><strong>Field Guide</strong></a> has all the developer related updates. It&#8217;s time for plugin and theme developers to test their products for compatibility with the new WordPress version. The final version is scheduled for March 28th, 2023. </p>\n\n\n\n<p>The release squad for documentation, Milana Cap, Abha Thakor, Femy Praseet, and yours truly, wrangled the developer notes from two tracking systems, WordPress Trac and Gutenberg Repo. After the posts were drafted, we took turns reviewing them before publishing, all 13,150 words. </p>\n\n\n\n<p>Then there were the posts for the <a href=\"https://developer.wordpress.org/news/\">WordPress Developer Blog</a>, that needed editing and reviewing. That was lot of reading already, and then I kept an eye out for interesting content in the community to assemble this week&#8217;s round up post. The good news is, I am done for the week. 😎  🏖️</p>\n\n\n\n<p>Enjoy and don&#8217;t take it in all at once. Keep some for later. </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#dev62\">Dev Notes WordPress 6.2 (Block Editor)</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#2-theme-related\">For Theme developers</a></li></ul></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/marybaum\">Mary Baum</a></strong> published a follow-up to the Preview of 6.2 which ran out of time for numerous questions.  <a href=\"https://make.wordpress.org/core/2023/03/10/6-2-live-product-demo-qa/\">6.2 Live Product Demo Q &amp; A</a>. </p>\n\n\n\n<a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\"><img /></a><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Preview of WordPress 6.2</a>\n\n\n\n<p><strong>Dave Smith</strong> and <strong>Rich Tabor</strong> chatted about the <a href=\"https://www.youtube.com/watch?v=ibEvgw88lls\"><strong>Top Five features coming to WordPress 6.2</strong></a>, with some cool demos of Site Editor browsing, the Style Book, Media inserter and Distraction-free mode in the post editor. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In the post, <strong><a href=\"https://developer.wordpress.org/news/2023/03/whats-new-for-developers-march-2023/\">What’s new for developers? (March 2023)</a></strong>, Justin Tadlock collected a myriad of interesting updates to WordPress that are specifically relevant for developers. &#8220;If you’re a developer who builds on top of the WordPress platform, this news is for you. The goal is to make it easier to navigate the fast-paced development cycle, narrowing down the list of must-read content into a single digestible source.&#8221; Tadlock wrote. </p>\n\n\n\n<p><em>It&#8217;s the second edition of this monthly round-up. If the roundup posts are all you require to stay on top of changes of WordPress, you can subscribe to the <a href=\"https://developer.wordpress.org/news/tag/roundup/feed/\">Roundup Tag Feed</a> with your favorite Feed Reader. </em></p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"dev62\">Dev Notes WordPress 6.2 (Block Editor)</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a> </li>\n</ul>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"2-theme-related\">For Theme developers</h4>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a>  </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a> </li>\n</ul>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p>On Friday, Rich Tabor, joined me on the Gutenberg Changelog episode #80 recording. We had great fun geeking out over the upcoming release of WordPress 6.2, Gutenberg 15.2 and 15.3. The recording will appear at your favorite podcast app over the weekend. </p>\n\n\n\n<img />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p>Quite a few new Block themes arrived at the Theme Directory. </p>\n\n\n\n<p><strong>Sarah Gooding</strong> at the WPTavern reviewed <a href=\"https://wptavern.com/lemmony-a-free-wordpress-block-theme-with-30-patterns\"><strong>Lemmony: A Free WordPress Block Theme with 30+ Patterns</strong></a>, a magazine style theme for publishers and bloggers alike. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Gooding also reviewed: <a href=\"https://wptavern.com/lettre-newsletter-theme-now-available-on-wordpress-org\"><strong>Lettre Newsletter Theme Now Available on WordPress.org</strong></a>, a theme suitable for writers and publishers to style their newsletters. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://twitter.com/maneshtimilsina\"><strong>Manesh Timilsina</strong></a>, a plugin developer from Nepal, and new member of the WordPress Theme team, published his first theme for the Theme directory and made it a Block Theme. Congratulations! The theme is called <a href=\"https://wordpress.org/themes/zino/\">Zino </a>and described as a minimal,  lightweight, and speed optimized. It&#8217;s still a pre-release version 0.0.2, though. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The team at Automattic also released a new theme: <a href=\"https://wordpress.org/themes/bibimbap/\">Bibimbap</a>, named after a Korean dish, is a simple and fun restaurant theme. Sarah Gooding has the details in <a href=\"https://wptavern.com/automattic-releases-bibimbap-a-free-block-theme-for-restaurants\"><strong>Automattic Releases Bibimbap, a Free Block Theme for Restaurants</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Brad Hogan</strong>, at <a href=\"https://blockthemespro.com/\">Block Themes Pro</a> published the first Theme in the Theme directory as well. It&#8217;s call <a href=\"https://wordpress.org/themes/blockster/\">Blockster</a>, &#8220;a simple, clean, easy to manage block theme meant for non-profits, bloggers, freelancers and agencies&#8221; with four Style Variatons. It&#8217;s also used as a starter theme for #node site builders, creating websites for others. </p>\n\n\n\n<img />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Snow </strong>and <strong>Kathryn Presner</strong> were the hosts of the workshop <strong><a href=\"https://wordpress.tv/2023/02/23/how-to-confidently-migrate-from-a-classic-theme-to-a-block-theme/\">How to Confidently Migrate from a Classic Theme to a Block&nbsp;Theme</a></strong>. The description reads: &#8220;Are you are worried about potential down-time on your live website if you make a mistake when switching from theme to theme? Would you like to learn how to move widget areas from your classic theme to a new block theme? If this sounds exciting, please join Sarah Snow in a live workshop to learn how to safely and comfortably migrate from a classic theme to a block theme.&#8221;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/tetsuaki_hamano\">Aki Hamano</a></strong>  released version 3.2 of his plugin <strong>Custom HTML Block Extension</strong>, which extends  custom HTML blocks into a code editor, allows you to write code on a larger screen via a modal component! </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>WordPress doesn&#8217;t have a Pattern manager/editor for site&#8217;s yet. The plugin <a href=\"https://wordpress.org/plugins/blockmeister/\">Block Pattern Builder by Block Meister</a> has been my go-to tool for a few years now. I also use the pattern builder of Newsletter Glue. Now the developers at WP Engine released their Pattern Manager Plugin. <strong>Sarah Gooding</strong> has the skinny: <a href=\"https://wptavern.com/wp-engine-pattern-manager-plugin-now-in-beta\"><strong>WP Engine Pattern Manager Plugin Now in Beta</strong></a></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>Learn.WordPress published a new course: <strong><a href=\"https://learn.wordpress.org/course/develop-your-first-low-code-block-theme/\">Develop Your First Low-Code Block Theme</a>.</strong> &#8220;By the end of this course, you will be able to&nbsp;build a fully functional, custom WordPress theme using very little code.&#8221;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Justin Tadlock</strong> published the <strong><a href=\"https://make.wordpress.org/themes/2023/03/10/summary-community-themes-project-kickoff/\">Summary: Community Themes Project Kickoff</a>.</strong> &#8220;Over 20 members of the WordPress theming community gathered for an initial discussion on the proposed Community Themes project on March 7, 2023. The primary goal of the conversation was to gauge interest and discuss what this project might look like.&#8221; There were also a few outcomes, and a few open questions. Further Discussion will happen in the <a href=\"https://wordpress.slack.com/archives/C03T2GLB97W\">#core-theme-projects</a> channel on the Making WordPress Slack space. </p>\n\n\n\n<p><em>If you want to follow along but don&#8217;t have an account yet, <a href=\"https://make.wordpress.org/chat/\">here are the instructions on how to gain access</a>. </em> </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p><strong>Carolina Nymark </strong>published another lesson on her site: <a href=\"https://fullsiteediting.com/lessons/how-to-filter-theme-json-with-php/\"><strong>How to filter theme.json with PHP</strong></a>. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Here is how it works: WordPress loads a&nbsp;<a href=\"https://github.com/WordPress/wordpress-develop/blob/trunk/src/wp-includes/theme.json\">default theme.json file (source)</a>. This file has all the default settings including colors and gradients. WordPress merges this data with settings from other sources, in the following order:</p>\n\n\n\n<ul>\n<li>The block itself (block supports)</li>\n\n\n\n<li>The theme.json file in the active theme (and parent theme if applicable)</li>\n\n\n\n<li>User settings: The options in the Styles sidebar in the Site Editor</li>\n</ul>\n<cite>Caroline Nymark, fullsiteediting.com</cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/felixarntz\">Felix Arntz</a>,</strong> software engineer at Google,  shared his experience switching his site from a classic theme to a block theme in his post: <a href=\"https://felix-arntz.me/blog/rebuilding-my-website-using-a-block-theme/\"><strong>Rebuilding my website using a block theme</strong></a> He recounts all the steps in details, and the minimal code editing he had to do. Arntz is also a member of the WordPress Performance team, so his study on the before and after performance piqued my interest. An excellent read.</p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p><a href=\"https://twitter.com/michaelburridge\"><strong>Michael Burridge</strong></a> wrote <a href=\"https://developer.wordpress.org/news/2023/03/block-deprecation-a-tutorial/\"><strong>Block deprecation – a tutorial</strong></a> for the WordPress Developer blog. It walks you through the mechanics of block deprecation of static blocks, with step-by-step instructions. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Earlier this month, the team of the Block Protocol published their<a href=\"https://wordpress.org/plugins/blockprotocol/\"> WordPress plugin</a>. <strong>Eric Karkovack</strong> reported on it in his post: <a href=\"https://thewpminute.com/digging-into-the-wordpress-block-protocol-plugin/\"><strong>Digging Into the WordPress Block Protocol Plugin</strong></a> with an interview with David Wilkinson, CEO of Hash, the company behind the Block Protocol. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;Although Block Protocol blocks are developed with&nbsp;<em>no knowledge&nbsp;</em>of the applications that embed them, through&nbsp;the&nbsp;<a href=\"https://blockprotocol.org/docs/spec/hook-module\">hook module</a>&nbsp;they can tap into the embedding application’s native functionality anyway.</p>\n\n\n\n<p>This means that things like WordPress’s native image gallery, file uploading, text editing, and so on all work seamlessly within Block Protocol blocks, as if they were native Gutenberg ones.&#8221;</p>\n<cite>David Wilkinson, CEO of Hash</cite></blockquote>\n\n\n\n<p><em>Are you experimenting with the Block Protocol, too? I would love to connect with you and compare notes! Email at <a href=\"mailto:pauli@gutenbergtimes.com\">pauli@gutenbergtimes.com</a></em> or<em> share some information  in the comments online </em></p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: Bangkok Taxi Ride by Birgit Pauli-Haack</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 Mar 2023 09:25:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: Toot the Word Survey Finds Mastodon Increasingly Important to WordPress’ Community of Tooters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142628\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"https://wptavern.com/toot-the-word-survey-finds-mastodon-increasingly-important-to-wordpress-community-of-tooters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5939:\"<p>More than 200 users on Mastodon who consider themselves part of the WordPress community, responded to the recent Toot the Word 2023 Survey, which was conducted by the admins of five WordPress-oriented Mastodon instances. The purpose of the survey was to help those running these instances understand how important Mastodon is for the WordPress community and what they can do to improve their instances to foster a better meeting place.</p>\n\n\n\n<p>Key findings from the survey have been <a href=\"https://github.com/danielauener/toot-the-word\">published</a> alongside the <a href=\"https://github.com/danielauener/toot-the-word/blob/main/toot-the-word-survey-2023.raw.csv\">raw data</a> on GitHub for anyone to analyze. More than 82% of respondents (172/209) said they frequently use Mastodon. The community is active and Mastodon is an important social channel for those who have adopted it in addition to their other networks.</p>\n\n\n\n<p>A few other highlights from the published findings include: </p>\n\n\n\n<ul>\n<li>Nearly all participants of the survey expect Mastodon to have some kind of influence on the WordPress community in the future, a majority thinks Mastodon will be very influential or extremely influential. Most of the participants want to see more WordPress content and community discussions on Mastodon in the future.</li>\n\n\n\n<li>Generally, users on WordPress-oriented instances state that the communication with the community on Mastodon is important to their WordPress-related social media activity. They also are working with the community, or state that they are WordPress Community influencers, more often than users on common instances.</li>\n</ul>\n\n\n\n<p>The survey also found that the respondents who rated themselves as important to the WordPress community seem higher in WordPress-related instances, which may mean that those looking for more relevant WordPress-related content and interactions are better-suited joining these existing instances rather than unrelated ones or creating their own.</p>\n\n\n\n<p>&#8220;For me as an instance admin, it&#8217;s important to know that all the work I&#8217;m doing means something for the tooters on my instance and the entire community,&#8221; wptoot.social administrator Daniel Auener told the Tavern. &#8220;I think the survey has shown that many in the still small WP/Mastodon community see this network as important as I do. So I&#8217;m quite confident (as many of the surveys participants) that Mastodon will have its place in the WordPress community.&#8221; </p>\n\n\n\n<p>Administrating a Mastodon instance is not trivial. The users depend on the administrator to keep everything up and running with system updates, hosting, community moderation, curating community lists, and other housekeeping tasks. Auener said his current hosting costs are $20-30/month and they are 70-80% covered by <a href=\"https://www.buymeacoffee.com/wptoots\">one-time donations</a> and commitments on Patreon.</p>\n\n\n\n<p>&#8220;If nothing more, the [survey] results will keep me and my wptoots-instance going,&#8221; Auener said. &#8220;I even hope that the results will show others within the community that Mastodon as a social network is worth supporting and finding their own ways to contribute.&#8221;</p>\n\n\n\n<p>Auener hasn&#8217;t planned anything specific yet but based on the results it is clear that participants want to have more WordPress content in their timelines. </p>\n\n\n\n<p>&#8220;I think one of the best ways of achieving that would be to onboard more WordPress sites to the fediverse via ActivityPub,&#8221; he said. &#8220;Working in that direction is something I&#8217;m thinking about.&#8221;</p>\n\n\n\n<p>There is an <a href=\"https://wordpress.org/plugins/activitypub/\">ActivityPub</a> plugin for WordPress that implements the ActivityPub protocol for so that readers can follow your site&#8217;s posts on Mastodon and other federated platforms that support ActivityPub. It is currently used by more than 2,000 WordPress sites and is one avenue for users to automate sharing their content  across the fediverse. A search for Mastodon plugins turns up <a href=\"https://wordpress.org/plugins/search/mastodon/\">several other auto sharing plugins</a> and Jetpack is also considering <a href=\"https://github.com/Automattic/jetpack/issues/7790\">adding Mastodon support to Publicize</a> after many requests on a ticket opened in 2017.</p>\n\n\n\n<p>Some Mastodon users on other instances have considered switching to a WordPress-oriented instance, so increasing education for users on how to move to a new instance is another improvement Auener is considering.</p>\n\n\n\n<p>&#8220;The data even seems to support that the quality of (WordPress-)conversation is better on our instances,&#8221; he said. &#8220;So spreading that information, helping people to move and keeping our instances a safe space for great WordPress discussions is another cause for action.&#8221;</p>\n\n\n\n<p>Joining Mastodon&#8217;s federated network is still intimidating for some who are not familiar with how the instances work and are not sure which one to join. Others fear they may lose out on interactions and connections by moving to a lesser-used social network. This survey indicates that the WordPress-related instances are active and important to the community interacting there. Auener has created a document called <a href=\"https://www.danielauener.com/the-wordpressers-guide-to-the-fediverse/\">The WordPressers Guide to the Fediverse</a> for those who are new and want to learn more.</p>\n\n\n\n<p>&#8220;I would like to align my work more with the WordPress community and the work all the amazing people in the community teams and initiatives do,&#8221; he said. &#8220;I&#8217;m quite new in the game and think I can learn a lot from people working within the community for years. I think Mastodon/the Fediverse aligns very well with WordPress values but there is still a lot of convincing to do.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Mar 2023 22:43:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148107\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:94416:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><a href=\"https://twitter.com/coreymaass\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> continue laying the groundwork for the launch of their new plugin <a href=\"https://crop.express/#welcome\">Crop.Express</a>. They strategize ways to attract customers and agencies and gain full adoption as they integrate changes from user feedback. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>In this episode, <a href=\"https://twitter.com/coreymaass\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> focus on preparing <a href=\"https://crop.express/#welcome\">Crop.Express</a> for launch. They discuss building launch assets, utilizing a freemium model as a path toward a premium product, and future possibilities.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Value of a Soft Launch</strong>. This is a great way to test the waters and get initial feedback. If you utilize a soft launch, you need to be willing to make changes and improvements based on that feedback before you fully launch.</li>\n\n\n\n<li><strong>Building a Sustainable Premium Product.</strong> Start by setting up a basic website and integration to attract customers. Establishing a freemium model allows you to identify what users will value enough to pay for and provides space for your plugin to become a recommended tool for users, agencies, and hosting providers as a premium product.</li>\n\n\n\n<li><strong>Feedback as Fuel</strong>. Gathering input from customers and agency owners in the WordPress ecosystem can help you understand the barriers to adoption, like already established workflows, the challenge of installing and learning a new tool, and limitations within initial versions to full adoption.</li>\n\n\n\n<li><strong>Importance of Image Use.</strong> Current workflows make images an afterthought in content creation, but they are critical to drawing interest, provide context, and evoke emotion. While there may be SEO value, the primary purpose is to appeal to human visitors. Creating tools to make this easier is the case for Crop.Express.&nbsp;</li>\n\n\n\n<li><strong>Consider the possibilities.</strong> As product creators, you should continue to explore potential opportunities for development. Leveraging AI, increasing user engagement, and offering more value can uncover future revenue streams while you focus on current integration points.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://www.canva.com/\">Canva</a></li>\n\n\n\n<li><a href=\"https://www.adobe.com/products/photoshop.html\">Photoshop</a></li>\n\n\n\n<li><a href=\"https://www.stockunlimited.com/\">Stock Unlimited</a></li>\n\n\n\n<li><a href=\"https://unsplash.com/\">Unsplash</a></li>\n\n\n\n<li><a href=\"https://contentjourney.com/\">Content Journey</a></li>\n\n\n\n<li><a href=\"https://news.ycombinator.com/\">Hacker News</a></li>\n\n\n\n<li><a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder</a></li>\n\n\n\n<li><a href=\"https://twitter.com/pmgarman\">Patrick Garman</a></li>\n\n\n\n<li><a href=\"https://twitter.com/hluehrsen\">Hendrick Luehrsen</a></li>\n\n\n\n<li><a href=\"https://elementor.com/%5C\">Elementor</a></li>\n\n\n\n<li><a href=\"https://twitter.com/renewabelle\">Jess Frick</a></li>\n\n\n\n<li><a href=\"https://pressable.com/\">Pressable</a></li>\n\n\n\n<li><a href=\"https://www.kadencewp.com/\">Kadence</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 4 Corey &amp; Cory Launch a WordPress Product Live</h2>\n\n\n\n<p><strong>Corey Maass:</strong> [00:00:00] Uh, host status YouTube channel so we can hopefully period when that pops up. Oh, I&#8217;m signed into the wrong account, but yeah. Um, cuz it seems like people were commenting there. So session four live,  </p>\n\n\n\n<p>we&#8217;re streaming, hopping out the chat because if people are asking us questions and stuff, I&#8217;d love to know about it and interact with it.  </p>\n\n\n\n<p>Okay. We&#8217;re live. Cool. YouTube, baby. All&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> right, let&#8217;s get it. You ready?&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Internet.&nbsp;  </p>\n\n\n\n<p>Internet.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Famous. That&#8217;ll get us maybe a coffee, right?  </p>\n\n\n\n<p>Hey everybody, welcome back to session four. [00:01:00] Corey and Corey launching a WordPress product in public. Today we&#8217;re gonna be talking about some website tweak continuing on from last week, and some feature discussion that the other Corey&#8217;s been working on. Um, and we&#8217;re&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> live, Corey, we are Awesome. Session four.  </p>\n\n\n\n<p>So that&#8217;s, that Marks four weeks. Um, and two what, two weeks or a week since, uh, the plugin was accepted. Um, and we should go look at, uh, let&#8217;s see, word press. I&#8217;m looking at the plugin. In the repo, it still says fewer than 10. So, you know, the harsh reality right, is, is you launch something and you get really excited and you tell your friends about it, um, and the, the repo, and you go and, uh, or.  </p>\n\n\n\n<p>One, not necessarily [00:02:00] me, goes and installs it on as many websites as I own, which is a lot trying to make, you know, total, um, what do they call vanity metrics to make it look like we&#8217;re installed on a bunch of websites. Um, but the, you know, the plug-in repo only gives you fewer than 10, and then groups of 10, and then a hundred groups of hundred.  </p>\n\n\n\n<p>So you never really know how many installs you have.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I think this is the moment, uh, when you push your art or your work into the light of day in public and you&#8217;re like, the tendency is to go, oh man, I thought a million people were gonna activate this. I think we&#8217;ve been really reasonable and practical about it, but I just know from my past is you, you get so excited, you think you&#8217;re on the right path.  </p>\n\n\n\n<p>You&#8217;d launch it and you&#8217;re like, Crickets. Cool. Crickets are trippy. Right? Um, [00:03:00] man, that&#8217;s happened so many times and you know, the typical marketing thing is to go, okay, build up buzz to a launch. You know? And we were like, we did it . Here it is . And I, I, I don&#8217;t know how you feel, but I personally would rather launch something than build.  </p>\n\n\n\n<p>I, I know it&#8217;s probably better from a marketing perspective to build up to a launch to use things like product launch formula and stuff like that to like create a compelling story and I&#8217;m just like, or you could push publish. Right. You know, and I think we&#8217;ve had reasonable expectations about it. Not that it would hit a million, you know, active installs or anything like that.  </p>\n\n\n\n<p>Um, but this is the point where I tend to probably have that little moment of deflation. Mm-hmm. . Um, but I&#8217;m not, I&#8217;m, I&#8217;m, I&#8217;m shoving past that. I&#8217;m like, you know, because we, we didn&#8217;t have a big email list to send it to. We&#8217;ve been [00:04:00] putting in post status in our personal channels. Um, but we talked about last week, like key thing was like feedback from people.  </p>\n\n\n\n<p>And so I knew on my list was to talk to content journey about this. Um, because they do so much content production, those people in the use case, the avatar that like does it all the time. Um, but to me, Corey, I&#8217;m curious, your, your perspective on all this too haven&#8217;t launched so many products is there&#8217;s, you, you wait for that cataly moment where you go, we got something.  </p>\n\n\n\n<p>You know, you and I feel had that together. Cause we&#8217;re like, I want this, you know, but now we&#8217;re building to some unknown moment where it&#8217;s like, okay, we got something. Well, and it&#8217;s,&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> yeah, it&#8217;s getting something out there. I, I view where we&#8217;re at. I, I. Have done it dozens of times and I view it as a soft launch.  </p>\n\n\n\n<p>Right? So it&#8217;s, uh, we put it out there. Um, [00:05:00] and frankly I&#8217;d rather it build slowly and then, uh, at some point we are going to have, you know, we we&#8217;re technically at version 0 0 1. Um, and so at some point we&#8217;re gonna launch. Zero one or one . And that&#8217;s when we, in my mind, you know, marketing actually starts, or we put effort into it, or when we start, when we&#8217;ve got, um, something for sale.  </p>\n\n\n\n<p>You know, that&#8217;s when we start putting effort into okay, getting it out there. But to me, this is, this is the soft launch. We want a few people to wander into our restaurant, hopefully, at least some of them are friendly faces and they&#8217;re the ones that are gonna be like, um, you don&#8217;t have any knives, which has actually happened to me over the weekend.  </p>\n\n\n\n<p>We went to a soft launch of a new restaurant and they literally didn&#8217;t have knives. And so I, we were eating chicken and waffles with plastic forks, and so you had to stab the whole chicken breast and like, [00:06:00] take a bite and then put it back down on your plate, you know, but it&#8217;s like great work out the kinks.  </p>\n\n\n\n<p>Um, the, the thing I struggle with honestly is getting, That there&#8217;s times when I build a product that I immediately start using. And, and so to me now the, the difference of a soft launch is, is just building something for me to use it. Um, and here I&#8217;m not yet comfortable, and this is something I&#8217;ve been sort of asking myself about.  </p>\n\n\n\n<p>It&#8217;s like I&#8217;m using it on a couple of my own websites, but I&#8217;m not yet putting it in front of my clients other than showing it to them. But I haven&#8217;t like, installed it and told them, this is what you&#8217;re now using. And so I&#8217;m still looking at the UI and, and going, okay, why, what, what features are lacking?  </p>\n\n\n\n<p>Um, or you know, why don&#8217;t I have confidence in [00:07:00] the, we&#8217;ve, to me, we&#8217;ve technically proven that we can solve the problem, but it&#8217;s not. Elegant enough or friendly enough or simple enough for non-technical people to use. Um, so that&#8217;s kind of where I&#8217;m at. And so I, to me, I feel like we&#8217;re waiting for feedback from all quarters, um, including our own, before taking more steps forward with the actual&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> product.  </p>\n\n\n\n<p>So that&#8217;s an interesting thing, uh, that you said right there is, um, because I went, obviously installed it, used the live version on my site, and, um, immediately I was like, I need, I still need this. I&#8217;m not, I know I need it for featured image, you know, but I ne I feel like just from a user perspective, I go, I need this for other [00:08:00] things on my site.  </p>\n\n\n\n<p>Like mm-hmm. , I was doing a page on my personal site and I was like, And this comes back to our original conversation, um, being able to crop things appropriately in WordPress. I already bump up to my bet still on this cuz I, I want it as the custom specifications. Um, I found myself, I think I used, you know, the circle thing you did?  </p>\n\n\n\n<p>Yep. Uh, the circle crop. I was like, I needed it for something. It wasn&#8217;t a blog post. So, you know, there&#8217;s this perspective of like, I, I know you&#8217;ve been, this flows into our conversation about feature product features and stuff you&#8217;ve been exploring with the media library. I was like, okay, I need a place that I can just like get my images cropped with the size and, um, you know, DPI or whatever, uh, for these things.  </p>\n\n\n\n<p>And I&#8217;m like, this would [00:09:00] be cool to have. I actually use crop.express. I think yesterday for something, right. And I was like, the utility of it. Mm-hmm. still rings true for me. I just need this utility. But I was like, you know what I need, I just need to crop something real quick. I went to crop.express Yep.  </p>\n\n\n\n<p>And used the live, the online tool. Yep. Uh, for it. So I&#8217;m curious your thoughts too about, okay, so when you&#8217;re doing a WordPress website, you&#8217;re, you&#8217;re publishing, you&#8217;re, you&#8217;re creating content and stuff, and it brings back like just an exploration, I&#8217;m not saying we do this, but like your thoughts on media library in the center of, okay.  </p>\n\n\n\n<p>I&#8217;ve created, I, I&#8217;ve loaded my photo, this whole hassle of doing all this, finding photos, cropping photos, all that stuff. And. The utility of like being able to manipulate this and any, any updated thoughts. And maybe we just go straight into the product stuff you&#8217;ve been thinking about.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> But yeah, I, that&#8217;s, that&#8217;s the [00:10:00] segue.  </p>\n\n\n\n<p>Um, cuz I personally also had a couple of images to crop and was like, okay, I can create a post. I can for the, for the sake of the exercise, I&#8217;ll create a post, I&#8217;ll crop the image and then I&#8217;ll delete the post. And that cropped image is now in my media library. So to me the next, uh, short, short circuit sounds bad, but the next shortcut, there we go.  </p>\n\n\n\n<p>That&#8217;s the good version is I go directly to media library and can manipulate an image. Um, and so I started working on that, um, as kind of the next step cuz it&#8217;s it without hearing, um, again, The having without having too many of these kinds of conversations. I&#8217;m like, okay, well I&#8217;m gonna continue to solve the problem that I have because again, this, you know, the assumption is presumption is that you and I have this, have a problem that a lot of other people have.  </p>\n\n\n\n<p>So, [00:11:00] uh, so featured image, uh, and then the same functionality in ui, uh, on top of the media library, which is coming along pretty well. Um, and then, uh, I actually have classic editor installed. Um, something that I think is gonna come up, uh, pretty often in, in our conversations is that I am, uh, I, I do not go near the block editor.  </p>\n\n\n\n<p>Um, and, uh, for a number of reasons and that&#8217;s its own conversation. But, and, and that isn&#8217;t to say that we don&#8217;t have plans, um, and even some code already for. A block that also allows you to crop images. Um, but, you know, for my own uses, I&#8217;m gonna, IM implement this into the classic editor before I implement this into the block editor.  </p>\n\n\n\n<p>Unless people start telling me like, oh my God, we [00:12:00] need this in the block editor. Um, and again, not to say that that&#8217;s not like next on the list or, you know, within the next few items, but, um, but anyway, so that&#8217;s, you know, to me that&#8217;s, I, I&#8217;m with you. Um, and I think I had, I had also pinged you and, and earlier in the week and said to sort of start the conversation of like, what does, or maybe it was last week, but anyway, like, you know, what, what does the new website look like and how do we implement those same functional, that same functionality?  </p>\n\n\n\n<p>Because also, The plugin now has the circle option and crop.express. The website does not. Um, and so as I&#8217;m getting more and more comfortable, essentially repeating the functionality and the ui, um, you know, we wanna decide on what that lead magnet crop.express as a wide open, pure web utility for cropping images [00:13:00] as, as lead magnet.  </p>\n\n\n\n<p>Like what does that look like? So,  </p>\n\n\n\n<p><strong>Cory Miller:</strong> yeah, I, utility of it is I love utility tools, you know, um, yeah. And the, the question I wrote down here, will, will, is I think we&#8217;re trying to answer is what will enough people value to pay for. In, in the sustainable premium product type category. And again, just anchoring back to finding the past. And so it&#8217;s like if you&#8217;re creating content online, um, professionally, you, you probably have this utility somewhere like mm-hmm.  </p>\n\n\n\n<p>Camba or Photoshop or whatever that, you know, you affinity designer. And then anchoring to WordPress is content [00:14:00] producers, I think. Mm-hmm. generally speaking. Um, so, and then we&#8217;ve got these two things. We&#8217;ve almost got two potential use cases that you started this project through the online tool. Now we have a plugin and probably, I don&#8217;t know, do you think we need to talk about those two things too?  </p>\n\n\n\n<p>How we keep, uh, like do we keep parody with online tool? Tool and the plugin kind&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> of thing, or I think we start with it anyway. Um, and, and I think that that gives us the sooner the, so to me, yes, like the down the road is the pro version, what are people gonna pay for? Um, but if we are walking the steps of setting ourselves up for freemium, then we need, we just need users full stop, right?  </p>\n\n\n\n<p>[00:15:00] And it&#8217;s like, wait, what can we, what&#8217;s the first thing we can start talking about? And normally that&#8217;s the plugin. And so I&#8217;m in forums or I&#8217;m, you know, in Facebook groups or whatever, and I&#8217;m, I&#8217;m mentioning it. Um, and again, I think we&#8217;ll start to see a trickle of users. WordPress, just na natural discovering.  </p>\n\n\n\n<p>Discovery within the WordPress, um, plugin directory. But if, if we are happy with the UI that I&#8217;ve knocked together, then moving that, setting that up, uh, on Crop Express and then, um, and putting a little banner that even links to the free plugin. Need this for WordPress, you know, click here. Um, again, we&#8217;ve already got way beyond the WordPress world.  </p>\n\n\n\n<p>We&#8217;ve got, uh, you know, there&#8217;s so many websites that just let you list that love to list free utility tools. Um, and so to me that&#8217;s, that&#8217;s [00:16:00] an, an easy way to. Have something to talk about even beyond, you know, again, my normal situation is I create a free version of a plugin and then I have to go try to talk, you know, show that to people.  </p>\n\n\n\n<p>And inevitably, lots of the people who see me plugging it are going, well, I don&#8217;t use WordPress, so it&#8217;s not even the beginning of a conversation. So here we&#8217;ve got an extra advantage, you know, I think we could take advantage of that.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, absolutely. Since it&#8217;s already built, like we talked about last week, it&#8217;s a, if anything, it&#8217;s a great lead magnet.  </p>\n\n\n\n<p>Yeah.  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Okay. So, I mean, I guess what I&#8217;m picturing, you know, is, um, like we, we&#8217;ve started sort of what I put on your to-do list last week is, you know, the, the envisioning of this over time. Um, but I guess I&#8217;m picturing even in the short term, like a landing page and. And [00:17:00] then I can, and then again, I can integrate the, the cropping tool, utility tool, um, and keep chipping away at the plugin essentially.  </p>\n\n\n\n<p>Um, but that gives us lots to talk about, lots to promote. Um, and again, lots of, lots of different, hopefully different places to start collecting feedback because yes, we launched. It&#8217;s fun. Um, but like you said, then there&#8217;s that little like, okay, now what? And, and then, and then it&#8217;s the feedback. It can be internal feedback, but we, we need some guidance on what we do next.  </p>\n\n\n\n<p>Mm-hmm.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> swag. S always swag. Come on, . I mean, you created the new logo.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Oh, that&#8217;s right. So yeah. On, you know, uh, as far as accountability goes, I think&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> you had more fun. Did the logo than the plugin, by the way?&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Oh, always, always. Yeah. No, it&#8217;s, I, there was a [00:18:00] time, uh, that I fancied myself a designer and I missed that.  </p>\n\n\n\n<p>And once Design switched, and this is me dating myself, but once Design switched from Photoshop to, um, technically Illustrator, but I still actually use, I used the fla, I used Flash, and now I actually still use Animate, which is the, the modern version of, but I just like their vector designer. Easier, better.  </p>\n\n\n\n<p>Um, I also design a lot of logos now in Canva. Same thing, like I love the simplicity, I love the constraints of it. And so it&#8217;s just you, you take away and take away and take away. And you saw me do that. Like I was sending you comps where it was not necessarily complicated, but there was a lot more lines.  </p>\n\n\n\n<p>And then the moment where I was like, that&#8217;s, it was when I deleted most of the lines and it was like, oh, the essence of what I&#8217;ve been trying to accomplish is there. Um, but yeah, I, I, I love, I [00:19:00] mean the books behind me here, the books next to me are, uh, you know, are bowhouse, uh, graphic design, like, nice. I don&#8217;t, I don&#8217;t, I don&#8217;t have code books next to me,  </p>\n\n\n\n<p>Everything I have next to me is, is architecture or graphic design or, you know, some sort of&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> visual. Okay. So  </p>\n\n\n\n<p>this is what makes product stuff fun, um, and engaging. So I&#8217;m anchoring back. Um,  </p>\n\n\n\n<p>we need, I, I think we, we&#8217;ve talked about this a lot and it&#8217;s like, we need someone to give us feedback. And so that&#8217;s where it was talked to. Content journey.  </p>\n\n\n\n<p>Another thought here [00:20:00] is  </p>\n\n\n\n<p>asking agency owners mm-hmm. people that build sites and getting there, because I, I, we&#8217;ve talked about this a lot. I, we think agency owners in the, in the WordPress ecosystem essentially, um, end up. This is my perspective, but I want to hear yours. Buying plugins, functionality, things like that for their client&#8217;s websites, whether they use their key, their premium key, or whatever it is.  </p>\n\n\n\n<p>Um, and that&#8217;s a whole separate issue. But I&#8217;ve tended to see, you know, we want to do this, uh, we need this for, the client will buy it. Whether we pass it on the client, we just absorb it. You know, the gravity forms, ws any kind of form plugin, I bet you is on like 90% of client websites for the agency going, you need forms, you&#8217;ve gotta have forms.  </p>\n\n\n\n<p>Um, and it seems to me it&#8217;s like if we fit [00:21:00] this in the story agency owner, freelancer builder, person delivering a site for a client where I&#8217;ve seen the most. Use cases just from my themes and different things, is like they&#8217;re gonna use their website or it&#8217;s a, like a content production agency like content journey or whatever else.  </p>\n\n\n\n<p>Or a blogger, professional blogger, creator using this to speed up workflow now. Mm-hmm. , how does that sit with you? Like, we&#8217;ve kind of, I feel like we&#8217;ve defined this case of like, if you&#8217;re producing content on a regular basis, this could be a tool in your utility, in your workflow. How does that square, and what are your thoughts here about like, I like talking to agency owners because then they might, might be the number one customer binded on behalf of their clients so they don&#8217;t have crappy, you know, huge 15 megabyte files on their site.  </p>\n\n\n\n<p>I don&#8217;t know what, what are your thoughts there? Because I, and, [00:22:00] and sometimes I go really slow on this and ask questions because I&#8217;m trying to get it, when it gets clear in my mind what we see, it&#8217;ll help. I think it really helps me personally to go here, you know? What are your thoughts on that?&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Yeah, I think, I think that that&#8217;s fine.  </p>\n\n\n\n<p>We, I just, I guess I&#8217;m not clear on how we do that, right? Like we are, I, I guess what I&#8217;m finding in, in me taking the leap forward in implementing this into the media library is that we&#8217;re not, not quite, like we&#8217;ve got the, I don&#8217;t know, the cardboard version or something. Um, and so it&#8217;s like, I don&#8217;t, I don&#8217;t actually anticipate.  </p>\n\n\n\n<p>One of the things I also realized was if, uh, If you, if you have already have the perfect image, like one of the, okay, [00:23:00] so sorry I&#8217;m a little all over the place. I didn&#8217;t sleep well, so I&#8217;m not as coherent as I&#8217;d like to be, but bear with me. Um, if, sorry. One of the most difficult things in what we&#8217;re trying to do, what anybody is trying to do product-wise is unless you have a brand new thing, um, you are, you&#8217;re walking into or you&#8217;re trying to get people to switch.  </p>\n\n\n\n<p>So like you said, people already have a process for editing, editing images, they&#8217;re already in Canva. So how do we get them to. Take an afternoon, you know, and install the plugin and say, okay, for this next post, instead of using Canva, I&#8217;m going to use this plugin. Um, and, and so that&#8217;s, that&#8217;s tricky, right?  </p>\n\n\n\n<p>Because we also only have one opportunity to get it right, right now. I mean, people will try again, at least a free version. Um, but I feel like [00:24:00] we&#8217;re, we&#8217;re, we&#8217;re still a little shy of solving the problem enough so that people are gonna keep it installed. Like one of the things again that I realize that isn&#8217;t there is if you already have the perfect image, we force you to crop it  </p>\n\n\n\n<p>Um, and we also, uh, like we&#8217;ve talked about, we don&#8217;t have, uh, we&#8217;re, you know, we&#8217;ve, we&#8217;ve put in a handful of Square 16, nine. Four three. Um, there isn&#8217;t a way to customize that, and we&#8217;re talking about charging for that down the road, which is fine. But again, right now, are there gonna be enough people that are coming in and going, you know, I only need one of these five and that&#8217;s sufficient.  </p>\n\n\n\n<p>Um mm-hmm. , I&#8217;ll keep this installed. Um, and then again, for me it was like, oh, but I could go over to Media Library and upload any old [00:25:00] image. So it&#8217;s like we, we&#8217;ve, we, we have a proof of concept, which I think is great, but I, I also wonder that we&#8217;re not a little premature in calling it a product yet. Right.  </p>\n\n\n\n<p>Um, or, or how do we, mm. How do we get people to install this and it might, and, and leave it installed or, you know, promise to come back in a month and try it again, or like, I don&#8217;t think we&#8217;re, we&#8217;re not hurting ourselves by having it in the repo. It gives us something to talk about, gives something, you know, a place to link, all that kind of stuff.  </p>\n\n\n\n<p>Um, But now, I guess, you know, getting, going all the way back to one of your first questions, uh, or the first things that I talked about on this call was, um, where I&#8217;m at is usually I, this is where I start scrambling to be like, oh, you know, now that I&#8217;m public, oh crap. Like people are seeing that the wheels are on my go-kart or square and I need to quick chisel them to [00:26:00] be C circles or they&#8217;re gonna make fun of me kind of thing.  </p>\n\n\n\n<p>Um, and so it&#8217;s, you know, there there&#8217;s a little bit of a, like, what, what do we, you know, what is the next thing that we have to do to get people to actually keep trying this, um, or stick with this or, or what have you.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Okay. I wanna go back to a couple things. You said, this is a powerful statement. You said keep it installed, okay.  </p>\n\n\n\n<p>Mm-hmm. , I love that because it centers us sneakers us down in, like, we&#8217;re a utility workflow at Flow tool. And the question becomes how do we. Keep it installed. How do we, what do we do to keep it installed? And then we have this other fine line of like, there&#8217;s a breaking point. We go, that&#8217;s paid. This is free, that&#8217;s paid, you know, particularly with the free right.  </p>\n\n\n\n<p>Um, so Hendrix has given us some interesting thing, and if you will, I want to explore this for a second because you&#8217;re on the media library. So Hendrick [00:27:00] said media. We&#8217;re talking to an agency owner right now. It&#8217;s awesome. Thanks. Hendrick. Media management. The media library is crap, easily leads to the same images being uploaded multiple times, identifying problems, what we&#8217;re doing.  </p>\n\n\n\n<p>Um, we&#8217;re chasing that problem a little bit. Editing is another issue. This results in other stuff. For content, Leon is subtly necessary again. So if I talk about, it&#8217;s interesting maybe your client thing. How, how do you, your, your newspapers and magazines that you work with, what&#8217;s their flow? And this is the thing I need to just ask.  </p>\n\n\n\n<p>From Content Journey two on my side, and I didn&#8217;t do that. Apologies. Um, Hendricks is helping, but like, what&#8217;s their content workflow? Do they, like I know Content Journey starts in Google Docs. Mm. And does a lot of their collaboration. Uh, then they put it in here and then there&#8217;s image like from in Hendricks, he&#8217;s like, media.  </p>\n\n\n\n<p>We, we know this media library has needed something in [00:28:00] WordPress for a long time. So I think we stumbled into a really good problem here. Um, but like, what&#8217;s the workflow? You know, like me, I go, I start writing headline, start into text. The last thing I do is the image, but I take it professionals have a different way to do that.  </p>\n\n\n\n<p>Like, I, I guess I do this semi my professionally, but like , you know, that&#8217;s the&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> people. It&#8217;s not your job title.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. . Um, that&#8217;s the people that use it as a workflow tool. And I think you, you mentioned something else, the switch. Mm-hmm. . The switch from co. I think it&#8217;s really cool cuz we got cobble these together over here and then put it in a WordPress and published, but we&#8217;re trying to say, we&#8217;d like to make that better within WordPress.  </p>\n\n\n\n<p>What I don&#8217;t know for sure I&#8217;m unsure of is how most professional content people do this. Mm-hmm. , you know, do they go [00:29:00] checklist beforehand? Image title, like, I know Content Journey has a whole SEO and content stuff and process they work through. Right. Thoughts on that?&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> About the media library? The, the, the clients I, I have do not use the client, the media library they are uploading, um, on one site.  </p>\n\n\n\n<p>It&#8217;s.  </p>\n\n\n\n<p>Cu it&#8217;s a custom size and a 16 nine, and then on the other site it&#8217;s square and 16 nine. There&#8217;s, I, I had to add essentially multiple featured images for each story. So it&#8217;s like on the homepages and on the archive pages, we show squares, and then when you click through to see the individual post, you see the, the big 16 nine.  </p>\n\n\n\n<p>Um, but exactly as, and I&#8217;m, I have the same question mark as you, like, this [00:30:00] is where they&#8217;ve arrived. But these are, and these are professional writers, but they are not experienced WordPress people for the most part. So this is the flow that they&#8217;ve settled in on. Um, but yes, content comes from Google Docs.  </p>\n\n\n\n<p>Same thing that I&#8217;m, I&#8217;ve seen almost everywhere that I&#8217;ve worked where there&#8217;s a lot of content. So I think that that&#8217;s very, I think that&#8217;s the most common situation. Um, and then, and images are last is also the thing that I have also seen with both, with the, the, the number of sites that I work with now and have worked with in the past, even at big, big agencies on, on sites bigger than, than what I work on now.  </p>\n\n\n\n<p>Images come last, they go and hunt for somebody goes and hunts for an image after the content is written. Um, and like I said, what I&#8217;ve got, I mean, this was why I created [00:31:00] crop.express as a utility in the first place, was I, I said this, they can&#8217;t just keep uploading. These are, these are writers, they&#8217;re non-technical people.  </p>\n\n\n\n<p>And so it&#8217;s, there&#8217;s the shame on them, shame on me situation where. I&#8217;ve tried to teach them, or I, you know, and created documentation and stuff like that around proper crop image cropping and image compression and all that stuff. But at some point I have to say, okay, you know, I&#8217;m, I&#8217;m the technologist here.  </p>\n\n\n\n<p>Technology needs to do this for them. And so that&#8217;s where, yeah, I, I think we&#8217;re on the right path featured. I, and that&#8217;s why when you initially suggested, let&#8217;s start with featured image, I jumped, I was like, yes, that&#8217;s it. Um, see,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> you pointed that out to me though. I want you to know this. Hmm. For context, because you&#8217;re in work doing [00:32:00] client work.  </p>\n\n\n\n<p>I know what a featured image is. , you have clients using that? We use it at post status and I don&#8217;t like it. Like mm-hmm. , the featured image the way that, or I haven&#8217;t taken the time to take the theme, so like, blown out. Huge PI pictures down. I haven&#8217;t taken the time to dive into it, but you&#8217;re like, most every theme includes featured image functionality, so there&#8217;s step one, you know?  </p>\n\n\n\n<p>Yeah. I wanna zoom out for a second, Corey, if you, if you&#8217;re okay with this, we&#8217;ll get, we&#8217;ll get back to the product, but this will help me, this discussion. Yeah, sure. Images in publishing, what&#8217;s their purpose, what&#8217;s their reason? What are the people trying to get out of them? The two things I stand out to me is something to hang your eyes on.  </p>\n\n\n\n<p>Mm-hmm. . Something to set the tone of the content you&#8217;re writing. That&#8217;s one. Second to me is like SEO value. You know, put an image in here of. Someone [00:33:00] doing or showing the thing you&#8217;re talking about. So there&#8217;s a, there&#8217;s an SEO angle to it. Those are my two tops. But can, I&#8217;m, I&#8217;m doing this on the mind map by the way, cuz I want us to get this story.  </p>\n\n\n\n<p>This is the narrative to me. Sure. But like, if we zoom out, we just go like, what&#8217;s the purpose of an&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> image? Yeah. I mean the, the, I&#8217;ve got paper magazines behind me, um, which is what one of the main sites that I work on. And in a magazine you can&#8217;t not have a picture. And so it, it translates to the web where, you know, we&#8217;ve nerds like me go to Hacker News and there aren&#8217;t images unless you click through to the story or read it.  </p>\n\n\n\n<p>A lot of the time there, there isn&#8217;t necessarily an image. Um, but I think for news sites or sites that are meant to emulate a magazine, I mean we call them blogs, but you know, which came first kind of thing. Um, , you need an image. And so with the [00:34:00] magazine that I work with, there&#8217;s, there&#8217;s sometimes there&#8217;s photography, there&#8217;s dedicated photography.  </p>\n\n\n\n<p>They do a lot of fashion spreads. So that&#8217;s, you know, original content. But there&#8217;s also a lot of stories that they go to uns Unsplash or you know, stock Unlimited and they&#8217;re like, we need a picture of a pencil because this is about the pencil factory. And that&#8217;s a bad example. They&#8217;d go take a picture of the pencil factory, but you know what I mean, like we need a picture of trees cuz this is about trees in the northwest and just broadly speaking and so, and then they crop that or whatever.  </p>\n\n\n\n<p>But it&#8217;s, it&#8217;s that, that compelling image that that visual hook, like you said, um, I, I think there&#8217;s, there&#8217;s technically an s e o aspect of it, but for the most part I, I view it more as human cuz these stories don&#8217;t need. Images. Um, but the layouts that, that they&#8217;ve chosen, the [00:35:00] clients have chosen on very different sites, ultimately are very similar in that when you look at an archive page, the emphasis is on lots of compelling images because that&#8217;s what makes humans want to click.  </p>\n\n\n\n<p>Mm-hmm. .&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> So, uh, it, it capturing it and we&#8217;re getting ethereal and I love that because then we&#8217;ll have opinions that we come back down to and say, this sure takes away from this what an image is. Purpose is on a piece of content or on a website. So Hendrick said Emotionalize love that. I think he made up a word.  </p>\n\n\n\n<p>Provide context, draw interest context. Yeah, absolutely. So like I think about in this, um, and go with me here please, but I do a slide presentation. And I&#8217;m doing presentation in front of a bunch of people and I want it to emotionalize, evoke emotion, um, set the mood, [00:36:00] tone, um, context and stuff. But it&#8217;s always that, I think he said it in his last interest.  </p>\n\n\n\n<p>It&#8217;s drawing interest and like Yeah. Color to what you&#8217;re doing. Now, there&#8217;s a host of problems with that in the web. Cause you&#8217;re talking about like Unsplash different things. It&#8217;s like, I personally effing hate trying to hunt down an image. I&#8217;ve done the painful work of trying to write and share and now I gotta go find an image.  </p>\n\n\n\n<p>Right. So we should note that problem. I mean, it&#8217;s, it&#8217;s an obvious one that we know about, but like, it&#8217;s still a problem that factors into what that person&#8217;s trying to get done.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Yep. And I picture down the, I, you know, I think it&#8217;s, there, there is this, we keep talking about this workflow. Um, and what we, what we wanna do is shorten, there&#8217;s, there&#8217;s different ways to quantify all the different steps in a workflow, [00:37:00] uh, length of time, ease, you know, general knowledge, um, things that hold your interest.  </p>\n\n\n\n<p>And what we&#8217;re talking about is when we talk about pain, right, is there&#8217;s some steps that are absolutely required. So that&#8217;s another quantifi quantifying element, whether it&#8217;s a required step or not, but it&#8217;s broadly speaking, we&#8217;ve got req a required step of finding an inserting an image, um, that isn&#8217;t fun.  </p>\n\n\n\n<p>And, uh, and we&#8217;re just trying to shorten that. And so we&#8217;re starting with again, Shortening, you know, people go and find images, bring them in. But then hopefully if they, once they&#8217;ve done that work, inserting it is inserting it into the context of the site as a snap once they&#8217;ve got our plugin set up. Um, and then down the road we can also look at integrations.  </p>\n\n\n\n<p>Cuz it was like, [00:38:00] you came to me and you were like, crop.express as a website is great. How do we get this into WordPress? And I said, inserting this into WordPress is not a small lift, but I&#8217;m halfway done with a, with a Chrome extension. So you, again, shortening the step of like, instead of loading a website, just click a button.  </p>\n\n\n\n<p>and it&#8217;ll crop it, you know, in a, in a Chrome extension. And then you and I got talking and it was like, okay, it&#8217;s worth it to do, make the effort to, to make this a WordPress plugin. Um, but, you know, trying to shorten all those steps, uh, and, uh, and integrate with different, uh, you know, capture people where they already are kind of thing.  </p>\n\n\n\n<p>So it&#8217;s, um, you know, if they&#8217;re already in WordPress, then um, then they can do cropping there. If at some point we find that people are using the website, [00:39:00] I mean, what&#8217;s, what&#8217;s to keep us from monetizing the website at some point, right? Like we don&#8217;t have to be a dedicated freemium WordPress plugin. Um, things like Chrome extensions, uh, not off the table, down the road.  </p>\n\n\n\n<p>And then we also could look at, um, integrating with Unsplash, with whatever other, um, Where people are finding, getting their images, finding their images, that kind of thing. Um, and to me, I guess it&#8217;s the, you said something a minute ago about, you know, what is the process and, and how do we know what the process is?  </p>\n\n\n\n<p>And I guess to me, that&#8217;s why I&#8217;m starting to add our functionality in front of, it&#8217;s like you have a storefront and you have lots of doors. And right now we&#8217;ve put some sort of, we&#8217;ve put our code in front of one door, which is the featured image door, but people might be walking [00:40:00] through the media library door, or they might be walking through the block editor door.  </p>\n\n\n\n<p>It&#8217;s like all the ways that people are, WordPress is here, I&#8217;m here and Im, we&#8217;re doing something with images. And so it&#8217;s like, how do we catch people at each door at. Uh, interaction point of them images and WordPress, and so media library, uh, an image block, um, classic editor featured image, classic editor featured image, um, block editor, whatever I just said.  </p>\n\n\n\n<p>Um, you know, a at some point, a c f, you know their forms. Again, any, the idea to me is however we can, we can get in front of people or in between people and images into WordPress.  </p>\n\n\n\n<p>Yep. So, so at [00:41:00] this point, I guess what I&#8217;d say is we&#8217;ve both said a lot of words. . Maybe maybe rephrase the question like what it, you know, I, I, I, I mean I say that to be funny, but we&#8217;re talking about a lot of interesting things. Yeah. Some of it is ethereal. What is it? You&#8217;re, what, what is the question precisely that you&#8217;re trying to have us answer right now?  </p>\n\n\n\n<p>I&#8217;m zooming out&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> from our original thesis, uh, zooming out and trying to get a perspective, and I think you give me really good perspective of, you know, we&#8217;re a part of this process. Our product is a part of a bigger process. Like, last time I looked it up, we, we said, make creative chores fun. This is a chore.  </p>\n\n\n\n<p>It&#8217;s like, I, I wrote this down too for us. I go, you know, my grandmother painted paintings and she was an artist and incredible artist and we&#8217;ve got a lot of our work in our house. The [00:42:00] frame that she picked makes the painting. I was looking at the art itself and I go, it&#8217;s beautiful the frame. Makes it, and it&#8217;s almost like images are the frame of it, right?  </p>\n\n\n\n<p>Mm-hmm. . So back down to utility for a second. I&#8217;m just trying to think. I think this is where we&#8217;re gonna come up with some bells to ring and some opinions of mm-hmm. images, image stuff in, in WordPress and anywhere. It kind of sucks. It&#8217;s a, it&#8217;s a hunt, it&#8217;s a chore. It&#8217;s all that stuff when you&#8217;re just trying to get like powerful writing.  </p>\n\n\n\n<p>And it&#8217;s, the thing most people don&#8217;t do on their websites is do an image. Like I, I&#8217;m on this one book all the time, I love it. No images and it&#8217;s cool, but because she&#8217;s done the pain of creating the content, now it&#8217;s left to this final thing of the chore. But like, here&#8217;s an opinion. We could say images should be your frame of your contents.  </p>\n\n\n\n<p>Like, you know, we&#8217;re talking about emotionalized, wrong answers, provide context. So how do we do that Now, [00:43:00] back down. Thank you for exploring that with me a little bit. I&#8217;d just like to get this bigger perspective cuz sometimes Corey, I&#8217;ve been like, I wanna solve this one problem and I don&#8217;t see the bigger picture zooming out.  </p>\n\n\n\n<p>Now we can zoom back in too and just go like, in an ideal state, finding sizing, finding and sizing are two big design issues. Image, you know, in publishing.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> And Hendrick just brought up another good one, which I deal with my clients all the time, which is broadly speaking, image metadata. Mm. And so it&#8217;s like, and it&#8217;s a chore and.  </p>\n\n\n\n<p>Because they source images, uh, free images that, that need credit. Or again, they&#8217;re, they&#8217;re having bespoke fashion shoots done and they need to credit the photographer. Um, and all that kind of stuff. I saw, I just saw a plugin yesterday that is [00:44:00] integrating AI with WordPress images to write the alt text for you.  </p>\n\n\n\n<p>Um, which I thought was, I&#8217;m like, that&#8217;s, that&#8217;s a no-brainer. Um, you know, that&#8217;s a problem that&#8217;s desperately n needed to be solved for a while as much because humans are terrible at , this kind of stuff. Yeah. Um, and, and again, non-technical, non s e o people, clients don&#8217;t understand. They&#8217;re like, it&#8217;s a, it&#8217;s a picture of a house in front of two trees, like.  </p>\n\n\n\n<p>Do I say cabin? Do I say house? Do I say trees? Do I say, you know, and it&#8217;s like, even if the AI isn&#8217;t a hundred percent right, I&#8217;d rather it, it, it did something , um, lit literal rather than humans overinterpreting. Cuz some of them were like peaceful setting and you&#8217;re like, no, that&#8217;s not a, technically you&#8217;re right, but that&#8217;s a house with trees.[00:45:00]&nbsp;  </p>\n\n\n\n<p>It&#8217;s not p Google doesn&#8217;t understand what a peaceful setting is, but it&#8217;ll, it&#8217;ll say, it&#8217;ll know that it&#8217;s a picture of a house with trees and read the article that about a peaceful setting and then it will connect the dots. Obviously I&#8217;m being presumptuous about how Google works, but you know, I think that there&#8217;s, there&#8217;s definitely times where there&#8217;s too much human interaction and whatnot.  </p>\n\n\n\n<p>Anyway, I&#8217;m, I&#8217;m ranting, but I do think that part of the bigger problem as we&#8217;re trying to define it here, finding images or sourcing images, images getting, um, inserted correctly. For the theme, for the site, for the design, um, and then metadata. So it&#8217;s that whole last, um, you know, if it&#8217;s a Gantt chart, it&#8217;s the, the last chunk of that Gantt chart of, okay, my story is ready to go.  </p>\n\n\n\n<p>Oh crap, I need an image. And everything that, that involves finding the image, inserting the image, resizing the image, making sure all the metadata on the image is [00:46:00] correct, and then I can publish.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yep. Um, I think what this does for me too is help with marketing. Like when we talk about lead magnets is like, how do you source it?  </p>\n\n\n\n<p>That&#8217;s a easy blog, post lead magnet, something. Um, the other thing is a potential path for us, like we got one part of the thing that we&#8217;ve kind of said. Crop scale, get the right size, um, downstream. We have another path though we could take is like taking the other problem, which is finding, sourcing, not saying we should do it, just saying it is hundred percent option.  </p>\n\n\n\n<p>Yep. Finding sourcing, then. Correct. And it&#8217;s like trying to put this piece pu puzzle together. Um,&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> okay. It&#8217;s like the, there&#8217;s a lot of, there&#8217;s a lot of thinking, writing, talking now in the startup world about, sorry, I&#8217;m rising slowly with my desk, um, [00:47:00] but about not jumping in and building products, which I&#8217;m terrible at.  </p>\n\n\n\n<p>Um, but at. Talking to customers first, defining problems, defining, letting them define solutions, and then that&#8217;s what you&#8217;re supposed to build. I&#8217;m too impatient. I&#8217;m a developer. I&#8217;m a hammer. Everything&#8217;s a nail. Uh, it&#8217;s a problem I have and I&#8217;m, and I&#8217;m fine with it. Um, but I do think that this helps us fill in some of those gaps that are necessary.  </p>\n\n\n\n<p>Right. And it&#8217;s like you said, if we understand the problem, we don&#8217;t have to solve all of them, but it, but the problem is what everybody wants to talk about. You know, you go to a meetup. I was on a, on a virtual WordPress meetup last night. Shout out to the New Hampshire, uh, WordPress meetup. That&#8217;s just getting started again after a long hiatus, which is awesome.  </p>\n\n\n\n<p>Um, you know, but it, it inevitably turns into people [00:48:00] complaining together about similar problems. Oh, we all, all of my clients use, you know, such and such a page builder and it&#8217;s a pain in the butt. And like that&#8217;s how humans. Converse, you know, we share our pain and uh, and it helps us, makes us feel better and not alone.  </p>\n\n\n\n<p>And other people might have suggestions and yada yada. So it&#8217;s like, even if we don&#8217;t ever tackle the problem of sourcing images, it gives us plenty of blog posts to talk about our top 10 places for sourcing images that works really well with crop, you know, integrates nicely with Crop Express or whatever.  </p>\n\n\n\n<p>Um, and helps our customers, our users, broadly speaking with what we know to be a problem overall, even if our product doesn&#8217;t necessarily solve it.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> So in your work with the media library, are you like in the media library going add new, pulls it up, and then Crop Express comes in? [00:49:00]&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Okay, so it&#8217;s right now, yeah, it&#8217;s, you know, there is a button, right? You&#8217;re looking at all of your images and there&#8217;s a button at the top that says add new. Just like on every edit screen there&#8217;s an ad, new post, an add, new whatever.  </p>\n\n\n\n<p>And so the, what I have currently, again, I&#8217;m just proving concepts here, still is next to the add new I have, um, uploaded crop. So there&#8217;s a duplicate button because again, I&#8217;m starting to think that we need a way to bypass crop express so that if you want a featured image that isn&#8217;t 16.9, we&#8217;re not getting in your way.  </p>\n\n\n\n<p>Because that&#8217;s how people, that&#8217;s when people are like, screw this. I&#8217;m gonna go uninstall this damn thing, cuz it, it&#8217;s too opinionated or it&#8217;s locking me into something. Um, and so we have to figure that out from a UI perspective or, or UX exp uh, perspective. But, but right now, yes, same, same exact thing.  </p>\n\n\n\n<p>Just like in, [00:50:00] um, the, the block editor featured image, it opens a modal crop, your image, and then that sets your featured image instead of uploading an image into the media library and then using the, the very clunky WordPress image crop, it opens a modal. You upload your image, you crop it easily and quickly, and then it gets injected into the media library.  </p>\n\n\n\n<p>So it&#8217;s really the same flow. Um, again, just trying to kind of be. Insert ourselves in between so that you&#8217;re doing the, the hard part quickly and easily before it, the image gets saved, which I also think is a huge feature. Yeah.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> And I mean if we do it where the media library is in it&#8217;s now and train people on that workflow, like go there, um, potentially, cuz I was kind of thinking, and I&#8217;m not, don&#8217;t know the technical hurdles, [00:51:00] but back to the keep it installed, how do we keep it installed?  </p>\n\n\n\n<p>We make it an indispensable utility tool. So I was kind of wondering like you got featured image box on the right side of the post Senator and that&#8217;s cool. It&#8217;s right there. It&#8217;s very obvious. Upload, pick, upload, you know, and then crop. So we, we check that box, but I go, okay, back to the keep it installed, making a utility.  </p>\n\n\n\n<p>What did, do we, there&#8217;s one thought just gonna give these raw is that there&#8217;s a left side of the WordPress nav, there&#8217;s crop express menu item go in, they can start manipulating somehow. That&#8217;s probably tied in with the media library, non-developer. Um, the other option is using media library as it is.  </p>\n\n\n\n<p>Third option I was thinking about is right below that feature tab is like, here&#8217;s your, your handy utility tool [00:52:00] right at your fingertips when you&#8217;re in the publishing process. Um, because downstream, like if we did any one of the, like the left, left menu or the right side of the Post-it, I&#8217;m like, put the utility tool right at my fingertips.  </p>\n\n\n\n<p>Mm-hmm. down down that one stream of like the finding. If we decide we want to maybe. to do this. At some point you&#8217;re like, it&#8217;s right there. You&#8217;re, you&#8217;ve done the hard work of writing your post now this tool over here, cause I know there&#8217;s Gutenberg Block h Big Hill to climb on that. So I&#8217;m like right here.  </p>\n\n\n\n<p>I can, you know, it lays the foundation for saying find source potentially. Then step three or two is crop it and put it in. You know, we still have to figure out that gap between post editor, post block editor and here. But I go, I don&#8217;t know. Those are the three things I&#8217;ve been thinking about. But I want your, see what you think about that.  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Yeah, I like that [00:53:00] idea. Like what jumps out at me is, is a, so we&#8217;re talking about like, you&#8217;re in the dashboard, you&#8217;re not in the con you know, it&#8217;s, it&#8217;s what is, what is cont what is the context, right? So I&#8217;m writing a post, I&#8217;m building a page. Um, And so I&#8217;m inserting images again, like we want, and that&#8217;s where the block I think comes in if people are using the block editor.  </p>\n\n\n\n<p>Um, at some point, I think before we started recording our calls, we talked about, like, I use Beaver Builder, um, and so, and they allow, you know, custom modules and so having a, like, you know, when I&#8217;m building a page or my clients are building a page, insert an image. It&#8217;s not just any image. You&#8217;ve, you&#8217;ve gotten, uh, the, the media library picker, but with our cropper installed again.  </p>\n\n\n\n<p>Um, but anyway, the, the context of you go to media Library to upload and [00:54:00] manipulate images. I&#8217;m sure some people do that. I have a, I don&#8217;t understand the context of it, but I&#8217;m sure some people. Upload images or, or think about images separately, and then they want to go find them when they&#8217;re writing a blog post or something like that.  </p>\n\n\n\n<p>Um, to me, I, that searches WordPress searches terrible. And so trying to upload a whole bunch of images and then go find them out of the workflow, I can&#8217;t even imagine, but I&#8217;m sure people do it. Um, but all that to say, I like your idea of like, I just need to crop an image. I&#8217;m, you know, maybe it&#8217;s the fave icon or maybe there&#8217;s some other context we&#8217;re not thinking about yet, but it&#8217;s like instead of there being a crop express admin menu item, it would say crop and image or, and so it&#8217;s like, it might e and you&#8217;re right, it might even be redundant or somewhat redundant to the media library [00:55:00] integration point, but it&#8217;s like it saves you going to crop express.  </p>\n\n\n\n<p>The website or it saves you having the Chrome extension installed or whatever it is. Um, and so I like that idea of like, again, it&#8217;s, to me it&#8217;s, we&#8217;re, we&#8217;re trying to sort of cast a net and so it&#8217;s wherever we&#8217;re catching people, wherever they&#8217;re dealing with images. Um, and then I just think that, you know, as we, as we continue on our journey, interacting with people, hearing feedback and stuff like that, that it&#8217;s all those points that are then going to be upgraded.  </p>\n\n\n\n<p>So it&#8217;s like here&#8217;s, you know, three or four different contexts where people upload and crop an image. And then if we decide to tackle metadata, okay, so then here, you know, here are the three or four points where people are uploading, cropping an image, adding metadata, or we&#8217;re sucking in metadata or whatever, [00:56:00] again, before they hit publish.  </p>\n\n\n\n<p>So if we can, if we can start with. all those integration points, but I think it&#8217;s, you know, we have to go where people are already integrating or are already interacting, um, rather than ex expecting them to come to us. And&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> without further validation, I go, I think I&#8217;d want it just for my own use case in the right side bar there.  </p>\n\n\n\n<p>Just like to figure and go, okay, I can go here to find that piece. That drives me nuts, which is an image. But I&#8217;m starting to think up here again a little bit and just go, what makes an ima if an image like in a magazine is there to evoke, uh, interest, emotions and all that, what&#8217;s this place? And this is where we get opinionated potentially.  </p>\n\n\n\n<p>It&#8217;s like, what&#8217;s this place in a blog post on a site? Um, and like, [00:57:00] I don&#8217;t know about you, I just abandoned the whole thing because. Just as I, I guess I&#8217;m a design snob, even though I can&#8217;t do that very well, I&#8217;m still a snob about it. Um, but like I, I thought about the post I wrote yesterday. What would I do?  </p>\n\n\n\n<p>What would I do to evoke emotion and interest for the Post I did? You know? And, and that&#8217;s, that&#8217;s a problem I bet with a lot of sourcing. I know content Journey does a lot of, I mean, I think everything they do has featured images, if I&#8217;m not mistaken. So I think we can get really opinionated about that for sure.  </p>\n\n\n\n<p>Especially with our magazine. Newspaper background is like, it&#8217;s about to set the tone, the flavor of what you&#8217;re trying to get across, what&#8217;s that intent? Um, and then we just come back down to the process of like, when you&#8217;re doing that, how does this process work? I love, that&#8217;s what I. To get more feedback on is [00:58:00] how people do that, because they probably go, you&#8217;re doing it all wrong core, you&#8217;re doing it at the back end.  </p>\n\n\n\n<p>You should do it at the front end. I&#8217;m like, okay,&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> tell me more. That&#8217;s true, right? Yeah. And I mean, it&#8217;s all I can say is you and I, and pretty much everybody I&#8217;ve interacted with are,  </p>\n\n\n\n<p>I don&#8217;t wanna say not professionals, but we, we all share the same problem. We&#8217;ve all arrived at the same situation where we&#8217;re, we&#8217;re developing written content. And the image is not necessarily an afterthought, but it&#8217;s the last step of what&#8217;s being handled. Uh, it would, it would be fascinating to me to, to find out that there is some, Doesn&#8217;t New York Times use WordPress or I, they, they&#8217;ve abandoned it and come back [00:59:00] again and, and one of the other New York Post I think does too.  </p>\n\n\n\n<p>Um, and I, they left and came back, or white, white House or whatever. It&#8217;s like to me that those, that&#8217;s the epitome of . The, the WordPress workflow, right? WordPress publishing workflow is if you are, uh, the New York Times or similar and you&#8217;re using WordPress, and so it&#8217;s like, call up the president and find out if he&#8217;s looking for an image before he writes his blog posts.  </p>\n\n\n\n<p>Obviously a joke. He doesn&#8217;t write his own blog post, but that would be fascinating. But I bet we find that this is universal or, or damn near, you know, 80 20. Um, and so yeah, how. we&#8217;re starting with a very small problem that we&#8217;re solving. Where it goes from here would be fascinating. [01:00:00] I what what comes to mind is like, doesn&#8217;t Yost Pro let you put in some keywords and then it helps you rate your content based on those keywords or, or you know, it looks at search results or keyword points, you know, and how you&#8217;re gonna rate for those keywords kind of thing.  </p>\n\n\n\n<p>Like, so I start to,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> yeah, I love that. Imagine some AI thing going down and going, here&#8217;s a couple of images we either found or created, um, on the site that flash him up a bit. I&#8217;m so funny about my content though, and I just, I&#8217;m trying to unearth a bigger problem here that could really lead a roadmap about is there&#8217;s a.  </p>\n\n\n\n<p>Seems like there&#8217;s a problem. It&#8217;s wonky. The workflow to, to frame evoke interest through images in your content. [01:01:00] Like when you said Element, uh, beaver Builder, and I put Elementor down to you, I&#8217;m like, oh, that&#8217;s right there in that workflow. Great business integration to do. I just talked to Robbie yesterday, by the way, so we could, we could follow up with Robbie on this and he might be a source of really good information.  </p>\n\n\n\n<p>So I&#8217;ll write down, follow up with Robbie&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> again. Yeah. Like what, what does the Beaver Builder team know about how people use their tool? Yeah. Are they, because&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> images are, oftentimes they&#8217;re lame cuz they&#8217;re being pulled from stock. We feel like we need &#8217;em and they just, you know, they&#8217;re obvious stock images, you know?  </p>\n\n\n\n<p>Yeah. Which&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> is, we&#8217;re all used the same ones. .&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Mm-hmm. . Yep. Which is interesting to me from an AI perspective of like, do something that actually more one off matches the content [01:02:00] and the, and emotions and outcomes you&#8217;re trying to evoke.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Yeah. I think we&#8217;re there like, I mean all I&#8217;m seeing for the most part is people on Facebook plugging in some of their images and seeing, you know, here&#8217;s me as Hercules or whatever.  </p>\n\n\n\n<p>Um, but it&#8217;s the image generation or that, you know, the, here&#8217;s a picture of me in the style of da Vinci, or, you know, Monet or whatever, but I, I, there&#8217;ve gotta be people already using AI to generate images. You know, here is an article about X, Y, Z, generate an image, and then that way I don&#8217;t have to pay royalties, I don&#8217;t have to do any searching, you know, if the image is good enough and compelling enough.  </p>\n\n\n\n<p>Um, which is, I mean, also very subjective, like you said, yourself, you&#8217;re picky about your content. So, you know, would AI generated images be enough? I don&#8217;t know. Um, I&#8217;ve got a buddy who runs all of his [01:03:00] images of himself. He&#8217;s a dj and so he has his marketing site and he runs all of his images through like an in Instagram filter that&#8217;s one specific filter.  </p>\n\n\n\n<p>So all of his images look consistent and stylized. And so, you know, the image source is easy for him. It&#8217;s him DJing. Um, but the, the manipulation of the image. It takes a little bit of time, but it, that&#8217;s what makes all of the images of him look cool and different, you know, hip and with it cuz he is a, a dj.  </p>\n\n\n\n<p>Um, you know, rather than just pictures of like, I mean, I, I DJ here in my office, the pictures don&#8217;t look like anything . I may as well be working. Um, yeah. So yeah, there&#8217;s lots of, it&#8217;s, it&#8217;s a big interesting step, uh, of the way we present ourselves [01:04:00] online. And some of it&#8217;s painful, but I also don&#8217;t, I don&#8217;t, I don&#8217;t know yet whether.  </p>\n\n\n\n<p>like there&#8217;s lots of potential ways to integrate ai. I also think it&#8217;s early days of mm-hmm. , like the norms haven&#8217;t been worked out on, on how, how we can use it and how we want to use it. Frankly, like, you know, there&#8217;s for, for everybody who&#8217;s excited for every, everybody who&#8217;s, every person who&#8217;s excited about ai.  </p>\n\n\n\n<p>I feel like there&#8217;s also a person who&#8217;s very apprehensive about like, do I, you know, if every blog post needs an image and so we&#8217;re, but we&#8217;re too lazy to go find the perfect image, then I&#8217;m gonna press a button. AI&#8217;s gonna do its best, and then I&#8217;m just gonna throw that up there because my blog post, somebody told me I have to have an image, but I don&#8217;t really care if that image is, is honestly the best one.[01:05:00]&nbsp;  </p>\n\n\n\n<p>are we contributing to, you know, or AI writing? I mean, it&#8217;s the same argument. It&#8217;s like if, if half the blog posts now are gonna just be written by ai, is it, is it worth it? Are we just continuing to pollute the web with bad writing? You know, we&#8217;re saying the same thing over and over again. So it&#8217;s, all of this stuff I think is really interesting to start writing about or talking about.  </p>\n\n\n\n<p>Um, for me, I, I still think some of the dust needs to settle, um, before we actually look at integrating this stuff. Unless, unless some obvious winner jumps out at us. Yeah, I like&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> it in view of here&#8217;s that conversation going. It&#8217;s gonna only accelerate. And then how do we position crop express where there&#8217;s a convergence point at some point.  </p>\n\n\n\n<p>So, and I think we&#8217;ve identified it&#8217;s the finding sourcing part. All that back, back to here. Cause I wanna make sure I tie back down to ground earth cuz I [01:06:00] don&#8217;t always do this. I get thinking about this going, this is cool, this is something to chase. This is some validation for me of like interest. Um, but it, uh, then I go practical point is like having a utility tool to do my, it was just, so, like Patrick Garman, one of our agency owner members posted like his year end wrap up basically.  </p>\n\n\n\n<p>And you know, looking through the post, I could have read it and imagined he was on an RV trip with his wife and they got to do all these things, but he posted some pictures along the way, you know? Mm-hmm. and, and that was the ideal use. Like seeing one of his picture RV two chairs and looking off, I was like, well that captured the moment right there.  </p>\n\n\n\n<p>Now he sourced those personally from his own camera and media library. Um, I&#8217;m like, if you&#8217;re doing that, You know, images come in from the iPhone, huge not right format. All this stuff, [01:07:00] being able to just go through my media library. You&#8217;re having the problem of like taking off your phone over to your desktop probably.  </p>\n\n\n\n<p>Then you&#8217;re trying to upload it up there. That&#8217;s just a cluster by the way. Just feels like a cluster. But you&#8217;re like, okay, he&#8217;s done all that hunting, searching, finding. Now he comes in, he doesn&#8217;t wanna go to another tool, he is already done all, you know, potentially Dropbox it over. That&#8217;s how I do it anyway.  </p>\n\n\n\n<p>Or, or air dropped it over. Uh, and it seems like when you&#8217;re in there creating the tools should be right there at your right side. That, that&#8217;s where I&#8217;m leaning on these three things we&#8217;ve been talking about. Like media, library, carbon Express thing, and right here where I need it. Mm-hmm. , I don&#8217;t know if it&#8217;s the right, but it tend to be gravitating toward if we&#8217;re gonna make this into a utility suite, um, eventually.  </p>\n\n\n\n<p>Yep. Or want the possibility of it. It seems like that is a good way, is is a good thought, but technically I don&#8217;t know what the hurdles are. Um, you know, the already the post thing is just [01:08:00] like overwhelming to me anyway, but this would be one I&#8217;d want prominent if I&#8217;m gonna be using images.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Yeah. And, and I mean, what jumps in jumps in my, to my mind is again, down the road, it&#8217;s like we could start moving upstream and it&#8217;s like somehow you are doing, I mean, we&#8217;re just having fun brainstorming here at the moment, but it&#8217;s like, be the.  </p>\n\n\n\n<p>I, I, I, it used to be delicious. That went out of business. Now I use Pinboard, but it&#8217;s like the, you know, the bookmark keeper. So it&#8217;s like, imagine if like we, we could extend beyond WordPress or beyond, it&#8217;s like you&#8217;re out browsing the web or you&#8217;re on your phone or anywhere that you&#8217;re just kind of like, you&#8217;re collecting, you&#8217;re collecting, you&#8217;re, these are all the potential images.  </p>\n\n\n\n<p>Um, and somehow they all get channeled into like, you wouldn&#8217;t really wanna do this because your media library would [01:09:00] fill up and most hosting companies limit your disc space, whatever. But if you&#8217;re like, you know, I&#8217;m writing a blog post about, you know, my, my RVing trip with my wife. It&#8217;s like, I. Throw images off my phone, I might go and try to source some images from Unsplash and if all of them landed in my media library, uh, cropped correctly, sized correctly, stylized correctly, um, and then I could, and then it, they were there for me to choose from or something like that.  </p>\n\n\n\n<p>So it&#8217;s like, you know, that&#8217;s not, there&#8217;s, there&#8217;s a lot of things wrong with what I just described as an actual product, but, or problem to solve. But it&#8217;s like, we can definitely start looking at again, if, if we get feedback that&#8217;s upstream. Bless you. Um, upstream, you know, part of the problem of sourcing images or finding images or, you know, it&#8217;s like, or even getting them off of our, our devices and into WordPress, if that&#8217;s a pain, [01:10:00] you know, you&#8217;re, If you&#8217;re dropboxing it to your PC and then uploading it from your PC into your media library and then selecting it in your posts, then you know, what&#8217;s the, the one click?  </p>\n\n\n\n<p>Like take it without signing into WordPress from your phone, you know, what&#8217;s the quick share to your WordPress install little utility plugin or something like that. I use a, um, an app on my iPhone called Flight that is free, and it&#8217;s basically for emailing anything to myself. Um, but it uses the share, so it&#8217;s like I&#8217;m browsing.  </p>\n\n\n\n<p>Any website or I&#8217;m in Amazon or whatever and I hit the little share icon and where it gives me the option to airdrop or it gives me the option to post it to Messenger so I can send it to my wife or whatever. Um, there&#8217;s a, a flight option and it opens up a little icon. I hit [01:11:00] post and it sends me an email with a link to whatever I&#8217;m looking at, cuz I&#8217;m in my inbox all day.  </p>\n\n\n\n<p>And that&#8217;s kind of my ends up being my to-do list. And so in theory, you know, again, if we find that this is a huge pain point, there&#8217;s a, I&#8217;m looking through images on my phone. I click share, I click the, the send this to my WordPress install and it&#8217;s preconfigured to crop 16 nine, then it just lands in my, my media library already ready to go.  </p>\n\n\n\n<p>You know, these are problems we can solve technically, once we&#8217;ve defined that there&#8217;s enough people that want that kind of solution.  </p>\n\n\n\n<p>So&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> right now you&#8217;re, you&#8217;re working on the media library thing, um, d but do you like this right sidebar thing? What&#8217;s your thoughts on having it? Do [01:12:00] you crop express you the tool, whatever next version, thoughts or whatever? I&#8217;m trying to think through, uh, product guidance and give you enough.&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Sure. I mean, I think to me the,  </p>\n\n\n\n<p>right now, the problems that I quote, unquote know we have because I have them and, and I want, if nothing else, I want you to be using this. I want my clients to be using this. I want, um, content journey to be using this is, um, featured image. Media library, uh, block editor, block, classic editor featured image.  </p>\n\n\n\n<p>Those are the four to me, the four known integration points of WordPress and images. And then, and then that way anybody who stall installs this plugin is [01:13:00] going to interact. I mean, if, and Beaver Builder aside, or these other scenarios aside, you know, there&#8217;s, there&#8217;s a very long tail of integration points, but the four primary integration points are covered at that point.  </p>\n\n\n\n<p>And that&#8217;s, that to me is the bay, the, the bare minimum of if anybody installs this plugin, they&#8217;re guaranteed to interact with our plugin and then we can start seeing if it works for people. Yeah.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> The thing I wanna do on my own is, um, chase this. More metaconcept of like purpose of the image and then just look around and see, you know, where it&#8217;s like images, the opinion I um, thesis of happiness images should add value, not subtract or be a distr distraction.  </p>\n\n\n\n<p>How does that get done? How do people source it? You know? Mm-hmm. , how do we get that thing? There is a SEO value, you know, [01:14:00] from a good image, um, in that, and I, I want to chase that a little bit cause I think it&#8217;s gonna help us, you know, downstream cuz like if we, okay. If we do the thing you were just saying, get all the integration points, the, the basis covered.  </p>\n\n\n\n<p>Yeah. That&#8217;s the free tool. Mm-hmm. to me. And then it&#8217;s like, you want more and better. And this is where we could explore downstream on the paid side is creation, sourcing, finding part of that. And I, I really like that because the free of those, like, here&#8217;s those points you&#8217;re gonna have and we&#8217;re gonna be utility, we&#8217;re gonna help make it easier, this problem easier, you know?  </p>\n\n\n\n<p>Um, and then what it saves us is some of this bigger picture stuff for pro and paid. Like you really want to get serious about it, about doing this better. [01:15:00] This workflow, this outcome you&#8217;re getting. Here&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> paid. Yep. There&#8217;s, there&#8217;s certain WordPress plugins. Because I deal with, because I build web apps, um, and or because I control what my clients see when they sign in.  </p>\n\n\n\n<p>I install user switching, uh, in, on many, many sites. I install duplicate pages. Like these are no-brainer, low lift, low impact. High value. You know, they add a button that frankly should exist in WordPress. And I think that&#8217;s kind of what we&#8217;re talking about here is like, yes, WordPress has cropping, but it&#8217;s dire.  </p>\n\n\n\n<p>And so we are adding simple, basic functionality that arguably should be there or should be upgraded at this point. But where we take that sky&#8217;s the limit. Yeah. But if we can get, if we get to the point, I like that we keep talking about utility, [01:16:00] essentially is like if, if we are the sponge, the, uh, the coat rack, the, you know, the basic thing that every house has to have, um, you know, then, then we&#8217;re just gonna watch installs happen.  </p>\n\n\n\n<p>Mm-hmm. , um, you know, that&#8217;s the dream, right? That hosting companies start recommending us because it&#8217;s just, It&#8217;s gonna save them support tickets. That&#8217;s the dream. Mm-hmm. . And then past that, all this thinking that we&#8217;re doing defines the the business.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Okay. Take this for a second. I just wanna quickly sidebar on something.  </p>\n\n\n\n<p>You hit another value add. So if for utility is, you know, making cropping easier, that&#8217;s our been our thesis. Um, you just put a use case. We&#8217;ve talked about beaver builder hosting companies. So I go, what&#8217;s a compelling thing? It&#8217;s okay. [01:17:00] Huge images don&#8217;t help anybody on the web. You know, h ginormous, it takes a dis space.  </p>\n\n\n\n<p>It&#8217;s, you know, bandwidth. It&#8217;s all those things that&#8217;s compelling. Mm-hmm. . So then I go, this is just over here. An idea for us, this is like if, if we, if we take that angle and make this like the rockstar utility and that&#8217;s our base. To showcase. Okay, well you wanna go more? Here it is. Okay. Why would he host recommended it?  </p>\n\n\n\n<p>It&#8217;s like, well, maybe there&#8217;s a tool out here that does this, but like when you put an image, it&#8217;s like, hey, fyi, you&#8217;re think maybe there&#8217;s a module or in the free at some point it&#8217;s like, by the way, this is 1000 million pixels wide, big disk size, it&#8217;s not the right, like some of that&#8217;s in in WordPress already, right?  </p>\n\n\n\n<p>Mm-hmm. True. So true, true. Getting some of those details [01:18:00] to prevent, like it&#8217;s kind of a, for the hosts, kinda like a prevention, by the way, this is gonna help you and the tool right underneath it, A free tool. Is it gonna help you crop that to the right setting? There&#8217;s a compelling value proposition.  </p>\n\n\n\n<p>Mm-hmm. , it&#8217;s like a, and this is 10 year old story, but my mom uses one of our themes and it&#8217;s got rotating images and she&#8217;s like, wow. 15 five megabyte files. That doesn&#8217;t help anybody. Doesn&#8217;t help the user. Right. Doesn&#8217;t help their visitor, doesn&#8217;t help the hosting company that checks a lot of boxes for a utility.  </p>\n\n\n\n<p>So I almost wonder, it&#8217;s like conceptually you&#8217;ve uploaded an image to the media library and it&#8217;s like, hey, this is effing huge size it. Yep. So, I don&#8217;t know, I just want to see, cuz you know, technical, all the, the backend is like, conceptually speaking, you think [01:19:00] this is huge. You probably don&#8217;t even need it up here, but before we put it up here, we can make it better.  </p>\n\n\n\n<p>Yep. Right there. That&#8217;s compelling. It&#8217;s like, You know, people would recommend it and support, because this is a, I&#8217;ve heard enough of this that I think it&#8217;s probably an issue. It&#8217;s like, it&#8217;s not gonna help your bandwidth , it&#8217;s only gonna, you know, most of these hosts have, uh, visitors&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> caps and, and disc space caps and Yeah.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> And they&#8217;re solving it with CDNs and stuff on the other, you know, other side of it. You&#8217;re like, what if you could be proactive about it and help people get better images?&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> Right. Well, and that&#8217;s, I mean, like, that goes back too to the, you know, creating, creating images, helping users create images that work with the themes, the theme and the design overall.  </p>\n\n\n\n<p>It&#8217;s like if, if everywhere on your site you&#8217;ve got. Square images, why are you up uploading 16, nine featured image? You know? So it&#8217;s, um, you know, all part and parcel of, um, [01:20:00] the, the sort of cynical way of saying it is like protecting people from themselves. Um, but that&#8217;s, that&#8217;s like you said, on all fronts, the disk size, uh, or the image size, the space that it takes.  </p>\n\n\n\n<p>So there&#8217;s bandwidth issues, um, you know, and making it look good the way humans view it. So, um, but yeah, I mean the, the upsell again, be by becoming a utility. Like there&#8217;s a number of, um, hosting companies that recommend certain plugins that have white list, white lists of recommended plugins or incurred, you know, and some of them I don&#8217;t, I don&#8217;t know.  </p>\n\n\n\n<p>I&#8217;m not on enough hosts anymore to know, like, do they come that most of them have their own plug-in installed, but they don&#8217;t necessarily like pre-install a bunch of plug-ins for you. But, um, you know, but again, all good marketing copy, um, good relationships to be [01:21:00] building and, and taking advantage of. And, um, you know, and we, and in, in, in the inverse right, is hosting companies that we recommend working with that are trying to solve this problem.  </p>\n\n\n\n<p>Again, kind of protect, protect people from themselves. If you&#8217;re non-technical, these are things, you know, ideally you&#8217;re not even having to think about. Well, and&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> give me another per person to put people to put on this. Um, asking about problems is hosting companies. Mm-hmm. , so probably hit up Jess from principal and some of my different contexts, but like from the utility value prop.  </p>\n\n\n\n<p>The alone. This doesn&#8217;t get us to revenue as fast, but it&#8217;s like, get installed or get recommended. Huge. So the value prop, like if we can hit the value prop for the user, the end user, the agency, the hosting in a very simple, elegant way, just solve these little problems. Yeah. It&#8217;s like we, we all become the [01:22:00] defacto, um, recommended tool.  </p>\n\n\n\n<p>Like Hendrick was saying, okay, it&#8217;s it&#8217;s forms, it&#8217;s seo, it&#8217;s this, it&#8217;s that. You know, like, why not put it up there? Maybe we&#8217;re not that tier, but we&#8217;re second tier in that recommended of like making your images better for everybody. Mm-hmm. . So that&#8217;s what made me think about as you&#8217;re working on the media library stuff is simple ways to say, this is really big, you know, why don&#8217;t you like, hey, two, two parts, just one is it&#8217;s huge.  </p>\n\n\n\n<p>You don&#8217;t need it. You know, the file size is way too big. Way too big margin. The second I thought of is like, I didn&#8217;t think about this until you said this, but themes have recommended default ratios, right? So it&#8217;s like we can go back to Cadence, beaver, builder, elementary, whoever it is, and go like, can you give us those?  </p>\n\n\n\n<p>What are those standard if we [01:23:00] can&#8217;t find them? But I was even thinking like, I wish that information was in the theme that could be displayed in there. It&#8217;s like, you need&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> four by three. Well, and there&#8217;s, um, like you can install a c f. If you own an A C F license, you can install a c f, um, you know, preconfigured essentially.  </p>\n\n\n\n<p>So the client doesn&#8217;t know that it&#8217;s being used, but it&#8217;s, it&#8217;s integrated. Um, and so I&#8217;m envisioning ways, um, of our functionality being integrated with constants being defined in the code. And so it&#8217;s like you install the, uh, the golf course theme and it&#8217;s, and it&#8217;s, it&#8217;s beautiful. If it has 16, nine images and so hard coded into the theme is anywhere you&#8217;re uploading an image, again, media library featured images, Gutenberg block is, you know, [01:24:00] all you can, it, it, it throws up the cropper and says, you know, the theme you have installed has 16 nine defined, you know, will let you break that if you want to, but, , you know, you, you should probably do what they tell you and then your site will come out beautiful.  </p>\n\n\n\n<p>Um, and, and like you said too of like, um, I like starting that conversation. Like there&#8217;s a, there&#8217;s a chicken or egg, right? Like you can&#8217;t warn, you can&#8217;t tell people the image you&#8217;re uploading is too big. You should install the, our plugin if you, because that&#8217;s functionality we would build into our plugin, so they&#8217;d already have to have it installed.  </p>\n\n\n\n<p>But having the option, uh, or having it throw up a warning that&#8217;s like, you know, our, this is going to get cropped to a recommended 1200 pixels. We noticed that it&#8217;s, you&#8217;ve uploaded one that&#8217;s 10,000 pixels. Do you want, is there some compelling reason that [01:25:00] you want this bigger? Obviously, like we&#8217;re, we&#8217;re saying this conversationally, but.  </p>\n\n\n\n<p>But I like that kind of thing. Like co you know, we&#8217;re helping people, we&#8217;re protecting people from themselves, but we&#8217;re not also, we&#8217;re also not gonna, like, like I said, right now, I think the, the product is too opinionated, um, that you can&#8217;t get around the plugin, which isn&#8217;t, you know, is gonna piss some people off.  </p>\n\n\n\n<p>Um, but we can, we can help people conversationally or functionally as a user.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> This is a problem I&#8217;ve had forever, you know? Yeah. And as on the other side is you build a cool theme or product and people can make it as like, ugly as you want. You know? This seems like an idea to go, like we just need, I think we&#8217;re talking about first Dominoes is we&#8217;ve got hosting, we&#8217;ve got some set of use cases, like your clients come to Journey, different things.[01:26:00]&nbsp;  </p>\n\n\n\n<p>Now we&#8217;ve got theme providers. , that could be a domino for us because, you know, I just put down here Cadence and Kathy&#8217;s aunt because she&#8217;s doing, um, community marketing at Cadence and just going like, can you, can you give me a little bit of time? Tell me what the problems that users have with this and what you all have with this.  </p>\n\n\n\n<p>Like, seriously, we went to all this time and effort to make it a beautiful template and you effed it up, you know? Yeah. Um, and it&#8217;s like  </p>\n\n\n\n<p>the banner there is help, you know, this tool with this integration points, the four, I wanna write those down by the way, cause I didn&#8217;t get to write those down. But the four integration points, um, could be a way to get this adopted. Again, chick Egg, but like, cool. You know, is it interesting to you and I to make this a free utility that potentially builds a bigger snowball [01:27:00] down there?  </p>\n\n\n\n<p>What&#8217;s&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> your answer? Hey, if we get internet famous off of a free plugin, I&#8217;m okay with that too. You know, like we, like we talked about on, in our first call, all of this is a bit of an experiment and, and I think we&#8217;re by, by talking about it publicly, we&#8217;re making it more of an experiment than it would be if we weren&#8217;t.  </p>\n\n\n\n<p>But we&#8217;re both, we&#8217;re both approaching it that way. We&#8217;re not, we&#8217;re not having a ha you know, meeting and having a hackathon and going, this has to make us a million dollars, uh, tomorrow. Yeah. And so there&#8217;s, there&#8217;s, and neither of us are, I, I think we&#8217;d both love it to make us some money or to lead to something that makes us some money.  </p>\n\n\n\n<p>Uh, it becomes a, a, a revenue stream for us individually and or may it becomes a business, um, or whatever that looks like. Um, you know, [01:28:00] but we&#8217;re open to non-obvious or not immediate apparent, immediately apparent. Benefits here. And so, you know, being the person behind a utility plugin that has millions of active installs, some good is gonna come from that and probably some revenue in some way is gonna come from that.  </p>\n\n\n\n<p>Even if crop Express becomes itself, becomes a lead magnet for some other plugin, we&#8217;d, if we crop express, we, we end up creating Image Express that integrates with all of the free image sourcing and, and that&#8217;s purely a paid product or something, you know, so, so that&#8217;s kind of, I think to me, we&#8217;re still there.  </p>\n\n\n\n<p>Do you&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> have image.express? Because if not, go by it. Please. , we&#8217;re all by for you because I think we need that. Um,&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> okay. Everybody listening is scrambling right now to go see if that&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> hang. You&#8217;ve got a five second delay, so see how fast you [01:29:00] type. Yeah. Okay. No kidding. . Takeaways? Takeaways and next steps. Um, I need to do my original to-do from last week, which is like, just have a conversation with a couple of these people on my list.  </p>\n\n\n\n<p>Mm-hmm. , um, you&#8217;re continuing to work on the integration points Media library is next. Is that right? Okay. Yeah. Anything else you need from me?  </p>\n\n\n\n<p><strong>Corey Maass:</strong> I just wanna, sorry, ,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> he&#8217;s, he&#8217;s getting domain guys. Um,&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> nope, it&#8217;s taken.  </p>\n\n\n\n<p>Hey, I mean, I, I feel lucky that, and of course it&#8217;s parked, um, I feel lucky that I got Crop Express and the other, the couple of other domains like that, that I have. Um, but, um, photo Express . But anyway, um, yeah, I, I feel like I continue to, my, my [01:30:00] to-dos are to continue to cover, cover those, those functional.  </p>\n\n\n\n<p>Feature the feature bases that we&#8217;ve talked about, um, those integration points. And you, you start having conversations about, like, cuz I, to me, we, we know, well we&#8217;re, we&#8217;re again, we&#8217;re still at truly laying the foundation. We&#8217;re pouring the slab. Like this is a no-brainer. No matter what kind of house we build, we need the cement that we&#8217;re gonna build off of.  </p>\n\n\n\n<p>So, um, I have no hesitation about continuing to build at least the, the next few features that we&#8217;re talking about. Okay.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Awesome man. Okay, I got my marching orders. How the combos yours keep your, keep on your work with the integration media library points. Um, yep. I was cueing up a question in the agency on [01:31:00] your channel to say, how do you use your, how do your clients use images?  </p>\n\n\n\n<p>I&#8217;ll wait until after my next meeting, which starts in just a minute. But thanks&nbsp;  </p>\n\n\n\n<p><strong>Corey Maass:</strong> brother. Yeah, great to talk to you again.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I love doing philosophy and productivity  </p>\n\n\n\n<p>but seriously, this is context for what I used to formulate marketing messages and approach, and I think it&#8217;s invaluable to product as we understand the problem, you know, and we&#8217;re understanding, I should say. Mm-hmm. , it&#8217;s always evolving and then we&#8217;ll find the point. But I really like where we landed, which is for.  </p>\n\n\n\n<p>Pre plug in super uber utility, keep going to those low lift things that we can kind of keep adding value with some avatars that we added, which is hosting agencies end user kind of thing. And then, um, just get, keep the feedback loop going. Yep. All right, my friends. You good? Thanks for your time. All right.  </p>\n\n\n\n<p>Bye.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Mar 2023 15:42:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"Post Status: Interview With Product Lead Brandon Dove Of Pixel Jar — Post Status Draft 144\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148081\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://poststatus.com/interview-with-product-lead-brandon-dove-of-pixel-jar-post-status-draft-144/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:34818:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><a href=\"https://twitter.com/brandondove\">Brandon Dove</a>, co-founder of <a href=\"https://twitter.com/pixel_jar\">Pixel Jar</a>, joins <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> to discuss his WordPress plugin, <a href=\"https://twitter.com/adsanityplugin\">AdSanity Plugin</a>. They dive into the nuance of advertising, evaluate the benefits of free and paid plugins, and talk through the challenges and opportunities available to agencies that invest in product development while providing other services. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">In this episode, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> talks with <a href=\"https://twitter.com/brandondove\">Brandon Dove</a> of <a href=\"https://twitter.com/pixel_jar\">Pixel Jar</a> about agency product development. They discuss how the <a href=\"https://twitter.com/adsanityplugin\">AdSanity Plugin</a> works and what lessons Brandon has learned about the relationship between agency operations and product development.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Recurring Product Revenue.</strong>While it can be challenging for an agency to balance custom service work with product development, having a product that generates recurring revenue can provide a cushion and diversify the overall business revenue. AdSanity is a successful example of this, and the team is working on dedicating more resources towards the product to even out development between the two sides of their business. However, it can be difficult to maintain free plugins without generating revenue, and it&#8217;s important to consider how to incorporate them into the business model.</li>\n\n\n\n<li><strong>Value vs. Spam in Advertising.</strong> For many people, advertising has become a four-letter word, so there is a need to help customers become good advertisers rather than just spamming ads everywhere. It’s critical to empower your visitors by explaining the importance of creating a community around the site to allow for more meaningful conversations with visitors.&nbsp;</li>\n\n\n\n<li><strong>The Point of Free Plugins. </strong>Building free plugins is more about passion and community engagement than being a lead generator. The main outcome has been connecting with people within the WordPress community, but those connections remember to come to you for solutions. So the increased exposure can lead to revenue in the long term.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-constrained wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<h3 id=\"GoDaddy-Pro\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/godaddypro\">GoDaddy Pro</a></h3>\n\n\n\n<div class=\"is-layout-flex wp-container-16 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<p>Manage your clients, websites, and tasks from a single dashboard with GoDaddy Pro. Perform security scans, backups, and remote updates to many sites on any host. Check up on site performance, monitor uptime and analytics, and then send reports to your clients. GoDaddy Pro is free — and designed to make your life better</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<img width=\"169\" height=\"169\" src=\"https://cdn.poststatus.com/wp-content/uploads/2021/06/godaddy-logo-square-bw.png\" alt=\"\" class=\"wp-image-85733\" />GoDaddy Pro\n</div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://twitter.com/adsanityplugin\">Ad Sanity</a></li>\n\n\n\n<li><a href=\"https://webdevstudios.com/\">WebDev Studios</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/plugins/avatar-manager/\">Avatar Manager</a></li>\n\n\n\n<li><a href=\"https://www.admincolumns.com/\">Admin Columns</a></li>\n\n\n\n<li><a href=\"https://twitter.com/wordcampnyc?lang=en\">WordCamp New York</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/brandondove\">Brandon Dove</a> (Co-Founder, <a href=\"https://twitter.com/pixel_jar\">Pixel Jar</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Cory Miller:</strong> [00:00:00] Everybody welcome back to Post Status Draft. This is another interview in the series called Product People, and I&#8217;m talking to my longtime friend, uh, an agency owner and product founder Brandon Dove. Today to talk about Ad Sanity, a WordPress plugin that helps you, um, helps site owners. Um, Well, I&#8217;ll let you tell that in just a second, but , um, you&#8217;ll be seeing ad ad sanity on posts very soon cuz I meant to mention this before we started recording.</p>\n\n\n\n<p>It&#8217;s something that we need. Need for the site. All right. And I&#8217;m like, great longtime friend product, product member, um, has the key solution. Anyway. Um, Brandon, would you tell us a little bit for those of you that don&#8217;t know you, and, and, uh, tell us a little bit about what you do, uh, your work in WordPress from both product and services side?</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Yeah, uh, thanks having me on by the way. And, um, yeah, so, uh, I run a, a company called Pixel Jar. [00:01:00] That, uh, we&#8217;ve been doing WordPress stuff for a very long time. Um, we started our business in 2004 and, um, you know, just, uh, through our work with not only clients and, and services that we provide, um, have, have found sort of a, a niche in building plug-ins for our, our customers.</p>\n\n\n\n<p>And, um, some of those are great one-time use things for our customers, but. , in other cases, they&#8217;re, they&#8217;re bigger, sort of, um, needs amongst the community. And so, uh, our product Ad Sani launched from just such a, uh, an instance where we had a, a customer who was, who had a wedding blog that was highly trafficked.</p>\n\n\n\n<p>They had been using another plugin that was just tanking their site. And so at the time, you know, we decided to build them a custom solution for advertising and it worked for them. Um, it kept their site up and, and kept making them [00:02:00] money. And so we talked to them about like releasing it to, to the broader community to see if people would be able to benefit in the same way.</p>\n\n\n\n<p>And, um, they were agreeable to that. And, um, yeah, we, we put it out in the market.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, I want to talk about that, that whole experience too, because I know a lot of people on the on agencies go, &#8220;Hey, what if we did this product?&#8221; And you&#8217;ve done this unique organic experience that came out of. Um, your work, which I think is so cool for agencies to think about that there might be an opportunity to do a product.</p>\n\n\n\n<p>And I&#8217;ve seen so many agencies like you, you know, this, uh, friends of ours that have done products, well, maybe they haven&#8217;t monetized directly from them, but it&#8217;s been a part of their portfolio and all that kind of stuff. So, um, how has that experience agency and then having this product. That you&#8217;d like, you work on, I know you&#8217;re passionate about it.</p>\n\n\n\n<p>I&#8217;ve talked to you in the pa part about it, but tell me from that agency experience, what that journey has been like. [00:03:00]</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Uh, yeah, it&#8217;s, it&#8217;s tricky for sure, right? Um, you know, our core services are, um, taking care of our customers, our clients who come to us and need more custom solutions, like that&#8217;s our bread and butter.</p>\n\n\n\n<p>Um, but you know, as agencies, it&#8217;s, it&#8217;s great to be able to. You know, sort of, um, get past the ebb and flow of work to have a, a baseline of income that&#8217;s recurring revenue from a product kind of type of, uh, business. And so that&#8217;s, that&#8217;s sort of where, you know, we really focus on ad sanity to, to provide that for us is, is that that cushion to really start off our month every month with like, okay, we&#8217;re gonna, we&#8217;re gonna make this much money.</p>\n\n\n\n<p>We can, you know, we can. Uh, count on that. And, um, so then it&#8217;s like, uh, from an organizational standpoint, how do we focus time on this when we&#8217;ve got clients who are saying, Hey, I, I need you to complete this work by this deadline, or whatever. You know, that that push and [00:04:00] pull of product development in that is, is sometimes really tricky.</p>\n\n\n\n<p>Um, I&#8217;ve talked to some product only houses that say it&#8217;s just not possible to do well, um, between products and services. And in some days I definitely feel like that it&#8217;s, it&#8217;s really hard to, um, especially for a small team like ours, to, you know, please everybody all the time. And, um, so we&#8217;ve, we&#8217;ve set.</p>\n\n\n\n<p>Over the years at Sandy Launch in 2011. So it&#8217;s been around for a long time. Um, and so throughout that time we&#8217;ve spent, um, you know, a lot of time on it in some instances and also in some instances, not a lot of time because client services had a ramped up. So we&#8217;re, um, we&#8217;re in the middle of trying some, some more dedicated resources towards the product to even out development, um, between the two different sides of our business.</p>\n\n\n\n<p>And, um, it&#8217;s a work in progress, right now ?</p>\n\n\n\n<p><strong>Cory Miller:</strong> So I appreciate that. I think hearing [00:05:00] that Will is gonna be help a lot of people as they&#8217;re thinking through this. Cuz I think there&#8217;s this perpetual, you know, pressure to say, do I have a product when you&#8217;re doing client services? But then I talk to so many people that are very, very happy doing client work only.</p>\n\n\n\n<p>Yeah. Um, And then some people like me that have failed miserably at client work and go, well, it&#8217;s product. So I think it&#8217;s cool. It&#8217;s been around very long time. Um, it makes money. Uh, and now it seems like what I hear too is it&#8217;s an opportunity to even diversify your overall business&#8217; revenue. Yep. And, um, I know you&#8217;re, you&#8217;re passionate about product, like this is something you&#8217;ve poured into with that sanity in particular, just talking to you in the past.</p>\n\n\n\n<p>So, um, I think that&#8217;s all, um, super cool to hear, hear, and then it has potential. Mm-hmm. . It could stay here and we&#8217;d be happy with it, but it has more potential if we might put some in there. And I think that&#8217;s a, that&#8217;s a really nice [00:06:00] place to be in the product space. Like we said, there&#8217;s plugins out there that, you know, agencies maintain for themselves that probably don&#8217;t make, you know, money.</p>\n\n\n\n<p>Sure. Um, but are those portfolio pieces,</p>\n\n\n\n<p><strong>Brandon Dove:</strong> and I think that&#8217;s one of, that&#8217;s a, it can be a drag like, um, We&#8217;ve put out free plug-ins before we ever put out paid plug-ins and supporting that as a service. Is really hard, right? Like if you have plug-ins that aren&#8217;t making you money, but they&#8217;re useful to the community, sometimes you put those out there and say, well, some people might be able to use this.</p>\n\n\n\n<p>Those often get unsupported. They don&#8217;t, they don&#8217;t really ever change code because, you know, unless you have a very large team. Um, but, uh, It, it, it&#8217;s hard because you&#8217;re like, well, how do I, how do I put that into my business, uh, if I&#8217;m not making money off of it, but I have customers or clients who are paying me.</p>\n\n\n\n<p>So that, that, that is tricky. I think if you have a free plugin. But, um, ad sanity started really [00:07:00] small, um, really lightweight, really basic as far as ad plug-ins go, but over time we added functionality through add-ons and things like that, that made it more robust.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, tell me about the plugin itself. Uh, I&#8217;ve, I&#8217;ve obviously used it, but tell us a little bit about where the product is today, and then I&#8217;ll ask you where you&#8217;re kind of go, what your thoughts and ideas are for the future for the plugin.</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Yeah, so the, at the core of Ad Sanity, it&#8217;s just, it&#8217;s a custom post type. So for developers out there or people who are very familiar with WordPress, it, it&#8217;s, it utilizes a lot of WordPress core functionality, which is what we wanted, right? We didn&#8217;t want to build independent systems that we&#8217;re gonna add to WordPress.</p>\n\n\n\n<p>We wanted to make sure that we tied in as closely as possible to the WordPress editing experience. So, Any user could pick it up and, and build with it. And so, um, out, out of the box, it&#8217;s, you know, custom post type that supports a featured image. So if you have a relationship with a, an advertiser, you can take their, their ad assets, [00:08:00] dump &#8217;em into a featured image, and we use a lot of the built-in WordPress, um, queries and things like that to keep things really, keep things really performant. And you know, we have different blocks, widgets, template tags, like all sorts of different WordPress implementations to be able to display those in different ways on your site.</p>\n\n\n\n<p>Like that&#8217;s, Outta the box. That&#8217;s the very, very basic stuff. We also support, um, ad ad networks. So we have a, an area where you can dump in ad network code if you want to use an ad sense or some other, um, ad network, you can just pop that in there. Um, and over time we added also HTML five ads, which was really, um, a lot of our customers were asking for and even just plain text ads.</p>\n\n\n\n<p>Um, so you have some customization of a look and feel of those things, but, um, that&#8217;s sort of out of the box core functionality. Um, I think there&#8217;s some other things I&#8217;m probably glossing over, but, um, we, we created some additional add-ons to. [00:09:00] You know, enhance the functionality of the things that you might expect of expirations on impressions instead of just, um, like date-based ranges of like start and end dates.</p>\n\n\n\n<p>Um, we have conditional advertising, so like, You can say, only show these ads on these categories. Um, but you have an ad group that has lots and lots of ads in it, so you can really slice and dice and display those, um, those ads where you want them, or based on user, user type or lots of different things.</p>\n\n\n\n<p>Um, we&#8217;ve got a way for advertisers to get self-service reporting, so if you do build relationships through advertisers, they can log in. See all views, clicks, and click through, rate, all that stuff on their own. So you don&#8217;t have to provide those to all your, your customer or your advertisers. Um, yeah, there&#8217;s, there&#8217;s probably like a, a few other I&#8217;m missing, but I think those are like some of the popular ones, um, that are on top of my head.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. The ability to put ads on your [00:10:00] WordPress site. Um, uh, this, its, uh, I can assume will always exist, but. You know, trying to monetize onto the site and it does it very freshly Well, I was trying to remember when I logged in, seeing all the down the add-ons there for a second to help to, to share some isol.</p>\n\n\n\n<p>Um, well, okay, so that&#8217;s where the plugin is now. And, and I wanna just talk a little bit before we talk about the future of what you&#8217;re trying to do with the plugin. I know a high value from you, from me and friends as long as we have talking about this product in particular, that you have a, you threaded align with this because.</p>\n\n\n\n<p>You know, value, personal values, business values too. And in the subject of advertising, it&#8217;s always this tricky like, line. Yeah. To, uh, to, to, to walk. So tell me about that. I, I know cuz we&#8217;ve talked about this subject is, you know, you, I go to this, I can&#8217;t remember what the side is, but I&#8217;m like, man, I&#8217;ve got one answer by one inch square to actually.</p>\n\n\n\n<p>What the text is and everything else is [00:11:00] video. And I know from past like that&#8217;s one of the things I know you always card against. How do you navigate that line with the product?</p>\n\n\n\n<p><strong>Brandon Dove:</strong> I think like more and more lately, you know, advertising is sort of like, um, a four letter word almost. You know, people are like, I, I&#8217;ve got an ad blocker on my, my browser because I don&#8217;t wanna see 17,000 ads when I&#8217;m just trying to read an article.</p>\n\n\n\n<p>Right. And, and more big publishers are starting to go, okay, well, like, hold on a second. We were, we rely on that money. To, um, to be able to create this content. So I think what, what that&#8217;s really led us to is how can we help all of our customers, our insanity customers, be good advertisers or good publishers, and not just spam.</p>\n\n\n\n<p>Ads everywhere, all over their site. Um, and so we&#8217;ve done a lot of, um, writing on our site about, you know, best practices for advertising. Um, we actually have another ad-on, which is, um, [00:12:00] is an ad block detection because we want, we want our, to empower our publishers to start that conversation with their visitors, right?</p>\n\n\n\n<p>We want them to be able to say, , I appreciate that you&#8217;ve got an ad blocker. I&#8217;ve got one too, or whatever, but here&#8217;s why I have ads on my site. You know, I&#8217;m a small team of, of content creators. We rely on these advertisements to pay our bills. You know, either could you turn off your, your ad blocker for our site, you know, like, like whitelist us or in some cases we&#8217;ve been talking.</p>\n\n\n\n<p>Creating a membership so that people become members to your site and you can disable using the conditional ads add-on. You can disable ads for users who are logged in or at a certain level. Um, so again, it creates, um, more of a community around your site. It allows you to, to connect with people who are visiting your site and actually have more meaningful conversations.</p>\n\n\n\n<p>With them, um, and, and give them the kind of content that they want. Um, and, and in addition, be able to [00:13:00] provide advertising that&#8217;s relevant to those people. So not only are they not turned off by the advertising, they&#8217;re actually more willing to like look into those, those advertisements because it&#8217;s something they&#8217;re you&#8217;re already writing about or something that&#8217;s related to your content.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I, I love that for two reasons. One is because, um, giving somebody an option that. , um, you know, like developer and explaining why we&#8217;re doing this. I mean, post status.com, we take advertising in the form of sponsorships. We want people to see those and say thank you. And those advertisers have like goals, objectives, they wanna meet a part of that. And so it&#8217;s like balancing that. I know, I know this, so I love that. You&#8217;re like, Hey, I know you don&#8217;t like it. Here&#8217;s a path to help support us. Mm-hmm. . And then the second. Um, the ability from just a business model standpoint to go, you don&#8217;t like &#8217;em, turn &#8217;em off.</p>\n\n\n\n<p>Like come into, it&#8217;s a great introduction to membership and that&#8217;s, you know, [00:14:00] particularly during Covid, Brandon, I&#8217;m sure you saw this too, is like the rise in the. anecdotal data from friends around the sphere. Yeah. Is like membership sites were really hot core sites. L m s stuff was really hot and for good reason, people kinda left, has had a little bit more time and thought I&#8217;ll do my pet project and stuff.</p>\n\n\n\n<p>Yep. And I think this is that line you, you kind of balance with any kind of membership is. Strong enough front facing content to attract people to the membership. And I love that you&#8217;ve got a path for people to use, um, with, with those two scenarios. Mm-hmm. , hey, you don&#8217;t like it? We don&#8217;t either, but here&#8217;s an opportunity and then a way to go.</p>\n\n\n\n<p>I want to pay for the non-advertising version and to do that programmatically. I pr think it&#8217;s pretty spectacular. Yeah.</p>\n\n\n\n<p>All right. What, what, what else did I miss on, on that part? I love that you mentioned that particular add-on. Is there anything else that came to mind before I start talking about [00:15:00] the future and what you&#8217;re trying to do?</p>\n\n\n\n<p><strong>Brandon Dove:</strong> I think one thing that I just, just, it&#8217;s not specifically related to this, but one thing I, I did forget to mention when we were talking about agencies or like being an agency and having products is, um, what we have found in having ad sanity is there, there&#8217;s always people who want customizations, right? Like we get that as an agency. People come in and they&#8217;re like, Hey, we&#8217;ve got these seven plugins. We need &#8217;em to work better together. Or we have, you know, this one plugin that we just need to tweak another 10% to get exactly.</p>\n\n\n\n<p>Have it exactly do what we want. And as a product developer, it, it gives you like core knowledge about this plugin. Like I know how to modify ad sanity. Any use case probably. And so we have, like, we&#8217;ve had people come to us like looking for ad sanity and, and seeing it as a good platform, but they need another 10%, or in some cases they need an entire add-on built for it, um, to do what they want.</p>\n\n\n\n<p>And, and that has been a huge revenue generator for, [00:16:00] for Pixel Jar. Um, and, and so like that, that, you know, Cross-selling opportunity. I think as far as an agency and a product space is, is actually really great.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, we really didn&#8217;t go deep into that, but I a hundred percent agree and I&#8217;m not from the a agency side, but I go a project that can generate work or an name brain that just being out there and knowing that you might have a plugin that somebody might go, huh, it&#8217;s a cool plug.</p>\n\n\n\n<p>I wonder who, who does it. And it&#8217;s this awesome agency. Could lead to a lot, a lot of work. And then I know there&#8217;s companies in space and you got, you all might do this too, is companies approach you to build their integration plugin and continue to maintain it. And so you&#8217;re like mm-hmm. . I, I think that&#8217;s an excellent, I&#8217;m glad you came back to that because an excellent way to build the marketing exposure and, uh, drive revenue to your business.</p>\n\n\n\n<p>Yeah. Even [00:17:00] some of the ones, like our friends over at WebDev Studios, I know they&#8217;ve got custom post op ui and I think to myself, what a great calling card. Yeah. Because I think it&#8217;s installed over a million times on the repo. And, um, but what a great calling card, you know, to say when you&#8217;re talking to a client or to get, be out there in the mainstream.</p>\n\n\n\n<p>Um, how have the free plugins you&#8217;ve done in the past worked? Um, there, there&#8217;s bound to be some net effect that&#8217;s helped, but how has that experience gone from the free.</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Um, it&#8217;s difficult, right? Like, um, I would say some of &#8217;em are, um, you know, used on a couple thousand blogs or something like that. Like nothing to the extent of custom post type ui, um, which is a fantastic plugin.</p>\n\n\n\n<p>We use that several times. Um, but, uh, but yeah, like, uh, for. It&#8217;s, it&#8217;s more of like the passion for the community that gets us to put those out. Um, the first, I think the first free plugin I [00:18:00] put out was because in 2009, There was a plug-in competition in New York, uh, word Camp New York, that, uh, it just, as a developer, it was a way for me to engage with that community.</p>\n\n\n\n<p>Like I had never been to New York before. And, uh, because there was that plug-in competition where you were gonna be on stage and, and kind of talking about the plug-in you built, um, and you had to have a team that was, um, distributed. So you had to work with people, uh, that weren&#8217;t just in your company or whatever.</p>\n\n\n\n<p>So, um, I got the, the opportunity to work with people that would&#8217;ve never worked with otherwise. Uh, I flew out to New York to, to present, um, the plugin and, and I think that was like my favorite experience for building like a free plugin because, um, you know, being part of that WordPress community feeling, the collaboration was, was pretty awesome. I, I think for me it&#8217;s more of a, it has to be more about the passion in, in that case than, you [00:19:00] know, having it be really like a, a lead generator in a lot of cases.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yes, absolutely. And I mean, I would think the better, it helps showcase your core expertise, the work you do, um, e even better.</p>\n\n\n\n<p>So, yeah, I like that. All right. Well, Let&#8217;s talk about the future of added sanity and what you got planned and what you&#8217;re thinking about, um, a little bit more in depth. So what&#8217;s next for the, the product?</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Uh, that&#8217;s a good question. Like I said, um, we are, uh, we&#8217;re experimenting with dedicated resources for the, the product.</p>\n\n\n\n<p>So while we continue to maintain it, build new features here and there, it&#8217;s not as like, it, it&#8217;s, we don&#8217;t have a dedicated team to it. So, um, it, it, it can, sometimes development can come sometimes slow. So I think that&#8217;s, that&#8217;s part of our plans next year is, is really to dedicate resources to it. We, we are also as [00:20:00] many plugins are, um, sort of like finding our way with all of the new block editing stuff.</p>\n\n\n\n<p>We, we addressed a lot of our core functionality with block editing. Um, we integrated with a couple page builders at the same time. But I mean, the, the way site editing is evolving, um, will probably. Further and deeper than we expect. And so we&#8217;ve been following a lot of the, the development on, on site editing and Gutenberg and, and all of that stuff.</p>\n\n\n\n<p>And I think you know what it means for us, like I am, I&#8217;m a backend more PHP focused developer. So what it means for us is really, you know, fully embracing more JavaScript life, um, and, and becoming, uh, You, you know, more in tune and more ingrained with what, with what WordPress is offering at its core.</p>\n\n\n\n<p>Because that was our initial mantra is like being, [00:21:00] being very, um, focused on what WordPress offers out of the box and making it an easy to use experience. So I think like the, the big thing that we&#8217;ve been focusing on is trying to plan, how do we want to integrate with, with the site editing experience in a better way and, um, , you know, how does that rework our entire user interface potentially.</p>\n\n\n\n<p>Um, and also as a product developer who&#8217;s been around for a long time, how do we not alienate customers that have been with us for years and years and years?</p>\n\n\n\n<p><strong>Cory Miller:</strong> So, Yeah, that we could do a whole public podcast series on how to balance like agency time and resources with the, with that product. Mm-hmm. , um, for sure.</p>\n\n\n\n<p>And that equation, when does it make sense? But I was right in here, some of the reasons we&#8217;ve talked about why an agency might consider doing a product and one, I was just thinking, I know you&#8217;ll do this part of your client work, but the product is probably an excuse too [00:22:00] to. Dig in and really stay in touch with full side where the software itself is going.</p>\n\n\n\n<p>Yeah. Uh, in addition to like flexing your expertise muscle and all that.</p>\n\n\n\n<p><strong>Brandon Dove:</strong> And Beyond that, it&#8217;s, it&#8217;s like we&#8217;re in charge. Right? A another benefit of an agency with a product is like all day you work servicing clients who have requests for you to do exactly what they say, but when you&#8217;re a product owner, you get to decide what gets built.</p>\n\n\n\n<p>Like you might have customers who are saying, Hey, we need this feature. But you ultimately get to decide like, do I wanna build that feature? Do I wanna support that feature? Is it good for the broader customer base that I have? Um, so there&#8217;s some freedom in that as well.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, like a change of pace too, you know.</p>\n\n\n\n<p>Mm-hmm. , um, like you said, I, I got change of pace when you said that. It&#8217;s like, okay, we have to do what the client ultimately wants over here, potentially, but over here we get to like make our way and see, and that creative freedom freedom&#8217;s gotta be nice. Yeah, definitely. Balance [00:23:00] with, okay. We still wanted to pay , you know, make money.</p>\n\n\n\n<p>Yeah. We don&#8217;t want to just spend it on a research project.</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Yeah. That tracking is important too, right? Like, whatever time you&#8217;re spending on it, you wanna make sure it&#8217;s, it&#8217;s effective. You know, just like as a developer, if you&#8217;re building a new feature, you wanna make sure it&#8217;s not impacting the performance of the plugin, things like that.</p>\n\n\n\n<p>So you gotta, you gotta weigh those things for sure.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. And just there, it just kind of ping my thing so you. hours you all spend as a company on the product. Yep. That&#8217;s excellent. Because then you&#8217;re able to make better informed decisions. Okay, we just spent 50 or 500 hours this quarter, year, whatever it is, right?</p>\n\n\n\n<p>In making those decisions, having some of the data. That&#8217;s awesome. Mm-hmm. . See, I like talking to the real agency pros, ,</p>\n\n\n\n<p><strong>Brandon Dove:</strong> You gotta know.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yep. That&#8217;s true. All right, Brandon. Well thanks for, um, talking about all this. Is there anything that I missed that you want to. And talk about with the plugin and,</p>\n\n\n\n<p><strong>Brandon Dove:</strong> um, no, I think, I think [00:24:00] that&#8217;s, that&#8217;s most of it.</p>\n\n\n\n<p>You know, I, I think, you know, we&#8217;re, we&#8217;re not going anywhere. That&#8217;s, that&#8217;s, uh, um, you know, when development slows, sometimes people get like, is this plugin still active? Like, yeah, we&#8217;re, we&#8217;re still grinding on this and, and we don&#8217;t anticipate it going anywhere. There&#8217;s a lot of other advertising plugins out there.</p>\n\n\n\n<p>and, um, you know, I still think that that, you know, I, I&#8217;m personally biased, but I still think ours is the best. Mm-hmm. . Um, so we&#8217;re, we&#8217;re gonna continue to, to keep up with what, what WordPress is doing and make sure that it&#8217;s, it&#8217;s doing what we can for our customers to be successful.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Cool. Well, I know you&#8217;re in Post Status , but where can we find Ad Sandy and learn more about you and Pixel Jar ?</p>\n\n\n\n<p><strong>Brandon Dove:</strong> Yeah, ad sanity plugin.com is the website. Um, and uh, from there you can get over to pixeljar.com as well. But, um, yeah, all the information&#8217;s on ad sanity plugin.com. Our, our socials are, you know, burning cuz of Twitter. I don&#8217;t know , uh, but uh, yeah, we&#8217;re [00:25:00] on, we&#8217;re on twitter at adsanityplugin.com (???) and Facebook as well, so wherever you still hang out.</p>\n\n\n\n<p>Yeah. ,</p>\n\n\n\n<p><strong>Cory Miller:</strong> we&#8217;ll be there. Yeah, exactly. All right. Thanks Brandon for sharing about Ed Sandy in our Product People series at Post Status draft. We&#8217;ll see you all next time. Thanks, Cory.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Mar 2023 03:44:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Olivia Bisset\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WPTavern: WordPress 6.2 RC 1 Released and Ready for Testing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142591\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wptavern.com/wordpress-6-2-rc-1-released-and-ready-for-testing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1797:\"<p><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 RC 1</a> was released today, marking the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> and readiness for <a href=\"https://translate.wordpress.org/projects/wp/dev/\">translation</a> ahead of the official release on March 28. There are three weeks remaining for testing. </p>\n\n\n\n<p>WordPress contributors published the <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">6.2 Field Guide</a>, which includes the dev notes &#8211; technical updates for many of the new features and changes included in this release. These include editor component updates, notes on new and expanded APIs, accessibility updates, and more. </p>\n\n\n\n<p>Plugin and theme developers are advised to test their extensions for compatibility and update the <em>&#8220;Tested up to”</em>  version in their readme files to 6.2. (A separate <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">testing guide</a> is available for those who are testing the changes in this release.)</p>\n\n\n\n<p>A bug that was introduced in 6.2 Beta 1, which showed a <a href=\"https://github.com/WordPress/gutenberg/issues/48726\">white screen when using the browser&#8217;s back button inside the Site Editor</a>, was fixed earlier this week in the 6.2 Beta 5 release. This is a major issue that would likely affect millions of users, and it underscores the fact that testing at this phase is still important. Bugs can be reported via the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums or by filing a bug report <a href=\"https://core.trac.wordpress.org/newticket\">on WordPress Trac</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 21:15:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.2 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14619\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10123:\"<p>WordPress 6.2’s first release candidate (RC1) is here and ready for testing.</p>\n\n\n\n<p>Reaching this part of the release cycle is a key milestone. While we consider release candidates ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>The official release of 6.2 is just three short weeks away on March 28. In open source, we say with <a href=\"https://en.wiktionary.org/wiki/given_enough_eyeballs,_all_bugs_are_shallow\">many eyes, all bugs are shallow</a>, so we ask everyone across the WordPress ecosystem—theme and plugin developers, educators, agencies, and creators—<a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">to jump in and help test</a>.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development. </strong>Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.2 RC1 in three ways:</p>\n\n\n\n<p><strong>Option 1</strong>: Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2</strong>: Direct download the <a href=\"https://wordpress.org/wordpress-6.2-RC1.zip\">RC1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3</strong>: Use the following WP-CLI command:</p>\n\n\n\n<pre class=\"wp-block-code\"><code class=\"\">wp core update --version=6.2-RC1</code></pre>\n\n\n\n<p><em>First-time tester? <a href=\"https://make.wordpress.org/test/handbook/get-setup-for-testing/\">Here&#8217;s a guide to getting started</a>.</em> </p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s in WordPress 6.2 RC1</h2>\n\n\n\n<p>This release includes over 900 enhancements and fixes and is the first major release of 2023.&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">Gutenberg commits on GitHub</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=2023-02-21..2023-03-01&milestone=6.2&col=id&col=milestone&col=owner&col=type&col=priority&order=id\">Core Trac Tickets</a></li>\n</ul>\n\n\n\n<p>WordPress 6.2 comes packed with enhancements to make everything you do smoother, faster and a little more inspired:</p>\n\n\n\n<ul>\n<li>A refreshed Site Editor for easier template browsing</li>\n\n\n\n<li>A new sidebar experience in the Navigation block for simpler menu management</li>\n\n\n\n<li>Reorganized block settings with separate tabs for Settings and Styles</li>\n\n\n\n<li>New inserter design that lets you add Media—including Openverse and its more than 600-million-item catalog, plus your entire Media Library—and better categories</li>\n\n\n\n<li>More header and footer patterns for block themes</li>\n\n\n\n<li>A new Style Book that shows your entire site’s look and feel all in one place</li>\n\n\n\n<li>New controls to let you copy and paste block styles for faster, simpler design across your whole site</li>\n\n\n\n<li>Custom CSS you can add for those finishing touches, per block and globally</li>\n\n\n\n<li>Sticky positioning to keep important blocks fixed when scrolling</li>\n\n\n\n<li>Distraction Free mode for moments you want to focus on writing</li>\n\n\n\n<li>New options that let you import certain widgets from classic to block themes</li>\n\n\n\n<li>The removal of the Site Editor’s beta label—welcome to the next generation of WordPress</li>\n</ul>\n\n\n\n<p><em>Want to see some of these featured highlights in action? Check out the <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">WordPress 6.2 Demo</a> recorded March 2, 2023.</em></p>\n\n\n\n<p>Do you crave a deep dive into tech specs? These recent posts cover a few of the latest technical updates. This is not an exhaustive list, but it should get you started:&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNP\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qR8\">Shadows in Global Styles</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qME\">Introducing the HTML API</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qM4\">Miscellaneous Editor Changes</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qNm\">Custom CSS for global styles and per block</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qLf\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://wp.me/p2AvED-qPp\">Enhanced accessibility</a></li>\n\n\n\n<li>And much, much more</li>\n</ul>\n\n\n\n<p>These are also compiled into a <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">comprehensive WordPress 6.2 Field Guide</a>.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Let&#8217;s go on a bug hunt!</h2>\n\n\n\n<p>Without your testing support, hitting important product milestones would be a much bigger challenge. It’s also a meaningful way to contribute to the project. If it’s your first time, or it’s been a while, <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">this detailed guide</a> is a great resource to lean on.&nbsp;</p>\n\n\n\n<p>From a global perspective, every time you test a pre-release version, you help secure the future of WordPress. How? By helping the community prove the software is stable, easy to use, and as bug-free as possible.&nbsp;</p>\n\n\n\n<p>Want to know more about testing releases in general? You can follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Interested in the details on the latest Gutenberg features? Find out what’s been included since WordPress 6.1 (the last major release of WordPress). You will find more details in these <em>What’s new in Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-0-18-january-2/\">15.1</a>, <a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\">15.0</a>, <a href=\"https://make.wordpress.org/core/2023/01/04/whats-new-in-gutenberg-14-9-4-january/\">14.9</a>, <a href=\"https://make.wordpress.org/core/2022/12/22/whats-new-in-gutenberg-14-8-21-december/\">14.8</a>, <a href=\"https://make.wordpress.org/core/2022/12/09/whats-new-in-gutenberg-14-7-7-december/\">14.7</a>, <a href=\"https://make.wordpress.org/core/2022/11/23/whats-new-in-gutenberg-14-6-23-november/\">14.6</a>, <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">14.5</a>, <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">14.4</a>, <a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\">14.3</a>, and <a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\">14.2</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">A special thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes?&nbsp;Your products play a special role in helping WordPress do more things for more people across the world. In turn, more people in the WordPress Community mean a bigger, more robust open web.</p>\n\n\n\n<p>Chances are, you have already been testing your latest versions against the WordPress 6.2 betas. With RC1, you will want to finalize your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.2.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.2 release cycle.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Hungry for even more?</h2>\n\n\n\n<p>Want to know more about what went into the making of WordPress 6.2? Please check out the <a href=\"https://make.wordpress.org/core/6-2/\">6.2 release cycle</a>, the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>, or search for <a href=\"https://make.wordpress.org/core/tag/6-2/\">all things 6.2 related</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Another haiku for 6.2—it’s tradition!&nbsp;</h2>\n\n\n\n<pre class=\"wp-block-verse\">Beta has left us<br />The code sings such happy songs<br />Six point two RC</pre>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: </em><a href=\"https://profiles.wordpress.org/laurlittle/\"><em>@laurlittle</em></a><em> </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>@cbringmann</em></a><em>, <a href=\"https://profiles.wordpress.org/audrasjb/\">@audrasjb</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a>. Haiku by @<a href=\"https://github.com/nomad-skateboarding-dev\">nomad-skateboarding-dev</a></em>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 17:39:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: Lemmony: A Free WordPress Block Theme with 30+ Patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142506\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/lemmony-a-free-wordpress-block-theme-with-30-patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3302:\"<p><a href=\"https://wordpress.org/themes/lemmony/\">Lemmony</a> is a new WordPress block theme designed by the team at <a href=\"https://shufflehound.com/\">Shufflehound</a>, a theme development company based in Europe with commercial  products on Themeforest. This is the team&#8217;s first block theme on WordPress.org and it is a strong debut.</p>\n\n\n\n<p>Lemmony is a beautifully-designed multipurpose theme that would work well for businesses, agencies, and portfolio websites. It features the Plus Jakarta Sans font face for both headings and paragraph text, a geometric sans serif style, designed by Gumpita Rahayu from Tokotype.</p>\n\n\n\n<img />\n\n\n\n<p>The homepage includes bold, full-width immersive images offset with calls-to-action and blocks featuring a variety of different ways to present information. Scrolling the page reveals tasteful (and optional) animation that brings the content to life. </p>\n\n\n\n<p>Lemmony packages more than 30 custom block patterns to help users design and build pages. These include multiple heroes with lists and calls-to-action, heroes with images and titles, partner logos, query with a sidebar, services grid, services with video, team members, and more &#8211; nearly every kind of pattern that a business website might require.</p>\n\n\n\n<img />\n\n\n\n<p>Lemmony also packages five full-page patterns for services, gallery, contact, about, and the front page, making it easy to simply drop the pattern in place for the most common pages found on a brochure website. </p>\n\n\n\n<p>This theme offers a solid user experience for those who are just getting started building their websites. After installing and activating Lemmony on a fresh site, it will look nearly exactly like the <a href=\"https://lemmony.shufflehound.com/\">live demo</a>. Everything on the front page is in place with placeholder content, including different menu items, just waiting for the user to add, remove, or edit the blocks. The user doesn&#8217;t have to start from scratch do any guesswork about where things go in the design. This is the kind of experience that all block themes should provide.</p>\n\n\n\n<p>Lemmony comes with a companion plugin that includes additional customer blocks and other features, such as the custom icons seen in the demo. It will prompt the user after installing the theme to install the plugin as well to get more features. If the user is editing a page and inserts a pattern that includes icons, the theme will allow users to install the plugin directly from the editor. It&#8217;s a very smooth experience for including features that require an additional plugin. The plugin is optional and most of the designs seen in the demo work without it installed. </p>\n\n\n\n<img />\n\n\n\n<p>In the future, Lemmony&#8217;s creators plan to include more website templates, which would make it easier and faster to set up different kinds of sites. Overall, the theme feels snappy, has an unusually large variety of patterns, and is responsive and looks great on mobile. The installation experience is user-friendly and provides a good starting point for jumping into full-site editing. Check out the <a href=\"https://lemmony.shufflehound.com/\">live demo</a> and <a href=\"https://wordpress.org/themes/lemmony/\">download Lemmony for free</a> from the WordPress Themes Directory.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 04:20:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"Post Status: WordPress 6.2 RC1 • Dev Notes • Learning Path for WP Devs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148046\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://poststatus.com/wordpress-6-2-beta-5-dev-notes-learning-path-for-wp-devs/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20992:\"<h2 id=\"h-this-week-at-wordpress-org-march-6-2023\">This Week at WordPress.org (March 6, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.2 Beta 5 is out now, and RC1 will ship on Thursday, March 9. We&#8217;re just a few weeks away from the final release on March 28. Have you been able to start testing yet? Read the latest from the DevNotes in our WordPress 6.2 section. <br /><br />A proposed learning pathway for beginning WordPress developers has been proposed. Weigh in with your feedback.  </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_video kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 RC1 • Demo Replay • Beginning WP Dev Curriculum</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9ea.png\" alt=\"🧪\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4fa.png\" alt=\"📺\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5fa.png\" alt=\"🗺\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f469-1f3fb-200d-1f3eb.png\" alt=\"👩🏻‍🏫\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress Development: A proposed learning path</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-25 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/07/upcoming-wpdiversity-events-march-2023-2/\">Upcoming #WPDiversity Events: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Proposal: Modify the Events and News widget to show topic-based meetups worldwide</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/a-week-in-core-march-6-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">A Week in Core – March 6, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">WordPress 6.2 RC1 postponed, additional Beta 5 added</a></li>\n</ul>\n\n\n\n<h2 id=\"h-do-action\"><a href=\"https://doaction.org/\">do_action</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://doaction.org/event/ruralhackers/\">Rural Hackers Do_Action 2023 in Anceu Spain</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-1/\">WordPress 6.2 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">WordPress 6.2 Field Guide</a>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/dev-chat-agenda-march-8-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">Dev Chat Agenda, March 8, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/editor-chat-agenda-8-march-2023/\">Editor Chat Agenda: 8 March 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\">Converting your shortcodes to blocks</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/06/agenda-for-docs-team-bi-weekly-meeting-march-7-2023/\">Agenda for Docs Team bi-weekly meeting March 7, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/06/documentation-team-update-march-6-2023/\">Documentation Team Update – March 6, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/07/hosting-team-meeting-agenda-2023-03-08/\">Hosting Team meeting agenda 2023-03-08</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-21-february-2023/\">Notes: Global Marketing Team meeting, 21 February 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-14-february-2023/\">Notes: Global Marketing Team meeting, 14 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/03/08/agenda-biweekly-matrix-chat-thu-march-9-2023-10am-utc/\">Agenda: Biweekly Matrix Chat – Thu, March 9, 2023 (10AM UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/08/priorities-meeting-recap-2023-03-08/\">Priorities Meeting Recap 2023-03-08</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/07/community-meeting-recap-7-march-2023/\">Community Meeting Recap (7 March 2023)</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/performance-chat-summary-07-march-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">Performance Chat Summary: 7 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/08/agenda-weekly-polyglots-chat-march-8-2023-700-utc8/\">Agenda: Weekly Polyglots Chat – March. 8, 2023 (7:00 UTC)8</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/06/updates-to-language-support-in-openverse/\">Updates to language support in Openverse</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/03/01/plugin-review-team-27-feb-2023/\"></a><a href=\"https://make.wordpress.org/updates/2023/03/07/plugin-review-team-status-6-march-23/\">Plugin Review Team Status: 6 March 23</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-22th-2023-at-1600-utc/\">Support ticket triage session – March 22th 2023 at 16:00 UTC</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-9th-support-meeting-2/\">Agenda for March 9th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/01/themes-team-meeting-notes-february-28-2023/\">Themes Team Meeting Notes –&nbsp;February 28, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/02/28/themes-team-update-february-28-2023/\">Themes team update February 28, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/02/21/hallway-hangout-lets-chat-about-using-replay-io-in-the-fse-outreach-program/\">Hallway Hangout: Let’s chat about using Replay.io in the FSE Outreach Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/06/test-team-update-6-march-2023/\">Test Team Update: 6 March 2023</a></li>\n\n\n\n<li></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress&nbsp;Development: A proposed learning path</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/06/meeting-agenda-for-march-7th-2023/\">Meeting Agenda for March 7th, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-wordpress-6-2-beta-4-release-party-ride-along/\">Recap: WordPress 6.2 Beta 4 Release Party Ride Along</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-sensei-pro-lms-demo-for-learn-wordpress/\">Recap: Sensei Pro LMS Demo for Learn WordPress</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/become-a-welcome-committee-member-today/\">Become a Welcome Committee member today!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/02/training-team-goals-for-2023/\">Training Team Goals for 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-create-a-website-on-mobile-part-1-2\">How to create a website on mobile (Part 1)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=caching-demystified-a-guide-for-the-non-techie\">Caching Demystified: A Guide for the Non-Techie</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=watch-party-6-2-product-demo\">Watch Party: 6.2 Product Demo</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-preventing-csrf-security-vulnerabilities\">Let’s code: Preventing CSRF Security Vulnerabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-developing-wordpress-user-roles-and-capabilities\">WP dev livestream: Developing WordPress user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-bring-me-your-block-development-issues\">Live stream: Bring me your block development issues!</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-reviewing-developer-focused-features-in-gutenberg-15-3\">Live stream: Reviewing developer-focused features in Gutenberg 15.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-wrapping-up-the-openai-integrated-block-that-generates-images\">Live stream: Wrapping up the OpenAI integrated block that generates images</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=organizing-diverse-inclusive-wordpress-events-amer-emea\">Organizing Diverse &amp; Inclusive WordPress Events AMER/EMEA</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/displaying-testimonials-on-your-website/\">Displaying testimonials on your website</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/interacting-with-the-wordpress-rest-api/\">Interacting with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 01:25:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: Jetpack 11.9 Adds Sharing Button for Mastodon, Updates Stats Dashboard Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142514\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/jetpack-11-9-adds-sharing-button-for-mastodon-updates-stats-dashboard-design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2392:\"<p><a href=\"https://jetpack.com/blog/jetpack-11-9-improvements-for-social-sharing-buttons-and-form-block/\">Jetpack 11.9</a> was released this week with support for sharing posts to Mastodon. The new button allows readers to click an icon to launch a sharing window that will ask the user to enter the full URL of the Mastodon instance where they want to share the post.</p>\n\n\n\n<img />\n\n\n\n<p>Adding the URL will update the window to automatically insert the link for the post and share from your account. </p>\n\n\n\n<img />\n\n\n\n<p>Mastodon makes its <a href=\"https://api.joinmastodon.org/statistics\">usage numbers</a> publicly accessible. As of March 8, 2023, the total user count is at 6,487,821, with 1,293,309 considered active users. Many WordPress community members who have moved over to Mastodon report having more quality interactions and higher engagement than on other social media platforms. This new sharing button gives your posts more opportunities to reach that audience. It can be enabled at Jetpack > Settings > Sharing in the admin.</p>\n\n\n\n<p>The Jetpack team is also looking at <a href=\"https://github.com/Automattic/jetpack/issues/7790\">adding Mastodon support to Publicize</a> so users can have their posts automatically shared when they are published. Many people have requested this feature on GitHub and it may land in the plugin sometime in the future.</p>\n\n\n\n<p>Jetpack 11.9 also updates the design of the Stats dashboard. In place of the dusty blue bar graphs and sections with referrers and top pages and posts, the updated design is now more in line with Jetpack&#8217;s green branding. It features 7-day highlights at the top and the trends shown are in comparison to the previous seven days. The UI is more modern than the previous version and provides a more mobile-friendly experience. It is enabled by default but can be disabled in the Settings for those who prefer the traditional Stats design.</p>\n\n\n\n<img />\n\n\n\n<p>Also included in version 11.9 is a new &#8220;Sync Fields&#8221; style option in the Forms block that allows users to ensure fields maintain the same style as the blocks are edited.</p>\n\n\n\n<p>This release includes more than a dozen bug fixes and compatibility updates. Check out the <a href=\"https://wordpress.org/plugins/jetpack/#developers\">changelog</a> for all the details on the Development tab on the plugin&#8217;s WordPress.org page.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Mar 2023 21:27:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"WPTavern: #66 – Sé Reed and Courtney Robertson on How the WP Community Collective Is Helping WordPress Contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142472\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"https://wptavern.com/podcast/66-se-reed-and-courtney-robertson-on-how-the-wp-community-collective-is-helping-wordpress-contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:52750:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley. Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, enabling people to contribute to WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or go to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you all your idea featured on the show. Had to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Sé Reed and Courtney Robertson, and they&#8217;re here to talk about the WP Community Collective, or WPCC for short. In a nutshell, the WPCC is a nonprofit that is hoping to fund contributors to the WordPress project.</p>\n\n\n\n<p>It&#8217;s been said before, but I&#8217;ll say it again, people who can afford to contribute to the WordPress project are the people who can literally afford to contribute to WordPress.</p>\n\n\n\n<p>This sounds obvious, but think about it for a moment. Most of us know WordPress is built on top of a dedicated base of volunteers. People give up their time and expertise to contribute towards the project, and in this way, make it free to download and use. But we all have to earn money at some point. Most are not in a position to donate their time completely freely. They have to put food on the table.</p>\n\n\n\n<p>Often contributors are sponsored by the companies that they work for, either part-time or full-time. There&#8217;s nothing wrong with this model, but what about the capable, willing volunteers who are not in this position? The people who have the skills and motivation to contribute, but not the time or finances to make that a reality.</p>\n\n\n\n<p>The WPCC wants to act as a go-between for companies or organizations who are willing to spend money improving WordPress, and the individuals who can implement those improvements.</p>\n\n\n\n<p>This enterprise will be done via the WPCC fellowships. A fellowship in a specific area of WordPress is created, for example, an accessibility fellowship. People apply for that fellowship, and if successful, get the finances they need to take on the work.</p>\n\n\n\n<p>This means that individuals don&#8217;t need to be working for an organization, which funds them directly, and the organizations which wish to contribute don&#8217;t need to fund only their own team members.</p>\n\n\n\n<p>We talk about where the WPCC is at with their fellowships, and how it&#8217;s set up so that all participants are fully aware of where the money is being invested.</p>\n\n\n\n<p>If you&#8217;re from a company who would like to assist contributors to WordPress, or an individual wishing to get involved, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Sé Reed and Courtney Robertson.</p>\n\n\n\n<p>I am joined on the podcast today by two wonderful people. I have Sé Reed and Courtney Robertson. Hello, both of you.</p>\n\n\n\n<p>[00:04:21] Sé Reed: Hi. Thanks for having us.</p>\n\n\n\n<p>[00:04:22] Courtney Robertson: Hey, Nathan.</p>\n\n\n\n<p>[00:04:23] Nathan Wrigley: Hello. Hello, hello. Well, welcome. We&#8217;re going to get into the meat and the bones of this subject today. We&#8217;re going to be talking about the WP Community Collective. I confess at the outset of this episode that I am going to be schooled. Most of the questions that I&#8217;m going to ask are from a point of view of ignorance, so forgive me. You&#8217;re going to educate me hopefully on this subject and we&#8217;ll learn together.</p>\n\n\n\n<p>But first of all, just to orientate the listeners. I wonder if in turn, shall we start with Sé? Just a quick little potted history of who you are and how you&#8217;ve come to be in the WordPress space.</p>\n\n\n\n<p>[00:04:56] Sé Reed: I&#8217;ve been using and building WordPress websites since 2007, which is wild to me because that&#8217;s, I think that&#8217;s 15, 16 years. I&#8217;ve been doing a WordPress podcast called WP Water Cooler since 2012. That is 10 years. And I have been part of the community, speaking at WordCamps, organizing WordCamps for I think also since 2012.</p>\n\n\n\n<p>I fell in love with WordCamps at WordCamp Phoenix. I live in California, but I went to Phoenix and just absolutely fell in love as people do with the WordPress community mostly. I already loved the software. But yeah, I&#8217;ve been part of it ever since. I took a little break to have a kid and then Courtney here brought me right back into the fold. So blame her. It&#8217;s her fault.</p>\n\n\n\n<p>[00:05:47] Nathan Wrigley: That seems like a perfect segue. That&#8217;s lovely. Thank you. And, let&#8217;s then segue to Courtney. Tell us about yourself.</p>\n\n\n\n<p>[00:05:55] Courtney Robertson: Hey there. So I have been in the WordPress community since, well, I started using the software I believe in 2005. It would be around version 2.5. Started contributing by checking guests in at WordCamp Mid-Atlantic in 2009, and joined the training team, thus beginning my actual team contributions. In 2014 have had several stints of being the training team co rep. And at this time, you could still find me within the training team as a WordPress faculty member. And when I&#8217;m not doing all of those wonderful things, I am a developer advocate at GoDaddy Pro, and a lot of that work involves working with the open source and specifically WordPress communities.</p>\n\n\n\n<p>[00:06:42] Nathan Wrigley: Wow. Really deep and rich, both of you.</p>\n\n\n\n<p>[00:06:44] Sé Reed: I forgot to say what I do, now. It&#8217;s all about the past. I was like, oh yeah, the present</p>\n\n\n\n<p>[00:06:49] Nathan Wrigley: Well tell us.</p>\n\n\n\n<p>[00:06:50] Sé Reed: Courtney reminded me with her awesome contribution. I just took on a co-team rep role as well on the make marketing team, for 2023. So that&#8217;s exciting. In my day job I have my own company and I build websites for people and do digital strategy of all kinds.</p>\n\n\n\n<p>[00:07:09] Nathan Wrigley: I&#8217;m often in awe about how many different roles there are in the WordPress community. I remember when I first stumbled across the software, I just viewed it as exactly that. It was a piece of software. So this is going back probably to 20, I don&#8217;t know, 2014, 2015, something like that.</p>\n\n\n\n<p>And then it very quickly became apparent that there was an awful lot going on with the community. Much more than I&#8217;d anticipated. And fast forward to today, 2023. I mean it has more or less taken over my, my entire life. It is more or less everything that I do.</p>\n\n\n\n<p>[00:07:38] Sé Reed: We can relate to that.</p>\n\n\n\n<p>[00:07:40] Nathan Wrigley: Right. Yes. So we&#8217;re all in good company. We&#8217;ve given ourselves up to WordPress.</p>\n\n\n\n<p>[00:07:44] Sé Reed: To an ethos, I think, is really what it is. I think that&#8217;s part of what draws the community together. You didn&#8217;t ask, but I&#8217;m going to answer it anyway. I think that&#8217;s really what, that ethos and the being part of something bigger. Whether it&#8217;s open source or the community or just spreading the goodness of easy to use software. I really think that&#8217;s what makes it different.</p>\n\n\n\n<p>[00:08:05] Nathan Wrigley: Yeah. Somebody was saying to me the other day about their conversations that they&#8217;ve been having with people about ceasing to use WordPress as their CMS of choice. But the glue which has kept them in it is the community. It&#8217;s that piece which has actually kept them going with the software. So in a strange sense the community has trumped the software in that instance.</p>\n\n\n\n<p>[00:08:28] Sé Reed: That&#8217;s so true. I think that a lot of people stay in WordPress and WordPress has had such a, well, 20 years, this is its 20th anniversary year. So it&#8217;s had that success. I truly believe because of the community and because of the, really the stewardship that&#8217;s happened within the community. And again that ethos of drawing people together and, really just feeling like there&#8217;s a sense of, sort of a sense of ownership I think over, or at least stake in the community and stake in the software. It feels like we all have a part of it. I think that that&#8217;s, it&#8217;s something really special. It doesn&#8217;t exist even in other open source communities to the same degree.</p>\n\n\n\n<p>[00:09:10] Nathan Wrigley: Yeah, it is constantly remarkable to me that that is such an important piece, and it&#8217;s so ephemeral. I can&#8217;t quite get my hands on it. I don&#8217;t really understand what that thing is, but there is a thing there.</p>\n\n\n\n<p>[00:09:21] Sé Reed: Exactly.</p>\n\n\n\n<p>[00:09:22] Nathan Wrigley: And, it&#8217;s wonderful and it, it&#8217;s gathered us together today to have a chat. You&#8217;ve recently got involved with something that, I&#8217;m going to pronounce it once. I&#8217;m going to say it once at the beginning and then I&#8217;m going to truncate it. So from the start we&#8217;re going to be talking about the WP Community Collective, so the WordPress Community Collective. But I&#8217;m probably either going to call it the community collective or just collective, because it&#8217;s going to be a whole lot easier.</p>\n\n\n\n<p>[00:09:44] Sé Reed: Yeah. I didn&#8217;t think about WPCC being hard to say in a British accent, but.</p>\n\n\n\n<p>[00:09:48] Nathan Wrigley: No, it&#8217;s funny, isn&#8217;t it? But that acronym somehow completely gets stuck on the end of my tongue before it escapes my mouth. What is it? I don&#8217;t mind which of you want to take it on? What is it? How did it come about? Broadly, in broad brush strokes, and then we can get into the detail. What&#8217;s the point of this?</p>\n\n\n\n<p>[00:10:04] Sé Reed: What&#8217;s the point? That&#8217;s a great question, Nathan. I&#8217;ll take it, just to give the broad strokes. What the WP Community Collective is, is essentially it&#8217;s a non-profit project that allows, we are in the process of funding contributors to the WordPress project. So people who are working on the make teams and the open source WordPress software, that&#8217;s who we&#8217;re going to be, who we are supporting.</p>\n\n\n\n<p>And, it&#8217;s really a way to bring together the community to allow us to fund and support the contributors who are doing so much work to keep this software slash community slash lifestyle going, moving forward and growing and responding to the needs of the community and technology. So really it&#8217;s about supporting the contributors that make up the community.</p>\n\n\n\n<p>[00:11:06] Nathan Wrigley: So you mentioned two things there. You mentioned funding, and obviously that&#8217;s a key component of it, but you also mentioned more the community side of things. Being there as a supportive hand. Are they two distinct parts or is it all about the funding? Is that primarily what it&#8217;s about, or is it also about being a friendly face?</p>\n\n\n\n<p>[00:11:25] Sé Reed: We&#8217;re trying not to be, we are, and we&#8217;ll continue to try to not be US focused. That&#8217;s something that happens a lot. That kind of defaults to that when we&#8217;re here. But, in America, the way that we like to show our support is with money.</p>\n\n\n\n<p>That&#8217;s a thing. You know we tip people. That&#8217;s sort of how we demonstrate that we like a thing. So not trying to bring that ethos necessarily into the greater world, but primarily we mean funding. So primarily we mean sponsoring people to do contribution of various types.</p>\n\n\n\n<p>But we also have goals to basically be like a third space to have conversations about WordPress and the WordPress community and the ecosystem adjacent to the WordPress project. So, you know, all of the plug-ins and the themes and the assemblers and all of that world, the marketers. So, we want to provide a space to integrate all of that. But that&#8217;s more of just soft support. Really what it does come down to is funding support.</p>\n\n\n\n<p>[00:12:36] Nathan Wrigley: Okay. Given that you&#8217;ve set up this WP Community Collective, and usually when something like this is set up, there&#8217;s a problem to be solved. There&#8217;s something that is identified as could be better. Let&#8217;s all gather around and figure out how we can do it. So, essentially what is the problem around the community?</p>\n\n\n\n<p>What are the problems that people are facing? Is it one simply that people who would willingly contribute their time simply can&#8217;t afford to do it? We often hear this mentioned that, you know, those who can afford to contribute are the ones who can afford to contribute, because they live in a certain part of the world. They may be fully employed so they can dedicate something. Perhaps their company is kind enough to, give them a day, a week or half a day, whatever it may be. They&#8217;re seconded in some way so they can contribute to the project. But there&#8217;s a whole ton of people, hundreds of people who would love to be in that position. But the financial component is the barrier. It&#8217;s the wall that&#8217;s stopping them being able to contribute.</p>\n\n\n\n<p>[00:13:33] Sé Reed: Yeah, at the end of the day there&#8217;s really two sides of this. And, one side is how can people effectively and consistently and meaningfully participate in the project if they can&#8217;t consistently show up? You know, so much happens every day in the WordPress make channels on the P2s, on the blogs. There&#8217;s a lot going on, and there are a lot of people moving the project forward and even just paying attention and keeping tabs on all of the new stuff that&#8217;s happening is kind of a full-time job.</p>\n\n\n\n<p>So really, what ends up happening is that the folks who are in leadership roles tend to be sponsored contributors. And I say leadership roles, whether that&#8217;s a team rep role, which is, it&#8217;s leadership, but it&#8217;s not like authority leadership. But, just by showing up consistently and responding to things and being there every day, which you can do if you are paid to do so, that gives you, I don&#8217;t want to use the word clout, but it gives you, I&#8217;m not really sure what the word is. When we talk about it being a meritocracy, right?</p>\n\n\n\n<p>If you do things, then you have influence, and people want to do more, but only the people who are really supported financially to be able to do that. Or like you said, have the means in some other way, have the ability to consistently show up in that meritocracy. And so in a way, by default, we&#8217;re really the leadership and the ongoing constant push forward really does tend to be from the sponsored side of the contributor pool, let&#8217;s say. And everyone else tends to just be catching up or lending their opinion in different places.</p>\n\n\n\n<p>So, that&#8217;s one of the reasons, is we want to be able to have folks contribute and contribute consistently, and contribute in a meaningful way to parts of the project that are maybe not getting as much of attention or need more attention, like accessibility. And so we&#8217;re really trying to find a way to support those people, and bring the community together to support those people. And really, Courtney can talk a little bit about the problems that, it&#8217;s not just that individuals have problems finding support, it&#8217;s that the people who want to support have problems funding the individuals. So Courtney, do you want to talk to that, about that a little bit?</p>\n\n\n\n<p>[00:16:05] Courtney Robertson: So for context, I shared that I had started contributing in 2009, and for a number of years, in fact, up until a year and a half ago, I was not sponsored. I wouldn&#8217;t even say I was self sponsored financially. But I contributed. In fact, I was the person couch surfing at a WordCamp US on my college roommate&#8217;s couch, and driving quite a distance in, and could, at the time, barely scrape together the funds to take care of my parking.</p>\n\n\n\n<p>So I know what that experience has been like and to still want to contribute and to still feel that this is part of my work, my role. And I undoubtedly benefited from all of the hardships of my past. I&#8217;ve had some medical challenges, some other life things, you know, as people do. And without that experience, I certainly wouldn&#8217;t be involved in WPCC. I wouldn&#8217;t have gotten to the job that I have now at GoDaddy Pro. There&#8217;s just a lot of reasons for seeing from that perspective that I think has really benefited.</p>\n\n\n\n<p>So from the person that is seeking to be sponsored in some capacity, I&#8217;ll say what I did, very publicly. I was teaching at the time, I loved it, but I felt like my higher purpose was to do more of the work on Learn to be able to create this content that could be a multiplier effect to impact that many more students, that many more learners than the current job that I had had.</p>\n\n\n\n<p>And in order to do that, I started to let some folks know. And I went to my now manager and said, if GoDaddy ever has a role open up where I could be contributing to the training team as part of my work time, Adam Warner, please keep me in mind for that. And in fact, he did. Now, that doesn&#8217;t mean that everybody has the gumption to go out and start approaching folks and say, I would like to receive.</p>\n\n\n\n<p>I appreciate those that have spoken up and let folks like Sé and I know. We&#8217;re working on some processes to sort of collect that information. Who&#8217;s already contributing that would like to contribute at a higher capacity? We have some contributors that I know of in our WordPress community that said, I would like to be sponsored. For instance, Joe Dolson says, I would like to be sponsored at $500 US a month to contribute this certain amount to accessibility purposes. Other than that, I&#8217;m tied up with clients. And then increasingly grew that over time.</p>\n\n\n\n<p>But still that process, it doesn&#8217;t matter who you are or where you&#8217;re from. That process of saying, I want to do this takes a certain amount of navigating, what can be perceived as awkward because you&#8217;re expecting handouts, but at the same time you are a professional and you bring professional caliber qualities to the work that you do for this open source project that is used by 43% of the internet.</p>\n\n\n\n<p>So yes, there is a reason that contributors should be funded. We definitely know this and that pathway of letting folks know can be awkward and challenging. And then the pathway from those that have the funds to do the sponsoring, whether you are an individual or a company, both perspectives of this get a little tricky.</p>\n\n\n\n<p>So from an individual&#8217;s perspective, there are those if you look through the WPCCs sponsors so far, we&#8217;ve raised all of our funds essentially through individuals at this time. And that&#8217;s several thousand US dollars. So that&#8217;s just coming in from individuals who said, yes, this matters. Yes, we want to fund what&#8217;s going on in the work.</p>\n\n\n\n<p>And so it takes a lot of people, that are individual people, giving a little bit to reach that kind of a goal. And then from a company&#8217;s perspective, a lot of companies struggle too, how to fund the work of open source. And recently I&#8217;ve been researching in and getting into this more deeply, and it&#8217;s not just about the WordPress community, but just how does whether you are an individual, small business company, and I see some really great ones that are doing this.</p>\n\n\n\n<p>JB over in the Core team is part of about a two dozen staff member agency based out of France. And all of their staff are contributors. And I think it&#8217;s amazing that companies who done it. So, great work on them. But other organizations, whether you&#8217;re a small business, you may not quite know how, well, how do I manage, how do I, if I&#8217;m contributing, what do I get? Is it just I&#8217;m contributing in a charitable way and I don&#8217;t have much attachment to the work that the person does? How do I know that what I&#8217;m contributing to has any payoff for, not just the goodwill of my company, right? That&#8217;s a marketing approach, but also that the people receiving it are actually doing something productive with it.</p>\n\n\n\n<p>Should there be accountability in all of that? When you get into larger size organizations like my employer, we&#8217;re not structured in a way, we&#8217;re a publicly held company. We&#8217;re not structured in a way that has a whole staff of who&#8217;s overseeing the work of those that we are sponsoring.</p>\n\n\n\n<p>GoDaddy does have two full-time people that are essentially staff that we sponsor to work on WordPress. We ambitiously would like to keep growing that, but there are challenges. So when it comes to GoDaddy related to WPCC, I&#8217;m really excited that we&#8217;re in the conversations right now of getting that money flowing a bit more.</p>\n\n\n\n<p>I can&#8217;t make any promises from GoDaddy&#8217;s side of as to what all that would look like, but what I can absolutely say is that we know it&#8217;s a real need. We know that the WordPress community will greatly benefit from this. But as it would turn out, a large company like this can&#8217;t just go making purchases from any kind of business or giving money to any kind of organization.</p>\n\n\n\n<p>[00:21:27] Sé Reed: Shareholders don&#8217;t like it when you just randomly give money to people.</p>\n\n\n\n<p>[00:21:30] Courtney Robertson: No, they don&#8217;t.</p>\n\n\n\n<p>[00:21:32] Sé Reed: They don&#8217;t.</p>\n\n\n\n<p>[00:21:32] Courtney Robertson: Oh, there are so many stories that I could say. But, to that end, what I for sure am happy to say though is that we&#8217;re working together in a way that will do all of the red tape that a company would need, to get that approved and cleared so that those funds can start flowing. And, so I&#8217;m really excited about it from that side because you know what? GoDaddy can&#8217;t just stuff a bunch of bills in an envelope and mail it out to someone. They have to actually have a strategy when it comes down to why are we doing this? What&#8217;s the outcome? What&#8217;s the, the ROI, right, of these things?</p>\n\n\n\n<p>And investing in the software that powers 43% of the internet, that many of our customers are using. Well that sounds like we have a good reason to be investing in that. So it makes it quite interesting to navigate those challenges. From an internal perspective, I encourage folks at other corporations, if you&#8217;re facing those challenges, to reach out to me and I&#8217;d be happy to have some private conversations with you about what specific challenges you might be facing.</p>\n\n\n\n<p>[00:22:34] Sé Reed: And how the WPCC.</p>\n\n\n\n<p>[00:22:36] Courtney Robertson: Yes, can help with that.</p>\n\n\n\n<p>[00:22:38] Nathan Wrigley: Courtney, there was loads in there, and I just want to drill down a little bit on you personally, if you don&#8217;t mind, because I find that quite an interesting dialogue. You used the word gumption there, which I thought was quite interesting. And, it sounds like you&#8217;re very self-reliant. You are driven, and it sounds like you just kept banging on doors and fighting the good fight and keeping going, and eventually that paid off. But I&#8217;m guessing that there were times during the period where it wasn&#8217;t paying off, where you must have looked at yourself and thought, what the heck am I doing?</p>\n\n\n\n<p>And I guess that&#8217;s the person that is going to benefit from this, the person who knows that they want to contribute, but really has maybe been trying, struggling, doesn&#8217;t have a way through, doesn&#8217;t have a pathway through. And we don&#8217;t want those people to be disappointed and turned away.</p>\n\n\n\n<p>[00:23:22] Courtney Robertson: Correct. Yeah, so for a number of years, in fact I took a hiatus. I had little kids and I had a set amount of hours available in my day, and I worked for a WordPress plugin company that I loved that experience. But I worked during only their nap time schedule. So, I didn&#8217;t have time to contribute or even keep up with the quantity of information that was happening on WordPress. And that was all during the lead up to and release of Gutenberg. So, it was a hard time to be missing all of that information.</p>\n\n\n\n<p>But I will say that there are a wealth of contributors in our community that if they had that financial backing would have a better quality of life, be able to contribute that much more because they could let go of their other income sources as an offset.</p>\n\n\n\n<p>So I had started to let the previous employers, I worked for two other WordPress organizations previously, and I started to let them know that I would like to be involved more in WordPress, and the work happening there. And they didn&#8217;t have that capacity built into their business models, right. And so I felt that by approaching somebody like GoDaddy, I knew that they had a couple of contributors, and this was more of a, the role that I am in affords me some time. I am not full-time sponsored to WordPress. But it affords me quite a bit of time and it is vital to the job that I do to be a contributor, if that makes sense?</p>\n\n\n\n<p>[00:24:53] Nathan Wrigley: Yeah. That&#8217;s really, really interesting.</p>\n\n\n\n<p>[00:24:55] Sé Reed: I was going to say that that&#8217;s the, it&#8217;s exactly that dilemma that even Courtney, who is literally representing open source and doing massive WordPress contribution with her company. Even her job is not a hundred percent WordPress. And that&#8217;s part of it because there&#8217;s a need for contribution.</p>\n\n\n\n<p>I don&#8217;t know, we really have clarified that part, but like the contribution has, because of covid, because of the lack of WordCamps or whatnot, did definitely take a dive. And also there are so many other CMSs and worlds out there that it&#8217;s not just inevitable that WordPress is going to continue to have a healthy community and continue to grow and continue to be the CMS and the software that we all know and love.</p>\n\n\n\n<p>That&#8217;s not a given in the world of actual capitalism that we live in and whatnot. So if we want it to be around, if we want to support it, then we need to find ways to connect the resources that are there with the efforts that can be made on the ground. And making that connection between companies that have budgets, but don&#8217;t have the ability to hire people. That is really, I think the, well, it&#8217;s not just for companies, but that&#8217;s really the key element for the WPCC.</p>\n\n\n\n<p>Because we know there are lots of resources out there. There&#8217;s lots of agencies, there&#8217;s lots of businesses that have some funds, you know, they&#8217;re making revenue off of their various products or their services. But they can&#8217;t say maybe giving five hours a month or something isn&#8217;t even that productive for them. But if they were able to take their money and combine that with other folks who are also in the same situation, then they can help fund someone who is able to put that focus in.</p>\n\n\n\n<p>And also a big part of what we&#8217;re doing is making sure that those fellows are talking about what it is they&#8217;re doing. The challenges that they&#8217;re facing. So bringing the information also back out into the community, so it&#8217;s not just a you&#8217;re putting money in and you know, you never know what happens to that, right?</p>\n\n\n\n<p>Our fellows will be responding, or blogging actually, on the website telling us what they&#8217;re doing. Telling us what&#8217;s going on in the project and, so folks who are putting their funds into the WPCC are combining their money to make it more effective, but also doing it in a way that gives them a say in it. Not necessarily a say in it, but like a part of it. They get to participate in it.</p>\n\n\n\n<p>They are also part of the community collective. So it is all, all of us working together. So it&#8217;s really just about allocating resources and, available energy really. We&#8217;re just putting resources and energy together and combining them and helping to move the project forward.</p>\n\n\n\n<p>[00:27:56] Nathan Wrigley: Yeah, so essentially it feels to me, I mean I may be parsing this wrong, but it feels like you are acting as a conduit. You are the bridge between the people who have money, let&#8217;s say for want of a better word, finances. But they don&#8217;t necessarily know where those finances would best go. So they come to you, deposit it there in the collective, and then your job is to make decisions about who would be the best steward of that money.</p>\n\n\n\n<p>And then get them to do whatever it is that you&#8217;ve agreed to do and then report back to the sponsors in the form of blogging or what have you, so that they&#8217;ve got some way of, well, I guess the word is, sort of oversight really. They&#8217;ve got a little bit of oversight and they can see that their money hasn&#8217;t in fact just been squandered. And so it&#8217;s a really neat little idea.</p>\n\n\n\n<p>[00:28:45] Sé Reed: Thanks, we like it.</p>\n\n\n\n<p>[00:28:47] Nathan Wrigley: Yeah, yeah. The thing that interests me is, as soon as you get involved with money, and you alluded to this earlier, you know. The government, they don&#8217;t like to have people just willy nilly spraying money all over the place. And so if companies are giving you money, presumably they want to know that it&#8217;s being marshaled correctly, you know. It&#8217;s not being squandered. It&#8217;s being used effectively in ways that perhaps align with a brand that they&#8217;ve got, you know, it maybe that they want it to go in a particular direction. They might be more interested in accessibility than others. Others might be more into, I don&#8217;t know, we could invent a thousand different other categories. How does that all get figured out? In other words what are the kind of roles that you are giving people who are taking on the work that you are paying them for?</p>\n\n\n\n<p>[00:29:30] Sé Reed: That&#8217;s a great question. We are starting with accessibility, because it is so clearly a need, and it is also very, very underfunded in terms of sponsored contributors. We&#8217;ll be launching, I keep pushing the date on this, but we&#8217;re going to be launching our first, or announcing who our first fellow is shortly, for our accessibility fellowship. The goal is to fund that person for five hours a week for a minimum of six months.</p>\n\n\n\n<p>Normally we would fund the entire fellowship prior to launching it, or starting with the person. We would fund the fellowship first. But in this case, we wanted to start with a fellowship that we already knew was really important. And so we created the accessibility fellowship first.</p>\n\n\n\n<p>That&#8217;s really our initial goal is to get that funded. So we are working with some additional partners to develop partnership fellowships. And essentially those, it&#8217;s in a way, it&#8217;s like a scholarship, right? A fellowship is very much like a scholarship. We&#8217;ll have an application process for folks to apply to be fellows, and then different fellowships will have different focuses. So we are scoping out currently, like I said, accessibility fellowships, but also some Core fellowships. And not just Core in terms of development, but also Core in terms of communication.</p>\n\n\n\n<p>[00:30:51] Courtney Robertson: I&#8217;d like to elaborate a little bit on what Sé was saying there is that, as part of all of this, we have so many roles across different teams. Whether you are in Core because you&#8217;re a developer or because you can help wrangle the information that the Core team needs to function as a team, to share externally.</p>\n\n\n\n<p>Over in other teams we need some assets like project management. In other teams, we need areas like project management skills. Accessibility could relate to the accessibility of the software, but it could just as easily relate to the accessibility of the learn.wordpress.org content, and or site functionality. So you could see how there are different roles beyond what we normally envision for the different teams that relate to just keeping the whole project up and running. And we&#8217;re pretty aware of that.</p>\n\n\n\n<p>Likewise, being able to get to your nearest international camp and or a couple of very local regional camps might be important. Or ongoing professional development in your areas. So those are all skills and assets and resources that come to our mind because we have been both contributors into the WordPress project for quite a while.</p>\n\n\n\n<p>Additionally, if I were to ask folks how to get involved in the WPCC, there are a few ways to do so. Any person is welcome to come be a member. So we have memberships available, anyone can be a member. Ideally that would come with a few funds towards those that are contributors. But we welcome members to just come and join. And the show notes will link you over to our website, and from there you can follow it out to the opencollective.com/thewpcc.</p>\n\n\n\n<p>We also welcome sponsorships. Sponsorships, again would look like those that would like to sponsor a specific initiative. So if we have a very specific fellowship that you would like to help fund, you can choose to come along and be a part of that.</p>\n\n\n\n<p>And then we also have areas for partnerships. And that&#8217;s the area that, one of the areas that, my employer is starting to look at is partnerships. So perhaps they would like to kick off a specific fellowship, right? There might be general fellowships that the WPCC declares and says, the WPCC needs to, sees that we need to work on accessibility. So we&#8217;re going to launch one of those.</p>\n\n\n\n<p>But what if there were specific fellowships available based upon different companies in the industry, right? And so if you would like to set up a specific partnership to drive a specific initiative, that&#8217;s definitely an option available as well That could also look like partnering with other WordPress organizations to help fund initiatives that we&#8217;ve seen already.</p>\n\n\n\n<p>I loved for WordCamp US the amount of organizations that pulled resources together to increase diverse speakers at organizations. To increase diverse speakers to attend and speak at WordCamp US. So we can partner with lots of different organizations. We hope to be announcing some of those partnerships in the not too distant future to really benefit what the work of the WordPress community is and what that can look like.</p>\n\n\n\n<p>[00:33:56] Nathan Wrigley: So the next question I&#8217;ve got is, Courtney just then mentioned that happy to have people come along and if they bring finance with them, that&#8217;s very, very welcome. But let&#8217;s say that I come along and it&#8217;s my company, or it&#8217;s me and we just bring a modest amount of money. You know, I&#8217;m not a giant entity. I&#8217;ve got $500, a thousand dollars, whatever it may be. Do I have sort of any say in where that ends up? Or is it more a case of just trust us on this one? We&#8217;ll publish some documentation about where the money&#8217;s being spent? Where do we stand with that?</p>\n\n\n\n<p>[00:34:30] Sé Reed: Well, the organization that we are fiscally hosted through, is a, it&#8217;s a payment system essentially, with nonprofit sponsorship that allows us to take in funds and spend funds and the entire budget, every dollar that goes in or out of the WPCC is documented and on the website for everyone to see. So everyone can see exactly where all of the money is going in terms of accountability.</p>\n\n\n\n<p>But in terms of participatory, or just influence or whatnot. We&#8217;re actually in the process of working on our bylaws, but our rough outline for this is essentially that we have a membership and you can join for free, or you can join at a membership payment level annually, if you want to support that way.</p>\n\n\n\n<p>And we&#8217;re working out the exact guidelines for voting and that sort of a thing. We want to base it on, have you contributed in the last year, or we&#8217;re working on those types of criteria. But essentially the membership will be able to, first of all talk to us, which is not just talk to us, but talk to the board. But we&#8217;ll also be part of the decision making process. Not on a individual, specific, fellowship level, but on a what do we focus on level.</p>\n\n\n\n<p>And also for the larger projects that we want to take on, the community will be, or the membership will be involved in that as well. So, a company cannot be a member because we don&#8217;t believe in Citizens United in our organization, which is a Supreme Court ruling that said corporations are people here in the US. So it&#8217;s only individuals who are going to be able to participate as members.</p>\n\n\n\n<p>Like I said, that will be more of a let&#8217;s figure out what needs to be funded. Do we want to worry about old bugs in the system, or do we want to fund accessibility, or do we want to really have a push to the re-envisioning of the media manager, for example. The media library. So, the community, the membership will have a say in that type of way. It won&#8217;t be that the community, the membership is voting on every single action that is taken. Because that would become a bureaucratic nightmare.</p>\n\n\n\n<p>But in terms of direction and goals and partnerships and strategy, the membership can and will be an active part of that conversation. So our goal is to really be transparent and also be a, sort of a incubator for those conversations about funding. About project priorities that aren&#8217;t just the make project priorities. Because there are also important components that affect the rest of the ecosystem, like PHP 8, for example. And the push, the development push, that&#8217;s needed to get things ready for that. Like that&#8217;s something that&#8217;s definitely been important to the community, but has not necessarily gotten as much traction in Core as some people would like. So there&#8217;s all sorts of different issues like that that can be given attention and brought to the surface, and hopefully, we all just can move forward, move the project forward, more.</p>\n\n\n\n<p>[00:37:47] Nathan Wrigley: Can I ask in terms of the fellowships and who receives the fellowships? So how will that work? So let&#8217;s say, for example, I would like to contribute my time into some area, and I notice on the website at the time that I&#8217;m looking that I fit the bill. I would like to help in that way. Is it kind of like a job application process, where I fill out a form and some panel that I may be speaking to, or may do it without the need for my attendance.</p>\n\n\n\n<p>Do they decide who it&#8217;s going to be? Because obviously there&#8217;s concerns there about things like favoritism, or whether the correct person gets the job. But also concerns about weighting things so that people who perhaps, how to describe this, people who currently really would struggle to be able to contribute, maybe they get some leg up if you like. There&#8217;s a little bit more weight for certain individuals than others for the circumstances in which they find themselves. So just questions around that really.</p>\n\n\n\n<p>[00:38:44] Sé Reed: It&#8217;s going to be more like, rather than a job application, more like a scholarship. And that&#8217;s really what fellowships, that that kind of fellowship structure is really why we chose that. Because, it&#8217;s not a permanent position. It&#8217;s a temporary position, six months, a year, two years, depending on what we, you know, are tackling. Maybe even three months for short term contribution if that needs to happen.</p>\n\n\n\n<p>But, basically it&#8217;ll be, we will create the fellowships and identify the need, and then open applications for people to apply for the fellowship. And then we will evaluate those applications and select fellows. So essentially it&#8217;s very much like a scholarship or, I would like to think less like a job interview.</p>\n\n\n\n<p>[00:39:26] Nathan Wrigley: So given everything that Sé just said about the way that you are going to be giving out these fellowships, and the way that they&#8217;re going to be distributed. Given that there&#8217;s a lot of work on the sponsorship side, there&#8217;s a lot of work on the people who are getting these fellowships as well.</p>\n\n\n\n<p>There must be a lot of work being done by you and the people in the organization. So how is that funded? Is there a certain proportion of the finance that goes through the WPCC that is taken for administrative tasks and so on? Or is this an entirely nonprofit? I think in the US you call it a 501C3?</p>\n\n\n\n<p>[00:40:04] Courtney Robertson: Yeah, so there are a few ways of the funds coming in. It is an option, strong option to go through the nonprofit direction. There is a total of 15% overhead that we need to take care of. Some of that goes to the direct operating costs of the WPCC. And to be clear, that doesn&#8217;t fund Sé, Katie or I, who are the current board members, personally. That just goes to the operating expenses of the WPCC.</p>\n\n\n\n<p>Also, there is a fee in addition to that, that goes through Open Collective because they are the payment processor. They are the way that makes it possible for us to see all of these financial transactions. This is an organization that is set up specifically for open source initiatives, and they provide that oversight. That means we don&#8217;t have to go get a bank account. We don&#8217;t have to go set up a non-profit organization. We don&#8217;t have to do all of those extra things because Open Collective provides that for us and many others. So they do take a small portion of the funds that come through.</p>\n\n\n\n<p>And the remaining amount goes directly to those that are doing the work. At this time, because we are the three that stepped in together and said, let&#8217;s launch this thing, we are the board. Over the next year you&#8217;ll start receiving some more announcements and information about putting together a more complete board. That board will always hold a seat for the executive director of the project, whomever that shall be. So that&#8217;s definitely going to be one board member, optionally, additionally added.</p>\n\n\n\n<p>But in addition to that, we will be looking for those to become board members over the next several years. This first year out, we just thought, you know, we just need to launch this thing and get some traction going. Let&#8217;s get some action happening.</p>\n\n\n\n<p>[00:41:53] Nathan Wrigley: Yeah. This may sound like an incredibly cynical question, and I apologize if it is. Sometimes I get the feeling that companies when they do sponsorships and things like that, they like to proclaim, they like to advertise the fact because it&#8217;s good business. You know, they&#8217;ve done a good thing and they would like a little bit of recognition on the backside of that.</p>\n\n\n\n<p>Is there anything in here like that for people who contribute? Say, for example, a company, they might get a badge or a sticker or some kind of way that they can say, look, in the year 2020, I contributed to this project and I&#8217;m proudly going to identify myself as such.</p>\n\n\n\n<p>[00:42:30] Courtney Robertson: Sure. So first and foremost I&#8217;ll speak to, there are three different departments within my employer at GoDaddy, that each have varying reasons they would like to make use of funding contributors through the WPCC. Out of all of those, none of them are for self-interest. And I say this to be super clear to the community, yes, I am an employee. Yes, I have mentioned my employer many times in this episode. But it really is not about proclaiming, here we are, look at us.</p>\n\n\n\n<p>I do though understand that there is a marketing advantage and so, I think it is worth people being aware of the good that does happen. That&#8217;s not the sole reason why it should be done, this work should continue. But for those to know who is helping make that work be possible, the WPCC will be able to set up fellowships with those partnership type of programs, those partnership initiatives, so that if some other organization would like to come along and say, we would like to start up a fellowship for an individual or for a group of individuals, and that being maybe a six month rotation.</p>\n\n\n\n<p>And out of that, perhaps they later bring them on as staff as well. And so there is that piece, or that component as well, where the WPCC can be that entry point. Especially for organizations that don&#8217;t have the dedicated internals of managing and maintaining this. And they&#8217;re just beginning to explore what does it look like. Or they would like the contributors that are doing this as their job to be really thoroughly trained.</p>\n\n\n\n<p>And also, all organizations that sponsor contributors, some of that information goes back to what that company does. For instance, I know that the work that George Mamadashvili does in Gutenberg really helps shape some of the internal information around how some of the themes and plugins that GoDaddy creates makes Gutenberg implementation possible for our customers, right?</p>\n\n\n\n<p>And so, there&#8217;s a lot of value in this, and at no point would I ever slight that a company should be able to say, here is what we have contributed. Especially when many are looking at or watching, well, how do you contribute to WordPress as an organization, right? So those fellowships and the partnership programs will definitely be an option for that. As well, organizations can say, we are providing this amount of funding, and it could go into whatever bucket the WPCC would like to put it into.</p>\n\n\n\n<p>[00:44:58] Nathan Wrigley: Hmm. I guess you&#8217;re on the first few steps of hopefully a long journey and a lot of these things are going to be ironed out and figured out over time.</p>\n\n\n\n<p>[00:45:07] Courtney Robertson: Right.</p>\n\n\n\n<p>[00:45:08] Nathan Wrigley: Courtney and Sé if somebody has been interested in what they&#8217;ve heard today and they would like to come to you and get some more information, where is the best place to find you? Let&#8217;s start with Courtney.</p>\n\n\n\n<p>[00:45:20] Courtney Robertson: You could find me personally as courtneyr_dev on most of the social platforms. Sometimes that&#8217;s a hyphen. If you get lost, head to my personal website, courtneyr.dev. You could certainly find out about thewpcommunitycollective.com. That will get you the information that will take you across our website as well as across to the listing that we have with Open Collective, where you can actually put in your information.</p>\n\n\n\n<p>[00:45:47] Nathan Wrigley: Thank you very much. Right, Sé. Where do we find information about you?</p>\n\n\n\n<p>[00:45:51] Sé Reed: Well, the best thing to do is go join us on the thewpcommunitycollective.com. Connect to us by joining our organization. That&#8217;s the best way. But I am currently @sereed on mastodon.social. I&#8217;m on LinkedIn. I&#8217;m in the Slack channels. I&#8217;m in the Post Status channels. So if anyone wants to get a hold of me, probably Slack in the WordPress community is the best way. I still look at my Twitter DMs, even though I&#8217;m staunchly anti Twitter now, sadly. But I&#8217;m still there. I&#8217;m still around listening, so. I&#8217;m at sereedmedia on all the things, I&#8217;m around. There&#8217;s, I don&#8217;t know if there&#8217;s any other Sé Reeds either, but you know.</p>\n\n\n\n<p>We really want to participate with the community. We really want to hear from the community. Have ideas, have suggestions, have comments. This is a community effort. This is a, a larger project than Courtney and myself. We&#8217;re trying to be anti gatekeepers. Taking influence from Courtney, who is an anti gatekeeper. We really want this to be a community project and a community organization. So please get involved. Connect with us. We want to hear from you.</p>\n\n\n\n<p>[00:47:02] Nathan Wrigley: I will make to put all of the links in the show notes, so if anybody is curious, just head over to wptavern.com and search for this episode. Really an absolute pleasure talking to you. I&#8217;ve learned a lot. I&#8217;ve definitely got a much greater, more concrete understanding of exactly what the WPCC is, and hopefully you will get some more interest as a result of this podcast.</p>\n\n\n\n<p>Courtney, Sé, thank you so much for joining me today. I really appreciate it.</p>\n\n\n\n<p>[00:47:27] Courtney Robertson: Thank you Nathan.</p>\n\n\n\n<p>[00:47:28] Sé Reed: Thank you Nathan.</p>\n</div>\n\n\n\n<p>On the podcast today, we have <a href=\"https://twitter.com/sereedmedia\">Sé Reed</a> and <a href=\"https://twitter.com/courtneyr_dev\">Courtney Robertson</a>, and they’re here to talk about the <a href=\"https://www.thewpcommunitycollective.com/\">WP Community Collective</a>, or WPCC for short.</p>\n\n\n\n<p>In a nutshell, the WPCC is a non-profit that is hoping to fund contributors to the WordPress project. It’s been said before, but I’ll say it again, people who can afford to contribute to the WordPress project are the people who can literally afford to contribute to WordPress. This sounds obvious, but think about it for a minute.</p>\n\n\n\n<p>Most of us know WordPress is built on top of a dedicated base of volunteers. People give up their time and expertise to contribute towards the project, and in this way make it free to download and use. But we all have to earn money at some point. Most are not in a position to donate their time completely freely; they have to put food on the table.</p>\n\n\n\n<p>Often contributors are sponsored by the companies that they work for, either part time or full time. There’s nothing wrong with this model, but what about the capable, willing volunteers who are not in this position? The people who have the skills and motivation to contribute, but not the time or finances to make that a reality.</p>\n\n\n\n<p>The WPCC wants to act as a go between for companies or organisations who are willing to spend money improving WordPress, and the individuals who can implement those improvements.</p>\n\n\n\n<p>This enterprise will be done via the WPCC fellowships. A fellowship in a specific area of WordPress is created, for example, an accessibility fellowship. People apply for that fellowship, and if successful, get the finances they need to take on the work.</p>\n\n\n\n<p>This means that individuals don’t need to be working for an organisation which funds them directly, and the organisations which wish to contribute don’t need to fund only their own team members.</p>\n\n\n\n<p>We talk about where the WPCC is at with their fellowships, and how it’s set up so that all participants are fully aware of where the money is being invested.</p>\n\n\n\n<p>If you’re from a company who would like to assist contributors to WordPress, or an individual wishing to get involved, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://www.thewpcommunitycollective.com/\">WP Community Collective (WPCC) website</a></p>\n\n\n\n<p><a href=\"https://wpwatercooler.com/\">WP Watercooler podcast</a></p>\n\n\n\n<p><a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a></p>\n\n\n\n<p><a href=\"https://www.godaddy.com/en-uk/pro/hub-dashboard\">GoDaddy Pro</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/marketing/\">Make Marketing Team</a></p>\n\n\n\n<p><a href=\"https://learn.wordpress.org/\">Learn WordPress website</a></p>\n\n\n\n<p><a href=\"https://opencollective.com/thewpcc\">WPCC on the Open Collective website</a></p>\n\n\n\n<p><a href=\"https://opencollective.com/\">Open Collective website</a></p>\n\n\n\n<p><a href=\"https://courtneyr.dev/\">courtneyr.dev &#8211; Courtney&#8217;s website</a></p>\n\n\n\n<p><a href=\"https://twitter.com/courtneyr_dev\">Courtney&#8217;s Twitter</a></p>\n\n\n\n<p><a href=\"https://twitter.com/sereedmedia\">Sé&#8217;s Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Mar 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"WPTavern: WP Engine Pattern Manager Plugin Now in Beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142504\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wptavern.com/wp-engine-pattern-manager-plugin-now-in-beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6877:\"<p>WP Engine is <a href=\"https://wpengine.com/builders/pattern-manager/\">beta testing</a> its new Pattern Manager plugin for creating and maintaining patterns. The plugin is intended for WordPress professionals &#8211; developers, agencies, and freelancers, who could benefit from having an interface and system for pattern management. </p>\n\n\n\n<p>&#8220;There are some plugins out there that provide an interface for creating patterns on a production site, but this is not built for that,&#8221; WP Engine Principal Engineer Mike McAlister said. &#8220;This is meant to slide into a dev workflow where you’re creating, editing, managing patterns for a client, for release in a theme, etc.&#8221;</p>\n\n\n\n<p>Plugins like <a href=\"https://wordpress.org/plugins/control-block-patterns/\">Build &amp; Control Block Patterns</a> (2k active installs) and <a href=\"https://wordpress.org/plugins/mywp-custom-patterns/\">MyWP Block Pattern</a> (200 active installs) allow users to build block patterns from the admin instead of writing code for them. They offer features like saving page content made with blocks into a pattern, unregistering block patterns, creating custom pattern categories, and more. </p>\n\n\n\n<p>After taking WP Engine&#8217;s Pattern Manager for a test run, it&#8217;s clear that the emphasis in this plugin is going to be more on pattern organization than on the builder aspect. After activating the plugin, clicking on the Patterns screen takes you to a catalogue of all the existing patterns, based on the site&#8217;s active theme. They are organized by category and are also searchable. </p>\n\n\n\n<img />\n\n\n\n<p>I installed the plugin alongside a theme with more than 30 block patterns included to get a better feel for how it works. From the main pattern management screen users can edit, duplicate, and delete existing patterns. Clicking through to edit a pattern lets users add their own pattern categories, keywords, extended description, designate which post types the pattern shows up in, and optionally hide the pattern from the inserter.</p>\n\n\n\n<img />\n\n\n\n<p>Pattern creation happens on its own dedicated screen, which works just like the block editor but with the pattern-specific settings in the sidebar. Once a pattern is saved, it will appear with the others on the pattern management screen. The pattern is attached to the theme, so users should understand that they will not have access to their custom patterns if they activate a different theme.</p>\n\n\n\n<img />\n\n\n\n<p>Users might be curious about creating patterns directly in the block editor. After putting some blocks together in an artful arrangement, it might be convenient to be able to save them as a new pattern for the theme. McAlister said this is not currently possible but it is under consideration.</p>\n\n\n\n<p>&#8220;Right now, pattern creation is limited to the Pattern Manager UI, where we can do some interesting and powerful things under the hood,&#8221; he said. &#8220;That doesn&#8217;t mean we won&#8217;t one day be able to do it inline, but in terms of exploring this concept as a workflow enhancement, we&#8217;ve limited it to a specific screen.&#8221;</p>\n\n\n\n<p>After launching the beta, web designer Wolfgang Stefani <a href=\"https://twitter.com/wolfgegenlicht/status/1627881988903559169\">asked</a> on Twitter if it is possible to update patterns globally using the plugin. </p>\n\n\n\n<p>&#8220;No, not yet,&#8221; McAlister responded. &#8220;It’s not a shortcoming of the plugin, rather how WP treats patterns right now. However, this will be possible with patterns soon, probably sometime this year.&#8221;</p>\n\n\n\n<p>Although there are many additional feature requests that might benefit developers and designers&#8217; workflows, the plugin&#8217;s creators are launching the beta to test the waters and see how users fare with this initial set of features.</p>\n\n\n\n<p>&#8220;Certainly parts of this workflow are opinionated, based on how we’re building patterns, but we’re doing this beta to understand how other folks are building,&#8221; McAlister said. &#8220;We’re open to any and all feedback to improve the overall workflow.&#8221;</p>\n\n\n\n<p>In a recent post titled &#8220;<a href=\"https://olliewp.com/patterns-are-gonna-be-a-game-changer-for-wordpress/\">Patterns are gonna be a game changer for WordPress</a>,&#8221; McAlister outlined his vision for how pattern functionality could be expanded in WordPress.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>What if, for starters, patterns were a treated more like intelligent components? What if instead of being treated as <em>just</em> a collection of blocks, patterns were an entity that WordPress could use as a conduit to do more advanced site building?</p>\n</blockquote>\n\n\n\n<p>McAlister explored a few ideas, such as making patterns more like template parts, globally synced and editable, adding pattern locking, and adding the ability to build style variations for patterns. The future is wide open for patterns to become far more useful than they currently are today, and third-party developers are exploring how they can extend this feature that has become so indispensable to building pages with WordPress.</p>\n\n\n\n<p>WP Engine&#8217;s Pattern Manager fits in nicely into the admin interface, almost like a natural part of core, but the top-level menu for Patterns seems too prominent and should be relocated under Appearance. After testing the plugin, I can see how it could become a valuable tool for managing pattern visibility for clients and speeding up page building by offering a more organized system for patterns. The CMS use case is strong here. Agencies that build the same kinds of sites over and over again could benefit from using this tool to quickly add and duplicate custom block patterns and restrict those that don&#8217;t make sense in certain parts of a client-managed site.</p>\n\n\n\n<p>During the live product demo for WordPress 6.2, a viewer asked if core will be adding more robust pattern management capabilities in the future à la WP Engine&#8217;s Pattern Manager plugin. The response was that this is a possibility for the future but is not currently a strong priority.</p>\n\n\n\n<p>In the meantime, WP Engine plans to release the plugin for free on WordPress.org after testing with users and updating it based on feedback.</p>\n\n\n\n<p>&#8220;We have no plans of monetizing,&#8221; McAlister said. &#8220;Right now, we’re more interested in digging into the developer workflow and finding unique solutions we can offer to folks who are digging into these modern WordPress tools.&#8221;</p>\n\n\n\n<p>If you want to get in on the beta program, you can <a href=\"https://wpengine.com/builders/pattern-manager/\">sign up</a> to get access to a zip file of the plugin. Your feedback may be incorporated into future versions of the plugin that will eventually land on WordPress.org.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 23:32:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Do The Woo Community: What the WordPress Community Loved About WordCamp Asia Part 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74607\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://dothewoo.io/what-the-wordpress-community-loved-about-wordcamp-asia-part-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>Part 2 where we hear from attendees, post-WordCamp, on their experiences at WordCamp Asia 2023.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/what-the-wordpress-community-loved-about-wordcamp-asia-part-2/\">What the WordPress Community Loved About WordCamp Asia Part 2</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 10:16:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: WordPress’ Legacy Default Themes Updated to Bundle Google Fonts Locally\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142491\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/wordpress-legacy-default-themes-updated-to-bundle-google-fonts-locally\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2311:\"<p>WordPress contributors have updated the legacy default themes to bundle Google Fonts locally in the theme folder, instead of loading them from Google&#8217;s servers. In years past, loading fonts from the the Google CDN was the recommended practice for performance reasons, but new privacy concerns have emerged following a German court case, which <a href=\"https://wptavern.com/german-court-fines-website-owner-for-violating-the-gdpr-by-using-google-hosted-fonts\">fined a website owner for violating the GDPR by using Google-hosted webfonts</a>, </p>\n\n\n\n<p>All of the default themes from Twenty Twelve to Twenty Seventeen have been updated. The process began nine month ago but the approach took some time for contributors to refine. Updates to default themes are usually done in coordination with major and minor releases of WordPress, as core contributor Jonathan Desrosiers explained in the <a href=\"https://core.trac.wordpress.org/ticket/55985\">ticket</a>.</p>\n\n\n\n<p>&#8220;The reason the updates are usually coordinated is that the themes are usually updated to be compatible with new versions of WordPress, so releasing at the same time makes a lot of sense,&#8221; Desrosiers said. &#8220;Also, the number of contributors that focus on the tickets within the Bundled Themes component is usually very low unless these compatibility issues are being addressed.&#8221;</p>\n\n\n\n<p>A dev note to accompany these updates to the legacy default themes was <a href=\"https://make.wordpress.org/themes/2022/07/28/using-locally-hosted-google-fonts-in-themes/\">published</a> to WordPress.org. It contains code examples for serving a new stylesheet from the theme directory, fixing the editor style within a custom theme-setup function, removing the font stylesheet, and including a custom set of fonts in a child theme. This change particularly impacts those who have edited or removed the font stylesheet in a child theme of these default themes or a plugin. </p>\n\n\n\n<p>WordPress&#8217; Themes Team has strongly <a href=\"https://wptavern.com/wordpress-org-strongly-urges-theme-authors-to-switch-to-locally-hosted-webfonts\">urged theme authors to switch to locally hosted webfonts</a>, and is expected to officially ban remotely hosted fonts following WordPress&#8217; legacy default themes getting updated. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 03:19:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: WordPress 6.2 Product Demo Video Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142476\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wptavern.com/wordpress-6-2-product-demo-video-now-available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2334:\"<img />\n\n\n\n<p>If you&#8217;re not yet excited about the upcoming WordPress 6.2 release, you will be after watching the new <a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\">live demo product video</a> that was recorded last week. The demo was presented by Anne McCarthy and Rich Tabor, and moderated by Nathan Wrigley.</p>\n\n\n\n<p>The team used a beautifully customized version of the default Twenty Twenty-Three theme, which showcases what is possible in 6.2 with just core blocks and themes. They started from the Site Editor view, demonstrating how easy it is  to zip around from pages to templates and template parts with the new browse mode. This mode also features a resizeable pane that previews the site at different viewports.</p>\n\n\n\n<p>WordPress 6.2 is light years ahead in terms of its progression as a design tool. The team gave a short introduction to pushing styles globally, as well as the ability to copy and paste styles. The features make it much easier to make changes across the site, instead of having to apply them separately to each block. They also gave a tour of the Style Book, which is helpful for quickly making global changes to blocks with a preview. Tabor noted how users could actually use that screen to design the entire site.</p>\n\n\n\n<p>Other features covered in the live demo include the new sticky positioning for top-level group blocks,  a tour of the new navigation and dedicated list view, distraction-free mode, and the improved pattern and media panel, which reduces the number of steps for exploring patterns and adding images. At the end, the presenters took questions from viewers, many of which cover what is and what isn&#8217;t currently possible with the Site Editor.</p>\n\n\n\n<p>WordPress 6.2 is expected on March 28, 2023, less than four weeks away. <a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">RC 1 has been delayed</a> due to <a href=\"https://wordpress.slack.com/archives/C04JZ199XPG/p1677992725823369\">a regression which impacts the Site Editor.</a> An additional Beta 5 is expected on March 7 to text a fix for this issue. In the meantime, the live demo video is a good way to familiarize yourself with all the major features coming in the next release. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 23:06:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"WordPress.org blog: Your WordPress 6.2 Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:66925:\"<p>On March 2, release squad members <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> presented a live product demo of all the delights coming in WordPress 6.2, set to release on March 28, 2023.&nbsp;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>A first-of-its-kind event in the world of WordPress releases, the showcase was moderated by fellow community member <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a> and joined by nearly 90 participants.&nbsp;</p>\n\n\n\n<p>During the demo, Anne and Rich highlighted some of the new features and enhancements that will continue to revolutionize the way you interact with WordPress. They gave a quick tour of the Site Editor’s refreshed interface, which lets you browse and preview templates before editing. They also covered all the new and highly anticipated ways to manage styles, as well as improvements to the Navigation block, new collections of header and footer patterns, the new distraction-free mode for focusing on writing, and plenty more.&nbsp;</p>\n\n\n\n<p>It was a jam-packed hour that sparked plenty of excitement—and a lively question and answer session that wrapped up the event on a high note. The presenters weren&#8217;t able to answer all the questions that were posed so they were <a href=\"https://a8c.slack.com/archives/C04S7RYK0F3/p1678330454722129?thread_ts=1678330090.320659&cid=C04S7RYK0F3\">collected and answered in a follow-up post</a> on <a href=\"https://make.wordpress.org/core/\">Make.Wordpress.org/Core</a>.</p>\n\n\n\n<p>Watch the recording of the live demo in case you missed it, or want to relive the moment (and the funky fresh demo site designed by Rich). You can find a full transcript of the live demo below.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Referenced Resources</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/2https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/%201/6-2-live-product-demo/\">Live demo announcement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">6.2 release roadmap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Wrapping Phase 2 of the Gutenberg project</a><strong>&nbsp;</strong></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\">6.2 release enters Beta 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">Beta 4 and the latest call for testing</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/47043\">Fixed/sticky positioning GitHub issue</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">Learn WordPress</a></li>\n\n\n\n<li>FSE theme developers on Twitch: <a href=\"https://www.twitch.tv/daisyonwp\">daisyonwp</a> and <a href=\"https://www.twitch.tv/ryanwelchercodes\">ryanwelchercodes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://github.com/annezazu\">Anne McCarthy on GitHub</a></li>\n\n\n\n<li>Learn WP workshop: <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291813021/?isFirstPublish=true\">How to create a website on mobile</a></li>\n</ul>\n\n\n\n<p><em>Props to <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a> and <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> for co-authoring and editing this post, <a href=\"https://profiles.wordpress.org/evarlese/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>evarlese</a>, <a href=\"https://profiles.wordpress.org/courtneypk/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>courtneypk</a>, and <a href=\"https://profiles.wordpress.org/mysweetcate/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mysweetcate</a> for captioning, and <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>robinwpdeveloper</a> for uploading the recording files to wordpress.tv.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14573\"></span>\n\n\n\n<pre class=\"wp-block-preformatted\"><strong>Nathan Wrigley </strong>0:22  <strong>\n</strong>How are we doing? Should we go for it?\n\n<strong>Anne McCarthy  </strong>0:24  <strong>\n</strong>I think we can start.\n\n<strong>Nathan Wrigley </strong> 0:26<strong> \n</strong>Why not? The recording has started. So let\'s get, let\'s get cracking.\n\nHello, welcome everybody to the WP 6.2 Live Demo outline. I\'m Nathan Wrigley. I do a few things around the WordPress community, mainly to do with video and podcasting and things like that. But it\'s not about me.\n\nToday, we\'ve got two fabulous guests. We\'ve got Anne McCarthy and Rich Tabor, and they\'re going to do a full on Product Demo. It\'s a little bit unlike things that you may have seen, because in the more recent past, lots of new features have been added. And so Rich, and Anne are going to spend the time on the screen in a moment, and they\'re going to show you all of the bits and pieces that you may find dropping into a WordPress install near you. Let\'s hope. There\'s been a lot that\'s been happening, so there really will be probably 20 or 30 minutes of live demos, so look forward to that. I\'ve got to get them to introduce themselves in a couple of moments.\n\nJust before that, though, a little bit of housekeeping. This is going to be recorded, so if you have to drop out halfway through and go elsewhere, completely fine. It\'s going to be posted at the Make/Core website, but it will also come fully complete with a transcript as well. So, if that\'s something that you\'re looking for, that will all be there. Also to say that if you want to post any questions, we\'d love that. In fact, there\'s a whole portion at the end when Rich and Anne have finished speaking, where we\'re going to field questions toward them. Now there\'s really two places to do that. If you\'re live with us on Zoom, then if you hit the Q&amp;A button at the bottom of the screen and post your questions in there, I guess specifity... specific... Whatever that word is, be specific. Help us out. Tell us exactly what you want to know and we\'ll get the questions to them. The other way to do that is to go into Slack. And there is a channel in there, #walkthrough. And if you want to post any questions in there as well, that would be great. So yeah, just to recap, Q&amp;A button if you\'re in Zoom, and use the Slack #walkthrough channel, if you are in the Making WordPress Slack. Okay, right. I think we\'ll take you guys one at a time if that\'s alright. First off a little bit of an introduction from both of you. Let\'s begin with with Anne McCarthy, shall we? Hello, Anne!\n\n<strong>Anne McCarthy  </strong>2:42<strong>\n</strong>Hello, hello. It\'s so good to be back on literally any sort of live stream with you.\n\nI appreciate that you\'re a part of this\n\n<strong>Nathan Wrigley </strong> 2:48<strong> \n</strong>Yeah, that\'s really nice.\n\n<strong>Anne McCarthy  </strong>2:49<strong>\n</strong>Well, I\'m Anne McCarthy. I\'m a product wrangler at Automattic. I live in Seattle. I also run the FSE Outreach Program, which is basically dedicated to testing all the latest and greatest of WordPress, which is part of why I\'m so excited to be part of this demo, is because so much neat stuff has come through this that I\'ve had the privilege of going through a little bit early on with the ever growing calls for testing. So that\'s a little bit about me, I\'ll pop it over to Rich.\n\n<strong>Nathan Wrigley  </strong>3:17<strong>\n</strong>Yeah. So Rich, if you want to take the baton there.\n\n<strong>Rich Tabor  </strong>3:21<strong>\n</strong>Yeah. Hey, everyone. I\'m Rich Tabor. I\'m a product manager at Automattic. And I work on WordPress and Gutenberg, in particular. From a little bit south of Atlanta, Georgia, in the US, and been building and tinkering with WordPress for I think, close to 11 years now. So it\'s, it\'s been a good run, and I\'m super stoked about where things are heading.\n\n<strong>Nathan Wrigley  </strong>3:43<strong>\n</strong>Yeah, and things definitely have been moving in a very much a forward direction, WordPress, 6.1. And WordPress 6.2. There\'s so much clear blue sky between the two of them. I think probably the best thing at this point is if we can have it, I don\'t know what whose screen is coming on. I think it might be Rich\'s, or maybe it\'s Anne\'s, I don\'t know.\n\n<strong>Rich Tabor  </strong>4:00<strong>\n</strong>Yeah.\n\n<strong>Nathan Wrigley  </strong>4:01<strong>\n</strong>If we can get that screen shared, then I will slide my way out of this call and say, Rich and Anne, it\'s... it\'s over to you. I\'ll be back soon as you\'re finished for any Q&amp;As.\n\n<strong>Anne McCarthy  </strong>4:14<strong>\n</strong>Awesome. Thank you.\n\n<strong>Rich Tabor  </strong>4:17<strong>\n</strong>Alright, everybody can see my screen right now?\n\n<strong>Anne McCarthy  </strong>4:19 <strong>\n</strong>Yes. Rich did an excellent job designing this. I do want to call this out that I love, absolutely love this.\n\n<strong>Rich Tabor  </strong>4:26<strong>\n</strong>Thanks, Anne. Yeah, this is actually running Twenty Twenty-Three. So it\'s kind of showcasing some of the things you can do just with the core theme. And some of the design tooling that we are, that has been built into 6.2. So this view here is the site editor. So I\'m going to orient you here. There\'s one big change here in particular, I want to call out visually, is this idea of the frame here on the right, and this will pull up the local template. So I\'m looking at my homepage of the site right now. If I navigate into other templates, I can pull those up here on the right as well. And then you can also navigate template parts. So this part\'s not very new to 6.2. But the idea of zooming in on different template parts and templates and having them appear here in the frame is. And that\'s important because of this concept of browse mode. And this is where you could dive into an actual page from the site editor. So here, I just pulled up the about page of the site, and I can click into it and actually start making changes. Now, the changes here within the post content block are going to be relative to this about page. But I can also modify the template which then changes the about, or changes the page on any instance of this particular template. So it\'s a new concept and how we can browse the site. But it\'s a very powerful, and really the first iteration of that way of managing a site.\n\n<strong>Anne McCarthy  </strong>5:50<strong>\n</strong>And also lightly introduced content editing in the site editor, as you mentioned. So it\'s a kind of a neat merging of the two worlds, which I know folks have long been wanting to see that unified. And same with the frame, it kind of adds a nice layer where instead of just being dropped in, like before, you kind of are given a more zoomed out view, which I think helps address a lot of the feedback that we saw around the orientation when you\'re entering the site editor.\n\n<strong>Rich Tabor  </strong>6:12 <strong>\n</strong>Yeah, exactly. And really, if we think a little bit further out than 6.2, this could also house setting to use. So we do have, you know, one view here that that is relative to 6.1, where you can see all of your different templates. But imagine if we had any other different types of settings and controls and different pages loaded within here, doesn\'t have to be just the front end templates and renders of your site.\n\nAlright, so we\'re gonna dive into this here. So you can go into it just by clicking on the frame. I\'ll do that one more time just to show, you just click on it. And now you entered right into it. You can edit it right off, so we can make changes, just as if we zoomed into it in the other way in 6.1. And then we have a bunch of styling tools that have been added to 6.2, so I want to kind of hone in on these. Like, this panel itself is not new. We have style variations, you can zoom in here, we\'ve got this new zoomed out view, where you can apply different ones at a time. And then we also have this icon here, which triggers the style book. Now the style book is a very interesting tool here that really lets you customize the theme\'s style guide, essentially. So I can go through each of these tabs, which are relative to the block categories, and see all of the blocks loaded on this particular site. So right here, I\'ve got like Button blocks and Columns block and whatnot. So if I click on one of these, it\'ll pull up the Style panel of that particular block. And then when I make changes over here, these are applied globally throughout my entire site. So if I want to change the way this button looks, let\'s say we do some smaller tags, maybe we\'ll add a little bit of letter spacing, and maybe make it capitalized. See, it\'s getting applied everywhere that the button is used. Also do some changes here to padding, perhaps. We\'ll do something custom here. I think that looks nice. And now...\n\n<strong>Anne McCarthy </strong> 8:13\nReal quick while you\'re doing this, I wanted to note that like this is something that folks have really struggled with previously with the site editor, where if you\'re editing a block that isn\'t in the template already, you\'re not able to see this. So as Rich is showing, you can actually look at any block that\'s being used in your theme and see how the change that you\'re making in styles will impact that. Where before, if the block wasn\'t present in that template that you were editing, it was hard to know exactly what was happening. And so now you have both the style book and this inline preview that you see in the Style section to rely upon, which is pretty neat.\n\n<strong>Rich Tabor</strong>  8:43\nYeah, exactly. And really, you could theoretically go in and design your entire theme with the style book. Now, I know there\'s some advantage to design in context of pages and whatnot. And I\'ll go into that in a bit. But the idea is that you really can quickly browse through all of the different blocks and tighten up what you want to within these controls. And it\'s not limited to the standard variation as well. There\'s also these style variations of each block that you can now manipulate as well. So we\'re gonna go in, say, we\'ll change the radius of this one. So we want it to be sharp like our other button. But we have these new controls. Like, this is a shadow control we\'ve added in 6.2, where you can apply, say, like this shadow here might be nice. This one here, and so some fallback shadows, within core that a theme can provide as well, its own values. But this now will apply for every single variation of the outline on my site here.\n\n<strong>Anne McCarthy  </strong>9:39 \nAnd you\'ll notice that it\'s not in the style book right now. And that\'s just part of the future feature development is showing the variations of blocks as well.\n\n<strong>Rich Tabor </strong> 9:47\nExactly, yes, I would imagine that this would this would show up the variations of the button block, yeah. Which is a nice way to really customize these, like it used to be only CSS would be used to manipulate these variations here. And now it kind of abstracts that away and you can do it within the editing experience. That\'s really nice. It really is. There\'s also this idea of block CSS, so you can add custom CSS that is scoped to a particular block. So if I add CSS here, it\'ll be applied for the button block wherever it\'s used. Now, I wouldn\'t recommend using additional CSS in most cases. I would, I would suggest using all the different controls that we\'ve built, that are built into 6.2. But the idea of using CSS to add a little pizzazz to this particular button block is fine. But just with that caveat that you wouldn\'t want to use it exclusively. Like I wouldn\'t apply a background color via CSS, I would rather use the background elements color here. There\'s also additional CSS, which emulates what was previously in the customizer. So we do have site wide CSS that can be applied within the site editor and also on the front end of your site. Again, I wouldn\'t emphasize using this exclusively, as there are a lot of new design tools that I would explore first, from the top level styles here where you can apply colors to the background, text and buttons. But if there was anything extra you wanted to add, you could do so within the stylesheet here.\n\n<strong>Anne McCarthy </strong> 11:21\nAnd I\'ll note we\'d love to hear feedback if there are certain things that you\'re repeatedly adding custom CSS for. So either commenting on a currently open issue, or if you don\'t find one, opening an issue would be super helpful, because it\'s neat to see what folks are using for CSS so we can fill those gaps.\n\n<strong>Rich Tabor </strong> 11:36\nYeah, exactly. So that\'s the global Style panel here. But there are some quite a few other improvements along with styling. So the first is the idea of pushing styles globally. So if I\'m in here, and I\'m designing, let\'s say I want to add a radius, I want to do some different typography as to appearance like this, like bold, italic look. And then we\'ll also...\n\n<strong>Anne McCarthy  </strong>12:07\nThat\'s cool.\n\n<strong>Rich Tabor  </strong>12:07\nThanks. Also, let me make the letter spacing, maybe we\'ll make it a little bit bigger, actually, and then, I think that\'ll work. Do these changes here and see I\'ve just styled this one particular block this button up here. And this button down here is still using the global styles that we designed earlier. But now I can go through my settings panel here and hit Apply globally. And I\'m going to here so we can see that happen. The styles are now pushed globally to all the other blocks. So this is really helpful for when you\'re designing in flow. And you don\'t necessarily want to abstract out into the style book and you want to push your changes that you just did here, because you like the way the button looks and want those applied everywhere, all at once. I think this is really powerful way to to quickly design within the editor. Another tool that is quite useful, I\'m going to take this heading here and manipulate this. It\'s the idea of copying and pasting styling. So we\'re going to use that same bold italic look, maybe we\'ll make that a little smaller, we can even manipulate this size to be a little bigger. Now we go here to copy styles. And then I can come all the way down here to this other heading that\'s very similar, and paste it in. And there we have that style applied just to these two headers. And you would do this when you don\'t necessarily want every single heading to have this effect. But perhaps there are like elements on this page that you want to push those changes to, specifically. So copying and pasting allows you to be very granular, whereas applying styling globally, lets you be more of a holistic design experience for pushing styles. Another neat...\n\n<strong>Anne McCarthy  </strong>13:57 \nOh, real quick, I just wanted to know like I think one of the things that\'s interesting is, as we\'ve added more design options to blocks like this is part of the experience of scaling things and making it easier to use. So when we think about like intuitive and delightful. Some of these tools coming into 6.2 really take you know, the tons of design tools that we\'ve added over the last couple releases and makes it easy so you can actually tweak things and then reuse. So I think that\'s one of the things I want to call out is it\'s kind of this crescendo. Where now the tools that are coming to 6.2 to really ease the experience and allow you to do a lot of neat stuff where rather than having to re-tweak everything through every single heading block. A lot of stuff is used. So...\n\n<strong>Rich Tabor  </strong>14:34\nYeah, exactly. WordPress is moving towards a design tool and less of like, what you see is what you can only have. It\'s more of an expression of creativity and it really does open up the doors for for designing beautiful pages on the web. I think it\'s really powerful.\n\nAnother cool bit that we\'ve added is the idea of sticky positioning. So headers would be nice sometimes if they stick to the top, so for top level group blocks, this is a group block here, there\'s this new position attribute where you can assign it to sticky. And as you can see, right in the editor, it\'s already showing me that this is sticky on the front end. And also here as well. It\'s only available for top level blocks for now, there\'s still some some odd stuff to figure out on how we communicate when something is not going to stick due to the the parent height of the elements around it. But for top level, it\'s still fine. So we have it here. But there are some iterations that are already happening for the next release that will kind of bring this into more, bring some more capabilities to this particular feature.\n\n<strong>Anne McCarthy  </strong>15:44 \nYeah, and I\'m very excited because one of the things I wanted to briefly call out was the how the header, the template part has that purple. So another neat thing coming to this release, that was a big part of feedback for the outreach program was having to look parts and reusable blocks having a different coloring, because there are different kinds of blocks are synced across the site, when you make little changes and impacts everything everywhere. So that\'s another neat thing that\'s coming with this release, is that you can kind of see those a bit differently in the List view as well as when you\'re in the editor. I see Nathan has his hand raised. Is that intentional? Oh, it\'s removed. Okay.\n\n<strong>Nathan Wrigley </strong> 16:23 \nIt was not intentional. That\'s my mistake. I\'m sorry.\n\n<strong>Rich Tabor </strong> 16:28 \nYeah, it helps you see quickly too like, what is the template part, particularly for headers and footers, it makes it easier to browse quickly.\n\nSo speaking of template parts, and patterns in particular, so headers and footers, are new patterns added within WordPress 6.2. And now that they\'re loaded, actually from the pattern directory, which is kind of neat. And I\'m going to show you how to replace a footer with one of those other patterns. So if you have your footer template parts selected, you can go to replace footer. Now this flow is not new to 6.2, but it\'s going to call out these other improvements. And then you just click one there, and you have it loaded here, that\'s the site logo that I\'m using up here as well. And you can modify this text without having to do any any funky PHP filters or moving actual templates. And if you want to change it again, you go back to replace say, let\'s pick this other one, let\'s try this one. It\'s kind of nice. And there\'s this focus view, or you can zoom in to just the footer itself. You can even check the responsiveness of it and see how it, how it reacts on mobile, and make any of your changes here and have those persist over to the actual template whenever you close it out. It\'s a nice way to really kind of clean up the editing experience. So you\'re not seeing this entire group of groups and instead kind of focusing on what you\'re actually wanting to complete. You can do the same for the header as well.\n\n<strong>Anne McCarthy  </strong>18:01\nYeah, and as Rich mentioned, there are some new patterns that are being bundled from the directory, which I think are really extensive. Regardless of what theme you\'re using, there\'s going to be some pattern for group patterns that help democratize design where you can use them in anything.\n\n<strong>Rich Tabor  </strong>18:15\nYes, that\'s right. All right. So navigation. Navigation has gone under a... quite a bit of work in the last a couple of months. And really, this is all about trying to make it easier to manage your site\'s navigation and also add pages and links and then even styling. So there\'s this new dedicated list view for the navigation block. So it\'s essentially emulating a little bit of what\'s available over here except for you had to kind of get down to it. Now it brings it top of mine and the surface area here. You can drag them around, move them up and down, even add submenu links and remove them as well. And then you can style it like normal. And now apply different styles via the styles tab to the block itself, or even individual page links and whatnot, you can dive into them and manage them all from here, instead of having to only manage them from up here. This really kind of abstracts the complexity from from this particular canvas interface into a more familiar interface here on the sidebar. It\'s really a great effort. And it\'s it\'s taken some time to refine but it\'s getting there and it\'s feels a lot nicer.\n\n<strong>Anne McCarthy  </strong>19:30 \nYeah, there\'s been a lot of good feedback about this as well just because it kind of is meant to marry the classic experience with bringing blocks into it. So it is in addition to being edit, editing on canvas, so if you really want to continue to edit as a block you still, you can continue to do that. But it does add a nice interface and the block settings where you\'re able to do it. And I\'ll briefly call out here the split settings, which we\'ll probably talk about later. But you\'ll see here for more complex blocks, there\'s some nice split settings making it a little bit easier, more intuitive to go through.\n\n<strong>Rich Tabor </strong> 20:02\nYeah, that\'s right. And if you take a look at navigation here, this is very similar to this component added here. And, and that\'s, that\'s purposeful, we want it to look and feel familiar. Either way you\'re managing navigation. So you can also add some menu items here, remove them and drag them around and reset them here, as well as browse into the individual pages. So that\'s what I have for the site editor portion of the demo. And did you have anything else you wanted to add to this, Anne?\n\n<strong>Anne McCarthy  </strong>20:37\nOh, could you resize the Browse mode for me? I just love the resizing. I think it\'s kind of cool. This is just like a fun, you know, thing to call out. But maybe you won\'t noticem but you can resize it. So as you\'re quickly going through your site, if you want to see how it looks in different ways, you can also do that. So that\'s the final thing I\'ll shout out.\n\n<strong>Rich Tabor  </strong>20:56\nYeah. So then, yeah, exactly. It\'s... there\'s a lot of fine, fine touches like that. Well, we can\'t obviously can\'t call them all out today. But it is really getting tightened up overall as an admin experience for the site.\n\n<strong>Anne McCarthy  </strong>21:12\nIt\'s such a great foundation in the future, for sure.\n\n<strong>Rich Tabor </strong> 21:15\nExactly, exactly. Alright, so if we press this back button here, it goes right back to the dashboard, I\'m gonna go and leave...\n\n<strong>Anne McCarthy </strong> 21:25\nThat back button was a big piece of feedback people had they would get into the site or not know how to get back out. So I appreciate you calling that out.\n\n<strong>Rich Tabor  </strong>21:32\nYeah, exactly. It\'s been through a number of iterations. And I think we\'ve settled on something that feels feels nice; it does feel nice.\n\n<strong>Anne McCarthy  </strong>21:41\nI agree.\n\n<strong>Rich Tabor  </strong>21:43\nSo...\n\n<strong>Anne McCarthy  </strong>21:44\nAh yes, the removal of the beta label.\n\n<strong>Rich Tabor  </strong>21:46\nYou want to talk to this, Anne?\n\n<strong>Anne McCarthy  </strong>21:48\nYeah, I would love to jump in on this actually. So you\'ll notice that the beta label is removed for this release. And part of why we wanted to show it now is to see how all the features, how the experience has changed, how much more you can do. And all of that has led to the removal of the beta label. And that doesn\'t mean that feature development is done that it\'s like, you know, gonna stay this way forever, it just means it\'s in a place where we invite you all to try to the site editor, it is out of beta. And a lot of development work has gone into testing this. So we\'ve had almost, I think, 20 calls for testing with the outreach program. It\'s been through multiple major WordPress release cycles, there is still more work to be done. But I\'m very excited to see the beta label removed, I think the features that are coming to 6.2. And the foundation that is set with 6.2 really marks a level of maturity. That is pretty exciting. So consider this an invitation to try out modern WordPress, and to check it out.\n\n<strong>Rich Tabor</strong>  22:43\nA hundred percent, I couldn\'t have said it better.\n\nAlright, so another neat part that\'s added recently for 6.2 is this idea of distraction free mode. So it\'s not turned on by default, but I have it on so we can see the results here. So you can go in and type right here. And then actually, I\'m gonna throw in some Lorem here. So you can see it in action. So this feels more like a text editor and less like a Block Editor. Whenever distraction free mode is on even the the multi block selection, it feels really nice. It doesn\'t there\'s not this idea of blocks, even it\'s kind of abstracted from here, there\'s less noise, there\'s less distraction. And just think that the idea is that it\'s just you and your words, it\'s just writing and publishing. And if you want to publish, you can hover over here, you\'ll see the toolbar come down, you can hit Publish or draft. And then this is how you would turn it off and back on here. And then you still have control of all the existing tool. And it\'s just a much simpler, streamlined interface. And you do have access to blocks, you can still add them if you\'d like to, but the idea is just being able to write without the distractions is really powerful. And a really nice publishing experience overall.\n\n<strong>Anne McCarthy  </strong>24:08 \nAnd this is for everyone. So this is like a lot of stuff we\'re coming to say it or using a block theme. This is available for anyone who\'s using the Block Editor. And to be honest, I use this for basically all my writing now. Especially for any post or page, I typically will go into this mode. So I\'m very excited about this. And I hope folks feel the same way.\n\n<strong>Rich Tabor  </strong>24:28\nYeah, exactly. I\'ve been using that too for quite a bit. But the thing is, is also not only for post editing, so I have a page here that I\'ve created. And I have distraction free mode turned on, which kind of removes all the extraneous tooling and it really lets me focus in on the actual blocks here so I can manipulate them to an extent. I can even drop in different imagery for these images here and modify the buttons and whatnot and even add more blocks but the idea is it\'s almost like a simplified editing experience for pages as well, not only for posts. And here, I\'ll come up here and turn off distraction free mode to see it all in real time.\n\n<strong>Anne McCarthy  </strong>25:13  \nAnd this isn\'t yet available for the site editor, but I have a feeling a number of folks are going to be keen to see that put in there as well.\n\n<strong>Rich Tabor </strong> 25:20  \nExactly, yeah, I don\'t see why it wouldn\'t work in the site editor as well. I think it\'d be very nice. Yeah. So we have some other improvements here that are fun. So this inserter here has gotten a couple of changes here. So blocks looks familiar, it\'s still the same, but patterns is where we started seeing some changes. Instead of having some featured patterns loaded in a block category selector, we\'ve split them out individually as their categories here, you\'re gonna load up some of the different header patterns that are loaded in WordPress 6.2. So you can load them here and see them in this tray, and then click to add them to your site. Which is really nice, it\'s a nice way to kind of go through them quickly and see a bunch of different ones. We also have the media tab up here, which is new, which splits out the images from your Media Library, videos, and audio as well, including the Openverse library. So this is a catalogue of, I believe, over 600 million free, openly licensed stock imagery. And you could search from right here in the inserter. So let\'s type in birds. And click on one, and it will add an image block with the image already added to it, we have got the caption down here. If you don\'t want the caption, you just turn it off right here, this little control that was added. And now you can manipulate it right off. So let\'s say this, drop it into here. Maybe we\'ll make these about the same size and move it over to something interesting.\n\n<strong>Anne McCarthy  </strong>26:53\nAnd I\'ll note that there was a GDPR concern around the images being properly uploaded rather than hotlinked. And I wanted to just note that that\'s been addressed. So the images are uploaded to your Media Library. That\'s why. So in case anyone has that question. Sorry, continue.\n\n<strong>Rich Tabor  </strong>27:08\nYeah, no, that\'s a good point. It\'s very important. A key benefit to have this flow here is that instead of instead of having to add an image block, and then open your Media Library, and then pick an image, and then you have it here, it\'s really this one flow of searching visually, and searching here, as well. And then having it added as an image block already. So it kind of skipping all the extra steps that you always have to do anyhow, it\'s really nice. And we have a couple of interface changes. So there\'s the settings icon up here that used to be a cog, and now it represents the sidebar itself. So when you open it, the sidebar is triggered, if that\'s closed. And that\'s changed for a couple of reasons. But one of the bigger reasons is, as I mentioned earlier, this idea of split tabs, so we have the cog for settings. And that\'s when a block has additional settings that are not per the norm of the styles that are available within WordPress, then you\'ll have a new settings tab pulled out here. And that\'s to keep the density nice whenever you\'re editing and it feels good instead of having everything kind of in your face all at once. Now for other blocks, like the paragraph block, there\'s not additional settings, so automatically not included. The tabs up top and just be everything top level. But  when a third party plugin adds like a different settings panel, or even if you extend one of these core blocks that does not have one, and a detects one should be auto added as well. So it\'s kind of just like a nice, fluid way to continue improving the experience of editing within WordPress.\n\n<strong>Anne McCarthy </strong> 28:49\nYeah, so plugin authors can also kind of make sure where they want settings and styles to show that it shows up correctly. And there\'s a dev note about that as well.\n\n<strong>Rich Tabor  </strong>28:58\nYes, that\'s right, you can you can decide as when you\'re extending or adding your own inspector controls. That\'s what these are called here, whether or not they\'re included within styles or settings as well. Yeah.\n\nThen another smaller change that\'s kind of nice is this idea of pulling the outline from its own toolbar item up here into the list view. It\'s because they\'re very relative, you know, a list of all the blocks on your page, also an outline of what\'s going on. So they\'re combined now into this one view. We also have time to read word count and character count here, which is nice. And then this is a little guide here that just helps you understand the structure of the importance of the structure of the document and making sure that it is properly structured. All right, was there anything else that we wanted to add you think, Anne?\n\n<strong>Anne McCarthy  </strong>29:51\nI\'ll add one last call out just because I\'m trying to think about like little dev tidbits if you want to disable it prefers there is a way to disable Openverse as well I know that\'s always a concern. We add something it\'s like, okay, how do we get rid of because I don\'t want a client getting into it, there is a way to disable that is documented as well. The other thing is the pattern. So there\'s new categories, the patterns. And so query is now posts, a couple of things were merged, there\'s no call to action. And there\'s also some lovely, which I\'m gonna brag on Rich, again, some new text based, query patterns. We have a lot of visual patterns for the query loop, and now there\'s wonderful, more text focused ones, which I think is really exciting. And just another great way where patterns have evolved and patterns is obviously a huge part of the future building with WordPress. So I\'m very excited about those and keen to see just more variation with query loop, I think it\'s really powerful block to make easier to use. So I\'m excited to see it. Otherwise, I think that\'s, I think that covers a lot of what we were trying to go through.\n\n<strong>Rich Tabor </strong> 30:57\nYeah, and there\'s certainly more. There\'s a lot of interesting, minute details that are, you know, quality of life improvements around editing and designing. And we can\'t cover them all today. But it\'s just, there\'s a lot of exploratory ideas and cool, interesting pieces that have been the result of lots of feedback and lots of testing, like I mentioned earlier. And, you know, it\'s really a testament to open source and contributing and really working together as a team to make this thing we call WordPress ours and making it a brilliant publishing experience. So just thank you to everyone who\'s put in time ideas, effort, code, design, marketing, copy, all of that, and more to making this what it is. It wouldn\'t be possible without you.\n\n<strong>Anne McCarthy  </strong>31:46\nTotally agree. And thank you, Rich, for doing such an excellent job building this site and demoing all this.\n\n<strong>Nathan Wrigley  </strong>31:51  \nYeah, indeed. Thank you, Rich. Thank you, Anne. Just to let you know that, in theory, there\'s possibly up to about 25 minutes left. If anybody wishes to pose a question, we\'re going to do our best to get the answer directly from Rich and Anne. Whether that means putting the screen back on, I don\'t really know. But we\'ve got a few that have come in. The place to put those, it would appear that some people have figured out how to do that in Zoom. But if you go to the walkthrough channel, in the making WordPress Slack, you can post some questions in there and all things being equal, we\'ll get them raised as quickly as we can. So we\'ve got a few. In all honesty, because they\'ve been copied and pasted from various different places, I can\'t necessarily say who the name of the person is that sent them. But first question I\'ve got over here for either of you. It says when you save globally, under the Advanced tab, does this change the stylesheet? Interesting.\n\n<strong>Rich Tabor  </strong>32:54 \nSo this will change the attributes of the blocks. So if I throw in that example, there, I pushed the attributes of that one block globally. So they\'re applied to every block. So it does affect some styles, but not writing any style sheet or writing to the core style sheets.\n\n<strong>Nathan Wrigley  </strong>33:11\nCan I ask the question? It\'s not something that\'s been submitted by anybody else, but it just occurred to me that as you were clicking the global button, I just wondered if there was a \"get out\" from there. In other words, if you inadvertently click the global button, is there an undo option in there? In other words, can you back away from all of the buttons suddenly changing or all of the H1s? \n\n<strong>Anne McCarthy  </strong>33:32 \nYou do have to hit save after. You can\'t just hit Apply globally. You have to hit save, and that\'s where the multi-entity saving pops up. The multi-entity saving is kind of strange in that it\'s not good at discarding changes. So you basically would just have to like leave. Like it would be like, Whoops, I hit that. You probably also have to hit the undo. Like there\'s - those are the two kind of options. So, yeah.\n\n<strong>Rich Tabor </strong> 33:54 \nYeah. The undo is like a global thing. It works there as well. Yes.\n\n<strong>Anne McCarthy</strong>  33:58 \nAnd there\'s a reason that feature is hidden, like under Advanced and collapsed. That\'s not necessarily for everyone. But for folks who do like to tinker, it is available.\n\n<strong>Rich Tabor  </strong>34:08  \nRight. And it\'s also only available in the site editor as well. So it\'s the more the global view of editing your site is where you can access that. \n\n<strong>Nathan Wrigley  </strong>34:17  \nPerfect.\n\nOkay, so I have a question from Zoom. Is copying and pasting styles as demonstrated just for core blocks? They go on to say more, which I\'ll read out. Some blocks collect, some block collections have their own C&amp;P, and I\'m curious what might carry over, if anything? And then there\'s a follow up. Also, if CSS classes are assigned to a block, will applying global styles to a block be to all of the same block, i.e. H2? Or, hopefully, will a custom class allow for a more granular global CSS? There\'s a lot in that question, but if we start with the: is copying and pasting styles demonstrated just for core blocks?\n\n<strong>Rich Tabor  </strong>34:56  \nSo it works for blocks that have leveraged the block support system within core. So if you have opted your block into using background color, and text color, link color, any of the layout settings, anything that was in the styles tab, then all of those would get pushed to or get copied or pasted or even pushed to the global application of styles as well. Now, if there\'s, if a block has done its own sort of background color attributes, I don\'t know that those would persist as well. But if you use what\'s available in core, it\'s really one or two lines of JSON will get you the background color support that you need. \n\n<strong>Nathan Wrigley</strong>  35:35\nAnything to add to that, Anne?\n\n<strong>Anne McCarthy  </strong>35:37  \nNo, just another reason to rely on what core is building. So it\'s a another great example of how these features will work together and how adoption helps whenever these new things come out.\n\n<strong>Nathan Wrigley  </strong>35:49  \nOkay, so we\'ll go on to the next question then. So this is from Zoom, and apologies, I don\'t know your name. Can we have this as a feature request? Can we have sticky sidebar block for some groups next release, please? \n\n<strong>Anne McCarthy </strong> 36:05 \nProbably would do a separate block, I\'m guessing. Yeah, do you have anything to add to that?\n\n<strong>Rich Tabor</strong>  36:11\nYeah, I would say we wouldn\'t need a sticky sidebar block. Right now that group lock in top level-only does support position sticky. And the only reason it was turned off like we did have it on for one of the Gutenberg releases for everything - for every group block - but it was turned off just because there was too much confusion around if you had a sticky element that wasn\'t didn\'t have enough space to stick for and enough height to stick. So it wouldn\'t actually be sticking. You wouldn\'t see a result of you applying a sticky position to it. So I think we can figure that out with some some UX to really clean that experience up so that you do expect and understand what\'s going on. When you apply that to a block. That\'s not the root level of the document. So it\'ll be there. It just takes a little bit more iteration.\n\n<strong>Nathan Wrigley</strong>  37:00\nOkay, another question. This time from Slack. When there are changes made in the site editor, are the templates still marked with the blue dots to indicate that the changes are in the database?\n\n<strong>Rich Tabor  </strong>37:14\nYes, from that Manage Templates view that I shared in the canvas, it will show up just like it did previously, when there are changes to one of the templates provided by the theme.\n\n<strong>Anne McCarthy </strong> 37:25\nYou can revert the changes, as well, as you\'re used to doing.\n\n<strong>Nathan Wrigley </strong> 37:30\nOkay, thank you. Anne\'s shared a link related to the question that we just posted. I don\'t know how Zoom works well enough to whether or not we can share the screen. \n\n<strong>Anne McCarthy  </strong>37:40\nI can briefly share my screen. \n\n<strong>Nathan Wrigley  </strong>37:42\nYeah, that\'d be great. Show us the GitHub.\n\n<strong>Anne McCarthy </strong> 37:43\nLet me try that. I just wanted to mention this in case people want to follow along in the follow up tasks related to this. I love to look at links. I\'m a nerd like that. So in case anyone else is, this is a lot of the follow up tasks and a great issue to chime in on or just follow if you\'re interested in this because there are some improvements to be made. But this is a neat report for now. So it\'s - oh, I just copied and pasted. So it\'s issue number 47043 in the GitHub repo.\n\n<strong>Nathan Wrigley </strong> 38:11\nSo 47043 related to the question that we just had. Okay, so another one from Zoom. This is Robin, who asked the question, can you show? It\'s just moved on my screen. There we go. Can you show us how to trigger the focus mode to view, say, for example, the footer on its own? So I guess we\'re back on the screen again.\n\n<strong>Rich Tabor  </strong>38:34\nSure. Everyone can see? Yep. So when you have a template part selected, you just hit the Edit button here and then it\'s focused into that as well. And then you have, again, the responsive controls here. All the existing controls, it\'s just localized to this template part.\n\n<strong>Nathan Wrigley  </strong>38:54\nHopefully that answers your question. Thank you, Robin. Just for anybody who\'s kind of lurking who has a question but hasn\'t yet posted it, please do. What are the chances that you\'re going to get Rich and Anne on the on the phone in the next few weeks? Pretty minimal, I\'d say, so make use of them while they\'re here. Ellen has done just that. She\'s in Slack. Ellen says, is there a plan to allow no title templates in the block editor as they are still included even in header and footer-only templates?\n\n<strong>Rich Tabor</strong>  39:28\nNo title templates. Like templates without a title? I\'m not quite.\n\n<strong>Anne McCarthy </strong> 39:35\nYou can just remove that block. \n\n<strong>Rich Tabor  </strong>39:36\nYeah, you can you can remove the post title block from a template. I\'m not quite sure if that\'s if that\'s what the question is asking.\n\n<strong>Nathan Wrigley  </strong>39:46\nEllen, if you\'re still in Slack and watching this, if you heard Rich and Anne queerying that, then if you can give some more clarity, we\'ll endeavor to get that answered.\n\n<strong>Anne McCarthy</strong>  39:57\nKnowing Ellen she knows exactly how to remove things. So I\'m like, I\'m curious. I\'m definitely - we\'re misinterpreting something because she\'s very - Not showing the title in the editor...?\n\n<strong>Nathan Wrigley  </strong>40:07\nYeah. Not showing the title in the editor. She says she\'s here. \n\n<strong>Anne McCarthy  </strong>40:12  \nI\'m like, \"Say more.\" \n\n<strong>Nathan Wrigley </strong> 40:14 \nYeah. Give us more. Give us more Ellen, and we\'ll get right back to you.\n\n<strong>Anne McCarthy  </strong>40:17\nLet\'s follow back up on that, because Ellen always has some good questions and good feedback.\n\n<strong>Nathan Wrigley</strong>  40:21\nAll right. We\'ll do just that. Again, another question from Zoom. This is posed by some anonymous person. Will the list views icon get the same treatment as settings?\n\n<strong>Rich Tabor  </strong>40:33\nI don\'t think it\'s in the plans. I don\'t think there are plans to change that. But list view icon, it\'s always the list view. So when you toggle it on and off, it\'s relative to what it is. Whereas on the other side, the settings can be block settings, page settings, template settings. Global styles is in that same area. So it\'s a little bit more context for the list view to stay a list view item.\n\n<strong>Anne McCarthy  </strong>40:58\nAnd I know that the question came up because the settings icon looks like there\'s that sidebar. And so there are who people have been asking like, will the same thing happened over here? Just for context. That was part of a discussion in a different GitHub issue.\n\n<strong>Nathan Wrigley </strong> 41:12\nOkay, thank you very much. I appreciate very much those people who are posing questions. That\'s really great. Again, just to prod you once more, feel free to add your own questions in no matter how big or small they are. We\'re here to help. So now we have a question on Zoom from Abdullah. And he coincides beautifully with a question I\'ve written down. Any good resources to learn FSE theme-based development? Can either of you point to a particularly good resource that you know of?\n\n<strong>Anne McCarthy  </strong>41:41\nYeah, Learn WordPress. There\'s tons of stuff on Learn WordPress that I would recommend. I also, Daisy Olson, who\'s Developer Relations at Automattic, has a Twitch stream going and some YouTube videos around block theme development. But I would recommend going to Learn WordPress. There\'s also some contributor-led initiatives. Carolina, who\'s one of the theme folks has, I think, it\'s fullsiteediting.com. And that was kind of like the original, go-to resource. And she\'s done an incredible job working on that and keeping it up to date. So yeah, there\'s tons of tons of resources. I will spare you from from sharing more, I don\'t know, Rich, you have more hands-on experience there. What\'s the most helpful for you?\n\n<strong>Rich Tabor</strong>  42:22\nYeah, there\'s some really great tutorials and guides on Learn that are relatively new, that are really helpful. And I see that the team there has been really cranking it out on the last year or two, like really putting a lot of effort into this. So I would, I would start there.\n\n<strong>Nathan Wrigley  </strong>42:38\nSo if you\'re not familiar with that, I guess it would be apropos to say go to your browser of choice and type in learn.wordpress.org and go and explore. Basically, there\'s a ton of materials that are getting updated on what feels like a daily basis at the moment. So, once more, learn.wordpress.org. Go and check that out. But also, Anne in the chat that we\'ve got going on here has linked to Daisy Olsen\'s Twitch channel, which - I\'m just going to read it out but hopefully I\'ll make it into the transcript. twitch.tv/DaisyonWP. And it\'s all one word. D-A-I-S-Y-O-N-W-P. Daisy on WP. So there\'s two great places to go. But the learn.wordpress.org is perfect.\n\n<strong>Anne McCarthy </strong> 43:24  \nI have to add one more thing, which is if you\'re not fully ready for block themes, one of the big things that I feel like needs to be emphasized more is you can gradually adopt. So all these features are being done. But maybe you want to only give access to a client to edit the header. You can do that. Maybe you want to leverage theme.json in your classic theme, you can do that. If you want to expose the template editor.\n\nBut use the rest of your themes across them, you can do that. So I want to also encourage folks to look into resources around gradual adoption, because it makes sense that this stuff isn\'t - From day one, there has been a focus on that. Adopt what you what you want, when you want and it\'s going to make sense to different people at different times. Matías once said that to me, and I think it rings really true. And so now that we\'re at this level of maturity, I think we\'re looking again and revisiting again, like okay, what can I use? What do I want to use? I think it\'s really important to mention. So if you\'re not ready to go all in, I encourage you not to just wipe it all away, but to think about how you can gradually adopt and also what would help you gradually adopt. So there is actually a label on GitHub started a couple months ago around - It\'s called blocks adoption. So if there\'s something that you see that you\'re trying to adopt the site editor, and it\'s preventing you from doing so, like we want to know about that. And you\'re welcome - I\'m going to just put this out here - @annezazu is my GitHub username, feel free to just like @ annezazu, \". This is blocking me from using the site editor.\" We want to know these things. Open issues. Please share, because that is also part of the phase of this work is making sure people can adopt as they can and that the tools are robust. There\'s a ton of resources as well. There\'s a page in the Theme Handbook around gradually adopting to block themes. So I just wanted to call that out.\n\n<strong>Nathan Wrigley </strong> 45:06 \nAnd just one more time, what was that? Give us, the give us the username.\n\n<strong>Anne McCarthy  </strong>45:11<strong>\n</strong>A-N-N-E-Z-A-Z-U. So like Zazu from The Lion King. It\'s an inside joke from middle school.\n\n<strong>Nathan Wrigley </strong> 45:19\nOkay, possibly the shortest question. This is from Sandy, I should say, Can Lotties be added to 6.2?\n\n<strong>Rich Tabor</strong>  45:28\nI would say that I did a quick search a few minutes ago and there are various blocks built by the community, which do allow you to add or embed LottieFiles to your site. I haven\'t tested any myself but feel free to dig into those. And if they\'re open source, they can contribute ideas or feedback on on those GitHub repos.\n\n<strong>Nathan Wrigley </strong> 45:49\nThank you very much. And Eagle has posted a question. When there are changes made in the site editor, are the templates still marked up - Did we have that one? We have, right? We\'ve done that. \n\n<strong>Anne McCarthy </strong> 46:01\nWe answered that one. Yeah.\n\n<strong>Nathan Wrigley</strong>  46:02\nI think we did. Okay, moving on directly then to Ian, what is - oh! Okay, what is the philosophy for mobile in the editor? Are there any plans to have a mobile view?\n\n<strong>Anne McCarthy </strong> 46:16\nThat\'s part of the dragging and resizing. And there\'s a lot of work being done around intrinsic design. And you can see on the developer.wordpress.org? What is the blog? I think it\'s /news. Do you hear audio?\n\n<strong>Nathan Wrigley  </strong>46:35\nI hear only your audio. I don\'t hear anything I don\'t wish.\n\n<strong>Anne McCarthy</strong>  46:36\nOkay, sorry. Something just started playing in the background out of nowhere and that just scared me. It\'s like all of a sudden, I was like, woah! Where was I?\n\n<strong>Nathan Wrigley </strong> 46:50\nSo we were talking about mobile views?\n\n<strong>Anne McCarthy </strong> 46:53\nYes, intrinsic design. There is a developer blog that if you\'re not following that, you definitely should, that addresses this around, basically showing that the mobile view points have exploded over time. It\'s now really not sustainable to try and have CSS and all this sort of stuff, mobile queries allowing for each view. So instead, how can we think about intrinsic design? And so that\'s like the best answer I can give. And for now, there is this nice resizing that you can do to kind of see how things scale. 6.1 introduced fluid typography, which was really exciting and part of this larger, intrinsic design set up. And I think we\'ll expect to see more of that over time. Sorry, for the brief mental break.\n\n<strong>Nathan Wrigley  </strong>47:36\nJust a quick reminder, we probably got 5, 6, 7 minutes or something like that before we start to wrap things up. So if you\'ve got any questions, please, please do post them in here. We have one from Paul who asks, is there any more work planned for pattern management in the future? And then WP Engine has released a plugin allowing easier management of patterns recently, I believe that was yesterday, it would be good to know if we should wait for core or assume that nothing else is coming soon.\n\n<strong>Rich Tabor  </strong>48:07\nYeah, I would say that pattern management is an important part of this new WordPress experience and having a way to create and manage local patterns, but also maybe push them to the pattern directory. And then on top of that, having a functionality built in where - it\'s kind of like a component based system where you have patterns where the design is the same across patterns, but content can change. All of that kind of falls into the same category of work. And that is something I believe WordPress will eventually do as well.\n\n<strong>Nathan Wrigley</strong>  48:41\nOkay, we\'ve got no more questions on the screen. So I\'m going to ask a question, if that\'s all right. You were demonstrating the distraction-free mode there where you could move things up, move things down, and resize pictures and images and so on. I was just wondering what the constraints on that are. So in the case of images, I could see that you could resize things. And with the text, I could see that you could, you know, highlight things and start typing wherever you wish. But I just wondered how the decisions had been made to set those parameters and those only. So yeah, around that, what\'s available in distraction-free mode? What limitations are there?\n\n<strong>Rich Tabor  </strong>49:17<strong>\n</strong>I would say, generally, it\'s what\'s available is what happens when you click on a block. The tooling is there available on the canvas before so resizing was available on the image but not the toolbar. So the resizing is still available when you\'re in distraction-free, but maybe not adding the caption piece or you know, those other toolings. It\'s almost like the content locking or content only locking API. It\'s very similar to that in a sense, but a little bit more tightened up.  Where just text and dropping in images - you can\'t necessarily open the Media Library from there unless you dive out of it. But you can drop another image onto that existing image to replace it. Some things like that.\n\n<strong>Nathan Wrigley  </strong>49:59<strong>\n</strong>It looks like a really excellent interface for people who just, well, want to concentrate on their writing. It sounds like Anne\'s all in on it.\n\n<strong>Anne McCarthy</strong>  50:05\nI use it every single day. It\'s amazing.\n\n<strong>Nathan Wrigley </strong> 50:09  \nIt almost felt like a Google doc minus all the bits and pieces at the top. Yeah, really, really nice. Okay, so we have some more questions. Weston is asking, what about optimizing the experience of editing using a mobile device on the web? So I guess that\'s a little bit maybe the question that we had earlier. How can... we how can we do things on a actual mobile device? \n\n<strong>Anne McCarthy </strong> 50:30\nThat\'s a great question. There are mobile apps. So there is the mobile team and using the mobile apps. I personally don\'t use mobile apps and sometimes will edit things from Safari on my iPhone SE 2.\n\nI actually was talking to someone - their username is Nomad Skateboarding. And from what I understand, he only builds client sites from his phone. And so one of the things I said to him, I was like, \"Give us your feedback. That\'s really cool. It\'s really unique. That\'s fantastic. Like, what pain points you\'re running into, what can we improve?\" Because there is obviously like, we are in a mobile first world. My phone is sitting right next to me. I would love to hear particular pain points folks have when trying to edit in that way. You can obviously use the apps. There are some quirks with the site editor, and that I know is partially being looked into and resolved. But yeah, I think there are probably - what we\'re building now should always translate back and there are teams trying to sync back and forth. And there was a recent post from the mobile team talking about what\'s the future of mobile editing. And so I would recommend - it\'s somewhere on Make/Core. I recommend digging that up and getting involved and honestly sharing your feedback. Because I don\'t think that is an experience that we talked about enough personally.\n\nIt\'s a great question. \n\n<strong>Nathan Wrigley  </strong>51:40\nRich, anything or should we move on?\n\n<strong>Rich Tabor  </strong>51:42 \nI think that was great.\n\n<strong>Nathan Wrigley </strong> 51:44 \nOkay, perfect. Um, um, um. Okay, we have an anonymous question. It says as page speed is a big challenge, how are we optimizing the blocks for better LCP score?\n\n<strong>Anne McCarthy</strong>  52:00 \nThere are, some interesting - sorry, Rich, I don\'t know if you wanted to jump in. I was going to start link dropping. \n\n<strong>Rich Tabor  </strong>52:05 \nYeah, you go ahead. Yeah. \n\n<strong>Anne McCarthy  </strong>52:07  \nYeah, there\'s some interesting work from André. Part of it involves actually adding tracking and making sure there\'s really good front end metrics. So there\'s kind of a twofer going on. In one fell swoop, we\'re focusing on better tracking and improving the tracking that we have for performance, particularly the front end. And then at the same time, also work is being done to optimize like style sheets. There\'s been some really neat stuff in previous releases that I bet I can pull up if you\'ll give me one moment.\n\n<strong>Nathan Wrigley  </strong>52:36\nYeah, whilst you try to find that, Anne, I think it\'s probably important to say that, if there are any questions which you wish to have answered which don\'t somehow get answered in the next few moments, then there will be posts created around this piece. So anything that goes missing, any question that is unanswered, there will be endeavours to get them answered. Right? Okay, show us what you got, Anne.\n\n<strong>Anne McCarthy  </strong>53:00  \nYeah. So this was a post I did for 5.9, in conjunction with a whole ton of folks who contributed and actually did this work, I just was kind of gathering it up. But you\'ll see sections here around block style sheets and CSS loading. And honestly, a lot of the work with the styles engine, which is part of the global styles project, can help give a lot of opportunity to actually improve this, I recommend checking out this post to see some of what\'s already been done. And then in the future, one of the discussions that we had recently with some folks across the community from Google, from Automattic, 10up, all over the place, including our lovely performance lead, Felix. We talked about some of this stuff and about how to talk about particularly themes and also just blocks in general. And thinking about some performance improvements and developer education and automated testing and all sorts of stuff. So I won\'t go too far into this. But I think a lot of work can be done. And some of it is being done around measuring more front end metrics and very recently, LCP was added and started to be tracked here, which I think is pretty exciting. \n\n<strong>Nathan Wrigley  </strong>54:05 \nI think following the performance team and Felix Arntz, in particular, would possibly get you quite a long way towards your answers there. Okay, a couple more. Firstly, there\'s a few people helping out in the Slack channel. So, appreciate that. We\'ve got Matías answering questions, and so on. So that\'s really amazing. Thank you. Another anonymous question, any plans to support CSS Grid?\n\n<strong>Rich Tabor  </strong>54:33 \nI think it\'s something worth exploring. Probably not the major priority coming up. But definitely some interesting aspects that we\'ve seen other... other building applications do that we can learn from for sure.\n\n<strong>Nathan Wrigley  </strong>54:47  \nOkay, we\'re very short on time now. I think we\'ve got to round it off at the top of the hour. So we\'ve got about four minutes left. I\'ve got to wrap it up a little bit. So try to get these last two done if we can. This is from Mary. What are the typography options as of 6.2? we have Google fonts and self-hosted. Any plans for solutions like Adobe Type and Monotype?\n\n<strong>Anne McCarthy  </strong>55:11 <strong>\n</strong>There\'s a Fonts API that got booted from 6.2 and is hopefully planned for 6.3. So I would just follow that effort. So right now, 6.2 is not introducing anything new or different there. Things are as they were. There\'s a private API that folks can can use with anything JSON. That\'s as concise as I can be.\n\n<strong>Nathan Wrigley </strong> 55:31\nNo, that\'s perfect. I think we\'re three minutes to go. That\'s probably the best time to wrap up the Q&amp;A. Apologies if you had a question and it didn\'t get answered. As I said, there will be a whole load of things created off the back of this. We will make sure that there\'s a transcript available and - just read something in the comment. Hopefully, any questions that have been asked but unanswered will be answered approaching that. Just very, very quickly, I have to say thank you to Anne and Rich in particular, for taking the time out of their busy schedules and demoing what 6.2 can do. It really looks like a transformational release. But also, thanks to Chloé and Jonathan and Lauren and Mary who are on the call, but, you know, you haven\'t necessarily seen them right now. So, appreciate them. That\'s really great. Following up off this, I\'ve got three points to mention. Following the 6.2 release on Make/Core for development updates and calls, there\'s going to be a post. It\'s make.wordpress.org/core/6-2. Also, if you\'ve been keeping a close eye on the Beta releases - I say beta, I know it\'s hysterical. The beta releases, we\'ve got version beta four has just been released. And anybody who wants to test that out would be most welcome. The URL for that is far too long for me to say out loud, but you can Google it, I\'m sure, and find out how to test for that. And also, if you are keen to follow WordPress, it\'s all over the social networks. And you can follow - basically, if you try to just follow @WordPress, then you\'ll get somewhere. So for example, on Twitter, it\'s WordPress - @WordPress. On LinkedIn, it\'s /company/WordPress. Instagram is @WordPress. And guess what? On Facebook, it\'s - what do you think it would be? It\'s @WordPress. So it\'s available all over there. And I think that\'s it. I think that\'s everything that we\'ve got to say. We\'re about one minute away from closing. So particular thanks to Rich and Anne, but thanks to everybody in the background making all of this happen. Thanks for showing up. If people don\'t show up, the work never gets done and the project never moves forward. So fully appreciate anybody who\'s given up their time to ask questions today and watch this presentation.\n\n<strong>Anne McCarthy </strong> 57:51 \nAnd thank you, Nathan. I want to call you out as being an excellent moderator and creating a safe space for us.\n\n<strong>Nathan Wrigley </strong> 57:57  \nVery, very welcome. I enjoyed doing it. I would gladly do it again. All right. I don\'t know how to end this call. So I\'m just gonna wave. Bye, everyone.\n</pre>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"Gutenberg Times: WordPress 6.2 Product Demo, shortcodes to blocks – Are PHP Themes dead? –  Weekend Edition 245\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23530\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"https://gutenbergtimes.com/wordpress-6-2-product-demo-shortcodes-to-blocks-are-php-themes-dead-weekend-edition-245/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14984:\"<p>Howdy, </p>\n\n\n\n<p>Happy March! The last month of the first quarter is already upon us and Spring can come soon enough! </p>\n\n\n\n<p>Last week I spent a considerable amount of time wrangling and reviewing developer notes for the upcoming <a href=\"https://make.wordpress.org/core/6.2/\">WordPress 6.2 release</a>. The Release candidate 1 will be published on March 7th, and that&#8217;s also the published date for the Field Guide that accompanies each major WordPress release. </p>\n\n\n\n<p>I have been very excited about the <strong>next all-women release squad</strong>, planned for 6.4, ever since Josepha Haden Chomphosy <a href=\"https://twitter.com/JosephaHaden/status/1620904918675767297\">tweeted about it</a>. If you are interested in learning more about how WordPress releases work, watch the Make Core Blog for updates about the upcoming releases. The <a href=\"https://wordpress.org/about/roadmap/\">WordPress Roadmap page</a> was recently updated and shows that the 6.3 release is planned for August and 6.4 for November 2023.  </p>\n\n\n\n<p>For myself, I will have a few distractions from my WordPress work and the Gutenberg Times the next two months. After almost a quarter of a century living in Florida, my husband and I are <strong>moving back to Germany; Munich</strong> to be more precise. It&#8217;s time to go home and spend more time with our families.  Both our employers, Automattic and Oracle, and our fellow teammates are supporting us generously and wholeheartedly in our change of residence. We are forever grateful. </p>\n\n\n\n<p>I am eagerly awaiting to connect more with the German WordPress community, the communities in Africa and the rest of Europe. Speaking of which, <a href=\"https://europe.wordcamp.org/2023/\"><strong>WordCamp Europe</strong></a> is coming up in June (8-10). I already have my ticket. <a href=\"https://europe.wordcamp.org/2023/tickets/\">How about you?</a> I hope to see you in Athens. <a href=\"https://calendly.com/pauli-haack/wordcamp-europe\">Use this link</a> if you want to put an in-person meeting in Athens on our schedules. The venue looks marvelous! </p>\n\n\n\n<p>And now, without further ado, the news. </p>\n\n\n\n<p>Be well! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">WordPress 6.2 </a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">WordPress 6.2 </h2>\n\n\n\n<p>As mentioned, the WordPress 6.2 is coming together nicely. </p>\n\n\n\n<p>Earlier this week, <strong>Anne McCarthy</strong> and <strong>Rich Tabor</strong> provided a <a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\"><strong>Product Demo of WordPress 6.2.</strong></a> The recording is already available on WordPressTV. At the end, you can also listen to the Q &amp; A with questions from the live-audience. <strong>Nathan Wrigley</strong>, host of the WPTavern Jukebox and WPbuild podcasts, moderated the event. The post with, captions, transcript and shared resources will be published early next week. </p>\n\n\n\n<a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\"><img /></a>\n\n\n\n<p>The first dev notes for WordPress 6.2  have been published to go into the Field Guide.</p>\n\n\n\n<p><strong>Marco Ciampini</strong> wrote about all the <strong><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a>.</strong> A round-up post of notable changes to the components package in WordPress 6.2. </p>\n\n\n\n<p><strong>Anne McCarthy</strong> posted about the <strong><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a> </strong>providing an overview of the many&nbsp;accessibility&nbsp;improvements and fixes coming to the next major WordPress release.</p>\n\n\n\n<p>There are more to come on Monday and Tuesday. </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-80-wordpress-6-2-preview-gutenberg-15-2-and-15-3/\">Gutenberg Changelog #80 – WordPress 6.2 Preview, Gutenberg 15.2 and 15.3</a> with Birgit Pauli-Haack and special guest Rich Tabor  </p>\n</div></div>\n\n\n\n<p>If you are a content creator and planning on writing about the WordPress 6.2 release, <strong>Anne McCarthy</strong> just published a <a href=\"https://nomad.blog/2023/03/01/wordpress-6-2-source-of-truth/\"><strong>WordPress 6.2 Source of Truth</strong></a> on her personal blog, with the caution that you don&#8217;t just copy/paste things, but us it as place to get your research started. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p>Feeling the limitations of WordPress design? Get creative with Elementor and Gutenberg! Join <strong><a href=\"https://twitter.com/joyofwp\">Bud Kraus</a> </strong>for the virtual event <a href=\"https://events.godaddy.com/events/details/godaddy-events-godaddy-pro-online-presents-elementor-or-gutenberg-why-not-the-best-of-both/\"><strong>Elementor or Gutenberg? Why Not Both?</strong></a>  hosted by GoDaddy Pro on March 8th at 1pm ET / 18:00 UTC and learn how to create stunning custom layouts and designs.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><a href=\"https://twitter.com/one_maggie\"><strong>Maggie Cabrera</strong></a> invites theme builders to the <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\"><strong>Hallway Hangout: Community Themes Initiative</strong></a> on March 7th, 2023, to discuss the next steps for the collaborative theme building. &#8220;This announcement is the proposal of a new community themes project. The goal is to bring together a squad of people to build&nbsp;block&nbsp;themes all year around the same way the default themes are built.&#8221; Cabrera wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his post, <a href=\"https://chriscoyier.net/2023/02/16/noodling-on-wordpress-in-2023/\"><strong>Noodling on WordPress in 2023</strong></a>, <strong><a href=\"https://twitter.com/chriscoyier\">Chris Coyier</a> </strong>wrote down his thoughts about WordPress. He took a broad look at the changes WordPress experienced in the last few years, the block editor for content, and in other contexts, and Block Themes. He wrote: &#8220;<em>WordPress needs to spend a year working on DX.&nbsp;</em>There needs to be a clear message about how people should be thinking about building themes and how to do so with productivity keeping extensibility in mind.&#8221; and then he continues: &#8220;maybe that’s exactly what they just did with Block Themes&#8221; &#8211; and calls it a component model. The four words in his posts were &#8220;PHP themes are dead. 🤷‍♀️&#8221;.  </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/retlehs\">Ben Word</a></strong> wouldn&#8217;t have any of it, though. He posted a rebuttal: <a href=\"https://roots.io/php-themes-arent-dead/\"><strong>PHP Themes Aren’t Dead</strong></a>. <strong>Ben Word</strong> is the part of the team around the Roots project. He makes a strong case for using and developing for the block editor.  &#8220;If you’re a modern PHP developer, you will have a worse experience developing FSE themes versus building a hybrid theme that uses both PHP along with the block editor.&#8221; Word wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>And to stay within it for a moment, in his post <strong>Brian Coords</strong> is <a href=\"https://www.briancoords.com/embracing-theme-json-kicking-and-screaming/\"><strong>embracing theme.json, kicking and screaming</strong></a>, and he has many questions. &#8220;Its still up to plugin developers to include their own styles for things, or use fancy tooling to try to pull from <code>theme.json</code> where appropriate- neither being an optimal solution. This also becomes a documentation problem.&#8221; He wrote and continues: &#8220;When you read any docs about <code>theme.json</code>, it’s usually in the context of full site editing, which means that almost all the documentation for it assumes you’re styling blocks and building a block theme. Even parsing what features work in block themes and which ones work in hybrid themes is difficult.&#8221; </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>In her debut post on the WordPress Developer Blog,<strong> Joni Halabi, </strong>Senior JavaScript Front-End Developer&nbsp;at<strong>&nbsp;</strong>Georgetown University explains <a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\"><strong>The difference between Static and dynamic blocks</strong></a>. The difference between these two types of blocks comes down to how they are rendered on the front-end. Read on to learn more about the details, advantages, and disadvantages of each.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Also on the WordPress Developer blog, <strong>Ryan Welcher</strong> published his tutorial on <a href=\"https://developer.wordpress.org/news/2023/03/creating-a-custom-block-that-stores-post-meta/\"><strong>Creating a custom block that stores post meta</strong></a>. Learn how to create a custom dynamic block that saves information to custom <code>post_meta</code> and creates a one-to-one experience in both the block editor and on the front end. You will see an example of how to to use <code>@wordpress/create-block</code> package to scaffold a block.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Bossenger</strong>, developer educator on the WordPress training team,  takes his readers along on his experience <a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\"><strong>Converting Shortcodes to blocks</strong></a> and has tips and tricks for creating blocks from existing Shortcodes, based on real-world examples. You learn to understand when a Shortcode should be converted to a block, processes to follow to convert blocks, and useful block development practices.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Tom de Visser</strong>, developer from the Netherlands and core contributor, shared how he has fun learning new things by looking at someone else&#8217;s code. It&#8217;s alittle harder now to do was with React in the mix there is a build step that hides the source code. In his post, <a href=\"https://tomdevisser.blog/how-to-learn-about-wordpress-block-development-by-playing-with-core-blocks/\"><strong>WordPress block development, hacking core blocks</strong></a>, De Visser shows you how to get the Gutenberg source code on your local machine, how to run the development and build processes from the project with Webpack and how to use <code>wp-env</code> to spin up a local environment where you don’t have to worry about breaking anything.</p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;<a href=\"https://www.flickr.com/photos/131286397@N03/17223321258\" target=\"_blank\" rel=\"noreferrer noopener\">Printer&#8217;s Wooden Letter Blocks 1</a>&#8221; by <a href=\"https://www.flickr.com/photos/131286397@N03\" target=\"_blank\" rel=\"noreferrer noopener\">Sean-B</a> is licensed under <a href=\"https://creativecommons.org/licenses/by/2.0/?ref=openverse\" target=\"_blank\" rel=\"noreferrer noopener\">CC BY 2.0</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 04 Mar 2023 20:55:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordPress Themes Team Proposes Community Themes Initiative\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142443\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wordpress-themes-team-proposes-community-themes-initiative\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3052:\"<p>Representatives of the WordPress Themes Team are looking to carry forward the momentum contributors found in creating the Twenty Twenty-Three theme’s style variations by <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">launching a new Community Themes initiative</a>. Leading up to WordPress 6.1’s release, 19 designers from eight countries built 38 unique style variations, and <a href=\"https://wptavern.com/wordpress-announces-10-style-variation-selections-for-twenty-twenty-three-theme\">10 were selected</a> to ship with the release. At that time, contributors <a href=\"https://github.com/WordPress/twentytwentythree/issues/73\">discussed</a> a spinoff child theme project with additional style variations for Twenty Twenty-Three.</p>\n\n\n\n<p>Automattic-sponsored core contributor Maggie Cabrera <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">published</a> a proposal that seeks to extend this new era of increased design contribution through a Community Themes project.</p>\n\n\n\n<p>“The goal is to bring together a squad of people to build block themes all year around the same way the default themes are built,” Cabrera said. She cited other reasons for the proposal, including the need to increase the number and the variety of quality block themes in the directory, and capitalize on community momentum during times when no default theme is being actively developed. </p>\n\n\n\n<p>The reality is there simply are not enough block themes available to the community yet with the current count at 247. Last year, the WordPress project fell short of its <a href=\"https://wptavern.com/wordpress-ramps-up-social-learning-events-on-full-site-editing-project-aims-for-500-block-themes-in-2022\">goal to get 500 block themes in the repository</a> by the end of 2022. The world of patterns and the ease of inserting blocks into templates gives users more design flexibility than ever before, so the landscape of themes is slowly changing, but there is no replacement for finding a theme design that just works and enabling it with one click. </p>\n\n\n\n<p>The new Community Themes initiative may offer an easier onramp for theme developers who are still getting into block theming, as well as a supportive community of builders who spur each other on to create themes that are compatible with the latest and greatest features of WordPress.</p>\n\n\n\n<p>The Themes Team&#8217;s next hallway hangout discussion will focus on the goals and purpose of this initiative. Contribution opportunities will be available for all skill levels, including designing, coding, testing, and reviewing themes. If you are interested to help on this project, the team is inviting people to join the next hangout on <a href=\"https://www.timeanddate.com/worldclock/fixedtime.html?iso=20230307T15&p1=1440\">Tuesday, March 7, 2023, at 10:00 AM EST</a>. <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291851732/\">RSVP</a> is required to attend online.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 20:46:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:152:\"Post Status: Brian Gardner On WordPress Now And Today, Talking Design And Workflows, Full Site Editing, Gutenberg And Beyond  — Post Status Draft 143\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147822\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:154:\"https://poststatus.com/brian-gardner-on-wordpress-now-and-today-talking-design-and-workflows-full-site-editing-gutenberg-and-beyond-post-status-draft-143/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:62509:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a>, Principal Developer Advocate at <a href=\"https://twitter.com/WPEngine\">WPEngine</a>, joins <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> to discuss the solid foundation WordPress established and how it might continue to expand into the future. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a> initially found WordPress as a blogger. His journey led him to found Studio Press which eventually became part of <a href=\"https://twitter.com/WPEngine\">WPEngine</a>. Brian and Cory flashback into what was and lean into the potential future of WordPress.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Workflow Education.</strong> Getting adoption for workflows can be challenging. Agencies may resist changes to their workflow even if the change may bring significant benefits. Investing in education is key. Contributing to WordPress education by testing things and hosting workshops and demonstrations can ensure the project as a whole succeeds.</li>\n\n\n\n<li><strong>Scaling is the Safety of WordPress.</strong> Many of the page builder softwares are not built for much beyond brochure-type sites. The extensibility of WordPress makes so much possible for businesses looking to deliver excellent customer experience or expand their site capabilities.</li>\n\n\n\n<li><strong>Competition vs. Cooperation.</strong> Today there is far more competition in WordPress. In the early days, competition existed alongside cooperation. We were competing while we shared, learned, and grew together. This cooperation led to innovation within WordPress and cultivated a vibrant, growing ecosystem. A shift towards community innovation can remind us that a rising tide lifts all boats.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<div class=\"is-layout-flex wp-container-32 wp-block-columns sponsor has-theme-palette-8-background-color has-background\" id=\"StellarWP\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 class=\"StellarWP has-theme-palette-1-color has-text-color\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <span><a href=\"https://poststat.us/elementor\" rel=\"sponsored nofollow\">Elementor</a></span></h3>\n\n\n\n<p><strong>Elementor </strong>enables web creators to build professional, pixel-perfect websites with an intuitive visual builder. Quickly create amazing websites for your clients or your business with complete control over every piece, without writing a single line of code. Join <a href=\"https://elementor.com/community/\">a vast community of web creators</a> from all around the world who deliver exceptional websites using Elementor.</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-top\"><div class=\"wp-block-image elementor-logo\">\n<img src=\"https://cdn.poststatus.com/wp-content/uploads/2022/08/Elementor-Logo-Symbol-Blue-150x150.png\" alt=\"Elementor\" class=\"wp-image-104033\" width=\"150\" height=\"150\" title=\"Elementor Logo\" />Elementor</div></div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://www.blogger.com/\">Blogspot</a></li>\n\n\n\n<li><a href=\"https://www.studiopress.com/themes/revolution/\">Revolution</a></li>\n\n\n\n<li><a href=\"https://www.studiopress.com/\">Studio Press</a></li>\n\n\n\n<li><a href=\"https://twitter.com/nathanrice\">Nathan Rice</a></li>\n\n\n\n<li><a href=\"https://wptavern.com/\">WP Tavern</a></li>\n\n\n\n<li><a href=\"https://twitter.com/justintadlock\">Justin Tadlock</a></li>\n\n\n\n<li><a href=\"https://webflow.com/\">Webflow</a></li>\n\n\n\n<li><a href=\"https://www.figma.com/\">Figma</a></li>\n\n\n\n<li><a href=\"https://twitter.com/ajmorris\">AJ Morris</a></li>\n\n\n\n<li><a href=\"https://twitter.com/RafalTomal\">Rafal Tomal</a></li>\n\n\n\n<li><a href=\"https://www.designkit.org/\">Design Kit</a></li>\n\n\n\n<li><a href=\"https://frostwp.com/\">Frost</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">WordPress Learn</a></li>\n\n\n\n<li><a href=\"https://www.godaddy.com/\">GoDaddy</a></li>\n\n\n\n<li><a href=\"https://automattic.com/\">Automattic</a></li>\n\n\n\n<li><a href=\"https://www.squarespace.com/\">Squarespace</a></li>\n\n\n\n<li><a href=\"https://www.wix.com/\">Wix</a></li>\n\n\n\n<li><a href=\"https://www.weebly.com/\">Weebly</a></li>\n\n\n\n<li><a href=\"https://www.shopify.com/\">Shopify</a></li>\n\n\n\n<li><a href=\"https://twitter.com/Sara11D\">Sarah Dunn</a></li>\n\n\n\n<li><a href=\"https://www.gravityforms.com/\">Gravity Forms</a></li>\n\n\n\n<li><a href=\"https://pagely.com/\">Pagely</a></li>\n\n\n\n<li><a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder</a></li>\n\n\n\n<li><a href=\"https://elementor.com/\">Elementor</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a> (Developer Advocate, <a href=\"https://twitter.com/WPEngine\">WPEngine</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Cory Miller:</strong> [00:00:00] Hey everybody, welcome back to post draft. Um, I don&#8217;t even know what to characterize this, uh, this se, this interview, Brian. Um, but I&#8217;ve got a very old longtime friend, not that he&#8217;s old, just that we go way back. Um, to, when I started with WordPress, I found this guy named Brian Gardner. And so I thought, um, who better to talk about with WordPress being 20th this year, our 20th anniversary, um, Brian, who was instrumental in a lot of things that helped, um, Build and grow this cool ecosystem we call the business of WordPress.</p>\n\n\n\n<p>But anyway, um, Brian, welcome back. I think you&#8217;ve been interviewed before, probably like by Brian or somebody. Yeah. But welcome, welcome to the post draft podcast.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Uh, thank you for having me. Uh, one point of clarification. I am old. I&#8217;m 48. Um, nearing, nearing 50. And in, you know, today&#8217;s terms and. Even as it relates to [00:01:00] WordPress and people who are in this ecosystem.</p>\n\n\n\n<p>I&#8217;m old and I&#8217;m okay with that. Cause, uh, with, with that comes wisdom and experience and, uh, the ability to shepherd. So, uh, I embrace the stage of life that I&#8217;m in.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. That&#8217;s awesome. Well, you know, when we first started and met, we were in our thirties . Now we&#8217;re in our forties, and it&#8217;s like, uh, I thought there&#8217;s a nostalgic fact to that.</p>\n\n\n\n<p>Absolutely. But also, yeah, you&#8217;ve, you&#8217;ve been there and seen things evolve over the years. Um, okay. So thank you for that. Thank you for being on, being on today. Um, I, uh, I wanted to talk a little bit about the past. Um, and tell me how you found WordPress.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I don&#8217;t even know if I know the story, by the way.</p>\n\n\n\n<p>Yeah. You know, like it&#8217;s been a while since I&#8217;ve told the story. Um, and, and a lot of things I talk about, people still don&#8217;t even understand what, what it was or what it was back in the day because it just, you know, they&#8217;re [00:02:00] newer and stuff like that. Um, but I was working as a project manager at an architectural firm, and I just wanted to start writing and blogging.</p>\n\n\n\n<p>Blogging at that point was sort of in its infancy and there were, you know, things like movable type and Google&#8217;s, Google&#8217;s blog spot and, you know, WordPress was a thing back then. But I started with, uh, Google&#8217;s blog spot, which is their blogger platform now. Uh, and some, somewhere along the way, I ran into somebody online who said, Hey, you should check out WordPress.</p>\n\n\n\n<p>It&#8217;s you. It&#8217;s a little bit more sophisticated, you could do more stuff with it. And I&#8217;m like, yeah, sure. Okay. So I tried to install it, couldn&#8217;t figure it out. So I did the whole, you know, Google my way through all of it. Uh, and I was like, okay, now that I get this, this is kind of cool. I&#8217;m kind of glad that I learned how this works and whatnot.</p>\n\n\n\n<p>It&#8217;s all, it&#8217;s all new internet stuff from back then. And, uh, I remember trying to go through, and I don&#8217;t remember WP themes.net or something like that, wherever the at, at the time the free, uh, theme directory was hosted and I couldn&#8217;t really find [00:03:00] anything I liked. Um, and so I just took some, one of the themes down and I&#8217;m like, well, maybe I can try to change some things inside these files.</p>\n\n\n\n<p>Didn&#8217;t know anything about HTML or CSS , but I was like, well, let me just try right? Uh, and I just started hacking my way through the theme, sort of reformatted it. My O c d uh, didn&#8217;t like the, the, the line breaks and the indentation haphazardly that, that were in the theme file. So I started there. Um, that hasn&#8217;t changed to date.</p>\n\n\n\n<p>Uh, the tendency to be obsessive around, uh, formatting of code, but, um, just learning, you know, what a hex code was and how to change a color or spacing, uh, through the theme and the theme style sheet, um, kind of gave me to a point where I was like, okay, well I created something and now I feel like this is mine.</p>\n\n\n\n<p>Right? It was sort of like forking something, but I didn&#8217;t even know what that meant at the time, right? Because open source didn&#8217;t mean anything to me. I was just doing a thing. And so, um, you know, the, the fast forwarded version was I, I started developing free themes, giving them out for distribution, and [00:04:00] then customizing them as a moonlighting sort of gig.</p>\n\n\n\n<p>And from there, uh, revolution, the theme the design came about. And, uh, when that was rejected by a real estate agent in Boston, uh, it was an opportunity that probably changed for certain the trajectory of my life, but likely that of others as.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, so, uh, uh, we were talking before we started recording that maybe there&#8217;s a lot of people in WordPress today that don&#8217;t remember those, but I think it&#8217;s important to reflect back that time.</p>\n\n\n\n<p>Back then, Brian was the wild, wild west, uh mm-hmm. like, you know, movable type had had done their thing and there was this mass exodus over to WordPress, which. I think one of the biggest, you know, parts of, uh, WordPress&#8217;s success was they, uh, the leaders at that community made kind of a misstep and it mm-hmm.</p>\n\n\n\n<p>it was an access over here, but that produced this. There was cool code coming in and that, you know, things in WordPress and, but there [00:05:00] was this, that&#8217;s what I remember finding as this desert of good themes.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yep. That was rock.</p>\n\n\n\n<p><strong>Cory Miller:</strong> And that&#8217;s where you were rocking, man. That&#8217;s how I found you. I think I found you through a free theme, um, and was like, wait, who&#8217;s this guy?</p>\n\n\n\n<p>I like his design. And then we struck up a friendship that was on this thing called Talk. Yep. Uh, okay. So fast forward then you started Studio Press. Mm-hmm. 2008. Um, and then tell us a snippet of that. I think many people know that, but let&#8217;s make sure we cover that. Uh, and then you started what became Studio Press, correct.</p>\n\n\n\n<p>And you wanna share that little snippet of story?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah. So originally it was all called Revolution. And at the time I didn&#8217;t know anything about intellectual property and so I just named something what I wanted to name it. And unfortunately, the product of having it become successful is it gets put on the radar of.</p>\n\n\n\n<p>Technology and software companies. And so the short of it is we rebranded to studio. [00:06:00] Uh, as a result of a cease and desist letter I received from a a t uh, a company in the United Kingdom, it, it probably would never have gone anywhere, but it was not worth my hassle to fight it. So, so we rebranded a studio press.</p>\n\n\n\n<p>Uh, not too long into that is when, um, we made some hires. Nathan Rice, who, you know, is, was one of them. And we sort of built this framework called Genesis, uh, together. Um, was a theme framework, child, parent theme system that essentially ran the, the tenure of studio press&#8217;s, uh, glory days and, uh, you know, for the better part of 10 years.</p>\n\n\n\n<p>And, uh, it&#8217;s, well, five years, gosh, hard to believe Five years in June will mark, uh, the anniversary of the acquisition of Studio Press from WP Engine. So, uh, there&#8217;s a lot of in between all of that for sure. Um, but yeah, it&#8217;s, uh, it&#8217;s still. It&#8217;s hard to believe.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, I wanna set that too, just in case to show how far you back and what you&#8217;ve done and part of that, um, but then I want to catch up too.</p>\n\n\n\n<p>[00:07:00] What are you doing today? Mm-hmm and what&#8217;s interesting, I know I&#8217;ve seen some things you put out, uh, with full-size ed editing. I&#8217;m like, Brian&#8217;s geeking out over there doing this thing. But tell me what you&#8217;re doing now and what you&#8217;re interested in. With WordPress.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah. So before I get to that point, one of the reasons we sold studio press was at the time our, our partnership team didn&#8217;t wanna necessarily, or because we had other things in our, on our agenda, we didn&#8217;t wanna figure out what this Gutenberg thing was coming.</p>\n\n\n\n<p>Right. It was at the time, it was just announced this, this editor thing. And I told our team, I&#8217;m like, look, either we need to like lean in and like really like double down and invest into where WordPress is going with this and what that means for our product and what we&#8217;re working on. Or we need to just, you know, kind of call it a day and uh, focus on our other projects.</p>\n\n\n\n<p>Some of us were already doing personal things and it was time we kind of wanted to go do our own thing anyways, individuals, And so we&#8217;re, we set out to find some, some people to see if there was interest in acquiring studio press. And so [00:08:00] we sold Studio Press in summer of 2018. And I was like, Hmm, maybe that was it.</p>\n\n\n\n<p>Maybe that was the extent of my WordPress tenure. And, uh, I was gonna try to do other things and I was interested in just trying, just different stuff. Cuz at that point for what, 10 or 12 years, I&#8217;d been just doing WordPress theme design, um, pretty much every day. And so, um, yeah, you know, like. So a couple years went on, I did some agency work.</p>\n\n\n\n<p>I messed around with some real estate tech ideas and whatnot. Uh, certainly never forgot about WordPress. Continued to always use WordPress, followed along with, you know, the developments of Gutenberg and the editor and all of that. And it was about two summers ago, I came across a, an article on WP Tavern, um, from Justin Tadlock kind of showing a, showing what block patterns were and, uh, how they work and sort of the, and I just literally tweeted this a few minutes ago.</p>\n\n\n\n<p>Uh, one of my favorite parts of it all is sort of the, um, The replication [00:09:00] aspect where you can copy and paste and, you know, things happen so much easier and quicker now. And when I saw and understood what patterns were, uh, sort of immediately stopped me in my tracks and sort of was the, um, the seed that was planted for Frost, which is a, a WordPress theme now that WP Engine owns.</p>\n\n\n\n<p>And we&#8217;re using that on our developer relations team to sort of showcase, uh, the possibilities of the editor and use it for educational purposes. And so, you know, Love WordPress. Probably never been as excited about what it is and what it can do. Uh, as you know, I&#8217;m more excited today than I&#8217;ve ever been.</p>\n\n\n\n<p>Uh, I get to do design related things around it. And I just really, you know, the landscape has changed the competitive landscape, right? You&#8217;ve got Webflow and Figma and all of those types of tools that now sort of, and we can get to that sort of pose, existential threats as we try to work our way through sort of all these phasing, um, that I&#8217;m still bullish and I, [00:10:00] I think, you know, 43% of the internet still uses it.</p>\n\n\n\n<p>So on some level there&#8217;s some security involved, but, uh, you know, we wanna be the change. That&#8217;s why we exist. Our team at, uh, WP Engine.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, I&#8217;m glad, I&#8217;m glad to hear, uh, someone else say that cuz I&#8217;m, I&#8217;m right with you. There are existential threats. Two WordPress, you, you mentioned Webflow and . I talk about that a lot.</p>\n\n\n\n<p>We, we, AJ Morrison and I looked at it a couple weeks and I was like, wow. Um, when you look out the landscape today, so much tech just accelerates an impossible pace. And I&#8217;ve looked at it. Gone. Okay. WordPress needs to kind reestablish ourselves, but I&#8217;m so happy to hear though that you see opportu. And hope, um, with, and, and, and I hear it from what you just said is like full side editing, Gutenberg, and I&#8217;m curious your thoughts about that, where we are now, where we&#8217;re going.</p>\n\n\n\n<p>Um, you&#8217;ve had a big presence obviously in design and theme work within WordPress and been a champion for that for a long time. [00:11:00] But I want to hear what you&#8217;re excited about and passionate. And why, why, why this full set editing, why set frost, for instance, the patterns, how, what you&#8217;re working on, what you&#8217;re thinking about, what you&#8217;re dreaming of.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> You know, like we all live in a, a no code, easy click, drag and drop sort of society. And like all of the stuff that you and I built like back in the day right? Like was all hard coded. And, and even the PHP files, the text, it was all hard coded. And, and I. To update your website, you&#8217;d have to go into a file and change text in a PHP file, which nobody ever wants to do unless you built some sort of gooey for it.</p>\n\n\n\n<p>And so like, like throughout the years, even as I look back on what we did with Genesis, there were still elements, you know, it was not ideal to, um, I mean, at the time it, I guess it was the only option, but it, looking back on it, it was not ideal to, uh, create a front page file with a bunch of widget areas and you managed your homepage by way of like eight different widgets.</p>\n\n\n\n<p>And then, You know, inevitably somebody would say, well, I wanna replicate this [00:12:00] page and use it for like an inner page. I&#8217;m like, well, okay, you gotta recreate the file, re-register eight more widget. It just, it was a mess. And so where we&#8217;re at today and why it excites me so much is that it&#8217;s so easy to do all of the things that have been historically hard or difficult in WordPress.</p>\n\n\n\n<p>And of course when you compare them to some of these other software technologies like Webflow, which are even easier than WordPress has ever been and may ever will be. That&#8217;s kind of where you&#8217;re like, okay, this is great that WordPress can do this, but like there&#8217;s a, a ton of other companies and, and of course we haven&#8217;t even talked about the page builders yet, with which within the WordPress ecosystem sort of precursor where we&#8217;re at now with the capabilities.</p>\n\n\n\n<p>Um, it just, it. I&#8217;m a framework kind of person, and when I understand how something works and kind of can work within and build product around, like I, that really excites me. That brings me joy. It allows me to like, um, exercise and flex some of the design muscles because I&#8217;ve got a system that can accommodate, [00:13:00] like changing and, and modifications so quickly.</p>\n\n\n\n<p>Um, and just that, that&#8217;s part of, I think what excites me the most, just having the ability to deliver something to an end user who. You know, make it their own and, and have a demo, like without having to like, spend an hour recreating it. Um, so just looking within the WordPress kind of product system itself, just where we&#8217;re at now is, is so much more.</p>\n\n\n\n<p>There&#8217;s, the capabilities are so much more than they&#8217;ve ever been.</p>\n\n\n\n<p><strong>Cory Miller:</strong> So full side editing. I haven&#8217;t dug in fully to it, but I see the promise that it holds. Um, and then you mentioned like Gutenberg with blocks and patterns. So much potential there. Yes. But it kind of harkens back to when we started. You know, there&#8217;s opportunity here.</p>\n\n\n\n<p>People need to come in, like you and others, I think at Rich, rich Tabor and mm-hmm. you and different people in the design space and go, here&#8217;s what could be of this. Here are practical applications of that. [00:14:00] Um, tell me a little bit about your work with Frost in, in that. Is Frost kind of that, um, your r and d lab for doing this kind of.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, it is. Uh, a lot of people who followed me in studio press back in the day know of a gentleman, a very talented designer named Rafa Tamal. Uh, he was our lead designer at Studio Press for a long time. He is on his own now. Uh, he actually created a thing called Design Kit. It&#8217;s a Figma. Product that allows sort of like a wire frame system inside of it where, you know, he&#8217;s got a library of various components of a website, headers, footers, featured section hero sections, testimonials, all that kind of stuff.</p>\n\n\n\n<p>And the idea behind that was um, through Figma you can create files and do mock-ups for clients and stuff like that very quickly cuz you have a library of these sections to work with. Well, when I realized what block patterns. Which are essentially the same thing to sort of the WordPress coded version of these things in Figma.</p>\n\n\n\n<p>I was like, wouldn&#8217;t it be really cool if you could set up a system that basically had like [00:15:00] a library to choose from, where you could insert into WordPress&#8217;s dashboard, like, I want to insert this header with this section and that section, and just like top to bottom, build a page out within a matter of a few clicks.</p>\n\n\n\n<p>And so in its infancy, that&#8217;s what Frost set out to be. Frost was a very vanilla sort. Not opinionated design, black and white wire frame setup, which has a bunch of patterns in there, several headers, several footers, all the kinds of sections that you could think of building. And the idea behind that was just to, if anything, help us inform ourselves on how this all works, how it can be used to like build sites and then.</p>\n\n\n\n<p>WP Engine brought that in when I was hired, and so it&#8217;s been sort of like our, our toy within developer relations to sort of showcase things and build things. We&#8217;re gonna hopefully move that into a little bit more production ready, um, staging here pretty soon, uh, so that people just can use it, um, beyond its current capabilities.</p>\n\n\n\n<p>But yeah, so Frost is, is [00:16:00] just sort of our experimental thing. We, we stay up to date with all of the latest updates that Gutenberg the plugin brings. So once Gutenberg ships, frost has a dependency on it. So we can like leverage all of the things that are coming so we can show people how it works, how it&#8217;s built, how it can be used.</p>\n\n\n\n<p>And so it&#8217;s just, it&#8217;s been sort of like an anchor in inside our. You know, I</p>\n\n\n\n<p><strong>Cory Miller:</strong> think back about, I still create WordPress websites this way, but of course the Gutenberg tools has gotten really good and yeah. And, uh, I&#8217;m fully embraced Gutenberg. Um, but you know, back in the day, you know, you had a theme. You were talking about changing CSS and stuff like that, and, um, as I&#8217;ve talked to a number of agencies doing client work, you know, I always think about</p>\n\n\n\n<p><strong>Brian Gardner:</strong> workflow.</p>\n\n\n\n<p>Yep.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Um, Not to contrast it necessarily, but how, how do you envision the designer developer&#8217;s workflow in WordPress with, with site editing? What, how do you [00:17:00] approach, I guess, might be a better way to ask it about building a WordPress website today? In 20th anniversary in 2023, you know, building a website project.</p>\n\n\n\n<p>I&#8217;m, I&#8217;m just curious, uh, I learned a lot of the theme stuff that I know from you mm-hmm. , um, in the early days. So I&#8217;m curious, I&#8217;m gonna ask the same question. 16, 17 years later,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> much of what I do is sort of a do as I say, not as I do thing, just cuz I, I understand how things work so well behind the scenes that I, I shortcut a lot of things I think other folks have the ability to do.</p>\n\n\n\n<p>And that&#8217;s not a flex necessarily and it&#8217;s probably a drawback. Um, just a sort of a fly in the way. I, I like to do things. Personally, I just, you know, frost is a, is a blank slate theme and so generally, like I take it and fork it anytime I want to do anything with it. Um, You know, like if I&#8217;m doing a client site, I&#8217;ll take frost.</p>\n\n\n\n<p>First thing I&#8217;ll do is rename everything for the client site. Similar to what we would do, you know, you rename the theme folder, rename the functions thing so that you know, it, it feels like, um, [00:18:00] it&#8217;s a pro, it&#8217;s something that&#8217;s being custom built for, for a customer. Now you talk about agencies and, and that&#8217;s sort of like what we&#8217;ve encountered here.</p>\n\n\n\n<p>Uh, obviously agencies matter a lot to our business at WP Engine. And it&#8217;s actually the, the subset of people who&#8217;ve probably pushed back the most on Gutenberg and this block editor because of workflow. Because they&#8217;ve got established workflows where teams have to sort of adhere to certain policies and certain standards and practices.</p>\n\n\n\n<p>And so it&#8217;s harder, uh, many agencies just are built off of page builders, right? They, or not built off of, but they leverage page builders. So you&#8217;re asking them to effect. Change their entire workflow, regardless of how cool and how easy it is, it&#8217;s still a change, it&#8217;s still a time investment. And so for the most part, in our experience with our, our developer relations efforts, we&#8217;re, we&#8217;re realizing that agencies are the ones that sort of resist the most.</p>\n\n\n\n<p>And that&#8217;s okay. It&#8217;s understandable. Um, but we&#8217;re also sort of slowly just demonstrating, hey, the things that you&#8217;re doing now can also [00:19:00] be done with word. Core capabilities, it can also be done quicker. And so while yes, there&#8217;s an investment to learn how it works, but you know, the expedition of the expedition of workflow is I think what excites me the most.</p>\n\n\n\n<p>Sort of having library of patterns and things to draw from. Uh, you know, what used to take us, uh, 10 hours to build a site can take us two. Right. And so these are the kinds of things that I get excited about, not only for myself, but like for other people to say, Hey, here&#8217;s, here&#8217;s a new workflow that could actually be advantageous to your business.</p>\n\n\n\n<p>It&#8217;ll help you scale, things like that. What I</p>\n\n\n\n<p><strong>Cory Miller:</strong> admire about what you did with you and your team did with Innocence is you created a workflow. Mm-hmm. , you know, for people to, and they&#8217;re still fanatics about Genesis and for good reason. And, and I&#8217;m curious, like, what do we need to do as a community? To help that.</p>\n\n\n\n<p>We want WordPress to still be the primary tool that people build. Yeah. Web projects on, um, what do you, what are the things [00:20:00] that need to happen? And I gather a lot of it&#8217;s the work you&#8217;re doing today. Sure. But I&#8217;m curious, what are those hallmarks to make? You all did it once. WordPress is really good, like, you know, has that workflow established, but we need some new workflows to embrace WordPress.</p>\n\n\n\n<p>Full side editing. Good word, yada, yada. And what do you think those elements that need to happen?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Uh, a lot of it&#8217;s educate, go ahead</p>\n\n\n\n<p><strong>Cory Miller:</strong> for, for those agencies, because I think about they&#8217;re the people. Mm-hmm. , um, out there helping create that growth we&#8217;re talking about with WordPress that&#8217;s sustaining this for so long.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, a lot of it&#8217;s education. I mean, learn, the WordPress Learn team is doing quite a bit like as the project itself, there are, we see them now, GoDaddy, automatic, WP Engine, you know, these developer relations teams that are starting to form really are, are sort of a demonstration of giving back to the community.</p>\n\n\n\n<p>Right. Five for the future. Uh, cuz a lot of the work, at least that we&#8217;re doing is contributions to WordPress testing things, helping make it better so that just the, [00:21:00] the project as a whole can, can succeed. Um, so education demonstrations, workshops, uh, the WordPress online, uh, at Meetup is, is a very big thing.</p>\n\n\n\n<p>Uh, a lot of the people who are doing that stuff are community members, people, you know, some, some sponsored, some, some not. I mean, we obviously get to do some of that as part of our job. Uh, Just demonstrating in just various forms, right? Because there&#8217;s, there&#8217;s all kinds of flavors of WordPress. There&#8217;s people who are just using it as like end users, and there are people who are building Nassau websites with it.</p>\n\n\n\n<p>So we&#8217;ve got, you know, to serve different subsets of people and to educate and show in different ways. I think, um, one of the biggest pushbacks, I think it was WordPress six point. Or at least this is maybe when it was shipping, was the sort of ability to lock blocks this whole block locking a p i, which was an agency pushback like, Hey, I, this is great for people who are like, tinkering around, but we don&#8217;t.</p>\n\n\n\n<p>The last thing we wanna do is sort of, uh, equip our end user, our, our client with the ability to break their [00:22:00] site by just toying with, you know, settings. Things like that and buttons, and so WordPress added and they&#8217;re still adding more capabilities for block locking, which basically means you can set up a whole section of a website and just.</p>\n\n\n\n<p>Block, block locking them out of being able to manipulate it. Like, hey, can&#8217;t, like move the columns around, but you can change the text. Right? And that&#8217;s something that, that would be very appropriate to turn over to a client. Um, sort of protects the integrity of the site, but allows them to sort of maintain and manage it themselves.</p>\n\n\n\n<p>So there&#8217;s just a lot of flavors of that. And I, I, documentation is probably the one thing that lacks the most because everything is moving so quickly, like things are changing mid-flight and all of that. So it&#8217;s hard. Even do some of this stuff because by the time you cite, you know, the, the joke, the Golden Gate Bridge, once you get done painting the Golden Bri Gate Bridge, you&#8217;d have to go back and start again.</p>\n\n\n\n<p>Cause it takes so long to do it. It, it&#8217;s similar with documentation. By the time you like produce something and show someone how to do that, like the site editor screen or the u the user interface changes and so [00:23:00] therefore, like you gotta update it and things like that. So, I think we&#8217;re at a really good point.</p>\n\n\n\n<p>6.2 should deliver and sort of level off a lot of this stuff that&#8217;s been kind of coming so quickly, uh, which I&#8217;m really excited about. Cuz now it&#8217;s more about, okay now, now that things are stabilizing a lot, now we can convince people it&#8217;s trustworthy software to use. We can feel better educating people and showcasing how things work cuz sort of.</p>\n\n\n\n<p>The, uh, the screenshots don&#8217;t tend to change as much, and so now it&#8217;s more just a matter of kind of rolling up our sleeves and doing the work and showing people how it can be used, how it could be beneficial to their company or business, and effectively help them change their workflows to, to leverage inevitably what&#8217;s here and what&#8217;s still coming.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, I know back in when we started out, you know, anybody, the beauty WordPress is anybody could pretty much with that five minute install mm-hmm. , um, create something on the web and have it in this database and [00:24:00] all these tools there and over time and um, I think I&#8217;ve seen, I know you&#8217;ve seen it too, but it&#8217;s just the Squarespace, wick, Weebly effect.</p>\n\n\n\n<p>Mm-hmm. this tool underneath these tools, sets of tools underneath like a webflow. and, um, gosh, start to, to really, I, I would say a road, but like, That market, even though I still prefer to do it here, I&#8217;m not gonna go to Squarespace weekly. I know that, like you said, I know the, I know what I&#8217;m dealing with here.</p>\n\n\n\n<p>Mm-hmm. . Um, the unfortunate thing is sad for me is that I don&#8217;t, I wonder about that market, but your work at WP Engine, you all do great project work and um, with the hosting that you all provide, but your clients are doing really cool projects. Mm-hmm. , and I&#8217;ve seen this like section out of. Client work side of things, uh, this, this do it yourself or still there?</p>\n\n\n\n<p>Um, you know, somebody preferred just to use Squarespace and Weebly and that. They go to WordPress. But then I see two things, particularly in [00:25:00] Postes, kind of what I call a boutique agency. They&#8217;re doing 25, 50, 70 $5,000 projects with a kind of size of business. You know that someone is hiring someone to do it with more complexity.</p>\n\n\n\n<p>Yep. And then I see another, and I don&#8217;t have these perfectly out, but I see these broad strokes of enterprise. At scale project, which is awesome. Like, I can&#8217;t imagine someone trying to deliver an enterprise project and going, wait, there&#8217;s 50 people that could touch this. 500 people. I don&#8217;t know. You know?</p>\n\n\n\n<p>Yeah. Um, that&#8217;s one thing I&#8217;ve seen that I kind of, um, I&#8217;ll, I&#8217;ll just tell you as we go. Way back is sad. Yeah. This bottom market&#8217;s going on. But I&#8217;m curious what you&#8217;re seeing, particularly with your work at WP Engine too, is the kinda. That&#8217;s being done on this scales up from the, I have an idea. I can roll my website out With this thing called WordPress.</p>\n\n\n\n<p>Yeah. To more complex type organizations and things like that. What are you seeing with in, in [00:26:00] those realms?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I see. Well, WP Engine for sure. And I think just WordPress in general. Um, generally gravitating, even though Guttenberg itself, the editor&#8217;s intent was really to accommodate sort of the DIYers, right?</p>\n\n\n\n<p>The tinkerers and the, the Wicks and Squarespace types. WordPress&#8217;s Bread and butter has primarily been, even though it started as a plugin platform, really, it&#8217;s a really good c m s and there&#8217;s a lot, just all because of it&#8217;s open source nature, all of the plugins that exist, the ecosystem and the extensibility.</p>\n\n\n\n<p>Um, I don&#8217;t think that that is the, the, the, the market that I think will be able to sustain sort of all of what&#8217;s going on the most because Squarespace and Wick and Webflow, these are all. Catering more towards like the single user, small, very small boutique, you know, brochure type sites of things.</p>\n\n\n\n<p>Anything beyond that. Those, those, uh, those softwares can&#8217;t even come close. Shopify&#8217;s about like the only exception. I mean, it&#8217;s very specifically built for [00:27:00] e-commerce and, and to scale with e-commerce, but there&#8217;s not a lot beyond that. And I think that&#8217;s where WordPress will kind of ultimately stay safe.</p>\n\n\n\n<p>Which doesn&#8217;t necessarily feel good for the boutique agency who&#8217;s now losing out to people, building their own sites on some of this other stuff. But, uh, and so I think there, there needs to be sort of a mind shift to some degree. Um, I&#8217;m not saying a boutique agency has to like all of a sudden become 10 up.</p>\n\n\n\n<p>Um, But just there, there is a change and I, I think for better or worse, it&#8217;s gonna sort of hinge on who, who responds to what&#8217;s here and, and all of that. Uh, cause I think at some point people will, a, a client will come along and say, I&#8217;ve heard of WordPress in this new block thing. I need a site built that way.</p>\n\n\n\n<p>Uh, and what we tell everybody we talk to, um, which, which is quite a bit of people. At some point you need to be, that&#8217;s your value add that you could build with, we call it modern WordPress. Right. Um, and if you say, well, I, I could build it in classic press, like that&#8217;s not gonna ultimately be a great plan of action.[00:28:00]</p>\n\n\n\n<p>Yeah.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I&#8217;m curious what you&#8217;re seeing at the enterprise. It&#8217;s a space I. We&#8217;ve, we&#8217;ve, we both have friends that have played on that level for the longest time, and I always, when I hear enterprise, I get excited about WordPress, but I know there&#8217;s challenges there too, but, mm-hmm. , what are you seeing with your enterprise?</p>\n\n\n\n<p>Um, Agency clients, um, at WP Engine ,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I personally don&#8217;t interact that much with like enterprise at that level, mainly because, you know, my, my heart and uh, affection generally kind of like lends itself towards like the, the small town , you know, you know, less Walmart and more, you know, Joe&#8217;s. Grocery store sort of thing.</p>\n\n\n\n<p>I just generally like to work with people who are on smaller scale. Um, I know we&#8217;ve got all kinds of, several, you know, just talented people and, you know, client services and things like that around our enterprise business. Uh, and I know we do a lot of, lot of great bit things. We&#8217;ve got huge contracts and stuff like that, so obviously we&#8217;re very invested in WordPress and [00:29:00] where it goes.</p>\n\n\n\n<p>We&#8217;re very, you know, yeah. Interested in trying to like, make the, the hosting and sort of the website experience altogether better. Um, so I, I can&#8217;t speak specifically to like what we&#8217;re seeing. Sure. Right. Like that&#8217;s probably for someone else to answer. Um, yeah. But I know that people, you know, there&#8217;s, people are starting to ask questions like, Hey, what is, what does all this mean for us?</p>\n\n\n\n<p>Right? And it&#8217;s, yeah. Not necessarily our team at developer relations to answer those questions, but like, as a company, we need to say, Hey, this is what WordPress&#8217;s trajectory means for enterprise type. Yeah, well a</p>\n\n\n\n<p><strong>Cory Miller:</strong> lot of those boutique agencies I&#8217;ve talked to at, in, in the post status community doing so cool things, I&#8217;ve carved out these cool niches.</p>\n\n\n\n<p>Mm-hmm. , I didn&#8217;t envision, um, you know, doing membership sites and e-commerce. With WordPress Pandemic took a lot of in-person, um, physical location businesses and they had to figure out how do we do web? And I thought, I didn&#8217;t [00:30:00] like what they, everybody had to go through, but I, I like the fact that now a lot of these physical in-person businesses have, web presence, that ads, they have something that kind of extends their business.</p>\n\n\n\n<p>And I love hearing those stories. And I imagine that&#8217;s a lot of the people you&#8217;re talking about that you work with too, showing how they can, um, use this awesome tool called WordPress to really deliver excellent client work.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, I, I haven&#8217;t been asked a lot lately, like how, where do I see the successes happening sort of with people within WordPress and, and from a product side, but also from like a service side.</p>\n\n\n\n<p>I think, you know, we&#8217;ve started to see this over the last five years or so, sort of this nicheing of sort of, uh, ca, you know, capabilities. Sarah Dunn, she&#8217;s a, a WordPress person that a lot of people know. She sort of niched down into like the wedding industry and she like completely owns it there. And she was one of the first people that I really was like, you know, like intellectually you&#8217;re like, oh, don&#8217;t niche down.</p>\n\n\n\n<p>Like be, you know, jack of all trades, [00:31:00] right? And so when I started to like really understand like where WordPress is going and I feel. Wholeheartedly that right now, like the people who are gonna rise above are the people who say, I, I don&#8217;t wanna just build WordPress websites. I want to build education WordPress websites, or I want to, you know, be the e-commerce guru, or I want to become the l m S Ninja.</p>\n\n\n\n<p>You know, like where you become known for like, and be an expert in. Providing a solution and with all of what WordPress can do, and this is sort of like talking about like blocks and plug-ins and things like that, is people who will go into a certain market and provide and just take WordPress beyond its sort of general capabilities and say, I&#8217;m going to either build, you know, a plug-in suite or a block suite that caters to a very sub specific subset of people, and then that that&#8217;s where the value truly comes.</p>\n\n\n\n<p><strong>Cory Miller:</strong> So the, and, and I love that too. It&#8217;s uh, 500 flavors times exponential of cool stuff that&#8217;s happening that, [00:32:00] that I didn&#8217;t even know was possible. But it is possible cuz they showed, they showed that you can do it. So I want to kind of turn our attention now as, so you&#8217;ve seen a lot in WordPress over the time you&#8217;ve been involved.</p>\n\n\n\n<p>What are some of the things, looking back, the hallmark. Things that have happened that, um, showcase who we are as a community and who this, what the software is in the world. As you reflect back, what are the things that come to mind? It can totally be theme and design related, or they can be general, but I&#8217;m, I&#8217;m asking these questions.</p>\n\n\n\n<p>A lot of people that have been around Sure. For a long time because I think it&#8217;s very important to reflect back and go, this, this was. Now the second part would be re-imagining the future, right? So as you reflect back, what are those, what are a couple of those key things that moments in our WordPress history or whatever that really, um, made the difference?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> As you know, I have an 18 year old son and so a lot [00:33:00] of our time as a family can&#8217;t believe it. By the way. I know it&#8217;s talking about like how life used to be for us as you know, gen Xers and what life is like, you know, for kids nowadays. Right. Zach and I were just talking about like social media and how he just doesn&#8217;t like the pressures that it brings, and I was like, well, back in our day.</p>\n\n\n\n<p>Right. We didn&#8217;t have to worry about that, even though there&#8217;s benefits to it. Right. And so I think WordPress similar has some similar elements. Right. Like back when we started. There was a lot of true co competition, right? We talked about that word, sort of the co-opetition part of. We were all helping each other.</p>\n\n\n\n<p>You and I were competiting competing, but like we&#8217;re on Google Chat, like comparing notes on how we&#8217;re succeeding and what we&#8217;re doing and what works. And I feel like to some degree life was simpler back then, right? Sort of cliche. Um, it just, yeah, the complexities were lower. There were, there was, it was a smaller market, you know, obviously it wasn&#8217;t 43% of the internet, but it was certainly enough, uh, you know, a handful of people doing things and.[00:34:00]</p>\n\n\n\n<p>I think the success of the premium theme industry sort of sparked sort of the, the sort of like a, a marker here, sort of the, the initial growth of then the plugin market, right? Uh, gravity forms a good example. WooCommerce kinda like the early plugins that&#8217;d say, Hey, you guys do themes, we&#8217;re gonna do functionality, right?</p>\n\n\n\n<p>We&#8217;re gonna sort of find our niche. With, with providing, uh, functionality for people who are using WordPress. And so you kind of go into like the growth and the explosion of the, the plug-in market, which arguably could have dwarfed the theme market because there&#8217;s just so many use cases for it. And so like, that&#8217;s like the first thing I was like, okay, that&#8217;s kind of like when we all started to grow up, right?</p>\n\n\n\n<p>We kind of like, we graduated college and we&#8217;re like, we&#8217;re in the real world now. We&#8217;ve all got real world businesses, like companies making millions of dollars doing things. This is not just like a. Software anymore that the, an ecosystem was formed. Um, and from that, like companies like WP Engine, you know, you know, uh, GoDaddy Page, Lee, all of the people, you know, you [00:35:00] see these acquisitions that so-and-so sold for a hundred million dollars.</p>\n\n\n\n<p>And I think people start to realize, okay, and that&#8217;s when. Um, like a lot of stuff like that&#8217;s when like sort of the greed comes into it, like the V C E O, there&#8217;s real money to be made here, and so it starts to sort of taint the innocent ness of what we got to experience. I often tell Zach, I&#8217;m like, man, life in the eighties was great and y&#8217;all missed out, and I feel bad for that.</p>\n\n\n\n<p>You know? And I, I feel the same way with WordPress that some people who are like, I just started like three years ago and you know, like you jump in and it&#8217;s like living in Tokyo. There&#8217;s like ev people like bustling and like cars everywhere and like transportation and it&#8217;s like, You know, the good old days like hope floats.</p>\n\n\n\n<p>Remember that movie, you know? Mm-hmm. , like small town Americana. Like, I, I miss that. I, I still miss it. Even now, like, again, one of the reasons we sold studio press, I didn&#8217;t know we could compete, and that was from a person who effectively created the market that he was trying to compete in. And so, [00:36:00] you know, Lots, lots of stuff that come into play and, and this dovetails into all of the, the iceberg and mental health stuff, which certainly is a real thing, but, uh, maybe for another, another podcast, but lots to deal with there.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I, I love the emphasis on cooperation that Spirit, WordPress and Open Source and those of us that were starting product companies back in then as a real spirit of cooperation and, um, I think we need a return to that today. Um, for sure. So I&#8217;m so glad you mentioned that, um, because that, that&#8217;s the, the software&#8217;s cool community is what lights it up and makes it magic and.</p>\n\n\n\n<p>People going, I think the subpart of what I take from yours too. Innovation, an idea to do something that solves a problem that&#8217;s really good for the business that has made the business of WordPress what it is today. Mm-hmm. . And I think there&#8217;s challenges we [00:37:00] talked about with WordPress and um, and, and the web.</p>\n\n\n\n<p>But that, I&#8217;m excited because I think there&#8217;s always somebody new coming into the community that has an idea, has something that&#8217;s gonna break the innovation wall down. Um, I think about page builders like you mentioned earlier, beaver Builder and Elementor, and going, when I, when I left Ithe was trying to build, rebuild my site, and I went and used one of those tools and I thought, holy cow, this is.</p>\n\n\n\n<p>We wanted what we tried to do. Yeah. But they did it really well, obviously by their success. Um, and you go, that&#8217;s the cool stuff we need now a return back to that cooperation with innovation. Mm-hmm. and why I, what we do at post status is, I wanna always make sure we have a healthy, vibrant growing business ecosystem, which means we do want WordPress to be successful anyway, cuz we love it.</p>\n\n\n\n<p>We&#8217;re zealots, you know, of open source software. Okay, so I, I [00:38:00] take first is cooperation. What</p>\n\n\n\n<p><strong>Brian Gardner:</strong> else? Ah, Sometimes it, it feels like a blur, you know? Yeah. , yeah. You know, community innovation, just a, a lot of that sort of dovetails in and around, you know, you know, it&#8217;s an ebb and flow in just the, the product life cycle and the community life cycle.</p>\n\n\n\n<p>Um, I&#8217;m trying to think if there&#8217;s any, anything specific. Um, I mean, Genesis for us was obviously a big thing. It really formulated the whole idea of an ecosystem of developers and builders rallying around a, a project, um, who themselves found, you know, co-opt. Petition to help. You know, rising tide lifts all boats, right?</p>\n\n\n\n<p>You had a bunch of people who were developing with the same software, effectively competitors against one another, yet they were the ones who were like referring business to one another and helping answer questions in a forum on how to do stuff because. It really, and, and I&#8217;ve really tried to operate this personally, is the sort of [00:39:00] pay it forward mentality, which is someone was there before you and they wrote about how to do it, and you learn from that and you figured out how to do it.</p>\n\n\n\n<p>And so like the next person who comes along, um, should have some artifact of, of what you learn so that they can then learn how to do it and then, you know, sort of the, the chain goes on. Um, but yeah, I, you know,</p>\n\n\n\n<p><strong>Cory Miller:</strong> What about with the software in particular? Um, obviously we were Drew, we, we, we met and we did this thing cause we were drawn to the software that was enabling us to do things.</p>\n\n\n\n<p>Are there from the software side, um, things you look back and go, you know what that point. Was a critical shift for, you know, for the core software that enabled something. And I, I have my own thoughts, but I&#8217;m curious yours particularly because you, you&#8217;ve always come at it with a design perspective and how do we, this workflow side of like, how do we produce these things that are maybe in our head with this software?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> [00:40:00] So I would say Genesis was one for me personally. And then obviously Gutenberg has been like the second big one. Genesis Al enabled me to do a lot of the things that were sort of pain points. Um, Specifically around beams and designs and websites, stuff like that. Um, so Genesis was like the first like extension of WordPress that said, oh, I can now do all these things that like, I felt were limitations, even though there were several, several things that were like suboptimal about it.</p>\n\n\n\n<p>Um, at the time it was all we could do. Why I&#8217;m so excited now is because like all of those things that I thought were difficult, even though we could work our way through them, Is now possible, uh, to do, uh, there are things I wish I could do better, right? I wish I could build blocks. I wish I could build plugins.</p>\n\n\n\n<p>And so like, I have personally a lot of ideas that I wanna execute on. Um, but I&#8217;m like, all I could do is mock &#8217;em up in Figma, and that&#8217;s the extent of it. And so I wish, I wish, yeah, I, I wish I knew how to build stuff better. Um, and I&#8217;m sure a lot of [00:41:00] other people are, are sort of in the same. Well,</p>\n\n\n\n<p><strong>Cory Miller:</strong> okay, so you mentioned Gutenberg with, I think it&#8217;s critical.</p>\n\n\n\n<p>I was curious if you would mention Gutenberg, but um, talk to me a little bit about Gutenberg and what you&#8217;re seeing, particularly with that part of the project and into the future. What are your hopes and dreams for that, that the software goes to enable people like you, other designers, and even me, I would say still benefiting from all this, um, thoughts about Gutenberg now and into the.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> So Gutenberg for me, really helped make product building and product delivery a better and more delightful experience, right? Like I could build something that looked good, but telling somebody how to do it in the way it had to be done was really problematic. Documentation back in the, like, gotta open these files and do all these things.</p>\n\n\n\n<p>That is really not great for somebody who&#8217;s not versed in WordPress or PHP or anything like that, even though it was the only way to do it. And I, I some I sometimes, I, I have a local copy of the [00:42:00] Revolution, original Revolution theme, and every once in a while I just pop it open for nostalgic purposes and I&#8217;m like, oh my God, how did we even live or thrive off of this software?</p>\n\n\n\n<p>Which is extremely embarrassing to think about . Um, and so, What Gutenberg, when I say Gutenberg, we&#8217;re talking, you know, what originally started out as, um, sort of the whole thing. Now it&#8217;s actually the experimental plugin, but the whole idea of the, the black editing experience and full site editing really allows us as product builders to do things that we can turn over to people that they can then easily work with themselves.</p>\n\n\n\n<p>And that&#8217;s the part I think, That excites me the most is not only can I sort of work within the system and design something that that just kind of looks really well, you empower people who otherwise have not been able to sort of do that for themselves by saying, Hey, you could change colors like in the WordPress dashboard with like one click versus like, Having to open a style sheet, but then you gotta go through ftp, [00:43:00] right?</p>\n\n\n\n<p>Cuz maybe some, you know, hosts shut down the ability to edit fol, like all of this stuff that was like, I don&#8217;t, I still don&#8217;t understand how we got to where we did because there were so many ju uh, hoops to jump through. But what excites me the most though is, is just the ability to. And now the pattern stuff and the, uh, the harmonization of the post and page editor screens, like the traditional WP admin and the site editor, which is essentially the, the merging of them just makes it feel like you&#8217;re doing one thing.</p>\n\n\n\n<p>Cause I think a lot of people were like, oh, well Squarespace is so good cuz it&#8217;s like there&#8217;s, there&#8217;s parody, visual parody between front end and backend. Like I just go to my thing and I type. Hit save and it just looks the way it does on the web. WordPress is not like that, right? The classic editor was like literally just a Google doc, but like on the front end it was like this beautiful design.</p>\n\n\n\n<p>That separation is now closing, and we&#8217;re getting to a point now where, um, at some point people are gonna be like, they won&#8217;t know the front end from the back end, and it&#8217;ll all be just like an experience and they&#8217;ll be [00:44:00] empowered significantly more than they&#8217;ve ever been. That&#8217;s cool.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I, yeah, I, I love hearing about things like, uh, block locking for instance.</p>\n\n\n\n<p>Mm-hmm. , that, that&#8217;s showing responsiveness to the community that&#8217;s really leveraging this as a tool. And, uh, the game over for me, for Gutenberg was I was trying to create a button and, you know, I mm-hmm. barely knew how to create HTML back in the day, and I went to look for a plugin only to realize Gutenberg does those things now.</p>\n\n\n\n<p>Yep. In natively. And then that was the point I was like, okay, this, now I&#8217;m, I&#8217;m stepping in gonna embrace, um, this thing called Gutenberg. And I&#8217;m really curious to see, I know Frost and some of the work you&#8217;ve done particularly was we need a base to start those workflows. Mm-hmm. to use some of these tools and uh, it&#8217;ll be cool to.</p>\n\n\n\n<p>All of that be fleshed out, creatively innovated, you know, along the way to keep, [00:45:00] to keep this thing called WordPress growing. All right, Brian. Thanks man. This was really good nostalgia, but I really wanted to get your perspectives on the, these things. I think it&#8217;s important for us at the 20 year mark, I mean, 20 years on the internet is ancient.</p>\n\n\n\n<p>Yes. You know, and, and so, you know, the question I keep going is how do we. Doing the good work of democratizing publishing on the web, some of these things, I, I not just because of nostalgia. I love the fact that WordPress could be used from a blogger all the way up to a Fortune 500 company. Mm-hmm. and, um, across the world to, to free f Web.</p>\n\n\n\n<p>And, uh, I, I think now is the time for us to kind of remember some of these hallmarks that made us who we. And, um, and then reimagine what, what that looks like in the next phase. And I&#8217;m excited for the WordPress community and that you&#8217;re still here doing cool work, trying to cutting the edge, trying to like break things and push &#8217;em past where they [00:46:00] want to be and show others that it can be done too.</p>\n\n\n\n<p>So anyway, thanks Brian for being on today at Post Status draft. And uh, by the way, so what is the role at WP Engine that you do specifically ? Now,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> yes, I am a developer advocate on the developer relations team, which basically as it stands now, we have two different developer relations team. One is for headless WordPress, which is a little bit more on like the product side at WP Engine.</p>\n\n\n\n<p>And our, our subset, which is uh, Nick Diego, Damon Cooken, myself, uh, Sam Munos is our community manager. We are. Essentially focused on the adoption of full site editing and the block editor. We use Frost as a way to sort of demonstrate that stuff. Uh, we&#8217;re, we&#8217;re supporting our, some of our product teams internally.</p>\n\n\n\n<p>Um, but you know, when I was hired by Heather, uh, Bruner, our c e o, she, you know, asked if I would be energized, you know, in a, in a, a role of this sort. And I said, Heather, I love WordPress. I love design and I love community. So if this role sort of [00:47:00] touches all three of those in various forms, I&#8217;m all for it.</p>\n\n\n\n<p>And. You know, it&#8217;s been a great fit. I love working here and, um, really look forward to all the work we have ahead of us. Cool.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Thanks Ryan for being here today. And thanks everybody else for listening in to another episode of the post status draft. And we&#8217;re gonna press this 20. Um, this is a really good story and one I&#8217;d like to, uh, hear again and again and, uh, it&#8217;s still possible within WordPress in the future.</p>\n\n\n\n<p>Yep.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 14:15:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Olivia Bisset\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147828\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:85268:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> have been working to build a WordPress product live. Their plugin, <a href=\"https://crop.express/#welcome\">Crop.Express</a>, has been submitted to the repo. They discuss the outcome of their submission and continue to develop features. In addition, they discuss building brand identity, cultivating awareness, and developing authority as a needed business. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">73</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>In this episode, <a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> share the results of submitting their WordPress plugin, <a href=\"https://crop.express/#welcome\">Crop.Express</a> to the repo. As they continue to build their product live, they develop branding, messaging, and strategy to validate their business and cultivate an audience.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Expanding Outwards.</strong> Repo offers inherent discoverability for WordPress products, but cultivating broader awareness is necessary for a product to succeed. Creating brand assets, a website, and a newsletter create conduits for growth.</li>\n\n\n\n<li><strong>Feel Out Your Brand. </strong>Be cautious not to box yourself in with branding. Consider what feeling you want people to get when using your product. Go a little deeper and have a little fun exploring the solutions and feelings you hope to offer as you create your branding. Move from literal to conception to better understand what defines your business.</li>\n\n\n\n<li><strong>Ring the Bell. </strong>Identify your customer’s problem and keep talking about it. Invite ideal users to talk about it. Leverage your personal platforms to highlight the pain point and how your product improves it. By telling that story and having others do the same, you start to build a case for your business.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://www.billoreilly.com/\">Bill O’Reilly</a></li>\n\n\n\n<li><a href=\"https://generatewp.com/\">Generate WP</a></li>\n\n\n\n<li><a href=\"https://www.canva.com/\">Canva</a></li>\n\n\n\n<li><a href=\"https://minesweeperonline.com/\">Minesweeper</a></li>\n\n\n\n<li><a href=\"https://www.adobe.com/products/photoshop.html\">Photoshop</a></li>\n\n\n\n<li><a href=\"https://www.stockunlimited.com/\">Stock Unlimited</a></li>\n\n\n\n<li><a href=\"https://www.fiverr.com/?source=top_nav\">Fiver</a></li>\n\n\n\n<li><a href=\"https://www.instagram.com/\">Instagram</a></li>\n\n\n\n<li><a href=\"https://unsplash.com/\">Unsplash</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/\">YouTube</a></li>\n\n\n\n<li><a href=\"https://www.paypal.com/us/home\">PayPal</a></li>\n\n\n\n<li><a href=\"https://contentjourney.com/\">Content Journey</a></li>\n\n\n\n<li><a href=\"https://zoom.us/\">Zoom</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 3 Corey &amp; Cory Launch a WordPress Product Live &nbsp; </h2>\n\n\n\n<p>Cory Miller: [00:00:00] Oh yeah, of course. He, he gets so pissed off and, oh man, we, we<br />watched that a hundred times. Um, yeah, we&#8217;re doing our live reference and stuff.<br />Cory Maass: Still reference it somewhat regularly. Yeah. , bill O&#8217;Reilly, I guess.<br />Cory Miller: Bill O&#8217;Reilly. That&#8217;s it. Oh man.<br />Cory Maass: I couldn&#8217;t have told you who it was, but,<br />yep. Classic, classic meme, classic quote, classic sample<br />Cory Miller: Okay. Tweak that out.<br />Yeah. Um, we were sound like 2009 when we started live streaming with you stream back in the<br />day and it was just sit on the green IKEA type couch. Put the laptop. And then one of the devs<br />were like, you ever seen the Billow rally clip? And I&#8217;m [00:01:00] like, no. Now, I mean, I need to<br />see it. And then I was like, , just do it live.<br />Cory Maass: Yeah. I, uh, for a long time, cared a lot and still would try to, like, for probably five<br />years ago I was still doing like live DJ streaming DJ sets, which I&#8217;m hoping to start doing again<br />soon. But like, was very meticulous about where I put the camera and the lighting and all that<br />stuff. And at some point it was like, you know what?<br />I need to just, I need to remove the friction from this and just make it easy. So it&#8217;s like I just hit<br />like we&#8217;re doing here, hit record, hit stream and go, and whatever happens, happens, you know,<br />but it&#8217;s, it removed all hesitation to be like, you know what, it&#8217;s four o&#8217;clock. I, I don&#8217;t wanna work<br />for the next hour.<br />Let me, you know, let me do something. So I&#8217;ll bang out a DJ set and if people watch, [00:02:00]<br />they watch and they&#8217;ll catch it later, you know? And it was just more fun that way.<br />Cory Miller: I, I love that you&#8217;re open to this because I, it&#8217;s weird, this weird thing. It&#8217;s like<br />whether I&#8217;m riding or trying to write something or do a start a new habit or whatever, it&#8217;s just, I<br />like one having a partner to collaborate with, but two is kinda like putting it out there, you know?<br />Mm-hmm. just putting your stuff out there as raw as it might be. And I&#8217;m really happy that you<br />were open and interested in doing this cause I, I think it&#8217;s fun, you know, not a lot of Lindsay and<br />I did a podcast several years ago and it was just a time remember? And Oh yeah, we had some<br />friends over a couple weeks ago and they&#8217;re like, yeah, we, we did that because, um, we, we<br />listened to a couple episodes and I thought, um, How maybe refreshing it is to hear other<br />people, you know, not that it&#8217;s [00:03:00] comparing, but you&#8217;re just like, oh, you and I doing this<br />Friday,<br />Cory Maass: it&#8217;s not a big deal.<br />It&#8217;s not super polished. Yeah. Yeah. I&#8217;ve always been, I&#8217;ve always been a DIY person and<br />unfortunately it, it is a bit of a bad habit, um, at points. It, it takes the fun out of things for me, but<br />I, I&#8217;ve always been a doer and I&#8217;ve always seen things, and then I think it, I think it&#8217;s sort of the,<br />the way that I&#8217;m an extrovert is, or part of the way that I&#8217;m an extrovert is the, like I learn by<br />doing or I, I learned by replicating or whatever.<br />So it was like, but when I start, like I, I love, mostly what I listen to is electronic music, but a lot<br />of it is now ruined for me because I sit there and dissect it. Um, and, and try to figure out how I<br />would emulate it. And I&#8217;ve, I&#8217;ve managed to sort of untangle some of that, but a lot of it for a long<br />time was like, I can&#8217;t, I can&#8217;t just go to a party and enjoy, [00:04:00] like, I&#8217;m sitting there trying to<br />figure out how I would, you know, create, recreate it or, or, you know, do make something<br />similar.<br />And same with most Art on the wall sculpture, things like that. Like, I struggle with that, you<br />know?<br />Cory Miller: Yeah. It, I love the music side, what we, and for everybody listening. We talked<br />yesterday, uh, Corey had a, came on to talk through something I was working on not related to<br />this product, and gave some incredible experience shares and some advice.<br />And when you were talking about music yesterday, I was like, I&#8217;ve never been that type. I&#8217;ve got<br />the most eclectic music fan, but recently I&#8217;ve been getting into. , um, sound bowls in<br />frequencies, you know? Mm-hmm. . And, uh, it&#8217;s been really fun. Um, and I just feel like, like I<br />want to ban, I want to do my sound bowl cause it&#8217;s kind of my sort of meditation [00:05:00] Nice.</p>\n\n\n\n<p>Where my crazy monkey mind&#8217;s going on. And so when he talked about music, I was like, all<br />right, now we&#8217;re gonna jam about music at some point.<br />Cory Maass: So. Well, and this is where we start, uh, with make the obvious joke of like, oh,<br />what&#8217;s, what&#8217;s your favorite key? What, what&#8217;s your favorite note? You know? Yeah. Because all<br />I can picture is the sound bowl.<br />Like I&#8217;ve got an a minor, but I really, or a, an a, a sharp, but I really like the a, you know?<br />Cory Miller: Yes. So, okay, geeking out for just a second on this. So the, I don&#8217;t know the better<br />term right now to talk about, but the internal and the spiritual side to mm-hmm. frequencies and<br />vibrations. Um, I went to a, I had it over the summer, I got to do a sound bath.<br />Cory Maass: Nice .<br />Cory Miller: And I was like, oh my God, this is the best thing, best thing on earth. I want more of<br />it. So the, these samples, um, and stuff, it&#8217;s just like, so when you said and then mapping them,<br />because my music [00:06:00] education is like eighth grade, uh, you know, and so mapping<br />those to key notes and stuff, cause I&#8217;ve been trying to figure out, okay.<br />I, I will digress. I&#8217;m sorry, , I shouldn&#8217;t digress anymore, but<br />Cory Maass: No, it&#8217;s fine.<br />Cory Miller: Um, no, I&#8217;ll take the rest of the hour and we&#8217;re supposed to be talking about the<br />product, so , I&#8217;ll keep, I&#8217;ll help keep, meet myself in rain, in check here. Um, okay, session<br />number three.<br />Session number three is going. Um, okay, so here&#8217;s the update. We, yesterday you, we, you<br />submitted the plugin to the repo.<br />We&#8217;ve got that episode on, uh, YouTube and, um, so we&#8217;re kind of in the waiting. For what<br />comes back from the approval processes, maybe? Or are we or are we ho ho.<br />Cory Maass: Um, so I, I want to call you out a little bit cause I think that again, the, you know,<br />in, in the, at the 10,000 foot level [00:07:00] or the transparency level or whatever, like you had<br />set a deadline for yourself for the read me last week and I could tell you were struggling with<br />like, the perfectionism, perfectionism of it or the, you know, I don&#8217;t, I&#8217;m not sure what I should do<br />here.<br />And so when you pinged me yesterday with, we were, we were going over some ideas, um, and<br />doing revisions and stuff, again, I could, I got a sense that you were not totally stuck because<br />you were working on it, but that we could be more productive by doing it together. And so we<br />jumped on a call and that was why.<br />You know, we&#8217;re, we&#8217;ve been trying to do this regularly, Wednesdays at noon, but we were<br />joking that that was, if this is session three, that was session 2.9 because it was, you know, not<br />our regularly scheduled program slot, but we got, it was another very productive hour. And,<br />[00:08:00] and another way that we helped each other through a process, because then it was,<br />you know, we did some really good brainstorming.<br />I, all of which I think is on film, that&#8217;s, wow, I&#8217;m aging myself. All of that is on YouTube. Um, but<br />talking through, just sort of brainstorming general ideas, distilling it down to a, a few sentences<br />enough so that we could just get it out the door. And at which point we were like, okay, it&#8217;s,<br />we&#8217;re, we&#8217;re good enough.<br />Let&#8217;s just do this. Um, so. Yes. Um, I actually read, uh, you tweeted, you know, we submitted the<br />plugin and I said, and we heard back, you know, what did they say? I tried to build a little<br />suspense, so, you know, for the thousands of people watching and listening right now, um, you<br />know, on the edge of their seats.<br />So, uh, we heard back within the same day, uh oh, okay. Which is really impressive. Um, and,<br />uh, the [00:09:00] only thing they needed us to change was we used Generate WP to create<br />that readme. And in so doing generate, WP created, um, one of the plugin tags or, you know,<br />line items at the top, um, was. One called Update URI and they don&#8217;t want that included in<br />plugins that are included in the repo.<br />Cory Miller: Hmm.<br />Cory Maass: So the only, if I&#8217;m reading the email correctly, the only thing we needed to do was<br />remove that one header and then resubmit it. .<br />Cory Miller: Okay.<br />Cory Maass: Which is, which is, there are a couple of things that I wanna say about that. One<br />is, uh, you know, we did a good job, uh, of writing simple enough code or whatever, but more<br />importantly to me, We, I&#8217;ve never, so I&#8217;ve, I&#8217;ve submitted I think like three or four plugins, not a</p>\n\n\n\n<p>[00:10:00] lot, but I&#8217;ve never had them come back and not say like, oh, you missed a place<br />where you need to sanitize or use anot or some, you know, usually, usually it&#8217;s some little bit of<br />security, um, type stuff that I, I miss cause I&#8217;m just kind of banging through.<br />I think in terms of MVP, like, I will, you know, clean this up later. Um, but we, by submitting<br />basically an MVP, a single more or less simple version, uh, I think is, you know, it, it limits the<br />likelihood that they&#8217;re gonna go, oh, well, you know, there&#8217;s, there are these big problems or<br />there&#8217;s a hundred problems.<br />So, um, so fingers crossed they do say, um, do, do, do we believe this to be the complete<br />review of all issues found in your plugin. So make the corrections, review the, in the code,<br />resubmit it. I threw it up on, um, [00:11:00] my P cloud for them to download. And then, cause I<br />know that they run the code through some automated stuff, but I do know that a human also<br />looks at it, so there&#8217;s a chance that they come back.<br />I might be, I&#8217;m jinxing myself that we did so well because maybe they, they discovered<br />something on the second review or something like that. But, um, but yeah, so within a day did a,<br />uh, one line revision and sent it back. And so maybe this week we&#8217;ll have this thing up in the<br />repo.<br />Cory Miller: That&#8217;s great. That&#8217;s great news.<br />Um, you know, I think yesterday you mentioned like first time I&#8217;ve, or first time in a long time<br />since I&#8217;ve submitted a plugin and I was like, I&#8217;ve never done that process. I don&#8217;t even think I<br />knew, you know, Never done a read me, never submitted it myself. Team did, of course. But um,<br />no. So all that, so that was really interesting seeing it behind the scenes.<br />And I gotta say over 15 years I&#8217;ve been doing WordPress is, uh, we&#8217;ve [00:12:00] come a long<br />way, you know? Yeah. Um, uh, a lot of things have, you know, there&#8217;s always things we got, you<br />know, people grab about and we got things that, you know, aren&#8217;t the great, the best, but I love<br />the spirit of like, we continue to move forward as a community.<br />And so, but it was interesting doing the Readme file because, um, I can&#8217;t imagine as a<br />developer, you spend all this time just trying to write code, get the functions, you know, to do<br />what she wanted to do. And then you have this read me stuff and I was like, okay, if I&#8217;m not a<br />developer and I&#8217;m having a block about this, I can&#8217;t imagine others. But you made the process<br />awesome, and I really appreciate that. That was one thing. I do like co-working sessions like<br />that. I really have found in the last couple years just coworking if somebody&#8217;s like, Hey, could<br />you do this? I get in my own head space and blocked mm-hmm. , and I&#8217;m like, sometimes I&#8217;m<br />like, could you just be there?<br />Right. Uh, but yesterday you [00:13:00] were given good directio n.<br />Cory Maass: Well, and, and I&#8217;ve, I&#8217;ve had a little bit of experience with it, but it&#8217;s also like, it was,<br />I found it easier than I often do because it was, I wasn&#8217;t context switching. Like what I often am<br />doing is I&#8217;m banging out code and then I&#8217;m like, okay, I&#8217;m ready to submit this.<br />And I&#8217;m like, crap, there&#8217;s a whole laundry list of other things that I need to do or, or want to do a<br />logo, uh, the support link that we set up, like all that kind of stuff. And, and it&#8217;s, that&#8217;s, that&#8217;s the<br />hardest part of being a solopreneur, which is usually my situation of like, okay. And I was even<br />doing this this morning for some, for a different product of like, I needed to do a little code<br />update, but then I needed to tweak the logo, but then I needed to, you know, update the email<br />that gets sent when somebody purchases.<br />But then I need to, and it&#8217;s like, man, you&#8217;re just, it&#8217;s tough being all over the place. And so you<br />and I sitting down and [00:14:00] going, we&#8217;re gonna do the Read Me, you know, and, and went<br />a little deep on like the beginning of, um, what is our wording? What is our message? What is<br />our pro, um, uh, our problem statement?<br />What is our, you know, I, I was actually able to do that, which I&#8217;m not always, isn&#8217;t always the<br />case. Yeah.<br />Cory Miller: It&#8217;s like we&#8217;re a two person mastermind.<br />Well, um, okay, so. We&#8217;re there, I mean, very close final stages of getting the plugin. Um, we<br />talked a little bit about this, but what&#8217;s our list of things we got next? Um, I, so we have the<br />website and that&#8217;s one part of it. Mm-hmm. , um, we, we talked about that. We need to have,<br />we&#8217;ll do some changes like there, there&#8217;s the SaaS side of it, you know, just being able to<br />[00:15:00] crop it online. Um, but now we&#8217;re gonna potentially get people coming to the website.<br />We got the email newsletter set up.</p>\n\n\n\n<p>Actually, I should check that. I forget our list. But, um, what&#8217;s on, what&#8217;s on your mind for next<br />steps? I, I tend to think in the marketing is website and email list. So to me it&#8217;s<br />Cory Maass: yeah, well, expanding outwards, right? So starting with the plugin in the repo,<br />which we talked about a couple, like last week, I think of like, because of the inherent<br />discoverability, and obviously because we are talking about it, we&#8217;re gonna start to get a trickle<br />of users.<br />Um, and so we want to be able to, so, so in order to make the best impression inside the,<br />[00:16:00] the.org plugin repo or plugin directory, they want to, want us to call that, call it now.<br />Um, we need images, like banners, and so, uh, I can, I can create those pretty easily, easily in<br />Canva. Um, we don&#8217;t actually need a logo yet.<br />We, I, it&#8217;s more fun if we, you know, it&#8217;s kinda like buying a domain, like creating a logo to me is<br />really fun. Um, or, or having one made or ha whatever process we wanna do. But for the time<br />being like we just, you know, there&#8217;s a mast head essentially, and so we can just literally write<br />the words crop express in our, in.<br />Um, you know, whatever tagline we, we wanna start with. Um, but I feel like that, because the,<br />by default, if you don&#8217;t do that, then you get, um, the, the repo will do these sort of plaid, you<br />know, just sort of placeholder [00:17:00] images and um, you know, some of the best plugins out<br />there created 10 years ago still have those.<br />But where we&#8217;re starting and we we&#8217;re essentially starting to create a brand, now is the time to<br />already create something. And again, we can swap them out as often as we want. Yeah. Um,<br />but to have a little square icon or image or something, and then that masthead, I think is, we<br />wanna do sooner than later.<br />Cory Miller: Mm-hmm. ,<br />Cory Maass: um, which I think, you know, this is always the. You know, there&#8217;s no, what was it<br />back with Windows? Like you couldn&#8217;t delete, um, Minesweeper because it was somehow<br />connected to the Notes app or something, you know, this kind of thing. Like there&#8217;s this, all this<br />interconnectivity, but it&#8217;s like by create, also by creating the Masthead Indoor, starting to think<br />about a logo that&#8217;s gonna help us continue to refine some of the marketing language.<br />Um, [00:18:00] so to me that&#8217;s the, all that stuff is kind of on my mind. cause I think that some<br />people are going, going to, fewer people are gonna be going to crop.express the website right<br />now because we&#8217;re not selling anything. We&#8217;re not doing, we&#8217;re not pushing anybody towards it<br />kind of thing yet, you know?<br />Cory Miller: Mm-hmm.<br />the only thing I want to just emphasize from the marketing side is, uh, as soon as we can<br />having, um, conduits to get people to sign up for our newsletter. Yeah. Um, just so we have a<br />base, it&#8217;s what I. For sure is a center point strategy. Um, so when we talk about logo and<br />masthead and the brand, one of the things maybe for discussion for us is what do we think the<br />minimum?<br />And it may just be those two, right? But minimum things we need for someone to be able to go,<br />I&#8217;m gonna try that out. And then we&#8217;ve talked [00:19:00] heavily about like, the intention for this<br />first is to get feedback. Mm-hmm. , um, in what they want next. Like give them enough of a<br />spark to go, I want more. Yeah. Um, and we&#8217;ve, we&#8217;ve got that in plugin.<br />Um, the request a feature type thing. Mm-hmm. . So I&#8217;m thinking of what&#8217;s our next step?<br />Minimums. So we&#8217;ve got logo and masthead. We need, we need that. Um, We already got email<br />newsletter. We talked a little bit about website, the initial promotion I have down here. Anything<br />else on your mind about next steps that we missed?<br />Not yet. Nope.<br />Cory Maass: Okay. Again, I think it&#8217;s just, yeah, starting to fill out. It&#8217;s like we, we have the<br />engine now, you know, what is, what does the car look like? And we don&#8217;t have to build all the<br />other models of car and we don&#8217;t have to build the [00:20:00] dealership and we, you know, all<br />that&#8217;s down the road. But to get started, like, yeah, we need, you know, just, just sort of to start<br />expanding outwards.<br />Cory Miller: Okay. So from logo and mass head standpoint, um, I try to fancy myself as design<br />and it&#8217;s more like I can design taste. I&#8217;m not, if I fancy myself a designer at some point in my life<br />now I&#8217;m like, Nope, not a designer anymore. just one with hopefully good taste. Um, I do have<br />an outlet. Like you, you did mention Camba.</p>\n\n\n\n<p>I do have an outlet to get something designed. Um, so what&#8217;s your preferences and everything<br />on design? From a brand standpoint? I like personally clean, modern. Yeah. You know, I, I think<br />about the iconic cropping, you know, right. Cropping.<br />Cory Maass: I did try to get away from, um, like, so, [00:21:00] so what I&#8217;ve been doing lately is,<br />um, like I, I started in the late nineties, you know, when you would literally design a website in<br />Photoshop and then cut it up.<br />Um, and so I still have, uh, the technical chops just like you. At one point considered myself a<br />designer. I still care a lot about it, but I, I know I do not begin to, it&#8217;s a muscle and I, that muscle<br />has atrophied. So, um, but what I, what I will often do now, because again, I, I can tweak<br />something pretty readily as like the, the scissors icon that I have on the website now was clip art<br />that I found.<br />Like I have a lifetime license to Stock Unlimited. So I went in there and I was like, you know,<br />what is cropping? Um, You know, scissors or something like that. I found a vector graphic that I<br />like, I tweaked it slightly so that it looked [00:22:00] more the way I wanted it. A little friendlier,<br />like I rounded the edges and stuff, and that was, you know, that was V1 of the logo.<br />Um, I, I got to have fun choosing some colors and, you know, playing in, um, illustrator or, I<br />guess at this point I use Affinity Designer, but you know, it&#8217;s not, um, not much more than that<br />because I honestly, I now consider pretty much everything an MVP including logos until they&#8217;re<br />not, you know, if, if once it&#8217;s very important that we have brand recognition, then, then we lock it<br />down.<br />But until then, um, okay. I also frequently will use fiber. Like I&#8217;ll go on and, um, hire multiple<br />people. and then take all the, I usually think of it more as like a, a brainstorming session and I&#8217;ll<br />take all the concepts. I very rarely have had somebody come back with something that I&#8217;m like,<br />that&#8217;s it. Done.<br />Mm-hmm. . Um, [00:23:00] so I&#8217;m, you know, that gives you an idea of sort of my, my usual<br />method. The only other thing that, that I have cared about lately is, oh, well, two things. One, I<br />did try intentionally to get away from the iconic cropping icon. Um, just I think as much as an<br />exercise of like, can we go beyond that or, or can we allude lightly to that without it being the<br />obvious, um, you know, icon that everybody expects.<br />And then the other thing is, I&#8217;ve been trying very hard to use color palettes that are a little<br />outrageous, especially on the web. Um, and so like I&#8217;ve been, lately, I&#8217;ve been googling eighties<br />color palette, , eighties colors, and then using those, so it&#8217;s like hot pink, magenta or, you know,<br />um, neon colors or, yeah.<br />And, or, um, another app, I, I, same sort of thing. I googled seventies and it&#8217;s, so, it&#8217;s like the<br />[00:24:00] burnt orange, you know, but it&#8217;s just like, I don&#8217;t want the, the standard, like the<br />WordPress blue hurts me right at this point. Like, it, it is what it is and it, it is what it should be,<br />but how do we stand out, you know?<br />Yeah. So, um, and I think, you know, we&#8217;ll, we&#8217;ll pick and choose how much we, if we go totally<br />outrageous, how much we actually put that into the plugin, but at least for logo branding, stuff<br />like that. Like how do we. Stand out.<br />Cory Miller: So, yeah. Hey, I&#8217;m good with that. I mean, you go hot pink. I&#8217;m, I&#8217;m fine with that<br />too, you know?<br />Yeah. Um, it&#8217;s just fun. Do you want to take the, the lead then on, on the logo and masted<br />sounds like you got some energy and kind of vision for<br />Cory Maass: Yeah, I, I have fun. I have fun doing it. I think the, I could use help with, um, I<br />mean if we&#8217;re [00:25:00] content with the scissors and we just want to change the colors or<br />maybe we don&#8217;t even want to change the colors, like then we just run with what we&#8217;ve got.<br />It definitely could use some punching up and I&#8217;d love another pair of eyes. Um, if not that, then<br />I&#8217;d, you know, I think it would be great if we. 15 minutes together or some time apart just going,<br />what are conceptually, what do we wanna do or what, what would be fun and unique or what<br />would be weird and outrageous or, you know, more concepts.<br />Yeah. Because again, like, I just wanted something. Yeah,<br />Cory Miller: absolutely. Um, I, I mean, I like the eighties thing you&#8217;re talking about, and you<br />know, I was trying to think like, what are the modern kind of thoughts when you think about<br />cropping? Uh, and I, I think about, um, Instagram, like their version of cropping is not the, the<br />crop symbol.</p>\n\n\n\n<p>It&#8217;s more like a square with the rule of [00:26:00] thirds in there. Mm-hmm. . And so I tend to<br />think like, how do people today, what are they familiar with? And Instagram seems like, you<br />know, most I would. Think most people have used Instagram and know what that cropping tool<br />is. Um, how that&#8217;s like, it&#8217;s, isn&#8217;t it, let me like, real quick.<br />Cory Maass: It seems like I, I like what you&#8217;re saying because it&#8217;s, it&#8217;s also Instagram sort of set<br />the standard for we accept squares and now they accept other, other things rectangles. But um,<br />it&#8217;s, it is the modern version of, or the updated concept of like, you know, initially it was like, it is<br />a square, it is whatever it was initially, you know, it&#8217;s 800 pixels full stop.<br />Cory Miller: Yeah. And now I&#8217;m trying to like, yeah, it&#8217;s, it&#8217;s kind of the rule of thirds and you<br />[00:27:00] just pinch in out, I thought, how does Camba do it? Or does Camba do Camba does<br />cropping in there somewhere?<br />Cory Maass: They do. I mean, but it&#8217;s to me, It&#8217;s this, it&#8217;s very sim it&#8217;s the same concept as like<br />Photoshop or Illustrator or whatever, where you&#8217;ve got the four circles.<br />And so you can grab a corner and, and you can, you can move the mask or you can resize the<br />whole thing. But it&#8217;s, it&#8217;s very free. And, and I think I, you bringing up Instagram I think is a really<br />interesting, it&#8217;s not a metaphor, but a comparison in some ways because we are crop express<br />sort of. The point is that we don&#8217;t let you just free form crop.<br />We like lock you down to correct image size and aspect ratio. So<br />Cory Miller: yeah, we, we [00:28:00] guide you in the best, right? So you don&#8217;t have to make<br />mistakes. But we keep, I think we keep betting, our first feature request is gonna be a custom<br />dimension.<br />Cory Maass: Which is fine, but because again, it&#8217;s like you plug in something and then lock it<br />down.<br />So it&#8217;s, um, having fun running with the concepts of, you know, in the eighties, I think you and I<br />were both, uh, in elementary school, um, which brings to mind, um, uh, safety scissors, like the<br />little kid safety, scissors. Um, which is also a thing that was like, it locked you down, like you<br />couldn&#8217;t stab your friend.<br />Um, not that we didn&#8217;t try, um, no running with scissors. Um, I&#8217;m picturing like cutting out<br />cardboard, um, construction paper. Um, and so it&#8217;s like that leads me to the thinking of like, what<br />is the result we&#8217;re talking about of cropping, which is obviously an image, but it&#8217;s like, is there<br />something [00:29:00] with um, uh, shapes or, um, What&#8217;s that, that game where you have, you<br />know, it&#8217;s like telegram or something, a gram where you&#8217;ve, you know, you put the triangle and<br />the square together and make a house kind of thing.<br />Cory Miller: Um, oh yeah. It&#8217;s funny, I just googled this and I saw one of these up here and I<br />can&#8217;t find it, but I had like kind of a safety scissors, if you can see that right there. Oh,<br />Cory Maass: yep, yep. Right there. Yeah. See, I like that to me is already a little cuter than the<br />ones that I initially<br />Cory Miller: grabbed. This is, see how that, see how this little thing right here?<br />That&#8217;s what I was thinking Instagram was, but I couldn&#8217;t find it on my phone. But this is what I<br />was thinking. It&#8217;s like, this is pretty familiar, you know? Yep. However it needs to match. I think<br />probably something in there, but I almost, I don&#8217;t know. I, I don&#8217;t want to get too, uh, particular<br />about it because I think you, [00:30:00] you got the grass.<br />I will say, we know we have a bigger. Vision than just this, in this realm of photo manipulation,<br />editing, getting the right thing in the design. Um, so I, you know, I&#8217;m pretty open. It&#8217;s like, I feel<br />like the feeling we want, this is maybe what we could talk about, the feeling we want is I rely on<br />that. Oh, that made that easier.<br />You know, the relief, the being able to kind of get to the finished pr, their finished outcome, that<br />our thing is just one part of that. But you know what I mean, we talked a lot about this with our,<br />uh, e-commerce product back in the day, is what&#8217;s the feeling we want for people to get? And<br />we want a e-commerce to be fun and feel lighter than just like, oh my God, it&#8217;s like I&#8217;m filling out<br />a tax form, you know, , that&#8217;s what it kind of feels like.<br />Um, so any thoughts? Any thoughts there? [00:31:00] And, and we&#8217;re going a little deeper than<br />we probably normally would to, but kind of fun to me to, to talk about these things.<br />Cory Maass: Yeah, agreed. Like, I mean, conceptually, this is, this is definitely some of the fun<br />part. Um, I liked what you said about, so we were, we talked a lot yesterday about workflow, and<br />you said just now the, the feeling of making things simpler.</p>\n\n\n\n<p>And I&#8217;m like, okay, so if you&#8217;ve got a laundry list of things you have to do, however that&#8217;s<br />represented, a list of things vertically or blocks side by side, and then like somehow<br />representing the, the removal of items in the middle so that it&#8217;s, you go from A to B or you know,<br />A to Z. In four steps instead of 20.<br />How, how many letters are there in the alphabet? 26, I think. But anyway, you get the idea, you<br />know, so I&#8217;m, um, and that [00:32:00] what you just showed with the, um, the grid, the cropping<br />grid, um, I&#8217;m picturing, you know, two squares with the cropping grid in the middle. That kind of<br />represents like we re we removed something from, you know, from this line of blocks, but you<br />also get the sense of like, oh, you&#8217;re cropping a thing in the middle.<br />Um, you know, so some of these visual concepts. The other thing that came to mind was on<br />that, with that grid, like the first masthead we do, I think should have the cropping grid on it. Just<br />because that way, like you said, it&#8217;s a visual visually, you immediately go, oh, that&#8217;s we&#8217;re<br />cropping image.<br />Cory Miller: This is a version of what we were doing yesterday with the read me files.</p>\n\n\n\n<p>We&#8217;re trying to paint a picture. Right. And I think you just nailed it. Is that some signal, image-<br />wise on masthead of like, that&#8217;s, this is what that does. Like there&#8217;s not even words. It&#8217;s like</p>\n\n\n\n<p>recognition. Mm-hmm. . And I think that&#8217;s pulling it in and you know, I [00:33:00] was thinking if<br />we step up a second, we go, it seems like a lot of the things we&#8217;re talking about with this product<br />in the future direction is um, big category banner is content production or content.<br />Content production. And then we step down and we drill down to that. And it&#8217;s like you talked<br />about expanding out. I got expand way out then to come back in is content, content production,<br />workflow, images, that seems like everything we&#8217;ve talked about is like in that image category.<br />So that. Some visual display to connect.<br />I&#8217;m in the visual, like I just Googled, uh, affinity Designer. Cause I was like, well if you, I wanna<br />see this. I&#8217;ve, I was a early Photoshop user. Yeah. But it&#8217;s like that feeling of, it&#8217;s a tool for<br />creation. Mm-hmm. You know? Mm-hmm. or mani manipulation is not the right board, but, you<br />know, um, I think connects it down.[00:34:00]<br />So I, I dig that.<br />Cory Maass: Yeah. And I, I like what you&#8217;re saying about, I think the top conceptual, like where<br />you go from literal to conceptual is there&#8217;s a line above image, photo or image images. It&#8217;s like, I<br />don&#8217;t think we we&#8217;re going to apply the word crop to text or something else. And so it&#8217;s like<br />literally we are going to be.<br />Cropping images expand that we&#8217;re manipulating images, expand that dealing with images,<br />expand that you get conceptual of content creation or something. So yeah, I like the idea of<br />buying in now to something that, that draws a, draws that line that says we&#8217;re talking about<br />photo or image images and that get, that lets us, you [00:35:00] know, then we can do anything<br />we want down the road.<br />Because like we&#8217;ve also talked about, we don&#8217;t wanna lock ourselves into features. We want our<br />users to lock us into features or inversely let us expand other things. But it&#8217;s like, I don&#8217;t, if we<br />end up talking about. AI words, then to me that&#8217;s, we, we then go, okay, are we starting another<br />plugin? Um, you know, but we could do AI images and that would still be in the con maybe in<br />the concept context of Crop Express.<br />Cory Miller: Holy crap. Dude. Now you&#8217;re gonna get my mind like buzzing. But the AI images<br />thing, future roadmap mm-hmm. for discussion there. Because what just I, I like anchoring this<br />back on this, just like you&#8217;re doing different ways. Um, when we originally talked, we were like,<br />what could this be in flow as you&#8217;re going [00:36:00] down mm-hmm.<br />um, you know, and be like, okay, there it is. Um, I click an image in Gutenberg code editor and<br />then I get to upload media and the cropping tools are right there, and I think. Native. I think that<br />is a good experience. That&#8217;s how I do content production. People have bigger teams, of course<br />they&#8217;re gonna have other sophisticated tool Sure.<br />Tools, but we&#8217;re kind of in this almost everyday content producer, you know, which is a lot of<br />buckets. Yeah. But gosh, that&#8217;s compelling. The AI image side is like, that&#8217;s how we started this.<br />And we decided our big critical decision was to pull it out just to the featured image, to start<br />there, see where our demand went.<br />But if we go back to that original kind of thought was, put it in the flow. You know, I start with a<br />headline, then I start writing and I add my, you know, images as I go [00:37:00] thing. That AI</p>\n\n\n\n<p>potential could really be cool. Oh yeah. Um, with all the open AI talk and the channel we have in<br />Slack, I&#8217;m, I&#8217;m really.<br />Curious, like I wanna run into this whole new field and see what&#8217;s there, . Um, so like this image<br />side of that is really compelling because I don&#8217;t know about you, this is about the product<br />experience, but finding an image is a terrible experience. That&#8217;s why I don&#8217;t do it. So<br />downstream, if we think about this image AI thing, it&#8217;s like how can we help someone get the<br />image effect, the visual placeholder guide, part of the story you&#8217;re writing in your post content? I<br />think that really fits to put on the future discussion side.<br />Absolutely. But, but this is my process and I&#8217;d like to hear yours cause I want to hear, I want to<br />hear more user stories about how they do it. cause if we can get in [00:38:00] line with enough<br />people and understand how they do it, then we got innovation ideas all day, then we can just<br />help them with their workflow. So, I don&#8217;t do this regularly, but I&#8217;m like, okay, I want an image.<br />I&#8217;ve, to me, I write and that&#8217;s an exploration. Oftentimes, I don&#8217;t have a formula or a framework. I<br />think a lot of PE other people do, specifically like Lindsay at Content Journey, they have a whole<br />workflow. But finding something in there. This would be interesting, Corey. Don&#8217;t let me<br />daydream too much.<br />Okay. This is conceptual. I have no idea how it would get done necessarily, but imagine you<br />write, you write your post and you&#8217;re like, you want the featured image crop express, click the<br />button, it looks at some keywords. Oh, for sure. And then develop something for that, you know,<br />featured image thing. That would be, I mean, I know we&#8217;re still early in all the M N J I stuff, but<br />like finding the right prompt for that, that [00:39:00] comes out with something interesting.<br />Oh yeah. Saves a ton of time, like, oh yeah, you mentioned your service. I, I&#8217;ve used Unsplash<br />in the part and I always get frustrated cause I&#8217;m like, nothing matches my style. Nothing. It just<br />feels hokey, you know? Yeah.<br />Cory Maass: And that&#8217;s, so, yeah, it&#8217;s, it&#8217;s definitely something I think would be fun to explore<br />down the road and, and certainly fits in the, the overall, the problems we&#8217;re trying to solve of<br />making content creation easy and filling out, you know, that last mile, the last mile is the hardest<br />mile kind of thing.<br />Writing the blog post, I won&#8217;t say is the easy part, but it&#8217;s the part that I think you&#8217;re absolutely<br />right, Most people don&#8217;t go and find a picture. They wanna, they wanna write about, you know, I<br />don&#8217;t know, house plants or something. They don&#8217;t go find a picture of a house plant and then<br />write the blog post.<br />They come to WordPress to write a blog post about house plants and then are like, okay, I<br />better put an [00:40:00] image in here of a house plant. And then, Just as you said, like there&#8217;s,<br />there&#8217;s endless scrolling and discovery of find, trying to find the fir the, the perfect image. Um,<br />that could go in a lot of different directions and, and could, could be huge, could be a really big<br />lift or a tiny lift depending on what we wanted to do.<br />Like there are already services that will, that take advantage of like Unsplash and some of the<br />other open free ones that do basic keyword matching. Um, so I think we just kind of keep an eye<br />on that space or that functionality. Um, cause it, cause yeah, combine discoverability or um, uh,<br />finding images, but with the way that AI is manipulating images.<br />So you&#8217;re like, you know, go look at all the images of house plants on Unsplash and, and<br />whatever other public ones, but now generate something in the style of da Vinci boom. You<br />[00:41:00] know? And, and keep regenerating until you get one you like, and then, you know,<br />so, but that&#8217;s, you know, the, the lift of that is not something we can do for free.<br />I&#8217;ll say .<br />Cory Miller: Yeah, exactly. We need somebody to pay us. Okay.<br />Cory Maass: But yeah, but I do, I, you know, all of this exercise, it&#8217;s like, okay, yes, I won&#8217;t let<br />you daydream for the next two hours, but all of this, you know, us mentioning different random<br />things, I think helps dictate, like, at the beginning of this conversation, I was like, oh, scissors<br />are fine, let&#8217;s run with it.<br />But, you know, if our hope is down the road, we&#8217;re expanding way beyond literally making an<br />image from this size to this size, then a then scissors is probably not the, the metaphor, the<br />visual metaphor that we want. It&#8217;s not inclusive enough, so, you know, [00:42:00] What, what<br />other visuals, what other icons or objects represent the visual, you know, an eyeball or glasses<br />or, um, I don&#8217;t, you know, a camera.<br />Yeah, I mean, that&#8217;s Instagram.</p>\n\n\n\n<p>Cory Miller: Yeah. So just segue in for a second to prep our conversations. We&#8217;re making<br />incremental progress and a lot of this stuff. So we got one Lego and mast head. You&#8217;re gonna<br />start with that. We&#8217;ll go, come back and forth. What things can I be working on? Um, two,<br />Cory Maass: I I would love you to start thinking about a first, a couple of things.<br />One, um, this is the stuff that I, I understand conceptually, but cannot. Ever wrap my head<br />around is like, how do we, is the, what is it? The, there are two [00:43:00] dimensions. There&#8217;s<br />three dimensions of, of space, but the fourth dimension is time, right? So I have a real hard time<br />with time with, uh, we get, we get to the point where we&#8217;ve got a logo that&#8217;s fine, a masthead.<br />That&#8217;s fine. A read me, we&#8217;ve, we&#8217;ve, you know, some people are trying out, you know, then, like<br />you said, um, promotion and what does that look like and what does that look like over time?<br />Um, if we&#8217;re gonna start emailing people as, as people join the mailing list, um, you know, what<br />is the monthly newsletter or whatever the cadence we decide on, what, what is, what does six<br />months of that content look like?<br />I mean, obviously like, I&#8217;m not expecting paragraphs, but just like conceptually, you know? Um,<br />and then, and then also I think, um, How do you envision the evolution of the website?<br />[00:44:00] Where again, right now it is a single purpose, you know, single page app, but that still<br />needs to be on the site somewhere. But obviously we wanna start migrating the website to be a<br />landing page to hold hands with the plugin.<br />Um, you know, and again, we&#8217;re not, I&#8217;m not talking huge major redesign tomorrow, but it&#8217;s the<br />like, cause it&#8217;s, it&#8217;s you saying, okay, if, if the goal is, you know, we&#8217;re ramping up content output<br />within the next couple of months, then, then you need a place to put that content. So within the<br />next couple of months, we need the website.<br />you know, roughly to have these five things, a blog so that I could put blog posts or a<br />documentation, um, section so that we can start writing documentation or whatever. Um, so that<br />kind of thing, because I think there&#8217;s, there&#8217;s going to be a point where we [00:45:00] need to<br />put, um, railroad cars in order mm-hmm. so that we&#8217;re not, we&#8217;re, you know, not getting in our<br />own way.<br />And you are empowered because there&#8217;s, you know, I think part of the, the arc of this kind of<br />situation that often happens is, you and I have fun brainstorming, but upfront I&#8217;m gonna do most<br />of the work of development and that kind of thing. But then at some point, the roles switch<br />where it&#8217;s like, okay, I&#8217;ve delivered, I&#8217;ve given you something to sell.<br />Now go sell it. Mm. And so I wanna make sure that I&#8217;m not just adding features. And then you&#8217;re<br />like, okay, great, I&#8217;ll now go sell this thing. I need to start writing blog posts. We need a blog. And<br />I&#8217;m like, oh crap. Like we are not set up for that at all.<br />Cory Miller: Um, okay, let me talk, talk that out. That&#8217;s, uh, that&#8217;s great framing for me.<br />Um, so promotion. So product is out. We need [00:46:00] some eyeballs, we need somebody<br />testing it. We need somebody using it. Um, so I think my first step to me is how do we talk about<br />it personally? Use our own platforms cause we don&#8217;t have a platform on crop express. So right<br />now we&#8217;re depending on, uh, repost. Um, our audience, which I think is great.<br />We have audience, we have people that do this stuff. Um, then we have a conduit to talk about<br />it. cause a lot of the agency, the builders, people are in Post Us, which is great. So we can be<br />like mm-hmm hit us up on Slack, um, to to, to talk and give us feedback and stuff. I think what<br />we&#8217;re trying to, trying to validate, I guess in the more scientific way is where&#8217;s the interest?<br />You know, have we hit something? Are we there? Have we hit gold yet? [00:47:00] Um, so to<br />me, how do we get enough eyeballs is the question on the plugin. Like, use it and get some<br />response. And I think we&#8217;ve got something here that either negative or positive, we&#8217;re gonna get<br />something to gauge. , what&#8217;s the next critical thing?<br />And as we&#8217;ve said before, like I think the feature request side of this is the key right now is<br />somebody using it, going, I want this, I like this, but I want this. And then we gotta, we start to<br />build that business case for, okay, well if we built that, you and I can make those, those<br />decisions. Mm-hmm. . So just talking this out loud, without really processing it, I go use our<br />personal platforms to get some burst.<br />I think it would be interesting, I, I go to some of these outlandish things only to calibrate a little<br />bit. So when I say this, I wanna get that disclaimer. [00:48:00] It&#8217;s like, you want a banner, you<br />wanna ring a bell and say, this sucks. We made it better. Like, doesn&#8217;t this suck? Mm-hmm. ,<br />you know, so I almost. Cropping images sucks.</p>\n\n\n\n<p>You know, there&#8217;s this thought of like, I, I come back a lot to cause you know, cause is the<br />customer&#8217;s problem. And so I go, okay. I mean that was what I told you initially, like months ago.<br />I go, this, this process sucks, right? Like, I don&#8217;t like it and I&#8217;m not trying to throw shade on any<br />of the core contributors at all.<br />Just this is a part in the process that really sucks. Yep. We&#8217;ve made a step to make it better. But<br />big enough bell where it&#8217;s not just that cause we have, we have plans and potential for more. So<br />I almost think like there&#8217;s something in that. You were really good to come up with ideas and edit<br />some stuff.<br />It&#8217;s like content. Something to the effect of [00:49:00] image editing sucks. Content, you know,<br />something in the realm, but it&#8217;s just a little enough bigger than just the one thing we talked about<br />is like, finding images sucks. We know we wanna be careful with saying finding, so we don&#8217;t<br />want them to think they&#8217;re gonna find an image.<br />Right. Um, but I kind of think like some bell to ring, um, in that regard. And what&#8217;s interesting to<br />me, there&#8217;s con and, and so I just naturally go to content and what we do and what comes out of<br />us and what we&#8217;re passionate about. And I&#8217;m like, I&#8217;d never heard of, I probably maybe have<br />heard of Affinity Designer, but talking about all the tools and how it&#8217;s a pain in the butt on the<br />web to do images, like get what you want.<br />This whole conversation about fitting in to the post, like our process of going and finding an<br />image. So I go, core thing is this, but there&#8217;s a lot of space around this to talk about [00:50:00]<br />images. Sure. And they&#8217;re rolling that,<br />Cory Maass: Yeah, images are worth a thousand words. You&#8217;ve already written a thousand<br />word blog post.<br />You have to go find an image now. Now pairing it with your a thousand words should not be<br />difficult. Um, and so definitely like the tools that people are using, the sites that people are<br />using, I think that there&#8217;s, I, you know, I&#8217;m a, I have subscriptions to at least half a dozen<br />newsletters that just recommend little power tools, little utility apps, cause that&#8217;s, I love them.<br />They&#8217;re fun. They spark ideas like crop express. Um, and so I think talking to some of those, Or<br />getting, obviously getting a, getting listed everywhere we can. That&#8217;s, that&#8217;s a no-brainer, but<br />specifically not only us putting out content, but but starting to talk to the people who are talking<br />to the content [00:51:00] creators.<br />So it&#8217;s like, you know, there are blog po blog, excuse me, there are newsletters that are for<br />content creators and, you know, getting them to talk about here&#8217;s a way to, um, you know, a<br />better, you, you&#8217;ve written, you, you&#8217;ve used a AI to write the, the blog post, or you&#8217;ve written it<br />yourself or you&#8217;ve hired somebody to write it yourself.<br />Here&#8217;s a, here&#8217;s a, you know, speed up the rest of the workflow. Um, there was something else<br />that just popped into my head too, but anyway, you know, but something like that.<br />Cory Miller: Yeah. So I was thinking like hyper users, cause the hyper users that like, do you<br />pay for affinity designer? Uh,<br />Cory Maass: I did once and that&#8217;s why it&#8217;s okay.<br />Cory Miller: So it was enough of a tool for you to pay for cause you use it in your everyday life,<br />you know? So I wonder, like, I&#8217;m thinking hyper users, who are those? And this is the business<br />case too. So I think about Lindsey at Content Journey. They&#8217;re, they&#8217;re writing and posting and<br />publishing content for, [00:52:00] um, cut their clients all day, every day.<br />And I go, I should talk to Emily over there, um, about her process and get her be one of it. Um,<br />when it&#8217;s in the repo, ask her to use it on one site and give us some feedback. Who, who else in<br />the hyper user that we know of that we could potentially get in their hands?<br />Cory Maass: Describe like what, how are you using the phrase hyper user? Okay.<br />Cory Miller: Well, somebody that does professional content production. Okay. Um, so that<br />could also, I mean, there&#8217;s a ton of blog, you know Sure. What we formally call bloggers, but<br />using content, doing content every day, particularly in WordPress. Mm-hmm. . So there is that<br />pro blogger type content machine, you know?<br />Yep. Yeah. Um, we&#8217;ll be using it at Post Status of course.<br />Cory Maass: [00:53:00] I mean, my clients will definitely use it cause they already, like I I said<br />early on, like I&#8217;ve already, I have them going to the website to do cropping and so to remove that<br />step where they can just do it in WordPress, they&#8217;re gonna do back flips, which will be fun to<br />watch.<br />Um,</p>\n\n\n\n<p>Cory Miller: Yeah, I&#8217;m, but I was also thinking for me, but that raw feedback you get Oh yeah.<br />When somebody&#8217;s using it is so gold. So, oh yeah. I will love to hear what your clients say and<br />then I&#8217;ll, I&#8217;ll, I&#8217;ll do a demo or something, or I&#8217;ll do a screen share with Emily and ask her to look<br />at it. And first I&#8217;ll te I&#8217;ll first of all ask her for, I&#8217;ll say, tell me how you, show me how you do a<br />typical blog.<br />And then I&#8217;ll be like, okay, install this plugin here and tell me what you&#8217;re thinking.<br />Cory Maass: Yep. Um, and this might be a little further down the road. Um, but the other thing<br />that jumps into my mind is like plugins, like Yost, where you have to upload a, an image. Um, so<br />this [00:54:00] isn&#8217;t necessarily a featured image, but it&#8217;s the, the image that that ends up being<br />the open graph image associated with each post.<br />Also, I&#8217;m, I&#8217;m, I&#8217;m sure is supposed to be of specific dimensions. Um, and so I picture. Um,<br />they&#8217;d be happy to write about like once, once we are even loosely integrated. But if it&#8217;s useful to<br />their users, um, then they&#8217;re gonna love our tool, right? So, um, getting, getting content or other<br />tools that interact with that, make their, that whose users interact with images, we&#8217;re gonna also<br />make their customers happier.<br />Um, even if we are not immediately inter, you know, um, integrated, like will we, will we sell a<br />Yost add-on? I have no idea. But even upfront, well, if we, the minute we expand beyond<br />[00:55:00] featured images, we&#8217;re like, here&#8217;s how you, you know, in your media library, upload<br />an image, crop it for Yost, and then you go over to Yost and say, select this image to be your<br />open graph image for socials.<br />You know, basically connecting that, um, closing that circle, I&#8217;m sure they&#8217;d be happy to talk<br />about it. And that&#8217;s an example, right? So it&#8217;s like what other, um, big plugins or big systems<br />services that interact with WordPress that primarily or even curly, interact with images that we<br />can help make their customers&#8217; lives easier than they&#8217;re gonna want to talk about us.<br />Cory Miller: Okay, so right there, two things. Stand out. Besides Yoast, Yoast Is one of those, of<br />course. Um, but membership sites and e-commerce and I draw to that category because they&#8217;re<br />making money with it. So they&#8217;re the ability to spend money on it. So, question with<br />WooCommerce, [00:56:00] man, it&#8217;s been forever, but when they upload a product image, are<br />they using default WordPress?<br />Stuff.<br />Cory Maass: And I&#8217;ll tell you tomorrow,<br />Cory Miller: right there, there&#8217;s an inroads. Oh yeah. Um, oh yeah. I think about the<br />membership sites, an LMS from Learn Dash to Lifter to Paid Membership Pro and everything.<br />And starting to talk about them, about that stuff. So there&#8217;s code promotion stuff we could do. So<br />that, that would be like Kim Coleman.<br />We can reach out probably Bob Dunn to start with WooCommerce, but we&#8217;ve got a whole<br />channel in, in, uh, Post Status. We could talk there. And then just WooCommerce is the big,<br />huge , you know, thing. Yeah. But, and I just went there directly cause you&#8217;re like a little free<br />utility tool that helps them do one [00:57:00] thing.<br />There&#8217;s a great. Oh yeah. To, uh, to scratch. Okay. So I&#8217;ve got a couple of those, um, to think<br />about that I could be pinging people and asking. Um, okay. On email, I&#8217;ll be think I tried to stay, I<br />started with promotion and go down and go, okay, what do we need from the website and the<br />email? I think, um, I, I love that the website itself is, is, is the tool.<br />Is a tool and it&#8217;s a great tool and there&#8217;s opportunities there. Um, it&#8217;s not in the WordPress flow,<br />but I love it from a, let&#8217;s, if we just called it a lead magnet<br />Cory Maass: mm-hmm. , which is, you know, how would what we&#8217;re talking about. Yep. Yeah.<br />Cory Miller: Um, and like have the link to want better image, whatever our phrase is in<br />WordPress over there.<br />Then we&#8217;ll have the pro version, um, So I&#8217;m [00:58:00] hesitant to say to do anything right now<br />with the website other than those things because I still love, we&#8217;re gonna get some trickle in and<br />they go and they got used and they can bookmark those and go back like I do with it. So we&#8217;re<br />in their workflow too.<br />Cory Maass: So here&#8217;s one other thing that I really want you to do.<br />Um, yeah, because, and this goes back to one of our first conversations is, um, you know, I, uh,<br />I showed you yesterday, I made some updates to the ui. Um, do a quick review of the new<br />version, the newest version. Um, look for any e easy wins. Oh, don&#8217;t have this box on the left or<br />this button on the left. Have it on the right.</p>\n\n\n\n<p>That&#8217;s more intuitive, whatever easy wins like that. Um, because I think. So the, the code for the<br />plugin, because it&#8217;s built into [00:59:00] Gutenberg, is not a one-to-one to get it working on the<br />website, but obvi, but we want the website to look the same as the product. And so I wanna<br />start looking at how to marry those two.<br />Um, even if they&#8217;re, they might be separate code bases, you know, but, or they might be the, I<br />might be able to use the same one, but it&#8217;s like, I don&#8217;t want to, I don&#8217;t wanna do more work than<br />I have to. So if you do a quick review and say, Nope, everything&#8217;s fine, or make this button<br />bigger, or whatever, then I can also, like, I, I liked what you just said of like, the website doesn&#8217;t<br />have to change altogether, but I do think we want to change the crop on the website to be the<br />same as our product.<br />So that it&#8217;s the best kind of lead magnet. Like the tool you are using is literally do this with<br />Cory Miller: WordPress. Insert into WordPress. Yeah, exactly. Do this in WordPress. There you<br />go. Yeah. .<br />Cory Maass: Okay. So, oh, so product feedback would be the other thing. [01:00:00] And I&#8217;m<br />not talking, you know, like, let&#8217;s, let&#8217;s grab a, a color scheme and we can, you know, inject a little<br />bit of that into the plugin just so that we start to build brand recognition that way.<br />Hot pink everywhere or whatever. Um, not really, but, you know, something. Um, but beyond<br />that, you know, we&#8217;ll keep it simple, but we can start to sort of massage the website to look more<br />like the, the plugin we&#8217;re building.<br />Cory Miller: Okay. Okay. So I have start kind of doing next steps for promotion, thinking about<br />the website and, uh, monthly, whatever the cadence is for the email.<br />Uh, and then to review the latest version of the plugin. Okay. Can. I&#8217;m out the next couple of<br />days, uh, on a trip with some buddies of mine, but, uh, I&#8217;ll be back in the settle and, um, that&#8217;s,<br />that&#8217;s a pretty easy lift for me. [01:01:00] I, I want to think about like, we&#8217;re gonna put it out there.<br />We want to chase, we want to get it in some hands, like your clients.<br />I think our ideal and then, uh, content journey, getting feedback from them are ideal. Um, but I<br />want to think about some sort of, some topical thing, and maybe it&#8217;s something we just talk<br />about live. Like just hearing your workflow is different from mine. I always love talking to<br />developers and go, how do you get these things done?<br />And they&#8217;re like, this is, and I go, can you slow down and show me again? Because I want to do<br />that for myself. So there&#8217;s like, like that workflow conversation about mm-hmm. content<br />production. And we could kind of have a little, you know, I mean, maybe. I don&#8217;t know what your,<br />your relationship is with your clients, but like, just talking about this thing that sucks how we do<br />it.<br />Like you give your tip, I give my tip, they give their tip, you know, content journey, whoever else,<br />professional blogger out there, um, [01:02:00] group or whatever that I, so I just wanna spin<br />those ideas a little bit about something that we can get to like ring the, ring the bell of like, this,<br />this, this is an issue and this is how people do it better and we&#8217;ve got one too.<br />Cory Maass: Yeah. Well, and I like the old trick of, you know, how often the best marketing<br />phrases, word, sentences come from clients talking about their problem. Totally. Um, and so I<br />also, and am of course envisioning like, I don&#8217;t know if a poll would capture what we want.<br />Creating. If, if we can figure out the, the right questions to ask, we can put questions up in<br />MegaMaker in Post Status.<br />The couple of other, um, slack communities that I&#8217;m in, we can both put them on our Twitter and<br />it&#8217;s like, I don&#8217;t expect thousands of responses, but even a handful. And there&#8217;s people that I<br />know you can pull on this tug on the [01:03:00] sleeve of, and there&#8217;s people I can tug on the<br />sleeve of and be like, do me a favor and go answer these three questions.<br />You know, take five minutes, do you know, and I owe you a beer the next time I see you at a<br />WordCamp kind of thing. Um, yeah know, but just to start capturing the words that people are<br />using, um, the workflow that people are, you know, in three steps, how would you des or in, in<br />10 steps or less, how would you describe how you finish off a blog?<br />You&#8217;ve written all the words. What are the next, you know, what are the steps between that and<br />hitting publish, or. Whatever, to just again, start to capture that, that thinking, the workflows that<br />you&#8217;re talking about. So, ,<br />Cory Miller: I went to YouTube and we got some good comments actually in there. I need to<br />have this up every single time.</p>\n\n\n\n<p>By the way, they, they were making comments as we were talking about, like, we&#8217;re riffing. I was<br />like, oh, we got collaborators out there. Um, but ve said, I think, yeah, I will, I will buy [01:04:00]<br />that. So like, Hey , I&#8217;ll try to say we&#8217;re our first customer, first perspective customer. Um,<br />Cory Maass: quick get a credit card number.<br />Cory Miller: Yeah, yeah. Here&#8217;s our, here&#8217;s our PayPal address. Um, Zach said something, I<br />wanna come back real quick. Art direction with resized and crop thumbnails sucks. With the<br />core feature set. Keeping the focal point in the image matters, that would be a killer feature. So,<br />, you know, resonance. How do we keep attention?<br />I think we got some good next steps. And for all this, sorry, I just happened to go over here and<br />look real quick. And it was like, we&#8217;ve got, we&#8217;ve got some comments coming in, so add to our<br />awesome conversation.<br />Cory Maass: Yeah, that&#8217;s cool. Oh, and well, and, and how fun is this? So I just went over to<br />YouTube as well, um, which I had not been watching the comment.<br />I&#8217;ve been watching comments in four comments in Zoom, but not YouTube. So yeah, from now<br />[01:05:00] on I&#8217;ll open this, but they have a, um, clip a crop icon under our video of a pair of<br />scissors.<br />Cory Miller: Oh yeah. Oh, that&#8217;s interesting. Okay.<br />Cory Maass: So anyway, I just, you know, and, but more and more, yeah, I&#8217;m thinking we want<br />to get away from that or the obviousness of that or something.<br />Anyway.<br />Cory Miller: I do think up, I do think on that note opinions and even strong for the right, strong<br />opinions for the right things really matter in a product. Um, where, you know, WordPress is a<br />great example of this, of like opinions about certain things that I didn&#8217;t always like, but they were<br />good for the overall thing.<br />And I think we&#8217;re developing some opinions and then we&#8217;ll get some validation from customers<br />and really strengthen that opinion going Yeah. But like the first opinion is we say image cropping<br />[01:06:00] sucks. Yeah. So we can start with that base. Oh, sorry.<br />Cory Maass: No, but I, I, I really like. I, I hope this is, I hope you take this as the compliment.<br />I mean it, so there&#8217;s, there&#8217;s some, to me as a northeastern American, there is a Midwestern<br />charm in that, in the phrase, in that phrase, like sucks is very brash, you know, and I think it&#8217;s<br />fine to use these days, but it, but the is a chore. Because it, it works as a phrase like, this sucks,<br />but it&#8217;s also literally, it&#8217;s a chore.<br />It&#8217;s a thing you have to do and don&#8217;t wanna do, but it&#8217;s part of the workflow. So I re I still, I, I want<br />to keep coming. I, I want to keep coming back to that phrase.<br />Cory Miller: Well, let&#8217;s take that for a second. I love that, that kind of refocus on, it&#8217;s a chore<br />because you think about [01:07:00] you&#8217;re trying to do this creative act.<br />You&#8217;re trying to makes… when you push publish, you get something out into the world and you,<br />it&#8217;s not all art and design, but you want it to be a nice product that&#8217;s received well, that people do<br />something with. You know? And when you said chore made me think about the workflow, like,<br />you know, okay, I paint the beautiful painting on the canvas.<br />Now I gotta find a frame. Hmm. Like the read me file. And I think that chore coming to like, this<br />should not be a chore. That&#8217;s our opinion. You should be. Focusing and using all your resources<br />on the creative act, not on the chores. We&#8217;re gonna take the chores out for you. Love it. That&#8217;s a<br />strong opinion that we could say like, yeah.<br />That there&#8217;s something there. But I like your refocus. I tend to go there, calibrate in a little bit.<br />Okay. And, you know, if we&#8217;re just doing this privately, you&#8217;d be like, yeah. It&#8217;s, it&#8217;s probably a<br />little strong. Okay. Tour&#8217;s better.<br />Cory Maass: Yeah. [01:08:00] This is, I like, this is, you know, this is the battle we&#8217;re fighting is<br />Yeah.<br />Against the awfulness. That is the process of Yes. Dealing with images. Like, that&#8217;s our, that&#8217;s<br />our, you know, 6 million annual company. What we&#8217;re starting with today is the cropping of an<br />image. Cropping of a featured image.<br />Cory Miller: Yeah. Reduce creative chores like the, the bell we ring is, Yeah, we&#8217;re getting onto<br />the cause the bigger thing and we&#8217;re just a part of it, and I use this all the time cause I&#8217;m like,<br />when you find that core thing enough, people are irritated about you just ring it.<br />But then we get into, cause when we&#8217;re like, stay in the creative lane, reduce this chore, friction.<br />Our job is to reduce your, your, your creative [01:09:00] chore. Yep. Your, I don&#8217;t know, I&#8217;m</p>\n\n\n\n<p>rehearsing this out loud, but like reduce your creative chores and then like, it should be about<br />the magic of beautiful images and fits with your story and syncs. Or if it&#8217;s an e-commerce store,<br />like, Hey, I want you spending more time trying to make sure the lighting is perfect and your<br />product, like exudes what it does in the world and we&#8217;re gonna, then when you get into show it<br />off to everybody, you don&#8217;t have, we don&#8217;t want you to go through a slog of mud to get there.<br />That slog of mud. Is there our opportunity right there? So<br />Cory Maass: we are, we are the bridge over the troubled water<br />You&#8217;re speechless. My terrible joke. Shut him down. No,<br />Cory Miller: you can&#8217;t do things like this because then my weird mind starts go. So we can go to<br />fiber and get a little like montage, , um, video . I think the [01:10:00] quirky stuff, I think things<br />like that. It&#8217;s all on the table. It&#8217;s just like authenticity. Hey, we&#8217;re two dudes that like, don&#8217;t like<br />this thing.<br />We solve this. We&#8217;re, we&#8217;re solved this little problem, but we think it might go on and if you want<br />to continue to support us to do it, we&#8217;re gonna do it. Um, but the quirky , yeah, we did some<br />outlandish, quirky stuff, by the way, the themes. And I just found one the other day and I was<br />like, Ooh, you know, that&#8217;s still out there.<br />Um, had years ago. Oh, go ahead. It&#8217;s, it&#8217;s, it&#8217;s this outlandish, okay. So builder, I think Builder<br />was turning one year old and we wanted to celebrate it. So we had a birthday cake, birthday<br />cake, birthday party for it. And we had the image of the, the hat that we had made into it.<br />Lindsay had it made into a 3D cake.<br />And I&#8217;m like, you know what? It&#8217;s just those quirky things of like, it&#8217;s a chore. We&#8217;ll try to make it<br />funner, you know? Yeah. Kind of thing. So, oh, for sure. By the way, this is part of my process.<br />It&#8217;s just like, you know, us talking through this and we get clarity of like, [01:11:00] oh, cause I<br />wrote chore and cause I wrote chore and I put a box around it, little crop box around it, and I&#8217;m<br />like, yeah, let&#8217;s destroy chores, destroy, create.<br />Oh, this is where I, uh, initially started that whole thing, Corey, I think in business in particular<br />with products and stuff, it&#8217;s really good to have a villain. And I don&#8217;t like to make people, I never<br />like to make people the villain. Sure. But the creative chores are the villain. So we are the<br />crusaders that fight against the creative chores.<br />So I&#8217;m just, you know, but I, I just go like an enemy always helps a villain, always helps, kind of,<br />you know, push us, help our clients go, you&#8217;re fighting for us and if we make chores, the<br />creative, the content chores, the, the villain, we&#8217;re not fighting a person. We don&#8217;t wanna do that.<br />Sorry. We wanna fight this concept that gets in the way of you doing magic on the web.<br />So, yeah. [01:12:00] Okay. I love that , because you know me, I&#8217;m gonna try to find. Or if you<br />don&#8217;t know , uh, any reason to do swag is a good hundred reason. And if business can help pay<br />for it. I&#8217;m like,<br />Cory Maass: oh God, you and I are best in trouble then because we&#8217;re in trouble. I am nonstop.<br />Like I, for everything I&#8217;ve ever made, I at least had one, uh, sticker made or one t-shirt made or,<br />uh, cause swag is, is everything.<br />It&#8217;s starting from, we keep coming back to me as a musician, but like in, when I first started, like<br />before I even had music, Out released. I had t-shirts, I had designed t-shirts and I, now I&#8217;m mad<br />at myself cause I&#8217;ve, I spent hours and hours and hours designing album artwork, designing<br />swag that nobody ever bought because the music wasn&#8217;t good enough,<br />And so I wish I had spent the hours making the music good enough, uh, to [01:13:00] actually<br />like, warrant the swag. But it made me better as a designer. And, and it&#8217;s, and it&#8217;s fun. I don&#8217;t<br />really regret it as far as, you know, like the fun I had in my life. But, um, yeah, so I&#8217;m excited to<br />see what ridiculous things we come up with.<br />Cory Miller: So Corey, here&#8217;s something that would be a low lift for us, but would be fun and hit<br />in this ring The bell we&#8217;re fighting this villain, you know, um, is have a printful shop and all these<br />little stupid, you know, quirky ideas. We have. Shirt sticker. We&#8217;re not trying to make money off<br />it, but it it, that&#8217;s content that&#8217;s like these pe you know, it&#8217;s back to the Seth Good and Tribes<br />thing.<br />It&#8217;s like, these people get me, they get what I&#8217;m doing. And like this, we could turn that swag<br />concept. Cause Printful you can do everything from stickers. We could create, like imagine the<br />random shit we could do, but like, it&#8217;s ringing the bell, chores suck.<br />Cory Maass: We need to, [01:14:00] we, we we&#8217;re gonna make crop, um, crop t-shirts.</p>\n\n\n\n<p>They&#8217;re gonna cut off just below the nipples . And you and I are gonna get on this call week after<br />week with our bellies hanging out because our t-shirts have been cropped or, you know, or, or a<br />square cutout, uh, here, you know, Terrible, terrible. We&#8217;re gonna, we&#8217;re gonna have to shave<br />patches into our heads because we&#8217;ve cropped, uh, you know, cropped our hair like dumb stuff.<br />Like we will take the dad joke too far. Yeah.<br />Cory Miller: So we talk about out the truly outlandish stuff. Nobody wants to see me in a crop<br />top, but like truly out lunch stuff and we kind of calibrate it in. But an example of this is, um, oh<br />get tushy. It&#8217;s the kinda like $79, uh, bk. So I bought, we have one and we bought others and my<br />friend Jason Scher told me about it.<br />But their marketing is so on brand. They [01:15:00] take this concept that isn&#8217;t talked about in<br />polite company potentially, or we call it a bday, you know? Okay. Yeah. But their marketing, they<br />make poop jokes, you know, all the time. Like they infuse that. And I&#8217;m not saying we can, you<br />know, but the spirit of it is, yeah, make it fun.<br />You know, and so I think like we&#8217;re in the outlandish phase and we&#8217;ll figure out these others that<br />are just kind of fun and quirky. We&#8217;re not gonna get anybody buying them, but it&#8217;s like, that&#8217;s our<br />content marketing potentially. Yeah. You know?<br />Cory Maass: Well, and it&#8217;s because it&#8217;s, it&#8217;s what keep it. If nothing else, it would, it&#8217;s what, it&#8217;s,<br />you and I are gonna have fun and it&#8217;s gonna keep us excited to, to do this kind of stuff.<br />And like, um, the example I wanted to share earlier was, my first moderate success of a product<br />was I built a, um, personal finance tracker 20 years ago now. No, 15 years ago [01:16:00] now.<br />Um, And, and some people didn&#8217;t. If there was a day where you didn&#8217;t spend something, I was<br />like, this, this needs a celebration. And so I built a little Easter egg.<br />So if on a day when you were tracking your finances, if you, if you took the time to enter zero,<br />you got a, um, an email that was like, you know, congratulations. We got, we we got a video for<br />you. And I had gone on Fiver, and this is back when Fiver was, you know, truly anything for $5.<br />And I got a video made of a guy, um, beatboxing.<br />And he is like, what? You didn&#8217;t spend anything? That&#8217;s awesome. And then he starts<br />beatboxing money, money, money, money. And it like, but really good. And it was like just this<br />quirky weird thing that people lost their minds over. Yeah. And it took me, it was five bucks and<br />20 minutes to find somebody to do something outrageous.<br />But that&#8217;s like, [01:17:00] You know, I live for that kind of stuff, you know, it doesn&#8217;t necessarily<br />have to be Easter eggs, but like, you know, fun little weird things that, cause it&#8217;s, you can also<br />defeat villains with joy, right? Like, we&#8217;re we&#8217;re, oh yeah. The, but like, you know, the goal is to<br />make it fun. Forget, you know, the, the chore wheel is what makes it fun or you make a game<br />out of it or whatever.<br />You know, that kind of thinking.<br />Cory Miller: You just read my notes. Okay, make creative chores fun. Like, okay, so you, you,<br />you were talking about music and I was like, oh, you have a soundtrack. When you create<br />posts, when you do that, like you were talking earlier, you use, uh, electronic music, it&#8217;s like<br />there&#8217;s a question.<br />So like, our email content could be like, you know what? Our email banner could be, make<br />creative chores fun. And it&#8217;s like, what&#8217;s your [01:18:00] favorite soundtrack? We made a shirt<br />over. Um, the spinning, I don&#8217;t know. You know? Right. That could be some of that content that<br />we&#8217;re like, elicit people&#8217;s creative chore.<br />How they make creative chores fun cause they&#8217;re necessity. I like your angle. Not everybody<br />has to be defeated. We could like hug the villain.<br />uh, Santa Claus put makeup on the villain.<br />Cory Maass: Santa Claus three where you know they, eventually the bad guy. Um, the spoiler<br />alert everybody, if you haven&#8217;t seen Santa Claus three, plug your ears. But, you know, at the<br />end, the villain who is Jack Frost is vanquished because a little girl hugs him and thaws him out.<br />Finally. So this is the goal is, uh, you know, warm hugs that will make chores not as evil.<br />Cory Miller: There you go. Yeah. I love it. Grinch. You know, like there&#8217;s [01:19:00] the Yeah,<br />we&#8217;re gonna be the playful. I like that. Um, I think we should keep this on top of our mind. Yeah.<br />Like, I just try to find the bell. You keep ringing, you know?</p>\n\n\n\n<p>Mm-hmm. . Um, and it&#8217;s make to me from our time as like, make creative chores fun. Yep. And<br />then the question is how do you do it? You know, making creative chores fun by carpet<br />Express.<br />Cory Maass: Yep. Things, yeah. Just broadly speaking, what, yeah, these are all things we can<br />talk about, things we can promote, things we can encourage in other, in others.<br />So again, like how do we get other people to talk about us as well? And it&#8217;s like, here is this con,<br />this concept that we are owning and, you know, so we&#8217;re, we&#8217;re. Yes, we solve it very specifically<br />with, with the product we&#8217;re building, but broadly speaking, you know, where in the world are<br />their creative chores and what are other clever ways that they [01:20:00] are being vanquished<br />or being hugged to death or being, uh, you know, uh, how, how can we, uh, spoonful of sugar<br />kind of concepts.<br />You know,<br />Cory Miller: how do you make your creative chores fun? Yeah. You know, well, whatever they<br />may be. Yeah. Whatever. Not even, like, it doesn&#8217;t even necessarily have to be WordPress, you<br />know? Right. It could be just, you&#8217;re doing art and this is the chore part. So how do you make it<br />fun? Well, I dress up at Santa Claus when I go pick out my frames or I, I don&#8217;t know.<br />You know what I mean? But that, but the questions you&#8217;re, you&#8217;re sharing is like, that&#8217;s just<br />ongoing cool content. Okay. All right, dude. Okay. I got my stuff. Continue on these. Review the,<br />uh, on the promotional side. Next steps for that. Um, review the, the updates you&#8217;ve done to the<br />product. You&#8217;ve got logo and masthead.<br />I&#8217;m sure we&#8217;ll be talking betwe between now and next week.<br />Cory Maass: Yeah. Masthead is easy. Logo. [01:21:00] We, we need to keep going back and<br />forth because it&#8217;s, I, I, I&#8217;m happy to own it, but we need to do some, do lots of thinking around it.<br />Cory Miller: Okay. You wanna show some logos next week and get our, uh, audience&#8217;s<br />opinion? I gotta tell you though, when you said the eighties pink and black, I go, I mean, why<br />does it have to be boring?<br />Why does it have to be serious and monotonous? Pink kind of screams that corporate. Yeah.<br />Cory Maass: No, no more internet, corporate blue.<br />Cory Miller: So I&#8217;ll, I&#8217;ll leave it to your, uh, uh, inspiration and we&#8217;ll, we&#8217;ll, we can, we&#8217;ll, we&#8217;ll talk<br />about that next week in between. Nice. Thanks dude.<br />Cory Maass: Yeah, man. I&#8217;ll talk soon. Okay.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 12:03:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WordPress.org blog: The Month in WordPress – February 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13213:\"<p>February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that&#8217;s not all; read on for the latest project updates.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for WordPress 6.2</h2>\n\n\n\n<p><strong>WordPress 6.2 Beta 4</strong> arrived earlier this week and is <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">ready for download and testing</a>. Work continues on track, with the first release candidate (RC1) due next week and the target for the final release on <strong>March 28, 2023</strong>—less than four weeks away!</p>\n\n\n\n<p>WordPress 6.2 is one of the last major releases planned for Phase 2 of Gutenberg, taking the Site Editor out of beta with a more polished user experience and refreshed interface.</p>\n\n\n\n<p>On March 2, members of the release squad hosted the <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 live product demo</a>. The recording and transcript will be available soon. In the meantime, these resources will give you a taste of what&#8217;s to come:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help test WordPress 6.2</a>. Your feedback is key to ensuring everything in this release is the best it can be.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Join WordPress&#8217; 20th anniversary celebrations</h2>\n\n\n\n<p>WordPress is turning 20, and the community is getting ready to celebrate!</p>\n\n\n\n<p>As part of the festivities, the project has released a <a href=\"https://wp20.wordpress.net/wordpresss-wapuu-joins-the-wp20-celebration/\">20th anniversary Wapuu</a>, a <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">set of commemorative logos</a>, and a <a href=\"https://wp20.wordpress.net/20-years-of-wordpress-jazz/\">special playlist with 46 tracks</a> from the jazz artists selected to represent WordPress releases. Official WP20 swag will also be available soon.</p>\n\n\n\n<p>In addition, the Museum of Block Art (MOBA) is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling all artists</a> to submit block art themed on “20 years of WordPress.”</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Find out how to organize and participate in the WP20 celebrations</a>.</p>\n\n\n\n<p></p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p>Two new versions of Gutenberg have shipped in the last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\"><strong>Gutenberg 15.1</strong></a> was released on February 8, 2023, with access to the Openverse library of openly-licensed media from the Editor. Other highlights include the ability to add custom CSS on a per-block basis and support for shadow presets in Global Styles. This is the last version of Gutenberg that will be <a href=\"https://developer.wordpress.org/block-editor/contributors/versions-in-wordpress/\">included in WordPress 6.2</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\"><strong>Gutenberg 15.2</strong></a><strong> </strong>is available for download as of February 22, 2023. Besides continued accessibility improvements, this release adds support for revisions when editing templates and template parts, and refines the navigation experience in the Site Editor.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Global community sponsors for 2023, contributor mentorship program, and more</h2>\n\n\n\n<ul>\n<li>The Community Team announced the <a href=\"https://make.wordpress.org/community/2023/02/08/2023-global-sponsors-announcement/\">global sponsors</a> that will support the WordPress community programs in 2023.</li>\n\n\n\n<li>A few months ago, Meetup.com removed an accessibility overlay in response to <a href=\"https://make.wordpress.org/community/2022/11/23/meetup-com-accessibility-overlay-update/\">some concerns</a> from the WordPress community. <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">A recent update</a> reports that the company has conducted an assessment and plans to address the issues identified.</li>\n\n\n\n<li>The Training Team launched a <a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">new onboarding program</a> for contributors. In addition, they worked on numerous lesson plans, online workshops, and tutorials last month. <a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">Check out what&#8217;s new on Learn WordPress</a>.</li>\n\n\n\n<li>The Documentation Team shared <a href=\"https://make.wordpress.org/docs/2023/02/07/future-plans-for-helphub/\">future plans for HelpHub</a>.</li>\n\n\n\n<li>Openverse moved to a standalone domain, <a href=\"https://openverse.org/\">openverse.org</a>, with improvements to the site’s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team posted a notice to inform about <a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">the latest Twitter API changes</a> and the types of plugins that might be affected.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/polyglots/2023/02/16/polyglots-monthly-newsletter-february-2023/\">February edition of the Polyglots monthly newsletter</a> highlights some recent enhancements to GlotPress’ functionality and the <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> platform.</li>\n\n\n\n<li>The latest <a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer newsletter</a> shares tips on how to help your meetup group stay connected and engaged between events.</li>\n\n\n\n<li>Check out <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\">What’s new for developers? (February 2023)</a>, the first edition of a new monthly series with features and resources developers should know about.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">Hauwa Abashiya</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Following discussions on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, a new <a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">WordPress contributor mentorship program</a> has been proposed to roll out this year.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>A new proposal from the Community Team seeks to <a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">modify the Events and News dashboard widget</a> to show topic-based meetups worldwide.</li>\n\n\n\n<li>Members of the Core Team suggested some <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">updates to the WordPress release cycle</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/03/mobile-team-update-march-2nd/\">Version 21.8</a> of the WordPress mobile app for iOS and Android is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Redesign work is <a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">well underway</a> on the WordPress Theme Directory. Contributors can follow along on <a href=\"https://github.com/WordPress/wporg-theme-directory/\">the GitHub repository</a>.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Bangkok, Thailand, hosted a successful inaugural <a href=\"https://asia.wordcamp.org/2023/we-did-it/\">WordCamp Asia</a> on February 17-19. The event welcomed 1,299 attendees, and more than 600 participants joined the Contributor Day. At the event&#8217;s closure, organizers announced that <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia 2024</a> will take place in Taipei, Taiwan!</li>\n\n\n\n<li>The application to <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">attend the 2023 Community Summit</a> is now open to WordPress contributors. Learn more about the ins and outs of this working event in <a href=\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\">Episode 49 of WP Briefing</a>.</li>\n\n\n\n<li>WordCamp Europe 2023 is looking for <a href=\"https://europe.wordcamp.org/2023/call-for-media-partners-and-supporters/\">media partners and supporters</a>.</li>\n\n\n\n<li>Want to create diverse and inclusive WordPress events? Don’t miss <a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">this free #WPDiversity workshop</a> happening March 16, 2023.</li>\n\n\n\n<li>Many WordCamps are coming up in the next weeks:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" /> <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, Uganda, on March 10-11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" /> <a href=\"https://torrelodones.wordcamp.org/2023/\">WordCamp Torrelodones</a>, Madrid, Spain, on March 11-12, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" /> <a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a>, Arizona, USA, on March 24-25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" /> <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala</a>, India, on March 25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1f4.png\" alt=\"🇨🇴\" class=\"wp-smiley\" /> <a href=\"https://bogota.wordcamp.org/2023/\">WordCamp Bogotá</a>, Colombia, on March 31-April 1, 2023 (Online)</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ed.png\" alt=\"🇨🇭\" class=\"wp-smiley\" /><a href=\"https://switzerland.wordcamp.org/2023/\">WordCamp Switzerland</a> on April 1, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join WordPress Executive Director Josepha Haden Chomphosy as she explores <a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">three interesting trends from WordCamp Asia</a>.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this Month in WordPress: <a href=\"https://profiles.wordpress.org/ninianepress/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ninianepress</a>, <a href=\"https://profiles.wordpress.org/jpantani/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>jpantani</a>, <a href=\"https://profiles.wordpress.org/rmartinezduque/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rmartinezduque</a>.</em></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: WordPress Community on Mastodon Launches “Toot the Word” Survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142425\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wptavern.com/wordpress-community-on-mastodon-launches-toot-the-word-survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2805:\"<p>Last month&#8217;s <a href=\"https://wptavern.com/twitter-outage-uncovers-more-details-on-upcoming-api-access-changes-giving-the-fediverse-a-shot-in-the-arm\">Twitter outage</a> gave Mastodon a boost, as the company also announced <a href=\"https://wptavern.com/wordpress-plugin-developers-alerted-ahead-of-twitter-api-changes\">unpopular changes to its API access</a>. People from the WordPress community continue to trickle into the fediverse, with many going so far as to shutter their Twitter accounts. A fledgling community of WordPress users on Mastodon has made the network home and are reporting more quality interactions than they experience on other platforms.</p>\n\n\n\n<p>Daniel Auener, who runs a WordPress agency based in Sweden, curates and maintains <a href=\"https://wp-community-on-mastodon.wptoots.social/\">a list of WordPress community members’ Mastodon accounts</a> that anyone can follow by downloading a CSV file and importing it into Mastodon. He and the other admins of the five largest WordPress-related Mastodon instances have joined together to create a <a href=\"https://forms.gle/a2c7BAibVPfEjXQ19\">survey</a> for WordPress users. </p>\n\n\n\n<p>The survey is being organized by the following admins: </p>\n\n\n\n<ul>\n<li><a href=\"https://wptoots.social/\">wptoots.social</a>&nbsp;(<a href=\"https://wptoots.social/@danielauener\">@danielauener</a>)</li>\n\n\n\n<li><a href=\"https://wpmastodon.es/\">wpmastodon.es</a>&nbsp;(<a href=\"https://wpmastodon.es/@javiercasares\">@javiercasares</a>)</li>\n\n\n\n<li><a href=\"https://wp-social.net/\">wp-social.net</a>&nbsp;(<a href=\"https://wp-social.net/@praetorverlag\">@praetorverlag</a>)</li>\n\n\n\n<li><a href=\"https://dewp.space/\">dewp.space</a>&nbsp;(<a href=\"https://dewp.space/@simon\">@simon</a>)</li>\n\n\n\n<li><a href=\"https://wpbuilds.social/\">wpbuild.social</a>&nbsp;(<a href=\"https://wpbuilds.social/@nathan\">@nathan</a>)</li>\n</ul>\n\n\n\n<p>&#8220;The goal of this two-minute survey is to help us improve the WordPress-related Mastodon instances and Mastodon as a meeting place for the WordPress Community in general,&#8221; Auener said. </p>\n\n\n\n<p>&#8220;We want to know your needs and challenges and how you think we – as WordPress-related instances – can strengthen the WordPress community on Mastodon.&#8221;</p>\n\n\n\n<p>Respondents will be asked how frequently they use Mastodon and how important it is to their overall WordPress-related social media activity. They will also be asked about the quality of communication with the community and what they would like to see more of on Mastodon. So far the survey has received 112 responses. If you have embraced the fediverse, take two minutes to leave your feedback on the &#8220;<a href=\"https://forms.gle/a2c7BAibVPfEjXQ19\">Toot the Word Survey</a>&#8221; before it closes on March 5, 2023. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 22:09:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Wed, 22 Mar 2023 18:37:17 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Wed, 22 Mar 2023 18:30:29 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20211220193300\";}", "no");
INSERT INTO `wp_options` VALUES("149", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1679553438", "no");
INSERT INTO `wp_options` VALUES("150", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1679510238", "no");
INSERT INTO `wp_options` VALUES("151", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1679553438", "no");
INSERT INTO `wp_options` VALUES("152", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\'>Introducing the WordPress Developer Blog</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/wordpress-6-2-release-candidate-3/\'>WordPress 6.2 Release Candidate 3</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/podcast/68-chris-reynolds-on-why-to-use-composer-with-wordpress\'>WPTavern: #68 – Chris Reynolds on Why To Use Composer With WordPress</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/introducing-the-wordpress-developer-blog/\'>WordPress.org blog: Introducing the WordPress Developer Blog</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/the-mercantile-reopens-with-limited-edition-20th-anniversary-wordpress-swag\'>WPTavern: The Mercantile Reopens with Limited Edition 20th Anniversary WordPress Swag</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("154", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1679521064", "no");
INSERT INTO `wp_options` VALUES("155", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6024;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4818;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2784;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2664;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2048;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1911;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1902;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1631;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1563;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1550;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1547;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1515;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1503;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1471;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1362;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1268;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1175;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1156;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1144;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1046;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1017;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:998;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:963;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:902;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:882;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:876;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:872;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:872;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:866;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:865;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:823;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:793;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:781;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:781;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:775;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:765;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:763;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:732;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:729;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:727;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:723;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:721;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:686;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:684;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:684;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:673;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:666;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:632;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:622;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:616;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:607;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:606;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:606;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:596;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:592;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:589;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:588;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:576;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:568;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:567;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:565;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:558;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:553;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:553;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:541;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:538;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:532;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:530;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:529;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:522;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:516;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:511;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:509;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:507;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:502;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:480;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:474;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:472;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:468;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:450;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:449;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:437;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:431;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:424;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:421;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:421;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:418;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:418;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:417;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:414;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:412;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:405;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:398;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:394;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:393;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:391;}s:3:\"url\";a:3:{s:4:\"name\";s:3:\"url\";s:4:\"slug\";s:3:\"url\";s:5:\"count\";i:386;}}", "no");
INSERT INTO `wp_options` VALUES("158", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("159", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("160", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("161", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("162", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("163", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("164", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("165", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("166", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("167", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("168", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("169", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("170", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("171", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("172", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("173", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("174", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("175", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("176", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("177", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("178", "duplicate_post_show_original_column", "0", "yes");
INSERT INTO `wp_options` VALUES("179", "duplicate_post_show_original_in_post_states", "0", "yes");
INSERT INTO `wp_options` VALUES("180", "duplicate_post_show_original_meta_box", "0", "yes");
INSERT INTO `wp_options` VALUES("181", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("182", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("183", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("186", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("187", "_site_transient_timeout_wp_remote_block_patterns_3e3bcd3bc6f0a41b5f8a7672e63009d2", "1679514027", "no");
INSERT INTO `wp_options` VALUES("188", "_site_transient_wp_remote_block_patterns_3e3bcd3bc6f0a41b5f8a7672e63009d2", "a:27:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2439:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-3\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-2\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-1\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-1\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-1-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3621:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-8\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-5\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-4\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-7\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-6\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-6\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-6-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3787:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-13\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-12\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-11\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-11\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-11-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2845:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-18\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-17\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-16\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-16\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-16-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2605:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-23\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-22\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-21\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-21\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-21-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3102:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-29\">\n<div class=\"wp-block-group is-layout-flex wp-container-26\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-25\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-28\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-27\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-27\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-27-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2701:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-33\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-32\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-31\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-31\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-31-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2532:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-37\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-36\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-35\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-35\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-35-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2707:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-41\">\n<div class=\"wp-block-group is-layout-flex wp-container-38\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-40\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-39\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-39\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-39-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1993:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:4em;padding-bottom:2em\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-47\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\">\n<div class=\"wp-block-group alignwide is-layout-flow\"><form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label for=\"wp-block-search__input-43\" class=\"wp-block-search__label screen-reader-text\">Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input type=\"search\" id=\"wp-block-search__input-43\" class=\"wp-block-search__input\" name=\"s\" value=\"\" placeholder=\"\"  style=\"border-width: 1px\" required /><button type=\"submit\" class=\"wp-block-search__button has-icon wp-element-button\"  style=\"border-width: 1px\" aria-label=\"Search\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z\"></path>\n				</svg></button></div></form></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\"></div>\n</div>\n\n\n\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom is-layout-flex wp-container-50\">\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\">\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:90:\"core/column,core/columns,core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1727:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4em\",\"bottom\":\"2em\"}}},\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:4em;padding-bottom:2em\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"><!-- wp:group {\"align\":\"wide\"} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"140px\"} -->\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"bottom\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom\"><!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:paragraph {\"align\":\"right\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:742:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-53\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2572:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-58\">\n<div class=\"wp-block-group is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-56\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-55\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-55\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-55-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4462:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-65\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-60\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-61 is-vertical is-content-justification-center is-layout-flex wp-container-62\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-63 is-content-justification-right is-nowrap is-layout-flex wp-container-64\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2499:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-75\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-67 is-vertical is-layout-flex wp-container-68\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-74\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-71\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-70\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-73\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-72\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1204:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-79\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-83\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2840:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-85\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-89\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-92\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1990:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-96\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-100\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1368:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1337:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-106\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1182:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-109\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:673:\"\n<hr class=\"wp-block-separator is-style-default\" />\n\n\n\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:36:\"core/image,core/quote,core/separator\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1012:\"<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1424:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-112\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:717:\"\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped wp-block-gallery-113 is-layout-flex\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/gallery\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:737:\"<!-- wp:gallery {\"ids\":[null,null],\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("189", "_site_transient_timeout_wp_remote_block_patterns_7a1d9460627c7770660bc17a0fca1ae6", "1679514027", "no");
INSERT INTO `wp_options` VALUES("190", "_site_transient_wp_remote_block_patterns_7a1d9460627c7770660bc17a0fca1ae6", "a:15:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6359:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:899:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3340:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9b0ec38802488b5326b5833c551a99b8 is-layout-flow\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9add2e813d78c88d00f9bd37bafd7af9 is-layout-flow\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2500c6475a3fa956c7c9f0264bdaf6c7 is-layout-flow\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:102:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"buttons\";i:1;s:7:\"columns\";i:2;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:5340:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2221:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1657:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:566;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Event announcement and details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1614:\"\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color wp-elements-b69341fa8ca2b5011df7156020136c46 is-layout-flow\" style=\"background-color:#d2cdc7\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n\n\n\n<h3 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-18\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:75%\">\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-21\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2622:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#d2cdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color\" style=\"background-color:#d2cdc7\"><!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h2 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h3 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:image {\"id\":3173,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1628:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-27\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-25\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Offset images with descriptions.\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1754:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-30\">\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:32:\"Offset images with descriptions.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:62:\"core/column,core/columns,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1175:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1415:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-35\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-38\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1509:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-43\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1624:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-47\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2840:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-49\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-53\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-56\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1181:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-60\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("191", "_site_transient_timeout_g_url_details_response_213352213c23273e71b4a8fdbd5b2d29", "1679514058", "no");
INSERT INTO `wp_options` VALUES("192", "_site_transient_g_url_details_response_213352213c23273e71b4a8fdbd5b2d29", "<!DOCTYPE html>\n<!--[if IE 8]>    <html class=\"no-js lt-ie9\" lang=\"it\"> <![endif]-->\n<!--[if gt IE 8]><!--> <html class=\"no-js\" lang=\"it\"  xmlns=\"http://www.w3.org/1999/xhtml\"> <!--<![endif]-->\n    <head itemscope itemtype=\"http://schema.org/WebSite\">\n        <meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />\n<title>Lorem Ipsum Generatore Online di Testo Finto e segnaposto</title> \n<meta itemprop=\'name\' content=\"LOREM IPZUM\" />\n<link rel=\"canonical\" href=\"https://www.loremipzum.com/it/\">\n<meta content=\"https://www.loremipzum.com/it/\" itemprop=\"url\">\n<meta name=\"keywords\" content=\"lorem ipsum, lorem ipsum doloremem sit amet, lorem ipsum generator, lorem ipsum testo, testo finto, testo latino, traduzione, finto testo, lorem ipsum significato, generatore di parole italiano, generatore testi, testo segnaposto, testo casuale, testo di prova, text generator, word generator, text generator online, dummy text, sample text, fake text, random text generator, blind text generator\" />\n<meta name=\"description\" content=\"Lorem ipsum è il generatore di testo lorem ipsum dolorem di riempimento, finto, casuale, segnaposto, formato da parole latine. Usa il lorem ipsum text generator online\" />\n<meta name=\"generator\" content=\"Pinuccio - Content Management\" />\n<meta name=\"robots\" content=\"index,follow\">\n<meta property=\"og:title\" content=\"Lorem Ipsum Generatore Online di Testo Finto e segnaposto\" />\n<meta property=\"og:type\" content=\"website\" />\n<meta property=\"og:url\" content=\"https://www.loremipzum.com/it/\"/>\n<meta property=\"og:image\" content=\"/img/logo.png\"/>\n<meta property=\"og:image:width\" content=\"50\"/>\n<meta property=\"og:image:height\" content=\"50\"/>\n<meta property=\"og:site_name\" content=\"LOREM IPZUM\" />\n<meta property=\"og:description\" content=\"Lorem ipsum è il generatore di testo lorem ipsum dolorem di riempimento, finto, casuale, segnaposto, formato da parole latine. Usa il lorem ipsum text generator online\" />\n<meta property=\"og:locale\" content=\"it_IT\" />\n<meta property=\"og:locale:alternate\" content=\"af_ZA\" />\n<meta property=\"og:locale:alternate\" content=\"ar_MA\" />\n<meta property=\"og:locale:alternate\" content=\"be_BY\" />\n<meta property=\"og:locale:alternate\" content=\"bg_BG\" />\n<meta property=\"og:locale:alternate\" content=\"bs_BA\" />\n<meta property=\"og:locale:alternate\" content=\"cs_CZ\" />\n<meta property=\"og:locale:alternate\" content=\"da_DK\" />\n<meta property=\"og:locale:alternate\" content=\"de_DE\" />\n<meta property=\"og:locale:alternate\" content=\"el_GR\" />\n<meta property=\"og:locale:alternate\" content=\"en_GB\" />\n<meta property=\"og:locale:alternate\" content=\"es_ES\" />\n<meta property=\"og:locale:alternate\" content=\"fi_FI\" />\n<meta property=\"og:locale:alternate\" content=\"fr_FR\" />\n<meta property=\"og:locale:alternate\" content=\"ga_IE\" />\n<meta property=\"og:locale:alternate\" content=\"he_IL\" />\n<meta property=\"og:locale:alternate\" content=\"hr_HR\" />\n<meta property=\"og:locale:alternate\" content=\"hu_HU\" />\n<meta property=\"og:locale:alternate\" content=\"hy\" />\n<meta property=\"og:locale:alternate\" content=\"id_ID\" />\n<meta property=\"og:locale:alternate\" content=\"ja_JA\" />\n<meta property=\"og:locale:alternate\" content=\"ms_MY\" />\n<meta property=\"og:locale:alternate\" content=\"mt_MT\" />\n<meta property=\"og:locale:alternate\" content=\"nl_NL\" />\n<meta property=\"og:locale:alternate\" content=\"nb_NO\" />\n<meta property=\"og:locale:alternate\" content=\"pl_PL\" />\n<meta property=\"og:locale:alternate\" content=\"pt_PT\" />\n<meta property=\"og:locale:alternate\" content=\"ro_RO\" />\n<meta property=\"og:locale:alternate\" content=\"ru_RU\" />\n<meta property=\"og:locale:alternate\" content=\"sk_SK\" />\n<meta property=\"og:locale:alternate\" content=\"sl_SI\" />\n<meta property=\"og:locale:alternate\" content=\"sq_AL\" />\n<meta property=\"og:locale:alternate\" content=\"sr_RS\" />\n<meta property=\"og:locale:alternate\" content=\"sv_SE\" />\n<meta property=\"og:locale:alternate\" content=\"th_TH\" />\n<meta property=\"og:locale:alternate\" content=\"tr_TR\" />\n<meta property=\"og:locale:alternate\" content=\"uk_UA\" />\n<meta property=\"og:locale:alternate\" content=\"vi_VN\" />\n<meta property=\"og:locale:alternate\" content=\"zh_CN\" />\n<meta name=\"geo.region\" content=\"IT\" />\n<meta name=\"twitter:card\" content=\"summary\">\n<meta name=\"twitter:site\" content=\"LOREM IPZUM\">\n<meta name=\"twitter:title\" content=\"Lorem Ipsum Generatore Online di Testo Finto e segnaposto\">\n<meta name=\"twitter:description\" content=\"Lorem ipsum è il generatore di testo lorem ipsum dolorem di riempimento, finto, casuale, segnaposto, formato da parole latine. Usa il lorem ipsum text generator online\">\n<meta name=\"twitter:image\" content=\"/img/logo.png\">\n<link type=\"image/x-icon\" href=\"/img/favicon.ico\" rel=\"icon\" />\n<link type=\"image/x-icon\" href=\"/img/favicon.ico\" rel=\"shortcut icon\" />\n<link rel=\"apple-touch-icon\" href=\"/img/at-icon.png\">\n<meta name=\"theme-color\" content=\"#21252B\"/>\n<link rel=\"manifest\" href=\"/manifest.json\">\n<link href=\"https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css\" rel=\"stylesheet\" integrity=\"sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3\" crossorigin=\"anonymous\" media=\"all\">\n<!-- Global site tag (gtag.js) - Google Analytics -->\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=UA-16757957-54\"></script>\n<script>\n  window.dataLayer = window.dataLayer || [];\n  function gtag(){dataLayer.push(arguments);}\n  gtag(\'js\', new Date());\n  gtag(\'config\', \'UA-16757957-54\',{\'anonymize_ip\':true});\n</script>\n<!-- LINGUE -->\n    <link rel=\"alternate\" hreflang=\"af\" href=\"https://www.loremipzum.com/af/\" />\n    <link rel=\"alternate\" hreflang=\"ar\" href=\"https://www.loremipzum.com/ar/\" />\n    <link rel=\"alternate\" hreflang=\"be\" href=\"https://www.loremipzum.com/be/\" />\n    <link rel=\"alternate\" hreflang=\"bg\" href=\"https://www.loremipzum.com/bg/\" />\n    <link rel=\"alternate\" hreflang=\"bs\" href=\"https://www.loremipzum.com/bs/\" />\n    <link rel=\"alternate\" hreflang=\"cs\" href=\"https://www.loremipzum.com/cs/\" />\n    <link rel=\"alternate\" hreflang=\"da\" href=\"https://www.loremipzum.com/da/\" />\n    <link rel=\"alternate\" hreflang=\"de\" href=\"https://www.loremipzum.com/de/\" />\n    <link rel=\"alternate\" hreflang=\"el\" href=\"https://www.loremipzum.com/el/\" />\n    <link rel=\"alternate\" hreflang=\"en\" href=\"https://www.loremipzum.com/en/\" />\n    <link rel=\"alternate\" hreflang=\"es\" href=\"https://www.loremipzum.com/es/\" />\n    <link rel=\"alternate\" hreflang=\"fi\" href=\"https://www.loremipzum.com/fi/\" />\n    <link rel=\"alternate\" hreflang=\"fr\" href=\"https://www.loremipzum.com/fr/\" />\n    <link rel=\"alternate\" hreflang=\"ga\" href=\"https://www.loremipzum.com/ga/\" />\n    <link rel=\"alternate\" hreflang=\"he\" href=\"https://www.loremipzum.com/he/\" />\n    <link rel=\"alternate\" hreflang=\"hr\" href=\"https://www.loremipzum.com/hr/\" />\n    <link rel=\"alternate\" hreflang=\"hu\" href=\"https://www.loremipzum.com/hu/\" />\n    <link rel=\"alternate\" hreflang=\"hy\" href=\"https://www.loremipzum.com/hy/\" />\n    <link rel=\"alternate\" hreflang=\"id\" href=\"https://www.loremipzum.com/id/\" />\n    <link rel=\"alternate\" hreflang=\"it\" href=\"https://www.loremipzum.com/it/\" />\n    <link rel=\"alternate\" hreflang=\"ja\" href=\"https://www.loremipzum.com/ja/\" />\n    <link rel=\"alternate\" hreflang=\"ms\" href=\"https://www.loremipzum.com/ms/\" />\n    <link rel=\"alternate\" hreflang=\"mt\" href=\"https://www.loremipzum.com/mt/\" />\n    <link rel=\"alternate\" hreflang=\"nl\" href=\"https://www.loremipzum.com/nl/\" />\n    <link rel=\"alternate\" hreflang=\"no\" href=\"https://www.loremipzum.com/no/\" />\n    <link rel=\"alternate\" hreflang=\"pl\" href=\"https://www.loremipzum.com/pl/\" />\n    <link rel=\"alternate\" hreflang=\"pt\" href=\"https://www.loremipzum.com/pt/\" />\n    <link rel=\"alternate\" hreflang=\"ro\" href=\"https://www.loremipzum.com/ro/\" />\n    <link rel=\"alternate\" hreflang=\"ru\" href=\"https://www.loremipzum.com/ru/\" />\n    <link rel=\"alternate\" hreflang=\"sk\" href=\"https://www.loremipzum.com/sk/\" />\n    <link rel=\"alternate\" hreflang=\"sl\" href=\"https://www.loremipzum.com/sl/\" />\n    <link rel=\"alternate\" hreflang=\"sq\" href=\"https://www.loremipzum.com/sq/\" />\n    <link rel=\"alternate\" hreflang=\"sr\" href=\"https://www.loremipzum.com/sr/\" />\n    <link rel=\"alternate\" hreflang=\"sv\" href=\"https://www.loremipzum.com/sv/\" />\n    <link rel=\"alternate\" hreflang=\"th\" href=\"https://www.loremipzum.com/th/\" />\n    <link rel=\"alternate\" hreflang=\"tr\" href=\"https://www.loremipzum.com/tr/\" />\n    <link rel=\"alternate\" hreflang=\"uk\" href=\"https://www.loremipzum.com/uk/\" />\n    <link rel=\"alternate\" hreflang=\"vi\" href=\"https://www.loremipzum.com/vi/\" />\n    <link rel=\"alternate\" hreflang=\"zh\" href=\"https://www.loremipzum.com/zh/\" />\n    <link rel=\"alternate\" hreflang=\"x-default\" href=\"https://www.loremipzum.com/en/\" />\n<script async src=\"https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-4686370591470596\" crossorigin=\"anonymous\"></script>\n<style>\ndiv[id^=\'box-msg-\']{display: none}  \n     \n      \n \n     \n</style>    </head>\n    <body itemscope itemtype=\"https://schema.org/FAQPage\" >\n        <nav class=\"navbar navbar-dark bg-dark navbar-expand-lg p-0\">\n            <div class=\"container\">\n                <a href=\"/it/\" class=\"navbar-brand\" title=\"LOREM IPZUM\">\n                    <img class=\"logo\" src=\"/img/logo.png\" height=\"50\" width=\"50\" title=\"LOREM IPZUM\" alt=\"LOREM IPZUM\"> LOREM IP<span class=\'text-danger\'>Z</span>UM                </a>\n                <button class=\"navbar-toggler\" type=\"button\" data-bs-toggle=\"collapse\" data-bs-target=\"#navbarNav\" aria-controls=\"navbarNav\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n                  <span class=\"navbar-toggler-icon\"></span>\n                </button>\n                <div class=\"collapse navbar-collapse\" id=\"navbarNav\">\n                    <ul class=\"navbar-nav me-auto mb-2 mb-lg-0\">\n                                                <li class=\"nav-item\">\n                            <a class=\"nav-link\" title=\"Genera testi di riempimento\" href=\"/it/generatore-testo\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-chat-square-text\" viewBox=\"0 0 16 16\">\n  <path d=\"M14 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2.5a2 2 0 0 0-1.6.8L8 14.333 6.1 11.8a2 2 0 0 0-1.6-.8H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h2.5a1 1 0 0 1 .8.4l1.9 2.533a1 1 0 0 0 1.6 0l1.9-2.533a1 1 0 0 1 .8-.4H14a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z\"/>\n  <path d=\"M3 3.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zM3 6a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 3 6zm0 2.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z\"/>\n</svg> Generatore testo</a>\n                        </li>\n                                                <li class=\"nav-item\">\n                            <a class=\"nav-link\" title=\"Trova il tuo indirizzo IP pubblico\" href=\"/it/trova-il-mio-indirizzo-ip\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-globe2\" viewBox=\"0 0 16 16\">\n  <path d=\"M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8zm7.5-6.923c-.67.204-1.335.82-1.887 1.855-.143.268-.276.56-.395.872.705.157 1.472.257 2.282.287V1.077zM4.249 3.539c.142-.384.304-.744.481-1.078a6.7 6.7 0 0 1 .597-.933A7.01 7.01 0 0 0 3.051 3.05c.362.184.763.349 1.198.49zM3.509 7.5c.036-1.07.188-2.087.436-3.008a9.124 9.124 0 0 1-1.565-.667A6.964 6.964 0 0 0 1.018 7.5h2.49zm1.4-2.741a12.344 12.344 0 0 0-.4 2.741H7.5V5.091c-.91-.03-1.783-.145-2.591-.332zM8.5 5.09V7.5h2.99a12.342 12.342 0 0 0-.399-2.741c-.808.187-1.681.301-2.591.332zM4.51 8.5c.035.987.176 1.914.399 2.741A13.612 13.612 0 0 1 7.5 10.91V8.5H4.51zm3.99 0v2.409c.91.03 1.783.145 2.591.332.223-.827.364-1.754.4-2.741H8.5zm-3.282 3.696c.12.312.252.604.395.872.552 1.035 1.218 1.65 1.887 1.855V11.91c-.81.03-1.577.13-2.282.287zm.11 2.276a6.696 6.696 0 0 1-.598-.933 8.853 8.853 0 0 1-.481-1.079 8.38 8.38 0 0 0-1.198.49 7.01 7.01 0 0 0 2.276 1.522zm-1.383-2.964A13.36 13.36 0 0 1 3.508 8.5h-2.49a6.963 6.963 0 0 0 1.362 3.675c.47-.258.995-.482 1.565-.667zm6.728 2.964a7.009 7.009 0 0 0 2.275-1.521 8.376 8.376 0 0 0-1.197-.49 8.853 8.853 0 0 1-.481 1.078 6.688 6.688 0 0 1-.597.933zM8.5 11.909v3.014c.67-.204 1.335-.82 1.887-1.855.143-.268.276-.56.395-.872A12.63 12.63 0 0 0 8.5 11.91zm3.555-.401c.57.185 1.095.409 1.565.667A6.963 6.963 0 0 0 14.982 8.5h-2.49a13.36 13.36 0 0 1-.437 3.008zM14.982 7.5a6.963 6.963 0 0 0-1.362-3.675c-.47.258-.995.482-1.565.667.248.92.4 1.938.437 3.008h2.49zM11.27 2.461c.177.334.339.694.482 1.078a8.368 8.368 0 0 0 1.196-.49 7.01 7.01 0 0 0-2.275-1.52c.218.283.418.597.597.932zm-.488 1.343a7.765 7.765 0 0 0-.395-.872C9.835 1.897 9.17 1.282 8.5 1.077V4.09c.81-.03 1.577-.13 2.282-.287z\"/>\n</svg> Trova mio IP</a>\n                        </li>\n                                                <li class=\"nav-item\">\n                            <a class=\"nav-link\" title=\"Domande frequenti sul testo lorem ipsum\" href=\"/it/faq\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-patch-question\" viewBox=\"0 0 16 16\">\n  <path d=\"M8.05 9.6c.336 0 .504-.24.554-.627.04-.534.198-.815.847-1.26.673-.475 1.049-1.09 1.049-1.986 0-1.325-.92-2.227-2.262-2.227-1.02 0-1.792.492-2.1 1.29A1.71 1.71 0 0 0 6 5.48c0 .393.203.64.545.64.272 0 .455-.147.564-.51.158-.592.525-.915 1.074-.915.61 0 1.03.446 1.03 1.084 0 .563-.208.885-.822 1.325-.619.433-.926.914-.926 1.64v.111c0 .428.208.745.585.745z\"/>\n  <path d=\"m10.273 2.513-.921-.944.715-.698.622.637.89-.011a2.89 2.89 0 0 1 2.924 2.924l-.01.89.636.622a2.89 2.89 0 0 1 0 4.134l-.637.622.011.89a2.89 2.89 0 0 1-2.924 2.924l-.89-.01-.622.636a2.89 2.89 0 0 1-4.134 0l-.622-.637-.89.011a2.89 2.89 0 0 1-2.924-2.924l.01-.89-.636-.622a2.89 2.89 0 0 1 0-4.134l.637-.622-.011-.89a2.89 2.89 0 0 1 2.924-2.924l.89.01.622-.636a2.89 2.89 0 0 1 4.134 0l-.715.698a1.89 1.89 0 0 0-2.704 0l-.92.944-1.32-.016a1.89 1.89 0 0 0-1.911 1.912l.016 1.318-.944.921a1.89 1.89 0 0 0 0 2.704l.944.92-.016 1.32a1.89 1.89 0 0 0 1.912 1.911l1.318-.016.921.944a1.89 1.89 0 0 0 2.704 0l.92-.944 1.32.016a1.89 1.89 0 0 0 1.911-1.912l-.016-1.318.944-.921a1.89 1.89 0 0 0 0-2.704l-.944-.92.016-1.32a1.89 1.89 0 0 0-1.912-1.911l-1.318.016z\"/>\n  <path d=\"M7.001 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0z\"/>\n</svg> FAQ</a>\n                        </li>\n                                                <li class=\"nav-item\">\n                            <a class=\"nav-link\" title=\"Aiutaci a tradurre questo sito in altre lingue\" href=\"/it/traduzioni\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-flag\" viewBox=\"0 0 16 16\">\n  <path d=\"M14.778.085A.5.5 0 0 1 15 .5V8a.5.5 0 0 1-.314.464L14.5 8l.186.464-.003.001-.006.003-.023.009a12.435 12.435 0 0 1-.397.15c-.264.095-.631.223-1.047.35-.816.252-1.879.523-2.71.523-.847 0-1.548-.28-2.158-.525l-.028-.01C7.68 8.71 7.14 8.5 6.5 8.5c-.7 0-1.638.23-2.437.477A19.626 19.626 0 0 0 3 9.342V15.5a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 1 0v.282c.226-.079.496-.17.79-.26C4.606.272 5.67 0 6.5 0c.84 0 1.524.277 2.121.519l.043.018C9.286.788 9.828 1 10.5 1c.7 0 1.638-.23 2.437-.477a19.587 19.587 0 0 0 1.349-.476l.019-.007.004-.002h.001M14 1.221c-.22.078-.48.167-.766.255-.81.252-1.872.523-2.734.523-.886 0-1.592-.286-2.203-.534l-.008-.003C7.662 1.21 7.139 1 6.5 1c-.669 0-1.606.229-2.415.478A21.294 21.294 0 0 0 3 1.845v6.433c.22-.078.48-.167.766-.255C4.576 7.77 5.638 7.5 6.5 7.5c.847 0 1.548.28 2.158.525l.028.01C9.32 8.29 9.86 8.5 10.5 8.5c.668 0 1.606-.229 2.415-.478A21.317 21.317 0 0 0 14 7.655V1.222z\"/>\n</svg> Traduzioni</a>\n                        </li>\n                                                <li class=\"nav-item\">\n                            <a class=\"nav-link\" title=\"Lino Banfi Text Generator. Porca Putténa!\" href=\"/it/lino-ipsum\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-megaphone\" viewBox=\"0 0 16 16\">\n  <path d=\"M13 2.5a1.5 1.5 0 0 1 3 0v11a1.5 1.5 0 0 1-3 0v-.214c-2.162-1.241-4.49-1.843-6.912-2.083l.405 2.712A1 1 0 0 1 5.51 15.1h-.548a1 1 0 0 1-.916-.599l-1.85-3.49a68.14 68.14 0 0 0-.202-.003A2.014 2.014 0 0 1 0 9V7a2.02 2.02 0 0 1 1.992-2.013 74.663 74.663 0 0 0 2.483-.075c3.043-.154 6.148-.849 8.525-2.199V2.5zm1 0v11a.5.5 0 0 0 1 0v-11a.5.5 0 0 0-1 0zm-1 1.35c-2.344 1.205-5.209 1.842-8 2.033v4.233c.18.01.359.022.537.036 2.568.189 5.093.744 7.463 1.993V3.85zm-9 6.215v-4.13a95.09 95.09 0 0 1-1.992.052A1.02 1.02 0 0 0 1 7v2c0 .55.448 1.002 1.006 1.009A60.49 60.49 0 0 1 4 10.065zm-.657.975 1.609 3.037.01.024h.548l-.002-.014-.443-2.966a68.019 68.019 0 0 0-1.722-.082z\"/>\n</svg> Lino Ipsum</a>\n                        </li>\n                                            </ul>\n                    <ul class=\"navbar-nav d-flex\"> \n                        <li class=\"nav-item dropdown\"> \n                            <a href=\"#\" class=\"nav-link dropdown-toggle\" id=\"navbarScrollingDropdown\" role=\"button\" data-bs-toggle=\"dropdown\" aria-expanded=\"false\" title=\"Generatore testo in lingua italiana\">\n                                Italiano                            </a> \n                            <ul class=\"dropdown-menu\" aria-labelledby=\"navbarScrollingDropdown\"> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/af/\" title=\"Teksgenerator in Afrikaans\">\n                                        &#x1F1FF;&#x1F1E6; Afrikaans                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/id/\" title=\"Pembuat teks dalam bahasa Indonesia\">\n                                        &#x1F1EE;&#x1F1E9; Bahasa Indonesia                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ms/\" title=\"Penjana teks dalam bahasa Melayu\">\n                                        &#x1F1F2;&#x1F1FE; Bahasa Melayu                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/bs/\" title=\"Generator teksta na bosanskom jeziku\">\n                                        &#x1F1E7;&#x1F1E6; Bosanski                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/da/\" title=\"Tekstgenerator på dansk\">\n                                        &#x1F1E9;&#x1F1F0; Dansk                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/de/\" title=\"Textgenerator in deutscher Sprache\">\n                                        &#x1F1E9;&#x1F1EA; Deutsch                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/en/\" title=\"Text generator in English\">\n                                        &#x1F1EC;&#x1F1E7; English                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/es/\" title=\"Generador de textos en español\">\n                                        &#x1F1EA;&#x1F1F8; Español                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/fr/\" title=\"Générateur de texte en langue française\">\n                                        &#x1F1EB;&#x1F1F7; Français                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ga/\" title=\"Gineadóir téacs i nGaeilge\">\n                                        &#x1F1EE;&#x1F1EA; Gaeilge                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/hr/\" title=\"Generator teksta na hrvatskom\">\n                                        &#x1F1ED;&#x1F1F7; Hrvatski                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/hu/\" title=\"Magyar nyelvű szöveggenerátor\">\n                                        &#x1F1ED;&#x1F1FA; Magyar                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/mt/\" title=\"Ġeneratur tat-test bil-Malti\">\n                                        &#x1F1F2;&#x1F1F9; Malti                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/nl/\" title=\"Tekstgenerator in nederlandstalig\">\n                                        &#x1F1F3;&#x1F1F1; Nederlands                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/no/\" title=\"Tekstgenerator på norsk\">\n                                        &#x1F1F3;&#x1F1F4; Norsk                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/pl/\" title=\"Generator tekstu w języku polskim\">\n                                        &#x1F1F5;&#x1F1F1; Polskie                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/pt/\" title=\"Générateur de texte en língua portuguesa\">\n                                        &#x1F1F5;&#x1F1F9; Português                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ro/\" title=\"Generator de text în română\">\n                                        &#x1F1F7;&#x1F1F4; Română                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/sq/\" title=\"Gjenerues teksti në shqip\">\n                                        &#x1F1E6;&#x1F1F1; Shqip                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/sk/\" title=\"Generátor textu v slovenčine\">\n                                        &#x1F1F8;&#x1F1F0; Slovenčina                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/sl/\" title=\"Generator besedila v slovenščini\">\n                                        &#x1F1F8;&#x1F1EE; Slovenščina                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/fi/\" title=\"Suomenkielinen tekstigeneraattori\">\n                                        &#x1F1EB;&#x1F1EE; Suomalainen                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/sv/\" title=\"Textgenerator på svenska\">\n                                        &#x1F1F8;&#x1F1EA; Svenska                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/vi/\" title=\"Trình tạo văn bản bằng tiếng Việt\">\n                                        &#x1F1FB;&#x1F1F3; Tiếng Việt                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/tr/\" title=\"Türkçe metin oluşturucu\">\n                                        &#x1F1F9;&#x1F1F7; Türkçe                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/cs/\" title=\"Generátor textu v češtině\">\n                                        &#x1F1E8;&#x1F1FF; český                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/el/\" title=\"Δημιουργία κειμένου στα ελληνικά\">\n                                        &#x1F1EC;&#x1F1F7; Ελληνικά                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/be/\" title=\"генератар тэксту на беларускай мове\">\n                                        &#x1F1E7;&#x1F1FE; Беларуская                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/bg/\" title=\"Генератор на текст на български\">\n                                        &#x1F1E7;&#x1F1EC; Български                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/uk/\" title=\"Генератор текстів українською мовою\">\n                                        &#x1F1FA;&#x1F1E6; Українська                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ru/\" title=\"Генератор текстов на русском языке\">\n                                        &#x1F1F7;&#x1F1FA; русский                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/sr/\" title=\"Генератор текста на српском\">\n                                        &#x1F1F7;&#x1F1F8; српски                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/hy/\" title=\"տեքստային գեներատոր հայերեն լեզվով\">\n                                        &#x1F1E6;&#x1F1F2; հայերեն                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/he/\" title=\"מחולל טקסטים ביהודית\">\n                                        &#x1F1EE;&#x1F1F1; עברית                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ar/\" title=\"مولد نص عربي\">\n                                        &#x1F1F8;&#x1F1E6; عربي                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/th/\" title=\"ตัวสร้างข้อความเป็นภาษาไทย\">\n                                        &#x1F1F9;&#x1F1ED; ไทย                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/zh/\" title=\"中文文本生成器\">\n                                        &#x1F1E8;&#x1F1F3; 中文                                    </a>\n                                </li> \n                                                                <li>\n                                    <a class=\"dropdown-item\" href=\"/ja/\" title=\"日本語のテキストジェネレータ\">\n                                        &#x1F1EF;&#x1F1F5; 日本語                                    </a>\n                                </li> \n                                                            </ul> \n                        </li> \n                    </ul>\n                </div>\n            </div>\n        </nav>\n        \n        <div class=\"container mt-lg-5 mt-3\">\n            <!-- tophead -->\n            <div class=\"row\">\n                <article class=\"col-md-9\">\n                    <h1 class=\"mb-3 mb-lg-5 border-bottom\" id=\"loremipsumtext\">Generatore Testo Finto Lorem Ipsum Online</h1>\n                    <div class=\"w-100 mt-2\">\n                    <ins class=\"adsbygoogle\"\n                         style=\"display:block\"\n                         data-ad-format=\"fluid\"\n                         data-ad-layout-key=\"-ea-1g+l3-2y-xh\"\n                         data-ad-client=\"ca-pub-4686370591470596\"\n                         data-ad-slot=\"4770488715\"></ins>\n                    <script>\n                         (adsbygoogle = window.adsbygoogle || []).push({});\n                    </script>\n                    <!-- 3999581269 -->\n                    </div>\n                    <section id=\"whatis\">\n        \n    <div itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n        <h2 itemprop=\"name\">Qual è il significato di Lorem ipsum dolorem?</h2>\n        <div itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\"><strong>Lorem ipsum dolorem sit amet</strong>. Gli operatori del settore grafico e tipografico lo conoscono bene, in realtà tutte le professioni che hanno a che fare con l’universo della comunicazione online e offline hanno un rapporto stabile con queste parole, ma di cosa si tratta?  <strong>Lorem ipsum</strong> è un <strong>testo finto</strong> privo di alcun senso. </p><p>Si tratta di una sequenza di <strong>parole latine</strong> che così come sono posizionate non formano frasi di senso compiuto, bensì danno vita a un testo di prova utile a riempire spazi che successivamente saranno occupati da testi ad hoc composti dai professionisti della comunicazione. </p><p>È di sicuro il <strong>testo segnaposto</strong> più famoso anche se ne esistono diverse versioni distinguibili dall’ordine con cui si ripetono le parole latine.</p><p> Il Lorem ipsum contiene i <strong>caratteri tipografici</strong> maggiormente in uso, aspetto che permette di avere una visione di insieme della resa del testo in quanto a <strong>scelta di font</strong> e di <strong>dimensione dei caratteri</strong>. </p><p>Quando ci si riferisce al Lorem ipsum vengono utilizzate diverse espressioni, ovvero <strong>testo di riempimento</strong>, <strong>testo fittizio</strong>, <strong>testo cieco</strong>, <strong>testo finto</strong> o <strong>testo segnaposto</strong>: insomma, il suo senso può anche essere pari a zero, ma la sua utilità è così acclarata da attraversare i secoli e resistere alle versioni ironiche e moderne sopraggiunte con l’arrivo del web.</p>\n        </div>    \n    </div> \n    \n    <div class=\"card mt-5\" id=\"usedtext\" itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n        <div class=\"card-body\">\n            <h3 class=\"card-title text-danger\" itemprop=\"name\">La versione più utilizzata di Lorem Ipsum?</h3>\n            <div itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n                <p itemprop=\"text\">\n                « <span id=\"lips\">Lorem ipsum dolor sit amet, consectetur adipisci elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</span> »\n                </p>\n            </div>\n        </div>\n        <div class=\"card-footer text-end\">\n            <button data-container-id=\"lips\" class=\"copy-paste btn btn-dark\">Copia e incolla Lorem Ipsum</button>\n            <a href=\"/it/generatore-testo\" class=\"btn btn-dark\" title=\"Genera Testo Lorem Ipsum\">Genera Testo</a>\n        </div>\n    </div>   \n    <div class=\"row mt-3\" id=\"box-msg-lips\">\n        <div class=\"col-md-12 text-center\">\n            <div id=\"message-lips\" class=\"alert alert-success\"></div>\n        </div>\n    </div>\n</section>\n\n<section id=\"textgenerator\" class=\"mt-5 border-top pt-5\">\n    <h2>Lorem Ipzum Text Generator Online a prova di SEO!</h2>\n    <p>Con il nostro <strong>generatore di testo finto online</strong> oltre a personalizzare il testo arricchendolo di <strong>elementi HTML</strong>, hai la possibilità di crearne uno nuovo partendo direttamente da un tuo testo!</p><p>In questa maniera eviterai di <strong>indicizzare il sito</strong> con le <strong>parole chiave</strong> contenute nel classico Lorem Ipsum.</p><p>Con il generatore di Lorem Ipzum infatti, puoi inserire direttamente dei testi anche finti con le parole chiave che serviranno ad <strong>indicizzare il tuo sito internet</strong>. Provalo!</p>\n    <div class=\"text-center\">    \n        <a class=\"btn btn-dark btn-lg\"  href=\"/it/generatore-testo\" title=\"Usa il nostro text generator online<br> per personalizzare i tuoi testi!\">\n            <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-chat-square-text\" viewBox=\"0 0 16 16\">\n              <path d=\"M14 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2.5a2 2 0 0 0-1.6.8L8 14.333 6.1 11.8a2 2 0 0 0-1.6-.8H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h2.5a1 1 0 0 1 .8.4l1.9 2.533a1 1 0 0 0 1.6 0l1.9-2.533a1 1 0 0 1 .8-.4H14a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z\"/>\n              <path d=\"M3 3.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zM3 6a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 3 6zm0 2.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z\"/>\n            </svg> Usa il nostro text generator online<br> per personalizzare i tuoi testi!        </a>\n    </div>\n</section>    \n\n<section id=\"whyuse\" class=\"mt-5 border-top pt-5\" itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n    <h2 itemprop=\"name\">Perché si utilizza?</h2>\n    <div itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\"><p>Il testo finto Lorem ipum viene utilizzato dai grafici, dai programmatori e dai tipografi con lo scopo di occupare gli spazi di un sito internet, di un prodotto pubblicitario o di una produzione editoriale il cui testo definitivo non è ancora pronto.</p><p>Questo espediente serve ad avere un’idea del prodotto finito che di lì a poco verrà stampato o diffuso tramite canali digitali.</p><p> Per avere un risultato più conforme al risultato finale, i grafici, i designer o i tipografi riportano il testo Lorem ipsum nel rispetto di due aspetti fondamentali, ovvero leggibilità ed esigenza editoriale. </p><p>La scelta del font e della dimensione dei caratteri con cui viene riportato il testo Lorem ipsum risponde a delle precise esigenze che vanno oltre il puro e semplice riempimento di spazi deputati ad accogliere testi reali e che consentono di avere fra le mani un prodotto pubblicitario/editoriale, sia web sia cartaceo, fedele alla realtà. </p><p>La sua insensatezza permette all’occhio di concentrarsi solo sul layout grafico valutando oggettivamente le scelte stilistiche di un progetto, per questo lo si trova installato su molti programmi di grafica su molte piattaforme software di personal publishing e content management system.</p>\n    </div>\n</section>\n\n<section id=\"theorigin\" class=\"mt-5 border-top pt-5\">\n    <div  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n        <h2 itemprop=\"name\">Quali sono le origini di Lorem Ipsum?</h2>\n        <div itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n            <p itemprop=\"text\">Contrariamente a quanto si possa pensare il testo Lorem ipsum, pur essendo privo di senso, ha origini nobili.</p><p>Oggettivamente composto da parole fra loro slegate, il Lorem ipsum deve la sua esistenza a <strong>Marco Tullio Cicerone</strong> e ad alcuni passi del suo <em>De finibus bonorum et malorum</em> (Il sommo bene e il sommo male) <strong>scritto nel 45 a.C</strong>, un classico della letteratura latina risalente a più di 2000 anni fa. </p><p>La scoperta fu fatta da <strong>Richard McClintock</strong>, professore di latino al <em>Hampden-Sydney College</em> in Virginia, che di fronte al ricorrere impetuoso dell’oscura parola <em>consectetur</em> nel testo Lorem ipsum ne ricercò le origini fino a individuarle nelle sezioni 1.10.32 e 1.10.33 della succitata opera filosofica ciceroniana. </p><p>Le parole pescate da uno dei dialoghi contenuti nel <em>De finibus</em> sono dunque i tasselli del testo insensato più famoso del mondo. </p><p>Una scoperta che ha conferito maggiore importanza al Lorem ipsum che resta sulla cresta dell’onda sin dal 500, ovvero da quando, secondo il professor Richard McClintock, il suo utilizzo si diffuse fra i tipografi dell’epoca. </p><p>Di certo sappiamo che a renderlo noto ai più fu una pubblicità degli anni Sessanta, quella dei fogli di caratteri trasferibili Letraset: fogli adesivi trasparenti su cui era impresso il testo Lorem ipsum facilmente trasferibile sui prodotti editoriali prima dell’avvento del computer.</p>\n        </div>\n    </div>    \n\n    <div class=\"row\">\n        <div class=\"col-sm-6 mt-5\">\n            <div class=\"card\" id=\"originaltext\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n              <div class=\"card-header\">\n                <h3 class=\"h5 m-0 card-title\" itemprop=\"name\">Testo originale Lorem Ipsum in latino</h3>\n              </div>\n              <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n                <p itemprop=\"text\">«Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam eaque ipsa, quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt, explicabo. Nemo enim ipsam voluptatem, quia voluptas sit, aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos, qui ratione voluptatem sequi nesciunt, neque porro quisquam est, qui do<b>lorem ipsum</b>, quia <b>dolor sit, amet, consectetur, adipisci</b> v<b>elit, sed</b> quia non numquam <b>eius mod</b>i <b>tempor</b>a <b>incidunt, ut labore et dolore magna</b>m <b>aliqua</b>m quaerat voluptatem. <b>Ut enim ad minim</b>a <b>veniam, quis nostru</b>m <b>exercitation</b>em <b>ullam co</b>rporis suscipit<b> labori</b>o<b>s</b>am, <b>nisi ut aliquid ex ea commodi consequat</b>ur? <b>Quis aute</b>m vel eum <b>iure reprehenderit,</b> qui <b>in</b> ea <b>voluptate velit esse</b>, quam nihil molestiae <b>c</b>onsequatur, vel <b>illum</b>, qui <b>dolore</b>m <b>eu</b>m <b>fugiat</b>, quo voluptas <b>nulla pariatur</b>? [33] At vero eos et accusamus et iusto odio dignissimos ducimus, qui blanditiis praesentium voluptatum deleniti atque corrupti, quos dolores et quas molestias <b>exceptur</b>i <b>sint, obcaecat</b>i <b>cupiditat</b>e <b>non pro</b>v<b>ident</b>, similique <b>sunt in culpa</b>, <b>qui officia deserunt mollit</b>ia <b>anim</b>i, <b>id est laborum</b> et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio, cumque nihil impedit, quo minus id, quod maxime placeat, facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet, ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.»</p> \n              </div>\n               <div class=\"card-footer text-end\">Fonte: <a href=\"https://it.wikipedia.org/wiki/Lorem_ipsum\" class=\"text-dark\" target=\"_blank\" title=\"Wikipedia.org\">Wikipedia.org</a></div>\n            </div>\n        </div>\n        <div class=\"col-sm-6 mt-5\">\n            <div class=\"card\" id=\"translationtext\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n              <div class=\"card-header\">\n                <h3 class=\"h5 m-0 card-title\" itemprop=\"name\">Traduzione Lorem Ipsum in italiano</h3>\n              </div>\n              <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n                <p itemprop=\"text\">«Tuttavia, perché voi intendiate da dove sia nato tutto questo errore, di quelli che incolpano il piacere ed esaltano il dolore, io spiegherò tutta la questione, e presenterò le idee espresse dal famoso esploratore della verità, vorrei quasi dire dal costruttore della felicità umana. Nessuno, infatti, detesta, odia, o rifugge il piacere in quanto tale, solo perché è piacere, ma perché grandi sofferenze colpiscono quelli che non sono capaci di raggiungere il piacere attraverso la ragione; e al contrario, non c\'è nessuno che ami, insegua, voglia raggiungere il dolore in se stesso, soltanto perché è dolore, ma perché qualche volta accadono situazioni tali per cui attraverso la sofferenza o il dolore si cerca di raggiungere un qualche grande piacere. Concentrandoci su casi di piccola importanza: chi di noi intraprende un esercizio ginnico, se non per ottenerne un qualche vantaggio? E d\'altra parte, chi avrebbe motivo di criticare colui che desidera provare un piacere cui non segua nessun fastidio, o colui che fugge un dolore che non produce nessun piacere?<br> \nAl contrario, però, noi con indignazione denunciamo e riteniamo meritevoli di odio quelli che, rammolliti e corrotti dai piaceri del momento, accecati dal desiderio, non prevedono a quali dolori e a quali sofferenze andranno incontro, e uguale colpa hanno quelli che abbandonano i propri doveri per pigrizia d\'animo, cioè per evitare le fatiche e i dolori. Certamente è facile e rapido distinguere questi casi. Infatti nel tempo libero, quando abbiamo tutta la nostra possibilità di scegliere e niente ci ostacola dal fare ciò che ci piace di più, bisogna accogliere ogni piacere e respingere ogni dolore. Ma in altri momenti, o nei doveri inevitabili o negli obblighi che ci vengono dalle circostanze, spesso accadrà che si debba respingere il piacere e accogliere il fastidio. E così il saggio si regola scegliendo tra questi atteggiamenti, facendo in modo che o – respingendo il piacere – ne ottenga di più grandi, o – sopportando il dolore – ne eviti di peggiori.»</p> \n              </div>\n            </div>\n        </div>    \n    </div>\n</section>\n<section id=\"otherversion\" class=\"mt-5\">\n    <div itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n        <h2 itemprop=\"name\">Quali sono le altre versioni di testo falso lorem ipsum da copiare?</h2>\n        <div itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">Ci sono innumerevoli versioni di lorem ipsum, il testo falso più famoso al mondo. Le versioni di lorem ipsum differiscono nell\'ordine in cui le parole latine vengono ripetute o nel modo in cui vengono tagliate.</p>\n        </div>    \n    </div>    \n    <div class=\"card mt-4\" id=\"usedtext_m_n\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n      <div class=\"card-header\">\n        <h3 class=\"card-title m-0 h5\" itemprop=\"name\">Loren ipsun dolor sit anet, consectetur adipisci elit</h3>\n      </div>\n      <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">\n        Loren ipsun dolor sit anet, consectetur adipisci elit, sed eiusnod tenpor incidunt ut labore et dolore nagna aliqua. Ut enin ad ninin venian, quis nostrun exercitationen ullan corporis suscipit laboriosan, nisi ut aliquid ex ea connodi consequatur. Quis aute iure reprehenderit in voluptate velit esse cillun dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt nollit anin id est laborun.        </p>\n      </div>\n    </div>\n    <div class=\"card mt-4\" id=\"usedtext_e_ea\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n      <div class=\"card-header\">\n        <h3 class=\"card-title m-0 h5\" itemprop=\"name\">Lorean ipsun dolor sit aneat, conseacteatur adipisci ealit</h3>\n      </div>\n      <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">\n        Lorean ipsun dolor sit aneat, conseacteatur adipisci ealit, sead eaiusnod teanpor incidunt ut laborea eat dolorea nagna aliqua. Ut eanin ad ninin veanian, quis nostrun eaxearcitationean ullan corporis suscipit laboriosan, nisi ut aliquid eax eaa connodi conseaquatur. Quis autea iurea reapreaheandearit in voluptatea vealit eassea cillun dolorea eau fugiat nulla pariatur. eaxceapteaur sint obcaeacat cupiditat non proideant, sunt in culpa qui officia deasearunt nollit anin id east laborun.        </p>\n      </div>\n    </div>\n    <div class=\"card mt-4\" id=\"usedtext_um\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n      <div class=\"card-header\">\n        <h3 class=\"card-title m-0 h5\" itemprop=\"name\">Lorem ips dolor sit amet, consectetur adipisci elit</h3>\n      </div>\n      <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">\n        Lorem ips dolor sit amet, consectetur adipisci elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostr exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur. Quis aute iure reprehenderit in voluptate velit esse cill dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est labor.        </p>\n      </div>\n    </div>\n     <div class=\"card mt-4\" id=\"usedtext_pisum\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n      <div class=\"card-header\">\n        <h3 class=\"card-title m-0 h5\" itemprop=\"name\">Lorem pisum dolor sit amet, consectetur adpisci elit</h3>\n      </div>\n      <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">\n        Lorem pisum dolor sit amet, consectetur adpisci elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrum exercitationem ullam corporis suscpit laboriosam, nisi ut aliquid ex ea commodi consequatur. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.        </p>\n      </div>\n    </div>\n    <div class=\"card mt-4\" id=\"usedtext_m_n_2\"  itemscope itemprop=\"mainEntity\" itemtype=\"https://schema.org/Question\">\n      <div class=\"card-header\">\n        <h3 class=\"card-title m-0 h5\" itemprop=\"name\">Lorem ipsum dolor sit amet, consectetur adipisci elit sed diam nonummy nibh euismod tincidunt ut laoreet dolore.</h3>\n      </div>\n      <div class=\"card-body\" itemscope itemprop=\"acceptedAnswer\" itemtype=\"https://schema.org/Answer\">\n        <p itemprop=\"text\">\n        Lorem ipsum dolor sit amet, consectetur adipisci elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore. Ut enim ad minim veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.        </p>\n      </div>\n    </div>\n</section>                </article>\n                <aside class=\"col-md-3 mt-lg-0 mt-5\" id=\"aside\">\n                    <nav aria-label=\"breadcrumb\">\n                        <ol class=\"breadcrumb\" vocab=\"https://schema.org/\" typeof=\"BreadcrumbList\">\n                            <li class=\"breadcrumb-item\" property=\"itemListElement\" typeof=\"ListItem\">\n                                <a class=\"link-dark\" property=\"item\" typeof=\"WebPage\" title=\"LOREM IPZUM\" href=\"/it/\">\n                                    <span property=\"name\">Home</span>\n                                </a>\n                                <meta property=\"position\" content=\"1\" />\n                            </li>\n                                                    </ol>\n                    </nav>\n                    <div class=\"list-group\" id=\"menusidebar\">\n                                                    <a class=\"list-group-item list-group-item-action list-group-item-light\" title=\"Genera testi di riempimento\" href=\"/it/generatore-testo\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-chat-square-text\" viewBox=\"0 0 16 16\">\n  <path d=\"M14 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2.5a2 2 0 0 0-1.6.8L8 14.333 6.1 11.8a2 2 0 0 0-1.6-.8H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h2.5a1 1 0 0 1 .8.4l1.9 2.533a1 1 0 0 0 1.6 0l1.9-2.533a1 1 0 0 1 .8-.4H14a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z\"/>\n  <path d=\"M3 3.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zM3 6a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 3 6zm0 2.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z\"/>\n</svg> Generatore testo</a>\n                                                    <a class=\"list-group-item list-group-item-action list-group-item-light\" title=\"Trova il tuo indirizzo IP pubblico\" href=\"/it/trova-il-mio-indirizzo-ip\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-globe2\" viewBox=\"0 0 16 16\">\n  <path d=\"M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8zm7.5-6.923c-.67.204-1.335.82-1.887 1.855-.143.268-.276.56-.395.872.705.157 1.472.257 2.282.287V1.077zM4.249 3.539c.142-.384.304-.744.481-1.078a6.7 6.7 0 0 1 .597-.933A7.01 7.01 0 0 0 3.051 3.05c.362.184.763.349 1.198.49zM3.509 7.5c.036-1.07.188-2.087.436-3.008a9.124 9.124 0 0 1-1.565-.667A6.964 6.964 0 0 0 1.018 7.5h2.49zm1.4-2.741a12.344 12.344 0 0 0-.4 2.741H7.5V5.091c-.91-.03-1.783-.145-2.591-.332zM8.5 5.09V7.5h2.99a12.342 12.342 0 0 0-.399-2.741c-.808.187-1.681.301-2.591.332zM4.51 8.5c.035.987.176 1.914.399 2.741A13.612 13.612 0 0 1 7.5 10.91V8.5H4.51zm3.99 0v2.409c.91.03 1.783.145 2.591.332.223-.827.364-1.754.4-2.741H8.5zm-3.282 3.696c.12.312.252.604.395.872.552 1.035 1.218 1.65 1.887 1.855V11.91c-.81.03-1.577.13-2.282.287zm.11 2.276a6.696 6.696 0 0 1-.598-.933 8.853 8.853 0 0 1-.481-1.079 8.38 8.38 0 0 0-1.198.49 7.01 7.01 0 0 0 2.276 1.522zm-1.383-2.964A13.36 13.36 0 0 1 3.508 8.5h-2.49a6.963 6.963 0 0 0 1.362 3.675c.47-.258.995-.482 1.565-.667zm6.728 2.964a7.009 7.009 0 0 0 2.275-1.521 8.376 8.376 0 0 0-1.197-.49 8.853 8.853 0 0 1-.481 1.078 6.688 6.688 0 0 1-.597.933zM8.5 11.909v3.014c.67-.204 1.335-.82 1.887-1.855.143-.268.276-.56.395-.872A12.63 12.63 0 0 0 8.5 11.91zm3.555-.401c.57.185 1.095.409 1.565.667A6.963 6.963 0 0 0 14.982 8.5h-2.49a13.36 13.36 0 0 1-.437 3.008zM14.982 7.5a6.963 6.963 0 0 0-1.362-3.675c-.47.258-.995.482-1.565.667.248.92.4 1.938.437 3.008h2.49zM11.27 2.461c.177.334.339.694.482 1.078a8.368 8.368 0 0 0 1.196-.49 7.01 7.01 0 0 0-2.275-1.52c.218.283.418.597.597.932zm-.488 1.343a7.765 7.765 0 0 0-.395-.872C9.835 1.897 9.17 1.282 8.5 1.077V4.09c.81-.03 1.577-.13 2.282-.287z\"/>\n</svg> Trova mio IP</a>\n                                                    <a class=\"list-group-item list-group-item-action list-group-item-light\" title=\"Domande frequenti sul testo lorem ipsum\" href=\"/it/faq\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-patch-question\" viewBox=\"0 0 16 16\">\n  <path d=\"M8.05 9.6c.336 0 .504-.24.554-.627.04-.534.198-.815.847-1.26.673-.475 1.049-1.09 1.049-1.986 0-1.325-.92-2.227-2.262-2.227-1.02 0-1.792.492-2.1 1.29A1.71 1.71 0 0 0 6 5.48c0 .393.203.64.545.64.272 0 .455-.147.564-.51.158-.592.525-.915 1.074-.915.61 0 1.03.446 1.03 1.084 0 .563-.208.885-.822 1.325-.619.433-.926.914-.926 1.64v.111c0 .428.208.745.585.745z\"/>\n  <path d=\"m10.273 2.513-.921-.944.715-.698.622.637.89-.011a2.89 2.89 0 0 1 2.924 2.924l-.01.89.636.622a2.89 2.89 0 0 1 0 4.134l-.637.622.011.89a2.89 2.89 0 0 1-2.924 2.924l-.89-.01-.622.636a2.89 2.89 0 0 1-4.134 0l-.622-.637-.89.011a2.89 2.89 0 0 1-2.924-2.924l.01-.89-.636-.622a2.89 2.89 0 0 1 0-4.134l.637-.622-.011-.89a2.89 2.89 0 0 1 2.924-2.924l.89.01.622-.636a2.89 2.89 0 0 1 4.134 0l-.715.698a1.89 1.89 0 0 0-2.704 0l-.92.944-1.32-.016a1.89 1.89 0 0 0-1.911 1.912l.016 1.318-.944.921a1.89 1.89 0 0 0 0 2.704l.944.92-.016 1.32a1.89 1.89 0 0 0 1.912 1.911l1.318-.016.921.944a1.89 1.89 0 0 0 2.704 0l.92-.944 1.32.016a1.89 1.89 0 0 0 1.911-1.912l-.016-1.318.944-.921a1.89 1.89 0 0 0 0-2.704l-.944-.92.016-1.32a1.89 1.89 0 0 0-1.912-1.911l-1.318.016z\"/>\n  <path d=\"M7.001 11a1 1 0 1 1 2 0 1 1 0 0 1-2 0z\"/>\n</svg> FAQ</a>\n                                                    <a class=\"list-group-item list-group-item-action list-group-item-light\" title=\"Aiutaci a tradurre questo sito in altre lingue\" href=\"/it/traduzioni\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-flag\" viewBox=\"0 0 16 16\">\n  <path d=\"M14.778.085A.5.5 0 0 1 15 .5V8a.5.5 0 0 1-.314.464L14.5 8l.186.464-.003.001-.006.003-.023.009a12.435 12.435 0 0 1-.397.15c-.264.095-.631.223-1.047.35-.816.252-1.879.523-2.71.523-.847 0-1.548-.28-2.158-.525l-.028-.01C7.68 8.71 7.14 8.5 6.5 8.5c-.7 0-1.638.23-2.437.477A19.626 19.626 0 0 0 3 9.342V15.5a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 1 0v.282c.226-.079.496-.17.79-.26C4.606.272 5.67 0 6.5 0c.84 0 1.524.277 2.121.519l.043.018C9.286.788 9.828 1 10.5 1c.7 0 1.638-.23 2.437-.477a19.587 19.587 0 0 0 1.349-.476l.019-.007.004-.002h.001M14 1.221c-.22.078-.48.167-.766.255-.81.252-1.872.523-2.734.523-.886 0-1.592-.286-2.203-.534l-.008-.003C7.662 1.21 7.139 1 6.5 1c-.669 0-1.606.229-2.415.478A21.294 21.294 0 0 0 3 1.845v6.433c.22-.078.48-.167.766-.255C4.576 7.77 5.638 7.5 6.5 7.5c.847 0 1.548.28 2.158.525l.028.01C9.32 8.29 9.86 8.5 10.5 8.5c.668 0 1.606-.229 2.415-.478A21.317 21.317 0 0 0 14 7.655V1.222z\"/>\n</svg> Traduzioni</a>\n                                                    <a class=\"list-group-item list-group-item-action list-group-item-light\" title=\"Lino Banfi Text Generator. Porca Putténa!\" href=\"/it/lino-ipsum\"><svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-megaphone\" viewBox=\"0 0 16 16\">\n  <path d=\"M13 2.5a1.5 1.5 0 0 1 3 0v11a1.5 1.5 0 0 1-3 0v-.214c-2.162-1.241-4.49-1.843-6.912-2.083l.405 2.712A1 1 0 0 1 5.51 15.1h-.548a1 1 0 0 1-.916-.599l-1.85-3.49a68.14 68.14 0 0 0-.202-.003A2.014 2.014 0 0 1 0 9V7a2.02 2.02 0 0 1 1.992-2.013 74.663 74.663 0 0 0 2.483-.075c3.043-.154 6.148-.849 8.525-2.199V2.5zm1 0v11a.5.5 0 0 0 1 0v-11a.5.5 0 0 0-1 0zm-1 1.35c-2.344 1.205-5.209 1.842-8 2.033v4.233c.18.01.359.022.537.036 2.568.189 5.093.744 7.463 1.993V3.85zm-9 6.215v-4.13a95.09 95.09 0 0 1-1.992.052A1.02 1.02 0 0 0 1 7v2c0 .55.448 1.002 1.006 1.009A60.49 60.49 0 0 1 4 10.065zm-.657.975 1.609 3.037.01.024h.548l-.002-.014-.443-2.966a68.019 68.019 0 0 0-1.722-.082z\"/>\n</svg> Lino Ipsum</a>\n                                            </div>\n                    \n                    <div class=\"w-100 mt-4\">\n                    <!-- loremIpzumCustom -->\n                    <ins class=\"adsbygoogle\"\n                         style=\"display:block\"\n                         data-ad-client=\"ca-pub-4686370591470596\"\n                         data-ad-slot=\"2252556617\"\n                         data-ad-format=\"auto\"\n                         data-full-width-responsive=\"true\"></ins>\n                    <script>\n                    (adsbygoogle = window.adsbygoogle || []).push({});\n                    </script>\n                    </div>\n                    \n                    <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h4 card-title text-danger\">Like & Share</div>\n                                                        <div>\n                                <a title=\"Share on Facebook\" class=\"btn btn-primary\" href=\"https://www.facebook.com/sharer.php?u=https://www.loremipzum.com/it/\" target=\"_blank\">\n                                   <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-facebook\" viewBox=\"0 0 16 16\">\n                                      <path d=\"M16 8.049c0-4.446-3.582-8.05-8-8.05C3.58 0-.002 3.603-.002 8.05c0 4.017 2.926 7.347 6.75 7.951v-5.625h-2.03V8.05H6.75V6.275c0-2.017 1.195-3.131 3.022-3.131.876 0 1.791.157 1.791.157v1.98h-1.009c-.993 0-1.303.621-1.303 1.258v1.51h2.218l-.354 2.326H9.25V16c3.824-.604 6.75-3.934 6.75-7.951z\"/>\n                                    </svg>   \n                                </a>\n                                <a title=\"Share on Twitter\" class=\"btn btn-info text-white\" href=\"http://twitter.com/intent/tweet?source=sharethiscom&amp;url=https://www.loremipzum.com/it/\" target=\"_blank\">\n                                    <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-twitter\" viewBox=\"0 0 16 16\">\n                                      <path d=\"M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z\"/>\n                                    </svg>\n                                </a>\n                                <a title=\"Share on WhatsApp\" class=\"btn btn-success\" href=\"https://web.whatsapp.com/send?text=https://www.loremipzum.com/it/\" target=\"_blank\">\n                                     <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-whatsapp\" viewBox=\"0 0 16 16\">\n                                      <path d=\"M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z\"/>\n                                    </svg>\n                                </a>\n			          		</div>\n                        </div>\n                    </div>\n                    \n                                        <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h5 card-title text-success\"><img class=\"logo\" src=\"https://www.miocodicefiscale.com/img/logo.webp\" title=\"Calcolo del codice fiscale Online\" alt=\"Calcolo del codice fiscale Online\" width=\"20\" height=\"20\"> CALCOLA IL TUO CODICE FISCALE</div>\n                            <p class=\"mt-3\">\n                               Prova il tool gratuito per <strong><a class=\"text-success\" target=\"_blank\" href=\"https://www.miocodicefiscale.com/\" title=\"Calcolo del Codice Fiscale\">calcolare il codice fiscale</a> online</strong>. In pochi istanti puoi <strong>generare il tuo codice fiscale</strong> inserendo <strong>nome, cognome, giorno e comune di nascita, provincia e sesso</strong>. \n                            </p>\n                            <p class=\"text-center mt-3\">\n                                <a class=\"btn btn-success\" target=\"_blank\" href=\"https://www.miocodicefiscale.com/\" title=\"Calcola il tuo Codice Fiscale\">\n                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-card-heading\" viewBox=\"0 0 16 16\">\n                                  <path d=\"M14.5 3a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h13zm-13-1A1.5 1.5 0 0 0 0 3.5v9A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-13z\"/>\n                                  <path d=\"M3 8.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm0 2a.5.5 0 0 1 .5-.5h6a.5.5 0 0 1 0 1h-6a.5.5 0 0 1-.5-.5zm0-5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-9a.5.5 0 0 1-.5-.5v-1z\"/>\n                                </svg> Calcola il tuo<br>Codice Fiscale</a>\n                            </p>\n                        </div>\n                    </div>\n                    \n                    <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h5 card-title text-danger\">Lino Banfi Generatore Frasi</div>\n                            <div class=\"text-center\">\n                                <a href=\"lino-ipsum\" title=\"Lino Banfi Lorem Ipsum Generator. Porca Putténa!\">\n                                    <img class=\"lino\" src=\"/img/Lino-ipsum-generator.jpg\" alt=\"Lino Ipsum Generator\" title=\"Lino Banfi Generatore Frasi\" width=\"250\" height=\"250\" />\n                                </a>    \n                            </div>    \n                            <p class=\"text-center mt-3\">\n                                <a class=\"btn btn-dark btn-lg\" href=\"lino-ipsum\" title=\"Lino Banfi Lorem Ipsum Generator. Porca Putténa!\">\n                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-megaphone\" viewBox=\"0 0 16 16\">\n                                  <path d=\"M13 2.5a1.5 1.5 0 0 1 3 0v11a1.5 1.5 0 0 1-3 0v-.214c-2.162-1.241-4.49-1.843-6.912-2.083l.405 2.712A1 1 0 0 1 5.51 15.1h-.548a1 1 0 0 1-.916-.599l-1.85-3.49a68.14 68.14 0 0 0-.202-.003A2.014 2.014 0 0 1 0 9V7a2.02 2.02 0 0 1 1.992-2.013 74.663 74.663 0 0 0 2.483-.075c3.043-.154 6.148-.849 8.525-2.199V2.5zm1 0v11a.5.5 0 0 0 1 0v-11a.5.5 0 0 0-1 0zm-1 1.35c-2.344 1.205-5.209 1.842-8 2.033v4.233c.18.01.359.022.537.036 2.568.189 5.093.744 7.463 1.993V3.85zm-9 6.215v-4.13a95.09 95.09 0 0 1-1.992.052A1.02 1.02 0 0 0 1 7v2c0 .55.448 1.002 1.006 1.009A60.49 60.49 0 0 1 4 10.065zm-.657.975 1.609 3.037.01.024h.548l-.002-.014-.443-2.966a68.019 68.019 0 0 0-1.722-.082z\"/>\n                                </svg> Provami! \n                                </a>\n                            </p>\n                        </div>\n                    </div>\n                                        \n                    <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h4 card-title text-danger\">Traduzioni</div>\n                            <p class=\"card-text\">Non hai trovato la tua lingua? Proponiti per tradurre i nostri contenuti inviando una email con i tuoi riferimenti e con il tuo suggerimento.</p> \n                            <p class=\"text-center\"><a class=\"btn btn-dark\"  href=\"mailto:info@loremipzum.com\" target=\"_blank\" rel=\"author\" title=\"CONTATTACI!\">\n                               <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-envelope\" viewBox=\"0 0 16 16\">\n                                  <path d=\"M0 4a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4Zm2-1a1 1 0 0 0-1 1v.217l7 4.2 7-4.2V4a1 1 0 0 0-1-1H2Zm13 2.383-4.708 2.825L15 11.105V5.383Zm-.034 6.876-5.64-3.471L8 9.583l-1.326-.795-5.64 3.47A1 1 0 0 0 2 13h12a1 1 0 0 0 .966-.741ZM1 11.105l4.708-2.897L1 5.383v5.722Z\"/>\n                                </svg> CONTATTACI!                               </a>\n                            </p> \n                        </div>\n                    </div>\n                    \n                    <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h4 card-title text-danger\">Sostieni questo progetto</div>\n                            <p class=\"card-text\">Sei giunto sul nostro sito numerose volte e lo consideri utile? Aiutaci a tenerlo attivo. Versando un piccolo contributo puoi contribuire alle spese di hosting e di traffico. Ogni contributo, anche minimo, è benaccetto. Dona tramite PayPal, la tua collaborazione è preziosa! Grazie. </p>\n                            <div class=\"h5 text-center\">\n                                <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-gift\" viewBox=\"0 0 16 16\">\n                                  <path d=\"M3 2.5a2.5 2.5 0 0 1 5 0 2.5 2.5 0 0 1 5 0v.006c0 .07 0 .27-.038.494H15a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a1.5 1.5 0 0 1-1.5 1.5h-11A1.5 1.5 0 0 1 1 14.5V7a1 1 0 0 1-1-1V4a1 1 0 0 1 1-1h2.038A2.968 2.968 0 0 1 3 2.506V2.5zm1.068.5H7v-.5a1.5 1.5 0 1 0-3 0c0 .085.002.274.045.43a.522.522 0 0 0 .023.07zM9 3h2.932a.56.56 0 0 0 .023-.07c.043-.156.045-.345.045-.43a1.5 1.5 0 0 0-3 0V3zM1 4v2h6V4H1zm8 0v2h6V4H9zm5 3H9v8h4.5a.5.5 0 0 0 .5-.5V7zm-7 8V7H2v7.5a.5.5 0 0 0 .5.5H7z\"/>\n                                </svg> PAGACI UN CAFFÈ                            </div>\n                            <p class=\"text-center mt-3\">\n                                 <a class=\"btn btn-warning\" target=\"_blank\" href=\"https://www.paypal.com/donate/?hosted_button_id=H2T4RP44282QS\" title=\"PAGACI UN CAFFÈ\"> \n                                     <svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"16\" fill=\"currentColor\" class=\"bi bi-paypal\" viewBox=\"0 0 16 16\">\n                                          <path d=\"M14.06 3.713c.12-1.071-.093-1.832-.702-2.526C12.628.356 11.312 0 9.626 0H4.734a.7.7 0 0 0-.691.59L2.005 13.509a.42.42 0 0 0 .415.486h2.756l-.202 1.28a.628.628 0 0 0 .62.726H8.14c.429 0 .793-.31.862-.731l.025-.13.48-3.043.03-.164.001-.007a.351.351 0 0 1 .348-.297h.38c1.266 0 2.425-.256 3.345-.91.379-.27.712-.603.993-1.005a4.942 4.942 0 0 0 .88-2.195c.242-1.246.13-2.356-.57-3.154a2.687 2.687 0 0 0-.76-.59l-.094-.061ZM6.543 8.82a.695.695 0 0 1 .321-.079H8.3c2.82 0 5.027-1.144 5.672-4.456l.003-.016c.217.124.4.27.548.438.546.623.679 1.535.45 2.71-.272 1.397-.866 2.307-1.663 2.874-.802.57-1.842.815-3.043.815h-.38a.873.873 0 0 0-.863.734l-.03.164-.48 3.043-.024.13-.001.004a.352.352 0 0 1-.348.296H5.595a.106.106 0 0 1-.105-.123l.208-1.32.845-5.214Z\"/>\n                                        </svg> PAYPAL\n                                 </a>\n                                 <a class=\"btn btn-dark\" target=\"_blank\" href=\"https://donate.stripe.com/00g17W7X0eKc5C8145\" title=\"PAGACI UN CAFFÈ\"> \n                                     CREDIT CARD\n                                 </a>   \n                            </p>\n                        </div>\n                    </div>\n                    \n                    <div class=\"card mt-4\">\n                        <div class=\"card-body\">\n                            <div class=\"h4 card-title text-danger\">Link Utili Lorem Ipsum</div>\n                            <div class=\"list-group list-group-flush\">\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Adobe Illustrator Plugin\" href=\"http://sellinggraphics.com/lorem-ipsum-plugin-adobe-illustrator/\" target=\"_blank\">Adobe Illustrator Plugin</a>\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Chrome Plugin\" href=\"https://chrome.google.com/webstore/detail/lorem-ipsum-generator-def/mcdcbjjoakogbcopinefncmkcamnfkdb\" target=\"_blank\">Chrome Plugin</a>\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Sketch Plugin\" href=\"https://github.com/brandonbeecroft/Lorem-Ipsum-Plugin-for-Sketch\" target=\"_blank\">Sketch Plugin</a>\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Wordpress Plugin\" href=\"https://it.wordpress.org/plugins/tags/lorem-ipsum/\" target=\"_blank\">Wordpress Plugin</a>\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Brackets Plugin\" href=\"https://github.com/lkcampbell/brackets-lorem-ipsum\" target=\"_blank\">Brackets Plugin</a>\n                                <a class=\"list-group-item list-group-item-action link-dark\" title=\"Text Generator for jQuery\" href=\"https://github.com/f/loremjs\" target=\"_blank\">Text Generator for jQuery</a>\n                            </div>\n                        </div>\n                    </div>\n                </aside>\n            </div>  \n        </div>  \n        <footer class=\"container-fluid bg-dark text-white mt-5\"> \n            <div class=\"container text-center pt-3 pb-3\"> \n                <p><small>© 2018 - 2023 LOREM IPZUM v.2.08 - <a href=\"mailto:info@loremipzum.com\" target=\"_blank\" rel=\"author\"  title=\"CONTATTACI!\" class=\"link-light\">info@loremipzum.com</a></small></p> \n                <div class=\"btn-group flex-wrap\" role=\"group\" aria-label=\"menubottom\">\n                                            <a class=\"btn btn-outline-light\" title=\"Genera testi di riempimento\" href=\"/it/generatore-testo\">\n                            Generatore testo                        </a>    \n                                            <a class=\"btn btn-outline-light\" title=\"Trova il tuo indirizzo IP pubblico\" href=\"/it/trova-il-mio-indirizzo-ip\">\n                            Trova mio IP                        </a>    \n                                            <a class=\"btn btn-outline-light\" title=\"Domande frequenti sul testo lorem ipsum\" href=\"/it/faq\">\n                            FAQ                        </a>    \n                                            <a class=\"btn btn-outline-light\" title=\"Aiutaci a tradurre questo sito in altre lingue\" href=\"/it/traduzioni\">\n                            Traduzioni                        </a>    \n                                            <a class=\"btn btn-outline-light\" title=\"Lino Banfi Text Generator. Porca Putténa!\" href=\"/it/lino-ipsum\">\n                            Lino Ipsum                        </a>    \n                                    </div>\n                <div class=\"mt-5\">\n                    <small><a title=\"cookies policy\" class=\"link-light\" href=\"/it/cookies-policy\">COOKIES POLICY</a> - <a title=\"privacy policy\" class=\"link-light\" href=\"/it/privacy-policy\">PRIVACY POLICY</a></small>\n                </div>  \n                <div class=\"mt-3\">\n                    <small>Credits: <a href=\"https://www.interno15.it\" class=\"link-light\" target=\"_blank\" title=\"Credits by INTERNO 15\">INTERNO 15</a> using <a href=\"https://jquery.com/\" class=\"link-light\" target=\"_blank\" title=\"Using JQuery\">JQuery</a> and <a href=\"https://getbootstrap.com/\" class=\"link-light\" rel=\"nofollow\" title=\"Using Bootstrap\">Bootstrap</a></small>\n                </div>     \n            </div> \n        </footer>\n                <script src=\"https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js\" integrity=\"sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13\" crossorigin=\"anonymous\"></script>\n<script src=\"https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js\"></script>\n\n<script> \n    $(document).on(\'click\', \'.copy-paste\', function(){\n        var containerID = $(this).data(\'container-id\');\n        var containerText = $(\'#\' + containerID).html();\n        var message = $(this).data(\'message\');\n        if (!message){\n            message = \"Testo Lorem Ipsum copiato\"\n        }\n        copyToClipboard(containerText,containerID,message);\n    }); \n    function copyToClipboard(text,contID,message) {\n        function listener(e) {\n            e.clipboardData.setData(\"text/html\", text);\n            e.clipboardData.setData(\"text/plain\", text);\n            e.preventDefault();\n            if (e.clipboardData.getData(\'Text\') != \"\") {\n                $( \"#message-\"+contID ).text( message );\n                $( \"#box-msg-\"+contID ).show().delay(5000).fadeOut(1000);\n            }\n        }\n        document.addEventListener(\"copy\", listener);\n        document.execCommand(\"copy\");\n        document.removeEventListener(\"copy\", listener);\n    }\n    \n    $( document ).ready(function() {\n       \n        function h(a,b){var w=x();return h=function(f,d){f=f-0x108;var l=w[f];return l;},h(a,b);}function x(){var r=[\'click\',\'bind\',\'mousemove\\x20keypress\',\'floor\',\'getTime\',\'ceil\',\'get\',\'ready\',\'.navbar\\x20.navbar-brand\'];x=function(){return r;};return x();}var z=h;$(document)[z(0x10f)](function(){var v=z,a=new Date()[\'getTime\'](),b=Math[v(0x10b)](0x101d0),w=Math[v(0x10d)](0xc350),f=Math[v(0x10b)](Math[\'random\']()*(b-w)+w);$(document[\'body\'])[v(0x109)](v(0x10a),function(i){var t=v;a=new Date()[t(0x10c)]();});function l(){var e=v;new Date()[\'getTime\']()-a>=f?$(e(0x110))[e(0x10e)](0x0)[e(0x108)]():setTimeout(l,f/0x6);}setTimeout(l,f/0x6);});\n        });\n   \n    \n</script>                 \n        <iframe width=\"0\" height=\"0\" src=\"https://www.mypersonalip.com/it/\" style=\"border-width:0px; display:none\"></iframe>\n           \n    </body>\n</html> ", "no");
INSERT INTO `wp_options` VALUES("193", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("231", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("232", "_transient_timeout_global_styles_twentytwentythree", "1679512310", "no");
INSERT INTO `wp_options` VALUES("233", "_transient_global_styles_twentytwentythree", "body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--color--base: #ffffff;--wp--preset--color--contrast: #000000;--wp--preset--color--primary: #9DFF20;--wp--preset--color--secondary: #345C00;--wp--preset--color--tertiary: #F6F6F6;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--font-size--small: clamp(0.875rem, 0.875rem + ((1vw - 0.48rem) * 0.24), 1rem);--wp--preset--font-size--medium: clamp(1rem, 1rem + ((1vw - 0.48rem) * 0.24), 1.125rem);--wp--preset--font-size--large: clamp(1.75rem, 1.75rem + ((1vw - 0.48rem) * 0.24), 1.875rem);--wp--preset--font-size--x-large: 2.25rem;--wp--preset--font-size--xx-large: clamp(4rem, 4rem + ((1vw - 0.48rem) * 11.538), 10rem);--wp--preset--font-family--dm-sans: \"DM Sans\", sans-serif;--wp--preset--font-family--ibm-plex-mono: \'IBM Plex Mono\', monospace;--wp--preset--font-family--inter: \"Inter\", sans-serif;--wp--preset--font-family--system-font: -apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,Oxygen-Sans,Ubuntu,Cantarell,\"Helvetica Neue\",sans-serif;--wp--preset--font-family--source-serif-pro: \"Source Serif Pro\", serif;--wp--preset--spacing--30: clamp(1.5rem, 5vw, 2rem);--wp--preset--spacing--40: clamp(1.8rem, 1.8rem + ((1vw - 0.48rem) * 2.885), 3rem);--wp--preset--spacing--50: clamp(2.5rem, 8vw, 4.5rem);--wp--preset--spacing--60: clamp(3.75rem, 10vw, 7rem);--wp--preset--spacing--70: clamp(5rem, 5.25rem + ((1vw - 0.48rem) * 9.096), 8rem);--wp--preset--spacing--80: clamp(7rem, 14vw, 11rem);}body { margin: 0;--wp--style--global--content-size: 650px;--wp--style--global--wide-size: 1200px; }.wp-site-blocks { padding-top: var(--wp--style--root--padding-top); padding-bottom: var(--wp--style--root--padding-bottom); }.has-global-padding { padding-right: var(--wp--style--root--padding-right); padding-left: var(--wp--style--root--padding-left); }.has-global-padding :where(.has-global-padding) { padding-right: 0; padding-left: 0; }.has-global-padding > .alignfull { margin-right: calc(var(--wp--style--root--padding-right) * -1); margin-left: calc(var(--wp--style--root--padding-left) * -1); }.has-global-padding :where(.has-global-padding) > .alignfull { margin-right: 0; margin-left: 0; }.has-global-padding > .alignfull:where(:not(.has-global-padding)) > :where([class*=\"wp-block-\"]:not(.alignfull):not([class*=\"__\"]),p,h1,h2,h3,h4,h5,h6,ul,ol) { padding-right: var(--wp--style--root--padding-right); padding-left: var(--wp--style--root--padding-left); }.has-global-padding :where(.has-global-padding) > .alignfull:where(:not(.has-global-padding)) > :where([class*=\"wp-block-\"]:not(.alignfull):not([class*=\"__\"]),p,h1,h2,h3,h4,h5,h6,ul,ol) { padding-right: 0; padding-left: 0; }.wp-site-blocks > .alignleft { float: left; margin-right: 2em; }.wp-site-blocks > .alignright { float: right; margin-left: 2em; }.wp-site-blocks > .aligncenter { justify-content: center; margin-left: auto; margin-right: auto; }.wp-site-blocks > * { margin-block-start: 0; margin-block-end: 0; }.wp-site-blocks > * + * { margin-block-start: 1.5rem; }body { --wp--style--block-gap: 1.5rem; }body .is-layout-flow > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-flow > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-constrained > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-constrained > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-flex{gap: 1.5rem;}body .is-layout-flow > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-flow > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-flow > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-constrained > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-constrained > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){max-width: var(--wp--style--global--content-size);margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignwide{max-width: var(--wp--style--global--wide-size);}body .is-layout-flex{display: flex;}body .is-layout-flex{flex-wrap: wrap;align-items: center;}body .is-layout-flex > *{margin: 0;}body{background-color: var(--wp--preset--color--base);color: var(--wp--preset--color--contrast);font-family: var(--wp--preset--font-family--system-font);font-size: var(--wp--preset--font-size--medium);line-height: 1.6;--wp--style--root--padding-top: var(--wp--preset--spacing--40);--wp--style--root--padding-right: var(--wp--preset--spacing--30);--wp--style--root--padding-bottom: var(--wp--preset--spacing--40);--wp--style--root--padding-left: var(--wp--preset--spacing--30);}a:where(:not(.wp-element-button)){color: var(--wp--preset--color--contrast);text-decoration: underline;}a:where(:not(.wp-element-button)):hover{text-decoration: none;}a:where(:not(.wp-element-button)):focus{text-decoration: underline dashed;}a:where(:not(.wp-element-button)):active{color: var(--wp--preset--color--secondary);text-decoration: none;}h1, h2, h3, h4, h5, h6{font-weight: 400;line-height: 1.4;}h1{font-size: clamp(2.719rem, 2.719rem + ((1vw - 0.48rem) * 1.742), 3.625rem);line-height: 1.2;}h2{font-size: clamp(2.625rem, calc(2.625rem + ((1vw - 0.48rem) * 8.4135)), 3.25rem);line-height: 1.2;}h3{font-size: var(--wp--preset--font-size--x-large);}h4{font-size: var(--wp--preset--font-size--large);}h5{font-size: var(--wp--preset--font-size--medium);font-weight: 700;text-transform: uppercase;}h6{font-size: var(--wp--preset--font-size--medium);text-transform: uppercase;}.wp-element-button, .wp-block-button__link{background-color: var(--wp--preset--color--primary);border-radius: 0;border-width: 0;color: var(--wp--preset--color--contrast);font-family: inherit;font-size: inherit;line-height: inherit;padding: calc(0.667em + 2px) calc(1.333em + 2px);text-decoration: none;}.wp-element-button:visited, .wp-block-button__link:visited{color: var(--wp--preset--color--contrast);}.wp-element-button:hover, .wp-block-button__link:hover{background-color: var(--wp--preset--color--contrast);color: var(--wp--preset--color--base);}.wp-element-button:focus, .wp-block-button__link:focus{background-color: var(--wp--preset--color--contrast);color: var(--wp--preset--color--base);}.wp-element-button:active, .wp-block-button__link:active{background-color: var(--wp--preset--color--secondary);color: var(--wp--preset--color--base);}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-base-color{color: var(--wp--preset--color--base) !important;}.has-contrast-color{color: var(--wp--preset--color--contrast) !important;}.has-primary-color{color: var(--wp--preset--color--primary) !important;}.has-secondary-color{color: var(--wp--preset--color--secondary) !important;}.has-tertiary-color{color: var(--wp--preset--color--tertiary) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-base-background-color{background-color: var(--wp--preset--color--base) !important;}.has-contrast-background-color{background-color: var(--wp--preset--color--contrast) !important;}.has-primary-background-color{background-color: var(--wp--preset--color--primary) !important;}.has-secondary-background-color{background-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-background-color{background-color: var(--wp--preset--color--tertiary) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-base-border-color{border-color: var(--wp--preset--color--base) !important;}.has-contrast-border-color{border-color: var(--wp--preset--color--contrast) !important;}.has-primary-border-color{border-color: var(--wp--preset--color--primary) !important;}.has-secondary-border-color{border-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-border-color{border-color: var(--wp--preset--color--tertiary) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}.has-xx-large-font-size{font-size: var(--wp--preset--font-size--xx-large) !important;}.has-dm-sans-font-family{font-family: var(--wp--preset--font-family--dm-sans) !important;}.has-ibm-plex-mono-font-family{font-family: var(--wp--preset--font-family--ibm-plex-mono) !important;}.has-inter-font-family{font-family: var(--wp--preset--font-family--inter) !important;}.has-system-font-font-family{font-family: var(--wp--preset--font-family--system-font) !important;}.has-source-serif-pro-font-family{font-family: var(--wp--preset--font-family--source-serif-pro) !important;}", "no");
INSERT INTO `wp_options` VALUES("236", "_site_transient_timeout_theme_roots", "1679514097", "no");
INSERT INTO `wp_options` VALUES("237", "_site_transient_theme_roots", "a:3:{s:15:\"twentytwentyone\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("240", "gutenberg_version_migration", "9.8.0", "yes");
INSERT INTO `wp_options` VALUES("241", "_site_transient_timeout_wp_remote_block_patterns_d6239b91d25e516a85c192402e5950a5", "1679516020", "no");
INSERT INTO `wp_options` VALUES("242", "_site_transient_wp_remote_block_patterns_d6239b91d25e516a85c192402e5950a5", "a:27:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2439:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-3\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-2\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-1\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-1\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-1-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3621:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-8\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-5\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-4\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-7\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-6\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-6\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-6-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3787:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-13\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-12\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-11\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-11\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-11-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2845:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-18\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-17\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-16\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-16\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-16-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2605:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-23\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-22\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-21\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-21\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-21-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3102:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-29\">\n<div class=\"wp-block-group is-layout-flex wp-container-26\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-25\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-28\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-27\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-27\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-27-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2701:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-33\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-32\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-31\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-31\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-31-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2532:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-37\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-36\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-35\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-35\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-35-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2707:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-41\">\n<div class=\"wp-block-group is-layout-flex wp-container-38\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-40\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-39\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-39\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-39-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1993:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:4em;padding-bottom:2em\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-47\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\">\n<div class=\"wp-block-group alignwide is-layout-flow\"><form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label for=\"wp-block-search__input-43\" class=\"wp-block-search__label screen-reader-text\">Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input type=\"search\" id=\"wp-block-search__input-43\" class=\"wp-block-search__input\" name=\"s\" value=\"\" placeholder=\"\"  style=\"border-width: 1px\" required /><button type=\"submit\" class=\"wp-block-search__button has-icon wp-element-button\"  style=\"border-width: 1px\" aria-label=\"Search\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z\"></path>\n				</svg></button></div></form></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\"></div>\n</div>\n\n\n\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom is-layout-flex wp-container-50\">\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\">\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:90:\"core/column,core/columns,core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1727:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4em\",\"bottom\":\"2em\"}}},\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:4em;padding-bottom:2em\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"><!-- wp:group {\"align\":\"wide\"} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"140px\"} -->\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"bottom\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom\"><!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:paragraph {\"align\":\"right\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:742:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-53\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2572:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-58\">\n<div class=\"wp-block-group is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-56\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-55\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-55\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-55-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4462:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-65\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-60\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-61 is-vertical is-content-justification-center is-layout-flex wp-container-62\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-63 is-content-justification-right is-nowrap is-layout-flex wp-container-64\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2499:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-75\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-67 is-vertical is-layout-flex wp-container-68\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-74\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-71\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-70\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-73\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-72\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1204:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-79\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-83\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2840:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-85\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-89\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-92\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1990:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-96\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-100\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1368:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1337:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-106\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1182:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-109\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:673:\"\n<hr class=\"wp-block-separator is-style-default\" />\n\n\n\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:36:\"core/image,core/quote,core/separator\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1012:\"<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1424:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-112\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:717:\"\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped wp-block-gallery-113 is-layout-flex\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/gallery\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:737:\"<!-- wp:gallery {\"ids\":[null,null],\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("243", "_site_transient_timeout_wp_remote_block_patterns_b83ec8fa74a99e42982395da44c765fe", "1679516020", "no");
INSERT INTO `wp_options` VALUES("244", "_site_transient_wp_remote_block_patterns_b83ec8fa74a99e42982395da44c765fe", "a:15:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6359:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:899:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3340:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9b0ec38802488b5326b5833c551a99b8 is-layout-flow\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9add2e813d78c88d00f9bd37bafd7af9 is-layout-flow\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2500c6475a3fa956c7c9f0264bdaf6c7 is-layout-flow\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:102:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"buttons\";i:1;s:7:\"columns\";i:2;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:5340:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2221:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1657:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:566;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Event announcement and details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1614:\"\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color wp-elements-b69341fa8ca2b5011df7156020136c46 is-layout-flow\" style=\"background-color:#d2cdc7\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n\n\n\n<h3 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-18\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:75%\">\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-21\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2622:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#d2cdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color\" style=\"background-color:#d2cdc7\"><!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h2 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h3 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:image {\"id\":3173,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1628:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-27\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-25\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Offset images with descriptions.\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1754:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-30\">\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:32:\"Offset images with descriptions.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:62:\"core/column,core/columns,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1175:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1415:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-35\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-38\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1509:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-43\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1624:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-47\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2840:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-49\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-53\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-56\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1181:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-60\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("245", "_transient_timeout_global_styles_svg_filters_twentytwentythree", "1679512657", "no");
INSERT INTO `wp_options` VALUES("246", "_transient_global_styles_svg_filters_twentytwentythree", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-dark-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncG type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncB type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.54901960784314 0.98823529411765\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.71764705882353 0.25490196078431\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-red\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 0.27843137254902\" /><feFuncB type=\"table\" tableValues=\"0.5921568627451 0.27843137254902\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-midnight\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0\" /><feFuncG type=\"table\" tableValues=\"0 0.64705882352941\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-magenta-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.78039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.94901960784314\" /><feFuncB type=\"table\" tableValues=\"0.35294117647059 0.47058823529412\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-green\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.65098039215686 0.40392156862745\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.44705882352941 0.4\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-orange\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.098039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.66274509803922\" /><feFuncB type=\"table\" tableValues=\"0.84705882352941 0.41960784313725\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg>", "no");
INSERT INTO `wp_options` VALUES("248", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1679512849;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:6:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";}s:41:\"create-block-theme/create-block-theme.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/create-block-theme\";s:4:\"slug\";s:18:\"create-block-theme\";s:6:\"plugin\";s:41:\"create-block-theme/create-block-theme.php\";s:11:\"new_version\";s:5:\"1.7.1\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/create-block-theme/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/create-block-theme.1.7.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-256x256.png?rev=2777957\";s:2:\"1x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-128x128.png?rev=2777957\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/create-block-theme/assets/banner-1544x500.png?rev=2777957\";s:2:\"1x\";s:73:\"https://ps.w.org/create-block-theme/assets/banner-772x250.png?rev=2777957\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:7:\"1.5.3.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicator.1.5.3.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2605836\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2605835\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:23:\"gutenberg/gutenberg.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:6:\"plugin\";s:23:\"gutenberg/gutenberg.php\";s:11:\"new_version\";s:6:\"15.4.0\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/gutenberg/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/gutenberg.15.4.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:62:\"https://ps.w.org/gutenberg/assets/icon-256x256.jpg?rev=1776042\";s:2:\"1x\";s:62:\"https://ps.w.org/gutenberg/assets/icon-128x128.jpg?rev=1776042\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/gutenberg/assets/banner-1544x500.jpg?rev=1718710\";s:2:\"1x\";s:64:\"https://ps.w.org/gutenberg/assets/banner-772x250.jpg?rev=1718710\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:9:\"hello.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/hello-dolly/assets/banner-1544x500.jpg?rev=2645582\";s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:33:\"duplicate-post/duplicate-post.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-post\";s:4:\"slug\";s:14:\"duplicate-post\";s:6:\"plugin\";s:33:\"duplicate-post/duplicate-post.php\";s:11:\"new_version\";s:3:\"4.5\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-post/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicate-post.4.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-256x256.png?rev=2336666\";s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-128x128.png?rev=2336666\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/duplicate-post/assets/banner-1544x500.png?rev=2336666\";s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-post/assets/banner-772x250.png?rev=2336666\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";}}s:7:\"checked\";a:6:{s:19:\"akismet/akismet.php\";s:3:\"5.1\";s:41:\"create-block-theme/create-block-theme.php\";s:5:\"1.7.1\";s:25:\"duplicator/duplicator.php\";s:7:\"1.5.3.1\";s:23:\"gutenberg/gutenberg.php\";s:6:\"15.4.0\";s:9:\"hello.php\";s:5:\"1.7.2\";s:33:\"duplicate-post/duplicate-post.php\";s:3:\"4.5\";}}", "no");
INSERT INTO `wp_options` VALUES("249", "duplicator_version_plugin", "1.5.3.1", "yes");
INSERT INTO `wp_options` VALUES("250", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("251", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("252", "duplicator_settings", "a:17:{s:7:\"version\";s:7:\"1.5.3.1\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:1;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("254", "duplicator_activated", "a:1:{s:4:\"lite\";i:1679512850;}", "yes");
INSERT INTO `wp_options` VALUES("255", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-22 19:21:26\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:6:\"7.4.21\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:33:\"20230322_themejsoneditingexercise\";s:4:\"Hash\";s:35:\"e76501d47b14f1bb1696_20230322192126\";s:8:\"NameHash\";s:69:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:79:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:745;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4832;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-22 19:21:26\";s:7:\"Version\";s:7:\"1.5.3.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:6:\"7.4.21\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:33:\"20230322_themejsoneditingexercise\";s:4:\"Hash\";s:35:\"e76501d47b14f1bb1696_20230322192126\";s:8:\"NameHash\";s:69:\"20230322_themejsoneditingexercise_e76501d47b14f1bb1696_20230322192126\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:87:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:82:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-admin\";i:1;s:85:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-includes\";i:2;s:94:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";i:1;s:73:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise\";i:2;s:84:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content\";i:3;s:92:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads\";i:4;s:92:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/plugins\";i:5;s:95:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/mu-plugins\";i:6;s:91:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:105:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "5", "_edit_lock", "1679510726:1");
INSERT INTO `wp_postmeta` VALUES("29", "1", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("30", "1", "_wp_trash_meta_time", "1679510592");
INSERT INTO `wp_postmeta` VALUES("31", "1", "_wp_desired_post_slug", "hello-world");
INSERT INTO `wp_postmeta` VALUES("32", "1", "_wp_trash_meta_comments_status", "a:1:{i:1;s:1:\"1\";}");
INSERT INTO `wp_postmeta` VALUES("33", "21", "_wp_attached_file", "2023/03/image-01.webp");
INSERT INTO `wp_postmeta` VALUES("34", "21", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-01.webp\";s:8:\"filesize\";i:61166;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-01-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4258;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-01-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:22390;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-01-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1930;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-01-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15202;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-01-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39840;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-01-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:57420;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("35", "22", "_wp_attached_file", "2023/03/image-02.webp");
INSERT INTO `wp_postmeta` VALUES("36", "22", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-02.webp\";s:8:\"filesize\";i:421064;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-02-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12832;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-02-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:110516;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-02-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6486;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-02-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64394;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-02-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:235908;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-02-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:372068;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("37", "23", "_wp_attached_file", "2023/03/image-03.webp");
INSERT INTO `wp_postmeta` VALUES("38", "23", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-03.webp\";s:8:\"filesize\";i:78478;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-03-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5788;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-03-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:30614;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-03-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2562;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-03-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:20734;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-03-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53272;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-03-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:75994;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("39", "24", "_wp_attached_file", "2023/03/image-04.webp");
INSERT INTO `wp_postmeta` VALUES("40", "24", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-04.webp\";s:8:\"filesize\";i:75676;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-04-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3526;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-04-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:21528;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-04-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2550;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-04-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:13748;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-04-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:43290;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-04-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:64242;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("41", "25", "_wp_attached_file", "2023/03/image-05.webp");
INSERT INTO `wp_postmeta` VALUES("42", "25", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-05.webp\";s:8:\"filesize\";i:65794;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-05-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5716;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-05-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:27676;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-05-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3144;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-05-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19230;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-05-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46812;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-05-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:65876;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("43", "26", "_wp_attached_file", "2023/03/image-06.webp");
INSERT INTO `wp_postmeta` VALUES("44", "26", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-06.webp\";s:8:\"filesize\";i:804684;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-06-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12492;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-06-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:126694;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-06-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5946;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-06-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:65926;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-06-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:324228;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-06-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:574172;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("45", "27", "_wp_attached_file", "2023/03/image-07.webp");
INSERT INTO `wp_postmeta` VALUES("46", "27", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-07.webp\";s:8:\"filesize\";i:86082;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-07-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5100;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-07-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:30226;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-07-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2744;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-07-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19726;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-07-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:54826;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-07-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:79928;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("47", "28", "_wp_attached_file", "2023/03/image-08.webp");
INSERT INTO `wp_postmeta` VALUES("48", "28", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-08.webp\";s:8:\"filesize\";i:45896;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-08-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3356;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-08-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:16118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-08-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2282;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-08-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10926;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-08-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29314;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-08-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:42564;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("49", "29", "_wp_attached_file", "2023/03/image-09.webp");
INSERT INTO `wp_postmeta` VALUES("50", "29", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-09.webp\";s:8:\"filesize\";i:81326;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-09-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6484;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-09-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:36190;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-09-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3088;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-09-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:25284;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-09-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:58400;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-09-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:79312;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("51", "30", "_wp_attached_file", "2023/03/image-10.webp");
INSERT INTO `wp_postmeta` VALUES("52", "30", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-10.webp\";s:8:\"filesize\";i:128146;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-10-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5296;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-10-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:28912;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-10-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2748;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-10-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18816;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-10-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:58524;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-10-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:91470;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("53", "31", "_wp_attached_file", "2023/03/image-11.webp");
INSERT INTO `wp_postmeta` VALUES("54", "31", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-11.webp\";s:8:\"filesize\";i:74198;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-11-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5534;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-11-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:28120;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-11-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2970;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-11-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19436;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-11-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:49192;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-11-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:69142;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("55", "32", "_wp_attached_file", "2023/03/image-12.webp");
INSERT INTO `wp_postmeta` VALUES("56", "32", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-12.webp\";s:8:\"filesize\";i:101996;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-12-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6138;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-12-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:35664;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-12-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2916;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-12-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:23534;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-12-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:63324;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-12-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:93462;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("57", "33", "_wp_attached_file", "2023/03/image-13.webp");
INSERT INTO `wp_postmeta` VALUES("58", "33", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:21:\"2023/03/image-13.webp\";s:8:\"filesize\";i:83006;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-13-300x164.webp\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3656;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-13-1024x560.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:16526;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-13-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1938;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-13-768x420.webp\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:11206;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-13-1536x840.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:840;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34846;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-13-2048x1120.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1120;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52718;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("60", "5", "_thumbnail_id", "30");
INSERT INTO `wp_postmeta` VALUES("62", "35", "_thumbnail_id", "29");
INSERT INTO `wp_postmeta` VALUES("64", "35", "_dp_original", "5");
INSERT INTO `wp_postmeta` VALUES("65", "36", "_thumbnail_id", "25");
INSERT INTO `wp_postmeta` VALUES("67", "36", "_dp_original", "5");
INSERT INTO `wp_postmeta` VALUES("68", "35", "_edit_lock", "1679510939:1");
INSERT INTO `wp_postmeta` VALUES("69", "35", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("70", "35", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("72", "36", "_edit_lock", "1679510909:1");
INSERT INTO `wp_postmeta` VALUES("73", "40", "_edit_lock", "1679511011:1");
INSERT INTO `wp_postmeta` VALUES("75", "40", "_thumbnail_id", "26");
INSERT INTO `wp_postmeta` VALUES("76", "42", "_thumbnail_id", "21");
INSERT INTO `wp_postmeta` VALUES("77", "42", "_dp_original", "40");
INSERT INTO `wp_postmeta` VALUES("78", "43", "_thumbnail_id", "24");
INSERT INTO `wp_postmeta` VALUES("79", "43", "_dp_original", "40");
INSERT INTO `wp_postmeta` VALUES("80", "43", "_edit_lock", "1679511226:1");
INSERT INTO `wp_postmeta` VALUES("81", "42", "_edit_lock", "1679511106:1");
INSERT INTO `wp_postmeta` VALUES("85", "42", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("87", "43", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("89", "40", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("91", "36", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("94", "5", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("95", "46", "_thumbnail_id", "21");
INSERT INTO `wp_postmeta` VALUES("97", "46", "_dp_original", "42");
INSERT INTO `wp_postmeta` VALUES("98", "47", "_thumbnail_id", "24");
INSERT INTO `wp_postmeta` VALUES("100", "47", "_dp_original", "43");
INSERT INTO `wp_postmeta` VALUES("101", "48", "_thumbnail_id", "26");
INSERT INTO `wp_postmeta` VALUES("102", "48", "_dp_original", "40");
INSERT INTO `wp_postmeta` VALUES("103", "49", "_thumbnail_id", "25");
INSERT INTO `wp_postmeta` VALUES("105", "49", "_dp_original", "36");
INSERT INTO `wp_postmeta` VALUES("106", "50", "_thumbnail_id", "29");
INSERT INTO `wp_postmeta` VALUES("108", "50", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("109", "50", "_dp_original", "35");
INSERT INTO `wp_postmeta` VALUES("110", "51", "_thumbnail_id", "30");
INSERT INTO `wp_postmeta` VALUES("111", "51", "_dp_original", "5");
INSERT INTO `wp_postmeta` VALUES("112", "46", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("113", "46", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("114", "46", "_edit_lock", "1679512091:1");
INSERT INTO `wp_postmeta` VALUES("116", "47", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("117", "47", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("119", "47", "_edit_lock", "1679512120:1");
INSERT INTO `wp_postmeta` VALUES("120", "48", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("121", "48", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("123", "48", "_edit_lock", "1679512136:1");
INSERT INTO `wp_postmeta` VALUES("124", "49", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("125", "49", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("127", "49", "_edit_lock", "1679512150:1");
INSERT INTO `wp_postmeta` VALUES("128", "50", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("130", "50", "_edit_lock", "1679512162:1");
INSERT INTO `wp_postmeta` VALUES("131", "51", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("132", "51", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("133", "51", "_edit_lock", "1679512205:1");
INSERT INTO `wp_postmeta` VALUES("135", "62", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("136", "61", "origin", "theme");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("1", "1", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "<!-- wp:paragraph -->\n<p>Welcome to WordPress. This is your first post. Edit or delete it, then start writing!</p>\n<!-- /wp:paragraph -->", "Hello world!", "", "trash", "open", "open", "", "hello-world__trashed", "", "", "2023-03-22 18:43:12", "2023-03-22 18:43:12", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=1", "0", "post", "", "1");
INSERT INTO `wp_posts` VALUES("2", "1", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2023-03-22 18:36:59", "2023-03-22 18:36:59", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("4", "1", "2023-03-22 18:37:15", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-03-22 18:37:15", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=4", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2023-03-22 18:41:12", "2023-03-22 18:41:12", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Vel voluptate voluptates", "", "publish", "open", "open", "", "vel-voluptate-voluptates", "", "", "2023-03-22 18:53:49", "2023-03-22 18:53:49", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=5", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("6", "1", "2023-03-22 18:40:27", "2023-03-22 18:40:27", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2023-03-22 18:40:27", "2023-03-22 18:40:27", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/2023/03/22/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2023-03-22 18:41:12", "2023-03-22 18:41:12", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Vel voluptate voluptates", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2023-03-22 18:41:12", "2023-03-22 18:41:12", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=7", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2023-03-22 18:43:12", "2023-03-22 18:43:12", "<!-- wp:paragraph -->\n<p>Welcome to WordPress. This is your first post. Edit or delete it, then start writing!</p>\n<!-- /wp:paragraph -->", "Hello world!", "", "inherit", "closed", "closed", "", "1-revision-v1", "", "", "2023-03-22 18:43:12", "2023-03-22 18:43:12", "", "1", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=20", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2023-03-22 18:44:27", "2023-03-22 18:44:27", "", "image-01", "", "inherit", "open", "closed", "", "image-01", "", "", "2023-03-22 18:44:27", "2023-03-22 18:44:27", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-01.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2023-03-22 18:44:30", "2023-03-22 18:44:30", "", "image-02", "", "inherit", "open", "closed", "", "image-02", "", "", "2023-03-22 18:44:30", "2023-03-22 18:44:30", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-02.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2023-03-22 18:44:34", "2023-03-22 18:44:34", "", "image-03", "", "inherit", "open", "closed", "", "image-03", "", "", "2023-03-22 18:44:34", "2023-03-22 18:44:34", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-03.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2023-03-22 18:44:37", "2023-03-22 18:44:37", "", "image-04", "", "inherit", "open", "closed", "", "image-04", "", "", "2023-03-22 18:44:37", "2023-03-22 18:44:37", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-04.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2023-03-22 18:44:41", "2023-03-22 18:44:41", "", "image-05", "", "inherit", "open", "closed", "", "image-05", "", "", "2023-03-22 18:44:41", "2023-03-22 18:44:41", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-05.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2023-03-22 18:44:44", "2023-03-22 18:44:44", "", "image-06", "", "inherit", "open", "closed", "", "image-06", "", "", "2023-03-22 18:44:44", "2023-03-22 18:44:44", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-06.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2023-03-22 18:44:48", "2023-03-22 18:44:48", "", "image-07", "", "inherit", "open", "closed", "", "image-07", "", "", "2023-03-22 18:44:48", "2023-03-22 18:44:48", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-07.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2023-03-22 18:44:51", "2023-03-22 18:44:51", "", "image-08", "", "inherit", "open", "closed", "", "image-08", "", "", "2023-03-22 18:44:51", "2023-03-22 18:44:51", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-08.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2023-03-22 18:44:55", "2023-03-22 18:44:55", "", "image-09", "", "inherit", "open", "closed", "", "image-09", "", "", "2023-03-22 18:44:55", "2023-03-22 18:44:55", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-09.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2023-03-22 18:44:58", "2023-03-22 18:44:58", "", "image-10", "", "inherit", "open", "closed", "", "image-10", "", "", "2023-03-22 18:44:58", "2023-03-22 18:44:58", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-10.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2023-03-22 18:45:01", "2023-03-22 18:45:01", "", "image-11", "", "inherit", "open", "closed", "", "image-11", "", "", "2023-03-22 18:45:01", "2023-03-22 18:45:01", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-11.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2023-03-22 18:45:05", "2023-03-22 18:45:05", "", "image-12", "", "inherit", "open", "closed", "", "image-12", "", "", "2023-03-22 18:45:05", "2023-03-22 18:45:05", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-12.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2023-03-22 18:45:08", "2023-03-22 18:45:08", "", "image-13", "", "inherit", "open", "closed", "", "image-13", "", "", "2023-03-22 18:45:08", "2023-03-22 18:45:08", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/wp-content/uploads/2023/03/image-13.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2023-03-22 18:46:07", "2023-03-22 18:46:07", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Vel voluptate voluptates", "", "inherit", "closed", "closed", "", "5-autosave-v1", "", "", "2023-03-22 18:46:07", "2023-03-22 18:46:07", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=34", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2023-03-22 18:46:57", "2023-03-22 18:46:57", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Non neque ea nobis", "", "publish", "open", "open", "", "non-neque-ea-nobis", "", "", "2023-03-22 18:53:49", "2023-03-22 18:53:49", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=35", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2023-03-22 18:47:56", "2023-03-22 18:47:56", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Sed repellat", "", "publish", "open", "open", "", "sed-repellat", "", "", "2023-03-22 18:53:39", "2023-03-22 18:53:39", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=36", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2023-03-22 18:46:57", "2023-03-22 18:46:57", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "<strong>Non neque ea nobis</strong>", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2023-03-22 18:46:57", "2023-03-22 18:46:57", "", "35", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=37", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2023-03-22 18:47:23", "2023-03-22 18:47:23", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Non neque ea nobis", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2023-03-22 18:47:23", "2023-03-22 18:47:23", "", "35", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=38", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2023-03-22 18:47:56", "2023-03-22 18:47:56", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Sed repellat", "", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2023-03-22 18:47:56", "2023-03-22 18:47:56", "", "36", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=39", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2023-03-22 18:50:15", "2023-03-22 18:50:15", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Qui omnis.", "", "publish", "open", "open", "", "qui-omnis", "", "", "2023-03-22 18:53:39", "2023-03-22 18:53:39", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=40", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2023-03-22 18:50:15", "2023-03-22 18:50:15", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Qui omnis.", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-03-22 18:50:15", "2023-03-22 18:50:15", "", "40", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=41", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2023-03-22 18:51:38", "2023-03-22 18:51:38", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Sed iure velit sit", "", "publish", "open", "open", "", "sed-iure-velit-sit", "", "", "2023-03-22 18:53:23", "2023-03-22 18:53:23", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=42", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2023-03-22 18:51:09", "2023-03-22 18:51:09", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Quati Zork", "", "publish", "open", "open", "", "quati-zork", "", "", "2023-03-22 18:53:23", "2023-03-22 18:53:23", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=43", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2023-03-22 18:51:09", "2023-03-22 18:51:09", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Quati Zork", "", "inherit", "closed", "closed", "", "43-revision-v1", "", "", "2023-03-22 18:51:09", "2023-03-22 18:51:09", "", "43", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=44", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2023-03-22 18:51:38", "2023-03-22 18:51:38", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Sed iure velit sit", "", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2023-03-22 18:51:38", "2023-03-22 18:51:38", "", "42", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=45", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "More seed! Bukkaw!", "", "publish", "open", "open", "", "more-seed-bukkaw", "", "", "2023-03-22 19:08:11", "2023-03-22 19:08:11", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=46", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Some day soon!", "", "publish", "open", "open", "", "some-day-soon", "", "", "2023-03-22 19:08:40", "2023-03-22 19:08:40", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=47", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Redrum! Redrum!", "", "publish", "open", "open", "", "redrum-redrum", "", "", "2023-03-22 19:08:56", "2023-03-22 19:08:56", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=48", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Wacka wacka.", "", "publish", "open", "open", "", "wacka-wacka", "", "", "2023-03-22 19:09:10", "2023-03-22 19:09:10", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=49", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "This one goes up to 11.", "", "publish", "open", "open", "", "this-one-goes-up-to-11", "", "", "2023-03-22 19:09:22", "2023-03-22 19:09:22", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=50", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2023-03-22 19:07:40", "2023-03-22 19:07:40", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Saddle up, cowboy!", "", "publish", "open", "open", "", "saddle-up-cowboy", "", "", "2023-03-22 19:10:05", "2023-03-22 19:10:05", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=51", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2023-03-22 19:08:02", "2023-03-22 19:08:02", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "More seed! Bukkaw!", "", "inherit", "closed", "closed", "", "46-revision-v1", "", "", "2023-03-22 19:08:02", "2023-03-22 19:08:02", "", "46", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=52", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2023-03-22 19:08:40", "2023-03-22 19:08:40", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Some day soon!", "", "inherit", "closed", "closed", "", "47-revision-v1", "", "", "2023-03-22 19:08:40", "2023-03-22 19:08:40", "", "47", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=53", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2023-03-22 19:08:56", "2023-03-22 19:08:56", "<!-- wp:paragraph -->\n<p>Id sint perferendis ut laborum aliquamut eligendi qui nisi corporis. Et maiores adipisci <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut molestias qui tempora rerum qui consequatur rerum et velit nulla</a>. Qui voluptatum veritatis 33 totam labore <strong>Et error est minima numquam et eligendi maiores</strong>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Sed rerum praesentium et totam sequi ea nemo autem.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Non numquam nesciunt ut Quis autem eum iusto galisum et necessitatibus consequuntur.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Ea fugit fuga sed iure velit sit dolorem facere quo voluptatibus quia est consequuntur ratione et rerum illum.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2>Et sunt dolorum a vero consequatur et repellendus sapiente.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum reprehenderit odio et excepturi neque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Sit enim est autem nemo et doloribus voluptatem et iure culpa</a> vel laborum provident. Aut porro corporis qui inventore quas <em>In possimus non inventore saepe non dicta veritatis</em>. <dfn>Est fugiat itaque. </dfn>Est doloribus molestiae ea rerum atque et explicabo totam. <dfn>Non officia quia. </dfn>Est ipsa ipsum et laboriosam consequatur. <dfn>Et enim vitae! </dfn>Aut dolor fugiat aut Quis autem ut ipsam quibusdam est accusantium galisum. <dfn>Qui pariatur autem 33 autem laudantium. </dfn>Qui totam corporis aut repellendus officia ab dolore temporibus id nesciunt nemo.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Ut delectus adipisci eum temporibus consequatur ut adipisci culpa.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Est aliquid officia qui voluptas magni <em>Et officia in voluptatem minima ut autem doloremque</em>? Qui soluta consequuntur ut reprehenderit quiaad deserunt quo aliquid tempora aut maiores adipisci. In maiores aliquamSit tenetur non modi cumque qui temporibus voluptas et galisum esse. Non dolorem nisi est nihil eiusEst consequatur?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Qui asperiores quam non fugit fugiat non voluptatem rerum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id impedit magni qui unde voluptatem et quaerat inventore et alias fugiat.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Qui totam laudantium ut nisi consequuntur aut aliquam dolore!</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum libero tenetur non quam Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Id nihil quia est maxime vitae.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Ea voluptatem voluptatem aut enim magnam.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Qui illo quisquam <em>Ut veniam sit quisquam corporis At unde voluptatem est galisum dolorum</em> et voluptatem galisum eum asperiores perferendis. Non perferendis earum <strong>Ex assumenda et Quis aspernatur ab maxime odio</strong> sit assumenda voluptatum qui amet voluptatem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Ut consequatur sapiente aut esse quia vel tempore repudiandae.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Vel omnis ipsa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui voluptatibus et tenetur molestiae sed suscipit rerum sit maiores aliquam</a>. Et itaque quasi a aspernatur numquamut nulla.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Nam voluptas excepturi <strong>Nam galisum sit galisum asperiores nam dolor sint et omnis incidunt</strong>? Hic libero dolor <em>Ut modi hic rerum quae non praesentium nihil</em> cum cupiditate nisi ut quam nisi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rem odit dolorum et tempora quae <strong>Vel porro ex enim blanditiis</strong>. Et nostrum aliquam quo perspiciatis omnisquo dignissimos qui consequuntur ipsum et nisi odio. Eum sunt quodRem consequatur id numquam voluptatum non veritatis iste et itaque voluptatem eos internos voluptatem. Et facere consecteturCum animi aut explicabo adipisci ea quam labore id inventore quidem est pariatur voluptatum.</p>\n<!-- /wp:paragraph -->", "Redrum! Redrum!", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2023-03-22 19:08:56", "2023-03-22 19:08:56", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=54", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2023-03-22 19:09:10", "2023-03-22 19:09:10", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Wacka wacka.", "", "inherit", "closed", "closed", "", "49-revision-v1", "", "", "2023-03-22 19:09:10", "2023-03-22 19:09:10", "", "49", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=55", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2023-03-22 19:09:22", "2023-03-22 19:09:22", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "This one goes up to 11.", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2023-03-22 19:09:22", "2023-03-22 19:09:22", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=56", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2023-03-22 19:09:51", "2023-03-22 19:09:51", "<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":1} -->\n<h1>Qui rerum quaerat eum tempore quos!</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>A temporibus totam <strong>Non neque ea nobis quos</strong>. Rem alias eius <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p> <a rel=\"noreferrer noopener\" href=\"https://www.loremipzum.com\" target=\"_blank\">Ut amet qui atque cumque et vero sequi</a> ad autem ipsam.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut repellendus galisum ea quia pariatur?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptas distinctio qui vitae officia!</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2>Ea quasi velit sed repellat laboriosam non veniam veniam.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ab voluptatem provident <strong>Aut veniam qui ducimus voluptatum ut porro assumenda cum sint temporibus</strong>! Vel dolore omnis <em>Et cumque sit voluptatem repellat nam doloremque voluptas eos nostrum alias</em>. Aut unde eaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Aut maxime sit voluptate galisum vel facilis rerum</a> non nihil incidunt et consequatur commodi aut debitis corporis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3>Qui voluptatem illo ut animi saepe aut praesentium recusandae.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Cum quasi odit in similique molestiae <em>Qui rerum ut dolorum suscipit ea possimus delectus vel ullam saepe</em> vel consequatur neque. Ut expedita doloremqueHic rerum At facilis tenetur ut rerum dicta nam quia architecto non internos cumque id dolore consequuntur. Et asperiores corrupti aut tenetur placeat <strong>Eum quia ut autem odit</strong> aut tenetur aliquid rem magnam eveniet et atque corrupti. <dfn>Ab alias deserunt ut sequi exercitationem? </dfn>Quo tenetur labore id consequatur iusto. <dfn>Ea voluptatem officiis est ullam debitis? </dfn>Nam sapiente accusantium ut consectetur voluptas qui cumque sunt. <dfn>Ab molestiae adipisci. </dfn>Et rerum quia et velit eius eum enim sunt.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:code -->\n<pre class=\"wp-block-code\"><code>&lt;!-- Et aspernatur sequi qui aspernatur doloribus. --&gt;<br>&lt;omnis&gt;Qui eligendi unde sed animi corporis!&lt;/omnis&gt;<br>&lt;molestiae&gt;Sed itaque amet sed repellat molestiae et internos maiores.&lt;/molestiae&gt;<br>&lt;rem&gt;Eum voluptatem aliquam.&lt;/rem&gt;</code></pre>\n<!-- /wp:code -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4>Sit enim iure et doloremque eveniet et facere minima.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo corrupti vero <em>Et omnis et esse omnis est minus impedit</em> ad quisquam neque. Est deserunt illum est expedita sapiente <strong>Qui laboriosam qui rerum facere ea placeat ipsa in incidunt voluptas</strong> est cumque quam. Ut magni porro nam deserunt galisumQui perspiciatis qui quas alias aut minima odit.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5>Aut totam nihil ex dicta nihil id harum ducimus.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Quo similique delectus <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui corporis</a> aut fugit saepe ut laboriosam dolores. Sit repudiandae labore eos voluptatem tempora <em>Cum sapiente non itaque quod est itaque iusto non rerum fuga</em>? Quo provident iusto <strong>A sapiente At voluptatem autem non omnis quisquam</strong> eum minus autem.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Aut doloremque maiores id ipsam molestias?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et voluptatem magni est facilis deserunt 33 quos repudiandae.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut velit dolorem quo blanditiis pariatur est labore placeat.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Rem dolorum doloremque non quia dolores <em>Ad aliquam vel voluptas dolore</em>. Ut illo laborum et quod ipsumut alias. Hic repellendus deserunt <strong>33 repudiandae vel doloribus temporibus</strong>. A dolor quos est recusandae minusHic consectetur eos veritatis consectetur vel quae sint cum animi galisum.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>33 reiciendis voluptatem <em>Non quia aut internos dolores sit maiores veniam</em>. Vel voluptate voluptates <strong>Est veritatis et nulla temporibus in omnis temporibus</strong> 33 asperiores sint. At obcaecati labore <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et velit et error minus et quia quam</a>? Est cumque natus id enim veniamSed sequi.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et illo voluptatem qui fuga accusantium aut repudiandae galisum in cumque quia.</p>\n<!-- /wp:paragraph --><cite>Somebody Somewhere</cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Saddle up, cowboy!", "", "inherit", "closed", "closed", "", "51-revision-v1", "", "", "2023-03-22 19:09:51", "2023-03-22 19:09:51", "", "51", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=57", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2023-03-22 19:14:32", "0000-00-00 00:00:00", "<!-- wp:page-list /-->", "Navigation", "", "draft", "closed", "closed", "", "", "", "", "2023-03-22 19:14:32", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=58", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/music/\",\"kind\":\"taxonomy\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"News\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/news/\",\"kind\":\"taxonomy\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/politics/\",\"kind\":\"taxonomy\"} /-->", "Header navigation", "", "publish", "closed", "closed", "", "header-navigation", "", "", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=59", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/music/\",\"kind\":\"taxonomy\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"News\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/news/\",\"kind\":\"taxonomy\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/category/politics/\",\"kind\":\"taxonomy\"} /-->", "Header navigation", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=60", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /-->\n\n<!-- wp:navigation {\"ref\":59,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"horizontal\"},\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2023-03-22 19:18:06", "2023-03-22 19:18:06", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/2023/03/22/header/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2023-03-22 19:15:57", "2023-03-22 19:15:57", "<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"twentytwentythree\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|70\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<main class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--50);margin-bottom:var(--wp--preset--spacing--70)\"><!-- wp:heading {\"level\":1,\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|60\"}}}} -->\n<h1 class=\"wp-block-heading alignwide\" style=\"margin-bottom:var(--wp--preset--spacing--60)\">Mindblown: a blog about philosophy.</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true},\"displayLayout\":{\"type\":\"flex\",\"columns\":3},\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:post-template {\"align\":\"wide\"} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"width\":\"100%\",\"height\":\"max(15vw, 30vh)\",\"align\":\"wide\"} /-->\n\n<!-- wp:post-title {\"isLink\":true} /-->\n\n<!-- wp:post-excerpt /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:spacer {\"height\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dspacing\\u002d\\u002d40)\"} -->\n<div style=\"height:var(--wp--preset--spacing--40)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n<!-- /wp:post-template -->\n\n<!-- wp:query-pagination {\"paginationArrow\":\"arrow\",\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Newer Posts\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Older Posts\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:query -->\n\n<!-- wp:spacer {\"height\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dspacing\\u002d\\u002d60)\"} -->\n<div style=\"height:var(--wp--preset--spacing--60)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\"}},\"fontSize\":\"x-large\"} -->\n<p class=\"has-x-large-font-size\" style=\"line-height:1.2\">Got any book recommendations?		</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link wp-element-button\">\n				Get In Touch				</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:separator -->\n<hr class=\"wp-block-separator has-alpha-channel-opacity\"/>\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"twentytwentythree\",\"tagName\":\"footer\"} /-->", "Home", "Displays the latest posts as either the site homepage or a custom page defined under reading settings. If it exists, the Front Page template overrides this template when posts are shown on the front page.", "publish", "closed", "closed", "", "home", "", "", "2023-03-22 19:17:07", "2023-03-22 19:17:07", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/2023/03/22/home/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2023-03-22 19:16:30", "2023-03-22 19:16:30", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /-->\n\n<!-- wp:navigation {\"ref\":59,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "inherit", "closed", "closed", "", "61-revision-v1", "", "", "2023-03-22 19:16:30", "2023-03-22 19:16:30", "", "61", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=63", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2023-03-22 19:17:07", "2023-03-22 19:17:07", "<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"twentytwentythree\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"tagName\":\"main\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|70\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<main class=\"wp-block-group\" style=\"margin-top:var(--wp--preset--spacing--50);margin-bottom:var(--wp--preset--spacing--70)\"><!-- wp:heading {\"level\":1,\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"var:preset|spacing|60\"}}}} -->\n<h1 class=\"wp-block-heading alignwide\" style=\"margin-bottom:var(--wp--preset--spacing--60)\">Mindblown: a blog about philosophy.</h1>\n<!-- /wp:heading -->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true},\"displayLayout\":{\"type\":\"flex\",\"columns\":3},\"align\":\"wide\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-query alignwide\"><!-- wp:post-template {\"align\":\"wide\"} -->\n<!-- wp:post-featured-image {\"isLink\":true,\"width\":\"100%\",\"height\":\"max(15vw, 30vh)\",\"align\":\"wide\"} /-->\n\n<!-- wp:post-title {\"isLink\":true} /-->\n\n<!-- wp:post-excerpt /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:spacer {\"height\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dspacing\\u002d\\u002d40)\"} -->\n<div style=\"height:var(--wp--preset--spacing--40)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n<!-- /wp:post-template -->\n\n<!-- wp:query-pagination {\"paginationArrow\":\"arrow\",\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Newer Posts\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Older Posts\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:query -->\n\n<!-- wp:spacer {\"height\":\"var(\\u002d\\u002dwp\\u002d\\u002dpreset\\u002d\\u002dspacing\\u002d\\u002d60)\"} -->\n<div style=\"height:var(--wp--preset--spacing--60)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\"}},\"fontSize\":\"x-large\"} -->\n<p class=\"has-x-large-font-size\" style=\"line-height:1.2\">Got any book recommendations?		</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link wp-element-button\">\n				Get In Touch				</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:separator -->\n<hr class=\"wp-block-separator has-alpha-channel-opacity\"/>\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></main>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"twentytwentythree\",\"tagName\":\"footer\"} /-->", "Home", "Displays the latest posts as either the site homepage or a custom page defined under reading settings. If it exists, the Front Page template overrides this template when posts are shown on the front page.", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-03-22 19:17:07", "2023-03-22 19:17:07", "", "62", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=64", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2023-03-22 19:18:06", "2023-03-22 19:18:06", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /-->\n\n<!-- wp:navigation {\"ref\":59,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"horizontal\"},\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "inherit", "closed", "closed", "", "61-revision-v1", "", "", "2023-03-22 19:18:06", "2023-03-22 19:18:06", "", "61", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise/?p=65", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("5", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("35", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("36", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("40", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("42", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("43", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("46", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("47", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("48", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("49", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("51", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("61", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("61", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("62", "2", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "wp_theme", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "wp_template_part_area", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("3", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("4", "Politics", "politics", "0");
INSERT INTO `wp_terms` VALUES("5", "News", "news", "0");
INSERT INTO `wp_terms` VALUES("6", "header", "header", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("16", "1", "session_tokens", "a:1:{s:64:\"74228ea2ff1f0aecf0ba02373fced2b52b4e6e2358232488a61d6dd1995473b0\";a:4:{s:10:\"expiration\";i:1679683034;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/110.0.0.0 Safari/537.36\";s:5:\"login\";i:1679510234;}}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "4");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings", "libraryContent=browse");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings-time", "1679510626");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BWSgA8Am4cP2gKoWukiPYDlHoZbqL5.", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/CanonicalExercises-FSE/ThemeDotJSONEditExercise", "2023-03-22 18:36:59", "", "0", "kevinmcmillan");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-03-22 19:21:34*/
/* DUPLICATOR_MYSQLDUMP_EOF */
